/*===========================================================================*/
/*   (Ast/apply.scm)                                                         */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/apply.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_applyz00();
	static obj_t BGl_z62makezd2funzd2framezd2sfun1826zb0zzast_applyz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_applyz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62makezd2funzd2framezd2cfun1828zb0zzast_applyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt BGl_loopz72z72zzast_applyz00(obj_t, BgL_nodez00_bglt,
		obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_applyz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_applyz00();
	static obj_t BGl_genericzd2initzd2zzast_applyz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	static BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62makezd2funzd2frame1823z62zzast_applyz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_applyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_loopz00zzast_applyz00(BgL_nodez00_bglt,
		obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string2152z00zzast_applyz00,
		BgL_bgl_string2152za700za7za7a2165za7, "Illegal `apply' form", 20);
	      DEFINE_STRING(BGl_string2153z00zzast_applyz00,
		BgL_bgl_string2153za700za7za7a2166za7, "Too many arguments provided", 27);
	      DEFINE_STRING(BGl_string2154z00zzast_applyz00,
		BgL_bgl_string2154za700za7za7a2167za7, "apply", 5);
	      DEFINE_STRING(BGl_string2156z00zzast_applyz00,
		BgL_bgl_string2156za700za7za7a2168za7, "make-fun-frame1823", 18);
	      DEFINE_STRING(BGl_string2157z00zzast_applyz00,
		BgL_bgl_string2157za700za7za7a2169za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2159z00zzast_applyz00,
		BgL_bgl_string2159za700za7za7a2170za7, "make-fun-frame", 14);
	      DEFINE_STRING(BGl_string2161z00zzast_applyz00,
		BgL_bgl_string2161za700za7za7a2171za7, "ast_apply", 9);
	      DEFINE_STRING(BGl_string2162z00zzast_applyz00,
		BgL_bgl_string2162za700za7za7a2172za7,
		"aux make-fun-frame1823 begin set! car if failure quote null? cdr write runner value apply ",
		90);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_knownzd2appzd2lyzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762knownza7d2appza7d2173za7,
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d22174za7,
		BGl_z62makezd2funzd2frame1823z62zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d22175za7,
		BGl_z62makezd2funzd2framezd2sfun1826zb0zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d22176za7,
		BGl_z62makezd2funzd2framezd2cfun1828zb0zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d22177za7,
		BGl_z62makezd2funzd2framez62zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_applycationzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762applycationza7d2178z00,
		BGl_z62applycationzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long
		BgL_checksumz00_2587, char *BgL_fromz00_2588)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_applyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_applyz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_applyz00();
					BGl_cnstzd2initzd2zzast_applyz00();
					BGl_importedzd2moduleszd2initz00zzast_applyz00();
					BGl_genericzd2initzd2zzast_applyz00();
					BGl_methodzd2initzd2zzast_applyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_apply");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			{	/* Ast/apply.scm 14 */
				obj_t BgL_cportz00_2579;

				BgL_cportz00_2579 =
					bgl_open_input_string(BGl_string2162z00zzast_applyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2580;

					BgL_iz00_2580 = ((long) 13);
				BgL_loopz00_2581:
					if ((BgL_iz00_2580 == ((long) -1)))
						{	/* Ast/apply.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/apply.scm 14 */
							{	/* Ast/apply.scm 14 */
								obj_t BgL_arg2164z00_2583;

								{	/* Ast/apply.scm 14 */

									{	/* Ast/apply.scm 14 */
										obj_t BgL_locationz00_2585;

										BgL_locationz00_2585 = BBOOL(((bool_t) 0));
										{	/* Ast/apply.scm 14 */

											BgL_arg2164z00_2583 =
												BGl_readz00zz__readerz00(BgL_cportz00_2579,
												BgL_locationz00_2585);
										}
									}
								}
								{	/* Ast/apply.scm 14 */
									int BgL_auxz00_2610;

									BgL_auxz00_2610 = (int) (BgL_iz00_2580);
									CNST_TABLE_SET(BgL_auxz00_2610, BgL_arg2164z00_2583);
							}}
							{	/* Ast/apply.scm 14 */
								int BgL_auxz00_2586;

								BgL_auxz00_2586 = (int) ((BgL_iz00_2580 - ((long) 1)));
								{
									long BgL_iz00_2615;

									BgL_iz00_2615 = (long) (BgL_auxz00_2586);
									BgL_iz00_2580 = BgL_iz00_2615;
									goto BgL_loopz00_2581;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}
	}



/* applycation->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_expz00_3,
		obj_t BgL_stackz00_4, obj_t BgL_locz00_5, obj_t BgL_sitez00_6)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			{
				obj_t BgL_procz00_1238;
				obj_t BgL_argz00_1239;

				if (PAIRP(BgL_expz00_3))
					{	/* Ast/apply.scm 32 */
						obj_t BgL_cdrzd2109zd2_1244;

						BgL_cdrzd2109zd2_1244 = CDR(BgL_expz00_3);
						if ((CAR(BgL_expz00_3) == CNST_TABLE_REF(((long) 0))))
							{	/* Ast/apply.scm 32 */
								if (PAIRP(BgL_cdrzd2109zd2_1244))
									{	/* Ast/apply.scm 32 */
										obj_t BgL_cdrzd2113zd2_1247;

										BgL_cdrzd2113zd2_1247 = CDR(BgL_cdrzd2109zd2_1244);
										if (PAIRP(BgL_cdrzd2113zd2_1247))
											{	/* Ast/apply.scm 32 */
												if (NULLP(CDR(BgL_cdrzd2113zd2_1247)))
													{	/* Ast/apply.scm 32 */
														BgL_procz00_1238 = CAR(BgL_cdrzd2109zd2_1244);
														BgL_argz00_1239 = CAR(BgL_cdrzd2113zd2_1247);
														{	/* Ast/apply.scm 34 */
															obj_t BgL_locz00_1254;

															BgL_locz00_1254 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_3, BgL_locz00_5);
															{	/* Ast/apply.scm 34 */
																BgL_nodez00_bglt BgL_procz00_1255;

																{	/* Ast/apply.scm 37 */
																	obj_t BgL_arg1855z00_1274;

																	BgL_arg1855z00_1274 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_procz00_1238, BgL_locz00_1254);
																	BgL_procz00_1255 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_procz00_1238, BgL_stackz00_4,
																		BgL_arg1855z00_1274,
																		CNST_TABLE_REF(((long) 0)));
																}
																{	/* Ast/apply.scm 35 */
																	BgL_nodez00_bglt BgL_argz00_1256;

																	{	/* Ast/apply.scm 41 */
																		obj_t BgL_arg1854z00_1273;

																		BgL_arg1854z00_1273 =
																			BGl_findzd2locationzf2locz20zztools_locationz00
																			(BgL_argz00_1239, BgL_locz00_1254);
																		BgL_argz00_1256 =
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_argz00_1239, BgL_stackz00_4,
																			BgL_arg1854z00_1273,
																			CNST_TABLE_REF(((long) 1)));
																	}
																	{	/* Ast/apply.scm 39 */

																		{	/* Ast/apply.scm 43 */
																			bool_t BgL_testz00_2639;

																			{	/* Ast/apply.scm 43 */
																				bool_t BgL_testz00_2640;

																				{	/* Ast/apply.scm 43 */
																					bool_t BgL_res2068z00_2232;

																					BgL_res2068z00_2232 =
																						BGl_isazf3zf3zz__objectz00(
																						((obj_t) BgL_procz00_1255),
																						BGl_varz00zzast_nodez00);
																					BgL_testz00_2640 =
																						BgL_res2068z00_2232;
																				}
																				if (BgL_testz00_2640)
																					{	/* Ast/apply.scm 44 */
																						bool_t BgL_testz00_2643;

																						{	/* Ast/apply.scm 44 */
																							BgL_valuez00_bglt
																								BgL_arg1851z00_1271;
																							BgL_arg1851z00_1271 =
																								(((BgL_variablez00_bglt)
																									CREF((((BgL_varz00_bglt)
																												CREF(((BgL_varz00_bglt)
																														BgL_procz00_1255)))->
																											BgL_variablez00)))->
																								BgL_valuez00);
																							{	/* Ast/apply.scm 44 */
																								bool_t BgL_res2071z00_2240;

																								BgL_res2071z00_2240 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_arg1851z00_1271),
																									BGl_funz00zzast_varz00);
																								BgL_testz00_2643 =
																									BgL_res2071z00_2240;
																							}
																						}
																						if (BgL_testz00_2643)
																							{	/* Ast/apply.scm 45 */
																								bool_t BgL__ortest_1094z00_1263;

																								{	/* Ast/apply.scm 45 */
																									bool_t BgL_testz00_2649;

																									{	/* Ast/apply.scm 45 */
																										BgL_variablez00_bglt
																											BgL_arg1850z00_1270;
																										BgL_arg1850z00_1270 =
																											(((BgL_varz00_bglt)
																												CREF(((BgL_varz00_bglt)
																														BgL_procz00_1255)))->
																											BgL_variablez00);
																										{	/* Ast/apply.scm 45 */
																											bool_t
																												BgL_res2073z00_2245;
																											BgL_res2073z00_2245 =
																												BGl_isazf3zf3zz__objectz00
																												(((obj_t)
																													BgL_arg1850z00_1270),
																												BGl_globalz00zzast_varz00);
																											BgL_testz00_2649 =
																												BgL_res2073z00_2245;
																										}
																									}
																									if (BgL_testz00_2649)
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_1094z00_1263 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_1094z00_1263 =
																												((bool_t) 1);
																										}
																								}
																								if (BgL__ortest_1094z00_1263)
																									{	/* Ast/apply.scm 45 */
																										BgL_testz00_2639 =
																											BgL__ortest_1094z00_1263;
																									}
																								else
																									{	/* Ast/apply.scm 46 */
																										bool_t BgL_testz00_2655;

																										{	/* Ast/apply.scm 46 */
																											bool_t BgL_testz00_2656;

																											{	/* Ast/apply.scm 46 */
																												BgL_variablez00_bglt
																													BgL_arg1848z00_1268;
																												BgL_arg1848z00_1268 =
																													(((BgL_varz00_bglt)
																														CREF((
																																(BgL_varz00_bglt)
																																BgL_procz00_1255)))->
																													BgL_variablez00);
																												BgL_testz00_2656 =
																													BGl_globalzd2optionalzf3z21zzast_varz00
																													(((obj_t)
																														BgL_arg1848z00_1268));
																											}
																											if (BgL_testz00_2656)
																												{	/* Ast/apply.scm 46 */
																													BgL_testz00_2655 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Ast/apply.scm 46 */
																													BgL_testz00_2655 =
																														((bool_t) 1);
																												}
																										}
																										if (BgL_testz00_2655)
																											{	/* Ast/apply.scm 47 */
																												bool_t BgL_testz00_2661;

																												{	/* Ast/apply.scm 47 */
																													BgL_variablez00_bglt
																														BgL_arg1846z00_1266;
																													BgL_arg1846z00_1266 =
																														(((BgL_varz00_bglt)
																															CREF((
																																	(BgL_varz00_bglt)
																																	BgL_procz00_1255)))->
																														BgL_variablez00);
																													BgL_testz00_2661 =
																														BGl_globalzd2keyzf3z21zzast_varz00
																														(((obj_t)
																															BgL_arg1846z00_1266));
																												}
																												if (BgL_testz00_2661)
																													{	/* Ast/apply.scm 47 */
																														BgL_testz00_2639 =
																															((bool_t) 0);
																													}
																												else
																													{	/* Ast/apply.scm 47 */
																														BgL_testz00_2639 =
																															((bool_t) 1);
																													}
																											}
																										else
																											{	/* Ast/apply.scm 46 */
																												BgL_testz00_2639 =
																													((bool_t) 0);
																											}
																									}
																							}
																						else
																							{	/* Ast/apply.scm 44 */
																								BgL_testz00_2639 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Ast/apply.scm 43 */
																						BgL_testz00_2639 = ((bool_t) 0);
																					}
																			}
																			if (BgL_testz00_2639)
																				{	/* Ast/apply.scm 43 */
																					return
																						BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00
																						(BgL_stackz00_4, BgL_locz00_1254,
																						BgL_procz00_1255, BgL_argz00_1256,
																						BgL_sitez00_6);
																				}
																			else
																				{	/* Ast/apply.scm 49 */
																					BgL_appzd2lyzd2_bglt
																						BgL_new1098z00_1258;
																					{	/* Ast/apply.scm 50 */
																						BgL_appzd2lyzd2_bglt
																							BgL_new1097z00_1259;
																						BgL_new1097z00_1259 =
																							((BgL_appzd2lyzd2_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_appzd2lyzd2_bgl))));
																						{	/* Ast/apply.scm 50 */
																							long BgL_arg1842z00_1260;

																							{	/* Ast/apply.scm 50 */
																								long BgL_res2076z00_2253;

																								BgL_res2076z00_2253 =
																									BGL_CLASS_INDEX
																									(BGl_appzd2lyzd2zzast_nodez00);
																								BgL_arg1842z00_1260 =
																									BgL_res2076z00_2253;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1097z00_1259),
																								BgL_arg1842z00_1260);
																						}
																						{	/* Ast/apply.scm 50 */
																							BgL_objectz00_bglt
																								BgL_auxz00_2671;
																							BgL_auxz00_2671 =
																								((BgL_objectz00_bglt)
																								BgL_new1097z00_1259);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_2671, BFALSE);
																						}
																						BgL_new1098z00_1258 =
																							BgL_new1097z00_1259;
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((BgL_nodez00_bglt)
																										BgL_new1098z00_1258)))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_1254), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_new1098z00_1258)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2_za2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_appzd2lyzd2_bglt)
																								CREF(BgL_new1098z00_1258))->
																							BgL_funz00) =
																						((BgL_nodez00_bglt)
																							BgL_procz00_1255), BUNSPEC);
																					((((BgL_appzd2lyzd2_bglt)
																								CREF(BgL_new1098z00_1258))->
																							BgL_argz00) =
																						((BgL_nodez00_bglt)
																							BgL_argz00_1256), BUNSPEC);
																					return ((BgL_nodez00_bglt)
																						BgL_new1098z00_1258);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/apply.scm 32 */
													BgL_tagzd2102zd2_1241:
														return
															BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
															(BGl_string2152z00zzast_applyz00, BgL_expz00_3,
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_3, BgL_locz00_5));
													}
											}
										else
											{	/* Ast/apply.scm 32 */
												goto BgL_tagzd2102zd2_1241;
											}
									}
								else
									{	/* Ast/apply.scm 32 */
										goto BgL_tagzd2102zd2_1241;
									}
							}
						else
							{	/* Ast/apply.scm 32 */
								goto BgL_tagzd2102zd2_1241;
							}
					}
				else
					{	/* Ast/apply.scm 32 */
						goto BgL_tagzd2102zd2_1241;
					}
			}
		}
	}



/* &applycation->node */
	BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_2542, obj_t BgL_expz00_2543, obj_t BgL_stackz00_2544,
		obj_t BgL_locz00_2545, obj_t BgL_sitez00_2546)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			return
				BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_2543,
				BgL_stackz00_2544, BgL_locz00_2545, BgL_sitez00_2546);
		}
	}



/* known-app-ly->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_stackz00_10,
		obj_t BgL_locz00_11, BgL_nodez00_bglt BgL_procz00_12,
		BgL_nodez00_bglt BgL_argz00_13, obj_t BgL_sitez00_14)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 107 */
			{	/* Ast/apply.scm 108 */
				BgL_valuez00_bglt BgL_funz00_1276;

				BgL_funz00_1276 =
					(((BgL_variablez00_bglt) CREF(
							(((BgL_varz00_bglt) CREF(
										((BgL_varz00_bglt) BgL_procz00_12)))->BgL_variablez00)))->
					BgL_valuez00);
				{	/* Ast/apply.scm 108 */
					long BgL_arityz00_1277;

					BgL_arityz00_1277 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_1276)))->BgL_arityz00);
					{	/* Ast/apply.scm 109 */
						obj_t BgL_framez00_1278;

						BgL_framez00_1278 =
							BGl_makezd2funzd2framez00zzast_applyz00(
							((BgL_funz00_bglt) BgL_funz00_1276));
						{	/* Ast/apply.scm 110 */

							if ((BgL_arityz00_1277 > ((long) 0)))
								{	/* Ast/apply.scm 115 */
									return
										((BgL_nodez00_bglt)
										BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
										(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
											BgL_argz00_13, BgL_framez00_1278, BgL_sitez00_14));
								}
							else
								{	/* Ast/apply.scm 115 */
									if ((BgL_arityz00_1277 == ((long) 0)))
										{	/* Ast/apply.scm 126 */
											obj_t BgL_arg1861z00_2291;

											{	/* Ast/apply.scm 126 */
												obj_t BgL_list1862z00_2292;

												BgL_list1862z00_2292 =
													MAKE_PAIR(((obj_t) BgL_procz00_12), BNIL);
												BgL_arg1861z00_2291 = BgL_list1862z00_2292;
											}
											return
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1861z00_2291,
												BgL_stackz00_10, BgL_locz00_11, BgL_sitez00_14);
										}
									else
										{	/* Ast/apply.scm 117 */
											return
												((BgL_nodez00_bglt)
												BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
												(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
													BgL_argz00_13, BgL_framez00_1278, BgL_sitez00_14));
										}
								}
						}
					}
				}
			}
		}
	}



/* &known-app-ly->node */
	BgL_nodez00_bglt BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_2547, obj_t BgL_stackz00_2548, obj_t BgL_locz00_2549,
		obj_t BgL_procz00_2550, obj_t BgL_argz00_2551, obj_t BgL_sitez00_2552)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 107 */
			return
				BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BgL_stackz00_2548,
				BgL_locz00_2549, ((BgL_nodez00_bglt) BgL_procz00_2550),
				((BgL_nodez00_bglt) BgL_argz00_2551), BgL_sitez00_2552);
		}
	}



/* fx-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_21,
		obj_t BgL_locz00_22, BgL_nodez00_bglt BgL_procz00_23,
		BgL_nodez00_bglt BgL_argz00_24, obj_t BgL_framez00_25, obj_t BgL_sitez00_26)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 147 */
			{	/* Ast/apply.scm 148 */
				BgL_localz00_bglt BgL_runnerz00_1284;
				BgL_typez00_bglt BgL_typez00_1285;

				{	/* Ast/apply.scm 148 */
					obj_t BgL_arg1930z00_1375;

					BgL_arg1930z00_1375 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
					BgL_runnerz00_1284 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1930z00_1375,
						((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
				}
				BgL_typez00_1285 =
					(((BgL_nodez00_bglt) CREF(BgL_procz00_23))->BgL_typez00);
				{	/* Ast/apply.scm 151 */
					obj_t BgL_vz00_2303;

					BgL_vz00_2303 = CNST_TABLE_REF(((long) 3));
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_runnerz00_1284)))->
							BgL_accessz00) = ((obj_t) BgL_vz00_2303), BUNSPEC);
				}
				{	/* Ast/apply.scm 152 */
					BgL_letzd2varzd2_bglt BgL_new1105z00_1286;

					{	/* Ast/apply.scm 153 */
						BgL_letzd2varzd2_bglt BgL_new1104z00_1373;

						BgL_new1104z00_1373 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 153 */
							long BgL_arg1929z00_1374;

							{	/* Ast/apply.scm 153 */
								long BgL_res2089z00_2306;

								BgL_res2089z00_2306 =
									BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
								BgL_arg1929z00_1374 = BgL_res2089z00_2306;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1104z00_1373),
								BgL_arg1929z00_1374);
						}
						{	/* Ast/apply.scm 153 */
							BgL_objectz00_bglt BgL_auxz00_2721;

							BgL_auxz00_2721 = ((BgL_objectz00_bglt) BgL_new1104z00_1373);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2721, BFALSE);
						}
						BgL_new1105z00_1286 = BgL_new1104z00_1373;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1105z00_1286)))->BgL_locz00) =
						((obj_t) BgL_locz00_22), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1105z00_1286)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_1285)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1105z00_1286)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1105z00_1286)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_2735;

						{	/* Ast/apply.scm 155 */
							obj_t BgL_arg1863z00_1287;

							BgL_arg1863z00_1287 =
								MAKE_PAIR(
								((obj_t) BgL_runnerz00_1284), ((obj_t) BgL_argz00_24));
							{	/* Ast/apply.scm 155 */
								obj_t BgL_list1864z00_1288;

								BgL_list1864z00_1288 = MAKE_PAIR(BgL_arg1863z00_1287, BNIL);
								BgL_auxz00_2735 = BgL_list1864z00_1288;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1105z00_1286))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2735), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1105z00_1286))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BGl_loopz72z72zzast_applyz00(BgL_sitez00_26,
								BgL_procz00_23, BgL_framez00_25, BgL_stackz00_21,
								BgL_runnerz00_1284, BgL_typez00_1285, BgL_locz00_22,
								BgL_framez00_25)), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1105z00_1286))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return BgL_new1105z00_1286;
				}
			}
		}
	}



/* loop' */
	BgL_nodez00_bglt BGl_loopz72z72zzast_applyz00(obj_t BgL_sitez00_2578,
		BgL_nodez00_bglt BgL_procz00_2577, obj_t BgL_framez00_2576,
		obj_t BgL_stackz00_2575, BgL_localz00_bglt BgL_runnerz00_2574,
		BgL_typez00_bglt BgL_typez00_2573, obj_t BgL_locz00_2572,
		obj_t BgL_localsz00_1290)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 156 */
			if (NULLP(BgL_localsz00_1290))
				{	/* Ast/apply.scm 158 */
					BgL_nodez00_bglt BgL_appz00_1293;

					{	/* Ast/apply.scm 160 */
						obj_t BgL_arg1887z00_1315;

						{	/* Ast/apply.scm 160 */
							obj_t BgL_arg1888z00_1316;

							{	/* Ast/apply.scm 160 */
								obj_t BgL_arg1889z00_1317;

								if (NULLP(BgL_framez00_2576))
									{	/* Ast/apply.scm 160 */
										BgL_arg1889z00_1317 = BNIL;
									}
								else
									{	/* Ast/apply.scm 160 */
										obj_t BgL_head1815z00_1320;

										{	/* Ast/apply.scm 160 */
											obj_t BgL_res2093z00_2317;

											BgL_res2093z00_2317 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1815z00_1320 = BgL_res2093z00_2317;
										}
										{
											obj_t BgL_l1813z00_1322;
											obj_t BgL_tail1816z00_1323;

											BgL_l1813z00_1322 = BgL_framez00_2576;
											BgL_tail1816z00_1323 = BgL_head1815z00_1320;
										BgL_zc3anonymousza31891ze3z83_1324:
											if (NULLP(BgL_l1813z00_1322))
												{	/* Ast/apply.scm 160 */
													BgL_arg1889z00_1317 = CDR(BgL_head1815z00_1320);
												}
											else
												{	/* Ast/apply.scm 160 */
													obj_t BgL_newtail1817z00_1326;

													{	/* Ast/apply.scm 160 */
														BgL_varz00_bglt BgL_arg1894z00_1328;

														{	/* Ast/apply.scm 160 */
															obj_t BgL_localz00_1329;

															BgL_localz00_1329 = CAR(BgL_l1813z00_1322);
															{	/* Ast/apply.scm 161 */
																BgL_varz00_bglt BgL_new1107z00_1330;

																{	/* Ast/apply.scm 164 */
																	BgL_varz00_bglt BgL_new1106z00_1332;

																	BgL_new1106z00_1332 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Ast/apply.scm 164 */
																		long BgL_arg1896z00_1333;

																		{	/* Ast/apply.scm 164 */
																			long BgL_res2095z00_2323;

																			BgL_res2095z00_2323 =
																				BGL_CLASS_INDEX
																				(BGl_varz00zzast_nodez00);
																			BgL_arg1896z00_1333 = BgL_res2095z00_2323;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1106z00_1332),
																			BgL_arg1896z00_1333);
																	}
																	{	/* Ast/apply.scm 164 */
																		BgL_objectz00_bglt BgL_auxz00_2757;

																		BgL_auxz00_2757 =
																			((BgL_objectz00_bglt)
																			BgL_new1106z00_1332);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_2757,
																			BFALSE);
																	}
																	BgL_new1107z00_1330 = BgL_new1106z00_1332;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1107z00_1330)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2572), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2762;

																	{	/* Ast/apply.scm 163 */
																		BgL_typez00_bglt BgL_arg1895z00_1331;

																		BgL_arg1895z00_1331 =
																			(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_localz00_1329))))->
																			BgL_typez00);
																		BgL_auxz00_2762 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1895z00_1331);
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1107z00_1330)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2762),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt)
																			CREF(BgL_new1107z00_1330))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_localz00_1329)), BUNSPEC);
																BgL_arg1894z00_1328 = BgL_new1107z00_1330;
														}}
														{	/* Ast/apply.scm 160 */
															obj_t BgL_res2097z00_2331;

															BgL_res2097z00_2331 =
																MAKE_PAIR(((obj_t) BgL_arg1894z00_1328), BNIL);
															BgL_newtail1817z00_1326 = BgL_res2097z00_2331;
													}}
													SET_CDR(BgL_tail1816z00_1323,
														BgL_newtail1817z00_1326);
													{
														obj_t BgL_tail1816z00_2777;
														obj_t BgL_l1813z00_2775;

														BgL_l1813z00_2775 = CDR(BgL_l1813z00_1322);
														BgL_tail1816z00_2777 = BgL_newtail1817z00_1326;
														BgL_tail1816z00_1323 = BgL_tail1816z00_2777;
														BgL_l1813z00_1322 = BgL_l1813z00_2775;
														goto BgL_zc3anonymousza31891ze3z83_1324;
													}
												}
										}
									}
								BgL_arg1888z00_1316 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1889z00_1317, BNIL);
							}
							BgL_arg1887z00_1315 =
								MAKE_PAIR(((obj_t) BgL_procz00_2577), BgL_arg1888z00_1316);
						}
						BgL_appz00_1293 =
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_arg1887z00_1315,
							BgL_stackz00_2575, BgL_locz00_2572, CNST_TABLE_REF(((long) 1)));
					}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Ast/apply.scm 169 */
							return BgL_appz00_1293;
						}
					else
						{	/* Ast/apply.scm 173 */
							obj_t BgL_arg1867z00_1294;

							{	/* Ast/apply.scm 173 */
								obj_t BgL_arg1868z00_1295;

								{	/* Ast/apply.scm 173 */
									obj_t BgL_arg1869z00_1296;
									obj_t BgL_arg1870z00_1297;

									{	/* Ast/apply.scm 173 */
										obj_t BgL_arg1871z00_1298;

										{	/* Ast/apply.scm 173 */
											obj_t BgL_arg1872z00_1299;

											{	/* Ast/apply.scm 173 */
												obj_t BgL_arg1873z00_1300;

												{	/* Ast/apply.scm 173 */
													BgL_varz00_bglt BgL_arg1874z00_1301;

													{	/* Ast/apply.scm 173 */
														BgL_varz00_bglt BgL_new1109z00_1302;

														{	/* Ast/apply.scm 176 */
															BgL_varz00_bglt BgL_new1108z00_1304;

															BgL_new1108z00_1304 =
																((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_varz00_bgl))));
															{	/* Ast/apply.scm 176 */
																long BgL_arg1877z00_1305;

																{	/* Ast/apply.scm 176 */
																	long BgL_res2098z00_2336;

																	BgL_res2098z00_2336 =
																		BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																	BgL_arg1877z00_1305 = BgL_res2098z00_2336;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1108z00_1304),
																	BgL_arg1877z00_1305);
															}
															{	/* Ast/apply.scm 176 */
																BgL_objectz00_bglt BgL_auxz00_2789;

																BgL_auxz00_2789 =
																	((BgL_objectz00_bglt) BgL_new1108z00_1304);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_2789,
																	BFALSE);
															}
															BgL_new1109z00_1302 = BgL_new1108z00_1304;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1109z00_1302)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_2572), BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_2794;

															{	/* Ast/apply.scm 175 */
																BgL_typez00_bglt BgL_arg1875z00_1303;

																BgL_arg1875z00_1303 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_runnerz00_2574)))->BgL_typez00);
																BgL_auxz00_2794 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																		(BgL_typez00_bglt)
																		BGl_za2_za2z00zztype_cachez00),
																	BgL_arg1875z00_1303);
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1109z00_1302)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_2794), BUNSPEC);
														}
														((((BgL_varz00_bglt) CREF(BgL_new1109z00_1302))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_runnerz00_2574)), BUNSPEC);
														BgL_arg1874z00_1301 = BgL_new1109z00_1302;
													}
													BgL_arg1873z00_1300 =
														MAKE_PAIR(((obj_t) BgL_arg1874z00_1301), BNIL);
												}
												BgL_arg1872z00_1299 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
													BgL_arg1873z00_1300);
											}
											BgL_arg1871z00_1298 =
												MAKE_PAIR(BgL_arg1872z00_1299, BNIL);
										}
										BgL_arg1869z00_1296 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
											BgL_arg1871z00_1298);
									}
									{	/* Ast/apply.scm 180 */
										obj_t BgL_arg1878z00_1306;

										{	/* Ast/apply.scm 180 */
											obj_t BgL_arg1879z00_1307;

											{	/* Ast/apply.scm 180 */
												obj_t BgL_arg1880z00_1308;

												{	/* Ast/apply.scm 180 */
													obj_t BgL_arg1881z00_1309;

													{	/* Ast/apply.scm 180 */
														obj_t BgL_arg1882z00_1310;

														{	/* Ast/apply.scm 180 */
															obj_t BgL_arg1883z00_1311;

															{	/* Ast/apply.scm 180 */
																obj_t BgL_arg1884z00_1312;

																{	/* Ast/apply.scm 180 */
																	obj_t BgL_arg1885z00_1313;

																	{	/* Ast/apply.scm 180 */
																		BgL_variablez00_bglt BgL_arg1886z00_1314;

																		BgL_arg1886z00_1314 =
																			(((BgL_varz00_bglt) CREF(
																					((BgL_varz00_bglt)
																						BgL_procz00_2577)))->
																			BgL_variablez00);
																		BgL_arg1885z00_1313 =
																			BGl_shapez00zztools_shapez00(((obj_t)
																				BgL_arg1886z00_1314));
																	}
																	BgL_arg1884z00_1312 =
																		MAKE_PAIR(BgL_arg1885z00_1313, BNIL);
																}
																BgL_arg1883z00_1311 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																	BgL_arg1884z00_1312);
															}
															BgL_arg1882z00_1310 =
																MAKE_PAIR(BgL_arg1883z00_1311, BNIL);
														}
														BgL_arg1881z00_1309 =
															MAKE_PAIR(BGl_string2153z00zzast_applyz00,
															BgL_arg1882z00_1310);
													}
													BgL_arg1880z00_1308 =
														MAKE_PAIR(BGl_string2154z00zzast_applyz00,
														BgL_arg1881z00_1309);
												}
												BgL_arg1879z00_1307 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
													BgL_arg1880z00_1308);
											}
											BgL_arg1878z00_1306 =
												MAKE_PAIR(BgL_arg1879z00_1307, BNIL);
										}
										BgL_arg1870z00_1297 =
											MAKE_PAIR(((obj_t) BgL_appz00_1293), BgL_arg1878z00_1306);
									}
									BgL_arg1868z00_1295 =
										MAKE_PAIR(BgL_arg1869z00_1296, BgL_arg1870z00_1297);
								}
								BgL_arg1867z00_1294 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg1868z00_1295);
							}
							return
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1867z00_1294,
								BgL_stackz00_2575, BgL_locz00_2572, BgL_sitez00_2578);
						}
				}
			else
				{	/* Ast/apply.scm 184 */
					BgL_letzd2varzd2_bglt BgL_new1111z00_1335;

					{	/* Ast/apply.scm 185 */
						BgL_letzd2varzd2_bglt BgL_new1110z00_1370;

						BgL_new1110z00_1370 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 185 */
							long BgL_arg1928z00_1371;

							{	/* Ast/apply.scm 185 */
								long BgL_res2101z00_2346;

								BgL_res2101z00_2346 =
									BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
								BgL_arg1928z00_1371 = BgL_res2101z00_2346;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1110z00_1370),
								BgL_arg1928z00_1371);
						}
						{	/* Ast/apply.scm 185 */
							BgL_objectz00_bglt BgL_auxz00_2833;

							BgL_auxz00_2833 = ((BgL_objectz00_bglt) BgL_new1110z00_1370);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2833, BFALSE);
						}
						BgL_new1111z00_1335 = BgL_new1110z00_1370;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1111z00_1335)))->BgL_locz00) =
						((obj_t) BgL_locz00_2572), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1111z00_1335)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_2573)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1111z00_1335)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1111z00_1335)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_2847;

						{	/* Ast/apply.scm 188 */
							obj_t BgL_arg1897z00_1336;

							{	/* Ast/apply.scm 188 */
								obj_t BgL_arg1900z00_1338;
								BgL_nodez00_bglt BgL_arg1901z00_1339;

								BgL_arg1900z00_1338 = CAR(BgL_localsz00_1290);
								{	/* Ast/apply.scm 191 */
									obj_t BgL_arg1902z00_1340;

									{	/* Ast/apply.scm 191 */
										obj_t BgL_arg1903z00_1341;

										{	/* Ast/apply.scm 191 */
											BgL_varz00_bglt BgL_arg1904z00_1342;

											{	/* Ast/apply.scm 191 */
												BgL_varz00_bglt BgL_new1114z00_1343;

												{	/* Ast/apply.scm 194 */
													BgL_varz00_bglt BgL_new1112z00_1345;

													BgL_new1112z00_1345 =
														((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_varz00_bgl))));
													{	/* Ast/apply.scm 194 */
														long BgL_arg1906z00_1346;

														{	/* Ast/apply.scm 194 */
															long BgL_res2102z00_2351;

															{	/* Ast/apply.scm 194 */
																obj_t BgL_classz00_2350;

																BgL_classz00_2350 = BGl_varz00zzast_nodez00;
																BgL_res2102z00_2351 =
																	BGL_CLASS_INDEX(BgL_classz00_2350);
															}
															BgL_arg1906z00_1346 = BgL_res2102z00_2351;
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1112z00_1345),
															BgL_arg1906z00_1346);
													}
													{	/* Ast/apply.scm 194 */
														BgL_objectz00_bglt BgL_auxz00_2853;

														BgL_auxz00_2853 =
															((BgL_objectz00_bglt) BgL_new1112z00_1345);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_2853, BFALSE);
													}
													BgL_new1114z00_1343 = BgL_new1112z00_1345;
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1114z00_1343)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2572), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_2858;

													{	/* Ast/apply.scm 193 */
														BgL_typez00_bglt BgL_arg1905z00_1344;

														BgL_arg1905z00_1344 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2574)))->BgL_typez00);
														BgL_auxz00_2858 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1905z00_1344);
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1114z00_1343)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_2858), BUNSPEC);
												}
												((((BgL_varz00_bglt) CREF(BgL_new1114z00_1343))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2574)), BUNSPEC);
												BgL_arg1904z00_1342 = BgL_new1114z00_1343;
											}
											BgL_arg1903z00_1341 =
												MAKE_PAIR(((obj_t) BgL_arg1904z00_1342), BNIL);
										}
										BgL_arg1902z00_1340 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
											BgL_arg1903z00_1341);
									}
									BgL_arg1901z00_1339 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1902z00_1340,
										BgL_stackz00_2575, BgL_locz00_2572,
										CNST_TABLE_REF(((long) 1)));
								}
								BgL_arg1897z00_1336 =
									MAKE_PAIR(BgL_arg1900z00_1338, ((obj_t) BgL_arg1901z00_1339));
							}
							{	/* Ast/apply.scm 187 */
								obj_t BgL_list1898z00_1337;

								BgL_list1898z00_1337 = MAKE_PAIR(BgL_arg1897z00_1336, BNIL);
								BgL_auxz00_2847 = BgL_list1898z00_1337;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1111z00_1335))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2847), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_2877;

						if (NULLP(CDR(BgL_localsz00_1290)))
							{	/* Ast/apply.scm 199 */
								obj_t BgL_arg1908z00_1348;

								BgL_arg1908z00_1348 = CDR(BgL_localsz00_1290);
								BgL_auxz00_2877 =
									BGl_loopz72z72zzast_applyz00(BgL_sitez00_2578,
									BgL_procz00_2577, BgL_framez00_2576, BgL_stackz00_2575,
									BgL_runnerz00_2574, BgL_typez00_2573, BgL_locz00_2572,
									BgL_arg1908z00_1348);
							}
						else
							{	/* Ast/apply.scm 202 */
								obj_t BgL_arg1909z00_1349;

								{	/* Ast/apply.scm 202 */
									obj_t BgL_arg1910z00_1350;

									{	/* Ast/apply.scm 202 */
										obj_t BgL_arg1911z00_1351;
										obj_t BgL_arg1912z00_1352;

										{	/* Ast/apply.scm 202 */
											obj_t BgL_arg1913z00_1353;

											{	/* Ast/apply.scm 202 */
												BgL_varz00_bglt BgL_arg1914z00_1354;
												obj_t BgL_arg1915z00_1355;

												{	/* Ast/apply.scm 202 */
													BgL_varz00_bglt BgL_new1116z00_1356;

													{	/* Ast/apply.scm 205 */
														BgL_varz00_bglt BgL_new1115z00_1358;

														BgL_new1115z00_1358 =
															((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																		BgL_varz00_bgl))));
														{	/* Ast/apply.scm 205 */
															long BgL_arg1918z00_1359;

															{	/* Ast/apply.scm 205 */
																long BgL_res2106z00_2364;

																{	/* Ast/apply.scm 205 */
																	obj_t BgL_classz00_2363;

																	BgL_classz00_2363 = BGl_varz00zzast_nodez00;
																	BgL_res2106z00_2364 =
																		BGL_CLASS_INDEX(BgL_classz00_2363);
																}
																BgL_arg1918z00_1359 = BgL_res2106z00_2364;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1115z00_1358),
																BgL_arg1918z00_1359);
														}
														{	/* Ast/apply.scm 205 */
															BgL_objectz00_bglt BgL_auxz00_2887;

															BgL_auxz00_2887 =
																((BgL_objectz00_bglt) BgL_new1115z00_1358);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2887, BFALSE);
														}
														BgL_new1116z00_1356 = BgL_new1115z00_1358;
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1116z00_1356)))->
															BgL_locz00) = ((obj_t) BgL_locz00_2572), BUNSPEC);
													{
														BgL_typez00_bglt BgL_auxz00_2892;

														{	/* Ast/apply.scm 204 */
															BgL_typez00_bglt BgL_arg1916z00_1357;

															BgL_arg1916z00_1357 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			BgL_runnerz00_2574)))->BgL_typez00);
															BgL_auxz00_2892 =
																BGl_strictzd2nodezd2typez00zzast_nodez00((
																	(BgL_typez00_bglt)
																	BGl_za2_za2z00zztype_cachez00),
																BgL_arg1916z00_1357);
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1116z00_1356)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_2892), BUNSPEC);
													}
													((((BgL_varz00_bglt) CREF(BgL_new1116z00_1356))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_runnerz00_2574)), BUNSPEC);
													BgL_arg1914z00_1354 = BgL_new1116z00_1356;
												}
												{	/* Ast/apply.scm 207 */
													obj_t BgL_arg1919z00_1360;

													{	/* Ast/apply.scm 207 */
														obj_t BgL_arg1920z00_1361;

														{	/* Ast/apply.scm 207 */
															BgL_varz00_bglt BgL_arg1921z00_1362;

															{	/* Ast/apply.scm 207 */
																BgL_varz00_bglt BgL_new1118z00_1363;

																{	/* Ast/apply.scm 210 */
																	BgL_varz00_bglt BgL_new1117z00_1365;

																	BgL_new1117z00_1365 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Ast/apply.scm 210 */
																		long BgL_arg1923z00_1366;

																		{	/* Ast/apply.scm 210 */
																			long BgL_res2108z00_2371;

																			{	/* Ast/apply.scm 210 */
																				obj_t BgL_classz00_2370;

																				BgL_classz00_2370 =
																					BGl_varz00zzast_nodez00;
																				BgL_res2108z00_2371 =
																					BGL_CLASS_INDEX(BgL_classz00_2370);
																			}
																			BgL_arg1923z00_1366 = BgL_res2108z00_2371;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1117z00_1365),
																			BgL_arg1923z00_1366);
																	}
																	{	/* Ast/apply.scm 210 */
																		BgL_objectz00_bglt BgL_auxz00_2905;

																		BgL_auxz00_2905 =
																			((BgL_objectz00_bglt)
																			BgL_new1117z00_1365);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_2905,
																			BFALSE);
																	}
																	BgL_new1118z00_1363 = BgL_new1117z00_1365;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1118z00_1363)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2572), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2910;

																	{	/* Ast/apply.scm 209 */
																		BgL_typez00_bglt BgL_arg1922z00_1364;

																		BgL_arg1922z00_1364 =
																			(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						BgL_runnerz00_2574)))->BgL_typez00);
																		BgL_auxz00_2910 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1922z00_1364);
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1118z00_1363)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2910),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt)
																			CREF(BgL_new1118z00_1363))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_runnerz00_2574)), BUNSPEC);
																BgL_arg1921z00_1362 = BgL_new1118z00_1363;
															}
															BgL_arg1920z00_1361 =
																MAKE_PAIR(((obj_t) BgL_arg1921z00_1362), BNIL);
														}
														BgL_arg1919z00_1360 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
															BgL_arg1920z00_1361);
													}
													BgL_arg1915z00_1355 =
														MAKE_PAIR(BgL_arg1919z00_1360, BNIL);
												}
												BgL_arg1913z00_1353 =
													MAKE_PAIR(
													((obj_t) BgL_arg1914z00_1354), BgL_arg1915z00_1355);
											}
											BgL_arg1911z00_1351 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
												BgL_arg1913z00_1353);
										}
										{	/* Ast/apply.scm 211 */
											BgL_nodez00_bglt BgL_arg1925z00_1367;

											{	/* Ast/apply.scm 211 */
												obj_t BgL_arg1926z00_1368;

												BgL_arg1926z00_1368 = CDR(BgL_localsz00_1290);
												BgL_arg1925z00_1367 =
													BGl_loopz72z72zzast_applyz00(BgL_sitez00_2578,
													BgL_procz00_2577, BgL_framez00_2576,
													BgL_stackz00_2575, BgL_runnerz00_2574,
													BgL_typez00_2573, BgL_locz00_2572,
													BgL_arg1926z00_1368);
											}
											BgL_arg1912z00_1352 =
												MAKE_PAIR(((obj_t) BgL_arg1925z00_1367), BNIL);
										}
										BgL_arg1910z00_1350 =
											MAKE_PAIR(BgL_arg1911z00_1351, BgL_arg1912z00_1352);
									}
									BgL_arg1909z00_1349 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 11)), BgL_arg1910z00_1350);
								}
								BgL_auxz00_2877 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1909z00_1349,
									BgL_stackz00_2575, BgL_locz00_2572,
									CNST_TABLE_REF(((long) 1)));
							}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1111z00_1335))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_2877), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1111z00_1335))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1111z00_1335);
				}
		}
	}



/* va-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_27,
		obj_t BgL_locz00_28, BgL_nodez00_bglt BgL_procz00_29,
		BgL_nodez00_bglt BgL_argz00_30, obj_t BgL_framez00_31, obj_t BgL_sitez00_32)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 232 */
			{	/* Ast/apply.scm 233 */
				obj_t BgL_framez00_2571;

				BgL_framez00_2571 = MAKE_CELL(BgL_framez00_31);
				{	/* Ast/apply.scm 233 */
					BgL_localz00_bglt BgL_runnerz00_1377;
					BgL_typez00_bglt BgL_typez00_1378;

					{	/* Ast/apply.scm 233 */
						obj_t BgL_arg1982z00_1455;

						BgL_arg1982z00_1455 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
						BgL_runnerz00_1377 =
							BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1982z00_1455,
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
					}
					{	/* Ast/apply.scm 234 */
						BgL_typez00_bglt BgL_arg1984z00_1457;

						BgL_arg1984z00_1457 =
							(((BgL_nodez00_bglt) CREF(BgL_procz00_29))->BgL_typez00);
						BgL_typez00_1378 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
							BgL_arg1984z00_1457);
					}
					{	/* Ast/apply.scm 235 */
						bool_t BgL_testz00_2948;

						{	/* Ast/apply.scm 235 */
							obj_t BgL_objz00_2381;

							BgL_objz00_2381 = CELL_REF(BgL_framez00_2571);
							BgL_testz00_2948 = PAIRP(BgL_objz00_2381);
						}
						if (BgL_testz00_2948)
							{	/* Ast/apply.scm 236 */
								obj_t BgL_vz00_2384;

								BgL_vz00_2384 = CNST_TABLE_REF(((long) 3));
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_runnerz00_1377)))->
										BgL_accessz00) = ((obj_t) BgL_vz00_2384), BUNSPEC);
							}
						else
							{	/* Ast/apply.scm 235 */
								BFALSE;
							}
					}
					{	/* Ast/apply.scm 237 */
						BgL_letzd2varzd2_bglt BgL_new1120z00_1380;

						{	/* Ast/apply.scm 238 */
							BgL_letzd2varzd2_bglt BgL_new1119z00_1453;

							BgL_new1119z00_1453 =
								((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Ast/apply.scm 238 */
								long BgL_arg1981z00_1454;

								{	/* Ast/apply.scm 238 */
									long BgL_res2112z00_2387;

									BgL_res2112z00_2387 =
										BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
									BgL_arg1981z00_1454 = BgL_res2112z00_2387;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1119z00_1453),
									BgL_arg1981z00_1454);
							}
							{	/* Ast/apply.scm 238 */
								BgL_objectz00_bglt BgL_auxz00_2957;

								BgL_auxz00_2957 = ((BgL_objectz00_bglt) BgL_new1119z00_1453);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2957, BFALSE);
							}
							BgL_new1120z00_1380 = BgL_new1119z00_1453;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1120z00_1380)))->BgL_locz00) =
							((obj_t) BgL_locz00_28), BUNSPEC);
						((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
											BgL_new1120z00_1380)))->BgL_typez00) =
							((BgL_typez00_bglt)
								BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00), BgL_typez00_1378)),
							BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1120z00_1380)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1120z00_1380)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_2971;

							{	/* Ast/apply.scm 240 */
								obj_t BgL_arg1933z00_1381;

								BgL_arg1933z00_1381 =
									MAKE_PAIR(
									((obj_t) BgL_runnerz00_1377), ((obj_t) BgL_argz00_30));
								{	/* Ast/apply.scm 240 */
									obj_t BgL_list1934z00_1382;

									BgL_list1934z00_1382 = MAKE_PAIR(BgL_arg1933z00_1381, BNIL);
									BgL_auxz00_2971 = BgL_list1934z00_1382;
							}}
							((((BgL_letzd2varzd2_bglt) CREF(BgL_new1120z00_1380))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_2971), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1120z00_1380))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
									BGl_loopz00zzast_applyz00(BgL_procz00_29, BgL_framez00_2571,
										BgL_stackz00_27, BgL_runnerz00_1377, BgL_typez00_1378,
										BgL_locz00_28, CELL_REF(BgL_framez00_2571), BNIL))),
							BUNSPEC);
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1120z00_1380))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return BgL_new1120z00_1380;
					}
				}
			}
		}
	}



/* loop */
	BgL_nodezf2effectzf2_bglt BGl_loopz00zzast_applyz00(BgL_nodez00_bglt
		BgL_procz00_2569, obj_t BgL_framez00_2568, obj_t BgL_stackz00_2567,
		BgL_localz00_bglt BgL_runnerz00_2566, BgL_typez00_bglt BgL_typez00_2565,
		obj_t BgL_locz00_2564, obj_t BgL_localsz00_1385, obj_t BgL_oldz00_1386)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 241 */
			if (NULLP(BgL_localsz00_1385))
				{	/* Ast/apply.scm 243 */
					if (NULLP(BgL_oldz00_1386))
						{	/* Ast/apply.scm 246 */
							obj_t BgL_auxz00_2570;

							{	/* Ast/apply.scm 246 */
								obj_t BgL_list1938z00_1390;

								BgL_list1938z00_1390 =
									MAKE_PAIR(((obj_t) BgL_runnerz00_2566), BNIL);
								BgL_auxz00_2570 = BgL_list1938z00_1390;
							}
							CELL_SET(BgL_framez00_2568, BgL_auxz00_2570);
						}
					else
						{	/* Ast/apply.scm 247 */
							obj_t BgL_arg1939z00_1391;

							BgL_arg1939z00_1391 =
								MAKE_PAIR(((obj_t) BgL_runnerz00_2566), BNIL);
							SET_CDR(BgL_oldz00_1386, BgL_arg1939z00_1391);
						}
					{	/* Ast/apply.scm 248 */
						BgL_appz00_bglt BgL_new1124z00_1392;

						{	/* Ast/apply.scm 249 */
							BgL_appz00_bglt BgL_new1123z00_1416;

							BgL_new1123z00_1416 =
								((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Ast/apply.scm 249 */
								long BgL_arg1950z00_1417;

								{	/* Ast/apply.scm 249 */
									long BgL_res2117z00_2401;

									BgL_res2117z00_2401 =
										BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
									BgL_arg1950z00_1417 = BgL_res2117z00_2401;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1123z00_1416),
									BgL_arg1950z00_1417);
							}
							{	/* Ast/apply.scm 249 */
								BgL_objectz00_bglt BgL_auxz00_2994;

								BgL_auxz00_2994 = ((BgL_objectz00_bglt) BgL_new1123z00_1416);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2994, BFALSE);
							}
							BgL_new1124z00_1392 = BgL_new1123z00_1416;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1124z00_1392)))->BgL_locz00) =
							((obj_t) BgL_locz00_2564), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_2999;

							{	/* Ast/apply.scm 250 */
								BgL_typez00_bglt BgL_arg1940z00_1393;

								BgL_arg1940z00_1393 =
									(((BgL_variablez00_bglt) CREF(
											(((BgL_varz00_bglt) CREF(
														((BgL_varz00_bglt) BgL_procz00_2569)))->
												BgL_variablez00)))->BgL_typez00);
								BgL_auxz00_2999 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00), BgL_arg1940z00_1393);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1124z00_1392)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2999), BUNSPEC);
						}
						((((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_new1124z00_1392)))->
								BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1124z00_1392)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							BgL_varz00_bglt BgL_auxz00_3012;

							{	/* Ast/apply.scm 251 */
								BgL_varz00_bglt BgL_new1125z00_1396;

								{	/* Ast/apply.scm 251 */
									BgL_varz00_bglt BgL_new1128z00_1397;

									BgL_new1128z00_1397 =
										((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_varz00_bgl))));
									{	/* Ast/apply.scm 251 */
										long BgL_arg1942z00_1398;

										{	/* Ast/apply.scm 251 */
											long BgL_res2120z00_2411;

											{	/* Ast/apply.scm 251 */
												obj_t BgL_classz00_2410;

												BgL_classz00_2410 = BGl_varz00zzast_nodez00;
												BgL_res2120z00_2411 =
													BGL_CLASS_INDEX(BgL_classz00_2410);
											}
											BgL_arg1942z00_1398 = BgL_res2120z00_2411;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1128z00_1397),
											BgL_arg1942z00_1398);
									}
									{	/* Ast/apply.scm 251 */
										BgL_objectz00_bglt BgL_auxz00_3017;

										BgL_auxz00_3017 =
											((BgL_objectz00_bglt) BgL_new1128z00_1397);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3017, BFALSE);
									}
									BgL_new1125z00_1396 = BgL_new1128z00_1397;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1125z00_1396)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt)
												CREF(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
															BgL_procz00_2569))))->BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1125z00_1396)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												CREF(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
															BgL_procz00_2569))))->BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) CREF(BgL_new1125z00_1396))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												CREF(((BgL_varz00_bglt) BgL_procz00_2569)))->
											BgL_variablez00)), BUNSPEC);
								BgL_auxz00_3012 = BgL_new1125z00_1396;
							}
							((((BgL_appz00_bglt) CREF(BgL_new1124z00_1392))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_3012), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_3034;

							{	/* Ast/apply.scm 252 */
								obj_t BgL_l1818z00_1399;

								BgL_l1818z00_1399 = CELL_REF(BgL_framez00_2568);
								if (NULLP(BgL_l1818z00_1399))
									{	/* Ast/apply.scm 252 */
										BgL_auxz00_3034 = BNIL;
									}
								else
									{	/* Ast/apply.scm 252 */
										obj_t BgL_head1820z00_1401;

										{	/* Ast/apply.scm 252 */
											obj_t BgL_res2122z00_2418;

											BgL_res2122z00_2418 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1820z00_1401 = BgL_res2122z00_2418;
										}
										{
											obj_t BgL_l1818z00_1403;
											obj_t BgL_tail1821z00_1404;

											BgL_l1818z00_1403 = BgL_l1818z00_1399;
											BgL_tail1821z00_1404 = BgL_head1820z00_1401;
										BgL_zc3anonymousza31944ze3z83_1405:
											if (NULLP(BgL_l1818z00_1403))
												{	/* Ast/apply.scm 252 */
													BgL_auxz00_3034 = CDR(BgL_head1820z00_1401);
												}
											else
												{	/* Ast/apply.scm 252 */
													obj_t BgL_newtail1822z00_1407;

													{	/* Ast/apply.scm 252 */
														BgL_varz00_bglt BgL_arg1947z00_1409;

														{	/* Ast/apply.scm 252 */
															obj_t BgL_localz00_1410;

															BgL_localz00_1410 = CAR(BgL_l1818z00_1403);
															{	/* Ast/apply.scm 253 */
																BgL_varz00_bglt BgL_new1130z00_1411;

																{	/* Ast/apply.scm 256 */
																	BgL_varz00_bglt BgL_new1129z00_1413;

																	BgL_new1129z00_1413 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Ast/apply.scm 256 */
																		long BgL_arg1949z00_1414;

																		{	/* Ast/apply.scm 256 */
																			long BgL_res2124z00_2424;

																			{	/* Ast/apply.scm 256 */
																				obj_t BgL_classz00_2423;

																				BgL_classz00_2423 =
																					BGl_varz00zzast_nodez00;
																				BgL_res2124z00_2424 =
																					BGL_CLASS_INDEX(BgL_classz00_2423);
																			}
																			BgL_arg1949z00_1414 = BgL_res2124z00_2424;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1129z00_1413),
																			BgL_arg1949z00_1414);
																	}
																	{	/* Ast/apply.scm 256 */
																		BgL_objectz00_bglt BgL_auxz00_3046;

																		BgL_auxz00_3046 =
																			((BgL_objectz00_bglt)
																			BgL_new1129z00_1413);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3046,
																			BFALSE);
																	}
																	BgL_new1130z00_1411 = BgL_new1129z00_1413;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1130z00_1411)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2564), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_3051;

																	{	/* Ast/apply.scm 255 */
																		BgL_typez00_bglt BgL_arg1948z00_1412;

																		BgL_arg1948z00_1412 =
																			(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_localz00_1410))))->
																			BgL_typez00);
																		BgL_auxz00_3051 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1948z00_1412);
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1130z00_1411)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_3051),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt)
																			CREF(BgL_new1130z00_1411))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_localz00_1410)), BUNSPEC);
																BgL_arg1947z00_1409 = BgL_new1130z00_1411;
														}}
														{	/* Ast/apply.scm 252 */
															obj_t BgL_res2126z00_2432;

															BgL_res2126z00_2432 =
																MAKE_PAIR(((obj_t) BgL_arg1947z00_1409), BNIL);
															BgL_newtail1822z00_1407 = BgL_res2126z00_2432;
													}}
													SET_CDR(BgL_tail1821z00_1404,
														BgL_newtail1822z00_1407);
													{	/* Ast/apply.scm 252 */
														obj_t BgL_arg1946z00_1408;

														BgL_arg1946z00_1408 = CDR(BgL_l1818z00_1403);
														{
															obj_t BgL_tail1821z00_3066;
															obj_t BgL_l1818z00_3065;

															BgL_l1818z00_3065 = BgL_arg1946z00_1408;
															BgL_tail1821z00_3066 = BgL_newtail1822z00_1407;
															BgL_tail1821z00_1404 = BgL_tail1821z00_3066;
															BgL_l1818z00_1403 = BgL_l1818z00_3065;
															goto BgL_zc3anonymousza31944ze3z83_1405;
														}
													}
												}
										}
									}
							}
							((((BgL_appz00_bglt) CREF(BgL_new1124z00_1392))->BgL_argsz00) =
								((obj_t) BgL_auxz00_3034), BUNSPEC);
						}
						return ((BgL_nodezf2effectzf2_bglt) BgL_new1124z00_1392);
					}
				}
			else
				{	/* Ast/apply.scm 258 */
					BgL_letzd2varzd2_bglt BgL_new1132z00_1418;

					{	/* Ast/apply.scm 259 */
						BgL_letzd2varzd2_bglt BgL_new1131z00_1450;

						BgL_new1131z00_1450 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 259 */
							long BgL_arg1980z00_1451;

							{	/* Ast/apply.scm 259 */
								long BgL_res2127z00_2437;

								BgL_res2127z00_2437 =
									BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
								BgL_arg1980z00_1451 = BgL_res2127z00_2437;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1131z00_1450),
								BgL_arg1980z00_1451);
						}
						{	/* Ast/apply.scm 259 */
							BgL_objectz00_bglt BgL_auxz00_3073;

							BgL_auxz00_3073 = ((BgL_objectz00_bglt) BgL_new1131z00_1450);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3073, BFALSE);
						}
						BgL_new1132z00_1418 = BgL_new1131z00_1450;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1132z00_1418)))->BgL_locz00) =
						((obj_t) BgL_locz00_2564), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1132z00_1418)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_2565)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1132z00_1418)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1132z00_1418)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_3087;

						{	/* Ast/apply.scm 262 */
							obj_t BgL_arg1951z00_1419;

							{	/* Ast/apply.scm 262 */
								obj_t BgL_arg1953z00_1421;
								BgL_nodez00_bglt BgL_arg1954z00_1422;

								BgL_arg1953z00_1421 = CAR(BgL_localsz00_1385);
								{	/* Ast/apply.scm 265 */
									obj_t BgL_arg1955z00_1423;

									{	/* Ast/apply.scm 265 */
										obj_t BgL_arg1956z00_1424;

										{	/* Ast/apply.scm 265 */
											BgL_varz00_bglt BgL_arg1957z00_1425;

											{	/* Ast/apply.scm 265 */
												BgL_varz00_bglt BgL_new1134z00_1426;

												{	/* Ast/apply.scm 268 */
													BgL_varz00_bglt BgL_new1133z00_1428;

													BgL_new1133z00_1428 =
														((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_varz00_bgl))));
													{	/* Ast/apply.scm 268 */
														long BgL_arg1959z00_1429;

														{	/* Ast/apply.scm 268 */
															long BgL_res2128z00_2442;

															{	/* Ast/apply.scm 268 */
																obj_t BgL_classz00_2441;

																BgL_classz00_2441 = BGl_varz00zzast_nodez00;
																BgL_res2128z00_2442 =
																	BGL_CLASS_INDEX(BgL_classz00_2441);
															}
															BgL_arg1959z00_1429 = BgL_res2128z00_2442;
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1133z00_1428),
															BgL_arg1959z00_1429);
													}
													{	/* Ast/apply.scm 268 */
														BgL_objectz00_bglt BgL_auxz00_3093;

														BgL_auxz00_3093 =
															((BgL_objectz00_bglt) BgL_new1133z00_1428);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_3093, BFALSE);
													}
													BgL_new1134z00_1426 = BgL_new1133z00_1428;
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1134z00_1426)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2564), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_3098;

													{	/* Ast/apply.scm 267 */
														BgL_typez00_bglt BgL_arg1958z00_1427;

														BgL_arg1958z00_1427 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2566)))->BgL_typez00);
														BgL_auxz00_3098 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1958z00_1427);
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1134z00_1426)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_3098), BUNSPEC);
												}
												((((BgL_varz00_bglt) CREF(BgL_new1134z00_1426))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2566)), BUNSPEC);
												BgL_arg1957z00_1425 = BgL_new1134z00_1426;
											}
											BgL_arg1956z00_1424 =
												MAKE_PAIR(((obj_t) BgL_arg1957z00_1425), BNIL);
										}
										BgL_arg1955z00_1423 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
											BgL_arg1956z00_1424);
									}
									BgL_arg1954z00_1422 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1955z00_1423,
										BgL_stackz00_2567, BgL_locz00_2564,
										CNST_TABLE_REF(((long) 1)));
								}
								BgL_arg1951z00_1419 =
									MAKE_PAIR(BgL_arg1953z00_1421, ((obj_t) BgL_arg1954z00_1422));
							}
							{	/* Ast/apply.scm 261 */
								obj_t BgL_list1952z00_1420;

								BgL_list1952z00_1420 = MAKE_PAIR(BgL_arg1951z00_1419, BNIL);
								BgL_auxz00_3087 = BgL_list1952z00_1420;
						}}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1132z00_1418))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_3087), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3117;

						{	/* Ast/apply.scm 274 */
							obj_t BgL_arg1960z00_1430;

							{	/* Ast/apply.scm 274 */
								obj_t BgL_arg1961z00_1431;

								{	/* Ast/apply.scm 274 */
									obj_t BgL_arg1964z00_1432;
									obj_t BgL_arg1965z00_1433;

									{	/* Ast/apply.scm 274 */
										obj_t BgL_arg1966z00_1434;

										{	/* Ast/apply.scm 274 */
											BgL_varz00_bglt BgL_arg1968z00_1435;
											obj_t BgL_arg1969z00_1436;

											{	/* Ast/apply.scm 274 */
												BgL_varz00_bglt BgL_new1136z00_1437;

												{	/* Ast/apply.scm 277 */
													BgL_varz00_bglt BgL_new1135z00_1439;

													BgL_new1135z00_1439 =
														((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_varz00_bgl))));
													{	/* Ast/apply.scm 277 */
														long BgL_arg1972z00_1440;

														{	/* Ast/apply.scm 277 */
															long BgL_res2131z00_2451;

															{	/* Ast/apply.scm 277 */
																obj_t BgL_classz00_2450;

																BgL_classz00_2450 = BGl_varz00zzast_nodez00;
																BgL_res2131z00_2451 =
																	BGL_CLASS_INDEX(BgL_classz00_2450);
															}
															BgL_arg1972z00_1440 = BgL_res2131z00_2451;
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1135z00_1439),
															BgL_arg1972z00_1440);
													}
													{	/* Ast/apply.scm 277 */
														BgL_objectz00_bglt BgL_auxz00_3122;

														BgL_auxz00_3122 =
															((BgL_objectz00_bglt) BgL_new1135z00_1439);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_3122, BFALSE);
													}
													BgL_new1136z00_1437 = BgL_new1135z00_1439;
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1136z00_1437)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2564), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_3127;

													{	/* Ast/apply.scm 276 */
														BgL_typez00_bglt BgL_arg1970z00_1438;

														BgL_arg1970z00_1438 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2566)))->BgL_typez00);
														BgL_auxz00_3127 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1970z00_1438);
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1136z00_1437)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_3127), BUNSPEC);
												}
												((((BgL_varz00_bglt) CREF(BgL_new1136z00_1437))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2566)), BUNSPEC);
												BgL_arg1968z00_1435 = BgL_new1136z00_1437;
											}
											{	/* Ast/apply.scm 278 */
												obj_t BgL_arg1973z00_1441;

												{	/* Ast/apply.scm 278 */
													obj_t BgL_arg1974z00_1442;

													{	/* Ast/apply.scm 278 */
														BgL_varz00_bglt BgL_arg1975z00_1443;

														{	/* Ast/apply.scm 278 */
															BgL_varz00_bglt BgL_new1138z00_1444;

															{	/* Ast/apply.scm 281 */
																BgL_varz00_bglt BgL_new1137z00_1446;

																BgL_new1137z00_1446 =
																	((BgL_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_varz00_bgl))));
																{	/* Ast/apply.scm 281 */
																	long BgL_arg1977z00_1447;

																	{	/* Ast/apply.scm 281 */
																		long BgL_res2133z00_2458;

																		{	/* Ast/apply.scm 281 */
																			obj_t BgL_classz00_2457;

																			BgL_classz00_2457 =
																				BGl_varz00zzast_nodez00;
																			BgL_res2133z00_2458 =
																				BGL_CLASS_INDEX(BgL_classz00_2457);
																		}
																		BgL_arg1977z00_1447 = BgL_res2133z00_2458;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1137z00_1446),
																		BgL_arg1977z00_1447);
																}
																{	/* Ast/apply.scm 281 */
																	BgL_objectz00_bglt BgL_auxz00_3140;

																	BgL_auxz00_3140 =
																		((BgL_objectz00_bglt) BgL_new1137z00_1446);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_3140,
																		BFALSE);
																}
																BgL_new1138z00_1444 = BgL_new1137z00_1446;
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1138z00_1444)))->BgL_locz00) =
																((obj_t) BgL_locz00_2564), BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_3145;

																{	/* Ast/apply.scm 280 */
																	BgL_typez00_bglt BgL_arg1976z00_1445;

																	BgL_arg1976z00_1445 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					BgL_runnerz00_2566)))->BgL_typez00);
																	BgL_auxz00_3145 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00((
																			(BgL_typez00_bglt)
																			BGl_za2_za2z00zztype_cachez00),
																		BgL_arg1976z00_1445);
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1138z00_1444)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_3145),
																	BUNSPEC);
															}
															((((BgL_varz00_bglt) CREF(BgL_new1138z00_1444))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BgL_runnerz00_2566)), BUNSPEC);
															BgL_arg1975z00_1443 = BgL_new1138z00_1444;
														}
														BgL_arg1974z00_1442 =
															MAKE_PAIR(((obj_t) BgL_arg1975z00_1443), BNIL);
													}
													BgL_arg1973z00_1441 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
														BgL_arg1974z00_1442);
												}
												BgL_arg1969z00_1436 =
													MAKE_PAIR(BgL_arg1973z00_1441, BNIL);
											}
											BgL_arg1966z00_1434 =
												MAKE_PAIR(
												((obj_t) BgL_arg1968z00_1435), BgL_arg1969z00_1436);
										}
										BgL_arg1964z00_1432 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
											BgL_arg1966z00_1434);
									}
									{	/* Ast/apply.scm 282 */
										BgL_nodezf2effectzf2_bglt BgL_arg1978z00_1448;

										{	/* Ast/apply.scm 282 */
											obj_t BgL_arg1979z00_1449;

											BgL_arg1979z00_1449 = CDR(BgL_localsz00_1385);
											BgL_arg1978z00_1448 =
												BGl_loopz00zzast_applyz00(BgL_procz00_2569,
												BgL_framez00_2568, BgL_stackz00_2567,
												BgL_runnerz00_2566, BgL_typez00_2565, BgL_locz00_2564,
												BgL_arg1979z00_1449, BgL_localsz00_1385);
										}
										BgL_arg1965z00_1433 =
											MAKE_PAIR(((obj_t) BgL_arg1978z00_1448), BNIL);
									}
									BgL_arg1961z00_1431 =
										MAKE_PAIR(BgL_arg1964z00_1432, BgL_arg1965z00_1433);
								}
								BgL_arg1960z00_1430 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 11)), BgL_arg1961z00_1431);
							}
							BgL_auxz00_3117 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1960z00_1430,
								BgL_stackz00_2567, BgL_locz00_2564, CNST_TABLE_REF(((long) 1)));
						}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1132z00_1418))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3117), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1132z00_1418))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodezf2effectzf2_bglt) BgL_new1132z00_1418);
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
				BGl_proc2155z00zzast_applyz00, BGl_funz00zzast_varz00,
				BGl_string2156z00zzast_applyz00);
		}
	}



/* &make-fun-frame1823 */
	obj_t BGl_z62makezd2funzd2frame1823z62zzast_applyz00(obj_t BgL_envz00_2554,
		obj_t BgL_funz00_2555)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 61 */
			{
				BgL_funz00_bglt BgL_funz00_1459;

				BgL_funz00_1459 = ((BgL_funz00_bglt) BgL_funz00_2555);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 12)),
					BGl_string2157z00zzast_applyz00, ((obj_t) BgL_funz00_1459));
		}}
	}



/* make-fun-frame */
	obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt BgL_funz00_7)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 61 */
			{	/* Ast/apply.scm 61 */
				obj_t BgL_method1824z00_1462;

				{	/* Ast/apply.scm 61 */
					obj_t BgL_res2141z00_2493;

					{	/* Ast/apply.scm 61 */
						long BgL_objzd2classzd2numz00_2466;

						{	/* Ast/apply.scm 61 */
							long BgL_res2135z00_2469;

							BgL_res2135z00_2469 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_7));
							BgL_objzd2classzd2numz00_2466 = BgL_res2135z00_2469;
						}
						{	/* Ast/apply.scm 61 */
							obj_t BgL_arg1769z00_2467;

							BgL_arg1769z00_2467 =
								PROCEDURE_REF(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
								(int) (((long) 1)));
							{	/* Ast/apply.scm 61 */
								int BgL_offsetz00_2471;

								BgL_offsetz00_2471 = (int) (BgL_objzd2classzd2numz00_2466);
								{	/* Ast/apply.scm 61 */
									long BgL_offsetz00_2472;

									BgL_offsetz00_2472 =
										((long) (BgL_offsetz00_2471) - OBJECT_TYPE);
									{	/* Ast/apply.scm 61 */
										long BgL_modz00_2473;

										{	/* Ast/apply.scm 61 */
											int BgL_arg1771z00_2474;

											BgL_arg1771z00_2474 = (int) (((long) 16));
											{	/* Ast/apply.scm 61 */
												long BgL_res2138z00_2484;

												{	/* Ast/apply.scm 61 */
													long BgL_auxz00_3188;

													BgL_auxz00_3188 = (long) (BgL_arg1771z00_2474);
													BgL_res2138z00_2484 =
														(BgL_offsetz00_2472 / BgL_auxz00_3188);
												}
												BgL_modz00_2473 = BgL_res2138z00_2484;
										}}
										{	/* Ast/apply.scm 61 */
											long BgL_restz00_2475;

											{	/* Ast/apply.scm 61 */
												int BgL_arg1770z00_2476;

												BgL_arg1770z00_2476 = (int) (((long) 16));
												{	/* Ast/apply.scm 61 */
													long BgL_res2140z00_2488;

													{	/* Ast/apply.scm 61 */
														long BgL_auxz00_3192;

														BgL_auxz00_3192 = (long) (BgL_arg1770z00_2476);
														BgL_res2140z00_2488 =
															(BgL_offsetz00_2472 % BgL_auxz00_3192);
													}
													BgL_restz00_2475 = BgL_res2140z00_2488;
											}}
											{	/* Ast/apply.scm 61 */

												BgL_res2141z00_2493 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2467,
														(int) (BgL_modz00_2473)), (int) (BgL_restz00_2475));
					}}}}}}}
					BgL_method1824z00_1462 = BgL_res2141z00_2493;
				}
				return
					PROCEDURE_ENTRY(BgL_method1824z00_1462) (BgL_method1824z00_1462,
					((obj_t) BgL_funz00_7), BEOA);
			}
		}
	}



/* &make-fun-frame */
	obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t BgL_envz00_2556,
		obj_t BgL_funz00_2557)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 61 */
			return
				BGl_makezd2funzd2framez00zzast_applyz00(
				((BgL_funz00_bglt) BgL_funz00_2557));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_sfunz00zzast_varz00,
				BGl_proc2158z00zzast_applyz00, BGl_string2159z00zzast_applyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_cfunz00zzast_varz00,
				BGl_proc2160z00zzast_applyz00, BGl_string2159z00zzast_applyz00);
		}
	}



/* &make-fun-frame-cfun1828 */
	obj_t BGl_z62makezd2funzd2framezd2cfun1828zb0zzast_applyz00(obj_t
		BgL_envz00_2560, obj_t BgL_funz00_2561)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 86 */
			{
				BgL_cfunz00_bglt BgL_funz00_1488;

				BgL_funz00_1488 = ((BgL_cfunz00_bglt) BgL_funz00_2561);
				{	/* Ast/apply.scm 87 */
					long BgL_arityz00_1491;

					BgL_arityz00_1491 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_1488)))->BgL_arityz00);
					{	/* Ast/apply.scm 88 */
						obj_t BgL_g1101z00_1492;

						BgL_g1101z00_1492 =
							(((BgL_cfunz00_bglt) CREF(BgL_funz00_1488))->BgL_argszd2typezd2);
						{
							obj_t BgL_typesz00_1495;
							obj_t BgL_localsz00_1496;

							BgL_typesz00_1495 = BgL_g1101z00_1492;
							BgL_localsz00_1496 = BNIL;
						BgL_zc3anonymousza32001ze3z83_1497:
							if (NULLP(BgL_typesz00_1495))
								{	/* Ast/apply.scm 91 */
									return bgl_reverse_bang(BgL_localsz00_1496);
								}
							else
								{	/* Ast/apply.scm 93 */
									bool_t BgL_testz00_3214;

									if (NULLP(CDR(BgL_typesz00_1495)))
										{	/* Ast/apply.scm 93 */
											BgL_testz00_3214 = (BgL_arityz00_1491 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 93 */
											BgL_testz00_3214 = ((bool_t) 0);
										}
									if (BgL_testz00_3214)
										{	/* Ast/apply.scm 93 */
											return bgl_reverse_bang(BgL_localsz00_1496);
										}
									else
										{	/* Ast/apply.scm 96 */
											obj_t BgL_arg2004z00_1500;
											obj_t BgL_arg2006z00_1501;

											BgL_arg2004z00_1500 = CDR(BgL_typesz00_1495);
											{	/* Ast/apply.scm 97 */
												BgL_localz00_bglt BgL_arg2007z00_1502;

												{	/* Ast/apply.scm 97 */
													obj_t BgL_arg2008z00_1503;
													obj_t BgL_arg2009z00_1504;

													BgL_arg2008z00_1503 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 13))));
													BgL_arg2009z00_1504 = CAR(BgL_typesz00_1495);
													BgL_arg2007z00_1502 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg2008z00_1503,
														((BgL_typez00_bglt) BgL_arg2009z00_1504));
												}
												BgL_arg2006z00_1501 =
													MAKE_PAIR(
													((obj_t) BgL_arg2007z00_1502), BgL_localsz00_1496);
											}
											{
												obj_t BgL_localsz00_3230;
												obj_t BgL_typesz00_3229;

												BgL_typesz00_3229 = BgL_arg2004z00_1500;
												BgL_localsz00_3230 = BgL_arg2006z00_1501;
												BgL_localsz00_1496 = BgL_localsz00_3230;
												BgL_typesz00_1495 = BgL_typesz00_3229;
												goto BgL_zc3anonymousza32001ze3z83_1497;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* &make-fun-frame-sfun1826 */
	obj_t BGl_z62makezd2funzd2framezd2sfun1826zb0zzast_applyz00(obj_t
		BgL_envz00_2562, obj_t BgL_funz00_2563)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 66 */
			{
				BgL_sfunz00_bglt BgL_funz00_1463;

				BgL_funz00_1463 = ((BgL_sfunz00_bglt) BgL_funz00_2563);
				{	/* Ast/apply.scm 67 */
					long BgL_arityz00_1466;

					BgL_arityz00_1466 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_1463)))->BgL_arityz00);
					{	/* Ast/apply.scm 68 */
						obj_t BgL_g1099z00_1467;

						BgL_g1099z00_1467 =
							(((BgL_sfunz00_bglt) CREF(BgL_funz00_1463))->BgL_argsz00);
						{
							obj_t BgL_formalsz00_1470;
							obj_t BgL_localsz00_1471;

							BgL_formalsz00_1470 = BgL_g1099z00_1467;
							BgL_localsz00_1471 = BNIL;
						BgL_zc3anonymousza31987ze3z83_1472:
							if (NULLP(BgL_formalsz00_1470))
								{	/* Ast/apply.scm 71 */
									return bgl_reverse_bang(BgL_localsz00_1471);
								}
							else
								{	/* Ast/apply.scm 73 */
									bool_t BgL_testz00_3238;

									if (NULLP(CDR(BgL_formalsz00_1470)))
										{	/* Ast/apply.scm 73 */
											BgL_testz00_3238 = (BgL_arityz00_1466 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 73 */
											BgL_testz00_3238 = ((bool_t) 0);
										}
									if (BgL_testz00_3238)
										{	/* Ast/apply.scm 73 */
											return bgl_reverse_bang(BgL_localsz00_1471);
										}
									else
										{	/* Ast/apply.scm 76 */
											obj_t BgL_arg1990z00_1475;
											obj_t BgL_arg1991z00_1476;

											BgL_arg1990z00_1475 = CDR(BgL_formalsz00_1470);
											{	/* Ast/apply.scm 77 */
												BgL_localz00_bglt BgL_arg1992z00_1477;

												{	/* Ast/apply.scm 77 */
													obj_t BgL_arg1993z00_1478;
													obj_t BgL_arg1994z00_1479;

													BgL_arg1993z00_1478 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 13))));
													{	/* Ast/apply.scm 78 */
														bool_t BgL_testz00_3248;

														{	/* Ast/apply.scm 78 */
															obj_t BgL_arg1998z00_1483;

															BgL_arg1998z00_1483 = CAR(BgL_formalsz00_1470);
															BgL_testz00_3248 =
																BGl_isazf3zf3zz__objectz00(BgL_arg1998z00_1483,
																BGl_typez00zztype_typez00);
														}
														if (BgL_testz00_3248)
															{	/* Ast/apply.scm 78 */
																BgL_arg1994z00_1479 = CAR(BgL_formalsz00_1470);
															}
														else
															{	/* Ast/apply.scm 78 */
																BgL_arg1994z00_1479 =
																	((obj_t)
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(BgL_formalsz00_1470)))))->
																		BgL_typez00));
															}
													}
													BgL_arg1992z00_1477 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg1993z00_1478,
														((BgL_typez00_bglt) BgL_arg1994z00_1479));
												}
												BgL_arg1991z00_1476 =
													MAKE_PAIR(
													((obj_t) BgL_arg1992z00_1477), BgL_localsz00_1471);
											}
											{
												obj_t BgL_localsz00_3262;
												obj_t BgL_formalsz00_3261;

												BgL_formalsz00_3261 = BgL_arg1990z00_1475;
												BgL_localsz00_3262 = BgL_arg1991z00_1476;
												BgL_localsz00_1471 = BgL_localsz00_3262;
												BgL_formalsz00_1470 = BgL_formalsz00_3261;
												goto BgL_zc3anonymousza31987ze3z83_1472;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2161z00zzast_applyz00));
		}
	}

#ifdef __cplusplus
}
#endif
