/*===========================================================================*/
/*   (Ast/lvtype.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/lvtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2app1910z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2atom1898z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2funcall1914z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2conditi1922z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2cast1918z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2select1927z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly1912za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2setq1920z70zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref1941za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2extern1916z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo1937za2zzast_lvtypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2var1902z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2kwote1900z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun1929za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_lvtypez00 = BUNSPEC;
	static obj_t BGl_z62lvtypezd2nodez121895za2zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62lvtypezd2nodez12zd2setzd2exzd21933z70zzast_lvtypez00(obj_t, obj_t);
	static bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2var1931za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set1939za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2closure1904z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2sync1908z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2fail1925z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2sequenc1906z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_lvtypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex1935za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2120z00zzast_lvtypez00,
		BgL_bgl_string2120za700za7za7a2125za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2121z00zzast_lvtypez00,
		BgL_bgl_string2121za700za7za7a2126za7, "ast_lvtype", 10);
	      DEFINE_STRING(BGl_string2122z00zzast_lvtypez00,
		BgL_bgl_string2122za700za7za7a2127za7, "lvtype-node!1895 ", 17);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2nodezd2envz00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2128z00, BGl_z62lvtypezd2nodezb0zzast_lvtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2129z00,
		BGl_z62lvtypezd2nodez121895za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2130z00,
		BGl_z62lvtypezd2nodez12zd2atom1898z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2131z00,
		BGl_z62lvtypezd2nodez12zd2kwote1900z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2astz12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2astza72132za7,
		BGl_z62lvtypezd2astz12za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2133z00,
		BGl_z62lvtypezd2nodez12zd2var1902z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2134z00,
		BGl_z62lvtypezd2nodez12zd2closure1904z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2135z00,
		BGl_z62lvtypezd2nodez12zd2sequenc1906z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2136z00,
		BGl_z62lvtypezd2nodez12zd2sync1908z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2137z00,
		BGl_z62lvtypezd2nodez12zd2app1910z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2138z00,
		BGl_z62lvtypezd2nodez12zd2appzd2ly1912za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2139z00,
		BGl_z62lvtypezd2nodez12zd2funcall1914z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2140z00,
		BGl_z62lvtypezd2nodez12zd2extern1916z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2141z00,
		BGl_z62lvtypezd2nodez12zd2cast1918z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2142z00,
		BGl_z62lvtypezd2nodez12zd2setq1920z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2143z00,
		BGl_z62lvtypezd2nodez12zd2conditi1922z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2144z00,
		BGl_z62lvtypezd2nodez12zd2fail1925z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2145z00,
		BGl_z62lvtypezd2nodez12zd2select1927z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2146z00,
		BGl_z62lvtypezd2nodez12zd2letzd2fun1929za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2147z00,
		BGl_z62lvtypezd2nodez12zd2letzd2var1931za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2148z00,
		BGl_z62lvtypezd2nodez12zd2setzd2exzd21933z70zzast_lvtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2149z00,
		BGl_z62lvtypezd2nodez12zd2jumpzd2ex1935za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2150z00,
		BGl_z62lvtypezd2nodez12zd2makezd2bo1937za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2151z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2set1939za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2152z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2ref1941za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2153z00,
		BGl_z62lvtypezd2nodez12za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2095z00zzast_lvtypez00,
		BgL_bgl_string2095za700za7za7a2154za7, "lvtype-node!1895", 16);
	      DEFINE_STRING(BGl_string2096z00zzast_lvtypez00,
		BgL_bgl_string2096za700za7za7a2155za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2098z00zzast_lvtypez00,
		BgL_bgl_string2098za700za7za7a2156za7, "lvtype-node!", 12);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long
		BgL_checksumz00_2337, char *BgL_fromz00_2338)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_lvtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_lvtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
					BGl_cnstzd2initzd2zzast_lvtypez00();
					BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
					BGl_genericzd2initzd2zzast_lvtypez00();
					BGl_methodzd2initzd2zzast_lvtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_lvtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_cportz00_2327;

				BgL_cportz00_2327 =
					bgl_open_input_string(BGl_string2122z00zzast_lvtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2328;

					BgL_iz00_2328 = ((long) 0);
				BgL_loopz00_2329:
					if ((BgL_iz00_2328 == ((long) -1)))
						{	/* Ast/lvtype.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/lvtype.scm 16 */
							{	/* Ast/lvtype.scm 16 */
								obj_t BgL_arg2124z00_2331;

								{	/* Ast/lvtype.scm 16 */

									{	/* Ast/lvtype.scm 16 */
										obj_t BgL_locationz00_2333;

										BgL_locationz00_2333 = BBOOL(((bool_t) 0));
										{	/* Ast/lvtype.scm 16 */

											BgL_arg2124z00_2331 =
												BGl_readz00zz__readerz00(BgL_cportz00_2327,
												BgL_locationz00_2333);
										}
									}
								}
								{	/* Ast/lvtype.scm 16 */
									int BgL_auxz00_2359;

									BgL_auxz00_2359 = (int) (BgL_iz00_2328);
									CNST_TABLE_SET(BgL_auxz00_2359, BgL_arg2124z00_2331);
							}}
							{	/* Ast/lvtype.scm 16 */
								int BgL_auxz00_2334;

								BgL_auxz00_2334 = (int) ((BgL_iz00_2328 - ((long) 1)));
								{
									long BgL_iz00_2364;

									BgL_iz00_2364 = (long) (BgL_auxz00_2334);
									BgL_iz00_2328 = BgL_iz00_2364;
									goto BgL_loopz00_2329;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* lvtype-ast! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t
		BgL_astz00_3)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 31 */
			{
				obj_t BgL_l1787z00_1237;

				BgL_l1787z00_1237 = BgL_astz00_3;
			BgL_zc3anonymousza31945ze3z83_1238:
				if (PAIRP(BgL_l1787z00_1237))
					{	/* Ast/lvtype.scm 32 */
						{	/* Ast/lvtype.scm 33 */
							obj_t BgL_gz00_1240;

							BgL_gz00_1240 = CAR(BgL_l1787z00_1237);
							{	/* Ast/lvtype.scm 33 */
								obj_t BgL_arg1947z00_1241;

								BgL_arg1947z00_1241 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_1240))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(((BgL_nodez00_bglt)
										BgL_arg1947z00_1241));
							}
						}
						{
							obj_t BgL_l1787z00_2376;

							BgL_l1787z00_2376 = CDR(BgL_l1787z00_1237);
							BgL_l1787z00_1237 = BgL_l1787z00_2376;
							goto BgL_zc3anonymousza31945ze3z83_1238;
						}
					}
				else
					{	/* Ast/lvtype.scm 32 */
						((bool_t) 1);
					}
			}
			return BgL_astz00_3;
		}
	}



/* &lvtype-ast! */
	obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t BgL_envz00_2252,
		obj_t BgL_astz00_2253)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 31 */
			return BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_astz00_2253);
		}
	}



/* lvtype-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_4);
			return BgL_nodez00_4;
		}
	}



/* &lvtype-node */
	BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t BgL_envz00_2254,
		obj_t BgL_nodez00_2255)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			return
				BGl_lvtypezd2nodezd2zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2255));
		}
	}



/* lvtype-node*! */
	bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t BgL_nodeza2za2_28)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 241 */
			{
				obj_t BgL_l1893z00_1246;

				BgL_l1893z00_1246 = BgL_nodeza2za2_28;
			BgL_zc3anonymousza31950ze3z83_1247:
				if (PAIRP(BgL_l1893z00_1246))
					{	/* Ast/lvtype.scm 242 */
						{	/* Ast/lvtype.scm 242 */
							obj_t BgL_arg1952z00_1249;

							BgL_arg1952z00_1249 = CAR(BgL_l1893z00_1246);
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
								((BgL_nodez00_bglt) BgL_arg1952z00_1249));
						}
						{
							obj_t BgL_l1893z00_2387;

							BgL_l1893z00_2387 = CDR(BgL_l1893z00_1246);
							BgL_l1893z00_1246 = BgL_l1893z00_2387;
							goto BgL_zc3anonymousza31950ze3z83_1247;
						}
					}
				else
					{	/* Ast/lvtype.scm 242 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt
		BgL_variablez00_29, BgL_typez00_bglt BgL_typez00_30)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 247 */
			{	/* Ast/lvtype.scm 248 */
				obj_t BgL_ntypez00_1252;
				BgL_typez00_bglt BgL_otypez00_1253;

				if ((((obj_t) BgL_typez00_30) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 248 */
						BgL_ntypez00_1252 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Ast/lvtype.scm 248 */
						BgL_ntypez00_1252 = ((obj_t) BgL_typez00_30);
					}
				BgL_otypez00_1253 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_29))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_1253) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 250 */
						return
							((((BgL_variablez00_bglt) CREF(BgL_variablez00_29))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_1252)),
							BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 250 */
						return BFALSE;
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_proc2094z00zzast_lvtypez00, BGl_nodez00zzast_nodez00,
				BGl_string2095z00zzast_lvtypez00);
		}
	}



/* &lvtype-node!1895 */
	obj_t BGl_z62lvtypezd2nodez121895za2zzast_lvtypez00(obj_t BgL_envz00_2257,
		obj_t BgL_nodez00_2258)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 47 */
			{
				BgL_nodez00_bglt BgL_nodez00_1257;

				BgL_nodez00_1257 = ((BgL_nodez00_bglt) BgL_nodez00_2258);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string2096z00zzast_lvtypez00, ((obj_t) BgL_nodez00_1257));
		}}
	}



/* lvtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 47 */
			{	/* Ast/lvtype.scm 47 */
				obj_t BgL_method1896z00_1260;

				{	/* Ast/lvtype.scm 47 */
					obj_t BgL_res2088z00_2214;

					{	/* Ast/lvtype.scm 47 */
						long BgL_objzd2classzd2numz00_2187;

						{	/* Ast/lvtype.scm 47 */
							long BgL_res2082z00_2190;

							BgL_res2082z00_2190 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_2187 = BgL_res2082z00_2190;
						}
						{	/* Ast/lvtype.scm 47 */
							obj_t BgL_arg1769z00_2188;

							BgL_arg1769z00_2188 =
								PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
								(int) (((long) 1)));
							{	/* Ast/lvtype.scm 47 */
								int BgL_offsetz00_2192;

								BgL_offsetz00_2192 = (int) (BgL_objzd2classzd2numz00_2187);
								{	/* Ast/lvtype.scm 47 */
									long BgL_offsetz00_2193;

									BgL_offsetz00_2193 =
										((long) (BgL_offsetz00_2192) - OBJECT_TYPE);
									{	/* Ast/lvtype.scm 47 */
										long BgL_modz00_2194;

										{	/* Ast/lvtype.scm 47 */
											int BgL_arg1771z00_2195;

											BgL_arg1771z00_2195 = (int) (((long) 16));
											{	/* Ast/lvtype.scm 47 */
												long BgL_res2085z00_2205;

												{	/* Ast/lvtype.scm 47 */
													long BgL_auxz00_2412;

													BgL_auxz00_2412 = (long) (BgL_arg1771z00_2195);
													BgL_res2085z00_2205 =
														(BgL_offsetz00_2193 / BgL_auxz00_2412);
												}
												BgL_modz00_2194 = BgL_res2085z00_2205;
										}}
										{	/* Ast/lvtype.scm 47 */
											long BgL_restz00_2196;

											{	/* Ast/lvtype.scm 47 */
												int BgL_arg1770z00_2197;

												BgL_arg1770z00_2197 = (int) (((long) 16));
												{	/* Ast/lvtype.scm 47 */
													long BgL_res2087z00_2209;

													{	/* Ast/lvtype.scm 47 */
														long BgL_auxz00_2416;

														BgL_auxz00_2416 = (long) (BgL_arg1770z00_2197);
														BgL_res2087z00_2209 =
															(BgL_offsetz00_2193 % BgL_auxz00_2416);
													}
													BgL_restz00_2196 = BgL_res2087z00_2209;
											}}
											{	/* Ast/lvtype.scm 47 */

												BgL_res2088z00_2214 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2188,
														(int) (BgL_modz00_2194)), (int) (BgL_restz00_2196));
					}}}}}}}
					BgL_method1896z00_1260 = BgL_res2088z00_2214;
				}
				return
					PROCEDURE_ENTRY(BgL_method1896z00_1260) (BgL_method1896z00_1260,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &lvtype-node! */
	obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t BgL_envz00_2259,
		obj_t BgL_nodez00_2260)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 47 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2260));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_atomz00zzast_nodez00,
				BGl_proc2097z00zzast_lvtypez00, BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_kwotez00zzast_nodez00, BGl_proc2099z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_varz00zzast_nodez00,
				BGl_proc2100z00zzast_lvtypez00, BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_closurez00zzast_nodez00, BGl_proc2101z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2102z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_syncz00zzast_nodez00,
				BGl_proc2103z00zzast_lvtypez00, BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_appz00zzast_nodez00,
				BGl_proc2104z00zzast_lvtypez00, BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2105z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2106z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_externz00zzast_nodez00, BGl_proc2107z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_castz00zzast_nodez00,
				BGl_proc2108z00zzast_lvtypez00, BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc2109z00zzast_lvtypez00, BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2110z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_failz00zzast_nodez00,
				BGl_proc2111z00zzast_lvtypez00, BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_selectz00zzast_nodez00, BGl_proc2112z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2113z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2114z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2115z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2116z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2117z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2118z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2119z00zzast_lvtypez00,
				BGl_string2098z00zzast_lvtypez00);
		}
	}



/* &lvtype-node!-box-ref1941 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref1941za2zzast_lvtypez00(obj_t
		BgL_envz00_2283, obj_t BgL_nodez00_2284)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 234 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1440;

				BgL_nodez00_1440 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2284);
				{	/* Ast/lvtype.scm 236 */
					BgL_varz00_bglt BgL_arg2025z00_2246;

					BgL_arg2025z00_2246 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1440))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg2025z00_2246));
				}
			}
		}
	}



/* &lvtype-node!-box-set1939 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set1939za2zzast_lvtypez00(obj_t
		BgL_envz00_2285, obj_t BgL_nodez00_2286)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 226 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1433;

				BgL_nodez00_1433 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2286);
				{	/* Ast/lvtype.scm 228 */
					BgL_varz00_bglt BgL_arg2023z00_1437;

					BgL_arg2023z00_1437 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1433))->BgL_varz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg2023z00_1437));
				}
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1433))->BgL_valuez00));
			}
		}
	}



/* &lvtype-node!-make-bo1937 */
	obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo1937za2zzast_lvtypez00(obj_t
		BgL_envz00_2287, obj_t BgL_nodez00_2288)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 219 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1427;

				BgL_nodez00_1427 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2288);
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1427))->BgL_valuez00));
			}
		}
	}



/* &lvtype-node!-jump-ex1935 */
	obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex1935za2zzast_lvtypez00(obj_t
		BgL_envz00_2289, obj_t BgL_nodez00_2290)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 211 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1420;

				BgL_nodez00_1420 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2290);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1420))->BgL_exitz00));
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1420))->
						BgL_valuez00));
			}
		}
	}



/* &lvtype-node!-set-ex-1933 */
	obj_t BGl_z62lvtypezd2nodez12zd2setzd2exzd21933z70zzast_lvtypez00(obj_t
		BgL_envz00_2291, obj_t BgL_nodez00_2292)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 203 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1413;

				BgL_nodez00_1413 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2292);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1413))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 206 */
					BgL_varz00_bglt BgL_arg2017z00_1418;

					BgL_arg2017z00_1418 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1413))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg2017z00_1418));
				}
			}
		}
	}



/* &lvtype-node!-let-var1931 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2var1931za2zzast_lvtypez00(obj_t
		BgL_envz00_2293, obj_t BgL_nodez00_2294)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 188 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1393;

				BgL_nodez00_1393 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2294);
				{	/* Ast/lvtype.scm 190 */
					obj_t BgL_g1892z00_1397;

					BgL_g1892z00_1397 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1393))->BgL_bindingsz00);
					{
						obj_t BgL_l1890z00_1399;

						BgL_l1890z00_1399 = BgL_g1892z00_1397;
					BgL_zc3anonymousza32008ze3z83_1400:
						if (PAIRP(BgL_l1890z00_1399))
							{	/* Ast/lvtype.scm 190 */
								{	/* Ast/lvtype.scm 191 */
									obj_t BgL_bindingz00_1402;

									BgL_bindingz00_1402 = CAR(BgL_l1890z00_1399);
									{	/* Ast/lvtype.scm 191 */
										obj_t BgL_varz00_1403;
										obj_t BgL_valz00_1404;

										BgL_varz00_1403 = CAR(BgL_bindingz00_1402);
										BgL_valz00_1404 = CDR(BgL_bindingz00_1402);
										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
											((BgL_nodez00_bglt) BgL_valz00_1404));
										{	/* Ast/lvtype.scm 194 */
											BgL_typez00_bglt BgL_arg2010z00_1405;

											BgL_arg2010z00_1405 =
												BGl_getzd2typezd2zztype_typeofz00(
												((BgL_nodez00_bglt) BgL_valz00_1404));
											BGl_setzd2variablezd2typez12z12zzast_lvtypez00(
												((BgL_variablez00_bglt) BgL_varz00_1403),
												BgL_arg2010z00_1405);
										}
									}
								}
								{
									obj_t BgL_l1890z00_2488;

									BgL_l1890z00_2488 = CDR(BgL_l1890z00_1399);
									BgL_l1890z00_1399 = BgL_l1890z00_2488;
									goto BgL_zc3anonymousza32008ze3z83_1400;
								}
							}
						else
							{	/* Ast/lvtype.scm 190 */
								((bool_t) 1);
							}
					}
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1393))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 197 */
					bool_t BgL_testz00_2492;

					{	/* Ast/lvtype.scm 197 */
						BgL_typez00_bglt BgL_arg2015z00_1411;

						BgL_arg2015z00_1411 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1393)))->BgL_typez00);
						BgL_testz00_2492 =
							(((obj_t) BgL_arg2015z00_1411) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2492)
						{
							BgL_typez00_bglt BgL_auxz00_2497;

							{	/* Ast/lvtype.scm 198 */
								BgL_nodez00_bglt BgL_arg2014z00_1410;

								BgL_arg2014z00_1410 =
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1393))->
									BgL_bodyz00);
								BgL_auxz00_2497 =
									BGl_getzd2typezd2zztype_typeofz00(BgL_arg2014z00_1410);
							}
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1393)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2497), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 197 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-let-fun1929 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun1929za2zzast_lvtypez00(obj_t
		BgL_envz00_2295, obj_t BgL_nodez00_2296)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 176 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1374;

				BgL_nodez00_1374 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2296);
				{	/* Ast/lvtype.scm 178 */
					obj_t BgL_g1889z00_1378;

					BgL_g1889z00_1378 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1374))->BgL_localsz00);
					{
						obj_t BgL_l1887z00_1380;

						BgL_l1887z00_1380 = BgL_g1889z00_1378;
					BgL_zc3anonymousza31998ze3z83_1381:
						if (PAIRP(BgL_l1887z00_1380))
							{	/* Ast/lvtype.scm 178 */
								{	/* Ast/lvtype.scm 179 */
									obj_t BgL_localz00_1383;

									BgL_localz00_1383 = CAR(BgL_l1887z00_1380);
									{	/* Ast/lvtype.scm 179 */
										obj_t BgL_arg2000z00_1384;

										BgL_arg2000z00_1384 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1383))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(((BgL_nodez00_bglt)
												BgL_arg2000z00_1384));
									}
								}
								{
									obj_t BgL_l1887z00_2514;

									BgL_l1887z00_2514 = CDR(BgL_l1887z00_1380);
									BgL_l1887z00_1380 = BgL_l1887z00_2514;
									goto BgL_zc3anonymousza31998ze3z83_1381;
								}
							}
						else
							{	/* Ast/lvtype.scm 178 */
								((bool_t) 1);
							}
					}
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1374))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 182 */
					bool_t BgL_testz00_2518;

					{	/* Ast/lvtype.scm 182 */
						BgL_typez00_bglt BgL_arg2007z00_1391;

						BgL_arg2007z00_1391 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1374)))->BgL_typez00);
						BgL_testz00_2518 =
							(((obj_t) BgL_arg2007z00_1391) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2518)
						{
							BgL_typez00_bglt BgL_auxz00_2523;

							{	/* Ast/lvtype.scm 183 */
								BgL_nodez00_bglt BgL_arg2006z00_1390;

								BgL_arg2006z00_1390 =
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1374))->
									BgL_bodyz00);
								BgL_auxz00_2523 =
									BGl_getzd2typezd2zztype_typeofz00(BgL_arg2006z00_1390);
							}
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1374)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2523), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 182 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-select1927 */
	obj_t BGl_z62lvtypezd2nodez12zd2select1927z70zzast_lvtypez00(obj_t
		BgL_envz00_2297, obj_t BgL_nodez00_2298)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 166 */
			{
				BgL_selectz00_bglt BgL_nodez00_1359;

				BgL_nodez00_1359 = ((BgL_selectz00_bglt) BgL_nodez00_2298);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1359))->BgL_testz00));
				{	/* Ast/lvtype.scm 169 */
					obj_t BgL_g1886z00_1364;

					BgL_g1886z00_1364 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1359))->BgL_clausesz00);
					{
						obj_t BgL_l1789z00_1366;

						{	/* Ast/lvtype.scm 169 */
							bool_t BgL_auxz00_2532;

							BgL_l1789z00_1366 = BgL_g1886z00_1364;
						BgL_zc3anonymousza31994ze3z83_1367:
							if (PAIRP(BgL_l1789z00_1366))
								{	/* Ast/lvtype.scm 169 */
									{	/* Ast/lvtype.scm 170 */
										obj_t BgL_clausez00_1369;

										BgL_clausez00_1369 = CAR(BgL_l1789z00_1366);
										{	/* Ast/lvtype.scm 170 */
											obj_t BgL_arg1996z00_1370;

											BgL_arg1996z00_1370 = CDR(BgL_clausez00_1369);
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
												((BgL_nodez00_bglt) BgL_arg1996z00_1370));
										}
									}
									{
										obj_t BgL_l1789z00_2539;

										BgL_l1789z00_2539 = CDR(BgL_l1789z00_1366);
										BgL_l1789z00_1366 = BgL_l1789z00_2539;
										goto BgL_zc3anonymousza31994ze3z83_1367;
									}
								}
							else
								{	/* Ast/lvtype.scm 169 */
									BgL_auxz00_2532 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_2532);
						}
					}
				}
			}
		}
	}



/* &lvtype-node!-fail1925 */
	obj_t BGl_z62lvtypezd2nodez12zd2fail1925z70zzast_lvtypez00(obj_t
		BgL_envz00_2299, obj_t BgL_nodez00_2300)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 157 */
			{
				BgL_failz00_bglt BgL_nodez00_1351;

				BgL_nodez00_1351 = ((BgL_failz00_bglt) BgL_nodez00_2300);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1351))->BgL_procz00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1351))->BgL_msgz00));
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1351))->BgL_objz00));
			}
		}
	}



/* &lvtype-node!-conditi1922 */
	obj_t BGl_z62lvtypezd2nodez12zd2conditi1922z70zzast_lvtypez00(obj_t
		BgL_envz00_2301, obj_t BgL_nodez00_2302)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 146 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1341;

				BgL_nodez00_1341 = ((BgL_conditionalz00_bglt) BgL_nodez00_2302);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1341))->BgL_testz00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1341))->BgL_truez00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1341))->BgL_falsez00));
				{	/* Ast/lvtype.scm 151 */
					bool_t BgL_testz00_2556;

					{	/* Ast/lvtype.scm 151 */
						BgL_typez00_bglt BgL_arg1988z00_1349;

						BgL_arg1988z00_1349 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1341)))->BgL_typez00);
						BgL_testz00_2556 =
							(((obj_t) BgL_arg1988z00_1349) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2556)
						{	/* Ast/lvtype.scm 151 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1341)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1341))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 151 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-setq1920 */
	obj_t BGl_z62lvtypezd2nodez12zd2setq1920z70zzast_lvtypez00(obj_t
		BgL_envz00_2303, obj_t BgL_nodez00_2304)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 138 */
			{
				BgL_setqz00_bglt BgL_nodez00_1334;

				BgL_nodez00_1334 = ((BgL_setqz00_bglt) BgL_nodez00_2304);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1334))->BgL_valuez00));
				{	/* Ast/lvtype.scm 141 */
					BgL_varz00_bglt BgL_arg1982z00_1339;

					BgL_arg1982z00_1339 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1334))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg1982z00_1339));
				}
			}
		}
	}



/* &lvtype-node!-cast1918 */
	obj_t BGl_z62lvtypezd2nodez12zd2cast1918z70zzast_lvtypez00(obj_t
		BgL_envz00_2305, obj_t BgL_nodez00_2306)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 131 */
			{
				BgL_castz00_bglt BgL_nodez00_1328;

				BgL_nodez00_1328 = ((BgL_castz00_bglt) BgL_nodez00_2306);
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1328))->BgL_argz00));
			}
		}
	}



/* &lvtype-node!-extern1916 */
	obj_t BGl_z62lvtypezd2nodez12zd2extern1916z70zzast_lvtypez00(obj_t
		BgL_envz00_2307, obj_t BgL_nodez00_2308)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 124 */
			{
				BgL_externz00_bglt BgL_nodez00_1322;

				BgL_nodez00_1322 = ((BgL_externz00_bglt) BgL_nodez00_2308);
				{	/* Ast/lvtype.scm 126 */
					obj_t BgL_arg1979z00_2220;

					BgL_arg1979z00_2220 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1322))->BgL_exprza2za2);
					return
						BBOOL(BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00
						(BgL_arg1979z00_2220));
				}
			}
		}
	}



/* &lvtype-node!-funcall1914 */
	obj_t BGl_z62lvtypezd2nodez12zd2funcall1914z70zzast_lvtypez00(obj_t
		BgL_envz00_2309, obj_t BgL_nodez00_2310)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 116 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1315;

				BgL_nodez00_1315 = ((BgL_funcallz00_bglt) BgL_nodez00_2310);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1315))->BgL_funz00));
				{	/* Ast/lvtype.scm 119 */
					obj_t BgL_arg1978z00_1320;

					BgL_arg1978z00_1320 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1315))->BgL_argsz00);
					return
						BBOOL(BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00
						(BgL_arg1978z00_1320));
				}
			}
		}
	}



/* &lvtype-node!-app-ly1912 */
	obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly1912za2zzast_lvtypez00(obj_t
		BgL_envz00_2311, obj_t BgL_nodez00_2312)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 108 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1308;

				BgL_nodez00_1308 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2312);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1308))->BgL_funz00));
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1308))->BgL_argz00));
			}
		}
	}



/* &lvtype-node!-app1910 */
	obj_t BGl_z62lvtypezd2nodez12zd2app1910z70zzast_lvtypez00(obj_t
		BgL_envz00_2313, obj_t BgL_nodez00_2314)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 99 */
			{
				BgL_appz00_bglt BgL_nodez00_1300;

				BgL_nodez00_1300 = ((BgL_appz00_bglt) BgL_nodez00_2314);
				BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1300))->BgL_argsz00));
				{	/* Ast/lvtype.scm 102 */
					bool_t BgL_testz00_2592;

					{	/* Ast/lvtype.scm 102 */
						BgL_typez00_bglt BgL_arg1974z00_1306;

						BgL_arg1974z00_1306 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1300)))->BgL_typez00);
						BgL_testz00_2592 =
							(((obj_t) BgL_arg1974z00_1306) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2592)
						{	/* Ast/lvtype.scm 102 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1300)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1300))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 102 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-sync1908 */
	obj_t BGl_z62lvtypezd2nodez12zd2sync1908z70zzast_lvtypez00(obj_t
		BgL_envz00_2315, obj_t BgL_nodez00_2316)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 88 */
			{
				BgL_syncz00_bglt BgL_nodez00_1290;

				BgL_nodez00_1290 = ((BgL_syncz00_bglt) BgL_nodez00_2316);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1290))->BgL_mutexz00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1290))->BgL_prelockz00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1290))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 93 */
					bool_t BgL_testz00_2608;

					{	/* Ast/lvtype.scm 93 */
						BgL_typez00_bglt BgL_arg1970z00_1298;

						BgL_arg1970z00_1298 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1290)))->BgL_typez00);
						BgL_testz00_2608 =
							(((obj_t) BgL_arg1970z00_1298) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2608)
						{	/* Ast/lvtype.scm 93 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1290)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1290))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 93 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-sequenc1906 */
	obj_t BGl_z62lvtypezd2nodez12zd2sequenc1906z70zzast_lvtypez00(obj_t
		BgL_envz00_2317, obj_t BgL_nodez00_2318)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 79 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1282;

				BgL_nodez00_1282 = ((BgL_sequencez00_bglt) BgL_nodez00_2318);
				BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1282))->BgL_nodesz00));
				{	/* Ast/lvtype.scm 82 */
					bool_t BgL_testz00_2620;

					{	/* Ast/lvtype.scm 82 */
						BgL_typez00_bglt BgL_arg1964z00_1288;

						BgL_arg1964z00_1288 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1282)))->BgL_typez00);
						BgL_testz00_2620 =
							(((obj_t) BgL_arg1964z00_1288) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2620)
						{	/* Ast/lvtype.scm 82 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1282)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1282))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 82 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-closure1904 */
	obj_t BGl_z62lvtypezd2nodez12zd2closure1904z70zzast_lvtypez00(obj_t
		BgL_envz00_2319, obj_t BgL_nodez00_2320)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 73 */
			{
				BgL_closurez00_bglt BgL_nodez00_1277;

				BgL_nodez00_1277 = ((BgL_closurez00_bglt) BgL_nodez00_2320);
				{	/* Ast/lvtype.scm 74 */
					obj_t BgL_arg1960z00_2218;

					BgL_arg1960z00_2218 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1277));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2098z00zzast_lvtypez00, BGl_string2120z00zzast_lvtypez00,
						BgL_arg1960z00_2218);
				}
			}
		}
	}



/* &lvtype-node!-var1902 */
	obj_t BGl_z62lvtypezd2nodez12zd2var1902z70zzast_lvtypez00(obj_t
		BgL_envz00_2321, obj_t BgL_nodez00_2322)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 64 */
			{
				BgL_varz00_bglt BgL_nodez00_1269;

				BgL_nodez00_1269 = ((BgL_varz00_bglt) BgL_nodez00_2322);
				{	/* Ast/lvtype.scm 66 */
					bool_t BgL_testz00_2634;

					{	/* Ast/lvtype.scm 66 */
						BgL_typez00_bglt BgL_arg1959z00_1275;

						BgL_arg1959z00_1275 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1269)))->BgL_typez00);
						BgL_testz00_2634 =
							(((obj_t) BgL_arg1959z00_1275) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2634)
						{	/* Ast/lvtype.scm 66 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1269)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_1269))->
													BgL_variablez00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 66 */
							BFALSE;
						}
				}
				return ((obj_t) BgL_nodez00_1269);
			}
		}
	}



/* &lvtype-node!-kwote1900 */
	obj_t BGl_z62lvtypezd2nodez12zd2kwote1900z70zzast_lvtypez00(obj_t
		BgL_envz00_2323, obj_t BgL_nodez00_2324)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 58 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2324));
		}
	}



/* &lvtype-node!-atom1898 */
	obj_t BGl_z62lvtypezd2nodez12zd2atom1898z70zzast_lvtypez00(obj_t
		BgL_envz00_2325, obj_t BgL_nodez00_2326)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 52 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2326));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2121z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2121z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2121z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2121z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2121z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2121z00zzast_lvtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2121z00zzast_lvtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
