/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/shrinkify.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62shrinkzd2nodez12zd2app1918z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2fun1943za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez121905za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2select1935z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2appzd2ly1920za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2extern1925z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2kwote1912z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21947z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2cast1927z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2setq1929z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2var1945za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2set1941za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2sequenc1914z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62shrinkzd2nodez12zd2var1910z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00();
	static obj_t
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1949za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2atom1908z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2funcall1922z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2conditi1931z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2sync1916z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1939za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2fail1933z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2variablez121903za2zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2makezd2bo1937za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari2231z00,
		BGl_z62shrinkzd2variablez121903za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2232z00,
		BGl_z62shrinkzd2nodez121905za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2233z00,
		BGl_z62shrinkzd2nodez12zd2atom1908z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2234z00,
		BGl_z62shrinkzd2nodez12zd2var1910z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2235z00,
		BGl_z62shrinkzd2nodez12zd2kwote1912z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2236z00,
		BGl_z62shrinkzd2nodez12zd2sequenc1914z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2237z00,
		BGl_z62shrinkzd2nodez12zd2sync1916z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2238z00,
		BGl_z62shrinkzd2nodez12zd2app1918z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2239z00,
		BGl_z62shrinkzd2nodez12zd2appzd2ly1920za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2240z00,
		BGl_z62shrinkzd2nodez12zd2funcall1922z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2241z00,
		BGl_z62shrinkzd2nodez12zd2extern1925z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2242z00,
		BGl_z62shrinkzd2nodez12zd2cast1927z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2243z00,
		BGl_z62shrinkzd2nodez12zd2setq1929z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2244z00,
		BGl_z62shrinkzd2nodez12zd2conditi1931z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2245z00,
		BGl_z62shrinkzd2nodez12zd2fail1933z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2246z00,
		BGl_z62shrinkzd2nodez12zd2select1935z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2247z00,
		BGl_z62shrinkzd2nodez12zd2makezd2bo1937za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2248z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1939za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2249z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2set1941za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2250z00,
		BGl_z62shrinkzd2nodez12zd2letzd2fun1943za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2251z00,
		BGl_z62shrinkzd2nodez12zd2letzd2var1945za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2252z00,
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21947z70zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2253z00,
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1949za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl_za762shrinkifyza712za72254za7,
		BGl_z62shrinkifyz12z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari2255z00,
		BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2201z00zzast_shrinkifyz00,
		BgL_bgl_string2201za700za7za7a2256za7, "shrink-variable!1903", 20);
	      DEFINE_STRING(BGl_string2203z00zzast_shrinkifyz00,
		BgL_bgl_string2203za700za7za7a2257za7, "shrink-node!1905", 16);
	      DEFINE_STRING(BGl_string2204z00zzast_shrinkifyz00,
		BgL_bgl_string2204za700za7za7a2258za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2206z00zzast_shrinkifyz00,
		BgL_bgl_string2206za700za7za7a2259za7, "shrink-node!", 12);
	      DEFINE_STRING(BGl_string2227z00zzast_shrinkifyz00,
		BgL_bgl_string2227za700za7za7a2260za7, "ast_shrinkify", 13);
	      DEFINE_STRING(BGl_string2228z00zzast_shrinkifyz00,
		BgL_bgl_string2228za700za7za7a2261za7, "shrink-node!1905 ", 17);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2262z00,
		BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_2654, char *BgL_fromz00_2655)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_shrinkify");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_2643;

				BgL_cportz00_2643 =
					bgl_open_input_string(BGl_string2228z00zzast_shrinkifyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2644;

					BgL_iz00_2644 = ((long) 0);
				BgL_loopz00_2645:
					if ((BgL_iz00_2644 == ((long) -1)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg2230z00_2647;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_2649;

										BgL_locationz00_2649 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg2230z00_2647 =
												BGl_readz00zz__readerz00(BgL_cportz00_2643,
												BgL_locationz00_2649);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_auxz00_2676;

									BgL_auxz00_2676 = (int) (BgL_iz00_2644);
									CNST_TABLE_SET(BgL_auxz00_2676, BgL_arg2230z00_2647);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_2650;

								BgL_auxz00_2650 = (int) ((BgL_iz00_2644 - ((long) 1)));
								{
									long BgL_iz00_2681;

									BgL_iz00_2681 = (long) (BgL_auxz00_2650);
									BgL_iz00_2644 = BgL_iz00_2681;
									goto BgL_loopz00_2645;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l1887z00_1235;

				BgL_l1887z00_1235 = BgL_globalsz00_3;
			BgL_zc3anonymousza31954ze3z83_1236:
				if (PAIRP(BgL_l1887z00_1235))
					{	/* Ast/shrinkify.scm 27 */
						{	/* Ast/shrinkify.scm 28 */
							obj_t BgL_globalz00_1238;

							BgL_globalz00_1238 = CAR(BgL_l1887z00_1235);
							{	/* Ast/shrinkify.scm 28 */
								BgL_valuez00_bglt BgL_sfunz00_1239;

								BgL_sfunz00_1239 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1238))))->
									BgL_valuez00);
								{	/* Ast/shrinkify.scm 29 */
									obj_t BgL_g1886z00_1240;

									BgL_g1886z00_1240 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_sfunz00_1239)))->BgL_argsz00);
									{
										obj_t BgL_l1780z00_1242;

										BgL_l1780z00_1242 = BgL_g1886z00_1240;
									BgL_zc3anonymousza31956ze3z83_1243:
										if (PAIRP(BgL_l1780z00_1242))
											{	/* Ast/shrinkify.scm 29 */
												{	/* Ast/shrinkify.scm 29 */
													obj_t BgL_arg1958z00_1245;

													BgL_arg1958z00_1245 = CAR(BgL_l1780z00_1242);
													BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
														((BgL_variablez00_bglt) BgL_arg1958z00_1245));
												}
												{
													obj_t BgL_l1780z00_2697;

													BgL_l1780z00_2697 = CDR(BgL_l1780z00_1242);
													BgL_l1780z00_1242 = BgL_l1780z00_2697;
													goto BgL_zc3anonymousza31956ze3z83_1243;
												}
											}
										else
											{	/* Ast/shrinkify.scm 29 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_arg1960z00_1248;

									BgL_arg1960z00_1248 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1238))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(((BgL_nodez00_bglt)
											BgL_arg1960z00_1248));
								}
							}
						}
						{
							obj_t BgL_l1887z00_2706;

							BgL_l1887z00_2706 = CDR(BgL_l1887z00_1235);
							BgL_l1887z00_1235 = BgL_l1887z00_2706;
							goto BgL_zc3anonymousza31954ze3z83_1236;
						}
					}
				else
					{	/* Ast/shrinkify.scm 27 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* &shrinkify! */
	obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t BgL_envz00_2567,
		obj_t BgL_globalsz00_2568)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_2568);
		}
	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_27)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 230 */
			{
				obj_t BgL_l1901z00_1253;

				BgL_l1901z00_1253 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31965ze3z83_1254:
				if (PAIRP(BgL_l1901z00_1253))
					{	/* Ast/shrinkify.scm 231 */
						{	/* Ast/shrinkify.scm 231 */
							obj_t BgL_arg1968z00_1256;

							BgL_arg1968z00_1256 = CAR(BgL_l1901z00_1253);
							BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
								((BgL_nodez00_bglt) BgL_arg1968z00_1256));
						}
						{
							obj_t BgL_l1901z00_2714;

							BgL_l1901z00_2714 = CDR(BgL_l1901z00_1253);
							BgL_l1901z00_1253 = BgL_l1901z00_2714;
							goto BgL_zc3anonymousza31965ze3z83_1254;
						}
					}
				else
					{	/* Ast/shrinkify.scm 231 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_proc2200z00zzast_shrinkifyz00, BGl_variablez00zzast_varz00,
				BGl_string2201z00zzast_shrinkifyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_proc2202z00zzast_shrinkifyz00, BGl_nodez00zzast_nodez00,
				BGl_string2203z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!1905 */
	obj_t BGl_z62shrinkzd2nodez121905za2zzast_shrinkifyz00(obj_t BgL_envz00_2573,
		obj_t BgL_nodez00_2574)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{
				BgL_nodez00_bglt BgL_nodez00_1275;

				BgL_nodez00_1275 = ((BgL_nodez00_bglt) BgL_nodez00_2574);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string2204z00zzast_shrinkifyz00, ((obj_t) BgL_nodez00_1275));
		}}
	}



/* &shrink-variable!1903 */
	obj_t BGl_z62shrinkzd2variablez121903za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2575, obj_t BgL_variablez00_2576)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{
				BgL_variablez00_bglt BgL_variablez00_1260;

				BgL_variablez00_1260 = ((BgL_variablez00_bglt) BgL_variablez00_2576);
				{	/* Ast/shrinkify.scm 38 */
					bool_t BgL_testz00_2722;

					{	/* Ast/shrinkify.scm 38 */
						bool_t BgL_testz00_2723;

						{	/* Ast/shrinkify.scm 38 */
							obj_t BgL_auxz00_2724;

							{	/* Ast/shrinkify.scm 38 */
								BgL_objectz00_bglt BgL_auxz00_2725;

								BgL_auxz00_2725 = ((BgL_objectz00_bglt) BgL_variablez00_1260);
								BgL_auxz00_2724 = BGL_OBJECT_WIDENING(BgL_auxz00_2725);
							}
							BgL_testz00_2723 = CBOOL(BgL_auxz00_2724);
						}
						if (BgL_testz00_2723)
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_2722 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_2722 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2722)
						{	/* Ast/shrinkify.scm 38 */
							{	/* Ast/shrinkify.scm 39 */
								long BgL_arg1972z00_1264;

								{	/* Ast/shrinkify.scm 39 */
									obj_t BgL_arg1973z00_1265;

									{	/* Ast/shrinkify.scm 39 */
										obj_t BgL_arg1974z00_1266;

										{	/* Ast/shrinkify.scm 39 */
											long BgL_arg1772z00_2216;

											{	/* Ast/shrinkify.scm 39 */
												long BgL_arg1773z00_2217;

												{	/* Ast/shrinkify.scm 39 */
													long BgL_res2121z00_2219;

													BgL_res2121z00_2219 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_variablez00_1260));
													BgL_arg1773z00_2217 = BgL_res2121z00_2219;
												}
												BgL_arg1772z00_2216 =
													(BgL_arg1773z00_2217 - OBJECT_TYPE);
											}
											BgL_arg1974z00_1266 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_2216));
										}
										BgL_arg1973z00_1265 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1974z00_1266);
									}
									{	/* Ast/shrinkify.scm 39 */
										long BgL_res2123z00_2226;

										BgL_res2123z00_2226 = BGL_CLASS_INDEX(BgL_arg1973z00_1265);
										BgL_arg1972z00_1264 = BgL_res2123z00_2226;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_variablez00_1260),
									BgL_arg1972z00_1264);
							}
							{	/* Ast/shrinkify.scm 39 */
								BgL_objectz00_bglt BgL_auxz00_2738;

								BgL_auxz00_2738 = ((BgL_objectz00_bglt) BgL_variablez00_1260);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2738, BFALSE);
							}
							((obj_t) BgL_variablez00_1260);
						}
					else
						{	/* Ast/shrinkify.scm 38 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 40 */
					bool_t BgL_testz00_2742;

					{	/* Ast/shrinkify.scm 40 */
						bool_t BgL_testz00_2743;

						{	/* Ast/shrinkify.scm 40 */
							obj_t BgL_auxz00_2744;

							{	/* Ast/shrinkify.scm 40 */
								BgL_objectz00_bglt BgL_auxz00_2745;

								BgL_auxz00_2745 =
									((BgL_objectz00_bglt)
									(((BgL_variablez00_bglt) CREF(BgL_variablez00_1260))->
										BgL_valuez00));
								BgL_auxz00_2744 = BGL_OBJECT_WIDENING(BgL_auxz00_2745);
							}
							BgL_testz00_2743 = CBOOL(BgL_auxz00_2744);
						}
						if (BgL_testz00_2743)
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2742 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2742 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2742)
						{	/* Ast/shrinkify.scm 41 */
							BgL_valuez00_bglt BgL_o1095z00_1268;

							BgL_o1095z00_1268 =
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_1260))->
								BgL_valuez00);
							{	/* Ast/shrinkify.scm 41 */
								long BgL_arg1976z00_1269;

								{	/* Ast/shrinkify.scm 41 */
									obj_t BgL_arg1977z00_1270;

									{	/* Ast/shrinkify.scm 41 */
										obj_t BgL_arg1978z00_1271;

										{	/* Ast/shrinkify.scm 41 */
											long BgL_arg1772z00_2239;

											{	/* Ast/shrinkify.scm 41 */
												long BgL_arg1773z00_2240;

												{	/* Ast/shrinkify.scm 41 */
													long BgL_res2127z00_2242;

													BgL_res2127z00_2242 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_o1095z00_1268));
													BgL_arg1773z00_2240 = BgL_res2127z00_2242;
												}
												BgL_arg1772z00_2239 =
													(BgL_arg1773z00_2240 - OBJECT_TYPE);
											}
											BgL_arg1978z00_1271 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_2239));
										}
										BgL_arg1977z00_1270 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1978z00_1271);
									}
									{	/* Ast/shrinkify.scm 41 */
										long BgL_res2129z00_2249;

										BgL_res2129z00_2249 = BGL_CLASS_INDEX(BgL_arg1977z00_1270);
										BgL_arg1976z00_1269 = BgL_res2129z00_2249;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_o1095z00_1268),
									BgL_arg1976z00_1269);
							}
							{	/* Ast/shrinkify.scm 41 */
								BgL_objectz00_bglt BgL_auxz00_2760;

								BgL_auxz00_2760 = ((BgL_objectz00_bglt) BgL_o1095z00_1268);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2760, BFALSE);
							}
							return ((obj_t) BgL_o1095z00_1268);
						}
					else
						{	/* Ast/shrinkify.scm 40 */
							return BFALSE;
						}
				}
			}
		}
	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 37 */
				obj_t BgL_method1904z00_1278;

				{	/* Ast/shrinkify.scm 37 */
					obj_t BgL_res2136z00_2280;

					{	/* Ast/shrinkify.scm 37 */
						long BgL_objzd2classzd2numz00_2253;

						{	/* Ast/shrinkify.scm 37 */
							long BgL_res2130z00_2256;

							BgL_res2130z00_2256 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_4));
							BgL_objzd2classzd2numz00_2253 = BgL_res2130z00_2256;
						}
						{	/* Ast/shrinkify.scm 37 */
							obj_t BgL_arg1769z00_2254;

							BgL_arg1769z00_2254 =
								PROCEDURE_REF
								(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 37 */
								int BgL_offsetz00_2258;

								BgL_offsetz00_2258 = (int) (BgL_objzd2classzd2numz00_2253);
								{	/* Ast/shrinkify.scm 37 */
									long BgL_offsetz00_2259;

									BgL_offsetz00_2259 =
										((long) (BgL_offsetz00_2258) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 37 */
										long BgL_modz00_2260;

										{	/* Ast/shrinkify.scm 37 */
											int BgL_arg1771z00_2261;

											BgL_arg1771z00_2261 = (int) (((long) 16));
											{	/* Ast/shrinkify.scm 37 */
												long BgL_res2133z00_2271;

												{	/* Ast/shrinkify.scm 37 */
													long BgL_auxz00_2773;

													BgL_auxz00_2773 = (long) (BgL_arg1771z00_2261);
													BgL_res2133z00_2271 =
														(BgL_offsetz00_2259 / BgL_auxz00_2773);
												}
												BgL_modz00_2260 = BgL_res2133z00_2271;
										}}
										{	/* Ast/shrinkify.scm 37 */
											long BgL_restz00_2262;

											{	/* Ast/shrinkify.scm 37 */
												int BgL_arg1770z00_2263;

												BgL_arg1770z00_2263 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 37 */
													long BgL_res2135z00_2275;

													{	/* Ast/shrinkify.scm 37 */
														long BgL_auxz00_2777;

														BgL_auxz00_2777 = (long) (BgL_arg1770z00_2263);
														BgL_res2135z00_2275 =
															(BgL_offsetz00_2259 % BgL_auxz00_2777);
													}
													BgL_restz00_2262 = BgL_res2135z00_2275;
											}}
											{	/* Ast/shrinkify.scm 37 */

												BgL_res2136z00_2280 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2254,
														(int) (BgL_modz00_2260)), (int) (BgL_restz00_2262));
					}}}}}}}
					BgL_method1904z00_1278 = BgL_res2136z00_2280;
				}
				return
					PROCEDURE_ENTRY(BgL_method1904z00_1278) (BgL_method1904z00_1278,
					((obj_t) BgL_variablez00_4), BEOA);
			}
		}
	}



/* &shrink-variable! */
	obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2569,
		obj_t BgL_variablez00_2570)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				((BgL_variablez00_bglt) BgL_variablez00_2570));
		}
	}



/* shrink-node! */
	obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{	/* Ast/shrinkify.scm 46 */
				obj_t BgL_method1906z00_1279;

				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_res2143z00_2309;

					{	/* Ast/shrinkify.scm 46 */
						long BgL_objzd2classzd2numz00_2282;

						{	/* Ast/shrinkify.scm 46 */
							long BgL_res2137z00_2285;

							BgL_res2137z00_2285 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_2282 = BgL_res2137z00_2285;
						}
						{	/* Ast/shrinkify.scm 46 */
							obj_t BgL_arg1769z00_2283;

							BgL_arg1769z00_2283 =
								PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
								(int) (((long) 1)));
							{	/* Ast/shrinkify.scm 46 */
								int BgL_offsetz00_2287;

								BgL_offsetz00_2287 = (int) (BgL_objzd2classzd2numz00_2282);
								{	/* Ast/shrinkify.scm 46 */
									long BgL_offsetz00_2288;

									BgL_offsetz00_2288 =
										((long) (BgL_offsetz00_2287) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 46 */
										long BgL_modz00_2289;

										{	/* Ast/shrinkify.scm 46 */
											int BgL_arg1771z00_2290;

											BgL_arg1771z00_2290 = (int) (((long) 16));
											{	/* Ast/shrinkify.scm 46 */
												long BgL_res2140z00_2300;

												{	/* Ast/shrinkify.scm 46 */
													long BgL_auxz00_2799;

													BgL_auxz00_2799 = (long) (BgL_arg1771z00_2290);
													BgL_res2140z00_2300 =
														(BgL_offsetz00_2288 / BgL_auxz00_2799);
												}
												BgL_modz00_2289 = BgL_res2140z00_2300;
										}}
										{	/* Ast/shrinkify.scm 46 */
											long BgL_restz00_2291;

											{	/* Ast/shrinkify.scm 46 */
												int BgL_arg1770z00_2292;

												BgL_arg1770z00_2292 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 46 */
													long BgL_res2142z00_2304;

													{	/* Ast/shrinkify.scm 46 */
														long BgL_auxz00_2803;

														BgL_auxz00_2803 = (long) (BgL_arg1770z00_2292);
														BgL_res2142z00_2304 =
															(BgL_offsetz00_2288 % BgL_auxz00_2803);
													}
													BgL_restz00_2291 = BgL_res2142z00_2304;
											}}
											{	/* Ast/shrinkify.scm 46 */

												BgL_res2143z00_2309 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2283,
														(int) (BgL_modz00_2289)), (int) (BgL_restz00_2291));
					}}}}}}}
					BgL_method1906z00_1279 = BgL_res2143z00_2309;
				}
				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_xz00_2642;

					BgL_xz00_2642 =
						PROCEDURE_ENTRY(BgL_method1906z00_1279) (BgL_method1906z00_1279,
						((obj_t) BgL_nodez00_5), BEOA);
					return BUNSPEC;
				}
			}
		}
	}



/* &shrink-node! */
	obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2577,
		obj_t BgL_nodez00_2578)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2578));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc2205z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc2207z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2208z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2209z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_syncz00zzast_nodez00, BGl_proc2210z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc2211z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2212z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2213z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc2214z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc2215z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc2216z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2217z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc2218z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_selectz00zzast_nodez00, BGl_proc2219z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2220z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2221z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2222z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2223z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2224z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2225z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2226z00zzast_shrinkifyz00,
				BGl_string2206z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!-jump-ex1949 */
	obj_t BGl_z62shrinkzd2nodez12zd2jumpzd2ex1949za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2600, obj_t BgL_nodez00_2601)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 222 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1463;

				BgL_nodez00_1463 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2601);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1463))->BgL_exitz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1463))->
						BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-set-ex-1947 */
	obj_t BGl_z62shrinkzd2nodez12zd2setzd2exzd21947z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2602, obj_t BgL_nodez00_2603)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 213 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1456;

				BgL_nodez00_1456 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2603);
				{	/* Ast/shrinkify.scm 215 */
					BgL_varz00_bglt BgL_arg2058z00_1460;

					BgL_arg2058z00_1460 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1456))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg2058z00_1460));
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1456))->BgL_bodyz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-var1945 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2var1945za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2604, obj_t BgL_nodez00_2605)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 201 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1440;

				BgL_nodez00_1440 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2605);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1440))->BgL_bodyz00));
				{	/* Ast/shrinkify.scm 204 */
					obj_t BgL_g1900z00_1445;

					BgL_g1900z00_1445 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1440))->BgL_bindingsz00);
					{
						obj_t BgL_l1898z00_1447;

						BgL_l1898z00_1447 = BgL_g1900z00_1445;
					BgL_zc3anonymousza32053ze3z83_1448:
						if (PAIRP(BgL_l1898z00_1447))
							{	/* Ast/shrinkify.scm 204 */
								{	/* Ast/shrinkify.scm 205 */
									obj_t BgL_bindingz00_1450;

									BgL_bindingz00_1450 = CAR(BgL_l1898z00_1447);
									{	/* Ast/shrinkify.scm 205 */
										obj_t BgL_arg2055z00_1451;

										BgL_arg2055z00_1451 = CAR(BgL_bindingz00_1450);
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
											((BgL_variablez00_bglt) BgL_arg2055z00_1451));
									}
									{	/* Ast/shrinkify.scm 206 */
										obj_t BgL_arg2056z00_1452;

										BgL_arg2056z00_1452 = CDR(BgL_bindingz00_1450);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg2056z00_1452));
									}
								}
								{
									obj_t BgL_l1898z00_2861;

									BgL_l1898z00_2861 = CDR(BgL_l1898z00_1447);
									BgL_l1898z00_1447 = BgL_l1898z00_2861;
									goto BgL_zc3anonymousza32053ze3z83_1448;
								}
							}
						else
							{	/* Ast/shrinkify.scm 204 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-fun1943 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2fun1943za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2606, obj_t BgL_nodez00_2607)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 187 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1416;

				BgL_nodez00_1416 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2607);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1416))->BgL_bodyz00));
				{	/* Ast/shrinkify.scm 190 */
					obj_t BgL_g1897z00_1421;

					BgL_g1897z00_1421 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1416))->BgL_localsz00);
					{
						obj_t BgL_l1895z00_1423;

						BgL_l1895z00_1423 = BgL_g1897z00_1421;
					BgL_zc3anonymousza32044ze3z83_1424:
						if (PAIRP(BgL_l1895z00_1423))
							{	/* Ast/shrinkify.scm 190 */
								{	/* Ast/shrinkify.scm 191 */
									obj_t BgL_localz00_1426;

									BgL_localz00_1426 = CAR(BgL_l1895z00_1423);
									{	/* Ast/shrinkify.scm 191 */
										BgL_valuez00_bglt BgL_sfunz00_1427;

										BgL_sfunz00_1427 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1426))))->
											BgL_valuez00);
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00((
												(BgL_variablez00_bglt) BgL_localz00_1426));
										{	/* Ast/shrinkify.scm 193 */
											obj_t BgL_g1894z00_1428;

											BgL_g1894z00_1428 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1427)))->
												BgL_argsz00);
											{
												obj_t BgL_l1892z00_1430;

												BgL_l1892z00_1430 = BgL_g1894z00_1428;
											BgL_zc3anonymousza32046ze3z83_1431:
												if (PAIRP(BgL_l1892z00_1430))
													{	/* Ast/shrinkify.scm 193 */
														{	/* Ast/shrinkify.scm 193 */
															obj_t BgL_arg2048z00_1433;

															BgL_arg2048z00_1433 = CAR(BgL_l1892z00_1430);
															BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
																((BgL_variablez00_bglt) BgL_arg2048z00_1433));
														}
														{
															obj_t BgL_l1892z00_2882;

															BgL_l1892z00_2882 = CDR(BgL_l1892z00_1430);
															BgL_l1892z00_1430 = BgL_l1892z00_2882;
															goto BgL_zc3anonymousza32046ze3z83_1431;
														}
													}
												else
													{	/* Ast/shrinkify.scm 193 */
														((bool_t) 1);
													}
											}
										}
										{	/* Ast/shrinkify.scm 194 */
											obj_t BgL_arg2050z00_1436;

											BgL_arg2050z00_1436 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1427)))->
												BgL_bodyz00);
											BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00((
													(BgL_nodez00_bglt) BgL_arg2050z00_1436));
										}
									}
								}
								{
									obj_t BgL_l1895z00_2888;

									BgL_l1895z00_2888 = CDR(BgL_l1895z00_1423);
									BgL_l1895z00_1423 = BgL_l1895z00_2888;
									goto BgL_zc3anonymousza32044ze3z83_1424;
								}
							}
						else
							{	/* Ast/shrinkify.scm 190 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-set1941 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2set1941za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2608, obj_t BgL_nodez00_2609)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 178 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1405;

				BgL_nodez00_1405 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2609);
				{	/* Ast/shrinkify.scm 179 */
					bool_t BgL_testz00_2891;

					{	/* Ast/shrinkify.scm 179 */
						bool_t BgL_testz00_2892;

						{	/* Ast/shrinkify.scm 179 */
							obj_t BgL_auxz00_2893;

							{	/* Ast/shrinkify.scm 179 */
								BgL_objectz00_bglt BgL_auxz00_2894;

								BgL_auxz00_2894 = ((BgL_objectz00_bglt) BgL_nodez00_1405);
								BgL_auxz00_2893 = BGL_OBJECT_WIDENING(BgL_auxz00_2894);
							}
							BgL_testz00_2892 = CBOOL(BgL_auxz00_2893);
						}
						if (BgL_testz00_2892)
							{	/* Ast/shrinkify.scm 179 */
								BgL_testz00_2891 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 179 */
								BgL_testz00_2891 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2891)
						{	/* Ast/shrinkify.scm 179 */
							{	/* Ast/shrinkify.scm 179 */
								long BgL_arg2037z00_1410;

								{	/* Ast/shrinkify.scm 179 */
									obj_t BgL_arg2038z00_1411;

									{	/* Ast/shrinkify.scm 179 */
										obj_t BgL_arg2039z00_1412;

										{	/* Ast/shrinkify.scm 179 */
											long BgL_arg1772z00_2489;

											{	/* Ast/shrinkify.scm 179 */
												long BgL_arg1773z00_2490;

												{	/* Ast/shrinkify.scm 179 */
													long BgL_res2189z00_2492;

													BgL_res2189z00_2492 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_nodez00_1405));
													BgL_arg1773z00_2490 = BgL_res2189z00_2492;
												}
												BgL_arg1772z00_2489 =
													(BgL_arg1773z00_2490 - OBJECT_TYPE);
											}
											BgL_arg2039z00_1412 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_2489));
										}
										BgL_arg2038z00_1411 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2039z00_1412);
									}
									{	/* Ast/shrinkify.scm 179 */
										long BgL_res2191z00_2499;

										BgL_res2191z00_2499 = BGL_CLASS_INDEX(BgL_arg2038z00_1411);
										BgL_arg2037z00_1410 = BgL_res2191z00_2499;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_nodez00_1405), BgL_arg2037z00_1410);
							}
							{	/* Ast/shrinkify.scm 179 */
								BgL_objectz00_bglt BgL_auxz00_2907;

								BgL_auxz00_2907 = ((BgL_objectz00_bglt) BgL_nodez00_1405);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2907, BFALSE);
							}
							((obj_t) BgL_nodez00_1405);
						}
					else
						{	/* Ast/shrinkify.scm 179 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 180 */
					BgL_varz00_bglt BgL_arg2040z00_1413;

					BgL_arg2040z00_1413 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1405))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg2040z00_1413));
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1405))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-ref1939 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2ref1939za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2610, obj_t BgL_nodez00_2611)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 170 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1395;

				BgL_nodez00_1395 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2611);
				{	/* Ast/shrinkify.scm 171 */
					bool_t BgL_testz00_2917;

					{	/* Ast/shrinkify.scm 171 */
						bool_t BgL_testz00_2918;

						{	/* Ast/shrinkify.scm 171 */
							obj_t BgL_auxz00_2919;

							{	/* Ast/shrinkify.scm 171 */
								BgL_objectz00_bglt BgL_auxz00_2920;

								BgL_auxz00_2920 = ((BgL_objectz00_bglt) BgL_nodez00_1395);
								BgL_auxz00_2919 = BGL_OBJECT_WIDENING(BgL_auxz00_2920);
							}
							BgL_testz00_2918 = CBOOL(BgL_auxz00_2919);
						}
						if (BgL_testz00_2918)
							{	/* Ast/shrinkify.scm 171 */
								BgL_testz00_2917 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 171 */
								BgL_testz00_2917 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2917)
						{	/* Ast/shrinkify.scm 171 */
							{	/* Ast/shrinkify.scm 171 */
								long BgL_arg2032z00_1400;

								{	/* Ast/shrinkify.scm 171 */
									obj_t BgL_arg2033z00_1401;

									{	/* Ast/shrinkify.scm 171 */
										obj_t BgL_arg2034z00_1402;

										{	/* Ast/shrinkify.scm 171 */
											long BgL_arg1772z00_2469;

											{	/* Ast/shrinkify.scm 171 */
												long BgL_arg1773z00_2470;

												{	/* Ast/shrinkify.scm 171 */
													long BgL_res2184z00_2472;

													BgL_res2184z00_2472 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_nodez00_1395));
													BgL_arg1773z00_2470 = BgL_res2184z00_2472;
												}
												BgL_arg1772z00_2469 =
													(BgL_arg1773z00_2470 - OBJECT_TYPE);
											}
											BgL_arg2034z00_1402 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_2469));
										}
										BgL_arg2033z00_1401 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2034z00_1402);
									}
									{	/* Ast/shrinkify.scm 171 */
										long BgL_res2186z00_2479;

										BgL_res2186z00_2479 = BGL_CLASS_INDEX(BgL_arg2033z00_1401);
										BgL_arg2032z00_1400 = BgL_res2186z00_2479;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_nodez00_1395), BgL_arg2032z00_1400);
							}
							{	/* Ast/shrinkify.scm 171 */
								BgL_objectz00_bglt BgL_auxz00_2933;

								BgL_auxz00_2933 = ((BgL_objectz00_bglt) BgL_nodez00_1395);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2933, BFALSE);
							}
							((obj_t) BgL_nodez00_1395);
						}
					else
						{	/* Ast/shrinkify.scm 171 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 172 */
					BgL_varz00_bglt BgL_arg2035z00_1403;

					BgL_arg2035z00_1403 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1395))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg2035z00_1403));
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-make-bo1937 */
	obj_t BGl_z62shrinkzd2nodez12zd2makezd2bo1937za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2612, obj_t BgL_nodez00_2613)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 162 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1385;

				BgL_nodez00_1385 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2613);
				{	/* Ast/shrinkify.scm 163 */
					bool_t BgL_testz00_2941;

					{	/* Ast/shrinkify.scm 163 */
						bool_t BgL_testz00_2942;

						{	/* Ast/shrinkify.scm 163 */
							obj_t BgL_auxz00_2943;

							{	/* Ast/shrinkify.scm 163 */
								BgL_objectz00_bglt BgL_auxz00_2944;

								BgL_auxz00_2944 = ((BgL_objectz00_bglt) BgL_nodez00_1385);
								BgL_auxz00_2943 = BGL_OBJECT_WIDENING(BgL_auxz00_2944);
							}
							BgL_testz00_2942 = CBOOL(BgL_auxz00_2943);
						}
						if (BgL_testz00_2942)
							{	/* Ast/shrinkify.scm 163 */
								BgL_testz00_2941 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 163 */
								BgL_testz00_2941 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2941)
						{	/* Ast/shrinkify.scm 163 */
							{	/* Ast/shrinkify.scm 163 */
								long BgL_arg2027z00_1390;

								{	/* Ast/shrinkify.scm 163 */
									obj_t BgL_arg2028z00_1391;

									{	/* Ast/shrinkify.scm 163 */
										obj_t BgL_arg2029z00_1392;

										{	/* Ast/shrinkify.scm 163 */
											long BgL_arg1772z00_2449;

											{	/* Ast/shrinkify.scm 163 */
												long BgL_arg1773z00_2450;

												{	/* Ast/shrinkify.scm 163 */
													long BgL_res2179z00_2452;

													BgL_res2179z00_2452 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_nodez00_1385));
													BgL_arg1773z00_2450 = BgL_res2179z00_2452;
												}
												BgL_arg1772z00_2449 =
													(BgL_arg1773z00_2450 - OBJECT_TYPE);
											}
											BgL_arg2029z00_1392 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_2449));
										}
										BgL_arg2028z00_1391 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2029z00_1392);
									}
									{	/* Ast/shrinkify.scm 163 */
										long BgL_res2181z00_2459;

										BgL_res2181z00_2459 = BGL_CLASS_INDEX(BgL_arg2028z00_1391);
										BgL_arg2027z00_1390 = BgL_res2181z00_2459;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_nodez00_1385), BgL_arg2027z00_1390);
							}
							{	/* Ast/shrinkify.scm 163 */
								BgL_objectz00_bglt BgL_auxz00_2957;

								BgL_auxz00_2957 = ((BgL_objectz00_bglt) BgL_nodez00_1385);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2957, BFALSE);
							}
							((obj_t) BgL_nodez00_1385);
						}
					else
						{	/* Ast/shrinkify.scm 163 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1385))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-select1935 */
	obj_t BGl_z62shrinkzd2nodez12zd2select1935z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2614, obj_t BgL_nodez00_2615)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 152 */
			{
				BgL_selectz00_bglt BgL_nodez00_1371;

				BgL_nodez00_1371 = ((BgL_selectz00_bglt) BgL_nodez00_2615);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1371))->BgL_testz00));
				{	/* Ast/shrinkify.scm 154 */
					obj_t BgL_g1891z00_1375;

					BgL_g1891z00_1375 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1371))->BgL_clausesz00);
					{
						obj_t BgL_l1889z00_1377;

						BgL_l1889z00_1377 = BgL_g1891z00_1375;
					BgL_zc3anonymousza32022ze3z83_1378:
						if (PAIRP(BgL_l1889z00_1377))
							{	/* Ast/shrinkify.scm 156 */
								{	/* Ast/shrinkify.scm 155 */
									obj_t BgL_clausez00_1380;

									BgL_clausez00_1380 = CAR(BgL_l1889z00_1377);
									{	/* Ast/shrinkify.scm 155 */
										obj_t BgL_arg2024z00_1381;

										BgL_arg2024z00_1381 = CDR(BgL_clausez00_1380);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg2024z00_1381));
									}
								}
								{
									obj_t BgL_l1889z00_2973;

									BgL_l1889z00_2973 = CDR(BgL_l1889z00_1377);
									BgL_l1889z00_1377 = BgL_l1889z00_2973;
									goto BgL_zc3anonymousza32022ze3z83_1378;
								}
							}
						else
							{	/* Ast/shrinkify.scm 156 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-fail1933 */
	obj_t BGl_z62shrinkzd2nodez12zd2fail1933z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2616, obj_t BgL_nodez00_2617)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 143 */
			{
				BgL_failz00_bglt BgL_nodez00_1364;

				BgL_nodez00_1364 = ((BgL_failz00_bglt) BgL_nodez00_2617);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1364))->BgL_procz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1364))->BgL_msgz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1364))->BgL_objz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-conditi1931 */
	obj_t BGl_z62shrinkzd2nodez12zd2conditi1931z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2618, obj_t BgL_nodez00_2619)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 134 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1357;

				BgL_nodez00_1357 = ((BgL_conditionalz00_bglt) BgL_nodez00_2619);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1357))->BgL_testz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1357))->BgL_truez00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1357))->BgL_falsez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-setq1929 */
	obj_t BGl_z62shrinkzd2nodez12zd2setq1929z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2620, obj_t BgL_nodez00_2621)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 127 */
			{
				BgL_setqz00_bglt BgL_nodez00_1352;

				BgL_nodez00_1352 = ((BgL_setqz00_bglt) BgL_nodez00_2621);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1352))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-cast1927 */
	obj_t BGl_z62shrinkzd2nodez12zd2cast1927z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2622, obj_t BgL_nodez00_2623)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 120 */
			{
				BgL_castz00_bglt BgL_nodez00_1347;

				BgL_nodez00_1347 = ((BgL_castz00_bglt) BgL_nodez00_2623);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1347))->BgL_argz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-extern1925 */
	obj_t BGl_z62shrinkzd2nodez12zd2extern1925z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2624, obj_t BgL_nodez00_2625)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 112 */
			{
				BgL_externz00_bglt BgL_nodez00_1337;

				BgL_nodez00_1337 = ((BgL_externz00_bglt) BgL_nodez00_2625);
				{	/* Ast/shrinkify.scm 113 */
					bool_t BgL_testz00_2996;

					{	/* Ast/shrinkify.scm 113 */
						bool_t BgL_testz00_2997;

						{	/* Ast/shrinkify.scm 113 */
							obj_t BgL_auxz00_2998;

							{	/* Ast/shrinkify.scm 113 */
								BgL_objectz00_bglt BgL_auxz00_2999;

								BgL_auxz00_2999 = ((BgL_objectz00_bglt) BgL_nodez00_1337);
								BgL_auxz00_2998 = BGL_OBJECT_WIDENING(BgL_auxz00_2999);
							}
							BgL_testz00_2997 = CBOOL(BgL_auxz00_2998);
						}
						if (BgL_testz00_2997)
							{	/* Ast/shrinkify.scm 113 */
								BgL_testz00_2996 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 113 */
								BgL_testz00_2996 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2996)
						{	/* Ast/shrinkify.scm 113 */
							{	/* Ast/shrinkify.scm 113 */
								long BgL_arg2006z00_1342;

								{	/* Ast/shrinkify.scm 113 */
									obj_t BgL_arg2007z00_1343;

									{	/* Ast/shrinkify.scm 113 */
										obj_t BgL_arg2008z00_1344;

										{	/* Ast/shrinkify.scm 113 */
											long BgL_arg1772z00_2393;

											{	/* Ast/shrinkify.scm 113 */
												long BgL_arg1773z00_2394;

												{	/* Ast/shrinkify.scm 113 */
													long BgL_res2164z00_2396;

													BgL_res2164z00_2396 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_nodez00_1337));
													BgL_arg1773z00_2394 = BgL_res2164z00_2396;
												}
												BgL_arg1772z00_2393 =
													(BgL_arg1773z00_2394 - OBJECT_TYPE);
											}
											BgL_arg2008z00_1344 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_2393));
										}
										BgL_arg2007z00_1343 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2008z00_1344);
									}
									{	/* Ast/shrinkify.scm 113 */
										long BgL_res2166z00_2403;

										BgL_res2166z00_2403 = BGL_CLASS_INDEX(BgL_arg2007z00_1343);
										BgL_arg2006z00_1342 = BgL_res2166z00_2403;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_nodez00_1337), BgL_arg2006z00_1342);
							}
							{	/* Ast/shrinkify.scm 113 */
								BgL_objectz00_bglt BgL_auxz00_3012;

								BgL_auxz00_3012 = ((BgL_objectz00_bglt) BgL_nodez00_1337);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3012, BFALSE);
							}
							((obj_t) BgL_nodez00_1337);
						}
					else
						{	/* Ast/shrinkify.scm 113 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1337))->BgL_exprza2za2));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-funcall1922 */
	obj_t BGl_z62shrinkzd2nodez12zd2funcall1922z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2626, obj_t BgL_nodez00_2627)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 103 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1326;

				BgL_nodez00_1326 = ((BgL_funcallz00_bglt) BgL_nodez00_2627);
				{	/* Ast/shrinkify.scm 104 */
					bool_t BgL_testz00_3019;

					{	/* Ast/shrinkify.scm 104 */
						bool_t BgL_testz00_3020;

						{	/* Ast/shrinkify.scm 104 */
							obj_t BgL_auxz00_3021;

							{	/* Ast/shrinkify.scm 104 */
								BgL_objectz00_bglt BgL_auxz00_3022;

								BgL_auxz00_3022 = ((BgL_objectz00_bglt) BgL_nodez00_1326);
								BgL_auxz00_3021 = BGL_OBJECT_WIDENING(BgL_auxz00_3022);
							}
							BgL_testz00_3020 = CBOOL(BgL_auxz00_3021);
						}
						if (BgL_testz00_3020)
							{	/* Ast/shrinkify.scm 104 */
								BgL_testz00_3019 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 104 */
								BgL_testz00_3019 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3019)
						{	/* Ast/shrinkify.scm 104 */
							{	/* Ast/shrinkify.scm 104 */
								long BgL_arg1999z00_1331;

								{	/* Ast/shrinkify.scm 104 */
									obj_t BgL_arg2000z00_1332;

									{	/* Ast/shrinkify.scm 104 */
										obj_t BgL_arg2002z00_1333;

										{	/* Ast/shrinkify.scm 104 */
											long BgL_arg1772z00_2371;

											{	/* Ast/shrinkify.scm 104 */
												long BgL_arg1773z00_2372;

												{	/* Ast/shrinkify.scm 104 */
													long BgL_res2159z00_2374;

													BgL_res2159z00_2374 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_nodez00_1326));
													BgL_arg1773z00_2372 = BgL_res2159z00_2374;
												}
												BgL_arg1772z00_2371 =
													(BgL_arg1773z00_2372 - OBJECT_TYPE);
											}
											BgL_arg2002z00_1333 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_2371));
										}
										BgL_arg2000z00_1332 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2002z00_1333);
									}
									{	/* Ast/shrinkify.scm 104 */
										long BgL_res2161z00_2381;

										BgL_res2161z00_2381 = BGL_CLASS_INDEX(BgL_arg2000z00_1332);
										BgL_arg1999z00_1331 = BgL_res2161z00_2381;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_nodez00_1326), BgL_arg1999z00_1331);
							}
							{	/* Ast/shrinkify.scm 104 */
								BgL_objectz00_bglt BgL_auxz00_3035;

								BgL_auxz00_3035 = ((BgL_objectz00_bglt) BgL_nodez00_1326);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3035, BFALSE);
							}
							((obj_t) BgL_nodez00_1326);
						}
					else
						{	/* Ast/shrinkify.scm 104 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1326))->BgL_funz00));
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1326))->BgL_argsz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app-ly1920 */
	obj_t BGl_z62shrinkzd2nodez12zd2appzd2ly1920za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2628, obj_t BgL_nodez00_2629)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 94 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1315;

				BgL_nodez00_1315 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2629);
				{	/* Ast/shrinkify.scm 95 */
					bool_t BgL_testz00_3044;

					{	/* Ast/shrinkify.scm 95 */
						bool_t BgL_testz00_3045;

						{	/* Ast/shrinkify.scm 95 */
							obj_t BgL_auxz00_3046;

							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_3047;

								BgL_auxz00_3047 = ((BgL_objectz00_bglt) BgL_nodez00_1315);
								BgL_auxz00_3046 = BGL_OBJECT_WIDENING(BgL_auxz00_3047);
							}
							BgL_testz00_3045 = CBOOL(BgL_auxz00_3046);
						}
						if (BgL_testz00_3045)
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_3044 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_3044 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3044)
						{	/* Ast/shrinkify.scm 95 */
							{	/* Ast/shrinkify.scm 95 */
								long BgL_arg1993z00_1320;

								{	/* Ast/shrinkify.scm 95 */
									obj_t BgL_arg1994z00_1321;

									{	/* Ast/shrinkify.scm 95 */
										obj_t BgL_arg1995z00_1322;

										{	/* Ast/shrinkify.scm 95 */
											long BgL_arg1772z00_2348;

											{	/* Ast/shrinkify.scm 95 */
												long BgL_arg1773z00_2349;

												{	/* Ast/shrinkify.scm 95 */
													long BgL_res2153z00_2351;

													BgL_res2153z00_2351 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_nodez00_1315));
													BgL_arg1773z00_2349 = BgL_res2153z00_2351;
												}
												BgL_arg1772z00_2348 =
													(BgL_arg1773z00_2349 - OBJECT_TYPE);
											}
											BgL_arg1995z00_1322 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_2348));
										}
										BgL_arg1994z00_1321 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1995z00_1322);
									}
									{	/* Ast/shrinkify.scm 95 */
										long BgL_res2155z00_2358;

										BgL_res2155z00_2358 = BGL_CLASS_INDEX(BgL_arg1994z00_1321);
										BgL_arg1993z00_1320 = BgL_res2155z00_2358;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_nodez00_1315), BgL_arg1993z00_1320);
							}
							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_3060;

								BgL_auxz00_3060 = ((BgL_objectz00_bglt) BgL_nodez00_1315);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3060, BFALSE);
							}
							((obj_t) BgL_nodez00_1315);
						}
					else
						{	/* Ast/shrinkify.scm 95 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1315))->BgL_funz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1315))->BgL_argz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app1918 */
	obj_t BGl_z62shrinkzd2nodez12zd2app1918z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2630, obj_t BgL_nodez00_2631)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 85 */
			{
				BgL_appz00_bglt BgL_nodez00_1304;

				BgL_nodez00_1304 = ((BgL_appz00_bglt) BgL_nodez00_2631);
				{	/* Ast/shrinkify.scm 86 */
					bool_t BgL_testz00_3069;

					{	/* Ast/shrinkify.scm 86 */
						bool_t BgL_testz00_3070;

						{	/* Ast/shrinkify.scm 86 */
							obj_t BgL_auxz00_3071;

							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_3072;

								BgL_auxz00_3072 = ((BgL_objectz00_bglt) BgL_nodez00_1304);
								BgL_auxz00_3071 = BGL_OBJECT_WIDENING(BgL_auxz00_3072);
							}
							BgL_testz00_3070 = CBOOL(BgL_auxz00_3071);
						}
						if (BgL_testz00_3070)
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_3069 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_3069 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3069)
						{	/* Ast/shrinkify.scm 86 */
							{	/* Ast/shrinkify.scm 86 */
								long BgL_arg1986z00_1309;

								{	/* Ast/shrinkify.scm 86 */
									obj_t BgL_arg1987z00_1310;

									{	/* Ast/shrinkify.scm 86 */
										obj_t BgL_arg1988z00_1311;

										{	/* Ast/shrinkify.scm 86 */
											long BgL_arg1772z00_2326;

											{	/* Ast/shrinkify.scm 86 */
												long BgL_arg1773z00_2327;

												{	/* Ast/shrinkify.scm 86 */
													long BgL_res2148z00_2329;

													BgL_res2148z00_2329 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_nodez00_1304));
													BgL_arg1773z00_2327 = BgL_res2148z00_2329;
												}
												BgL_arg1772z00_2326 =
													(BgL_arg1773z00_2327 - OBJECT_TYPE);
											}
											BgL_arg1988z00_1311 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_2326));
										}
										BgL_arg1987z00_1310 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1988z00_1311);
									}
									{	/* Ast/shrinkify.scm 86 */
										long BgL_res2150z00_2336;

										BgL_res2150z00_2336 = BGL_CLASS_INDEX(BgL_arg1987z00_1310);
										BgL_arg1986z00_1309 = BgL_res2150z00_2336;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_nodez00_1304), BgL_arg1986z00_1309);
							}
							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_3085;

								BgL_auxz00_3085 = ((BgL_objectz00_bglt) BgL_nodez00_1304);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3085, BFALSE);
							}
							((obj_t) BgL_nodez00_1304);
						}
					else
						{	/* Ast/shrinkify.scm 86 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 87 */
					BgL_varz00_bglt BgL_arg1990z00_1312;

					BgL_arg1990z00_1312 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1304))->BgL_funz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1990z00_1312));
				}
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1304))->BgL_argsz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-sync1916 */
	obj_t BGl_z62shrinkzd2nodez12zd2sync1916z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2632, obj_t BgL_nodez00_2633)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 76 */
			{
				BgL_syncz00_bglt BgL_nodez00_1297;

				BgL_nodez00_1297 = ((BgL_syncz00_bglt) BgL_nodez00_2633);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1297))->BgL_mutexz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1297))->BgL_prelockz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1297))->BgL_bodyz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-sequenc1914 */
	obj_t BGl_z62shrinkzd2nodez12zd2sequenc1914z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2634, obj_t BgL_nodez00_2635)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 69 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1292;

				BgL_nodez00_1292 = ((BgL_sequencez00_bglt) BgL_nodez00_2635);
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1292))->BgL_nodesz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-kwote1912 */
	obj_t BGl_z62shrinkzd2nodez12zd2kwote1912z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2636, obj_t BgL_nodez00_2637)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 63 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-var1910 */
	obj_t BGl_z62shrinkzd2nodez12zd2var1910z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2638, obj_t BgL_nodez00_2639)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 57 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-atom1908 */
	obj_t BGl_z62shrinkzd2nodez12zd2atom1908z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2640, obj_t BgL_nodez00_2641)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 51 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2227z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2227z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2227z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2227z00zzast_shrinkifyz00));
		}
	}

#ifdef __cplusplus
}
#endif
