/*===========================================================================*/
/*   (Ast/substitute.scm)                                                    */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/substitute.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt
		BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1935za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1925za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1927za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1904z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1920z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21931za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1937za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_substitutez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_substitutez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21933za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t, BgL_nodez00_bglt,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1906z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1908za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1898z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2selec1922z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1910z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1900z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1896z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62dozd2substitutez121893za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1914z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_substitutez00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1916z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_substitutez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_substitutez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1902z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t,
		obj_t, BgL_varz00_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_substitutez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00();
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1929za2zzast_substitutez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1912z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1918z70zzast_substitutez00(obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2175z00zzast_substitutez00,
		BgL_bgl_string2175za700za7za7a2207za7, "do-substitute!1893", 18);
	      DEFINE_STRING(BGl_string2176z00zzast_substitutez00,
		BgL_bgl_string2176za700za7za7a2208za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2178z00zzast_substitutez00,
		BgL_bgl_string2178za700za7za7a2209za7, "do-substitute!", 14);
	      DEFINE_STRING(BGl_string2199z00zzast_substitutez00,
		BgL_bgl_string2199za700za7za7a2210za7, "Illegal application", 19);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2211z00,
		BGl_z62dozd2substitutez12za2zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2200z00zzast_substitutez00,
		BgL_bgl_string2200za700za7za7a2212za7, "wrong number of argument(s)", 27);
	      DEFINE_STRING(BGl_string2201z00zzast_substitutez00,
		BgL_bgl_string2201za700za7za7a2213za7, "duplicate", 9);
	      DEFINE_STRING(BGl_string2202z00zzast_substitutez00,
		BgL_bgl_string2202za700za7za7a2214za7, "Illegal substitution", 20);
	      DEFINE_STRING(BGl_string2203z00zzast_substitutez00,
		BgL_bgl_string2203za700za7za7a2215za7, "ast_substitute", 14);
	      DEFINE_STRING(BGl_string2204z00zzast_substitutez00,
		BgL_bgl_string2204za700za7za7a2216za7,
		"apply funcall set! app do-substitute!1893 value done ", 53);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2217z00,
		BGl_z62dozd2substitutez121893za2zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2218z00,
		BGl_z62dozd2substitutez12zd2atom1896z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2219z00,
		BGl_z62dozd2substitutez12zd2var1898z70zzast_substitutez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_substitutez12zd2envzc0zzast_substitutez00,
		BgL_bgl_za762substituteza7122220z00,
		BGl_z62substitutez12z70zzast_substitutez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2221z00,
		BGl_z62dozd2substitutez12zd2kwote1900z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2222z00,
		BGl_z62dozd2substitutez12zd2seque1902z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2223z00,
		BGl_z62dozd2substitutez12zd2sync1904z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2224z00,
		BGl_z62dozd2substitutez12zd2app1906z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2225z00,
		BGl_z62dozd2substitutez12zd2appzd2l1908za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2226z00,
		BGl_z62dozd2substitutez12zd2funca1910z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2227z00,
		BGl_z62dozd2substitutez12zd2exter1912z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2228z00,
		BGl_z62dozd2substitutez12zd2cast1914z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2229z00,
		BGl_z62dozd2substitutez12zd2setq1916z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2230z00,
		BGl_z62dozd2substitutez12zd2condi1918z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2231z00,
		BGl_z62dozd2substitutez12zd2fail1920z70zzast_substitutez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2232z00,
		BGl_z62dozd2substitutez12zd2selec1922z70zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2233z00,
		BGl_z62dozd2substitutez12zd2letzd2f1925za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2234z00,
		BGl_z62dozd2substitutez12zd2letzd2v1927za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2235z00,
		BGl_z62dozd2substitutez12zd2setzd2e1929za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2236z00,
		BGl_z62dozd2substitutez12zd2jumpzd21931za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2237z00,
		BGl_z62dozd2substitutez12zd2makezd21933za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2238z00,
		BGl_z62dozd2substitutez12zd2boxzd2r1935za2zzast_substitutez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzast_substitutez00,
		BgL_bgl_za762doza7d2substitu2239z00,
		BGl_z62dozd2substitutez12zd2boxzd2s1937za2zzast_substitutez00, 0L, BUNSPEC,
		2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzast_substitutez00(long
		BgL_checksumz00_2688, char *BgL_fromz00_2689)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_substitutez00))
				{
					BGl_requirezd2initializa7ationz75zzast_substitutez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_substitutez00();
					BGl_cnstzd2initzd2zzast_substitutez00();
					BGl_importedzd2moduleszd2initz00zzast_substitutez00();
					BGl_genericzd2initzd2zzast_substitutez00();
					BGl_methodzd2initzd2zzast_substitutez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_substitute");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_substitute");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			{	/* Ast/substitute.scm 14 */
				obj_t BgL_cportz00_2676;

				BgL_cportz00_2676 =
					bgl_open_input_string(BGl_string2204z00zzast_substitutez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2677;

					BgL_iz00_2677 = ((long) 6);
				BgL_loopz00_2678:
					if ((BgL_iz00_2677 == ((long) -1)))
						{	/* Ast/substitute.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/substitute.scm 14 */
							{	/* Ast/substitute.scm 14 */
								obj_t BgL_arg2206z00_2680;

								{	/* Ast/substitute.scm 14 */

									{	/* Ast/substitute.scm 14 */
										obj_t BgL_locationz00_2682;

										BgL_locationz00_2682 = BBOOL(((bool_t) 0));
										{	/* Ast/substitute.scm 14 */

											BgL_arg2206z00_2680 =
												BGl_readz00zz__readerz00(BgL_cportz00_2676,
												BgL_locationz00_2682);
										}
									}
								}
								{	/* Ast/substitute.scm 14 */
									int BgL_auxz00_2710;

									BgL_auxz00_2710 = (int) (BgL_iz00_2677);
									CNST_TABLE_SET(BgL_auxz00_2710, BgL_arg2206z00_2680);
							}}
							{	/* Ast/substitute.scm 14 */
								int BgL_auxz00_2683;

								BgL_auxz00_2683 = (int) ((BgL_iz00_2677 - ((long) 1)));
								{
									long BgL_iz00_2715;

									BgL_iz00_2715 = (long) (BgL_auxz00_2683);
									BgL_iz00_2677 = BgL_iz00_2715;
									goto BgL_loopz00_2678;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}
	}



/* substitute! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_substitutez12z12zzast_substitutez00(obj_t BgL_whatza2za2_3,
		obj_t BgL_byza2za2_4, BgL_nodez00_bglt BgL_nodez00_5, obj_t BgL_sitez00_6)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 34 */
			{
				obj_t BgL_ll1787z00_1259;
				obj_t BgL_ll1788z00_1260;

				BgL_ll1787z00_1259 = BgL_whatza2za2_3;
				BgL_ll1788z00_1260 = BgL_byza2za2_4;
			BgL_zc3anonymousza31941ze3z83_1261:
				if (NULLP(BgL_ll1787z00_1259))
					{	/* Ast/substitute.scm 37 */
						((bool_t) 1);
					}
				else
					{	/* Ast/substitute.scm 37 */
						{	/* Ast/substitute.scm 39 */
							obj_t BgL_whatz00_1263;
							obj_t BgL_byz00_1264;

							BgL_whatz00_1263 = CAR(BgL_ll1787z00_1259);
							BgL_byz00_1264 = CAR(BgL_ll1788z00_1260);
							((((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_whatz00_1263)))->
									BgL_fastzd2alphazd2) = ((obj_t) BgL_byz00_1264), BUNSPEC);
						}
						{
							obj_t BgL_ll1788z00_2725;
							obj_t BgL_ll1787z00_2723;

							BgL_ll1787z00_2723 = CDR(BgL_ll1787z00_1259);
							BgL_ll1788z00_2725 = CDR(BgL_ll1788z00_1260);
							BgL_ll1788z00_1260 = BgL_ll1788z00_2725;
							BgL_ll1787z00_1259 = BgL_ll1787z00_2723;
							goto BgL_zc3anonymousza31941ze3z83_1261;
						}
					}
			}
			{	/* Ast/substitute.scm 42 */
				BgL_nodez00_bglt BgL_resz00_1268;

				BgL_resz00_1268 =
					BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_5,
					BgL_sitez00_6);
				{
					obj_t BgL_l1790z00_1270;

					BgL_l1790z00_1270 = BgL_whatza2za2_3;
				BgL_zc3anonymousza31945ze3z83_1271:
					if (PAIRP(BgL_l1790z00_1270))
						{	/* Ast/substitute.scm 44 */
							{	/* Ast/substitute.scm 45 */
								obj_t BgL_whatz00_1273;

								BgL_whatz00_1273 = CAR(BgL_l1790z00_1270);
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_whatz00_1273)))->
										BgL_fastzd2alphazd2) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							{
								obj_t BgL_l1790z00_2733;

								BgL_l1790z00_2733 = CDR(BgL_l1790z00_1270);
								BgL_l1790z00_1270 = BgL_l1790z00_2733;
								goto BgL_zc3anonymousza31945ze3z83_1271;
							}
						}
					else
						{	/* Ast/substitute.scm 44 */
							((bool_t) 1);
						}
				}
				return BgL_resz00_1268;
			}
		}
	}



/* &substitute! */
	BgL_nodez00_bglt BGl_z62substitutez12z70zzast_substitutez00(obj_t
		BgL_envz00_2580, obj_t BgL_whatza2za2_2581, obj_t BgL_byza2za2_2582,
		obj_t BgL_nodez00_2583, obj_t BgL_sitez00_2584)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 34 */
			return
				BGl_substitutez12z12zzast_substitutez00(BgL_whatza2za2_2581,
				BgL_byza2za2_2582, ((BgL_nodez00_bglt) BgL_nodez00_2583),
				BgL_sitez00_2584);
		}
	}



/* do-substitute*! */
	obj_t BGl_dozd2substituteza2z12z62zzast_substitutez00(obj_t BgL_nodeza2za2_51,
		obj_t BgL_sitez00_52)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 274 */
		BGl_dozd2substituteza2z12z62zzast_substitutez00:
			if (NULLP(BgL_nodeza2za2_51))
				{	/* Ast/substitute.scm 276 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Ast/substitute.scm 276 */
					if (NULLP(CDR(BgL_nodeza2za2_51)))
						{	/* Ast/substitute.scm 278 */
							{	/* Ast/substitute.scm 279 */
								BgL_nodez00_bglt BgL_arg1950z00_1278;

								{	/* Ast/substitute.scm 279 */
									obj_t BgL_arg1951z00_1279;

									BgL_arg1951z00_1279 = CAR(BgL_nodeza2za2_51);
									BgL_arg1950z00_1278 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1951z00_1279), BgL_sitez00_52);
								}
								{	/* Ast/substitute.scm 279 */
									obj_t BgL_auxz00_2746;

									BgL_auxz00_2746 = ((obj_t) BgL_arg1950z00_1278);
									SET_CAR(BgL_nodeza2za2_51, BgL_auxz00_2746);
								}
							}
							return CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Ast/substitute.scm 278 */
							{	/* Ast/substitute.scm 282 */
								BgL_nodez00_bglt BgL_arg1952z00_1280;

								{	/* Ast/substitute.scm 282 */
									obj_t BgL_arg1953z00_1281;

									BgL_arg1953z00_1281 = CAR(BgL_nodeza2za2_51);
									BgL_arg1952z00_1280 =
										BGl_dozd2substitutez12zc0zzast_substitutez00(
										((BgL_nodez00_bglt) BgL_arg1953z00_1281),
										CNST_TABLE_REF(((long) 1)));
								}
								{	/* Ast/substitute.scm 282 */
									obj_t BgL_auxz00_2754;

									BgL_auxz00_2754 = ((obj_t) BgL_arg1952z00_1280);
									SET_CAR(BgL_nodeza2za2_51, BgL_auxz00_2754);
							}}
							{
								obj_t BgL_nodeza2za2_2757;

								BgL_nodeza2za2_2757 = CDR(BgL_nodeza2za2_51);
								BgL_nodeza2za2_51 = BgL_nodeza2za2_2757;
								goto BGl_dozd2substituteza2z12z62zzast_substitutez00;
							}
						}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_proc2174z00zzast_substitutez00, BGl_nodez00zzast_nodez00,
				BGl_string2175z00zzast_substitutez00);
		}
	}



/* &do-substitute!1893 */
	obj_t BGl_z62dozd2substitutez121893za2zzast_substitutez00(obj_t
		BgL_envz00_2586, obj_t BgL_nodez00_2587, obj_t BgL_sitez00_2588)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			{
				BgL_nodez00_bglt BgL_nodez00_1285;
				obj_t BgL_sitez00_1286;

				BgL_nodez00_1285 = ((BgL_nodez00_bglt) BgL_nodez00_2587);
				BgL_sitez00_1286 = BgL_sitez00_2588;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
					BGl_string2176z00zzast_substitutez00, ((obj_t) BgL_nodez00_1285));
		}}
	}



/* do-substitute! */
	BgL_nodez00_bglt BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_nodez00_bglt
		BgL_nodez00_7, obj_t BgL_sitez00_8)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			{	/* Ast/substitute.scm 52 */
				obj_t BgL_method1894z00_1289;

				{	/* Ast/substitute.scm 52 */
					obj_t BgL_res2128z00_2317;

					{	/* Ast/substitute.scm 52 */
						long BgL_objzd2classzd2numz00_2290;

						{	/* Ast/substitute.scm 52 */
							long BgL_res2122z00_2293;

							BgL_res2122z00_2293 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_7));
							BgL_objzd2classzd2numz00_2290 = BgL_res2122z00_2293;
						}
						{	/* Ast/substitute.scm 52 */
							obj_t BgL_arg1769z00_2291;

							BgL_arg1769z00_2291 =
								PROCEDURE_REF
								(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
								(int) (((long) 1)));
							{	/* Ast/substitute.scm 52 */
								int BgL_offsetz00_2295;

								BgL_offsetz00_2295 = (int) (BgL_objzd2classzd2numz00_2290);
								{	/* Ast/substitute.scm 52 */
									long BgL_offsetz00_2296;

									BgL_offsetz00_2296 =
										((long) (BgL_offsetz00_2295) - OBJECT_TYPE);
									{	/* Ast/substitute.scm 52 */
										long BgL_modz00_2297;

										{	/* Ast/substitute.scm 52 */
											int BgL_arg1771z00_2298;

											BgL_arg1771z00_2298 = (int) (((long) 16));
											{	/* Ast/substitute.scm 52 */
												long BgL_res2125z00_2308;

												{	/* Ast/substitute.scm 52 */
													long BgL_auxz00_2772;

													BgL_auxz00_2772 = (long) (BgL_arg1771z00_2298);
													BgL_res2125z00_2308 =
														(BgL_offsetz00_2296 / BgL_auxz00_2772);
												}
												BgL_modz00_2297 = BgL_res2125z00_2308;
										}}
										{	/* Ast/substitute.scm 52 */
											long BgL_restz00_2299;

											{	/* Ast/substitute.scm 52 */
												int BgL_arg1770z00_2300;

												BgL_arg1770z00_2300 = (int) (((long) 16));
												{	/* Ast/substitute.scm 52 */
													long BgL_res2127z00_2312;

													{	/* Ast/substitute.scm 52 */
														long BgL_auxz00_2776;

														BgL_auxz00_2776 = (long) (BgL_arg1770z00_2300);
														BgL_res2127z00_2312 =
															(BgL_offsetz00_2296 % BgL_auxz00_2776);
													}
													BgL_restz00_2299 = BgL_res2127z00_2312;
											}}
											{	/* Ast/substitute.scm 52 */

												BgL_res2128z00_2317 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2291,
														(int) (BgL_modz00_2297)), (int) (BgL_restz00_2299));
					}}}}}}}
					BgL_method1894z00_1289 = BgL_res2128z00_2317;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1894z00_1289) (BgL_method1894z00_1289,
						((obj_t) BgL_nodez00_7), BgL_sitez00_8, BEOA));
			}
		}
	}



/* &do-substitute! */
	BgL_nodez00_bglt BGl_z62dozd2substitutez12za2zzast_substitutez00(obj_t
		BgL_envz00_2589, obj_t BgL_nodez00_2590, obj_t BgL_sitez00_2591)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 52 */
			return
				BGl_dozd2substitutez12zc0zzast_substitutez00(
				((BgL_nodez00_bglt) BgL_nodez00_2590), BgL_sitez00_2591);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_atomz00zzast_nodez00, BGl_proc2177z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_varz00zzast_nodez00, BGl_proc2179z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_kwotez00zzast_nodez00, BGl_proc2180z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2181z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_syncz00zzast_nodez00, BGl_proc2182z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appz00zzast_nodez00, BGl_proc2183z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2184z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2185z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_externz00zzast_nodez00, BGl_proc2186z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_castz00zzast_nodez00, BGl_proc2187z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setqz00zzast_nodez00, BGl_proc2188z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2189z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_failz00zzast_nodez00, BGl_proc2190z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_selectz00zzast_nodez00, BGl_proc2191z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2192z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2193z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2194z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2195z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2196z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2197z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dozd2substitutez12zd2envz12zzast_substitutez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2198z00zzast_substitutez00,
				BGl_string2178z00zzast_substitutez00);
		}
	}



/* &do-substitute!-box-s1937 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2s1937za2zzast_substitutez00(obj_t
		BgL_envz00_2613, obj_t BgL_nodez00_2614, obj_t BgL_sitez00_2615)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 266 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1531;
				obj_t BgL_sitez00_1532;

				BgL_nodez00_1531 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2614);
				BgL_sitez00_1532 = BgL_sitez00_2615;
				{	/* Ast/substitute.scm 267 */
					BgL_nodez00_bglt BgL_arg2061z00_1535;

					{	/* Ast/substitute.scm 267 */
						BgL_varz00_bglt BgL_arg2062z00_1536;

						BgL_arg2062z00_1536 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1531))->BgL_varz00);
						BgL_arg2061z00_1535 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg2062z00_1536),
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1531))->BgL_varz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg2061z00_1535)),
						BUNSPEC);
				}
				{	/* Ast/substitute.scm 268 */
					BgL_nodez00_bglt BgL_arg2063z00_1537;

					{	/* Ast/substitute.scm 268 */
						BgL_nodez00_bglt BgL_arg2064z00_1538;

						BgL_arg2064z00_1538 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1531))->
							BgL_valuez00);
						BgL_arg2063z00_1537 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2064z00_1538,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1531))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg2063z00_1537), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1531);
			}
		}
	}



/* &do-substitute!-box-r1935 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2boxzd2r1935za2zzast_substitutez00(obj_t
		BgL_envz00_2616, obj_t BgL_nodez00_2617, obj_t BgL_sitez00_2618)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 259 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1524;
				obj_t BgL_sitez00_1525;

				BgL_nodez00_1524 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2617);
				BgL_sitez00_1525 = BgL_sitez00_2618;
				{	/* Ast/substitute.scm 260 */
					BgL_nodez00_bglt BgL_arg2059z00_2516;

					{	/* Ast/substitute.scm 260 */
						BgL_varz00_bglt BgL_arg2060z00_2517;

						BgL_arg2060z00_2517 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1524))->BgL_varz00);
						BgL_arg2059z00_2516 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg2060z00_2517),
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1524))->BgL_varz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg2059z00_2516)),
						BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1524);
			}
		}
	}



/* &do-substitute!-make-1933 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2makezd21933za2zzast_substitutez00(obj_t
		BgL_envz00_2619, obj_t BgL_nodez00_2620, obj_t BgL_sitez00_2621)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 252 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1517;
				obj_t BgL_sitez00_1518;

				BgL_nodez00_1517 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2620);
				BgL_sitez00_1518 = BgL_sitez00_2621;
				{	/* Ast/substitute.scm 253 */
					BgL_nodez00_bglt BgL_arg2057z00_2508;

					{	/* Ast/substitute.scm 253 */
						BgL_nodez00_bglt BgL_arg2058z00_2509;

						BgL_arg2058z00_2509 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1517))->BgL_valuez00);
						BgL_arg2057z00_2508 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2058z00_2509,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1517))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg2057z00_2508), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1517);
			}
		}
	}



/* &do-substitute!-jump-1931 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2jumpzd21931za2zzast_substitutez00(obj_t
		BgL_envz00_2622, obj_t BgL_nodez00_2623, obj_t BgL_sitez00_2624)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 244 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1508;
				obj_t BgL_sitez00_1509;

				BgL_nodez00_1508 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2623);
				BgL_sitez00_1509 = BgL_sitez00_2624;
				{	/* Ast/substitute.scm 245 */
					BgL_nodez00_bglt BgL_arg2053z00_1512;

					{	/* Ast/substitute.scm 245 */
						BgL_nodez00_bglt BgL_arg2054z00_1513;

						BgL_arg2054z00_1513 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1508))->
							BgL_exitz00);
						BgL_arg2053z00_1512 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2054z00_1513,
							CNST_TABLE_REF(((long) 3)));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1508))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_arg2053z00_1512), BUNSPEC);
				}
				{	/* Ast/substitute.scm 246 */
					BgL_nodez00_bglt BgL_arg2055z00_1514;

					{	/* Ast/substitute.scm 246 */
						BgL_nodez00_bglt BgL_arg2056z00_1515;

						BgL_arg2056z00_1515 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1508))->
							BgL_valuez00);
						BgL_arg2055z00_1514 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2056z00_1515,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1508))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_arg2055z00_1514), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1508);
			}
		}
	}



/* &do-substitute!-set-e1929 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setzd2e1929za2zzast_substitutez00(obj_t
		BgL_envz00_2625, obj_t BgL_nodez00_2626, obj_t BgL_sitez00_2627)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 237 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1501;
				obj_t BgL_sitez00_1502;

				BgL_nodez00_1501 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2626);
				BgL_sitez00_1502 = BgL_sitez00_2627;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1501))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(((
									(BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1501))->
								BgL_bodyz00), BgL_sitez00_1502)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1501);
			}
		}
	}



/* &do-substitute!-let-v1927 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2v1927za2zzast_substitutez00(obj_t
		BgL_envz00_2628, obj_t BgL_nodez00_2629, obj_t BgL_sitez00_2630)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 227 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1484;
				obj_t BgL_sitez00_1485;

				BgL_nodez00_1484 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2629);
				BgL_sitez00_1485 = BgL_sitez00_2630;
				{	/* Ast/substitute.scm 228 */
					obj_t BgL_g1892z00_1488;

					BgL_g1892z00_1488 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1484))->BgL_bindingsz00);
					{
						obj_t BgL_l1890z00_1490;

						BgL_l1890z00_1490 = BgL_g1892z00_1488;
					BgL_zc3anonymousza32043ze3z83_1491:
						if (PAIRP(BgL_l1890z00_1490))
							{	/* Ast/substitute.scm 230 */
								{	/* Ast/substitute.scm 229 */
									obj_t BgL_bindingz00_1493;

									BgL_bindingz00_1493 = CAR(BgL_l1890z00_1490);
									{	/* Ast/substitute.scm 229 */
										BgL_nodez00_bglt BgL_arg2046z00_1494;

										{	/* Ast/substitute.scm 229 */
											obj_t BgL_arg2047z00_1495;

											BgL_arg2047z00_1495 = CDR(BgL_bindingz00_1493);
											BgL_arg2046z00_1494 =
												BGl_dozd2substitutez12zc0zzast_substitutez00(
												((BgL_nodez00_bglt) BgL_arg2047z00_1495),
												CNST_TABLE_REF(((long) 1)));
										}
										{	/* Ast/substitute.scm 229 */
											obj_t BgL_auxz00_2862;

											BgL_auxz00_2862 = ((obj_t) BgL_arg2046z00_1494);
											SET_CDR(BgL_bindingz00_1493, BgL_auxz00_2862);
								}}}
								{
									obj_t BgL_l1890z00_2865;

									BgL_l1890z00_2865 = CDR(BgL_l1890z00_1490);
									BgL_l1890z00_1490 = BgL_l1890z00_2865;
									goto BgL_zc3anonymousza32043ze3z83_1491;
								}
							}
						else
							{	/* Ast/substitute.scm 230 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1484))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(((
									(BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1484))->BgL_bodyz00),
							BgL_sitez00_1485)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1484);
			}
		}
	}



/* &do-substitute!-let-f1925 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2letzd2f1925za2zzast_substitutez00(obj_t
		BgL_envz00_2631, obj_t BgL_nodez00_2632, obj_t BgL_sitez00_2633)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 215 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1466;
				obj_t BgL_sitez00_1467;

				BgL_nodez00_1466 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2632);
				BgL_sitez00_1467 = BgL_sitez00_2633;
				{	/* Ast/substitute.scm 216 */
					obj_t BgL_g1889z00_1470;

					BgL_g1889z00_1470 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1466))->BgL_localsz00);
					{
						obj_t BgL_l1887z00_1472;

						BgL_l1887z00_1472 = BgL_g1889z00_1470;
					BgL_zc3anonymousza32035ze3z83_1473:
						if (PAIRP(BgL_l1887z00_1472))
							{	/* Ast/substitute.scm 220 */
								{	/* Ast/substitute.scm 217 */
									obj_t BgL_localz00_1475;

									BgL_localz00_1475 = CAR(BgL_l1887z00_1472);
									{	/* Ast/substitute.scm 217 */
										BgL_valuez00_bglt BgL_funz00_1476;

										BgL_funz00_1476 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1475))))->
											BgL_valuez00);
										{	/* Ast/substitute.scm 218 */
											BgL_nodez00_bglt BgL_arg2037z00_1477;

											{	/* Ast/substitute.scm 218 */
												obj_t BgL_arg2038z00_1478;

												BgL_arg2038z00_1478 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1476)))->
													BgL_bodyz00);
												BgL_arg2037z00_1477 =
													BGl_dozd2substitutez12zc0zzast_substitutez00((
														(BgL_nodez00_bglt) BgL_arg2038z00_1478),
													CNST_TABLE_REF(((long) 1)));
											}
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1476)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg2037z00_1477)), BUNSPEC);
								}}}
								{
									obj_t BgL_l1887z00_2887;

									BgL_l1887z00_2887 = CDR(BgL_l1887z00_1472);
									BgL_l1887z00_1472 = BgL_l1887z00_2887;
									goto BgL_zc3anonymousza32035ze3z83_1473;
								}
							}
						else
							{	/* Ast/substitute.scm 220 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1466))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00(((
									(BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1466))->BgL_bodyz00),
							BgL_sitez00_1467)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1466);
			}
		}
	}



/* &do-substitute!-selec1922 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2selec1922z70zzast_substitutez00(obj_t
		BgL_envz00_2634, obj_t BgL_nodez00_2635, obj_t BgL_sitez00_2636)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 205 */
			{
				BgL_selectz00_bglt BgL_nodez00_1449;
				obj_t BgL_sitez00_1450;

				BgL_nodez00_1449 = ((BgL_selectz00_bglt) BgL_nodez00_2635);
				BgL_sitez00_1450 = BgL_sitez00_2636;
				{	/* Ast/substitute.scm 206 */
					BgL_nodez00_bglt BgL_arg2028z00_1453;

					{	/* Ast/substitute.scm 206 */
						BgL_nodez00_bglt BgL_arg2029z00_1454;

						BgL_arg2029z00_1454 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1449))->BgL_testz00);
						BgL_arg2028z00_1453 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2029z00_1454,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1449))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_arg2028z00_1453), BUNSPEC);
				}
				{	/* Ast/substitute.scm 207 */
					obj_t BgL_g1886z00_1455;

					BgL_g1886z00_1455 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1449))->BgL_clausesz00);
					{
						obj_t BgL_l1797z00_1457;

						BgL_l1797z00_1457 = BgL_g1886z00_1455;
					BgL_zc3anonymousza32030ze3z83_1458:
						if (PAIRP(BgL_l1797z00_1457))
							{	/* Ast/substitute.scm 209 */
								{	/* Ast/substitute.scm 208 */
									obj_t BgL_clausez00_1460;

									BgL_clausez00_1460 = CAR(BgL_l1797z00_1457);
									{	/* Ast/substitute.scm 208 */
										BgL_nodez00_bglt BgL_arg2032z00_1461;

										{	/* Ast/substitute.scm 208 */
											obj_t BgL_arg2033z00_1462;

											BgL_arg2033z00_1462 = CDR(BgL_clausez00_1460);
											BgL_arg2032z00_1461 =
												BGl_dozd2substitutez12zc0zzast_substitutez00(
												((BgL_nodez00_bglt) BgL_arg2033z00_1462),
												BgL_sitez00_1450);
										}
										{	/* Ast/substitute.scm 208 */
											obj_t BgL_auxz00_2905;

											BgL_auxz00_2905 = ((obj_t) BgL_arg2032z00_1461);
											SET_CDR(BgL_clausez00_1460, BgL_auxz00_2905);
										}
									}
								}
								{
									obj_t BgL_l1797z00_2908;

									BgL_l1797z00_2908 = CDR(BgL_l1797z00_1457);
									BgL_l1797z00_1457 = BgL_l1797z00_2908;
									goto BgL_zc3anonymousza32030ze3z83_1458;
								}
							}
						else
							{	/* Ast/substitute.scm 209 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1449);
			}
		}
	}



/* &do-substitute!-fail1920 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2fail1920z70zzast_substitutez00(obj_t
		BgL_envz00_2637, obj_t BgL_nodez00_2638, obj_t BgL_sitez00_2639)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 195 */
			{
				BgL_failz00_bglt BgL_nodez00_1440;
				obj_t BgL_sitez00_1441;

				BgL_nodez00_1440 = ((BgL_failz00_bglt) BgL_nodez00_2638);
				BgL_sitez00_1441 = BgL_sitez00_2639;
				{
					BgL_nodez00_bglt BgL_auxz00_2912;

					{	/* Ast/substitute.scm 197 */
						BgL_nodez00_bglt BgL_arg2025z00_1445;

						BgL_arg2025z00_1445 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1440))->BgL_procz00);
						BgL_auxz00_2912 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2025z00_1445,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1440))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2912), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2917;

					{	/* Ast/substitute.scm 198 */
						BgL_nodez00_bglt BgL_arg2026z00_1446;

						BgL_arg2026z00_1446 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1440))->BgL_msgz00);
						BgL_auxz00_2917 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2026z00_1446,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1440))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2917), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2922;

					{	/* Ast/substitute.scm 199 */
						BgL_nodez00_bglt BgL_arg2027z00_1447;

						BgL_arg2027z00_1447 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1440))->BgL_objz00);
						BgL_auxz00_2922 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2027z00_1447,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1440))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2922), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1440);
			}
		}
	}



/* &do-substitute!-condi1918 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2condi1918z70zzast_substitutez00(obj_t
		BgL_envz00_2640, obj_t BgL_nodez00_2641, obj_t BgL_sitez00_2642)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 185 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1431;
				obj_t BgL_sitez00_1432;

				BgL_nodez00_1431 = ((BgL_conditionalz00_bglt) BgL_nodez00_2641);
				BgL_sitez00_1432 = BgL_sitez00_2642;
				{
					BgL_nodez00_bglt BgL_auxz00_2929;

					{	/* Ast/substitute.scm 187 */
						BgL_nodez00_bglt BgL_arg2022z00_1436;

						BgL_arg2022z00_1436 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1431))->BgL_testz00);
						BgL_auxz00_2929 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2022z00_1436,
							CNST_TABLE_REF(((long) 1)));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1431))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2929), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2934;

					{	/* Ast/substitute.scm 188 */
						BgL_nodez00_bglt BgL_arg2023z00_1437;

						BgL_arg2023z00_1437 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1431))->BgL_truez00);
						BgL_auxz00_2934 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2023z00_1437,
							BgL_sitez00_1432);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1431))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2934), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2938;

					{	/* Ast/substitute.scm 189 */
						BgL_nodez00_bglt BgL_arg2024z00_1438;

						BgL_arg2024z00_1438 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1431))->
							BgL_falsez00);
						BgL_auxz00_2938 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2024z00_1438,
							BgL_sitez00_1432);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1431))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2938), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1431);
			}
		}
	}



/* &do-substitute!-setq1916 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2setq1916z70zzast_substitutez00(obj_t
		BgL_envz00_2643, obj_t BgL_nodez00_2644, obj_t BgL_sitez00_2645)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 176 */
			{
				BgL_setqz00_bglt BgL_nodez00_1423;
				obj_t BgL_sitez00_1424;

				BgL_nodez00_1423 = ((BgL_setqz00_bglt) BgL_nodez00_2644);
				BgL_sitez00_1424 = BgL_sitez00_2645;
				{
					BgL_varz00_bglt BgL_auxz00_2944;

					{	/* Ast/substitute.scm 178 */
						BgL_varz00_bglt BgL_arg2019z00_1428;

						BgL_arg2019z00_1428 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1423))->BgL_varz00);
						BgL_auxz00_2944 =
							((BgL_varz00_bglt)
							BGl_dozd2substitutez12zc0zzast_substitutez00(
								((BgL_nodez00_bglt) BgL_arg2019z00_1428),
								CNST_TABLE_REF(((long) 4))));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1423))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2944), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2951;

					{	/* Ast/substitute.scm 179 */
						BgL_nodez00_bglt BgL_arg2021z00_1429;

						BgL_arg2021z00_1429 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1423))->BgL_valuez00);
						BgL_auxz00_2951 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2021z00_1429,
							BgL_sitez00_1424);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1423))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2951), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1423);
			}
		}
	}



/* &do-substitute!-cast1914 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2cast1914z70zzast_substitutez00(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647, obj_t BgL_sitez00_2648)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 169 */
			{
				BgL_castz00_bglt BgL_nodez00_1417;
				obj_t BgL_sitez00_1418;

				BgL_nodez00_1417 = ((BgL_castz00_bglt) BgL_nodez00_2647);
				BgL_sitez00_1418 = BgL_sitez00_2648;
				BGl_dozd2substitutez12zc0zzast_substitutez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1417))->BgL_argz00),
					BgL_sitez00_1418);
				return ((BgL_nodez00_bglt) BgL_nodez00_1417);
			}
		}
	}



/* &do-substitute!-exter1912 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2exter1912z70zzast_substitutez00(obj_t
		BgL_envz00_2649, obj_t BgL_nodez00_2650, obj_t BgL_sitez00_2651)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 162 */
			{
				BgL_externz00_bglt BgL_nodez00_1411;
				obj_t BgL_sitez00_1412;

				BgL_nodez00_1411 = ((BgL_externz00_bglt) BgL_nodez00_2650);
				BgL_sitez00_1412 = BgL_sitez00_2651;
				BGl_dozd2substituteza2z12z62zzast_substitutez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1411))->BgL_exprza2za2),
					BgL_sitez00_1412);
				return ((BgL_nodez00_bglt) BgL_nodez00_1411);
			}
		}
	}



/* &do-substitute!-funca1910 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2funca1910z70zzast_substitutez00(obj_t
		BgL_envz00_2652, obj_t BgL_nodez00_2653, obj_t BgL_sitez00_2654)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 140 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1376;
				obj_t BgL_sitez00_1377;

				BgL_nodez00_1376 = ((BgL_funcallz00_bglt) BgL_nodez00_2653);
				BgL_sitez00_1377 = BgL_sitez00_2654;
				{	/* Ast/substitute.scm 142 */
					BgL_nodez00_bglt BgL_nfunz00_1381;
					obj_t BgL_nargsz00_1382;

					{	/* Ast/substitute.scm 142 */
						BgL_nodez00_bglt BgL_arg2010z00_1396;

						BgL_arg2010z00_1396 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1376))->BgL_funz00);
						BgL_nfunz00_1381 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg2010z00_1396,
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 143 */
						obj_t BgL_l1792z00_1397;

						BgL_l1792z00_1397 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1376))->BgL_argsz00);
						if (NULLP(BgL_l1792z00_1397))
							{	/* Ast/substitute.scm 143 */
								BgL_nargsz00_1382 = BNIL;
							}
						else
							{	/* Ast/substitute.scm 143 */
								obj_t BgL_head1794z00_1399;

								{	/* Ast/substitute.scm 143 */
									obj_t BgL_res2149z00_2402;

									BgL_res2149z00_2402 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1794z00_1399 = BgL_res2149z00_2402;
								}
								{
									obj_t BgL_l1792z00_1401;
									obj_t BgL_tail1795z00_1402;

									BgL_l1792z00_1401 = BgL_l1792z00_1397;
									BgL_tail1795z00_1402 = BgL_head1794z00_1399;
								BgL_zc3anonymousza32012ze3z83_1403:
									if (NULLP(BgL_l1792z00_1401))
										{	/* Ast/substitute.scm 143 */
											BgL_nargsz00_1382 = CDR(BgL_head1794z00_1399);
										}
									else
										{	/* Ast/substitute.scm 143 */
											obj_t BgL_newtail1796z00_1405;

											{	/* Ast/substitute.scm 143 */
												BgL_nodez00_bglt BgL_arg2015z00_1407;

												{	/* Ast/substitute.scm 143 */
													obj_t BgL_az00_1408;

													BgL_az00_1408 = CAR(BgL_l1792z00_1401);
													BgL_arg2015z00_1407 =
														BGl_dozd2substitutez12zc0zzast_substitutez00(
														((BgL_nodez00_bglt) BgL_az00_1408),
														CNST_TABLE_REF(((long) 1)));
												}
												{	/* Ast/substitute.scm 143 */
													obj_t BgL_res2151z00_2409;

													BgL_res2151z00_2409 =
														MAKE_PAIR(((obj_t) BgL_arg2015z00_1407), BNIL);
													BgL_newtail1796z00_1405 = BgL_res2151z00_2409;
											}}
											SET_CDR(BgL_tail1795z00_1402, BgL_newtail1796z00_1405);
											{
												obj_t BgL_tail1795z00_2984;
												obj_t BgL_l1792z00_2982;

												BgL_l1792z00_2982 = CDR(BgL_l1792z00_1401);
												BgL_tail1795z00_2984 = BgL_newtail1796z00_1405;
												BgL_tail1795z00_1402 = BgL_tail1795z00_2984;
												BgL_l1792z00_1401 = BgL_l1792z00_2982;
												goto BgL_zc3anonymousza32012ze3z83_1403;
											}
										}
								}
							}
					}
					{	/* Ast/substitute.scm 144 */
						bool_t BgL_testz00_2985;

						{	/* Ast/substitute.scm 144 */
							bool_t BgL_testz00_2986;

							{	/* Ast/substitute.scm 144 */
								bool_t BgL_res2152z00_2414;

								BgL_res2152z00_2414 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_nfunz00_1381), BGl_closurez00zzast_nodez00);
								BgL_testz00_2986 = BgL_res2152z00_2414;
							}
							if (BgL_testz00_2986)
								{	/* Ast/substitute.scm 144 */
									BgL_testz00_2985 = ((bool_t) 1);
								}
							else
								{	/* Ast/substitute.scm 145 */
									bool_t BgL_testz00_2989;

									{	/* Ast/substitute.scm 145 */
										bool_t BgL_res2153z00_2416;

										BgL_res2153z00_2416 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_nfunz00_1381), BGl_varz00zzast_nodez00);
										BgL_testz00_2989 = BgL_res2153z00_2416;
									}
									if (BgL_testz00_2989)
										{	/* Ast/substitute.scm 146 */
											BgL_valuez00_bglt BgL_arg2008z00_1394;

											BgL_arg2008z00_1394 =
												(((BgL_variablez00_bglt) CREF(
														(((BgL_varz00_bglt) CREF(
																	((BgL_varz00_bglt) BgL_nfunz00_1381)))->
															BgL_variablez00)))->BgL_valuez00);
											{	/* Ast/substitute.scm 146 */
												bool_t BgL_res2156z00_2424;

												BgL_res2156z00_2424 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_arg2008z00_1394),
													BGl_funz00zzast_varz00);
												BgL_testz00_2985 = BgL_res2156z00_2424;
											}
										}
									else
										{	/* Ast/substitute.scm 145 */
											BgL_testz00_2985 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_2985)
							{	/* Ast/substitute.scm 147 */
								bool_t BgL_testz00_2997;

								{	/* Ast/substitute.scm 147 */
									BgL_variablez00_bglt BgL_arg2004z00_1390;
									obj_t BgL_arg2006z00_1391;

									BgL_arg2004z00_1390 =
										(((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_nfunz00_1381)))->
										BgL_variablez00);
									BgL_arg2006z00_1391 = CDR(BgL_nargsz00_1382);
									BgL_testz00_2997 =
										BGl_correctzd2arityzd2appzf3zf3zzast_appz00
										(BgL_arg2004z00_1390, BgL_arg2006z00_1391);
								}
								if (BgL_testz00_2997)
									{	/* Ast/substitute.scm 149 */
										obj_t BgL_arg1998z00_1385;
										obj_t BgL_arg1999z00_1386;

										BgL_arg1998z00_1385 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1376)))->BgL_locz00);
										BgL_arg1999z00_1386 = CDR(BgL_nargsz00_1382);
										return
											BGl_makezd2appzd2nodez00zzast_appz00(BNIL,
											BgL_arg1998z00_1385, CNST_TABLE_REF(((long) 5)),
											((BgL_varz00_bglt) BgL_nfunz00_1381),
											BgL_arg1999z00_1386);
									}
								else
									{	/* Ast/substitute.scm 150 */
										obj_t BgL_arg2000z00_1387;
										obj_t BgL_arg2002z00_1388;

										BgL_arg2000z00_1387 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1376)))->BgL_locz00);
										BgL_arg2002z00_1388 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1376));
										return
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_arg2000z00_1387,
												BGl_string2199z00zzast_substitutez00,
												BGl_string2200z00zzast_substitutez00,
												BgL_arg2002z00_1388, BNIL));
									}
							}
						else
							{	/* Ast/substitute.scm 144 */
								((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1376))->BgL_funz00) =
									((BgL_nodez00_bglt) BgL_nfunz00_1381), BUNSPEC);
								((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1376))->BgL_argsz00) =
									((obj_t) BgL_nargsz00_1382), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_1376);
							}
					}
				}
			}
		}
	}



/* &do-substitute!-app-l1908 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2appzd2l1908za2zzast_substitutez00(obj_t
		BgL_envz00_2655, obj_t BgL_nodez00_2656, obj_t BgL_sitez00_2657)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 121 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1354;
				obj_t BgL_sitez00_1355;

				BgL_nodez00_1354 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2656);
				BgL_sitez00_1355 = BgL_sitez00_2657;
				{	/* Ast/substitute.scm 123 */
					BgL_nodez00_bglt BgL_nfunz00_1359;
					BgL_nodez00_bglt BgL_nargz00_1360;

					{	/* Ast/substitute.scm 123 */
						BgL_nodez00_bglt BgL_arg1994z00_1373;

						BgL_arg1994z00_1373 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1354))->BgL_funz00);
						BgL_nfunz00_1359 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1994z00_1373,
							CNST_TABLE_REF(((long) 6)));
					}
					{	/* Ast/substitute.scm 124 */
						BgL_nodez00_bglt BgL_arg1995z00_1374;

						BgL_arg1995z00_1374 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1354))->BgL_argz00);
						BgL_nargz00_1360 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(BgL_arg1995z00_1374,
							CNST_TABLE_REF(((long) 1)));
					}
					{	/* Ast/substitute.scm 125 */
						bool_t BgL_testz00_3024;

						{	/* Ast/substitute.scm 125 */
							bool_t BgL_testz00_3025;

							{	/* Ast/substitute.scm 125 */
								bool_t BgL_res2144z00_2387;

								BgL_res2144z00_2387 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_nfunz00_1359), BGl_closurez00zzast_nodez00);
								BgL_testz00_3025 = BgL_res2144z00_2387;
							}
							if (BgL_testz00_3025)
								{	/* Ast/substitute.scm 126 */
									bool_t BgL_testz00_3028;

									{	/* Ast/substitute.scm 126 */
										BgL_variablez00_bglt BgL_arg1993z00_1372;

										BgL_arg1993z00_1372 =
											(((BgL_varz00_bglt) CREF(
													((BgL_varz00_bglt) BgL_nfunz00_1359)))->
											BgL_variablez00);
										BgL_testz00_3028 =
											BGl_globalzd2optionalzf3z21zzast_varz00(((obj_t)
												BgL_arg1993z00_1372));
									}
									if (BgL_testz00_3028)
										{	/* Ast/substitute.scm 126 */
											BgL_testz00_3024 = ((bool_t) 0);
										}
									else
										{	/* Ast/substitute.scm 127 */
											bool_t BgL_testz00_3033;

											{	/* Ast/substitute.scm 127 */
												BgL_variablez00_bglt BgL_arg1992z00_1371;

												BgL_arg1992z00_1371 =
													(((BgL_varz00_bglt) CREF(
															((BgL_varz00_bglt) BgL_nfunz00_1359)))->
													BgL_variablez00);
												BgL_testz00_3033 =
													BGl_globalzd2keyzf3z21zzast_varz00(((obj_t)
														BgL_arg1992z00_1371));
											}
											if (BgL_testz00_3033)
												{	/* Ast/substitute.scm 127 */
													BgL_testz00_3024 = ((bool_t) 0);
												}
											else
												{	/* Ast/substitute.scm 127 */
													BgL_testz00_3024 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Ast/substitute.scm 125 */
									BgL_testz00_3024 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3024)
							{	/* Ast/substitute.scm 128 */
								obj_t BgL_arg1986z00_1362;
								BgL_varz00_bglt BgL_arg1987z00_1363;

								BgL_arg1986z00_1362 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1354)))->BgL_locz00);
								{	/* Ast/substitute.scm 128 */
									BgL_varz00_bglt BgL_new1107z00_1365;

									{	/* Ast/substitute.scm 128 */
										BgL_varz00_bglt BgL_new1109z00_1366;

										BgL_new1109z00_1366 =
											((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_varz00_bgl))));
										{	/* Ast/substitute.scm 128 */
											long BgL_arg1988z00_1367;

											{	/* Ast/substitute.scm 128 */
												long BgL_res2147z00_2395;

												BgL_res2147z00_2395 =
													BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
												BgL_arg1988z00_1367 = BgL_res2147z00_2395;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1109z00_1366),
												BgL_arg1988z00_1367);
										}
										{	/* Ast/substitute.scm 128 */
											BgL_objectz00_bglt BgL_auxz00_3044;

											BgL_auxz00_3044 =
												((BgL_objectz00_bglt) BgL_new1109z00_1366);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_3044, BFALSE);
										}
										BgL_new1107z00_1365 = BgL_new1109z00_1366;
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_new1107z00_1365)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt)
													CREF(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																BgL_nfunz00_1359))))->BgL_locz00)), BUNSPEC);
									((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_new1107z00_1365)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													CREF(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
																BgL_nfunz00_1359))))->BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) CREF(BgL_new1107z00_1365))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) (((BgL_varz00_bglt)
													CREF(((BgL_varz00_bglt) BgL_nfunz00_1359)))->
												BgL_variablez00)), BUNSPEC);
									BgL_arg1987z00_1363 = BgL_new1107z00_1365;
								}
								return
									BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BNIL,
									BgL_arg1986z00_1362, ((BgL_nodez00_bglt) BgL_arg1987z00_1363),
									BgL_nargz00_1360, BgL_sitez00_1355);
							}
						else
							{	/* Ast/substitute.scm 125 */
								((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1354))->BgL_funz00) =
									((BgL_nodez00_bglt) BgL_nfunz00_1359), BUNSPEC);
								((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1354))->BgL_argz00) =
									((BgL_nodez00_bglt) BgL_nargz00_1360), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_1354);
							}
					}
				}
			}
		}
	}



/* &do-substitute!-app1906 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2app1906z70zzast_substitutez00(obj_t
		BgL_envz00_2658, obj_t BgL_nodez00_2659, obj_t BgL_sitez00_2660)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 113 */
			{
				BgL_appz00_bglt BgL_nodez00_1346;
				obj_t BgL_sitez00_1347;

				BgL_nodez00_1346 = ((BgL_appz00_bglt) BgL_nodez00_2659);
				BgL_sitez00_1347 = BgL_sitez00_2660;
				{	/* Ast/substitute.scm 114 */
					BgL_nodez00_bglt BgL_arg1982z00_1350;

					{	/* Ast/substitute.scm 114 */
						BgL_varz00_bglt BgL_arg1983z00_1351;

						BgL_arg1983z00_1351 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1346))->BgL_funz00);
						BgL_arg1982z00_1350 =
							BGl_dozd2substitutez12zc0zzast_substitutez00(
							((BgL_nodez00_bglt) BgL_arg1983z00_1351),
							CNST_TABLE_REF(((long) 3)));
					}
					((((BgL_appz00_bglt) CREF(BgL_nodez00_1346))->BgL_funz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1982z00_1350)),
						BUNSPEC);
				}
				{	/* Ast/substitute.scm 115 */
					obj_t BgL_arg1984z00_1352;

					BgL_arg1984z00_1352 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1346))->BgL_argsz00);
					BGl_dozd2substituteza2z12z62zzast_substitutez00(BgL_arg1984z00_1352,
						CNST_TABLE_REF(((long) 1)));
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1346);
			}
		}
	}



/* &do-substitute!-sync1904 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2sync1904z70zzast_substitutez00(obj_t
		BgL_envz00_2661, obj_t BgL_nodez00_2662, obj_t BgL_sitez00_2663)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 104 */
			{
				BgL_syncz00_bglt BgL_nodez00_1335;
				obj_t BgL_sitez00_1336;

				BgL_nodez00_1335 = ((BgL_syncz00_bglt) BgL_nodez00_2662);
				BgL_sitez00_1336 = BgL_sitez00_2663;
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1335))->BgL_mutexz00) =
					((BgL_nodez00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1335))->BgL_mutexz00), BgL_sitez00_1336)),
					BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1335))->BgL_prelockz00) =
					((BgL_nodez00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1335))->BgL_prelockz00), BgL_sitez00_1336)),
					BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1335))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_dozd2substitutez12zc0zzast_substitutez00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1335))->BgL_bodyz00), BgL_sitez00_1336)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1335);
			}
		}
	}



/* &do-substitute!-seque1902 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2seque1902z70zzast_substitutez00(obj_t
		BgL_envz00_2664, obj_t BgL_nodez00_2665, obj_t BgL_sitez00_2666)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 97 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1329;
				obj_t BgL_sitez00_1330;

				BgL_nodez00_1329 = ((BgL_sequencez00_bglt) BgL_nodez00_2665);
				BgL_sitez00_1330 = BgL_sitez00_2666;
				BGl_dozd2substituteza2z12z62zzast_substitutez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1329))->BgL_nodesz00),
					BgL_sitez00_1330);
				return ((BgL_nodez00_bglt) BgL_nodez00_1329);
			}
		}
	}



/* &do-substitute!-kwote1900 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2kwote1900z70zzast_substitutez00(obj_t
		BgL_envz00_2667, obj_t BgL_nodez00_2668, obj_t BgL_sitez00_2669)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 91 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2668));
		}
	}



/* &do-substitute!-var1898 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2var1898z70zzast_substitutez00(obj_t
		BgL_envz00_2670, obj_t BgL_nodez00_2671, obj_t BgL_sitez00_2672)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 63 */
			{
				BgL_varz00_bglt BgL_nodez00_1295;
				obj_t BgL_sitez00_1296;

				BgL_nodez00_1295 = ((BgL_varz00_bglt) BgL_nodez00_2671);
				BgL_sitez00_1296 = BgL_sitez00_2672;
				{	/* Ast/substitute.scm 64 */
					BgL_variablez00_bglt BgL_varz00_1299;

					BgL_varz00_1299 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1295))->BgL_variablez00);
					{	/* Ast/substitute.scm 64 */
						obj_t BgL_alphaz00_1300;

						BgL_alphaz00_1300 =
							(((BgL_variablez00_bglt) CREF(BgL_varz00_1299))->
							BgL_fastzd2alphazd2);
						{	/* Ast/substitute.scm 65 */

							{
								obj_t BgL_alphaz00_1302;

								{
									obj_t BgL_auxz00_3096;

									BgL_alphaz00_1302 = BgL_alphaz00_1300;
								BgL_zc3anonymousza31957ze3z83_1303:
									if ((BgL_alphaz00_1302 == BUNSPEC))
										{	/* Ast/substitute.scm 68 */
											BgL_auxz00_3096 = ((obj_t) BgL_nodez00_1295);
										}
									else
										{	/* Ast/substitute.scm 68 */
											if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1302,
													BGl_varz00zzast_nodez00))
												{	/* Ast/substitute.scm 71 */
													BgL_variablez00_bglt BgL_arg1960z00_1306;

													BgL_arg1960z00_1306 =
														(((BgL_varz00_bglt) CREF(
																((BgL_varz00_bglt) BgL_alphaz00_1302)))->
														BgL_variablez00);
													{
														obj_t BgL_alphaz00_3104;

														BgL_alphaz00_3104 = ((obj_t) BgL_arg1960z00_1306);
														BgL_alphaz00_1302 = BgL_alphaz00_3104;
														goto BgL_zc3anonymousza31957ze3z83_1303;
													}
												}
											else
												{	/* Ast/substitute.scm 70 */
													if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1302,
															BGl_variablez00zzast_varz00))
														{	/* Ast/substitute.scm 72 */
															{	/* Ast/substitute.scm 73 */
																obj_t BgL_arg1964z00_1308;

																BgL_arg1964z00_1308 =
																	(((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt) BgL_nodez00_1295)))->
																	BgL_locz00);
																BGl_usezd2variablez12zc0zzast_sexpz00((
																		(BgL_variablez00_bglt) BgL_alphaz00_1302),
																	BgL_arg1964z00_1308, BgL_sitez00_1296);
															}
															{	/* Ast/substitute.scm 74 */
																bool_t BgL_testz00_3112;

																{	/* Ast/substitute.scm 74 */
																	bool_t BgL_testz00_3113;

																	{	/* Ast/substitute.scm 74 */
																		BgL_valuez00_bglt BgL_arg1972z00_1319;

																		BgL_arg1972z00_1319 =
																			(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						BgL_alphaz00_1302)))->BgL_valuez00);
																		{	/* Ast/substitute.scm 74 */
																			bool_t BgL_res2134z00_2336;

																			BgL_res2134z00_2336 =
																				BGl_isazf3zf3zz__objectz00(
																				((obj_t) BgL_arg1972z00_1319),
																				BGl_funz00zzast_varz00);
																			BgL_testz00_3113 = BgL_res2134z00_2336;
																		}
																	}
																	if (BgL_testz00_3113)
																		{	/* Ast/substitute.scm 74 */
																			if (
																				(BgL_sitez00_1296 ==
																					CNST_TABLE_REF(((long) 3))))
																				{	/* Ast/substitute.scm 74 */
																					BgL_testz00_3112 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/substitute.scm 74 */
																					BgL_testz00_3112 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Ast/substitute.scm 74 */
																			BgL_testz00_3112 = ((bool_t) 0);
																		}
																}
																if (BgL_testz00_3112)
																	{	/* Ast/substitute.scm 75 */
																		BgL_closurez00_bglt BgL_new1102z00_1310;

																		{	/* Ast/substitute.scm 76 */
																			BgL_closurez00_bglt BgL_new1101z00_1312;

																			BgL_new1101z00_1312 =
																				((BgL_closurez00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_closurez00_bgl))));
																			{	/* Ast/substitute.scm 76 */
																				long BgL_arg1968z00_1313;

																				{	/* Ast/substitute.scm 76 */
																					long BgL_res2135z00_2338;

																					BgL_res2135z00_2338 =
																						BGL_CLASS_INDEX
																						(BGl_closurez00zzast_nodez00);
																					BgL_arg1968z00_1313 =
																						BgL_res2135z00_2338;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1101z00_1312),
																					BgL_arg1968z00_1313);
																			}
																			{	/* Ast/substitute.scm 76 */
																				BgL_objectz00_bglt BgL_auxz00_3125;

																				BgL_auxz00_3125 =
																					((BgL_objectz00_bglt)
																					BgL_new1101z00_1312);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_3125,
																					BFALSE);
																			}
																			BgL_new1102z00_1310 = BgL_new1101z00_1312;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1102z00_1310)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1295)))->
																					BgL_locz00)), BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_3132;

																			{	/* Ast/substitute.scm 77 */
																				BgL_typez00_bglt BgL_arg1966z00_1311;

																				BgL_arg1966z00_1311 =
																					(((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_nodez00_1295)))->
																					BgL_typez00);
																				BgL_auxz00_3132 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00),
																					BgL_arg1966z00_1311);
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1102z00_1310)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_auxz00_3132),
																				BUNSPEC);
																		}
																		((((BgL_varz00_bglt) CREF(
																						((BgL_varz00_bglt)
																							BgL_new1102z00_1310)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_alphaz00_1302)), BUNSPEC);
																		BgL_auxz00_3096 =
																			((obj_t) BgL_new1102z00_1310);
																	}
																else
																	{	/* Ast/substitute.scm 79 */
																		BgL_varz00_bglt BgL_new1105z00_1314;

																		{	/* Ast/substitute.scm 80 */
																			BgL_varz00_bglt BgL_new1104z00_1315;

																			BgL_new1104z00_1315 =
																				((BgL_varz00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_varz00_bgl))));
																			{	/* Ast/substitute.scm 80 */
																				long BgL_arg1969z00_1316;

																				{	/* Ast/substitute.scm 80 */
																					long BgL_res2137z00_2347;

																					BgL_res2137z00_2347 =
																						BGL_CLASS_INDEX
																						(BGl_varz00zzast_nodez00);
																					BgL_arg1969z00_1316 =
																						BgL_res2137z00_2347;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1104z00_1315),
																					BgL_arg1969z00_1316);
																			}
																			{	/* Ast/substitute.scm 80 */
																				BgL_objectz00_bglt BgL_auxz00_3147;

																				BgL_auxz00_3147 =
																					((BgL_objectz00_bglt)
																					BgL_new1104z00_1315);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_3147,
																					BFALSE);
																			}
																			BgL_new1105z00_1314 = BgL_new1104z00_1315;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1105z00_1314)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1295)))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					CREF(((BgL_nodez00_bglt)
																							BgL_new1105z00_1314)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1295)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					CREF(BgL_new1105z00_1314))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_alphaz00_1302)), BUNSPEC);
																		BgL_auxz00_3096 =
																			((obj_t) BgL_new1105z00_1314);
														}}}
													else
														{	/* Ast/substitute.scm 72 */
															if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1302,
																	BGl_atomz00zzast_nodez00))
																{	/* Ast/substitute.scm 83 */
																	BgL_auxz00_3096 = BgL_alphaz00_1302;
																}
															else
																{	/* Ast/substitute.scm 86 */
																	obj_t BgL_arg1974z00_1321;

																	BgL_arg1974z00_1321 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_nodez00_1295));
																	BgL_auxz00_3096 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2201z00zzast_substitutez00,
																		BGl_string2202z00zzast_substitutez00,
																		BgL_arg1974z00_1321);
																}
														}
												}
										}
									return ((BgL_nodez00_bglt) BgL_auxz00_3096);
								}
							}
						}
					}
				}
			}
		}
	}



/* &do-substitute!-atom1896 */
	BgL_nodez00_bglt
		BGl_z62dozd2substitutez12zd2atom1896z70zzast_substitutez00(obj_t
		BgL_envz00_2673, obj_t BgL_nodez00_2674, obj_t BgL_sitez00_2675)
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 57 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2674));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_substitutez00()
	{
		AN_OBJECT;
		{	/* Ast/substitute.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2203z00zzast_substitutez00));
		}
	}

#ifdef __cplusplus
}
#endif
