/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	static obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_envz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	static obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62zc3anonymousza31909ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121895z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121898z70zzast_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_z62zc3anonymousza32045ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t, BgL_valuez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_envz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t);
	static BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121900z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121902z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121904z70zzast_envz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzast_envz00,
		BgL_bgl_za762za7c3anonymousza72240za7,
		BGl_z62zc3anonymousza31909ze3ze1zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2241z00,
		BGl_z62restorezd2valuezd2typesz121895z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2242z00,
		BGl_z62restorezd2valuezd2typesz121898z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2243z00,
		BGl_z62restorezd2valuezd2typesz121900z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2244z00,
		BGl_z62restorezd2valuezd2typesz121902z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2245z00,
		BGl_z62restorezd2valuezd2typesz121904z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762setza7d2genvza7122246za7, BGl_z62setzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl_za762findza7d2global2247z00, va_generic_entry,
		BGl_z62findzd2globalzb0zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762unbindza7d2glob2248z00,
		BGl_z62unbindzd2globalz12za2zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl_za762globalza7d2buck2249z00,
		BGl_z62globalzd2bucketzd2positionz62zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762getza7d2globalza72250za7,
		BGl_z62getzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl_za762getza7d2genvza7b02251za7, BGl_z62getzd2genvzb0zzast_envz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl_za762alreadyza7d2res2252z00,
		BGl_z62alreadyzd2restoredzf3z43zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl_za762additionalza7d22253z00,
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00, 0L, BUNSPEC,
		0);
	      DEFINE_STRING(BGl_string2218z00zzast_envz00,
		BgL_bgl_string2218za700za7za7a2254za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string2219z00zzast_envz00,
		BgL_bgl_string2219za700za7za7a2255za7, "Cannot find global variable", 27);
	      DEFINE_STRING(BGl_string2220z00zzast_envz00,
		BgL_bgl_string2220za700za7za7a2256za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string2221z00zzast_envz00,
		BgL_bgl_string2221za700za7za7a2257za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string2222z00zzast_envz00,
		BgL_bgl_string2222za700za7za7a2258za7, "eval", 4);
	      DEFINE_STRING(BGl_string2223z00zzast_envz00,
		BgL_bgl_string2223za700za7za7a2259za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string2224z00zzast_envz00,
		BgL_bgl_string2224za700za7za7a2260za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2226z00zzast_envz00,
		BgL_bgl_string2226za700za7za7a2261za7, "restore-value-types!1895", 24);
	      DEFINE_STRING(BGl_string2228z00zzast_envz00,
		BgL_bgl_string2228za700za7za7a2262za7, "restore-value-types!", 20);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762addza7d2genvza7122263za7, BGl_z62addzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2232z00zzast_envz00,
		BgL_bgl_string2232za700za7za7a2264za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string2233z00zzast_envz00,
		BgL_bgl_string2233za700za7za7a2265za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2234z00zzast_envz00,
		BgL_bgl_string2234za700za7za7a2266za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string2235z00zzast_envz00,
		BgL_bgl_string2235za700za7za7a2267za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string2236z00zzast_envz00,
		BgL_bgl_string2236za700za7za7a2268za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string2237z00zzast_envz00,
		BgL_bgl_string2237za700za7za7a2269za7,
		"eval now read @ get-global/module foreign the-global-environment ", 65);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762findza7d2global2270z00,
		BGl_z62findzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl_za762initializa7a7eza72271za7,
		BGl_z62initializa7ezd2Genvz12z05zzast_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl_za762restoreza7d2val2272z00,
		BGl_z62restorezd2valuezd2typesz12z70zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl_za762forza7d2eachza7d22273za7, va_generic_entry,
		BGl_z62forzd2eachzd2globalz12z70zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762bindza7d2global2274z00, BGl_z62bindzd2globalz12za2zzast_envz00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762restoreza7d2glo2275z00,
		BGl_z62restorezd2globalz12za2zzast_envz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_2870, char *BgL_fromz00_2871)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_genericzd2initzd2zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					BGl_toplevelzd2initzd2zzast_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_2861;

				BgL_cportz00_2861 =
					bgl_open_input_string(BGl_string2237z00zzast_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2862;

					BgL_iz00_2862 = ((long) 6);
				BgL_loopz00_2863:
					if ((BgL_iz00_2862 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg2239z00_2865;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_2867;

										BgL_locationz00_2867 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg2239z00_2865 =
												BGl_readz00zz__readerz00(BgL_cportz00_2861,
												BgL_locationz00_2867);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_auxz00_2896;

									BgL_auxz00_2896 = (int) (BgL_iz00_2862);
									CNST_TABLE_SET(BgL_auxz00_2896, BgL_arg2239z00_2865);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_2868;

								BgL_auxz00_2868 = (int) ((BgL_iz00_2862 - ((long) 1)));
								{
									long BgL_iz00_2901;

									BgL_iz00_2901 = (long) (BgL_auxz00_2868);
									BgL_iz00_2862 = BgL_iz00_2901;
									goto BgL_loopz00_2863;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_3)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_3, BUNSPEC);
		}
	}



/* &set-genv! */
	obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2799,
		obj_t BgL_genvz00_2800)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2800);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_4,
				BGl_proc2217z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* &add-genv! */
	obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2802,
		obj_t BgL_genvz00_2803)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2803);
		}
	}



/* &<anonymous:1909> */
	obj_t BGl_z62zc3anonymousza31909ze3ze1zzast_envz00(obj_t BgL_envz00_2804,
		obj_t BgL_kz00_2805, obj_t BgL_bucketz00_2806)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 66 */
			{
				obj_t BgL_kz00_1413;
				obj_t BgL_bucketz00_1414;

				{	/* Ast/venv.scm 67 */
					bool_t BgL_auxz00_2907;

					BgL_kz00_1413 = BgL_kz00_2805;
					BgL_bucketz00_1414 = BgL_bucketz00_2806;
					{	/* Ast/venv.scm 67 */
						obj_t BgL_g1889z00_1416;

						BgL_g1889z00_1416 = CDR(BgL_bucketz00_1414);
						{
							obj_t BgL_l1887z00_1418;

							BgL_l1887z00_1418 = BgL_g1889z00_1416;
						BgL_zc3anonymousza31910ze3z83_1419:
							if (PAIRP(BgL_l1887z00_1418))
								{	/* Ast/venv.scm 87 */
									{	/* Ast/venv.scm 68 */
										obj_t BgL_newz00_1421;

										BgL_newz00_1421 = CAR(BgL_l1887z00_1418);
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
											MAKE_PAIR(BgL_newz00_1421,
											BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
										{	/* Ast/venv.scm 69 */
											obj_t BgL_modulez00_1422;

											BgL_modulez00_1422 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_1421)))->
												BgL_modulez00);
											{	/* Ast/venv.scm 69 */
												obj_t BgL_idz00_1423;

												BgL_idz00_1423 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_newz00_1421))))->
													BgL_idz00);
												{	/* Ast/venv.scm 70 */
													obj_t BgL_bucketz00_1424;

													BgL_bucketz00_1424 =
														BGl_hashtablezd2getzd2zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_1423);
													{	/* Ast/venv.scm 71 */

														if (PAIRP(BgL_bucketz00_1424))
															{	/* Ast/venv.scm 75 */
																bool_t BgL_testz00_2921;

																if (
																	(BgL_modulez00_1422 ==
																		BGl_za2moduleza2z00zzmodule_modulez00))
																	{	/* Ast/venv.scm 75 */
																		BgL_testz00_2921 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/venv.scm 76 */
																		bool_t BgL_testz00_2924;

																		{	/* Ast/venv.scm 77 */
																			obj_t BgL_arg1921z00_1434;

																			{
																				BgL_globalz00_bglt BgL_auxz00_2925;

																				{	/* Ast/venv.scm 77 */
																					obj_t BgL_pairz00_2528;

																					BgL_pairz00_2528 =
																						CDR(BgL_bucketz00_1424);
																					BgL_auxz00_2925 =
																						((BgL_globalz00_bglt)
																						CAR(BgL_pairz00_2528));
																				}
																				BgL_arg1921z00_1434 =
																					(((BgL_globalz00_bglt)
																						CREF(BgL_auxz00_2925))->
																					BgL_modulez00);
																			}
																			BgL_testz00_2924 =
																				(BGl_za2moduleza2z00zzmodule_modulez00
																				== BgL_arg1921z00_1434);
																		}
																		if (BgL_testz00_2924)
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2921 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2921 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_2921)
																	{	/* Ast/venv.scm 83 */
																		obj_t BgL_newzd2bucketzd2_1427;

																		BgL_newzd2bucketzd2_1427 =
																			MAKE_PAIR(BgL_newz00_1421,
																			CDR(BgL_bucketz00_1424));
																		SET_CDR(BgL_bucketz00_1424,
																			BgL_newzd2bucketzd2_1427);
																	}
																else
																	{	/* Ast/venv.scm 86 */
																		obj_t BgL_arg1915z00_1429;
																		obj_t BgL_arg1916z00_1430;

																		BgL_arg1915z00_1429 =
																			CDR(BgL_bucketz00_1424);
																		BgL_arg1916z00_1430 =
																			MAKE_PAIR(BgL_newz00_1421,
																			CDR(CDR(BgL_bucketz00_1424)));
																		SET_CDR(BgL_arg1915z00_1429,
																			BgL_arg1916z00_1430);
																	}
															}
														else
															{	/* Ast/venv.scm 74 */
																obj_t BgL_arg1923z00_1436;

																{	/* Ast/venv.scm 74 */
																	obj_t BgL_list1924z00_1437;

																	{	/* Ast/venv.scm 74 */
																		obj_t BgL_arg1925z00_1438;

																		BgL_arg1925z00_1438 =
																			MAKE_PAIR(BgL_newz00_1421, BNIL);
																		BgL_list1924z00_1437 =
																			MAKE_PAIR(BgL_idz00_1423,
																			BgL_arg1925z00_1438);
																	}
																	BgL_arg1923z00_1436 = BgL_list1924z00_1437;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00,
																	BgL_idz00_1423, BgL_arg1923z00_1436);
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1887z00_2942;

										BgL_l1887z00_2942 = CDR(BgL_l1887z00_1418);
										BgL_l1887z00_1418 = BgL_l1887z00_2942;
										goto BgL_zc3anonymousza31910ze3z83_1419;
									}
								}
							else
								{	/* Ast/venv.scm 87 */
									BgL_auxz00_2907 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2907);
				}
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			{
				obj_t BgL_l1890z00_1443;

				BgL_l1890z00_1443 =
					BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_zc3anonymousza31927ze3z83_1444:
				if (PAIRP(BgL_l1890z00_1443))
					{	/* Ast/venv.scm 105 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l1890z00_1443));
						{
							obj_t BgL_l1890z00_2949;

							BgL_l1890z00_2949 = CDR(BgL_l1890z00_1443);
							BgL_l1890z00_1443 = BgL_l1890z00_2949;
							goto BgL_zc3anonymousza31927ze3z83_1444;
						}
					}
				else
					{	/* Ast/venv.scm 105 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* &additional-heap-restore-globals! */
	obj_t BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t
		BgL_envz00_2807)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_PAIR(BgL_newz00_6, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 114 */
				BgL_typez00_bglt BgL_typez00_1450;

				BgL_typez00_1450 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_typez00);
				{	/* Ast/venv.scm 115 */
					BgL_valuez00_bglt BgL_valuez00_1451;

					BgL_valuez00_1451 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_valuez00);
					{	/* Ast/venv.scm 116 */
						obj_t BgL_typeidz00_1452;

						BgL_typeidz00_1452 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_1450))->BgL_idz00);
						{	/* Ast/venv.scm 117 */

							{	/* Ast/venv.scm 119 */
								BgL_typez00_bglt BgL_arg1931z00_1453;

								BgL_arg1931z00_1453 =
									BGl_findzd2typezd2zztype_envz00(BgL_typeidz00_1452);
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_arg1931z00_1453), BUNSPEC);
							}
							BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_1451);
							{	/* Ast/venv.scm 123 */
								bool_t BgL_testz00_2965;

								{	/* Ast/venv.scm 123 */
									bool_t BgL_testz00_2966;

									{	/* Ast/venv.scm 123 */
										obj_t BgL_arg1940z00_1462;

										BgL_arg1940z00_1462 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_testz00_2966 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg1940z00_1462)))->
											BgL_qualifiedzd2typeszd2);
									}
									if (BgL_testz00_2966)
										{	/* Ast/venv.scm 123 */
											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_newz00_6)))->
														BgL_modulez00) == CNST_TABLE_REF(((long) 1))))
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2965 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2965 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 123 */
											BgL_testz00_2965 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2965)
									{	/* Ast/venv.scm 125 */
										obj_t BgL_arg1933z00_1455;
										obj_t BgL_arg1934z00_1456;
										obj_t BgL_arg1935z00_1457;

										BgL_arg1933z00_1455 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->BgL_modulez00);
										BgL_arg1934z00_1456 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->
											BgL_jvmzd2typezd2namez00);
										BgL_arg1935z00_1457 =
											BGl_shapez00zztools_shapez00(BgL_newz00_6);
										{	/* Ast/venv.scm 125 */
											obj_t BgL_list1936z00_1458;

											BgL_list1936z00_1458 =
												MAKE_PAIR(BgL_arg1935z00_1457, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg1933z00_1455, BgL_arg1934z00_1456,
												BgL_list1936z00_1458);
										}
									}
								else
									{	/* Ast/venv.scm 123 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* &restore-global! */
	obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t BgL_envz00_2808,
		obj_t BgL_newz00_2809)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2809);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_8)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_8,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* &already-restored? */
	obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t BgL_envz00_2810,
		obj_t BgL_funz00_2811)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2811);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* &get-genv */
	obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t BgL_envz00_2812)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* &initialize-Genv! */
	obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t BgL_envz00_2813)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_14,
		obj_t BgL_modulez00_15)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			{	/* Ast/venv.scm 233 */
				obj_t BgL_bucketz00_1464;
				obj_t BgL_modulez00_1465;

				BgL_bucketz00_1464 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_14);
				if (NULLP(BgL_modulez00_15))
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_1465 = BNIL;
					}
				else
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_1465 = CAR(BgL_modulez00_15);
					}
				if (PAIRP(BgL_bucketz00_1464))
					{	/* Ast/venv.scm 236 */
						if (NULLP(CDR(BgL_bucketz00_1464)))
							{	/* Ast/venv.scm 238 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 238 */
								if (NULLP(BgL_modulez00_1465))
									{	/* Ast/venv.scm 240 */
										return CAR(CDR(BgL_bucketz00_1464));
									}
								else
									{	/* Ast/venv.scm 243 */
										obj_t BgL_g1100z00_1469;

										BgL_g1100z00_1469 = CDR(BgL_bucketz00_1464);
										{
											obj_t BgL_globalsz00_1471;

											BgL_globalsz00_1471 = BgL_g1100z00_1469;
										BgL_zc3anonymousza31945ze3z83_1472:
											if (NULLP(BgL_globalsz00_1471))
												{	/* Ast/venv.scm 245 */
													return BFALSE;
												}
											else
												{	/* Ast/venv.scm 245 */
													if (
														((((BgL_globalz00_bglt) CREF(
																		((BgL_globalz00_bglt)
																			CAR(BgL_globalsz00_1471))))->
																BgL_modulez00) == BgL_modulez00_1465))
														{	/* Ast/venv.scm 247 */
															return CAR(BgL_globalsz00_1471);
														}
													else
														{
															obj_t BgL_globalsz00_3009;

															BgL_globalsz00_3009 = CDR(BgL_globalsz00_1471);
															BgL_globalsz00_1471 = BgL_globalsz00_3009;
															goto BgL_zc3anonymousza31945ze3z83_1472;
														}
												}
										}
									}
							}
					}
				else
					{	/* Ast/venv.scm 236 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global */
	obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t BgL_envz00_2814,
		obj_t BgL_idz00_2815, obj_t BgL_modulez00_2816)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2815, BgL_modulez00_2816);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_16, obj_t BgL_modulez00_17)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			{	/* Ast/venv.scm 256 */
				obj_t BgL_bucketz00_1481;

				BgL_bucketz00_1481 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_16);
				if (PAIRP(BgL_bucketz00_1481))
					{	/* Ast/venv.scm 258 */
						if (NULLP(CDR(BgL_bucketz00_1481)))
							{	/* Ast/venv.scm 260 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 265 */
								obj_t BgL_g1101z00_1485;

								BgL_g1101z00_1485 = CDR(BgL_bucketz00_1481);
								{
									obj_t BgL_globalsz00_1487;

									BgL_globalsz00_1487 = BgL_g1101z00_1485;
								BgL_zc3anonymousza31956ze3z83_1488:
									if (NULLP(BgL_globalsz00_1487))
										{	/* Ast/venv.scm 267 */
											return BFALSE;
										}
									else
										{	/* Ast/venv.scm 267 */
											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt)
																	CAR(BgL_globalsz00_1487))))->BgL_modulez00) ==
													BgL_modulez00_17))
												{	/* Ast/venv.scm 269 */
													return CAR(BgL_globalsz00_1487);
												}
											else
												{
													obj_t BgL_globalsz00_3027;

													BgL_globalsz00_3027 = CDR(BgL_globalsz00_1487);
													BgL_globalsz00_1487 = BgL_globalsz00_3027;
													goto BgL_zc3anonymousza31956ze3z83_1488;
												}
										}
								}
							}
					}
				else
					{	/* Ast/venv.scm 258 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global/module */
	obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2817,
		obj_t BgL_idz00_2818, obj_t BgL_modulez00_2819)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2818,
				BgL_modulez00_2819);
		}
	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_18, obj_t BgL_modulez00_19)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 277 */
			{	/* Ast/venv.scm 278 */
				obj_t BgL_globalz00_1496;

				BgL_globalz00_1496 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_18,
					BgL_modulez00_19);
				{	/* Ast/venv.scm 279 */
					bool_t BgL_testz00_3031;

					if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1496,
							BGl_globalz00zzast_varz00))
						{	/* Ast/venv.scm 279 */
							BgL_testz00_3031 = ((bool_t) 0);
						}
					else
						{	/* Ast/venv.scm 279 */
							if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
								{	/* Ast/venv.scm 279 */
									BgL_testz00_3031 = ((bool_t) 0);
								}
							else
								{	/* Ast/venv.scm 279 */
									BgL_testz00_3031 = ((bool_t) 1);
								}
						}
					if (BgL_testz00_3031)
						{	/* Ast/venv.scm 282 */
							obj_t BgL_arg1966z00_1498;

							{	/* Ast/venv.scm 282 */
								obj_t BgL_list1967z00_1499;

								{	/* Ast/venv.scm 282 */
									obj_t BgL_arg1968z00_1500;

									BgL_arg1968z00_1500 = MAKE_PAIR(BgL_modulez00_19, BNIL);
									BgL_list1967z00_1499 =
										MAKE_PAIR(BgL_idz00_18, BgL_arg1968z00_1500);
								}
								BgL_arg1966z00_1498 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2218z00zzast_envz00, BgL_list1967z00_1499);
							}
							BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
										2)), BGl_string2219z00zzast_envz00, BgL_arg1966z00_1498);
						}
					else
						{	/* Ast/venv.scm 279 */
							BFALSE;
						}
				}
				return BgL_globalz00_1496;
			}
		}
	}



/* &get-global/module */
	obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2820,
		obj_t BgL_idz00_2821, obj_t BgL_modulez00_2822)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 277 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_2821,
				BgL_modulez00_2822);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_20,
		obj_t BgL_oz00_21, obj_t BgL_msgz00_22)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 288 */
			{	/* Ast/venv.scm 289 */
				bool_t BgL_testz00_3042;

				{	/* Ast/venv.scm 289 */
					bool_t BgL_testz00_3043;

					{	/* Ast/venv.scm 289 */
						int BgL_arg1983z00_1519;

						BgL_arg1983z00_1519 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_testz00_3043 = ((long) (BgL_arg1983z00_1519) > ((long) 0));
					}
					if (BgL_testz00_3043)
						{	/* Ast/venv.scm 289 */
							BgL_testz00_3042 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 289 */
							BgL_testz00_3042 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_3042)
					{	/* Ast/venv.scm 291 */
						obj_t BgL_locz00_1504;
						obj_t BgL_oldz00_1505;
						obj_t BgL_newz00_1506;
						obj_t BgL_msgz00_1507;

						{	/* Ast/venv.scm 291 */
							obj_t BgL_arg1972z00_1508;

							BgL_arg1972z00_1508 =
								(((BgL_globalz00_bglt) CREF(
										((BgL_globalz00_bglt) BgL_oz00_21)))->BgL_srcz00);
							BgL_locz00_1504 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_arg1972z00_1508);
						}
						{	/* Ast/venv.scm 292 */
							obj_t BgL_arg1973z00_1509;

							{	/* Ast/venv.scm 292 */
								obj_t BgL_arg1974z00_1510;
								obj_t BgL_arg1975z00_1511;

								BgL_arg1974z00_1510 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_oz00_21))))->BgL_idz00);
								{	/* Ast/venv.scm 292 */
									obj_t BgL_arg1976z00_1512;

									BgL_arg1976z00_1512 =
										(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_oz00_21)))->BgL_modulez00);
									BgL_arg1975z00_1511 = MAKE_PAIR(BgL_arg1976z00_1512, BNIL);
								}
								BgL_arg1973z00_1509 =
									MAKE_PAIR(BgL_arg1974z00_1510, BgL_arg1975z00_1511);
							}
							BgL_oldz00_1505 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg1973z00_1509);
						}
						{	/* Ast/venv.scm 293 */
							obj_t BgL_arg1977z00_1513;

							{	/* Ast/venv.scm 293 */
								obj_t BgL_arg1978z00_1514;
								obj_t BgL_arg1979z00_1515;

								BgL_arg1978z00_1514 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_nz00_20))))->BgL_idz00);
								{	/* Ast/venv.scm 293 */
									obj_t BgL_arg1980z00_1516;

									BgL_arg1980z00_1516 =
										(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_nz00_20)))->BgL_modulez00);
									BgL_arg1979z00_1515 = MAKE_PAIR(BgL_arg1980z00_1516, BNIL);
								}
								BgL_arg1977z00_1513 =
									MAKE_PAIR(BgL_arg1978z00_1514, BgL_arg1979z00_1515);
							}
							BgL_newz00_1506 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg1977z00_1513);
						}
						if (PAIRP(BgL_msgz00_22))
							{	/* Ast/venv.scm 294 */
								BgL_msgz00_1507 = CAR(BgL_msgz00_22);
							}
						else
							{	/* Ast/venv.scm 294 */
								BgL_msgz00_1507 = BGl_string2220z00zzast_envz00;
							}
						if (CBOOL(BgL_locz00_1504))
							{	/* Ast/venv.scm 295 */
								return
									BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_locz00_1504, BgL_oldz00_1505, BgL_msgz00_1507,
									BgL_newz00_1506);
							}
						else
							{	/* Ast/venv.scm 295 */
								return
									BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_1505,
									BgL_msgz00_1507, BgL_newz00_1506);
							}
					}
				else
					{	/* Ast/venv.scm 289 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_23, obj_t BgL_srcz00_24)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 302 */
			{	/* Ast/venv.scm 304 */
				obj_t BgL_locz00_1521;

				BgL_locz00_1521 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_24);
				if (CBOOL(BgL_locz00_1521))
					{	/* Ast/venv.scm 307 */
						obj_t BgL_arg1984z00_1523;
						obj_t BgL_arg1986z00_1524;

						BgL_arg1984z00_1523 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg1986z00_1524 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1521,
							BgL_arg1984z00_1523, BGl_string2221z00zzast_envz00,
							BgL_arg1986z00_1524, BNIL);
					}
				else
					{	/* Ast/venv.scm 308 */
						obj_t BgL_arg1988z00_1526;
						obj_t BgL_arg1990z00_1527;

						BgL_arg1988z00_1526 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg1990z00_1527 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg1988z00_1526,
							BGl_string2221z00zzast_envz00, BgL_arg1990z00_1527, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_25, obj_t BgL_srcz00_26)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 313 */
			{	/* Ast/venv.scm 315 */
				obj_t BgL_locz00_1530;

				BgL_locz00_1530 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_26);
				if (CBOOL(BgL_locz00_1530))
					{	/* Ast/venv.scm 318 */
						obj_t BgL_arg1992z00_1532;
						obj_t BgL_arg1993z00_1533;

						BgL_arg1992z00_1532 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg1993z00_1533 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1530,
							BgL_arg1992z00_1532, BGl_string2221z00zzast_envz00,
							BgL_arg1993z00_1533);
					}
				else
					{	/* Ast/venv.scm 319 */
						obj_t BgL_arg1994z00_1534;
						obj_t BgL_arg1995z00_1535;

						BgL_arg1994z00_1534 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg1995z00_1535 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg1994z00_1534,
							BGl_string2221z00zzast_envz00, BgL_arg1995z00_1535);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_27, obj_t BgL_aliasz00_28, obj_t BgL_modulez00_29,
		BgL_valuez00_bglt BgL_valuez00_30, obj_t BgL_importz00_31,
		obj_t BgL_srcz00_32)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 336 */
			{	/* Ast/venv.scm 339 */
				obj_t BgL_identz00_1536;

				if (CBOOL(BgL_aliasz00_28))
					{	/* Ast/venv.scm 339 */
						BgL_identz00_1536 = BgL_aliasz00_28;
					}
				else
					{	/* Ast/venv.scm 339 */
						BgL_identz00_1536 = BgL_idz00_27;
					}
				{	/* Ast/venv.scm 339 */
					obj_t BgL_oldz00_1537;

					{	/* Ast/venv.scm 340 */
						obj_t BgL_list2027z00_1572;

						BgL_list2027z00_1572 = MAKE_PAIR(BgL_modulez00_29, BNIL);
						BgL_oldz00_1537 =
							BGl_findzd2globalzd2zzast_envz00(BgL_identz00_1536,
							BgL_list2027z00_1572);
					}
					{	/* Ast/venv.scm 340 */

						if (BGl_isazf3zf3zz__objectz00(BgL_oldz00_1537,
								BGl_globalz00zzast_varz00))
							{	/* Ast/venv.scm 341 */
								if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
									{	/* Ast/venv.scm 343 */
										return ((BgL_globalz00_bglt) BgL_oldz00_1537);
									}
								else
									{	/* Ast/venv.scm 343 */
										if (
											(BgL_modulez00_29 ==
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt) BgL_oldz00_1537)))->
													BgL_modulez00)))
											{	/* Ast/venv.scm 345 */
												BGl_warningzd2rebindzd2globalz12z12zzast_envz00(
													((BgL_globalz00_bglt) BgL_oldz00_1537),
													BgL_srcz00_32);
												return ((BgL_globalz00_bglt) BgL_oldz00_1537);
											}
										else
											{	/* Ast/venv.scm 345 */
												return
													((BgL_globalz00_bglt)
													BGl_errorzd2rebindzd2globalz12z12zzast_envz00(
														((BgL_globalz00_bglt) BgL_oldz00_1537),
														BgL_srcz00_32));
											}
									}
							}
						else
							{	/* Ast/venv.scm 350 */
								obj_t BgL_bucketz00_1541;
								BgL_globalz00_bglt BgL_newz00_1542;

								BgL_bucketz00_1541 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2Genvza2z00zzast_envz00, BgL_identz00_1536);
								{	/* Ast/venv.scm 351 */
									BgL_globalz00_bglt BgL_new1107z00_1568;

									{	/* Ast/venv.scm 357 */
										BgL_globalz00_bglt BgL_new1106z00_1570;

										BgL_new1106z00_1570 =
											((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_globalz00_bgl))));
										{	/* Ast/venv.scm 357 */
											long BgL_arg2026z00_1571;

											{	/* Ast/venv.scm 357 */
												long BgL_res2181z00_2640;

												BgL_res2181z00_2640 =
													BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
												BgL_arg2026z00_1571 = BgL_res2181z00_2640;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1106z00_1570),
												BgL_arg2026z00_1571);
										}
										{	/* Ast/venv.scm 357 */
											BgL_objectz00_bglt BgL_auxz00_3122;

											BgL_auxz00_3122 =
												((BgL_objectz00_bglt) BgL_new1106z00_1570);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_3122, BFALSE);
										}
										BgL_new1107z00_1568 = BgL_new1106z00_1570;
									}
									((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_new1107z00_1568)))->
											BgL_idz00) = ((obj_t) BgL_identz00_1536), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1107z00_1568)))->BgL_namez00) =
										((obj_t) BFALSE), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1107z00_1568)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1107z00_1568)))->BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_valuez00_30), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1107z00_1568)))->BgL_accessz00) =
										((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1107z00_1568)))->BgL_fastzd2alphazd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1107z00_1568)))->BgL_removablez00) =
										((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1107z00_1568)))->BgL_occurrencez00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1107z00_1568)))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1107z00_1568)))->BgL_userzf3zf3) =
										((bool_t) ((bool_t) 1)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
											BgL_modulez00) = ((obj_t) BgL_modulez00_29), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
											BgL_importz00) = ((obj_t) BgL_importz00_31), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
											BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
											BgL_evalzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
											BgL_libraryz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
											BgL_pragmaz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
											BgL_srcz00) = ((obj_t) BgL_srcz00_32), BUNSPEC);
									{
										obj_t BgL_auxz00_3155;

										if ((BgL_importz00_31 == CNST_TABLE_REF(((long) 6))))
											{	/* Ast/venv.scm 354 */
												BgL_auxz00_3155 = BGl_string2222z00zzast_envz00;
											}
										else
											{	/* Ast/venv.scm 354 */
												BgL_auxz00_3155 =
													BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
													(BgL_modulez00_29);
											}
										((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
												BgL_jvmzd2typezd2namez00) =
											((obj_t) BgL_auxz00_3155), BUNSPEC);
									}
									((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
											BgL_initz00) = ((obj_t) BUNSPEC), BUNSPEC);
									{
										obj_t BgL_auxz00_3162;

										if (CBOOL(BgL_aliasz00_28))
											{	/* Ast/venv.scm 358 */
												BgL_auxz00_3162 = BgL_idz00_27;
											}
										else
											{	/* Ast/venv.scm 358 */
												BgL_auxz00_3162 = BFALSE;
											}
										((((BgL_globalz00_bglt) CREF(BgL_new1107z00_1568))->
												BgL_aliasz00) = ((obj_t) BgL_auxz00_3162), BUNSPEC);
									}
									BgL_newz00_1542 = BgL_new1107z00_1568;
								}
								{	/* Ast/venv.scm 364 */
									bool_t BgL_testz00_3166;

									if (PAIRP(BgL_bucketz00_1541))
										{	/* Ast/venv.scm 364 */
											BgL_testz00_3166 = NULLP(CDR(BgL_bucketz00_1541));
										}
									else
										{	/* Ast/venv.scm 364 */
											BgL_testz00_3166 = ((bool_t) 1);
										}
									if (BgL_testz00_3166)
										{	/* Ast/venv.scm 364 */
											{	/* Ast/venv.scm 366 */
												obj_t BgL_arg2000z00_1544;

												{	/* Ast/venv.scm 366 */
													obj_t BgL_list2001z00_1545;

													{	/* Ast/venv.scm 366 */
														obj_t BgL_arg2002z00_1546;

														BgL_arg2002z00_1546 =
															MAKE_PAIR(((obj_t) BgL_newz00_1542), BNIL);
														BgL_list2001z00_1545 =
															MAKE_PAIR(BgL_identz00_1536, BgL_arg2002z00_1546);
													}
													BgL_arg2000z00_1544 = BgL_list2001z00_1545;
												}
												BGl_hashtablezd2putz12zc0zz__hashz00
													(BGl_za2Genvza2z00zzast_envz00, BgL_identz00_1536,
													BgL_arg2000z00_1544);
											}
											return BgL_newz00_1542;
										}
									else
										{	/* Ast/venv.scm 369 */
											obj_t BgL_oldza2za2_1547;

											BgL_oldza2za2_1547 = CDR(BgL_bucketz00_1541);
											{	/* Ast/venv.scm 369 */
												obj_t BgL_midz00_1548;

												{	/* Ast/venv.scm 371 */
													obj_t BgL_arg2021z00_1564;

													BgL_arg2021z00_1564 =
														(((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt)
																	CAR(BgL_oldza2za2_1547))))->BgL_modulez00);
													BgL_midz00_1548 =
														BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
														(BgL_arg2021z00_1564);
												}
												{	/* Ast/venv.scm 370 */

													{	/* Ast/venv.scm 373 */
														bool_t BgL_testz00_3180;

														{	/* Ast/venv.scm 373 */
															obj_t BgL_arg2017z00_1562;

															BgL_arg2017z00_1562 =
																(((BgL_globalz00_bglt) CREF(
																		((BgL_globalz00_bglt)
																			CAR(BgL_oldza2za2_1547))))->
																BgL_modulez00);
															BgL_testz00_3180 =
																(BgL_arg2017z00_1562 ==
																BGl_za2moduleza2z00zzmodule_modulez00);
														}
														if (BgL_testz00_3180)
															{	/* Ast/venv.scm 373 */
																{	/* Ast/venv.scm 375 */
																	bool_t BgL_testz00_3185;

																	if ((BgL_identz00_1536 == BgL_midz00_1548))
																		{	/* Ast/venv.scm 375 */
																			BgL_testz00_3185 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 375 */
																			if (CBOOL
																				(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																				{	/* Ast/venv.scm 375 */
																					BgL_testz00_3185 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/venv.scm 375 */
																					BgL_testz00_3185 = ((bool_t) 1);
																				}
																		}
																	if (BgL_testz00_3185)
																		{	/* Ast/venv.scm 376 */
																			obj_t BgL_arg2006z00_1551;

																			BgL_arg2006z00_1551 =
																				CAR(BgL_oldza2za2_1547);
																			BGl_warningzd2overridezd2globalz12z12zzast_envz00
																				(BgL_arg2006z00_1551,
																				((obj_t) BgL_newz00_1542), BNIL);
																		}
																	else
																		{	/* Ast/venv.scm 375 */
																			BFALSE;
																		}
																}
																{	/* Ast/venv.scm 377 */
																	obj_t BgL_arg2009z00_1554;
																	obj_t BgL_arg2010z00_1555;

																	BgL_arg2009z00_1554 = CDR(BgL_bucketz00_1541);
																	{	/* Ast/venv.scm 377 */
																		obj_t BgL_arg2011z00_1556;

																		BgL_arg2011z00_1556 =
																			CDR(CDR(BgL_bucketz00_1541));
																		BgL_arg2010z00_1555 =
																			MAKE_PAIR(
																			((obj_t) BgL_newz00_1542),
																			BgL_arg2011z00_1556);
																	}
																	SET_CDR(BgL_arg2009z00_1554,
																		BgL_arg2010z00_1555);
																}
																return BgL_newz00_1542;
															}
														else
															{	/* Ast/venv.scm 380 */
																obj_t BgL_newza2za2_1557;

																BgL_newza2za2_1557 =
																	MAKE_PAIR(
																	((obj_t) BgL_newz00_1542),
																	BgL_oldza2za2_1547);
																{	/* Ast/venv.scm 381 */
																	bool_t BgL_testz00_3201;

																	if ((BgL_identz00_1536 == BgL_midz00_1548))
																		{	/* Ast/venv.scm 381 */
																			BgL_testz00_3201 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 381 */
																			if (CBOOL
																				(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																				{	/* Ast/venv.scm 381 */
																					BgL_testz00_3201 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/venv.scm 381 */
																					BgL_testz00_3201 = ((bool_t) 1);
																				}
																		}
																	if (BgL_testz00_3201)
																		{	/* Ast/venv.scm 382 */
																			obj_t BgL_arg2014z00_1559;

																			BgL_arg2014z00_1559 =
																				CAR(BgL_oldza2za2_1547);
																			BGl_warningzd2overridezd2globalz12z12zzast_envz00
																				(((obj_t) BgL_newz00_1542),
																				BgL_arg2014z00_1559, BNIL);
																		}
																	else
																		{	/* Ast/venv.scm 381 */
																			BFALSE;
																		}
																}
																SET_CDR(BgL_bucketz00_1541, BgL_newza2za2_1557);
																return BgL_newz00_1542;
															}
													}
												}
											}
										}
								}
							}
					}
				}
			}
		}
	}



/* &bind-global! */
	BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t
		BgL_envz00_2823, obj_t BgL_idz00_2824, obj_t BgL_aliasz00_2825,
		obj_t BgL_modulez00_2826, obj_t BgL_valuez00_2827, obj_t BgL_importz00_2828,
		obj_t BgL_srcz00_2829)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 336 */
			return
				BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2824, BgL_aliasz00_2825,
				BgL_modulez00_2826, ((BgL_valuez00_bglt) BgL_valuez00_2827),
				BgL_importz00_2828, BgL_srcz00_2829);
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_33, obj_t BgL_modulez00_34)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 389 */
			{	/* Ast/venv.scm 390 */
				obj_t BgL_globalz00_1574;

				{	/* Ast/venv.scm 390 */
					obj_t BgL_list2040z00_1592;

					BgL_list2040z00_1592 = MAKE_PAIR(BgL_modulez00_34, BNIL);
					BgL_globalz00_1574 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_33,
						BgL_list2040z00_1592);
				}
				if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1574,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 393 */
						obj_t BgL_bucketz00_1576;

						BgL_bucketz00_1576 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_33);
						{	/* Ast/venv.scm 394 */
							obj_t BgL_g1108z00_1577;

							BgL_g1108z00_1577 = CDR(BgL_bucketz00_1576);
							{
								obj_t BgL_curz00_1579;
								obj_t BgL_prevz00_1580;

								BgL_curz00_1579 = BgL_g1108z00_1577;
								BgL_prevz00_1580 = BgL_bucketz00_1576;
							BgL_zc3anonymousza32029ze3z83_1581:
								if ((CAR(BgL_curz00_1579) == BgL_globalz00_1574))
									{	/* Ast/venv.scm 397 */
										obj_t BgL_auxz00_3221;

										BgL_auxz00_3221 = CDR(BgL_curz00_1579);
										return SET_CDR(BgL_prevz00_1580, BgL_auxz00_3221);
									}
								else
									{
										obj_t BgL_prevz00_3226;
										obj_t BgL_curz00_3224;

										BgL_curz00_3224 = CDR(BgL_curz00_1579);
										BgL_prevz00_3226 = CDR(BgL_prevz00_1580);
										BgL_prevz00_1580 = BgL_prevz00_3226;
										BgL_curz00_1579 = BgL_curz00_3224;
										goto BgL_zc3anonymousza32029ze3z83_1581;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 392 */
						obj_t BgL_arg2036z00_1588;

						{	/* Ast/venv.scm 392 */
							obj_t BgL_arg2038z00_1590;

							{	/* Ast/venv.scm 392 */
								obj_t BgL_arg2039z00_1591;

								BgL_arg2039z00_1591 = MAKE_PAIR(BgL_modulez00_34, BNIL);
								BgL_arg2038z00_1590 =
									MAKE_PAIR(BgL_idz00_33, BgL_arg2039z00_1591);
							}
							BgL_arg2036z00_1588 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2038z00_1590);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string2223z00zzast_envz00,
							BGl_string2224z00zzast_envz00, BgL_arg2036z00_1588, BNIL);
					}
			}
		}
	}



/* &unbind-global! */
	obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t BgL_envz00_2830,
		obj_t BgL_idz00_2831, obj_t BgL_modulez00_2832)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 389 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2831,
				BgL_modulez00_2832);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_35, obj_t BgL_envz00_36)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 403 */
			{	/* Ast/venv.scm 404 */
				obj_t BgL_arg2042z00_1593;

				if (NULLP(BgL_envz00_36))
					{	/* Ast/venv.scm 404 */
						BgL_arg2042z00_1593 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 404 */
						BgL_arg2042z00_1593 = CAR(BgL_envz00_36);
					}
				{	/* Ast/venv.scm 405 */
					obj_t BgL_zc3anonymousza32045ze3z83_2833;

					BgL_zc3anonymousza32045ze3z83_2833 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32045ze3ze1zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32045ze3z83_2833,
						(int) (((long) 0)), BgL_procz00_35);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg2042z00_1593,
						BgL_zc3anonymousza32045ze3z83_2833);
				}
			}
		}
	}



/* &for-each-global! */
	obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t BgL_envz00_2834,
		obj_t BgL_procz00_2835, obj_t BgL_envz00_2836)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 403 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2835,
				BgL_envz00_2836);
		}
	}



/* &<anonymous:2045> */
	obj_t BGl_z62zc3anonymousza32045ze3ze1zzast_envz00(obj_t BgL_envz00_2837,
		obj_t BgL_kz00_2839, obj_t BgL_bucketz00_2840)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 405 */
			{	/* Ast/venv.scm 405 */
				obj_t BgL_procz00_2838;

				BgL_procz00_2838 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2837, (int) (((long) 0))));
				{
					obj_t BgL_kz00_1596;
					obj_t BgL_bucketz00_1597;

					{	/* Ast/venv.scm 405 */
						bool_t BgL_auxz00_3247;

						BgL_kz00_1596 = BgL_kz00_2839;
						BgL_bucketz00_1597 = BgL_bucketz00_2840;
						{	/* Ast/venv.scm 405 */
							obj_t BgL_g1894z00_1599;

							BgL_g1894z00_1599 = CDR(BgL_bucketz00_1597);
							{
								obj_t BgL_l1892z00_1601;

								BgL_l1892z00_1601 = BgL_g1894z00_1599;
							BgL_zc3anonymousza32046ze3z83_1602:
								if (PAIRP(BgL_l1892z00_1601))
									{	/* Ast/venv.scm 405 */
										{	/* Ast/venv.scm 405 */
											obj_t BgL_arg2048z00_1604;

											BgL_arg2048z00_1604 = CAR(BgL_l1892z00_1601);
											PROCEDURE_ENTRY(BgL_procz00_2838) (BgL_procz00_2838,
												BgL_arg2048z00_1604, BEOA);
										}
										{
											obj_t BgL_l1892z00_3256;

											BgL_l1892z00_3256 = CDR(BgL_l1892z00_1601);
											BgL_l1892z00_1601 = BgL_l1892z00_3256;
											goto BgL_zc3anonymousza32046ze3z83_1602;
										}
									}
								else
									{	/* Ast/venv.scm 405 */
										BgL_auxz00_3247 = ((bool_t) 1);
									}
							}
						}
						return BBOOL(BgL_auxz00_3247);
					}
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_37, obj_t BgL_modulez00_38)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 410 */
			{	/* Ast/venv.scm 411 */
				obj_t BgL_bucketz00_1608;

				BgL_bucketz00_1608 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_37);
				if (PAIRP(BgL_bucketz00_1608))
					{	/* Ast/venv.scm 414 */
						obj_t BgL_g1109z00_1610;

						BgL_g1109z00_1610 = CDR(BgL_bucketz00_1608);
						{
							obj_t BgL_globalsz00_1612;
							long BgL_posz00_1613;

							{	/* Ast/venv.scm 414 */
								long BgL_auxz00_3263;

								BgL_globalsz00_1612 = BgL_g1109z00_1610;
								BgL_posz00_1613 = ((long) 0);
							BgL_zc3anonymousza32051ze3z83_1614:
								if (NULLP(BgL_globalsz00_1612))
									{	/* Ast/venv.scm 417 */
										BgL_auxz00_3263 = ((long) -1);
									}
								else
									{	/* Ast/venv.scm 417 */
										if (
											((((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt)
																CAR(BgL_globalsz00_1612))))->BgL_modulez00) ==
												BgL_modulez00_38))
											{	/* Ast/venv.scm 419 */
												BgL_auxz00_3263 = BgL_posz00_1613;
											}
										else
											{
												long BgL_posz00_3273;
												obj_t BgL_globalsz00_3271;

												BgL_globalsz00_3271 = CDR(BgL_globalsz00_1612);
												BgL_posz00_3273 = (BgL_posz00_1613 + ((long) 1));
												BgL_posz00_1613 = BgL_posz00_3273;
												BgL_globalsz00_1612 = BgL_globalsz00_3271;
												goto BgL_zc3anonymousza32051ze3z83_1614;
											}
									}
								return BINT(BgL_auxz00_3263);
							}
						}
					}
				else
					{	/* Ast/venv.scm 412 */
						return BINT(((long) -1));
		}}}
	}



/* &global-bucket-position */
	obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t BgL_envz00_2841,
		obj_t BgL_idz00_2842, obj_t BgL_modulez00_2843)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 410 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2842,
				BgL_modulez00_2843);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_proc2225z00zzast_envz00, BGl_valuez00zzast_varz00,
				BGl_string2226z00zzast_envz00);
		}
	}



/* &restore-value-types!1895 */
	obj_t BGl_z62restorezd2valuezd2typesz121895z70zzast_envz00(obj_t
		BgL_envz00_2845, obj_t BgL_valuez00_2846)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return BUNSPEC;
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_9)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			{	/* Ast/venv.scm 152 */
				obj_t BgL_method1896z00_1626;

				{	/* Ast/venv.scm 152 */
					obj_t BgL_res2200z00_2728;

					{	/* Ast/venv.scm 152 */
						long BgL_objzd2classzd2numz00_2701;

						{	/* Ast/venv.scm 152 */
							long BgL_res2194z00_2704;

							BgL_res2194z00_2704 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_9));
							BgL_objzd2classzd2numz00_2701 = BgL_res2194z00_2704;
						}
						{	/* Ast/venv.scm 152 */
							obj_t BgL_arg1769z00_2702;

							BgL_arg1769z00_2702 =
								PROCEDURE_REF
								(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								(int) (((long) 1)));
							{	/* Ast/venv.scm 152 */
								int BgL_offsetz00_2706;

								BgL_offsetz00_2706 = (int) (BgL_objzd2classzd2numz00_2701);
								{	/* Ast/venv.scm 152 */
									long BgL_offsetz00_2707;

									BgL_offsetz00_2707 =
										((long) (BgL_offsetz00_2706) - OBJECT_TYPE);
									{	/* Ast/venv.scm 152 */
										long BgL_modz00_2708;

										{	/* Ast/venv.scm 152 */
											int BgL_arg1771z00_2709;

											BgL_arg1771z00_2709 = (int) (((long) 16));
											{	/* Ast/venv.scm 152 */
												long BgL_res2197z00_2719;

												{	/* Ast/venv.scm 152 */
													long BgL_auxz00_3287;

													BgL_auxz00_3287 = (long) (BgL_arg1771z00_2709);
													BgL_res2197z00_2719 =
														(BgL_offsetz00_2707 / BgL_auxz00_3287);
												}
												BgL_modz00_2708 = BgL_res2197z00_2719;
										}}
										{	/* Ast/venv.scm 152 */
											long BgL_restz00_2710;

											{	/* Ast/venv.scm 152 */
												int BgL_arg1770z00_2711;

												BgL_arg1770z00_2711 = (int) (((long) 16));
												{	/* Ast/venv.scm 152 */
													long BgL_res2199z00_2723;

													{	/* Ast/venv.scm 152 */
														long BgL_auxz00_3291;

														BgL_auxz00_3291 = (long) (BgL_arg1770z00_2711);
														BgL_res2199z00_2723 =
															(BgL_offsetz00_2707 % BgL_auxz00_3291);
													}
													BgL_restz00_2710 = BgL_res2199z00_2723;
											}}
											{	/* Ast/venv.scm 152 */

												BgL_res2200z00_2728 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2702,
														(int) (BgL_modz00_2708)), (int) (BgL_restz00_2710));
					}}}}}}}
					BgL_method1896z00_1626 = BgL_res2200z00_2728;
				}
				return
					PROCEDURE_ENTRY(BgL_method1896z00_1626) (BgL_method1896z00_1626,
					((obj_t) BgL_valuez00_9), BEOA);
			}
		}
	}



/* &restore-value-types! */
	obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t BgL_envz00_2847,
		obj_t BgL_valuez00_2848)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				((BgL_valuez00_bglt) BgL_valuez00_2848));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc2227z00zzast_envz00,
				BGl_string2228z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc2229z00zzast_envz00,
				BGl_string2228z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc2230z00zzast_envz00,
				BGl_string2228z00zzast_envz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc2231z00zzast_envz00,
				BGl_string2228z00zzast_envz00);
		}
	}



/* &restore-value-types!1904 */
	obj_t BGl_z62restorezd2valuezd2typesz121904z70zzast_envz00(obj_t
		BgL_envz00_2853, obj_t BgL_valuez00_2854)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 207 */
			{
				BgL_cfunz00_bglt BgL_valuez00_1670;

				{	/* Ast/venv.scm 207 */
					bool_t BgL_auxz00_3309;

					BgL_valuez00_1670 = ((BgL_cfunz00_bglt) BgL_valuez00_2854);
					{

						{	/* Ast/venv.scm 207 */
							obj_t BgL_nextzd2method1903zd2_1684;

							BgL_nextzd2method1903zd2_1684 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_valuez00_1670),
								BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								BGl_cfunz00zzast_varz00);
							PROCEDURE_ENTRY(BgL_nextzd2method1903zd2_1684)
								(BgL_nextzd2method1903zd2_1684, ((obj_t) BgL_valuez00_1670),
								BEOA);
						}
						{
							obj_t BgL_argsz00_1676;

							BgL_argsz00_1676 =
								(((BgL_cfunz00_bglt) CREF(BgL_valuez00_1670))->
								BgL_argszd2typezd2);
						BgL_zc3anonymousza32082ze3z83_1677:
							if (PAIRP(BgL_argsz00_1676))
								{	/* Ast/venv.scm 211 */
									{	/* Ast/venv.scm 213 */
										BgL_typez00_bglt BgL_arg2084z00_1679;

										{	/* Ast/venv.scm 213 */
											obj_t BgL_arg2085z00_1680;

											BgL_arg2085z00_1680 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt)
															CAR(BgL_argsz00_1676))))->BgL_idz00);
											BgL_arg2084z00_1679 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg2085z00_1680);
										}
										{	/* Ast/venv.scm 213 */
											obj_t BgL_auxz00_3323;

											BgL_auxz00_3323 = ((obj_t) BgL_arg2084z00_1679);
											SET_CAR(BgL_argsz00_1676, BgL_auxz00_3323);
										}
									}
									{
										obj_t BgL_argsz00_3326;

										BgL_argsz00_3326 = CDR(BgL_argsz00_1676);
										BgL_argsz00_1676 = BgL_argsz00_3326;
										goto BgL_zc3anonymousza32082ze3z83_1677;
									}
								}
							else
								{	/* Ast/venv.scm 211 */
									BgL_auxz00_3309 = ((bool_t) 0);
								}
						}
					}
					return BBOOL(BgL_auxz00_3309);
				}
			}
		}
	}



/* &restore-value-types!1902 */
	obj_t BGl_z62restorezd2valuezd2typesz121902z70zzast_envz00(obj_t
		BgL_envz00_2855, obj_t BgL_valuez00_2856)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 200 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1665;

				BgL_valuez00_1665 = ((BgL_sfunz00_bglt) BgL_valuez00_2856);
				{

					{	/* Ast/venv.scm 200 */
						obj_t BgL_nextzd2method1901zd2_1669;

						BgL_nextzd2method1901zd2_1669 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1665),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_isfunz00zzinline_inlinez00);
						PROCEDURE_ENTRY(BgL_nextzd2method1901zd2_1669)
							(BgL_nextzd2method1901zd2_1669, ((obj_t) BgL_valuez00_1665),
							BEOA);
					}
					{	/* Ast/venv.scm 202 */
						BgL_nodez00_bglt BgL_arg2080z00_1668;

						{
							BgL_isfunz00_bglt BgL_auxz00_3338;

							{
								obj_t BgL_auxz00_3339;

								{	/* Ast/venv.scm 202 */
									BgL_objectz00_bglt BgL_auxz00_3340;

									BgL_auxz00_3340 = ((BgL_objectz00_bglt) BgL_valuez00_1665);
									BgL_auxz00_3339 = BGL_OBJECT_WIDENING(BgL_auxz00_3340);
								}
								BgL_auxz00_3338 = ((BgL_isfunz00_bglt) BgL_auxz00_3339);
							}
							BgL_arg2080z00_1668 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3338))->
								BgL_originalzd2bodyzd2);
						}
						return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg2080z00_1668);
					}
				}
			}
		}
	}



/* &restore-value-types!1900 */
	obj_t BGl_z62restorezd2valuezd2typesz121900z70zzast_envz00(obj_t
		BgL_envz00_2857, obj_t BgL_valuez00_2858)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 166 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1636;

				BgL_valuez00_1636 = ((BgL_sfunz00_bglt) BgL_valuez00_2858);
				{

					{	/* Ast/venv.scm 166 */
						obj_t BgL_nextzd2method1899zd2_1664;

						BgL_nextzd2method1899zd2_1664 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1636),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_sfunz00zzast_varz00);
						PROCEDURE_ENTRY(BgL_nextzd2method1899zd2_1664)
							(BgL_nextzd2method1899zd2_1664, ((obj_t) BgL_valuez00_1636),
							BEOA);
					}
					{
						obj_t BgL_argsz00_1642;

						BgL_argsz00_1642 =
							(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1636))->BgL_argsz00);
					BgL_zc3anonymousza32064ze3z83_1643:
						if (PAIRP(BgL_argsz00_1642))
							{	/* Ast/venv.scm 172 */
								obj_t BgL_argz00_1645;

								BgL_argz00_1645 = CAR(BgL_argsz00_1642);
								if (BGl_isazf3zf3zz__objectz00(BgL_argz00_1645,
										BGl_typez00zztype_typez00))
									{	/* Ast/venv.scm 175 */
										BgL_typez00_bglt BgL_arg2067z00_1647;

										{	/* Ast/venv.scm 175 */
											obj_t BgL_arg2068z00_1648;

											BgL_arg2068z00_1648 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt) BgL_argz00_1645)))->BgL_idz00);
											BgL_arg2067z00_1647 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg2068z00_1648);
										}
										{	/* Ast/venv.scm 175 */
											obj_t BgL_auxz00_3362;

											BgL_auxz00_3362 = ((obj_t) BgL_arg2067z00_1647);
											SET_CAR(BgL_argsz00_1642, BgL_auxz00_3362);
										}
									}
								else
									{	/* Ast/venv.scm 174 */
										if (BGl_isazf3zf3zz__objectz00(BgL_argz00_1645,
												BGl_localz00zzast_varz00))
											{	/* Ast/venv.scm 177 */
												BgL_typez00_bglt BgL_newzd2typezd2_1650;

												{	/* Ast/venv.scm 177 */
													obj_t BgL_arg2070z00_1651;

													BgL_arg2070z00_1651 =
														(((BgL_typez00_bglt) CREF(
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_argz00_1645))))->BgL_typez00)))->
														BgL_idz00);
													BgL_newzd2typezd2_1650 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_arg2070z00_1651);
												}
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_argz00_1645))))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_newzd2typezd2_1650), BUNSPEC);
											}
										else
											{	/* Ast/venv.scm 176 */
												BGl_errorz00zz__errorz00(BGl_string2232z00zzast_envz00,
													BGl_string2233z00zzast_envz00,
													BGl_shapez00zztools_shapez00(BgL_argz00_1645));
											}
									}
								{
									obj_t BgL_argsz00_3377;

									BgL_argsz00_3377 = CDR(BgL_argsz00_1642);
									BgL_argsz00_1642 = BgL_argsz00_3377;
									goto BgL_zc3anonymousza32064ze3z83_1643;
								}
							}
						else
							{	/* Ast/venv.scm 171 */
								if (NULLP(BgL_argsz00_1642))
									{	/* Ast/venv.scm 185 */
										obj_t BgL_bodyz00_1656;

										BgL_bodyz00_1656 =
											(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1636))->
											BgL_bodyz00);
										if (BGl_isazf3zf3zz__objectz00(BgL_bodyz00_1656,
												BGl_nodez00zzast_nodez00))
											{	/* Ast/venv.scm 188 */
												BgL_typez00_bglt BgL_tresz00_1658;

												BgL_tresz00_1658 =
													(((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_bodyz00_1656)))->
													BgL_typez00);
												BGl_hrtypezd2nodez12zc0zzast_hrtypez00((
														(BgL_nodez00_bglt) BgL_bodyz00_1656));
												{	/* Ast/venv.scm 190 */
													bool_t BgL_testz00_3388;

													{	/* Ast/venv.scm 190 */
														bool_t BgL_res2212z00_2766;

														BgL_res2212z00_2766 =
															BGl_isazf3zf3zz__objectz00(
															((obj_t) BgL_tresz00_1658),
															BGl_typez00zztype_typez00);
														BgL_testz00_3388 = BgL_res2212z00_2766;
													}
													if (BgL_testz00_3388)
														{	/* Ast/venv.scm 191 */
															BgL_typez00_bglt BgL_arg2077z00_1660;

															BgL_arg2077z00_1660 =
																BGl_findzd2typezd2zztype_envz00(
																(((BgL_typez00_bglt) CREF(BgL_tresz00_1658))->
																	BgL_idz00));
															return ((((BgL_nodez00_bglt)
																		CREF(((BgL_nodez00_bglt)
																				BgL_bodyz00_1656)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg2077z00_1660),
																BUNSPEC);
														}
													else
														{	/* Ast/venv.scm 190 */
															return BFALSE;
														}
												}
											}
										else
											{	/* Ast/venv.scm 187 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/venv.scm 184 */
										return
											BGl_errorz00zz__errorz00(BGl_string2234z00zzast_envz00,
											BGl_string2235z00zzast_envz00,
											BGl_shapez00zztools_shapez00(BgL_argsz00_1642));
									}
							}
					}
				}
			}
		}
	}



/* &restore-value-types!1898 */
	obj_t BGl_z62restorezd2valuezd2typesz121898z70zzast_envz00(obj_t
		BgL_envz00_2859, obj_t BgL_valuez00_2860)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 158 */
			{
				BgL_funz00_bglt BgL_valuez00_1627;

				BgL_valuez00_1627 = ((BgL_funz00_bglt) BgL_valuez00_2860);
				{	/* Ast/venv.scm 160 */
					bool_t BgL_testz00_3399;

					{	/* Ast/venv.scm 160 */
						obj_t BgL_arg2062z00_1634;

						BgL_arg2062z00_1634 =
							(((BgL_funz00_bglt) CREF(BgL_valuez00_1627))->
							BgL_predicatezd2ofzd2);
						BgL_testz00_3399 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2062z00_1634,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_3399)
						{
							obj_t BgL_auxz00_3402;

							{	/* Ast/venv.scm 161 */
								obj_t BgL_arg2060z00_1632;

								BgL_arg2060z00_1632 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt)
												(((BgL_funz00_bglt) CREF(BgL_valuez00_1627))->
													BgL_predicatezd2ofzd2))))->BgL_idz00);
								BgL_auxz00_3402 =
									((obj_t)
									BGl_findzd2typezd2zztype_envz00(BgL_arg2060z00_1632));
							}
							return
								((((BgL_funz00_bglt) CREF(BgL_valuez00_1627))->
									BgL_predicatezd2ofzd2) = ((obj_t) BgL_auxz00_3402), BUNSPEC);
						}
					else
						{	/* Ast/venv.scm 160 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 156957722),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2236z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
