/*===========================================================================*/
/*   (Cfa/approx.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/approx.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_makezd2structzd2appz00zzcfa_info2z00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	extern obj_t BGl_approxz00zzcfa_infoz00;
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00(obj_t);
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzcfa_approxz00();
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_approxz00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2listza2z00zztype_cachez00;
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd23125z62zzcfa_approxz00(obj_t,
		obj_t);
	static obj_t BGl_z62getzd2nodezd2atomzd2valuezd23127z62zzcfa_approxz00(obj_t,
		obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static bool_t BGl_vectorzd2approxzf3z21zzcfa_approxz00(obj_t);
	static obj_t BGl_z62getzd2nodezd2atomzd2value3122zb0zzcfa_approxz00(obj_t,
		obj_t);
	static bool_t BGl_conszd2approxzf3z21zzcfa_approxz00(obj_t);
	extern obj_t BGl_za2bllongza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, BgL_typez00_bglt);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_za2nilza2z00zz__evalz00;
	static BgL_approxz00_bglt BGl_z62makezd2typezd2approxz62zzcfa_approxz00(obj_t,
		obj_t);
	extern obj_t BGl_conszd2appzd2zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2memberzf3z21zzcfa_setz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static bool_t BGl_z62procedurezd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt, obj_t);
	static bool_t BGl_z62vectorzd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_setzd2forzd2eachz00zzcfa_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2belongza2z00zztype_cachez00;
	static bool_t BGl_structzd2approxzf3z21zzcfa_approxz00(obj_t);
	static obj_t BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	extern obj_t BGl_getzd2allocszd2zzcfa_collectz00();
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00();
	extern obj_t BGl_declarezd2setz12zc0zzcfa_setz00(obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t
		BGl_findzd2commonzd2superzd2classzd2zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_setzd2extendz12zc0zzcfa_setz00(obj_t, obj_t);
	extern obj_t BGl_setzd2ze3vectorz31zzcfa_setz00(obj_t);
	static obj_t BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_za2bboolza2z00zztype_cachez00;
	static obj_t BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00(obj_t);
	extern obj_t BGl_makezd2setz12zc0zzcfa_setz00(obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
	static obj_t BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00(obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_z62structzd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_approxz00 = BUNSPEC;
	static bool_t BGl_z62conszd2approxzf3z43zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_approxz00();
	static obj_t BGl_z62nodezd2keyzb0zzcfa_approxz00(obj_t, obj_t);
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_approxz00();
	extern bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_approxz00_bglt BGl_z62unionzd2approxz12za2zzcfa_approxz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static bool_t BGl_setzd2unionzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, obj_t);
	extern obj_t BGl_setzd2unionz12zc0zzcfa_setz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_approxz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00();
	static BgL_approxz00_bglt
		BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	static obj_t BGl_z62shapezd2approx3121zb0zzcfa_approxz00(obj_t, obj_t);
	static obj_t
		BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt);
	static bool_t BGl_procedurezd2approxzf3z21zzcfa_approxz00(obj_t);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unionzd2approxzd2filterz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762unionza7d2appro3666z00,
		BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3654z00zzcfa_approxz00,
		BgL_bgl_string3654za700za7za7c3667za7, "dst is not a procedure", 22);
	      DEFINE_STRING(BGl_string3656z00zzcfa_approxz00,
		BgL_bgl_string3656za700za7za7c3668za7, "get-node-atom-value3122", 23);
	      DEFINE_STRING(BGl_string3658z00zzcfa_approxz00,
		BgL_bgl_string3658za700za7za7c3669za7, "shape", 5);
	      DEFINE_STRING(BGl_string3660z00zzcfa_approxz00,
		BgL_bgl_string3660za700za7za7c3670za7, "get-node-atom-value", 19);
	      DEFINE_STRING(BGl_string3662z00zzcfa_approxz00,
		BgL_bgl_string3662za700za7za7c3671za7, "cfa_approx", 10);
	      DEFINE_STRING(BGl_string3663z00zzcfa_approxz00,
		BgL_bgl_string3663za700za7za7c3672za7,
		"top approx (no-atom-value) approx-set-top! approx-set-type! union ", 66);
	     
		DEFINE_BGL_L_PROCEDURE(BGl_procedurezd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762procedureza7d2a3673z00,
		BGl_z62procedurezd2approxzf3z43zzcfa_approxz00);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2keyzd2setz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762nodeza7d2keyza7d23674za7,
		BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2typezd2approxzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2typeza7d3675za7,
		BGl_z62makezd2typezd2approxz62zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3655z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d23676za7,
		BGl_z62getzd2nodezd2atomzd2value3122zb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3657z00zzcfa_approxz00,
		BgL_bgl_za762shapeza7d2appro3677z00,
		BGl_z62shapezd2approx3121zb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3659z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d23678za7,
		BGl_z62getzd2nodezd2atomzd2valuezd23125z62zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3661z00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d23679za7,
		BGl_z62getzd2nodezd2atomzd2valuezd23127z62zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2approxzd2alloczd2envz00zzcfa_approxz00,
		BgL_bgl_za762forza7d2eachza7d23680za7,
		BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2emptyzd2approxzd2envzd2zzcfa_approxz00,
		BgL_bgl_za762makeza7d2emptyza73681za7,
		BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00, 0L, BUNSPEC, 0);
	      DEFINE_BGL_L_PROCEDURE(BGl_structzd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762structza7d2appr3682z00,
		BGl_z62structzd2approxzf3z43zzcfa_approxz00);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2keyzd2envz00zzcfa_approxz00,
		BgL_bgl_za762nodeza7d2keyza7b03683za7, BGl_z62nodezd2keyzb0zzcfa_approxz00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2setzd2topz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2setza73684za7,
		BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00, 0L, BUNSPEC, 1);
	      DEFINE_BGL_L_PROCEDURE(BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762vectorza7d2appr3685z00,
		BGl_z62vectorzd2approxzf3z43zzcfa_approxz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_conszd2approxzf3zd2envzf3zzcfa_approxz00,
		BgL_bgl_za762consza7d2approx3686z00,
		BGl_z62conszd2approxzf3z43zzcfa_approxz00);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
		BgL_bgl_za762getza7d2nodeza7d23687za7,
		BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emptyzd2approxzd2alloczf3zd2envz21zzcfa_approxz00,
		BgL_bgl_za762emptyza7d2appro3688z00,
		BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2setzd2typez12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762approxza7d2setza73689za7,
		BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2approxzd2setsz12zd2envzc0zzcfa_approxz00,
		BgL_bgl_za762declareza7d2app3690z00,
		BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unionzd2approxz12zd2envz12zzcfa_approxz00,
		BgL_bgl_za762unionza7d2appro3691z00,
		BGl_z62unionzd2approxz12za2zzcfa_approxz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2typezd2alloczd2approxzd2envz00zzcfa_approxz00,
		BgL_bgl_za762makeza7d2typeza7d3692za7,
		BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long
		BgL_checksumz00_5908, char *BgL_fromz00_5909)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_approxz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_approxz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_approxz00();
					BGl_cnstzd2initzd2zzcfa_approxz00();
					BGl_importedzd2moduleszd2initz00zzcfa_approxz00();
					BGl_genericzd2initzd2zzcfa_approxz00();
					BGl_methodzd2initzd2zzcfa_approxz00();
					BGl_toplevelzd2initzd2zzcfa_approxz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_approx");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_approx");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_approx");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			{	/* Cfa/approx.scm 15 */
				obj_t BgL_cportz00_5895;

				BgL_cportz00_5895 =
					bgl_open_input_string(BGl_string3663z00zzcfa_approxz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5896;

					BgL_iz00_5896 = ((long) 5);
				BgL_loopz00_5897:
					if ((BgL_iz00_5896 == ((long) -1)))
						{	/* Cfa/approx.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/approx.scm 15 */
							{	/* Cfa/approx.scm 15 */
								obj_t BgL_arg3665z00_5899;

								{	/* Cfa/approx.scm 15 */

									{	/* Cfa/approx.scm 15 */
										obj_t BgL_locationz00_5901;

										BgL_locationz00_5901 = BBOOL(((bool_t) 0));
										{	/* Cfa/approx.scm 15 */

											BgL_arg3665z00_5899 =
												BGl_readz00zz__readerz00(BgL_cportz00_5895,
												BgL_locationz00_5901);
										}
									}
								}
								{	/* Cfa/approx.scm 15 */
									int BgL_auxz00_5932;

									BgL_auxz00_5932 = (int) (BgL_iz00_5896);
									CNST_TABLE_SET(BgL_auxz00_5932, BgL_arg3665z00_5899);
							}}
							{	/* Cfa/approx.scm 15 */
								int BgL_auxz00_5902;

								BgL_auxz00_5902 = (int) ((BgL_iz00_5896 - ((long) 1)));
								{
									long BgL_iz00_5937;

									BgL_iz00_5937 = (long) (BgL_auxz00_5902);
									BgL_iz00_5896 = BgL_iz00_5937;
									goto BgL_loopz00_5897;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			BGl_za2alloczd2setza2zd2zzcfa_approxz00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* declare-approx-sets! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 58 */
			return (BGl_za2alloczd2setza2zd2zzcfa_approxz00 =
				BGl_declarezd2setz12zc0zzcfa_setz00
				(BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
					(BGl_getzd2allocszd2zzcfa_collectz00())), BUNSPEC);
		}
	}



/* &declare-approx-sets! */
	obj_t BGl_z62declarezd2approxzd2setsz12z70zzcfa_approxz00(obj_t
		BgL_envz00_5843)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 58 */
			return BGl_declarezd2approxzd2setsz12z12zzcfa_approxz00();
		}
	}



/* node-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2keyzd2zzcfa_approxz00(BgL_nodezf2effectzf2_bglt BgL_nodez00_3)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 65 */
			return (((BgL_nodezf2effectzf2_bglt) CREF(BgL_nodez00_3))->BgL_keyz00);
		}
	}



/* &node-key */
	obj_t BGl_z62nodezd2keyzb0zzcfa_approxz00(obj_t BgL_envz00_5844,
		obj_t BgL_nodez00_5845)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 65 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_nodez00_5845)))->BgL_keyz00);
		}
	}



/* node-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2keyzd2setz12z12zzcfa_approxz00(BgL_nodezf2effectzf2_bglt
		BgL_nodez00_4, obj_t BgL_keyz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 71 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_nodez00_4))->BgL_keyz00) =
				((obj_t) BgL_keyz00_5), BUNSPEC);
		}
	}



/* &node-key-set! */
	obj_t BGl_z62nodezd2keyzd2setz12z70zzcfa_approxz00(obj_t BgL_envz00_5846,
		obj_t BgL_nodez00_5847, obj_t BgL_keyz00_5848)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 71 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_nodez00_5847)))->BgL_keyz00) =
				((obj_t) BgL_keyz00_5848), BUNSPEC);
		}
	}



/* union-approx! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt BgL_dstz00_6,
		BgL_approxz00_bglt BgL_srcz00_7)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 77 */
			{	/* Cfa/approx.scm 79 */
				obj_t BgL_arg3134z00_3278;

				BgL_arg3134z00_3278 =
					BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_srcz00_7);
				BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_dstz00_6,
					((BgL_typez00_bglt) BgL_arg3134z00_3278));
			}
			{	/* Cfa/approx.scm 81 */
				bool_t BgL_testz00_5952;

				{	/* Cfa/approx.scm 81 */
					BgL_typez00_bglt BgL_arg3143z00_3291;

					BgL_arg3143z00_3291 =
						(((BgL_approxz00_bglt) CREF(BgL_dstz00_6))->BgL_typez00);
					BgL_testz00_5952 =
						(((obj_t) BgL_arg3143z00_3291) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_testz00_5952)
					{	/* Cfa/approx.scm 81 */
						BFALSE;
					}
				else
					{	/* Cfa/approx.scm 82 */
						bool_t BgL_testz00_5956;

						{	/* Cfa/approx.scm 82 */
							obj_t BgL_g3109z00_3281;

							BgL_g3109z00_3281 =
								BGl_setzd2ze3listz31zzcfa_setz00(
								(((BgL_approxz00_bglt) CREF(BgL_srcz00_7))->BgL_allocsz00));
							{
								obj_t BgL_l3107z00_3283;

								BgL_l3107z00_3283 = BgL_g3109z00_3281;
							BgL_zc3anonymousza33137ze3z83_3284:
								if (NULLP(BgL_l3107z00_3283))
									{	/* Cfa/approx.scm 82 */
										BgL_testz00_5956 = ((bool_t) 0);
									}
								else
									{	/* Cfa/approx.scm 82 */
										bool_t BgL__ortest_3110z00_3286;

										{	/* Cfa/approx.scm 82 */
											obj_t BgL_xz00_5607;

											BgL_xz00_5607 = CAR(BgL_l3107z00_3283);
											{	/* Cfa/approx.scm 166 */
												bool_t BgL__ortest_1164z00_5608;

												BgL__ortest_1164z00_5608 =
													BGl_isazf3zf3zz__objectz00(BgL_xz00_5607,
													BGl_makezd2vectorzd2appz00zzcfa_info2z00);
												if (BgL__ortest_1164z00_5608)
													{	/* Cfa/approx.scm 166 */
														BgL__ortest_3110z00_3286 = BgL__ortest_1164z00_5608;
													}
												else
													{	/* Cfa/approx.scm 166 */
														BgL__ortest_3110z00_3286 =
															BGl_isazf3zf3zz__objectz00(BgL_xz00_5607,
															BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
													}
											}
										}
										if (BgL__ortest_3110z00_3286)
											{	/* Cfa/approx.scm 82 */
												BgL_testz00_5956 = BgL__ortest_3110z00_3286;
											}
										else
											{
												obj_t BgL_l3107z00_5966;

												BgL_l3107z00_5966 = CDR(BgL_l3107z00_3283);
												BgL_l3107z00_3283 = BgL_l3107z00_5966;
												goto BgL_zc3anonymousza33137ze3z83_3284;
											}
									}
							}
						}
						if (BgL_testz00_5956)
							{	/* Cfa/approx.scm 82 */
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_dstz00_6,
									((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
							}
						else
							{	/* Cfa/approx.scm 82 */
								BFALSE;
							}
					}
			}
			{	/* Cfa/approx.scm 85 */
				bool_t BgL_testz00_5970;

				{	/* Cfa/approx.scm 85 */
					bool_t BgL_testz00_5971;

					{	/* Cfa/approx.scm 85 */
						BgL_typez00_bglt BgL_arg3147z00_3295;

						BgL_arg3147z00_3295 =
							(((BgL_approxz00_bglt) CREF(BgL_dstz00_6))->BgL_typez00);
						BgL_testz00_5971 =
							(
							((obj_t) BgL_arg3147z00_3295) ==
							BGl_za2procedureza2z00zztype_cachez00);
					}
					if (BgL_testz00_5971)
						{	/* Cfa/approx.scm 85 */
							BgL_testz00_5970 = ((bool_t) 1);
						}
					else
						{	/* Cfa/approx.scm 86 */
							BgL_typez00_bglt BgL_arg3146z00_3294;

							BgL_arg3146z00_3294 =
								(((BgL_approxz00_bglt) CREF(BgL_dstz00_6))->BgL_typez00);
							BgL_testz00_5970 =
								(
								((obj_t) BgL_arg3146z00_3294) == BGl_za2_za2z00zztype_cachez00);
						}
				}
				if (BgL_testz00_5970)
					{	/* Cfa/approx.scm 85 */
						BFALSE;
					}
				else
					{	/* Cfa/approx.scm 85 */
						BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_srcz00_7,
							BGl_string3654z00zzcfa_approxz00);
					}
			}
			if ((((BgL_approxz00_bglt) CREF(BgL_srcz00_7))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 89 */
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_dstz00_6);
				}
			else
				{	/* Cfa/approx.scm 89 */
					BFALSE;
				}
			{	/* Cfa/approx.scm 92 */
				bool_t BgL_testz00_5982;

				{	/* Cfa/approx.scm 92 */
					obj_t BgL_arg3150z00_3298;
					obj_t BgL_arg3151z00_3299;

					BgL_arg3150z00_3298 =
						(((BgL_approxz00_bglt) CREF(BgL_dstz00_6))->BgL_allocsz00);
					BgL_arg3151z00_3299 =
						(((BgL_approxz00_bglt) CREF(BgL_srcz00_7))->BgL_allocsz00);
					{	/* Cfa/approx.scm 92 */
						obj_t BgL_list3152z00_3300;

						BgL_list3152z00_3300 = MAKE_PAIR(BgL_arg3151z00_3299, BNIL);
						BgL_testz00_5982 =
							CBOOL(BGl_setzd2unionz12zc0zzcfa_setz00(BgL_arg3150z00_3298,
								BgL_list3152z00_3300));
					}
				}
				if (BgL_testz00_5982)
					{	/* Cfa/approx.scm 92 */
						BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(((long)
									0)));
					}
				else
					{	/* Cfa/approx.scm 92 */
						BFALSE;
					}
			}
			return BgL_dstz00_6;
		}
	}



/* &union-approx! */
	BgL_approxz00_bglt BGl_z62unionzd2approxz12za2zzcfa_approxz00(obj_t
		BgL_envz00_5849, obj_t BgL_dstz00_5850, obj_t BgL_srcz00_5851)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 77 */
			return
				BGl_unionzd2approxz12zc0zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_5850),
				((BgL_approxz00_bglt) BgL_srcz00_5851));
		}
	}



/* union-approx/type! */
	BgL_approxz00_bglt
		BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_8, BgL_approxz00_bglt BgL_srcz00_9,
		BgL_typez00_bglt BgL_tyz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 100 */
			if ((((BgL_approxz00_bglt) CREF(BgL_srcz00_9))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 113 */
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_dstz00_8);
				}
			else
				{	/* Cfa/approx.scm 113 */
					BFALSE;
				}
			if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_tyz00_10))
				{	/* Cfa/approx.scm 115 */
					if ((((obj_t) BgL_tyz00_10) == BGl_za2vectorza2z00zztype_cachez00))
						{	/* Cfa/approx.scm 117 */
							if (BGl_setzd2unionzf2typez12z32zzcfa_approxz00(BgL_dstz00_8,
									BgL_srcz00_9, BGl_vectorzd2approxzf3zd2envzf3zzcfa_approxz00))
								{	/* Cfa/approx.scm 118 */
									BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF((
												(long) 0)));
								}
							else
								{	/* Cfa/approx.scm 118 */
									BFALSE;
								}
						}
					else
						{	/* Cfa/approx.scm 117 */
							if (
								(((obj_t) BgL_tyz00_10) ==
									BGl_za2procedureza2z00zztype_cachez00))
								{	/* Cfa/approx.scm 120 */
									if (BGl_setzd2unionzf2typez12z32zzcfa_approxz00(BgL_dstz00_8,
											BgL_srcz00_9,
											BGl_procedurezd2approxzf3zd2envzf3zzcfa_approxz00))
										{	/* Cfa/approx.scm 121 */
											BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF((
														(long) 0)));
										}
									else
										{	/* Cfa/approx.scm 121 */
											BFALSE;
										}
								}
							else
								{	/* Cfa/approx.scm 123 */
									bool_t BgL_testz00_6012;

									if (
										(((obj_t) BgL_tyz00_10) ==
											BGl_za2pairza2z00zztype_cachez00))
										{	/* Cfa/approx.scm 123 */
											BgL_testz00_6012 = ((bool_t) 1);
										}
									else
										{	/* Cfa/approx.scm 123 */
											if (
												(((obj_t) BgL_tyz00_10) ==
													BGl_za2epairza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 124 */
													BgL_testz00_6012 = ((bool_t) 1);
												}
											else
												{	/* Cfa/approx.scm 124 */
													if (
														(((obj_t) BgL_tyz00_10) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00))
														{	/* Cfa/approx.scm 125 */
															BgL_testz00_6012 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 125 */
															BgL_testz00_6012 =
																(
																((obj_t) BgL_tyz00_10) ==
																BGl_za2listza2z00zztype_cachez00);
														}
												}
										}
									if (BgL_testz00_6012)
										{	/* Cfa/approx.scm 123 */
											if (BGl_setzd2unionzf2typez12z32zzcfa_approxz00
												(BgL_dstz00_8, BgL_srcz00_9,
													BGl_conszd2approxzf3zd2envzf3zzcfa_approxz00))
												{	/* Cfa/approx.scm 127 */
													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
														(CNST_TABLE_REF(((long) 0)));
												}
											else
												{	/* Cfa/approx.scm 127 */
													BFALSE;
												}
										}
									else
										{	/* Cfa/approx.scm 123 */
											if (
												(((obj_t) BgL_tyz00_10) ==
													BGl_za2structza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 129 */
													if (BGl_setzd2unionzf2typez12z32zzcfa_approxz00
														(BgL_dstz00_8, BgL_srcz00_9,
															BGl_structzd2approxzf3zd2envzf3zzcfa_approxz00))
														{	/* Cfa/approx.scm 130 */
															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																(CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Cfa/approx.scm 130 */
															BFALSE;
														}
												}
											else
												{	/* Cfa/approx.scm 132 */
													bool_t BgL_testz00_6035;

													if (
														(((obj_t) BgL_tyz00_10) ==
															BGl_za2symbolza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 132 */
															BgL_testz00_6035 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 132 */
															if (
																(((obj_t) BgL_tyz00_10) ==
																	BGl_za2keywordza2z00zztype_cachez00))
																{	/* Cfa/approx.scm 133 */
																	BgL_testz00_6035 = ((bool_t) 1);
																}
															else
																{	/* Cfa/approx.scm 133 */
																	if (
																		(((obj_t) BgL_tyz00_10) ==
																			BGl_za2unspecza2z00zztype_cachez00))
																		{	/* Cfa/approx.scm 134 */
																			BgL_testz00_6035 = ((bool_t) 1);
																		}
																	else
																		{	/* Cfa/approx.scm 134 */
																			if (
																				(((obj_t) BgL_tyz00_10) ==
																					BGl_za2bstringza2z00zztype_cachez00))
																				{	/* Cfa/approx.scm 135 */
																					BgL_testz00_6035 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/approx.scm 135 */
																					if (
																						(((obj_t) BgL_tyz00_10) ==
																							BGl_za2bintza2z00zztype_cachez00))
																						{	/* Cfa/approx.scm 136 */
																							BgL_testz00_6035 = ((bool_t) 1);
																						}
																					else
																						{	/* Cfa/approx.scm 136 */
																							if (
																								(((obj_t) BgL_tyz00_10) ==
																									BGl_za2belongza2z00zztype_cachez00))
																								{	/* Cfa/approx.scm 137 */
																									BgL_testz00_6035 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/approx.scm 137 */
																									if (
																										(((obj_t) BgL_tyz00_10) ==
																											BGl_za2bllongza2z00zztype_cachez00))
																										{	/* Cfa/approx.scm 138 */
																											BgL_testz00_6035 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Cfa/approx.scm 138 */
																											if (
																												(((obj_t) BgL_tyz00_10)
																													==
																													BGl_za2bignumza2z00zztype_cachez00))
																												{	/* Cfa/approx.scm 139 */
																													BgL_testz00_6035 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Cfa/approx.scm 139 */
																													if (
																														(((obj_t)
																																BgL_tyz00_10) ==
																															BGl_za2realza2z00zztype_cachez00))
																														{	/* Cfa/approx.scm 140 */
																															BgL_testz00_6035 =
																																((bool_t) 1);
																														}
																													else
																														{	/* Cfa/approx.scm 140 */
																															if (
																																(((obj_t)
																																		BgL_tyz00_10)
																																	==
																																	BGl_za2bcharza2z00zztype_cachez00))
																																{	/* Cfa/approx.scm 141 */
																																	BgL_testz00_6035
																																		=
																																		((bool_t)
																																		1);
																																}
																															else
																																{	/* Cfa/approx.scm 141 */
																																	if (
																																		(((obj_t)
																																				BgL_tyz00_10)
																																			==
																																			BGl_za2nilza2z00zz__evalz00))
																																		{	/* Cfa/approx.scm 142 */
																																			BgL_testz00_6035
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																	else
																																		{	/* Cfa/approx.scm 142 */
																																			BgL_testz00_6035
																																				=
																																				(((obj_t) BgL_tyz00_10) == BGl_za2bboolza2z00zztype_cachez00);
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
													if (BgL_testz00_6035)
														{	/* Cfa/approx.scm 132 */
															BFALSE;
														}
													else
														{	/* Cfa/approx.scm 144 */
															bool_t BgL_testz00_6071;

															{	/* Cfa/approx.scm 144 */
																obj_t BgL_arg3165z00_3314;
																obj_t BgL_arg3166z00_3315;

																BgL_arg3165z00_3314 =
																	(((BgL_approxz00_bglt) CREF(BgL_dstz00_8))->
																	BgL_allocsz00);
																BgL_arg3166z00_3315 =
																	(((BgL_approxz00_bglt) CREF(BgL_srcz00_9))->
																	BgL_allocsz00);
																{	/* Cfa/approx.scm 144 */
																	obj_t BgL_list3167z00_3316;

																	BgL_list3167z00_3316 =
																		MAKE_PAIR(BgL_arg3166z00_3315, BNIL);
																	BgL_testz00_6071 =
																		CBOOL(BGl_setzd2unionz12zc0zzcfa_setz00
																		(BgL_arg3165z00_3314,
																			BgL_list3167z00_3316));
																}
															}
															if (BgL_testz00_6071)
																{	/* Cfa/approx.scm 144 */
																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																		(CNST_TABLE_REF(((long) 0)));
																}
															else
																{	/* Cfa/approx.scm 144 */
																	BFALSE;
																}
														}
												}
										}
								}
						}
				}
			else
				{	/* Cfa/approx.scm 115 */
					BFALSE;
				}
			return BgL_dstz00_8;
		}
	}



/* set-union/type! */
	bool_t BGl_setzd2unionzf2typez12z32zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_3331, BgL_approxz00_bglt BgL_srcz00_3332, obj_t BgL_predz00_3333)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 111 */
			{	/* Cfa/approx.scm 104 */
				bool_t BgL_resz00_3335;
				obj_t BgL_setz00_3336;

				BgL_resz00_3335 = ((bool_t) 0);
				BgL_setz00_3336 =
					(((BgL_approxz00_bglt) CREF(BgL_dstz00_3331))->BgL_allocsz00);
				{	/* Cfa/approx.scm 106 */
					obj_t BgL_g3113z00_3337;

					BgL_g3113z00_3337 =
						BGl_setzd2ze3listz31zzcfa_setz00(
						(((BgL_approxz00_bglt) CREF(BgL_srcz00_3332))->BgL_allocsz00));
					{
						obj_t BgL_l3111z00_3339;

						BgL_l3111z00_3339 = BgL_g3113z00_3337;
					BgL_zc3anonymousza33183ze3z83_3340:
						if (PAIRP(BgL_l3111z00_3339))
							{	/* Cfa/approx.scm 110 */
								{	/* Cfa/approx.scm 107 */
									obj_t BgL_vz00_3342;

									BgL_vz00_3342 = CAR(BgL_l3111z00_3339);
									{	/* Cfa/approx.scm 107 */
										bool_t BgL_testz00_6085;

										if (
											((bool_t(*)())PROCEDURE_L_ENTRY(BgL_predz00_3333))
											(BgL_predz00_3333, BgL_vz00_3342))
											{	/* Cfa/approx.scm 107 */
												if (CBOOL(BGl_setzd2memberzf3z21zzcfa_setz00
														(BgL_setz00_3336, BgL_vz00_3342)))
													{	/* Cfa/approx.scm 107 */
														BgL_testz00_6085 = ((bool_t) 0);
													}
												else
													{	/* Cfa/approx.scm 107 */
														BgL_testz00_6085 = ((bool_t) 1);
													}
											}
										else
											{	/* Cfa/approx.scm 107 */
												BgL_testz00_6085 = ((bool_t) 0);
											}
										if (BgL_testz00_6085)
											{	/* Cfa/approx.scm 107 */
												BGl_setzd2extendz12zc0zzcfa_setz00(BgL_setz00_3336,
													BgL_vz00_3342);
												BgL_resz00_3335 = ((bool_t) 1);
											}
										else
											{	/* Cfa/approx.scm 107 */
												BFALSE;
											}
									}
								}
								{
									obj_t BgL_l3111z00_6095;

									BgL_l3111z00_6095 = CDR(BgL_l3111z00_3339);
									BgL_l3111z00_3339 = BgL_l3111z00_6095;
									goto BgL_zc3anonymousza33183ze3z83_3340;
								}
							}
						else
							{	/* Cfa/approx.scm 110 */
								((bool_t) 1);
							}
					}
				}
				return BgL_resz00_3335;
			}
		}
	}



/* union-approx-filter! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_11, BgL_approxz00_bglt BgL_srcz00_12)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 156 */
			{	/* Cfa/approx.scm 157 */
				BgL_typez00_bglt BgL_tyz00_3350;

				BgL_tyz00_3350 =
					(((BgL_approxz00_bglt) CREF(BgL_dstz00_11))->BgL_typez00);
				{	/* Cfa/approx.scm 158 */
					bool_t BgL_testz00_6098;

					if (
						(((BgL_approxz00_bglt) CREF(BgL_dstz00_11))->
							BgL_typezd2lockedzf3z21))
						{	/* Cfa/approx.scm 158 */
							if ((((obj_t) BgL_tyz00_3350) == BGl_za2_za2z00zztype_cachez00))
								{	/* Cfa/approx.scm 158 */
									BgL_testz00_6098 = ((bool_t) 1);
								}
							else
								{	/* Cfa/approx.scm 158 */
									BgL_testz00_6098 =
										(
										((obj_t) BgL_tyz00_3350) ==
										BGl_za2objza2z00zztype_cachez00);
								}
						}
					else
						{	/* Cfa/approx.scm 158 */
							BgL_testz00_6098 = ((bool_t) 1);
						}
					if (BgL_testz00_6098)
						{	/* Cfa/approx.scm 158 */
							return
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_dstz00_11,
								BgL_srcz00_12);
						}
					else
						{	/* Cfa/approx.scm 158 */
							return
								BGl_unionzd2approxzf2typez12z32zzcfa_approxz00(BgL_dstz00_11,
								BgL_srcz00_12, BgL_tyz00_3350);
						}
				}
			}
		}
	}



/* &union-approx-filter! */
	BgL_approxz00_bglt BGl_z62unionzd2approxzd2filterz12z70zzcfa_approxz00(obj_t
		BgL_envz00_5860, obj_t BgL_dstz00_5861, obj_t BgL_srcz00_5862)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 156 */
			return
				BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_5861),
				((BgL_approxz00_bglt) BgL_srcz00_5862));
		}
	}



/* vector-approx? */
	bool_t BGl_vectorzd2approxzf3z21zzcfa_approxz00(obj_t BgL_xz00_13)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 165 */
			{	/* Cfa/approx.scm 166 */
				bool_t BgL__ortest_1164z00_5648;

				BgL__ortest_1164z00_5648 =
					BGl_isazf3zf3zz__objectz00(BgL_xz00_13,
					BGl_makezd2vectorzd2appz00zzcfa_info2z00);
				if (BgL__ortest_1164z00_5648)
					{	/* Cfa/approx.scm 166 */
						return BgL__ortest_1164z00_5648;
					}
				else
					{	/* Cfa/approx.scm 166 */
						return
							BGl_isazf3zf3zz__objectz00(BgL_xz00_13,
							BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
					}
			}
		}
	}



/* &vector-approx? */
	bool_t BGl_z62vectorzd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_5852,
		obj_t BgL_xz00_5853)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 165 */
			return BGl_vectorzd2approxzf3z21zzcfa_approxz00(BgL_xz00_5853);
		}
	}



/* procedure-approx? */
	bool_t BGl_procedurezd2approxzf3z21zzcfa_approxz00(obj_t BgL_xz00_14)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 171 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_xz00_14,
				BGl_makezd2procedurezd2appz00zzcfa_info2z00);
		}
	}



/* &procedure-approx? */
	bool_t BGl_z62procedurezd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_5854,
		obj_t BgL_xz00_5855)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 171 */
			return BGl_procedurezd2approxzf3z21zzcfa_approxz00(BgL_xz00_5855);
		}
	}



/* cons-approx? */
	bool_t BGl_conszd2approxzf3z21zzcfa_approxz00(obj_t BgL_xz00_15)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 177 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_xz00_15,
				BGl_conszd2appzd2zzcfa_info2z00);
		}
	}



/* &cons-approx? */
	bool_t BGl_z62conszd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_5856,
		obj_t BgL_xz00_5857)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 177 */
			return BGl_conszd2approxzf3z21zzcfa_approxz00(BgL_xz00_5857);
		}
	}



/* struct-approx? */
	bool_t BGl_structzd2approxzf3z21zzcfa_approxz00(obj_t BgL_xz00_16)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 183 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_xz00_16,
				BGl_makezd2structzd2appz00zzcfa_info2z00);
		}
	}



/* &struct-approx? */
	bool_t BGl_z62structzd2approxzf3z43zzcfa_approxz00(obj_t BgL_envz00_5858,
		obj_t BgL_xz00_5859)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 183 */
			return BGl_structzd2approxzf3z21zzcfa_approxz00(BgL_xz00_5859);
		}
	}



/* get-src-approx-type */
	obj_t BGl_getzd2srczd2approxzd2typezd2zzcfa_approxz00(BgL_approxz00_bglt
		BgL_az00_17)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 193 */
			{	/* Cfa/approx.scm 194 */
				BgL_typez00_bglt BgL_typez00_3355;

				BgL_typez00_3355 =
					(((BgL_approxz00_bglt) CREF(BgL_az00_17))->BgL_typez00);
				if ((((obj_t) BgL_typez00_3355) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/approx.scm 196 */
						return ((obj_t) BgL_typez00_3355);
					}
				else
					{	/* Cfa/approx.scm 198 */
						bool_t BgL_testz00_6126;

						{	/* Cfa/approx.scm 198 */
							obj_t BgL_arg3214z00_3380;

							BgL_arg3214z00_3380 =
								BGl_setzd2lengthzd2zzcfa_setz00(
								(((BgL_approxz00_bglt) CREF(BgL_az00_17))->BgL_allocsz00));
							BgL_testz00_6126 =
								((long) CINT(BgL_arg3214z00_3380) == ((long) 0));
						}
						if (BgL_testz00_6126)
							{	/* Cfa/approx.scm 198 */
								return ((obj_t) BgL_typez00_3355);
							}
						else
							{	/* Cfa/approx.scm 201 */
								obj_t BgL_allocsz00_3358;

								BgL_allocsz00_3358 =
									BGl_setzd2ze3listz31zzcfa_setz00(
									(((BgL_approxz00_bglt) CREF(BgL_az00_17))->BgL_allocsz00));
								{	/* Cfa/approx.scm 202 */
									bool_t BgL_testz00_6134;

									{
										obj_t BgL_l3114z00_3372;

										BgL_l3114z00_3372 = BgL_allocsz00_3358;
									BgL_zc3anonymousza33207ze3z83_3373:
										if (NULLP(BgL_l3114z00_3372))
											{	/* Cfa/approx.scm 202 */
												BgL_testz00_6134 = ((bool_t) 0);
											}
										else
											{	/* Cfa/approx.scm 202 */
												bool_t BgL__ortest_3116z00_3375;

												{	/* Cfa/approx.scm 202 */
													obj_t BgL_xz00_5672;

													BgL_xz00_5672 = CAR(BgL_l3114z00_3372);
													{	/* Cfa/approx.scm 166 */
														bool_t BgL__ortest_1164z00_5673;

														BgL__ortest_1164z00_5673 =
															BGl_isazf3zf3zz__objectz00(BgL_xz00_5672,
															BGl_makezd2vectorzd2appz00zzcfa_info2z00);
														if (BgL__ortest_1164z00_5673)
															{	/* Cfa/approx.scm 166 */
																BgL__ortest_3116z00_3375 =
																	BgL__ortest_1164z00_5673;
															}
														else
															{	/* Cfa/approx.scm 166 */
																BgL__ortest_3116z00_3375 =
																	BGl_isazf3zf3zz__objectz00(BgL_xz00_5672,
																	BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
															}
													}
												}
												if (BgL__ortest_3116z00_3375)
													{	/* Cfa/approx.scm 202 */
														BgL_testz00_6134 = BgL__ortest_3116z00_3375;
													}
												else
													{
														obj_t BgL_l3114z00_6142;

														BgL_l3114z00_6142 = CDR(BgL_l3114z00_3372);
														BgL_l3114z00_3372 = BgL_l3114z00_6142;
														goto BgL_zc3anonymousza33207ze3z83_3373;
													}
											}
									}
									if (BgL_testz00_6134)
										{	/* Cfa/approx.scm 203 */
											bool_t BgL_testz00_6144;

											if (
												(((obj_t) BgL_typez00_3355) ==
													BGl_za2vectorza2z00zztype_cachez00))
												{
													obj_t BgL_l3117z00_3363;

													BgL_l3117z00_3363 = BgL_allocsz00_3358;
												BgL_zc3anonymousza33199ze3z83_3364:
													if (NULLP(BgL_l3117z00_3363))
														{	/* Cfa/approx.scm 203 */
															BgL_testz00_6144 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 203 */
															bool_t BgL_testz00_6150;

															{	/* Cfa/approx.scm 203 */
																obj_t BgL_xz00_5682;

																BgL_xz00_5682 = CAR(BgL_l3117z00_3363);
																{	/* Cfa/approx.scm 166 */
																	bool_t BgL__ortest_1164z00_5683;

																	BgL__ortest_1164z00_5683 =
																		BGl_isazf3zf3zz__objectz00(BgL_xz00_5682,
																		BGl_makezd2vectorzd2appz00zzcfa_info2z00);
																	if (BgL__ortest_1164z00_5683)
																		{	/* Cfa/approx.scm 166 */
																			BgL_testz00_6150 =
																				BgL__ortest_1164z00_5683;
																		}
																	else
																		{	/* Cfa/approx.scm 166 */
																			BgL_testz00_6150 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_xz00_5682,
																				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
																		}
																}
															}
															if (BgL_testz00_6150)
																{
																	obj_t BgL_l3117z00_6155;

																	BgL_l3117z00_6155 = CDR(BgL_l3117z00_3363);
																	BgL_l3117z00_3363 = BgL_l3117z00_6155;
																	goto BgL_zc3anonymousza33199ze3z83_3364;
																}
															else
																{	/* Cfa/approx.scm 203 */
																	BgL_testz00_6144 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Cfa/approx.scm 203 */
													BgL_testz00_6144 = ((bool_t) 0);
												}
											if (BgL_testz00_6144)
												{	/* Cfa/approx.scm 203 */
													return BGl_za2vectorza2z00zztype_cachez00;
												}
											else
												{	/* Cfa/approx.scm 203 */
													return BGl_za2objza2z00zztype_cachez00;
												}
										}
									else
										{	/* Cfa/approx.scm 202 */
											return ((obj_t) BgL_typez00_3355);
										}
								}
							}
					}
			}
		}
	}



/* approx-set-type! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_18, BgL_typez00_bglt BgL_typez00_19)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 215 */
			{	/* Cfa/approx.scm 216 */
				BgL_typez00_bglt BgL_dtypez00_3382;

				BgL_dtypez00_3382 =
					(((BgL_approxz00_bglt) CREF(BgL_dstz00_18))->BgL_typez00);
				if (
					(((BgL_approxz00_bglt) CREF(BgL_dstz00_18))->BgL_typezd2lockedzf3z21))
					{	/* Cfa/approx.scm 218 */
						return BFALSE;
					}
				else
					{	/* Cfa/approx.scm 218 */
						if ((((obj_t) BgL_typez00_19) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 220 */
								return BFALSE;
							}
						else
							{	/* Cfa/approx.scm 220 */
								if ((((obj_t) BgL_dtypez00_3382) == ((obj_t) BgL_typez00_19)))
									{	/* Cfa/approx.scm 222 */
										return BFALSE;
									}
								else
									{	/* Cfa/approx.scm 224 */
										bool_t BgL_testz00_6168;

										{	/* Cfa/approx.scm 224 */
											bool_t BgL_testz00_6169;

											if (
												(((obj_t) BgL_dtypez00_3382) ==
													BGl_za2longza2z00zztype_cachez00))
												{	/* Cfa/approx.scm 224 */
													BgL_testz00_6169 =
														(
														((obj_t) BgL_typez00_19) ==
														BGl_za2intza2z00zztype_cachez00);
												}
											else
												{	/* Cfa/approx.scm 224 */
													BgL_testz00_6169 = ((bool_t) 0);
												}
											if (BgL_testz00_6169)
												{	/* Cfa/approx.scm 224 */
													BgL_testz00_6168 = ((bool_t) 1);
												}
											else
												{	/* Cfa/approx.scm 225 */
													bool_t BgL_testz00_6175;

													if (
														(((obj_t) BgL_dtypez00_3382) ==
															BGl_za2intza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 225 */
															BgL_testz00_6175 =
																(
																((obj_t) BgL_typez00_19) ==
																BGl_za2longza2z00zztype_cachez00);
														}
													else
														{	/* Cfa/approx.scm 225 */
															BgL_testz00_6175 = ((bool_t) 0);
														}
													if (BgL_testz00_6175)
														{	/* Cfa/approx.scm 225 */
															BgL_testz00_6168 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 225 */
															if (
																(((obj_t) BgL_dtypez00_3382) ==
																	BGl_za2bintza2z00zztype_cachez00))
																{	/* Cfa/approx.scm 226 */
																	bool_t BgL__ortest_1166z00_3422;

																	BgL__ortest_1166z00_3422 =
																		(
																		((obj_t) BgL_typez00_19) ==
																		BGl_za2intza2z00zztype_cachez00);
																	if (BgL__ortest_1166z00_3422)
																		{	/* Cfa/approx.scm 226 */
																			BgL_testz00_6168 =
																				BgL__ortest_1166z00_3422;
																		}
																	else
																		{	/* Cfa/approx.scm 226 */
																			BgL_testz00_6168 =
																				(
																				((obj_t) BgL_typez00_19) ==
																				BGl_za2longza2z00zztype_cachez00);
																		}
																}
															else
																{	/* Cfa/approx.scm 226 */
																	BgL_testz00_6168 = ((bool_t) 0);
																}
														}
												}
										}
										if (BgL_testz00_6168)
											{	/* Cfa/approx.scm 224 */
												return BFALSE;
											}
										else
											{	/* Cfa/approx.scm 229 */
												bool_t BgL_testz00_6189;

												{	/* Cfa/approx.scm 229 */
													bool_t BgL_testz00_6190;

													if (
														(((obj_t) BgL_dtypez00_3382) ==
															BGl_za2longza2z00zztype_cachez00))
														{	/* Cfa/approx.scm 229 */
															BgL_testz00_6190 = ((bool_t) 1);
														}
													else
														{	/* Cfa/approx.scm 229 */
															BgL_testz00_6190 =
																(
																((obj_t) BgL_dtypez00_3382) ==
																BGl_za2intza2z00zztype_cachez00);
														}
													if (BgL_testz00_6190)
														{	/* Cfa/approx.scm 229 */
															BgL_testz00_6189 =
																(
																((obj_t) BgL_typez00_19) ==
																BGl_za2bintza2z00zztype_cachez00);
														}
													else
														{	/* Cfa/approx.scm 229 */
															BgL_testz00_6189 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_6189)
													{	/* Cfa/approx.scm 229 */
														{	/* Cfa/approx.scm 230 */
															BgL_typez00_bglt BgL_vz00_5696;

															BgL_vz00_5696 =
																((BgL_typez00_bglt)
																BGl_za2bintza2z00zztype_cachez00);
															((((BgL_approxz00_bglt) CREF(BgL_dstz00_18))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_5696), BUNSPEC);
														}
														return BTRUE;
													}
												else
													{	/* Cfa/approx.scm 232 */
														bool_t BgL_testz00_6200;

														if (
															(((obj_t) BgL_dtypez00_3382) ==
																BGl_za2epairza2z00zztype_cachez00))
															{	/* Cfa/approx.scm 232 */
																BgL_testz00_6200 =
																	(
																	((obj_t) BgL_typez00_19) ==
																	BGl_za2pairza2z00zztype_cachez00);
															}
														else
															{	/* Cfa/approx.scm 232 */
																BgL_testz00_6200 = ((bool_t) 0);
															}
														if (BgL_testz00_6200)
															{	/* Cfa/approx.scm 232 */
																{	/* Cfa/approx.scm 234 */
																	BgL_typez00_bglt BgL_vz00_5699;

																	BgL_vz00_5699 =
																		((BgL_typez00_bglt)
																		BGl_za2pairza2z00zztype_cachez00);
																	((((BgL_approxz00_bglt) CREF(BgL_dstz00_18))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_vz00_5699),
																		BUNSPEC);
																}
																return
																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																	(CNST_TABLE_REF(((long) 1)));
															}
														else
															{	/* Cfa/approx.scm 236 */
																bool_t BgL_testz00_6210;

																if (
																	(((obj_t) BgL_dtypez00_3382) ==
																		BGl_za2pairzd2nilza2zd2zztype_cachez00))
																	{	/* Cfa/approx.scm 237 */
																		bool_t BgL__ortest_1167z00_3413;

																		BgL__ortest_1167z00_3413 =
																			(
																			((obj_t) BgL_typez00_19) ==
																			BGl_za2bnilza2z00zztype_cachez00);
																		if (BgL__ortest_1167z00_3413)
																			{	/* Cfa/approx.scm 237 */
																				BgL_testz00_6210 =
																					BgL__ortest_1167z00_3413;
																			}
																		else
																			{	/* Cfa/approx.scm 238 */
																				bool_t BgL__ortest_1168z00_3414;

																				BgL__ortest_1168z00_3414 =
																					(
																					((obj_t) BgL_typez00_19) ==
																					BGl_za2pairza2z00zztype_cachez00);
																				if (BgL__ortest_1168z00_3414)
																					{	/* Cfa/approx.scm 238 */
																						BgL_testz00_6210 =
																							BgL__ortest_1168z00_3414;
																					}
																				else
																					{	/* Cfa/approx.scm 238 */
																						bool_t BgL__ortest_1169z00_3415;

																						BgL__ortest_1169z00_3415 =
																							(
																							((obj_t) BgL_typez00_19) ==
																							BGl_za2epairza2z00zztype_cachez00);
																						if (BgL__ortest_1169z00_3415)
																							{	/* Cfa/approx.scm 238 */
																								BgL_testz00_6210 =
																									BgL__ortest_1169z00_3415;
																							}
																						else
																							{	/* Cfa/approx.scm 238 */
																								BgL_testz00_6210 =
																									(
																									((obj_t) BgL_typez00_19) ==
																									BGl_za2listza2z00zztype_cachez00);
																							}
																					}
																			}
																	}
																else
																	{	/* Cfa/approx.scm 236 */
																		BgL_testz00_6210 = ((bool_t) 0);
																	}
																if (BgL_testz00_6210)
																	{	/* Cfa/approx.scm 236 */
																		return BFALSE;
																	}
																else
																	{	/* Cfa/approx.scm 242 */
																		bool_t BgL_testz00_6225;

																		if (BGl_bigloozd2typezf3z21zztype_typez00
																			(BgL_dtypez00_3382))
																			{	/* Cfa/approx.scm 242 */
																				BgL_typez00_bglt BgL_arg3245z00_3411;

																				BgL_arg3245z00_3411 =
																					BGl_getzd2bigloozd2typez00zztype_cachez00
																					(BgL_typez00_19);
																				BgL_testz00_6225 =
																					(((obj_t) BgL_dtypez00_3382) ==
																					((obj_t) BgL_arg3245z00_3411));
																			}
																		else
																			{	/* Cfa/approx.scm 242 */
																				BgL_testz00_6225 = ((bool_t) 0);
																			}
																		if (BgL_testz00_6225)
																			{	/* Cfa/approx.scm 242 */
																				return BTRUE;
																			}
																		else
																			{	/* Cfa/approx.scm 245 */
																				bool_t BgL_testz00_6232;

																				{	/* Cfa/approx.scm 245 */
																					bool_t BgL_testz00_6233;

																					if (
																						(((obj_t) BgL_dtypez00_3382) ==
																							BGl_za2bnilza2z00zztype_cachez00))
																						{	/* Cfa/approx.scm 245 */
																							BgL_testz00_6233 = ((bool_t) 1);
																						}
																					else
																						{	/* Cfa/approx.scm 245 */
																							if (
																								(((obj_t) BgL_dtypez00_3382) ==
																									BGl_za2pairza2z00zztype_cachez00))
																								{	/* Cfa/approx.scm 245 */
																									BgL_testz00_6233 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/approx.scm 245 */
																									BgL_testz00_6233 =
																										(
																										((obj_t) BgL_dtypez00_3382)
																										==
																										BGl_za2epairza2z00zztype_cachez00);
																								}
																						}
																					if (BgL_testz00_6233)
																						{	/* Cfa/approx.scm 246 */
																							bool_t BgL__ortest_1170z00_3404;

																							BgL__ortest_1170z00_3404 =
																								(
																								((obj_t) BgL_typez00_19) ==
																								BGl_za2bnilza2z00zztype_cachez00);
																							if (BgL__ortest_1170z00_3404)
																								{	/* Cfa/approx.scm 246 */
																									BgL_testz00_6232 =
																										BgL__ortest_1170z00_3404;
																								}
																							else
																								{	/* Cfa/approx.scm 247 */
																									bool_t
																										BgL__ortest_1171z00_3405;
																									BgL__ortest_1171z00_3405 =
																										(((obj_t) BgL_typez00_19) ==
																										BGl_za2pairza2z00zztype_cachez00);
																									if (BgL__ortest_1171z00_3405)
																										{	/* Cfa/approx.scm 247 */
																											BgL_testz00_6232 =
																												BgL__ortest_1171z00_3405;
																										}
																									else
																										{	/* Cfa/approx.scm 247 */
																											bool_t
																												BgL__ortest_1172z00_3406;
																											BgL__ortest_1172z00_3406 =
																												(((obj_t)
																													BgL_typez00_19) ==
																												BGl_za2epairza2z00zztype_cachez00);
																											if (BgL__ortest_1172z00_3406)
																												{	/* Cfa/approx.scm 247 */
																													BgL_testz00_6232 =
																														BgL__ortest_1172z00_3406;
																												}
																											else
																												{	/* Cfa/approx.scm 248 */
																													bool_t
																														BgL__ortest_1173z00_3407;
																													BgL__ortest_1173z00_3407
																														=
																														(((obj_t)
																															BgL_typez00_19) ==
																														BGl_za2pairzd2nilza2zd2zztype_cachez00);
																													if (BgL__ortest_1173z00_3407)
																														{	/* Cfa/approx.scm 248 */
																															BgL_testz00_6232 =
																																BgL__ortest_1173z00_3407;
																														}
																													else
																														{	/* Cfa/approx.scm 248 */
																															BgL_testz00_6232 =
																																(
																																((obj_t)
																																	BgL_typez00_19)
																																==
																																BGl_za2listza2z00zztype_cachez00);
																														}
																												}
																										}
																								}
																						}
																					else
																						{	/* Cfa/approx.scm 245 */
																							BgL_testz00_6232 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_6232)
																					{	/* Cfa/approx.scm 245 */
																						{	/* Cfa/approx.scm 251 */
																							BgL_typez00_bglt BgL_vz00_5702;

																							BgL_vz00_5702 =
																								((BgL_typez00_bglt)
																								BGl_za2pairzd2nilza2zd2zztype_cachez00);
																							((((BgL_approxz00_bglt)
																										CREF(BgL_dstz00_18))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BgL_vz00_5702), BUNSPEC);
																						}
																						return
																							BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																							(CNST_TABLE_REF(((long) 1)));
																					}
																				else
																					{	/* Cfa/approx.scm 253 */
																						bool_t BgL_testz00_6260;

																						{	/* Cfa/approx.scm 253 */
																							bool_t BgL_testz00_6261;

																							{	/* Cfa/approx.scm 253 */
																								bool_t BgL_res3629z00_5705;

																								BgL_res3629z00_5705 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_dtypez00_3382),
																									BGl_tclassz00zzobject_classz00);
																								BgL_testz00_6261 =
																									BgL_res3629z00_5705;
																							}
																							if (BgL_testz00_6261)
																								{	/* Cfa/approx.scm 253 */
																									bool_t BgL_res3630z00_5707;

																									BgL_res3630z00_5707 =
																										BGl_isazf3zf3zz__objectz00(
																										((obj_t) BgL_typez00_19),
																										BGl_tclassz00zzobject_classz00);
																									BgL_testz00_6260 =
																										BgL_res3630z00_5707;
																								}
																							else
																								{	/* Cfa/approx.scm 253 */
																									BgL_testz00_6260 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_6260)
																							{	/* Cfa/approx.scm 254 */
																								obj_t BgL_superz00_3393;

																								BgL_superz00_3393 =
																									BGl_findzd2commonzd2superzd2classzd2zzobject_classz00
																									(((BgL_typez00_bglt)
																										BgL_dtypez00_3382),
																									((BgL_typez00_bglt)
																										BgL_typez00_19));
																								if ((BgL_superz00_3393 ==
																										((obj_t)
																											BgL_dtypez00_3382)))
																									{	/* Cfa/approx.scm 256 */
																										return BFALSE;
																									}
																								else
																									{	/* Cfa/approx.scm 256 */
																										if (CBOOL
																											(BgL_superz00_3393))
																											{	/* Cfa/approx.scm 258 */
																												((((BgL_approxz00_bglt)
																															CREF
																															(BgL_dstz00_18))->
																														BgL_typez00) =
																													((BgL_typez00_bglt) (
																															(BgL_typez00_bglt)
																															BgL_superz00_3393)),
																													BUNSPEC);
																												return
																													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																													(CNST_TABLE_REF((
																															(long) 1)));
																											}
																										else
																											{	/* Cfa/approx.scm 258 */
																												{	/* Cfa/approx.scm 263 */
																													BgL_typez00_bglt
																														BgL_vz00_5712;
																													BgL_vz00_5712 =
																														((BgL_typez00_bglt)
																														BGl_za2objza2z00zztype_cachez00);
																													((((BgL_approxz00_bglt) CREF(BgL_dstz00_18))->BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5712), BUNSPEC);
																												}
																												return
																													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																													(CNST_TABLE_REF((
																															(long) 1)));
																							}}}
																						else
																							{	/* Cfa/approx.scm 253 */
																								if (
																									(((obj_t) BgL_dtypez00_3382)
																										==
																										BGl_za2objza2z00zztype_cachez00))
																									{	/* Cfa/approx.scm 265 */
																										return BFALSE;
																									}
																								else
																									{	/* Cfa/approx.scm 267 */
																										bool_t BgL_testz00_6285;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_dtypez00_3382))
																											{	/* Cfa/approx.scm 267 */
																												BgL_testz00_6285 =
																													((bool_t) 0);
																											}
																										else
																											{	/* Cfa/approx.scm 267 */
																												if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_19))
																													{	/* Cfa/approx.scm 267 */
																														BgL_testz00_6285 =
																															((bool_t) 0);
																													}
																												else
																													{	/* Cfa/approx.scm 267 */
																														BgL_testz00_6285 =
																															((bool_t) 1);
																													}
																											}
																										if (BgL_testz00_6285)
																											{	/* Cfa/approx.scm 267 */
																												if (BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_19, BgL_dtypez00_3382))
																													{	/* Cfa/approx.scm 269 */
																														return BFALSE;
																													}
																												else
																													{	/* Cfa/approx.scm 269 */
																														if (BGl_czd2subtypezf3z21zztype_miscz00(BgL_dtypez00_3382, BgL_typez00_19))
																															{	/* Cfa/approx.scm 271 */
																																((((BgL_approxz00_bglt) CREF(BgL_dstz00_18))->BgL_typez00) = ((BgL_typez00_bglt) BgL_typez00_19), BUNSPEC);
																																return
																																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																	(CNST_TABLE_REF
																																	(((long) 1)));
																															}
																														else
																															{	/* Cfa/approx.scm 271 */
																																{	/* Cfa/approx.scm 275 */
																																	BgL_typez00_bglt
																																		BgL_vz00_5718;
																																	BgL_vz00_5718
																																		=
																																		(
																																		(BgL_typez00_bglt)
																																		BGl_za2objza2z00zztype_cachez00);
																																	((((BgL_approxz00_bglt) CREF(BgL_dstz00_18))->BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5718), BUNSPEC);
																																}
																																return
																																	BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																																	(CNST_TABLE_REF
																																	(((long) 1)));
																											}}}
																										else
																											{	/* Cfa/approx.scm 267 */
																												if (
																													(((obj_t)
																															BgL_dtypez00_3382)
																														==
																														BGl_za2_za2z00zztype_cachez00))
																													{	/* Cfa/approx.scm 277 */
																														((((BgL_approxz00_bglt) CREF(BgL_dstz00_18))->BgL_typez00) = ((BgL_typez00_bglt) BgL_typez00_19), BUNSPEC);
																														return
																															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																															(CNST_TABLE_REF((
																																	(long) 1)));
																													}
																												else
																													{	/* Cfa/approx.scm 277 */
																														{	/* Cfa/approx.scm 281 */
																															BgL_typez00_bglt
																																BgL_vz00_5724;
																															BgL_vz00_5724 =
																																(
																																(BgL_typez00_bglt)
																																BGl_za2objza2z00zztype_cachez00);
																															((((BgL_approxz00_bglt) CREF(BgL_dstz00_18))->BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_5724), BUNSPEC);
																														}
																														return
																															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																															(CNST_TABLE_REF((
																																	(long) 1)));
		}}}}}}}}}}}}}}}
	}



/* &approx-set-type! */
	obj_t BGl_z62approxzd2setzd2typez12z70zzcfa_approxz00(obj_t BgL_envz00_5863,
		obj_t BgL_dstz00_5864, obj_t BgL_typez00_5865)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 215 */
			return
				BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_5864),
				((BgL_typez00_bglt) BgL_typez00_5865));
		}
	}



/* approx-set-top! */
	BGL_EXPORTED_DEF obj_t
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt
		BgL_dstz00_20)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 287 */
		BGl_approxzd2setzd2topz12z12zzcfa_approxz00:
			if ((((BgL_approxz00_bglt) CREF(BgL_dstz00_20))->BgL_topzf3zf3))
				{	/* Cfa/approx.scm 289 */
					BFALSE;
				}
			else
				{	/* Cfa/approx.scm 289 */
					((((BgL_approxz00_bglt) CREF(BgL_dstz00_20))->BgL_topzf3zf3) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(((long) 2)));
				}
			{	/* Cfa/approx.scm 292 */
				bool_t BgL_testz00_6319;

				{	/* Cfa/approx.scm 292 */
					obj_t BgL_arg3258z00_3429;

					BgL_arg3258z00_3429 =
						(((BgL_approxz00_bglt) CREF(BgL_dstz00_20))->BgL_dupz00);
					BgL_testz00_6319 =
						BGl_isazf3zf3zz__objectz00(BgL_arg3258z00_3429,
						BGl_approxz00zzcfa_infoz00);
				}
				if (BgL_testz00_6319)
					{	/* Cfa/approx.scm 293 */
						obj_t BgL_arg3257z00_3428;

						BgL_arg3257z00_3428 =
							(((BgL_approxz00_bglt) CREF(BgL_dstz00_20))->BgL_dupz00);
						{
							BgL_approxz00_bglt BgL_dstz00_6323;

							BgL_dstz00_6323 = ((BgL_approxz00_bglt) BgL_arg3257z00_3428);
							BgL_dstz00_20 = BgL_dstz00_6323;
							goto BGl_approxzd2setzd2topz12z12zzcfa_approxz00;
						}
					}
				else
					{	/* Cfa/approx.scm 292 */
						return BFALSE;
					}
			}
		}
	}



/* &approx-set-top! */
	obj_t BGl_z62approxzd2setzd2topz12z70zzcfa_approxz00(obj_t BgL_envz00_5866,
		obj_t BgL_dstz00_5867)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 287 */
			return
				BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_dstz00_5867));
		}
	}



/* make-empty-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2emptyzd2approxz00zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 298 */
			{	/* Cfa/approx.scm 299 */
				obj_t BgL_allocsz00_3430;

				BgL_allocsz00_3430 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				{	/* Cfa/approx.scm 300 */
					BgL_approxz00_bglt BgL_new1176z00_3431;

					{	/* Cfa/approx.scm 301 */
						BgL_approxz00_bglt BgL_new1175z00_3432;

						BgL_new1175z00_3432 =
							((BgL_approxz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/approx.scm 301 */
							long BgL_arg3259z00_3433;

							{	/* Cfa/approx.scm 301 */
								long BgL_res3632z00_5732;

								BgL_res3632z00_5732 =
									BGL_CLASS_INDEX(BGl_approxz00zzcfa_infoz00);
								BgL_arg3259z00_3433 = BgL_res3632z00_5732;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1175z00_3432),
								BgL_arg3259z00_3433);
						}
						{	/* Cfa/approx.scm 301 */
							BgL_objectz00_bglt BgL_auxz00_6332;

							BgL_auxz00_6332 = ((BgL_objectz00_bglt) BgL_new1175z00_3432);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_6332, BFALSE);
						}
						BgL_new1176z00_3431 = BgL_new1175z00_3432;
					}
					((((BgL_approxz00_bglt) CREF(BgL_new1176z00_3431))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1176z00_3431))->
							BgL_typezd2lockedzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1176z00_3431))->BgL_allocsz00) =
						((obj_t) BgL_allocsz00_3430), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1176z00_3431))->BgL_topzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1176z00_3431))->
							BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1176z00_3431))->BgL_dupz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					return BgL_new1176z00_3431;
				}
			}
		}
	}



/* &make-empty-approx */
	BgL_approxz00_bglt BGl_z62makezd2emptyzd2approxz62zzcfa_approxz00(obj_t
		BgL_envz00_5868)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 298 */
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}
	}



/* make-type-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt BgL_typez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 307 */
			{	/* Cfa/approx.scm 308 */
				obj_t BgL_allocsz00_3434;

				BgL_allocsz00_3434 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				{	/* Cfa/approx.scm 309 */
					BgL_approxz00_bglt BgL_new1179z00_3435;

					{	/* Cfa/approx.scm 311 */
						BgL_approxz00_bglt BgL_new1177z00_3437;

						BgL_new1177z00_3437 =
							((BgL_approxz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/approx.scm 311 */
							long BgL_arg3263z00_3438;

							{	/* Cfa/approx.scm 311 */
								long BgL_res3633z00_5736;

								BgL_res3633z00_5736 =
									BGL_CLASS_INDEX(BGl_approxz00zzcfa_infoz00);
								BgL_arg3263z00_3438 = BgL_res3633z00_5736;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1177z00_3437),
								BgL_arg3263z00_3438);
						}
						{	/* Cfa/approx.scm 311 */
							BgL_objectz00_bglt BgL_auxz00_6348;

							BgL_auxz00_6348 = ((BgL_objectz00_bglt) BgL_new1177z00_3437);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_6348, BFALSE);
						}
						BgL_new1179z00_3435 = BgL_new1177z00_3437;
					}
					((((BgL_approxz00_bglt) CREF(BgL_new1179z00_3435))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_typez00_21), BUNSPEC);
					{
						bool_t BgL_auxz00_6352;

						if ((((obj_t) BgL_typez00_21) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 310 */
								BgL_auxz00_6352 = ((bool_t) 0);
							}
						else
							{	/* Cfa/approx.scm 310 */
								BgL_auxz00_6352 = ((bool_t) 1);
							}
						((((BgL_approxz00_bglt) CREF(BgL_new1179z00_3435))->
								BgL_typezd2lockedzf3z21) = ((bool_t) BgL_auxz00_6352), BUNSPEC);
					}
					((((BgL_approxz00_bglt) CREF(BgL_new1179z00_3435))->BgL_allocsz00) =
						((obj_t) BgL_allocsz00_3434), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1179z00_3435))->BgL_topzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1179z00_3435))->
							BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1179z00_3435))->BgL_dupz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					return BgL_new1179z00_3435;
				}
			}
		}
	}



/* &make-type-approx */
	BgL_approxz00_bglt BGl_z62makezd2typezd2approxz62zzcfa_approxz00(obj_t
		BgL_envz00_5869, obj_t BgL_typez00_5870)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 307 */
			return
				BGl_makezd2typezd2approxz00zzcfa_approxz00(
				((BgL_typez00_bglt) BgL_typez00_5870));
		}
	}



/* make-type-alloc-approx */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt
		BgL_typez00_22, BgL_nodez00_bglt BgL_allocz00_23)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 317 */
			{	/* Cfa/approx.scm 318 */
				obj_t BgL_allocsz00_3439;

				BgL_allocsz00_3439 =
					BGl_makezd2setz12zc0zzcfa_setz00
					(BGl_za2alloczd2setza2zd2zzcfa_approxz00);
				BGl_setzd2extendz12zc0zzcfa_setz00(BgL_allocsz00_3439,
					((obj_t) BgL_allocz00_23));
				{	/* Cfa/approx.scm 320 */
					BgL_approxz00_bglt BgL_new1182z00_3440;

					{	/* Cfa/approx.scm 322 */
						BgL_approxz00_bglt BgL_new1180z00_3442;

						BgL_new1180z00_3442 =
							((BgL_approxz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_approxz00_bgl))));
						{	/* Cfa/approx.scm 322 */
							long BgL_arg3265z00_3443;

							{	/* Cfa/approx.scm 322 */
								long BgL_res3634z00_5740;

								BgL_res3634z00_5740 =
									BGL_CLASS_INDEX(BGl_approxz00zzcfa_infoz00);
								BgL_arg3265z00_3443 = BgL_res3634z00_5740;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1180z00_3442),
								BgL_arg3265z00_3443);
						}
						{	/* Cfa/approx.scm 322 */
							BgL_objectz00_bglt BgL_auxz00_6370;

							BgL_auxz00_6370 = ((BgL_objectz00_bglt) BgL_new1180z00_3442);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_6370, BFALSE);
						}
						BgL_new1182z00_3440 = BgL_new1180z00_3442;
					}
					((((BgL_approxz00_bglt) CREF(BgL_new1182z00_3440))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_typez00_22), BUNSPEC);
					{
						bool_t BgL_auxz00_6374;

						if ((((obj_t) BgL_typez00_22) == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/approx.scm 321 */
								BgL_auxz00_6374 = ((bool_t) 0);
							}
						else
							{	/* Cfa/approx.scm 321 */
								BgL_auxz00_6374 = ((bool_t) 1);
							}
						((((BgL_approxz00_bglt) CREF(BgL_new1182z00_3440))->
								BgL_typezd2lockedzf3z21) = ((bool_t) BgL_auxz00_6374), BUNSPEC);
					}
					((((BgL_approxz00_bglt) CREF(BgL_new1182z00_3440))->BgL_allocsz00) =
						((obj_t) BgL_allocsz00_3439), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1182z00_3440))->BgL_topzf3zf3) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1182z00_3440))->
							BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
					((((BgL_approxz00_bglt) CREF(BgL_new1182z00_3440))->BgL_dupz00) =
						((obj_t) BUNSPEC), BUNSPEC);
					return BgL_new1182z00_3440;
				}
			}
		}
	}



/* &make-type-alloc-approx */
	BgL_approxz00_bglt BGl_z62makezd2typezd2alloczd2approxzb0zzcfa_approxz00(obj_t
		BgL_envz00_5871, obj_t BgL_typez00_5872, obj_t BgL_allocz00_5873)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 317 */
			return
				BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
				((BgL_typez00_bglt) BgL_typez00_5872),
				((BgL_nodez00_bglt) BgL_allocz00_5873));
		}
	}



/* for-each-approx-alloc */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t
		BgL_procz00_25, BgL_approxz00_bglt BgL_approxz00_26)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 347 */
			return
				BGl_setzd2forzd2eachz00zzcfa_setz00(BgL_procz00_25,
				(((BgL_approxz00_bglt) CREF(BgL_approxz00_26))->BgL_allocsz00));
		}
	}



/* &for-each-approx-alloc */
	obj_t BGl_z62forzd2eachzd2approxzd2alloczb0zzcfa_approxz00(obj_t
		BgL_envz00_5874, obj_t BgL_procz00_5875, obj_t BgL_approxz00_5876)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 347 */
			return
				BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(BgL_procz00_5875,
				((BgL_approxz00_bglt) BgL_approxz00_5876));
		}
	}



/* empty-approx-alloc? */
	BGL_EXPORTED_DEF obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt
		BgL_approxz00_27)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 354 */
			{	/* Cfa/approx.scm 355 */
				obj_t BgL_arg3267z00_5745;

				BgL_arg3267z00_5745 =
					BGl_setzd2lengthzd2zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_27))->BgL_allocsz00));
				return BBOOL(((long) CINT(BgL_arg3267z00_5745) == ((long) 0)));
		}}
	}



/* &empty-approx-alloc? */
	obj_t BGl_z62emptyzd2approxzd2alloczf3z91zzcfa_approxz00(obj_t
		BgL_envz00_5877, obj_t BgL_approxz00_5878)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 354 */
			return
				BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(
				((BgL_approxz00_bglt) BgL_approxz00_5878));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_proc3655z00zzcfa_approxz00, BGl_nodez00zzast_nodez00,
				BGl_string3656z00zzcfa_approxz00);
		}
	}



/* &get-node-atom-value3122 */
	obj_t BGl_z62getzd2nodezd2atomzd2value3122zb0zzcfa_approxz00(obj_t
		BgL_envz00_5880, obj_t BgL_nodez00_5881)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 362 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* get-node-atom-value */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt
		BgL_nodez00_28)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 362 */
			{	/* Cfa/approx.scm 362 */
				obj_t BgL_method3123z00_3452;

				{	/* Cfa/approx.scm 362 */
					obj_t BgL_res3642z00_5780;

					{	/* Cfa/approx.scm 362 */
						long BgL_objzd2classzd2numz00_5753;

						{	/* Cfa/approx.scm 362 */
							long BgL_res3636z00_5756;

							BgL_res3636z00_5756 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_28));
							BgL_objzd2classzd2numz00_5753 = BgL_res3636z00_5756;
						}
						{	/* Cfa/approx.scm 362 */
							obj_t BgL_arg1769z00_5754;

							BgL_arg1769z00_5754 =
								PROCEDURE_REF
								(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
								(int) (((long) 1)));
							{	/* Cfa/approx.scm 362 */
								int BgL_offsetz00_5758;

								BgL_offsetz00_5758 = (int) (BgL_objzd2classzd2numz00_5753);
								{	/* Cfa/approx.scm 362 */
									long BgL_offsetz00_5759;

									BgL_offsetz00_5759 =
										((long) (BgL_offsetz00_5758) - OBJECT_TYPE);
									{	/* Cfa/approx.scm 362 */
										long BgL_modz00_5760;

										{	/* Cfa/approx.scm 362 */
											int BgL_arg1771z00_5761;

											BgL_arg1771z00_5761 = (int) (((long) 16));
											{	/* Cfa/approx.scm 362 */
												long BgL_res3639z00_5771;

												{	/* Cfa/approx.scm 362 */
													long BgL_auxz00_6407;

													BgL_auxz00_6407 = (long) (BgL_arg1771z00_5761);
													BgL_res3639z00_5771 =
														(BgL_offsetz00_5759 / BgL_auxz00_6407);
												}
												BgL_modz00_5760 = BgL_res3639z00_5771;
										}}
										{	/* Cfa/approx.scm 362 */
											long BgL_restz00_5762;

											{	/* Cfa/approx.scm 362 */
												int BgL_arg1770z00_5763;

												BgL_arg1770z00_5763 = (int) (((long) 16));
												{	/* Cfa/approx.scm 362 */
													long BgL_res3641z00_5775;

													{	/* Cfa/approx.scm 362 */
														long BgL_auxz00_6411;

														BgL_auxz00_6411 = (long) (BgL_arg1770z00_5763);
														BgL_res3641z00_5775 =
															(BgL_offsetz00_5759 % BgL_auxz00_6411);
													}
													BgL_restz00_5762 = BgL_res3641z00_5775;
											}}
											{	/* Cfa/approx.scm 362 */

												BgL_res3642z00_5780 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_5754,
														(int) (BgL_modz00_5760)), (int) (BgL_restz00_5762));
					}}}}}}}
					BgL_method3123z00_3452 = BgL_res3642z00_5780;
				}
				return
					PROCEDURE_ENTRY(BgL_method3123z00_3452) (BgL_method3123z00_3452,
					((obj_t) BgL_nodez00_28), BEOA);
			}
		}
	}



/* &get-node-atom-value */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezb0zzcfa_approxz00(obj_t
		BgL_envz00_5882, obj_t BgL_nodez00_5883)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 362 */
			return
				BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
				((BgL_nodez00_bglt) BgL_nodez00_5883));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_approxz00zzcfa_infoz00,
				BGl_proc3657z00zzcfa_approxz00, BGl_string3658z00zzcfa_approxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_atomz00zzast_nodez00, BGl_proc3659z00zzcfa_approxz00,
				BGl_string3660z00zzcfa_approxz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2nodezd2atomzd2valuezd2envz00zzcfa_approxz00,
				BGl_varz00zzast_nodez00, BGl_proc3661z00zzcfa_approxz00,
				BGl_string3660z00zzcfa_approxz00);
		}
	}



/* &get-node-atom-value-3127 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd23127z62zzcfa_approxz00(obj_t
		BgL_envz00_5887, obj_t BgL_nodez00_5888)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 374 */
			{
				BgL_varz00_bglt BgL_nodez00_3484;

				BgL_nodez00_3484 = ((BgL_varz00_bglt) BgL_nodez00_5888);
				{	/* Cfa/approx.scm 375 */
					BgL_variablez00_bglt BgL_vz00_3487;

					BgL_vz00_3487 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_3484))->BgL_variablez00);
					{	/* Cfa/approx.scm 376 */
						bool_t BgL_testz00_6429;

						{	/* Cfa/approx.scm 376 */
							bool_t BgL_testz00_6430;

							{	/* Cfa/approx.scm 376 */
								bool_t BgL_res3651z00_5824;

								BgL_res3651z00_5824 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_vz00_3487),
									BGl_reshapedzd2localzd2zzcfa_infoz00);
								BgL_testz00_6430 = BgL_res3651z00_5824;
							}
							if (BgL_testz00_6430)
								{	/* Cfa/approx.scm 376 */
									obj_t BgL_arg3309z00_3491;

									{
										BgL_reshapedzd2localzd2_bglt BgL_auxz00_6433;

										{
											obj_t BgL_auxz00_6434;

											{	/* Cfa/approx.scm 376 */
												BgL_objectz00_bglt BgL_auxz00_6435;

												BgL_auxz00_6435 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_vz00_3487));
												BgL_auxz00_6434 = BGL_OBJECT_WIDENING(BgL_auxz00_6435);
											}
											BgL_auxz00_6433 =
												((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6434);
										}
										BgL_arg3309z00_3491 =
											(((BgL_reshapedzd2localzd2_bglt) CREF(BgL_auxz00_6433))->
											BgL_bindingzd2valuezd2);
									}
									BgL_testz00_6429 =
										BGl_isazf3zf3zz__objectz00(BgL_arg3309z00_3491,
										BGl_nodez00zzast_nodez00);
								}
							else
								{	/* Cfa/approx.scm 376 */
									BgL_testz00_6429 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_6429)
							{	/* Cfa/approx.scm 377 */
								obj_t BgL_arg3285z00_3489;

								{
									BgL_reshapedzd2localzd2_bglt BgL_auxz00_6442;

									{
										obj_t BgL_auxz00_6443;

										{	/* Cfa/approx.scm 377 */
											BgL_objectz00_bglt BgL_auxz00_6444;

											BgL_auxz00_6444 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_vz00_3487));
											BgL_auxz00_6443 = BGL_OBJECT_WIDENING(BgL_auxz00_6444);
										}
										BgL_auxz00_6442 =
											((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6443);
									}
									BgL_arg3285z00_3489 =
										(((BgL_reshapedzd2localzd2_bglt) CREF(BgL_auxz00_6442))->
										BgL_bindingzd2valuezd2);
								}
								return
									BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
									((BgL_nodez00_bglt) BgL_arg3285z00_3489));
							}
						else
							{	/* Cfa/approx.scm 376 */
								return CNST_TABLE_REF(((long) 3));
		}}}}}
	}



/* &get-node-atom-value-3125 */
	obj_t BGl_z62getzd2nodezd2atomzd2valuezd23125z62zzcfa_approxz00(obj_t
		BgL_envz00_5889, obj_t BgL_nodez00_5890)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 368 */
			return
				(((BgL_atomz00_bglt) CREF(
						((BgL_atomz00_bglt) BgL_nodez00_5890)))->BgL_valuez00);
		}
	}



/* &shape-approx3121 */
	obj_t BGl_z62shapezd2approx3121zb0zzcfa_approxz00(obj_t BgL_envz00_5891,
		obj_t BgL_expz00_5892)
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 328 */
			{
				BgL_approxz00_bglt BgL_expz00_3453;

				BgL_expz00_3453 = ((BgL_approxz00_bglt) BgL_expz00_5892);
				{	/* Cfa/approx.scm 330 */
					obj_t BgL_keysz00_3457;

					BgL_keysz00_3457 =
						BGl_setzd2ze3vectorz31zzcfa_setz00(
						(((BgL_approxz00_bglt) CREF(BgL_expz00_3453))->BgL_allocsz00));
					{	/* Cfa/approx.scm 331 */
						long BgL_slenz00_3459;

						if ((((BgL_approxz00_bglt) CREF(BgL_expz00_3453))->BgL_topzf3zf3))
							{	/* Cfa/approx.scm 332 */
								BgL_slenz00_3459 =
									((long) (VECTOR_LENGTH(BgL_keysz00_3457)) + ((long) 1));
							}
						else
							{	/* Cfa/approx.scm 332 */
								BgL_slenz00_3459 = (long) (VECTOR_LENGTH(BgL_keysz00_3457));
							}
						{	/* Cfa/approx.scm 332 */
							obj_t BgL_structz00_3460;

							{	/* Cfa/approx.scm 333 */
								long BgL_arg3280z00_3476;

								BgL_arg3280z00_3476 = (((long) 1) + BgL_slenz00_3459);
								{	/* Cfa/approx.scm 333 */
									obj_t BgL_res3645z00_5791;

									{	/* Cfa/approx.scm 333 */
										obj_t BgL_keyz00_5788;
										int BgL_lenz00_5789;

										BgL_keyz00_5788 = CNST_TABLE_REF(((long) 4));
										BgL_lenz00_5789 = (int) (BgL_arg3280z00_3476);
										BgL_res3645z00_5791 =
											make_struct(BgL_keyz00_5788, BgL_lenz00_5789, BUNSPEC);
									}
									BgL_structz00_3460 = BgL_res3645z00_5791;
							}}
							{	/* Cfa/approx.scm 333 */

								{	/* Cfa/approx.scm 334 */
									obj_t BgL_auxz00_6471;
									int BgL_auxz00_6469;

									BgL_auxz00_6471 =
										(((BgL_typez00_bglt) CREF(
												(((BgL_approxz00_bglt) CREF(BgL_expz00_3453))->
													BgL_typez00)))->BgL_idz00);
									BgL_auxz00_6469 = (int) (((long) 0));
									STRUCT_SET(BgL_structz00_3460, BgL_auxz00_6469,
										BgL_auxz00_6471);
								}
								if (
									(((BgL_approxz00_bglt) CREF(BgL_expz00_3453))->BgL_topzf3zf3))
									{	/* Cfa/approx.scm 335 */
										obj_t BgL_oz00_5800;

										BgL_oz00_5800 = CNST_TABLE_REF(((long) 5));
										{	/* Cfa/approx.scm 335 */
											int BgL_auxz00_6478;

											BgL_auxz00_6478 = (int) (((long) 1));
											STRUCT_SET(BgL_structz00_3460, BgL_auxz00_6478,
												BgL_oz00_5800);
									}}
								else
									{	/* Cfa/approx.scm 335 */
										BFALSE;
									}
								{	/* Cfa/approx.scm 336 */
									long BgL_g1184z00_3464;

									if (
										(((BgL_approxz00_bglt) CREF(BgL_expz00_3453))->
											BgL_topzf3zf3))
										{	/* Cfa/approx.scm 336 */
											BgL_g1184z00_3464 = ((long) 2);
										}
									else
										{	/* Cfa/approx.scm 336 */
											BgL_g1184z00_3464 = ((long) 1);
										}
									{
										long BgL_rz00_3466;
										long BgL_wz00_3467;

										BgL_rz00_3466 = BgL_g1184z00_3464;
										BgL_wz00_3467 = ((long) 0);
									BgL_zc3anonymousza33273ze3z83_3468:
										if (
											(BgL_wz00_3467 ==
												(long) (VECTOR_LENGTH(BgL_keysz00_3457))))
											{	/* Cfa/approx.scm 338 */
												return BgL_structz00_3460;
											}
										else
											{	/* Cfa/approx.scm 338 */
												{	/* Cfa/approx.scm 341 */
													obj_t BgL_arg3275z00_3470;

													{	/* Cfa/approx.scm 341 */
														obj_t BgL_arg3276z00_3471;

														BgL_arg3276z00_3471 =
															VECTOR_REF(BgL_keysz00_3457,
															(int) (BgL_wz00_3467));
														BgL_arg3275z00_3470 =
															(((BgL_nodezf2effectzf2_bglt) CREF(
																	((BgL_nodezf2effectzf2_bglt)
																		BgL_arg3276z00_3471)))->BgL_keyz00);
													}
													{	/* Cfa/approx.scm 341 */
														int BgL_auxz00_6491;

														BgL_auxz00_6491 = (int) (BgL_rz00_3466);
														STRUCT_SET(BgL_structz00_3460, BgL_auxz00_6491,
															BgL_arg3275z00_3470);
												}}
												{
													long BgL_wz00_6496;
													long BgL_rz00_6494;

													BgL_rz00_6494 = (BgL_rz00_3466 + ((long) 1));
													BgL_wz00_6496 = (BgL_wz00_3467 + ((long) 1));
													BgL_wz00_3467 = BgL_wz00_6496;
													BgL_rz00_3466 = BgL_rz00_6494;
													goto BgL_zc3anonymousza33273ze3z83_3468;
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_approxz00()
	{
		AN_OBJECT;
		{	/* Cfa/approx.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_collectz00(((long) 220306886),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3662z00zzcfa_approxz00));
		}
	}

#ifdef __cplusplus
}
#endif
