/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	static obj_t BGl_z62cleanupzd2nodez12zd2setq2778z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va2788za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu2786za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit2780z70zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re2796za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2fail2782z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2sync2776z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly2800za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app2808z70zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal2802z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2select2784z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex2790za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se2798za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen2774z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit2806za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2app2804z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b2794za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e2792za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62cleanupzd2nodez122771za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string3280z00zzcfa_arithmeticz00,
		BgL_bgl_string3280za700za7za7c3310za7, "cleanup-node!2771", 17);
	      DEFINE_STRING(BGl_string3282z00zzcfa_arithmeticz00,
		BgL_bgl_string3282za700za7za7c3311za7, "cleanup-node!", 13);
	      DEFINE_STRING(BGl_string3299z00zzcfa_arithmeticz00,
		BgL_bgl_string3299za700za7za7c3312za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string3301z00zzcfa_arithmeticz00,
		BgL_bgl_string3301za700za7za7c3313za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string3302z00zzcfa_arithmeticz00,
		BgL_bgl_string3302za700za7za7c3314za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string3303z00zzcfa_arithmeticz00,
		BgL_bgl_string3303za700za7za7c3315za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string3304z00zzcfa_arithmeticz00,
		BgL_bgl_string3304za700za7za7c3316za7, "all c-eq? arithmetic-app ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3317z00,
		BGl_z62cleanupzd2nodez122771za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3318z00,
		BGl_z62cleanupzd2nodez12zd2sequen2774z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3319z00,
		BGl_z62cleanupzd2nodez12zd2sync2776z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3320z00,
		BGl_z62cleanupzd2nodez12zd2setq2778z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3321z00,
		BGl_z62cleanupzd2nodez12zd2condit2780z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3322z00,
		BGl_z62cleanupzd2nodez12zd2fail2782z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3323z00,
		BGl_z62cleanupzd2nodez12zd2select2784z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3324z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu2786za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3325z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va2788za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3326z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex2790za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3327z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e2792za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3328z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b2794za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3329z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re2796za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3330z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se2798za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3331z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly2800za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3332z00,
		BGl_z62cleanupzd2nodez12zd2funcal2802z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3333z00,
		BGl_z62cleanupzd2nodez12zd2app2804z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza73334za7,
		BGl_z62nodezd2setupz12zd2prezd2arit2806za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3335z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit3336za7,
		BGl_z62cfaz12zd2arithmeticzd2app2808z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari3337z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_5121, char *BgL_fromz00_5122)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_5112;

				BgL_cportz00_5112 =
					bgl_open_input_string(BGl_string3304z00zzcfa_arithmeticz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5113;

					BgL_iz00_5113 = ((long) 2);
				BgL_loopz00_5114:
					if ((BgL_iz00_5113 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg3309z00_5116;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_5118;

										BgL_locationz00_5118 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg3309z00_5116 =
												BGl_readz00zz__readerz00(BgL_cportz00_5112,
												BgL_locationz00_5118);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_auxz00_5144;

									BgL_auxz00_5144 = (int) (BgL_iz00_5113);
									CNST_TABLE_SET(BgL_auxz00_5144, BgL_arg3309z00_5116);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_5119;

								BgL_auxz00_5119 = (int) ((BgL_iz00_5113 - ((long) 1)));
								{
									long BgL_iz00_5149;

									BgL_iz00_5149 = (long) (BgL_auxz00_5119);
									BgL_iz00_5113 = BgL_iz00_5149;
									goto BgL_loopz00_5114;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l2735z00_2637;

				BgL_l2735z00_2637 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3anonymousza32813ze3z83_2638:
				if (PAIRP(BgL_l2735z00_2637))
					{	/* Cfa/arithmetic.scm 63 */
						{	/* Cfa/arithmetic.scm 64 */
							obj_t BgL_nodez00_2640;

							BgL_nodez00_2640 = CAR(BgL_l2735z00_2637);
							{	/* Cfa/arithmetic.scm 65 */
								BgL_variablez00_bglt BgL_fz00_2642;

								BgL_fz00_2642 =
									(((BgL_varz00_bglt) CREF(
											(((BgL_appz00_bglt) CREF(
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2640))))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Cfa/arithmetic.scm 65 */
									BgL_valuez00_bglt BgL_valz00_2643;

									BgL_valz00_2643 =
										(((BgL_variablez00_bglt) CREF(BgL_fz00_2642))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 66 */

										{	/* Cfa/arithmetic.scm 68 */
											bool_t BgL_testz00_5159;

											{	/* Cfa/arithmetic.scm 68 */
												BgL_typez00_bglt BgL_arg2816z00_2645;

												BgL_arg2816z00_2645 =
													(((BgL_variablez00_bglt) CREF(BgL_fz00_2642))->
													BgL_typez00);
												BgL_testz00_5159 =
													(((obj_t) BgL_arg2816z00_2645) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_5159)
												{	/* Cfa/arithmetic.scm 69 */
													BgL_typez00_bglt BgL_vz00_4751;

													BgL_vz00_4751 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt) CREF(BgL_fz00_2642))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_4751), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 68 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 70 */
											bool_t BgL_testz00_5165;

											{	/* Cfa/arithmetic.scm 70 */
												BgL_typez00_bglt BgL_arg2818z00_2647;

												BgL_arg2818z00_2647 =
													(((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_nodez00_2640)))->
													BgL_typez00);
												BgL_testz00_5165 =
													(((obj_t) BgL_arg2818z00_2647) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_testz00_5165)
												{	/* Cfa/arithmetic.scm 71 */
													BgL_typez00_bglt BgL_vz00_4757;

													BgL_vz00_4757 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_nodez00_2640)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_4757), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 70 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 73 */
											bool_t BgL_testz00_5173;

											{	/* Cfa/arithmetic.scm 73 */
												bool_t BgL_res3216z00_4760;

												BgL_res3216z00_4760 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_valz00_2643), BGl_sfunz00zzast_varz00);
												BgL_testz00_5173 = BgL_res3216z00_4760;
											}
											if (BgL_testz00_5173)
												{	/* Cfa/arithmetic.scm 74 */
													obj_t BgL_arg2820z00_2649;

													{	/* Cfa/arithmetic.scm 74 */
														obj_t BgL_l2729z00_2650;

														BgL_l2729z00_2650 =
															(((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_valz00_2643)))->
															BgL_argsz00);
														if (NULLP(BgL_l2729z00_2650))
															{	/* Cfa/arithmetic.scm 74 */
																BgL_arg2820z00_2649 = BNIL;
															}
														else
															{	/* Cfa/arithmetic.scm 74 */
																obj_t BgL_head2731z00_2652;

																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_arg2827z00_2664;

																	BgL_arg2827z00_2664 =
																		BGl_cleanupzd2typezd2zzcfa_arithmeticz00(CAR
																		(BgL_l2729z00_2650));
																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_res3218z00_4768;

																		BgL_res3218z00_4768 =
																			MAKE_PAIR(BgL_arg2827z00_2664, BNIL);
																		BgL_head2731z00_2652 = BgL_res3218z00_4768;
																	}
																}
																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_g2734z00_2653;

																	BgL_g2734z00_2653 = CDR(BgL_l2729z00_2650);
																	{
																		obj_t BgL_l2729z00_2655;
																		obj_t BgL_tail2732z00_2656;

																		BgL_l2729z00_2655 = BgL_g2734z00_2653;
																		BgL_tail2732z00_2656 = BgL_head2731z00_2652;
																	BgL_zc3anonymousza32822ze3z83_2657:
																		if (NULLP(BgL_l2729z00_2655))
																			{	/* Cfa/arithmetic.scm 74 */
																				BgL_arg2820z00_2649 =
																					BgL_head2731z00_2652;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 74 */
																				obj_t BgL_newtail2733z00_2659;

																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_arg2825z00_2661;

																					BgL_arg2825z00_2661 =
																						BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_l2729z00_2655));
																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_res3220z00_4775;

																						BgL_res3220z00_4775 =
																							MAKE_PAIR(BgL_arg2825z00_2661,
																							BNIL);
																						BgL_newtail2733z00_2659 =
																							BgL_res3220z00_4775;
																					}
																				}
																				SET_CDR(BgL_tail2732z00_2656,
																					BgL_newtail2733z00_2659);
																				{
																					obj_t BgL_tail2732z00_5192;
																					obj_t BgL_l2729z00_5190;

																					BgL_l2729z00_5190 =
																						CDR(BgL_l2729z00_2655);
																					BgL_tail2732z00_5192 =
																						BgL_newtail2733z00_2659;
																					BgL_tail2732z00_2656 =
																						BgL_tail2732z00_5192;
																					BgL_l2729z00_2655 = BgL_l2729z00_5190;
																					goto
																						BgL_zc3anonymousza32822ze3z83_2657;
																				}
																			}
																	}
																}
															}
													}
													((((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_valz00_2643)))->
															BgL_argsz00) =
														((obj_t) BgL_arg2820z00_2649), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 75 */
													bool_t BgL_testz00_5195;

													{	/* Cfa/arithmetic.scm 75 */
														bool_t BgL_res3221z00_4783;

														BgL_res3221z00_4783 =
															BGl_isazf3zf3zz__objectz00(
															((obj_t) BgL_valz00_2643),
															BGl_cfunz00zzast_varz00);
														BgL_testz00_5195 = BgL_res3221z00_4783;
													}
													if (BgL_testz00_5195)
														{	/* Cfa/arithmetic.scm 76 */
															obj_t BgL_g1150z00_2667;

															BgL_g1150z00_2667 =
																(((BgL_cfunz00_bglt) CREF(
																		((BgL_cfunz00_bglt) BgL_valz00_2643)))->
																BgL_argszd2typezd2);
															{
																obj_t BgL_lz00_2669;

																{	/* Cfa/arithmetic.scm 76 */
																	bool_t BgL_auxz00_5200;

																	BgL_lz00_2669 = BgL_g1150z00_2667;
																BgL_zc3anonymousza32830ze3z83_2670:
																	if (PAIRP(BgL_lz00_2669))
																		{	/* Cfa/arithmetic.scm 77 */
																			{	/* Cfa/arithmetic.scm 79 */
																				obj_t BgL_auxz00_5203;

																				BgL_auxz00_5203 =
																					BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																					(CAR(BgL_lz00_2669));
																				SET_CAR(BgL_lz00_2669, BgL_auxz00_5203);
																			}
																			{
																				obj_t BgL_lz00_5207;

																				BgL_lz00_5207 = CDR(BgL_lz00_2669);
																				BgL_lz00_2669 = BgL_lz00_5207;
																				goto BgL_zc3anonymousza32830ze3z83_2670;
																			}
																		}
																	else
																		{	/* Cfa/arithmetic.scm 77 */
																			BgL_auxz00_5200 = ((bool_t) 0);
																		}
																	BBOOL(BgL_auxz00_5200);
																}
															}
														}
													else
														{	/* Cfa/arithmetic.scm 75 */
															BFALSE;
														}
												}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2735z00_5210;

							BgL_l2735z00_5210 = CDR(BgL_l2735z00_2637);
							BgL_l2735z00_2637 = BgL_l2735z00_5210;
							goto BgL_zc3anonymousza32813ze3z83_2638;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 63 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l2737z00_2680;

				BgL_l2737z00_2680 = BgL_globalsz00_3;
			BgL_zc3anonymousza32838ze3z83_2681:
				if (PAIRP(BgL_l2737z00_2680))
					{	/* Cfa/arithmetic.scm 83 */
						{	/* Cfa/arithmetic.scm 83 */
							obj_t BgL_arg2840z00_2683;

							BgL_arg2840z00_2683 = CAR(BgL_l2737z00_2680);
							{	/* Cfa/arithmetic.scm 90 */
								BgL_valuez00_bglt BgL_funz00_4797;

								BgL_funz00_4797 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_arg2840z00_2683)))->
									BgL_valuez00);
								{	/* Cfa/arithmetic.scm 90 */
									obj_t BgL_bodyz00_4798;

									BgL_bodyz00_4798 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_4797)))->BgL_bodyz00);
									{	/* Cfa/arithmetic.scm 91 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_4798));
									}
								}
							}
						}
						{
							obj_t BgL_l2737z00_5221;

							BgL_l2737z00_5221 = CDR(BgL_l2737z00_2680);
							BgL_l2737z00_2680 = BgL_l2737z00_5221;
							goto BgL_zc3anonymousza32838ze3z83_2681;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 83 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_2686)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 62 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2686, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_2686 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_2686;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2686,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 57 */
							{	/* Cfa/arithmetic.scm 58 */
								bool_t BgL_testz00_5229;

								{	/* Cfa/arithmetic.scm 58 */
									BgL_typez00_bglt BgL_arg2847z00_2692;

									BgL_arg2847z00_2692 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_2686))))->BgL_typez00);
									BgL_testz00_5229 =
										(
										((obj_t) BgL_arg2847z00_2692) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_5229)
									{	/* Cfa/arithmetic.scm 59 */
										BgL_typez00_bglt BgL_vz00_4736;

										BgL_vz00_4736 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_tz00_2686))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4736), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 58 */
										BFALSE;
									}
							}
							return BgL_tz00_2686;
						}
					else
						{	/* Cfa/arithmetic.scm 57 */
							return BgL_tz00_2686;
						}
				}
		}
	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5046, obj_t BgL_globalsz00_5047)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_5047);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc3279z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string3280z00zzcfa_arithmeticz00);
		}
	}



/* &cleanup-node!2771 */
	obj_t BGl_z62cleanupzd2nodez122771za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5049, obj_t BgL_nodez00_5050)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return BUNSPEC;
		}
	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			{	/* Cfa/arithmetic.scm 97 */
				obj_t BgL_method2772z00_2700;

				{	/* Cfa/arithmetic.scm 97 */
					obj_t BgL_res3232z00_4840;

					{	/* Cfa/arithmetic.scm 97 */
						long BgL_objzd2classzd2numz00_4813;

						{	/* Cfa/arithmetic.scm 97 */
							long BgL_res3226z00_4816;

							BgL_res3226z00_4816 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_4813 = BgL_res3226z00_4816;
						}
						{	/* Cfa/arithmetic.scm 97 */
							obj_t BgL_arg1769z00_4814;

							BgL_arg1769z00_4814 =
								PROCEDURE_REF(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
								(int) (((long) 1)));
							{	/* Cfa/arithmetic.scm 97 */
								int BgL_offsetz00_4818;

								BgL_offsetz00_4818 = (int) (BgL_objzd2classzd2numz00_4813);
								{	/* Cfa/arithmetic.scm 97 */
									long BgL_offsetz00_4819;

									BgL_offsetz00_4819 =
										((long) (BgL_offsetz00_4818) - OBJECT_TYPE);
									{	/* Cfa/arithmetic.scm 97 */
										long BgL_modz00_4820;

										{	/* Cfa/arithmetic.scm 97 */
											int BgL_arg1771z00_4821;

											BgL_arg1771z00_4821 = (int) (((long) 16));
											{	/* Cfa/arithmetic.scm 97 */
												long BgL_res3229z00_4831;

												{	/* Cfa/arithmetic.scm 97 */
													long BgL_auxz00_5249;

													BgL_auxz00_5249 = (long) (BgL_arg1771z00_4821);
													BgL_res3229z00_4831 =
														(BgL_offsetz00_4819 / BgL_auxz00_5249);
												}
												BgL_modz00_4820 = BgL_res3229z00_4831;
										}}
										{	/* Cfa/arithmetic.scm 97 */
											long BgL_restz00_4822;

											{	/* Cfa/arithmetic.scm 97 */
												int BgL_arg1770z00_4823;

												BgL_arg1770z00_4823 = (int) (((long) 16));
												{	/* Cfa/arithmetic.scm 97 */
													long BgL_res3231z00_4835;

													{	/* Cfa/arithmetic.scm 97 */
														long BgL_auxz00_5253;

														BgL_auxz00_5253 = (long) (BgL_arg1770z00_4823);
														BgL_res3231z00_4835 =
															(BgL_offsetz00_4819 % BgL_auxz00_5253);
													}
													BgL_restz00_4822 = BgL_res3231z00_4835;
											}}
											{	/* Cfa/arithmetic.scm 97 */

												BgL_res3232z00_4840 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_4814,
														(int) (BgL_modz00_4820)), (int) (BgL_restz00_4822));
					}}}}}}}
					BgL_method2772z00_2700 = BgL_res3232z00_4840;
				}
				return
					PROCEDURE_ENTRY(BgL_method2772z00_2700) (BgL_method2772z00_2700,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_5051,
		obj_t BgL_nodez00_5052)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_5052));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3281z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_syncz00zzast_nodez00, BGl_proc3283z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc3284z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3285z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc3286z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_selectz00zzast_nodez00, BGl_proc3287z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3288z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3289z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3290z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3291z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3292z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3293z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3294z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3295z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3296z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc3297z00zzcfa_arithmeticz00,
				BGl_string3282z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc3298z00zzcfa_arithmeticz00,
				BGl_string3299z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc3300z00zzcfa_arithmeticz00,
				BGl_string3301z00zzcfa_arithmeticz00);
		}
	}



/* &cfa!-arithmetic-app2808 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app2808z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5071, obj_t BgL_nodez00_5072)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 287 */
			{
				BgL_appz00_bglt BgL_nodez00_2931;

				BgL_nodez00_2931 = ((BgL_appz00_bglt) BgL_nodez00_5072);
				{
					obj_t BgL_argszd2approxzd2_3010;

					{
						obj_t BgL_argszd2approxzd2_2992;
						obj_t BgL_typez00_2993;
						obj_t BgL_speczd2typeszd2_2994;

						{
							obj_t BgL_argszd2approxzd2_2978;
							obj_t BgL_speczd2typeszd2_2979;

							{	/* Cfa/arithmetic.scm 328 */
								obj_t BgL_argszd2approxzd2_2939;

								{	/* Cfa/arithmetic.scm 328 */
									obj_t BgL_l2763z00_2962;

									BgL_l2763z00_2962 =
										(((BgL_appz00_bglt) CREF(
												((BgL_appz00_bglt) BgL_nodez00_2931)))->BgL_argsz00);
									if (NULLP(BgL_l2763z00_2962))
										{	/* Cfa/arithmetic.scm 328 */
											BgL_argszd2approxzd2_2939 = BNIL;
										}
									else
										{	/* Cfa/arithmetic.scm 328 */
											obj_t BgL_head2765z00_2964;

											{	/* Cfa/arithmetic.scm 328 */
												BgL_approxz00_bglt BgL_arg2981z00_2976;

												{	/* Cfa/arithmetic.scm 328 */
													obj_t BgL_arg2982z00_2977;

													BgL_arg2982z00_2977 = CAR(BgL_l2763z00_2962);
													BgL_arg2981z00_2976 =
														BGl_cfaz12z12zzcfa_cfaz00(
														((BgL_nodez00_bglt) BgL_arg2982z00_2977));
												}
												{	/* Cfa/arithmetic.scm 328 */
													obj_t BgL_res3270z00_5008;

													BgL_res3270z00_5008 =
														MAKE_PAIR(((obj_t) BgL_arg2981z00_2976), BNIL);
													BgL_head2765z00_2964 = BgL_res3270z00_5008;
												}
											}
											{	/* Cfa/arithmetic.scm 328 */
												obj_t BgL_g2768z00_2965;

												BgL_g2768z00_2965 = CDR(BgL_l2763z00_2962);
												{
													obj_t BgL_l2763z00_2967;
													obj_t BgL_tail2766z00_2968;

													BgL_l2763z00_2967 = BgL_g2768z00_2965;
													BgL_tail2766z00_2968 = BgL_head2765z00_2964;
												BgL_zc3anonymousza32976ze3z83_2969:
													if (NULLP(BgL_l2763z00_2967))
														{	/* Cfa/arithmetic.scm 328 */
															BgL_argszd2approxzd2_2939 = BgL_head2765z00_2964;
														}
													else
														{	/* Cfa/arithmetic.scm 328 */
															obj_t BgL_newtail2767z00_2971;

															{	/* Cfa/arithmetic.scm 328 */
																BgL_approxz00_bglt BgL_arg2979z00_2973;

																{	/* Cfa/arithmetic.scm 328 */
																	obj_t BgL_arg2980z00_2974;

																	BgL_arg2980z00_2974 = CAR(BgL_l2763z00_2967);
																	BgL_arg2979z00_2973 =
																		BGl_cfaz12z12zzcfa_cfaz00(
																		((BgL_nodez00_bglt) BgL_arg2980z00_2974));
																}
																{	/* Cfa/arithmetic.scm 328 */
																	obj_t BgL_res3272z00_5015;

																	BgL_res3272z00_5015 =
																		MAKE_PAIR(
																		((obj_t) BgL_arg2979z00_2973), BNIL);
																	BgL_newtail2767z00_2971 = BgL_res3272z00_5015;
																}
															}
															SET_CDR(BgL_tail2766z00_2968,
																BgL_newtail2767z00_2971);
															{
																obj_t BgL_tail2766z00_5305;
																obj_t BgL_l2763z00_5303;

																BgL_l2763z00_5303 = CDR(BgL_l2763z00_2967);
																BgL_tail2766z00_5305 = BgL_newtail2767z00_2971;
																BgL_tail2766z00_2968 = BgL_tail2766z00_5305;
																BgL_l2763z00_2967 = BgL_l2763z00_5303;
																goto BgL_zc3anonymousza32976ze3z83_2969;
															}
														}
												}
											}
										}
								}
								{	/* Cfa/arithmetic.scm 330 */
									obj_t BgL_tyz00_2940;

									BgL_argszd2approxzd2_3010 = BgL_argszd2approxzd2_2939;
									{
										obj_t BgL_argsz00_3013;

										BgL_argsz00_3013 = BgL_argszd2approxzd2_3010;
									BgL_zc3anonymousza33011ze3z83_3014:
										if (NULLP(BgL_argsz00_3013))
											{	/* Cfa/arithmetic.scm 296 */
												BgL_tyz00_2940 = BFALSE;
											}
										else
											{	/* Cfa/arithmetic.scm 298 */
												obj_t BgL_tz00_3016;

												{	/* Cfa/arithmetic.scm 298 */
													BgL_typez00_bglt BgL_arg3016z00_3019;

													BgL_arg3016z00_3019 =
														(((BgL_approxz00_bglt) CREF(
																((BgL_approxz00_bglt)
																	CAR(BgL_argsz00_3013))))->BgL_typez00);
													if (
														(((obj_t) BgL_arg3016z00_3019) ==
															BGl_za2intza2z00zztype_cachez00))
														{	/* Cfa/arithmetic.scm 290 */
															BgL_tz00_3016 = BGl_za2longza2z00zztype_cachez00;
														}
													else
														{	/* Cfa/arithmetic.scm 290 */
															BgL_tz00_3016 = ((obj_t) BgL_arg3016z00_3019);
														}
												}
												if ((BgL_tz00_3016 == BGl_za2_za2z00zztype_cachez00))
													{
														obj_t BgL_argsz00_5317;

														BgL_argsz00_5317 = CDR(BgL_argsz00_3013);
														BgL_argsz00_3013 = BgL_argsz00_5317;
														goto BgL_zc3anonymousza33011ze3z83_3014;
													}
												else
													{	/* Cfa/arithmetic.scm 299 */
														BgL_tyz00_2940 = BgL_tz00_3016;
													}
											}
									}
									{	/* Cfa/arithmetic.scm 336 */
										bool_t BgL_testz00_5319;

										{	/* Cfa/arithmetic.scm 336 */
											obj_t BgL_arg2974z00_2961;

											{
												BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5320;

												{
													obj_t BgL_auxz00_5321;

													{	/* Cfa/arithmetic.scm 336 */
														BgL_objectz00_bglt BgL_auxz00_5322;

														BgL_auxz00_5322 =
															((BgL_objectz00_bglt) BgL_nodez00_2931);
														BgL_auxz00_5321 =
															BGL_OBJECT_WIDENING(BgL_auxz00_5322);
													}
													BgL_auxz00_5320 =
														((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5321);
												}
												BgL_arg2974z00_2961 =
													(((BgL_arithmeticzd2appzd2_bglt)
														CREF(BgL_auxz00_5320))->BgL_speczd2typeszd2);
											}
											BgL_argszd2approxzd2_2992 = BgL_argszd2approxzd2_2939;
											BgL_typez00_2993 = BgL_tyz00_2940;
											BgL_speczd2typeszd2_2994 = BgL_arg2974z00_2961;
											{	/* Cfa/arithmetic.scm 305 */
												bool_t BgL__ortest_1175z00_2996;

												if (CBOOL(BgL_typez00_2993))
													{	/* Cfa/arithmetic.scm 305 */
														BgL__ortest_1175z00_2996 = ((bool_t) 0);
													}
												else
													{	/* Cfa/arithmetic.scm 305 */
														BgL__ortest_1175z00_2996 = ((bool_t) 1);
													}
												if (BgL__ortest_1175z00_2996)
													{	/* Cfa/arithmetic.scm 305 */
														BgL_testz00_5319 = BgL__ortest_1175z00_2996;
													}
												else
													{	/* Cfa/arithmetic.scm 306 */
														obj_t BgL__andtest_1176z00_2997;

														BgL__andtest_1176z00_2997 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_typez00_2993, BgL_speczd2typeszd2_2994);
														if (CBOOL(BgL__andtest_1176z00_2997))
															{
																obj_t BgL_argsz00_2999;

																BgL_argsz00_2999 = BgL_argszd2approxzd2_2992;
															BgL_zc3anonymousza33001ze3z83_3000:
																if (NULLP(BgL_argsz00_2999))
																	{	/* Cfa/arithmetic.scm 308 */
																		BgL_testz00_5319 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 310 */
																		obj_t BgL_tz00_3002;

																		{	/* Cfa/arithmetic.scm 310 */
																			BgL_typez00_bglt BgL_arg3006z00_3006;

																			BgL_arg3006z00_3006 =
																				(((BgL_approxz00_bglt) CREF(
																						((BgL_approxz00_bglt)
																							CAR(BgL_argsz00_2999))))->
																				BgL_typez00);
																			if ((((obj_t) BgL_arg3006z00_3006) ==
																					BGl_za2intza2z00zztype_cachez00))
																				{	/* Cfa/arithmetic.scm 290 */
																					BgL_tz00_3002 =
																						BGl_za2longza2z00zztype_cachez00;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 290 */
																					BgL_tz00_3002 =
																						((obj_t) BgL_arg3006z00_3006);
																				}
																		}
																		{	/* Cfa/arithmetic.scm 311 */
																			bool_t BgL_testz00_5342;

																			if ((BgL_tz00_3002 == BgL_typez00_2993))
																				{	/* Cfa/arithmetic.scm 311 */
																					BgL_testz00_5342 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/arithmetic.scm 311 */
																					BgL_testz00_5342 =
																						(BgL_tz00_3002 ==
																						BGl_za2_za2z00zztype_cachez00);
																				}
																			if (BgL_testz00_5342)
																				{
																					obj_t BgL_argsz00_5346;

																					BgL_argsz00_5346 =
																						CDR(BgL_argsz00_2999);
																					BgL_argsz00_2999 = BgL_argsz00_5346;
																					goto
																						BgL_zc3anonymousza33001ze3z83_3000;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 311 */
																					BgL_testz00_5319 = ((bool_t) 0);
																				}
																		}
																	}
															}
														else
															{	/* Cfa/arithmetic.scm 306 */
																BgL_testz00_5319 = ((bool_t) 0);
															}
													}
											}
										}
										if (BgL_testz00_5319)
											{	/* Cfa/arithmetic.scm 336 */
												{	/* Cfa/arithmetic.scm 339 */
													bool_t BgL_testz00_5348;

													{	/* Cfa/arithmetic.scm 339 */
														bool_t BgL_testz00_5349;

														{	/* Cfa/arithmetic.scm 339 */
															obj_t BgL_arg2962z00_2947;

															{
																BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5350;

																{
																	obj_t BgL_auxz00_5351;

																	{	/* Cfa/arithmetic.scm 339 */
																		BgL_objectz00_bglt BgL_auxz00_5352;

																		BgL_auxz00_5352 =
																			((BgL_objectz00_bglt) BgL_nodez00_2931);
																		BgL_auxz00_5351 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_5352);
																	}
																	BgL_auxz00_5350 =
																		((BgL_arithmeticzd2appzd2_bglt)
																		BgL_auxz00_5351);
																}
																BgL_arg2962z00_2947 =
																	(((BgL_arithmeticzd2appzd2_bglt)
																		CREF(BgL_auxz00_5350))->
																	BgL_speczd2typeszd2);
															}
															BgL_argszd2approxzd2_2978 =
																BgL_argszd2approxzd2_2939;
															BgL_speczd2typeszd2_2979 = BgL_arg2962z00_2947;
															{
																obj_t BgL_argsz00_2982;

																BgL_argsz00_2982 = BgL_argszd2approxzd2_2978;
															BgL_zc3anonymousza32984ze3z83_2983:
																if (NULLP(BgL_argsz00_2982))
																	{	/* Cfa/arithmetic.scm 318 */
																		BgL_testz00_5349 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 320 */
																		bool_t BgL_testz00_5359;

																		{	/* Cfa/arithmetic.scm 320 */
																			obj_t BgL_arg2991z00_2987;

																			{	/* Cfa/arithmetic.scm 320 */
																				BgL_typez00_bglt BgL_arg2993z00_2988;

																				BgL_arg2993z00_2988 =
																					(((BgL_approxz00_bglt) CREF(
																							((BgL_approxz00_bglt)
																								CAR(BgL_argsz00_2982))))->
																					BgL_typez00);
																				if ((((obj_t) BgL_arg2993z00_2988) ==
																						BGl_za2intza2z00zztype_cachez00))
																					{	/* Cfa/arithmetic.scm 290 */
																						BgL_arg2991z00_2987 =
																							BGl_za2longza2z00zztype_cachez00;
																					}
																				else
																					{	/* Cfa/arithmetic.scm 290 */
																						BgL_arg2991z00_2987 =
																							((obj_t) BgL_arg2993z00_2988);
																					}
																			}
																			BgL_testz00_5359 =
																				CBOOL
																				(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2991z00_2987,
																					BgL_speczd2typeszd2_2979));
																		}
																		if (BgL_testz00_5359)
																			{
																				obj_t BgL_argsz00_5369;

																				BgL_argsz00_5369 =
																					CDR(BgL_argsz00_2982);
																				BgL_argsz00_2982 = BgL_argsz00_5369;
																				goto BgL_zc3anonymousza32984ze3z83_2983;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 320 */
																				BgL_testz00_5349 = ((bool_t) 0);
																			}
																	}
															}
														}
														if (BgL_testz00_5349)
															{	/* Cfa/arithmetic.scm 340 */
																BgL_typez00_bglt BgL_arg2960z00_2945;

																{
																	BgL_approxz00_bglt BgL_auxz00_5371;

																	{
																		BgL_arithmeticzd2appzd2_bglt
																			BgL_auxz00_5372;
																		{
																			obj_t BgL_auxz00_5373;

																			{	/* Cfa/arithmetic.scm 340 */
																				BgL_objectz00_bglt BgL_auxz00_5374;

																				BgL_auxz00_5374 =
																					((BgL_objectz00_bglt)
																					BgL_nodez00_2931);
																				BgL_auxz00_5373 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_5374);
																			}
																			BgL_auxz00_5372 =
																				((BgL_arithmeticzd2appzd2_bglt)
																				BgL_auxz00_5373);
																		}
																		BgL_auxz00_5371 =
																			(((BgL_arithmeticzd2appzd2_bglt)
																				CREF(BgL_auxz00_5372))->BgL_approxz00);
																	}
																	BgL_arg2960z00_2945 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_auxz00_5371))->BgL_typez00);
																}
																BgL_testz00_5348 =
																	(
																	((obj_t) BgL_arg2960z00_2945) ==
																	BGl_za2_za2z00zztype_cachez00);
															}
														else
															{	/* Cfa/arithmetic.scm 339 */
																BgL_testz00_5348 = ((bool_t) 0);
															}
													}
													if (BgL_testz00_5348)
														{	/* Cfa/arithmetic.scm 339 */
															{	/* Cfa/arithmetic.scm 343 */
																BgL_approxz00_bglt BgL_arg2958z00_2943;

																{
																	BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5382;

																	{
																		obj_t BgL_auxz00_5383;

																		{	/* Cfa/arithmetic.scm 343 */
																			BgL_objectz00_bglt BgL_auxz00_5384;

																			BgL_auxz00_5384 =
																				((BgL_objectz00_bglt) BgL_nodez00_2931);
																			BgL_auxz00_5383 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_5384);
																		}
																		BgL_auxz00_5382 =
																			((BgL_arithmeticzd2appzd2_bglt)
																			BgL_auxz00_5383);
																	}
																	BgL_arg2958z00_2943 =
																		(((BgL_arithmeticzd2appzd2_bglt)
																			CREF(BgL_auxz00_5382))->BgL_approxz00);
																}
																BGl_approxzd2setzd2typez12z12zzcfa_approxz00
																	(BgL_arg2958z00_2943,
																	((BgL_typez00_bglt) BgL_tyz00_2940));
															}
															BGl_continuezd2cfaz12zc0zzcfa_iteratez00
																(CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Cfa/arithmetic.scm 339 */
															BFALSE;
														}
												}
											}
										else
											{	/* Cfa/arithmetic.scm 345 */
												bool_t BgL_testz00_5393;

												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt)
																			(((BgL_varz00_bglt) CREF(
																						(((BgL_appz00_bglt) CREF(
																									((BgL_appz00_bglt)
																										BgL_nodez00_2931)))->
																							BgL_funz00)))->
																				BgL_variablez00)))))->BgL_idz00) ==
														CNST_TABLE_REF(((long) 1))))
													{	/* Cfa/arithmetic.scm 345 */
														BgL_testz00_5393 = ((bool_t) 0);
													}
												else
													{	/* Cfa/arithmetic.scm 345 */
														BgL_testz00_5393 = ((bool_t) 1);
													}
												if (BgL_testz00_5393)
													{	/* Cfa/arithmetic.scm 345 */
														{
															obj_t BgL_l2769z00_2950;

															BgL_l2769z00_2950 = BgL_argszd2approxzd2_2939;
														BgL_zc3anonymousza32964ze3z83_2951:
															if (PAIRP(BgL_l2769z00_2950))
																{	/* Cfa/arithmetic.scm 346 */
																	{	/* Cfa/arithmetic.scm 346 */
																		obj_t BgL_az00_2953;

																		BgL_az00_2953 = CAR(BgL_l2769z00_2950);
																		BGl_loosez12z12zzcfa_loosez00(
																			((BgL_approxz00_bglt) BgL_az00_2953),
																			CNST_TABLE_REF(((long) 2)));
																	}
																	{
																		obj_t BgL_l2769z00_5409;

																		BgL_l2769z00_5409 = CDR(BgL_l2769z00_2950);
																		BgL_l2769z00_2950 = BgL_l2769z00_5409;
																		goto BgL_zc3anonymousza32964ze3z83_2951;
																	}
																}
															else
																{	/* Cfa/arithmetic.scm 346 */
																	((bool_t) 1);
																}
														}
														{	/* Cfa/arithmetic.scm 347 */
															BgL_approxz00_bglt BgL_arg2967z00_2956;

															{
																BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5411;

																{
																	obj_t BgL_auxz00_5412;

																	{	/* Cfa/arithmetic.scm 347 */
																		BgL_objectz00_bglt BgL_auxz00_5413;

																		BgL_auxz00_5413 =
																			((BgL_objectz00_bglt) BgL_nodez00_2931);
																		BgL_auxz00_5412 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_5413);
																	}
																	BgL_auxz00_5411 =
																		((BgL_arithmeticzd2appzd2_bglt)
																		BgL_auxz00_5412);
																}
																BgL_arg2967z00_2956 =
																	(((BgL_arithmeticzd2appzd2_bglt)
																		CREF(BgL_auxz00_5411))->BgL_approxz00);
															}
															BGl_approxzd2setzd2typez12z12zzcfa_approxz00
																(BgL_arg2967z00_2956,
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
														}
													}
												else
													{	/* Cfa/arithmetic.scm 345 */
														BFALSE;
													}
											}
									}
								}
							}
							{
								BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5420;

								{
									obj_t BgL_auxz00_5421;

									{	/* Cfa/arithmetic.scm 350 */
										BgL_objectz00_bglt BgL_auxz00_5422;

										BgL_auxz00_5422 = ((BgL_objectz00_bglt) BgL_nodez00_2931);
										BgL_auxz00_5421 = BGL_OBJECT_WIDENING(BgL_auxz00_5422);
									}
									BgL_auxz00_5420 =
										((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5421);
								}
								return
									(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_5420))->
									BgL_approxz00);
							}
						}
					}
				}
			}
		}
	}



/* &node-setup!-pre-arit2806 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit2806za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5073, obj_t BgL_nodez00_5074)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 244 */
			{
				BgL_appz00_bglt BgL_nodez00_2872;

				BgL_nodez00_2872 = ((BgL_appz00_bglt) BgL_nodez00_5074);
				{	/* Cfa/arithmetic.scm 255 */
					BgL_variablez00_bglt BgL_fz00_2877;

					BgL_fz00_2877 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2872)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/arithmetic.scm 255 */
						BgL_valuez00_bglt BgL_valz00_2878;

						BgL_valz00_2878 =
							(((BgL_variablez00_bglt) CREF(BgL_fz00_2877))->BgL_valuez00);
						{	/* Cfa/arithmetic.scm 256 */

							{	/* Cfa/arithmetic.scm 258 */
								bool_t BgL_testz00_5432;

								{	/* Cfa/arithmetic.scm 258 */
									BgL_typez00_bglt BgL_arg2922z00_2880;

									BgL_arg2922z00_2880 =
										(((BgL_variablez00_bglt) CREF(BgL_fz00_2877))->BgL_typez00);
									BgL_testz00_5432 =
										(
										((obj_t) BgL_arg2922z00_2880) ==
										BGl_za2objza2z00zztype_cachez00);
								}
								if (BgL_testz00_5432)
									{	/* Cfa/arithmetic.scm 258 */
										{	/* Cfa/arithmetic.scm 261 */
											BgL_typez00_bglt BgL_vz00_4913;

											BgL_vz00_4913 =
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(BgL_fz00_2877))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4913), BUNSPEC);
										}
										{	/* Cfa/arithmetic.scm 262 */
											BgL_typez00_bglt BgL_vz00_4916;

											BgL_vz00_4916 =
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_nodez00_2872)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4916), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 258 */
										BFALSE;
									}
							}
							{	/* Cfa/arithmetic.scm 264 */
								bool_t BgL_testz00_5441;

								{	/* Cfa/arithmetic.scm 264 */
									bool_t BgL_res3250z00_4919;

									BgL_res3250z00_4919 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_valz00_2878), BGl_sfunz00zzast_varz00);
									BgL_testz00_5441 = BgL_res3250z00_4919;
								}
								if (BgL_testz00_5441)
									{	/* Cfa/arithmetic.scm 265 */
										obj_t BgL_arg2925z00_2882;

										{	/* Cfa/arithmetic.scm 265 */
											obj_t BgL_l2757z00_2883;

											BgL_l2757z00_2883 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_valz00_2878)))->
												BgL_argsz00);
											if (NULLP(BgL_l2757z00_2883))
												{	/* Cfa/arithmetic.scm 265 */
													BgL_arg2925z00_2882 = BNIL;
												}
											else
												{	/* Cfa/arithmetic.scm 265 */
													obj_t BgL_head2759z00_2885;

													{	/* Cfa/arithmetic.scm 265 */
														obj_t BgL_arg2932z00_2897;

														BgL_arg2932z00_2897 =
															BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
															(BgL_l2757z00_2883));
														{	/* Cfa/arithmetic.scm 265 */
															obj_t BgL_res3252z00_4927;

															BgL_res3252z00_4927 =
																MAKE_PAIR(BgL_arg2932z00_2897, BNIL);
															BgL_head2759z00_2885 = BgL_res3252z00_4927;
														}
													}
													{	/* Cfa/arithmetic.scm 265 */
														obj_t BgL_g2762z00_2886;

														BgL_g2762z00_2886 = CDR(BgL_l2757z00_2883);
														{
															obj_t BgL_l2757z00_2888;
															obj_t BgL_tail2760z00_2889;

															BgL_l2757z00_2888 = BgL_g2762z00_2886;
															BgL_tail2760z00_2889 = BgL_head2759z00_2885;
														BgL_zc3anonymousza32927ze3z83_2890:
															if (NULLP(BgL_l2757z00_2888))
																{	/* Cfa/arithmetic.scm 265 */
																	BgL_arg2925z00_2882 = BgL_head2759z00_2885;
																}
															else
																{	/* Cfa/arithmetic.scm 265 */
																	obj_t BgL_newtail2761z00_2892;

																	{	/* Cfa/arithmetic.scm 265 */
																		obj_t BgL_arg2930z00_2894;

																		BgL_arg2930z00_2894 =
																			BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l2757z00_2888));
																		{	/* Cfa/arithmetic.scm 265 */
																			obj_t BgL_res3254z00_4934;

																			BgL_res3254z00_4934 =
																				MAKE_PAIR(BgL_arg2930z00_2894, BNIL);
																			BgL_newtail2761z00_2892 =
																				BgL_res3254z00_4934;
																		}
																	}
																	SET_CDR(BgL_tail2760z00_2889,
																		BgL_newtail2761z00_2892);
																	{
																		obj_t BgL_tail2760z00_5460;
																		obj_t BgL_l2757z00_5458;

																		BgL_l2757z00_5458 = CDR(BgL_l2757z00_2888);
																		BgL_tail2760z00_5460 =
																			BgL_newtail2761z00_2892;
																		BgL_tail2760z00_2889 = BgL_tail2760z00_5460;
																		BgL_l2757z00_2888 = BgL_l2757z00_5458;
																		goto BgL_zc3anonymousza32927ze3z83_2890;
																	}
																}
														}
													}
												}
										}
										((((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_valz00_2878)))->
												BgL_argsz00) = ((obj_t) BgL_arg2925z00_2882), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 266 */
										bool_t BgL_testz00_5463;

										{	/* Cfa/arithmetic.scm 266 */
											bool_t BgL_res3255z00_4942;

											BgL_res3255z00_4942 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_valz00_2878), BGl_cfunz00zzast_varz00);
											BgL_testz00_5463 = BgL_res3255z00_4942;
										}
										if (BgL_testz00_5463)
											{	/* Cfa/arithmetic.scm 267 */
												obj_t BgL_g1168z00_2900;

												BgL_g1168z00_2900 =
													(((BgL_cfunz00_bglt) CREF(
															((BgL_cfunz00_bglt) BgL_valz00_2878)))->
													BgL_argszd2typezd2);
												{
													obj_t BgL_lz00_2902;

													BgL_lz00_2902 = BgL_g1168z00_2900;
												BgL_zc3anonymousza32936ze3z83_2903:
													if (PAIRP(BgL_lz00_2902))
														{	/* Cfa/arithmetic.scm 269 */
															obj_t BgL_auxz00_5470;

															BgL_auxz00_5470 =
																BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
																(BgL_lz00_2902));
															SET_CAR(BgL_lz00_2902, BgL_auxz00_5470);
														}
													else
														{
															obj_t BgL_lz00_5474;

															BgL_lz00_5474 = CDR(BgL_lz00_2902);
															BgL_lz00_2902 = BgL_lz00_5474;
															goto BgL_zc3anonymousza32936ze3z83_2903;
														}
												}
											}
										else
											{	/* Cfa/arithmetic.scm 266 */
												BGl_errorz00zz__errorz00
													(BGl_string3299z00zzcfa_arithmeticz00,
													BGl_string3302z00zzcfa_arithmeticz00,
													((obj_t) BgL_nodez00_2872));
											}
									}
							}
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
								MAKE_PAIR(
								((obj_t) BgL_nodez00_2872),
								BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
							{	/* Cfa/arithmetic.scm 275 */
								obj_t BgL_arg2941z00_2909;

								BgL_arg2941z00_2909 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2872)))->BgL_argsz00);
								BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2941z00_2909);
							}
							{	/* Cfa/arithmetic.scm 276 */
								obj_t BgL_speczd2typeszd2_2910;

								{
									BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_5483;

									{
										obj_t BgL_auxz00_5484;

										{	/* Cfa/arithmetic.scm 276 */
											BgL_objectz00_bglt BgL_auxz00_5485;

											BgL_auxz00_5485 = ((BgL_objectz00_bglt) BgL_nodez00_2872);
											BgL_auxz00_5484 = BGL_OBJECT_WIDENING(BgL_auxz00_5485);
										}
										BgL_auxz00_5483 =
											((BgL_prezd2arithmeticzd2appz00_bglt) BgL_auxz00_5484);
									}
									BgL_speczd2typeszd2_2910 =
										(((BgL_prezd2arithmeticzd2appz00_bglt)
											CREF(BgL_auxz00_5483))->BgL_speczd2typeszd2);
								}
								{	/* Cfa/arithmetic.scm 276 */
									BgL_appz00_bglt BgL_nodez00_2911;

									{	/* Cfa/arithmetic.scm 277 */
										long BgL_arg2947z00_2921;

										{	/* Cfa/arithmetic.scm 277 */
											obj_t BgL_arg2948z00_2922;

											{	/* Cfa/arithmetic.scm 277 */
												obj_t BgL_arg2950z00_2923;

												{	/* Cfa/arithmetic.scm 277 */
													long BgL_arg1772z00_4952;

													{	/* Cfa/arithmetic.scm 277 */
														long BgL_arg1773z00_4953;

														{	/* Cfa/arithmetic.scm 277 */
															long BgL_res3257z00_4955;

															BgL_res3257z00_4955 =
																BGL_OBJECT_CLASS_NUM(
																((BgL_objectz00_bglt) BgL_nodez00_2872));
															BgL_arg1773z00_4953 = BgL_res3257z00_4955;
														}
														BgL_arg1772z00_4952 =
															(BgL_arg1773z00_4953 - OBJECT_TYPE);
													}
													BgL_arg2950z00_2923 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														(int) (BgL_arg1772z00_4952));
												}
												BgL_arg2948z00_2922 =
													BGl_classzd2superzd2zz__objectz00
													(BgL_arg2950z00_2923);
											}
											{	/* Cfa/arithmetic.scm 277 */
												long BgL_res3259z00_4962;

												BgL_res3259z00_4962 =
													BGL_CLASS_INDEX(BgL_arg2948z00_2922);
												BgL_arg2947z00_2921 = BgL_res3259z00_4962;
										}}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_nodez00_2872),
											BgL_arg2947z00_2921);
									}
									{	/* Cfa/arithmetic.scm 277 */
										BgL_objectz00_bglt BgL_auxz00_5499;

										BgL_auxz00_5499 = ((BgL_objectz00_bglt) BgL_nodez00_2872);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_5499, BFALSE);
									}
									BgL_nodez00_2911 = BgL_nodez00_2872;
									{	/* Cfa/arithmetic.scm 277 */

										{	/* Cfa/arithmetic.scm 278 */
											BgL_arithmeticzd2appzd2_bglt BgL_wide1172z00_2914;

											BgL_wide1172z00_2914 =
												((BgL_arithmeticzd2appzd2_bglt)
												BREF(GC_MALLOC(sizeof(struct
															BgL_arithmeticzd2appzd2_bgl))));
											{	/* Cfa/arithmetic.scm 278 */
												obj_t BgL_auxz00_5507;
												BgL_objectz00_bglt BgL_auxz00_5503;

												BgL_auxz00_5507 = ((obj_t) BgL_wide1172z00_2914);
												BgL_auxz00_5503 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_2911)));
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_5503,
													BgL_auxz00_5507);
											}
											{	/* Cfa/arithmetic.scm 278 */
												long BgL_arg2943z00_2915;

												{	/* Cfa/arithmetic.scm 278 */
													long BgL_res3260z00_4966;

													BgL_res3260z00_4966 =
														BGL_CLASS_INDEX
														(BGl_arithmeticzd2appzd2zzcfa_info2z00);
													BgL_arg2943z00_2915 = BgL_res3260z00_4966;
												}
												((BgL_appz00_bglt)
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_2911))),
														BgL_arg2943z00_2915));
											}
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2911));
										}
										{
											BgL_approxz00_bglt BgL_auxz00_5526;
											BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5518;

											{	/* Cfa/arithmetic.scm 280 */
												bool_t BgL_testz00_5527;

												{	/* Cfa/arithmetic.scm 280 */
													BgL_typez00_bglt BgL_arg2946z00_2919;

													BgL_arg2946z00_2919 =
														(((BgL_variablez00_bglt) CREF(BgL_fz00_2877))->
														BgL_typez00);
													BgL_testz00_5527 =
														(((obj_t) BgL_arg2946z00_2919) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_5527)
													{	/* Cfa/arithmetic.scm 280 */
														BgL_auxz00_5526 =
															BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
													}
												else
													{	/* Cfa/arithmetic.scm 282 */
														BgL_typez00_bglt BgL_arg2945z00_2918;

														BgL_arg2945z00_2918 =
															(((BgL_variablez00_bglt) CREF(BgL_fz00_2877))->
															BgL_typez00);
														BgL_auxz00_5526 =
															BGl_makezd2typezd2approxz00zzcfa_approxz00
															(BgL_arg2945z00_2918);
													}
											}
											{
												obj_t BgL_auxz00_5519;

												{	/* Cfa/arithmetic.scm 280 */
													BgL_objectz00_bglt BgL_auxz00_5520;

													BgL_auxz00_5520 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2911)));
													BgL_auxz00_5519 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5520);
												}
												BgL_auxz00_5518 =
													((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5519);
											}
											((((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_5518))->
													BgL_approxz00) =
												((BgL_approxz00_bglt) BgL_auxz00_5526), BUNSPEC);
										}
										{
											BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5535;

											{
												obj_t BgL_auxz00_5536;

												{	/* Cfa/arithmetic.scm 279 */
													BgL_objectz00_bglt BgL_auxz00_5537;

													BgL_auxz00_5537 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2911)));
													BgL_auxz00_5536 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5537);
												}
												BgL_auxz00_5535 =
													((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5536);
											}
											((((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_5535))->
													BgL_speczd2typeszd2) =
												((obj_t) BgL_speczd2typeszd2_2910), BUNSPEC);
										}
										return
											((obj_t)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2911)));
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* unspecified-type */
	obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_2925)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 253 */
			if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2925, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 247 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 247 */
					if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2925,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 249 */
							{	/* Cfa/arithmetic.scm 250 */
								BgL_typez00_bglt BgL_vz00_4901;

								BgL_vz00_4901 =
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_2925))))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_vz00_4901), BUNSPEC);
							}
							return BgL_lz00_2925;
						}
					else
						{	/* Cfa/arithmetic.scm 249 */
							return BgL_lz00_2925;
						}
				}
		}
	}



/* &cleanup-node!-app2804 */
	obj_t BGl_z62cleanupzd2nodez12zd2app2804z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5075, obj_t BgL_nodez00_5076)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 231 */
			{
				BgL_appz00_bglt BgL_nodez00_2858;

				{	/* Cfa/arithmetic.scm 232 */
					bool_t BgL_auxz00_5556;

					BgL_nodez00_2858 = ((BgL_appz00_bglt) BgL_nodez00_5076);
					{	/* Cfa/arithmetic.scm 233 */
						BgL_varz00_bglt BgL_arg2916z00_2862;

						BgL_arg2916z00_2862 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2858))->BgL_funz00);
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
							((BgL_nodez00_bglt) BgL_arg2916z00_2862));
					}
					{	/* Cfa/arithmetic.scm 234 */
						obj_t BgL_g2756z00_2863;

						BgL_g2756z00_2863 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2858))->BgL_argsz00);
						{
							obj_t BgL_l2754z00_2865;

							BgL_l2754z00_2865 = BgL_g2756z00_2863;
						BgL_zc3anonymousza32917ze3z83_2866:
							if (PAIRP(BgL_l2754z00_2865))
								{	/* Cfa/arithmetic.scm 234 */
									{	/* Cfa/arithmetic.scm 234 */
										obj_t BgL_arg2919z00_2868;

										BgL_arg2919z00_2868 = CAR(BgL_l2754z00_2865);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2919z00_2868));
									}
									{
										obj_t BgL_l2754z00_5566;

										BgL_l2754z00_5566 = CDR(BgL_l2754z00_2865);
										BgL_l2754z00_2865 = BgL_l2754z00_5566;
										goto BgL_zc3anonymousza32917ze3z83_2866;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 234 */
									BgL_auxz00_5556 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5556);
				}
			}
		}
	}



/* &cleanup-node!-funcal2802 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal2802z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5077, obj_t BgL_nodez00_5078)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 223 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2844;

				{	/* Cfa/arithmetic.scm 224 */
					bool_t BgL_auxz00_5570;

					BgL_nodez00_2844 = ((BgL_funcallz00_bglt) BgL_nodez00_5078);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2844))->BgL_funz00));
					{	/* Cfa/arithmetic.scm 226 */
						obj_t BgL_g2753z00_2849;

						BgL_g2753z00_2849 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2844))->BgL_argsz00);
						{
							obj_t BgL_l2751z00_2851;

							BgL_l2751z00_2851 = BgL_g2753z00_2849;
						BgL_zc3anonymousza32911ze3z83_2852:
							if (PAIRP(BgL_l2751z00_2851))
								{	/* Cfa/arithmetic.scm 226 */
									{	/* Cfa/arithmetic.scm 226 */
										obj_t BgL_arg2913z00_2854;

										BgL_arg2913z00_2854 = CAR(BgL_l2751z00_2851);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2913z00_2854));
									}
									{
										obj_t BgL_l2751z00_5579;

										BgL_l2751z00_5579 = CDR(BgL_l2751z00_2851);
										BgL_l2751z00_2851 = BgL_l2751z00_5579;
										goto BgL_zc3anonymousza32911ze3z83_2852;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 226 */
									BgL_auxz00_5570 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5570);
				}
			}
		}
	}



/* &cleanup-node!-app-ly2800 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly2800za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5079, obj_t BgL_nodez00_5080)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 215 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_2837;

				BgL_nodez00_2837 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5080);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2837))->BgL_funz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2837))->BgL_argz00));
			}
		}
	}



/* &cleanup-node!-box-se2798 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se2798za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5081, obj_t BgL_nodez00_5082)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 207 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2830;

				BgL_nodez00_2830 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5082);
				{	/* Cfa/arithmetic.scm 209 */
					BgL_varz00_bglt BgL_arg2905z00_2834;

					BgL_arg2905z00_2834 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2830))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2905z00_2834));
				}
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2830))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-box-re2796 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re2796za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5083, obj_t BgL_nodez00_5084)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 200 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2824;

				BgL_nodez00_2824 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_5084);
				{	/* Cfa/arithmetic.scm 202 */
					BgL_varz00_bglt BgL_arg2904z00_4887;

					BgL_arg2904z00_4887 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2824))->BgL_varz00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2904z00_4887));
				}
			}
		}
	}



/* &cleanup-node!-make-b2794 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b2794za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5085, obj_t BgL_nodez00_5086)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 193 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2818;

				BgL_nodez00_2818 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_5086);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2818))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-jump-e2792 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e2792za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5087, obj_t BgL_nodez00_5088)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 185 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2811;

				BgL_nodez00_2811 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5088);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2811))->BgL_exitz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2811))->
						BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-set-ex2790 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex2790za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5089, obj_t BgL_nodez00_5090)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 177 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2804;

				BgL_nodez00_2804 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5090);
				{	/* Cfa/arithmetic.scm 179 */
					BgL_varz00_bglt BgL_arg2898z00_2808;

					BgL_arg2898z00_2808 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2804))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2898z00_2808));
				}
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2804))->BgL_bodyz00));
			}
		}
	}



/* &cleanup-node!-let-va2788 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va2788za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5091, obj_t BgL_nodez00_5092)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 167 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2786;

				BgL_nodez00_2786 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_5092);
				{	/* Cfa/arithmetic.scm 169 */
					obj_t BgL_g2750z00_2790;

					BgL_g2750z00_2790 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2786))->BgL_bindingsz00);
					{
						obj_t BgL_l2748z00_2792;

						BgL_l2748z00_2792 = BgL_g2750z00_2790;
					BgL_zc3anonymousza32889ze3z83_2793:
						if (PAIRP(BgL_l2748z00_2792))
							{	/* Cfa/arithmetic.scm 169 */
								{	/* Cfa/arithmetic.scm 169 */
									obj_t BgL_bz00_2795;

									BgL_bz00_2795 = CAR(BgL_l2748z00_2792);
									{	/* Cfa/arithmetic.scm 169 */
										obj_t BgL_arg2891z00_2796;

										BgL_arg2891z00_2796 = CDR(BgL_bz00_2795);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2891z00_2796));
									}
								}
								{
									obj_t BgL_l2748z00_5619;

									BgL_l2748z00_5619 = CDR(BgL_l2748z00_2792);
									BgL_l2748z00_2792 = BgL_l2748z00_5619;
									goto BgL_zc3anonymousza32889ze3z83_2793;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 169 */
								((bool_t) 1);
							}
					}
				}
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2786))->BgL_bodyz00));
				{	/* Cfa/arithmetic.scm 171 */
					bool_t BgL_testz00_5623;

					{	/* Cfa/arithmetic.scm 171 */
						BgL_typez00_bglt BgL_arg2897z00_2802;

						BgL_arg2897z00_2802 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2786)))->BgL_typez00);
						BgL_testz00_5623 =
							(((obj_t) BgL_arg2897z00_2802) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_5623)
						{	/* Cfa/arithmetic.scm 171 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2786)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											CREF((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2786))->
													BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/arithmetic.scm 171 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-let-fu2786 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu2786za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5093, obj_t BgL_nodez00_5094)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 157 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2769;

				BgL_nodez00_2769 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_5094);
				{	/* Cfa/arithmetic.scm 159 */
					obj_t BgL_g2747z00_2773;

					BgL_g2747z00_2773 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2769))->BgL_localsz00);
					{
						obj_t BgL_l2745z00_2775;

						BgL_l2745z00_2775 = BgL_g2747z00_2773;
					BgL_zc3anonymousza32880ze3z83_2776:
						if (PAIRP(BgL_l2745z00_2775))
							{	/* Cfa/arithmetic.scm 159 */
								{	/* Cfa/arithmetic.scm 159 */
									obj_t BgL_arg2882z00_2778;

									BgL_arg2882z00_2778 = CAR(BgL_l2745z00_2775);
									{	/* Cfa/arithmetic.scm 90 */
										BgL_valuez00_bglt BgL_funz00_4865;

										BgL_funz00_4865 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_arg2882z00_2778)))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 90 */
											obj_t BgL_bodyz00_4866;

											BgL_bodyz00_4866 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_4865)))->
												BgL_bodyz00);
											{	/* Cfa/arithmetic.scm 91 */

												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_bodyz00_4866));
											}
										}
									}
								}
								{
									obj_t BgL_l2745z00_5643;

									BgL_l2745z00_5643 = CDR(BgL_l2745z00_2775);
									BgL_l2745z00_2775 = BgL_l2745z00_5643;
									goto BgL_zc3anonymousza32880ze3z83_2776;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 159 */
								((bool_t) 1);
							}
					}
				}
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2769))->BgL_bodyz00));
				{	/* Cfa/arithmetic.scm 161 */
					bool_t BgL_testz00_5647;

					{	/* Cfa/arithmetic.scm 161 */
						BgL_typez00_bglt BgL_arg2888z00_2784;

						BgL_arg2888z00_2784 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2769)))->BgL_typez00);
						BgL_testz00_5647 =
							(((obj_t) BgL_arg2888z00_2784) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_5647)
						{	/* Cfa/arithmetic.scm 161 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2769)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											CREF((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2769))->
													BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/arithmetic.scm 161 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-select2784 */
	obj_t BGl_z62cleanupzd2nodez12zd2select2784z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5095, obj_t BgL_nodez00_5096)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 149 */
			{
				BgL_selectz00_bglt BgL_nodez00_2754;

				{	/* Cfa/arithmetic.scm 150 */
					bool_t BgL_auxz00_5657;

					BgL_nodez00_2754 = ((BgL_selectz00_bglt) BgL_nodez00_5096);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_2754))->BgL_testz00));
					{	/* Cfa/arithmetic.scm 152 */
						obj_t BgL_g2744z00_2759;

						BgL_g2744z00_2759 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_2754))->BgL_clausesz00);
						{
							obj_t BgL_l2742z00_2761;

							BgL_l2742z00_2761 = BgL_g2744z00_2759;
						BgL_zc3anonymousza32876ze3z83_2762:
							if (PAIRP(BgL_l2742z00_2761))
								{	/* Cfa/arithmetic.scm 152 */
									{	/* Cfa/arithmetic.scm 152 */
										obj_t BgL_clausez00_2764;

										BgL_clausez00_2764 = CAR(BgL_l2742z00_2761);
										{	/* Cfa/arithmetic.scm 152 */
											obj_t BgL_arg2878z00_2765;

											BgL_arg2878z00_2765 = CDR(BgL_clausez00_2764);
											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_arg2878z00_2765));
										}
									}
									{
										obj_t BgL_l2742z00_5667;

										BgL_l2742z00_5667 = CDR(BgL_l2742z00_2761);
										BgL_l2742z00_2761 = BgL_l2742z00_5667;
										goto BgL_zc3anonymousza32876ze3z83_2762;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 152 */
									BgL_auxz00_5657 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5657);
				}
			}
		}
	}



/* &cleanup-node!-fail2782 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail2782z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5097, obj_t BgL_nodez00_5098)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 140 */
			{
				BgL_failz00_bglt BgL_nodez00_2746;

				BgL_nodez00_2746 = ((BgL_failz00_bglt) BgL_nodez00_5098);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2746))->BgL_procz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2746))->BgL_msgz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2746))->BgL_objz00));
			}
		}
	}



/* &cleanup-node!-condit2780 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit2780z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5099, obj_t BgL_nodez00_5100)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 131 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2738;

				BgL_nodez00_2738 = ((BgL_conditionalz00_bglt) BgL_nodez00_5100);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2738))->BgL_testz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2738))->BgL_truez00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2738))->BgL_falsez00));
			}
		}
	}



/* &cleanup-node!-setq2778 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq2778z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5101, obj_t BgL_nodez00_5102)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 124 */
			{
				BgL_setqz00_bglt BgL_nodez00_2732;

				BgL_nodez00_2732 = ((BgL_setqz00_bglt) BgL_nodez00_5102);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_2732))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-sync2776 */
	obj_t BGl_z62cleanupzd2nodez12zd2sync2776z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5103, obj_t BgL_nodez00_5104)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 113 */
			{
				BgL_syncz00_bglt BgL_nodez00_2721;

				BgL_nodez00_2721 = ((BgL_syncz00_bglt) BgL_nodez00_5104);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_2721))->BgL_mutexz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_2721))->BgL_prelockz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_2721))->BgL_bodyz00));
				{	/* Cfa/arithmetic.scm 118 */
					bool_t BgL_testz00_5694;

					{	/* Cfa/arithmetic.scm 118 */
						BgL_typez00_bglt BgL_arg2865z00_2730;

						BgL_arg2865z00_2730 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2721)))->BgL_typez00);
						BgL_testz00_5694 =
							(((obj_t) BgL_arg2865z00_2730) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_5694)
						{	/* Cfa/arithmetic.scm 118 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2721)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											CREF((((BgL_syncz00_bglt) CREF(BgL_nodez00_2721))->
													BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/arithmetic.scm 118 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-sequen2774 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen2774z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5105, obj_t BgL_nodez00_5106)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 103 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2701;

				BgL_nodez00_2701 = ((BgL_sequencez00_bglt) BgL_nodez00_5106);
				{	/* Cfa/arithmetic.scm 105 */
					bool_t BgL_testz00_5704;

					{	/* Cfa/arithmetic.scm 105 */
						obj_t BgL_auxz00_5705;

						BgL_auxz00_5705 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2701))->BgL_nodesz00);
						BgL_testz00_5704 = PAIRP(BgL_auxz00_5705);
					}
					if (BgL_testz00_5704)
						{	/* Cfa/arithmetic.scm 105 */
							{	/* Cfa/arithmetic.scm 106 */
								obj_t BgL_g2741z00_2706;

								BgL_g2741z00_2706 =
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2701))->
									BgL_nodesz00);
								{
									obj_t BgL_l2739z00_2708;

									BgL_l2739z00_2708 = BgL_g2741z00_2706;
								BgL_zc3anonymousza32850ze3z83_2709:
									if (PAIRP(BgL_l2739z00_2708))
										{	/* Cfa/arithmetic.scm 106 */
											{	/* Cfa/arithmetic.scm 106 */
												obj_t BgL_arg2852z00_2711;

												BgL_arg2852z00_2711 = CAR(BgL_l2739z00_2708);
												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_arg2852z00_2711));
											}
											{
												obj_t BgL_l2739z00_5714;

												BgL_l2739z00_5714 = CDR(BgL_l2739z00_2708);
												BgL_l2739z00_2708 = BgL_l2739z00_5714;
												goto BgL_zc3anonymousza32850ze3z83_2709;
											}
										}
									else
										{	/* Cfa/arithmetic.scm 106 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/arithmetic.scm 107 */
								bool_t BgL_testz00_5716;

								{	/* Cfa/arithmetic.scm 107 */
									BgL_typez00_bglt BgL_arg2858z00_2718;

									BgL_arg2858z00_2718 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_2701)))->BgL_typez00);
									BgL_testz00_5716 =
										(
										((obj_t) BgL_arg2858z00_2718) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_5716)
									{	/* Cfa/arithmetic.scm 107 */
										return
											((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_2701)))->
												BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														CREF(((BgL_nodez00_bglt)
																CAR
																(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																	((((BgL_sequencez00_bglt)
																				CREF(BgL_nodez00_2701))->
																			BgL_nodesz00))))))->BgL_typez00)),
											BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 107 */
										return BFALSE;
									}
							}
						}
					else
						{	/* Cfa/arithmetic.scm 105 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3303z00zzcfa_arithmeticz00));
		}
	}

#ifdef __cplusplus
}
#endif
