/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	static obj_t BGl_z62zc3anonymousza32802ze3ze1zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32807ze3ze1zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static bool_t BGl_showz00zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_zc3anonymousza32922ze3z83zzcfa_closurez00(obj_t);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d23362za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall3363z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3352z00zzcfa_closurez00,
		BgL_bgl_string3352za700za7za7c3364za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string3355z00zzcfa_closurez00,
		BgL_bgl_string3355za700za7za7c3365za7, ": ", 2);
	      DEFINE_STRING(BGl_string3356z00zzcfa_closurez00,
		BgL_bgl_string3356za700za7za7c3366za7, "      ", 6);
	      DEFINE_STRING(BGl_string3357z00zzcfa_closurez00,
		BgL_bgl_string3357za700za7za7c3367za7, "        ", 8);
	      DEFINE_STRING(BGl_string3358z00zzcfa_closurez00,
		BgL_bgl_string3358za700za7za7c3368za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string3359z00zzcfa_closurez00,
		BgL_bgl_string3359za700za7za7c3369za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu3370z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur3371z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3372z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3373z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3353z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73374za7,
		BGl_z62zc3anonymousza32802ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3354z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73375za7,
		BGl_z62zc3anonymousza32807ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu3376z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur3377z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc3378z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_5327, char *BgL_fromz00_5328)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					BGl_toplevelzd2initzd2zzcfa_closurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_5319;

				BgL_cportz00_5319 =
					bgl_open_input_string(BGl_string3359z00zzcfa_closurez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5320;

					BgL_iz00_5320 = ((long) 19);
				BgL_loopz00_5321:
					if ((BgL_iz00_5320 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg3361z00_5323;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_5325;

										BgL_locationz00_5325 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg3361z00_5323 =
												BGl_readz00zz__readerz00(BgL_cportz00_5319,
												BgL_locationz00_5325);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_auxz00_5347;

									BgL_auxz00_5347 = (int) (BgL_iz00_5320);
									CNST_TABLE_SET(BgL_auxz00_5347, BgL_arg3361z00_5323);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_5326;

								BgL_auxz00_5326 = (int) ((BgL_iz00_5320 - ((long) 1)));
								{
									long BgL_iz00_5352;

									BgL_iz00_5352 = (long) (BgL_auxz00_5326);
									BgL_iz00_5320 = BgL_iz00_5352;
									goto BgL_loopz00_5321;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			{	/* Cfa/closure.scm 56 */
				long BgL_n1z00_4767;

				BgL_n1z00_4767 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_4767 >= ((long) 2)));
		}}
	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_5299)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 62 */
					{	/* Cfa/closure.scm 63 */
						obj_t BgL_list2772z00_2626;

						{	/* Cfa/closure.scm 63 */
							obj_t BgL_arg2773z00_2627;

							BgL_arg2773z00_2627 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list2772z00_2626 =
								MAKE_PAIR(BGl_string3352z00zzcfa_closurez00,
								BgL_arg2773z00_2627);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list2772z00_2626);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l2731z00_2629;

						BgL_l2731z00_2629 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32774ze3z83_2630:
						if (PAIRP(BgL_l2731z00_2629))
							{	/* Cfa/closure.scm 72 */
								{	/* Cfa/closure.scm 74 */
									obj_t BgL_appz00_2632;

									BgL_appz00_2632 = CAR(BgL_l2731z00_2629);
									{	/* Cfa/closure.scm 75 */
										BgL_variablez00_bglt BgL_funz00_2634;

										{
											BgL_varz00_bglt BgL_auxz00_5370;

											{	/* Cfa/closure.scm 75 */
												obj_t BgL_pairz00_4776;

												BgL_pairz00_4776 =
													(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_2632))))->
													BgL_argsz00);
												BgL_auxz00_5370 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_4776));
											}
											BgL_funz00_2634 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_5370))->
												BgL_variablez00);
										}
										{	/* Cfa/closure.scm 75 */
											obj_t BgL_cloz00_2635;

											BgL_cloz00_2635 =
												(((BgL_funz00_bglt) CREF(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_funz00_2634))))->
																	BgL_valuez00)))))->BgL_thezd2closurezd2);
											{	/* Cfa/closure.scm 76 */
												bool_t BgL_lostzf3zf3_2636;

												{	/* Cfa/closure.scm 77 */
													long BgL_auxz00_5383;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5384;

														{
															obj_t BgL_auxz00_5385;

															{	/* Cfa/closure.scm 77 */
																BgL_objectz00_bglt BgL_auxz00_5386;

																BgL_auxz00_5386 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_2632));
																BgL_auxz00_5385 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_5386);
															}
															BgL_auxz00_5384 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5385);
														}
														BgL_auxz00_5383 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																CREF(BgL_auxz00_5384))->BgL_lostzd2stampzd2);
													}
													BgL_lostzf3zf3_2636 = (BgL_auxz00_5383 > ((long) -1));
												}
												{	/* Cfa/closure.scm 77 */
													obj_t BgL_siza7eza7_2637;

													{	/* Cfa/closure.scm 78 */
														obj_t BgL_arg2784z00_2647;

														{	/* Cfa/closure.scm 78 */
															obj_t BgL_pairz00_4788;

															BgL_pairz00_4788 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_2632))))->
																BgL_argsz00);
															BgL_arg2784z00_2647 =
																CAR(CDR(CDR(BgL_pairz00_4788)));
														}
														BgL_siza7eza7_2637 =
															BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
															((BgL_nodez00_bglt) BgL_arg2784z00_2647));
													}
													{	/* Cfa/closure.scm 78 */

														{	/* Cfa/closure.scm 80 */
															bool_t BgL_testz00_5401;

															if (BgL_lostzf3zf3_2636)
																{	/* Cfa/closure.scm 80 */
																	BgL_testz00_5401 = ((bool_t) 1);
																}
															else
																{	/* Cfa/closure.scm 81 */
																	bool_t BgL_testz00_5403;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5404;
																		{
																			obj_t BgL_auxz00_5405;

																			{	/* Cfa/closure.scm 81 */
																				BgL_objectz00_bglt BgL_auxz00_5406;

																				BgL_auxz00_5406 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2632));
																				BgL_auxz00_5405 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_5406);
																			}
																			BgL_auxz00_5404 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5405);
																		}
																		BgL_testz00_5403 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_5404))->
																			BgL_xzd2tzf3z21);
																	}
																	if (BgL_testz00_5403)
																		{	/* Cfa/closure.scm 81 */
																			if (
																				((((BgL_funz00_bglt) CREF(
																								((BgL_funz00_bglt)
																									((BgL_sfunz00_bglt)
																										(((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_funz00_2634))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																				{	/* Cfa/closure.scm 82 */
																					BgL_testz00_5401 = ((bool_t) 1);
																				}
																			else
																				{	/* Cfa/closure.scm 82 */
																					if (INTEGERP(BgL_siza7eza7_2637))
																						{	/* Cfa/closure.scm 83 */
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_cloz00_2635,
																									BGl_globalz00zzast_varz00))
																								{	/* Cfa/closure.scm 84 */
																									if (
																										((((BgL_globalz00_bglt)
																													CREF((
																															(BgL_globalz00_bglt)
																															BgL_cloz00_2635)))->
																												BgL_importz00) ==
																											CNST_TABLE_REF(((long)
																													0))))
																										{	/* Cfa/closure.scm 85 */
																											BgL_testz00_5401 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Cfa/closure.scm 85 */
																											BgL_testz00_5401 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Cfa/closure.scm 84 */
																									BgL_testz00_5401 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 83 */
																							BgL_testz00_5401 = ((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 81 */
																			BgL_testz00_5401 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_5401)
																{	/* Cfa/closure.scm 80 */
																	BNIL;
																}
															else
																{	/* Cfa/closure.scm 80 */
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5429;
																		{
																			obj_t BgL_auxz00_5430;

																			{	/* Cfa/closure.scm 102 */
																				BgL_objectz00_bglt BgL_auxz00_5431;

																				BgL_auxz00_5431 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2632));
																				BgL_auxz00_5430 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_5431);
																			}
																			BgL_auxz00_5429 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5430);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_5429))->BgL_xz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5437;
																		{
																			obj_t BgL_auxz00_5438;

																			{	/* Cfa/closure.scm 103 */
																				BgL_objectz00_bglt BgL_auxz00_5439;

																				BgL_auxz00_5439 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt) BgL_appz00_2632));
																				BgL_auxz00_5438 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_5439);
																			}
																			BgL_auxz00_5437 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5438);
																		}
																		((((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_5437))->BgL_tz00) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																	}
																}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l2731z00_5445;

									BgL_l2731z00_5445 = CDR(BgL_l2731z00_2629);
									BgL_l2731z00_2629 = BgL_l2731z00_5445;
									goto BgL_zc3anonymousza32774ze3z83_2630;
								}
							}
						else
							{	/* Cfa/closure.scm 72 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l2733z00_2656;

						BgL_l2733z00_2656 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32791ze3z83_2657:
						if (PAIRP(BgL_l2733z00_2656))
							{	/* Cfa/closure.scm 110 */
								{	/* Cfa/closure.scm 111 */
									obj_t BgL_allocz00_2659;

									BgL_allocz00_2659 = CAR(BgL_l2733z00_2656);
									{	/* Cfa/closure.scm 112 */
										BgL_valuez00_bglt BgL_fz00_2661;

										{
											BgL_variablez00_bglt BgL_auxz00_5452;

											{
												BgL_varz00_bglt BgL_auxz00_5453;

												{	/* Cfa/closure.scm 112 */
													obj_t BgL_pairz00_4813;

													BgL_pairz00_4813 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2659))))->
														BgL_argsz00);
													BgL_auxz00_5453 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4813));
												}
												BgL_auxz00_5452 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_5453))->
													BgL_variablez00);
											}
											BgL_fz00_2661 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_5452))->
												BgL_valuez00);
										}
										{	/* Cfa/closure.scm 114 */
											bool_t BgL_testz00_5461;

											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5462;

												{
													obj_t BgL_auxz00_5463;

													{	/* Cfa/closure.scm 114 */
														BgL_objectz00_bglt BgL_auxz00_5464;

														BgL_auxz00_5464 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_allocz00_2659));
														BgL_auxz00_5463 =
															BGL_OBJECT_WIDENING(BgL_auxz00_5464);
													}
													BgL_auxz00_5462 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_5463);
												}
												BgL_testz00_5461 =
													(((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_5462))->BgL_xz00);
											}
											if (BgL_testz00_5461)
												{	/* Cfa/closure.scm 114 */
													obj_t BgL_vz00_4821;

													BgL_vz00_4821 = CNST_TABLE_REF(((long) 1));
													((((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_fz00_2661)))->
															BgL_strengthz00) =
														((obj_t) BgL_vz00_4821), BUNSPEC);
												}
											else
												{	/* Cfa/closure.scm 115 */
													bool_t BgL_testz00_5473;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5474;

														{
															obj_t BgL_auxz00_5475;

															{	/* Cfa/closure.scm 115 */
																BgL_objectz00_bglt BgL_auxz00_5476;

																BgL_auxz00_5476 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_allocz00_2659));
																BgL_auxz00_5475 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_5476);
															}
															BgL_auxz00_5474 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5475);
														}
														BgL_testz00_5473 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																CREF(BgL_auxz00_5474))->BgL_tz00);
													}
													if (BgL_testz00_5473)
														{	/* Cfa/closure.scm 115 */
															obj_t BgL_vz00_4824;

															BgL_vz00_4824 = CNST_TABLE_REF(((long) 2));
															((((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_fz00_2661)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_4824), BUNSPEC);
														}
													else
														{	/* Cfa/closure.scm 116 */
															obj_t BgL_vz00_4827;

															BgL_vz00_4827 = CNST_TABLE_REF(((long) 3));
															((((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_fz00_2661)))->
																	BgL_strengthz00) =
																((obj_t) BgL_vz00_4827), BUNSPEC);
								}}}}}
								{
									obj_t BgL_l2733z00_5488;

									BgL_l2733z00_5488 = CDR(BgL_l2733z00_2656);
									BgL_l2733z00_2656 = BgL_l2733z00_5488;
									goto BgL_zc3anonymousza32791ze3z83_2657;
								}
							}
						else
							{	/* Cfa/closure.scm 110 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_3);
				}
			else
				{	/* Cfa/closure.scm 62 */
					return BFALSE;
				}
		}
	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_5300, obj_t BgL_globalsz00_5301)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_5301);
		}
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_4)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 132 */
			{
				obj_t BgL_l2735z00_2670;

				BgL_l2735z00_2670 = BgL_funcallzd2listzd2_4;
			BgL_zc3anonymousza32799ze3z83_2671:
				if (PAIRP(BgL_l2735z00_2670))
					{	/* Cfa/closure.scm 134 */
						{	/* Cfa/closure.scm 135 */
							BgL_funcallz00_bglt BgL_appz00_2673;

							BgL_appz00_2673 = ((BgL_funcallz00_bglt) CAR(BgL_l2735z00_2670));
							{	/* Cfa/closure.scm 136 */
								BgL_nodez00_bglt BgL_funz00_2674;

								BgL_funz00_2674 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2673))->BgL_funz00);
								{	/* Cfa/closure.scm 136 */
									BgL_approxz00_bglt BgL_approxz00_2675;

									BgL_approxz00_2675 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2674);
									{	/* Cfa/closure.scm 137 */
										obj_t BgL_allocz00_2676;

										BgL_allocz00_2676 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2675))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 138 */
											BgL_typez00_bglt BgL_typez00_2677;

											BgL_typez00_2677 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_2675))->
												BgL_typez00);
											{	/* Cfa/closure.scm 139 */
												bool_t BgL_topzf3zf3_2678;

												BgL_topzf3zf3_2678 =
													(((BgL_approxz00_bglt) CREF(BgL_approxz00_2675))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 140 */

													if (BgL_topzf3zf3_2678)
														{	/* Cfa/closure.scm 142 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(BGl_proc3353z00zzcfa_closurez00,
																BgL_approxz00_2675);
														}
													else
														{	/* Cfa/closure.scm 153 */
															bool_t BgL_testz00_5507;

															{	/* Cfa/closure.scm 153 */
																obj_t BgL_arg2812z00_2694;

																BgL_arg2812z00_2694 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_2676);
																BgL_testz00_5507 =
																	((long) CINT(BgL_arg2812z00_2694) ==
																	((long) 0));
															}
															if (BgL_testz00_5507)
																{	/* Cfa/closure.scm 153 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 156 */
																	bool_t BgL_testz00_5512;

																	{	/* Cfa/closure.scm 156 */
																		bool_t BgL_testz00_5513;

																		{	/* Cfa/closure.scm 156 */
																			obj_t BgL_arg2810z00_2693;

																			BgL_arg2810z00_2693 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_2676);
																			BgL_testz00_5513 =
																				((long) CINT(BgL_arg2810z00_2693) ==
																				((long) 1));
																		}
																		if (BgL_testz00_5513)
																			{	/* Cfa/closure.scm 157 */
																				obj_t BgL__ortest_1152z00_2692;

																				BgL__ortest_1152z00_2692 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1152z00_2692))
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_5512 =
																							CBOOL(BgL__ortest_1152z00_2692);
																					}
																				else
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_5512 =
																							(
																							((obj_t) BgL_typez00_2677) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 156 */
																				BgL_testz00_5512 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_5512)
																		{	/* Cfa/closure.scm 156 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 156 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(BGl_proc3354z00zzcfa_closurez00,
																				BgL_approxz00_2675);
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2735z00_5524;

							BgL_l2735z00_5524 = CDR(BgL_l2735z00_2670);
							BgL_l2735z00_2670 = BgL_l2735z00_5524;
							goto BgL_zc3anonymousza32799ze3z83_2671;
						}
					}
				else
					{	/* Cfa/closure.scm 134 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* &<anonymous:2802> */
	obj_t BGl_z62zc3anonymousza32802ze3ze1zzcfa_closurez00(obj_t BgL_envz00_5304,
		obj_t BgL_allocz00_5305)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 145 */
			{
				obj_t BgL_allocz00_2680;

				BgL_allocz00_2680 = BgL_allocz00_5305;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2680,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 146 */
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5528;

							{
								obj_t BgL_auxz00_5529;

								{	/* Cfa/closure.scm 150 */
									BgL_objectz00_bglt BgL_auxz00_5530;

									BgL_auxz00_5530 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_2680));
									BgL_auxz00_5529 = BGL_OBJECT_WIDENING(BgL_auxz00_5530);
								}
								BgL_auxz00_5528 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5529);
							}
							((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5528))->
									BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
						}
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5536;

							{
								obj_t BgL_auxz00_5537;

								{	/* Cfa/closure.scm 151 */
									BgL_objectz00_bglt BgL_auxz00_5538;

									BgL_auxz00_5538 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_2680));
									BgL_auxz00_5537 = BGL_OBJECT_WIDENING(BgL_auxz00_5538);
								}
								BgL_auxz00_5536 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5537);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5536))->
									BgL_xz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
						}
					}
				else
					{	/* Cfa/closure.scm 146 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2807> */
	obj_t BGl_z62zc3anonymousza32807ze3ze1zzcfa_closurez00(obj_t BgL_envz00_5306,
		obj_t BgL_allocz00_5307)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 164 */
			{
				obj_t BgL_allocz00_2687;

				BgL_allocz00_2687 = BgL_allocz00_5307;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2687,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 165 */
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5546;

							{
								obj_t BgL_auxz00_5547;

								{	/* Cfa/closure.scm 169 */
									BgL_objectz00_bglt BgL_auxz00_5548;

									BgL_auxz00_5548 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_2687));
									BgL_auxz00_5547 = BGL_OBJECT_WIDENING(BgL_auxz00_5548);
								}
								BgL_auxz00_5546 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5547);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5546))->
									BgL_xz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
						}
					}
				else
					{	/* Cfa/closure.scm 165 */
						return BFALSE;
					}
			}
		}
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 182 */
			{
				bool_t BgL_continuezf3zf3_2698;

				BgL_continuezf3zf3_2698 = ((bool_t) 1);
			BgL_zc3anonymousza32814ze3z83_2699:
				if (BgL_continuezf3zf3_2698)
					{	/* Cfa/closure.scm 187 */
						bool_t BgL_continuezf3zf3_2700;

						BgL_continuezf3zf3_2700 = ((bool_t) 0);
						{
							obj_t BgL_l2739z00_2702;

							BgL_l2739z00_2702 = BgL_funcallzd2listzd2_5;
						BgL_zc3anonymousza32815ze3z83_2703:
							if (PAIRP(BgL_l2739z00_2702))
								{	/* Cfa/closure.scm 188 */
									{	/* Cfa/closure.scm 190 */
										obj_t BgL_appz00_2705;

										BgL_appz00_2705 = CAR(BgL_l2739z00_2702);
										{	/* Cfa/closure.scm 191 */
											BgL_nodez00_bglt BgL_funz00_2706;

											BgL_funz00_2706 =
												(((BgL_funcallz00_bglt) CREF(
														((BgL_funcallz00_bglt) BgL_appz00_2705)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 191 */
												BgL_approxz00_bglt BgL_approxz00_2707;

												BgL_approxz00_2707 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2706);
												{	/* Cfa/closure.scm 192 */
													obj_t BgL_allocz00_2708;

													BgL_allocz00_2708 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt) CREF(BgL_approxz00_2707))->
															BgL_allocsz00));
													{	/* Cfa/closure.scm 193 */
														BgL_typez00_bglt BgL_typez00_2709;

														BgL_typez00_2709 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2707))->
															BgL_typez00);
														{	/* Cfa/closure.scm 194 */
															bool_t BgL_tzd2initzf3z21_2710;

															{	/* Cfa/closure.scm 195 */
																bool_t BgL__ortest_1153z00_2733;

																BgL__ortest_1153z00_2733 =
																	(((BgL_approxz00_bglt)
																		CREF(BgL_approxz00_2707))->BgL_topzf3zf3);
																if (BgL__ortest_1153z00_2733)
																	{	/* Cfa/closure.scm 195 */
																		BgL_tzd2initzf3z21_2710 =
																			BgL__ortest_1153z00_2733;
																	}
																else
																	{	/* Cfa/closure.scm 196 */
																		bool_t BgL_testz00_5566;

																		if (
																			(((obj_t) BgL_typez00_2709) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_5566 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_5566 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_5566)
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2710 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2710 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 195 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_2712;
																	obj_t BgL_allocsz00_2713;

																	BgL_onezd2nonzd2tzf3zf3_2712 =
																		BgL_tzd2initzf3z21_2710;
																	BgL_allocsz00_2713 = BgL_allocz00_2708;
																BgL_zc3anonymousza32817ze3z83_2714:
																	if (NULLP(BgL_allocsz00_2713))
																		{	/* Cfa/closure.scm 204 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 204 */
																			if (BgL_onezd2nonzd2tzf3zf3_2712)
																				{
																					obj_t BgL_l2737z00_2717;

																					{	/* Cfa/closure.scm 207 */
																						bool_t BgL_auxz00_5575;

																						BgL_l2737z00_2717 =
																							BgL_allocz00_2708;
																					BgL_zc3anonymousza32819ze3z83_2718:
																						if (PAIRP(BgL_l2737z00_2717))
																							{	/* Cfa/closure.scm 207 */
																								{	/* Cfa/closure.scm 209 */
																									obj_t BgL_allocz00_2720;

																									BgL_allocz00_2720 =
																										CAR(BgL_l2737z00_2717);
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_allocz00_2720,
																											BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 211 */
																											bool_t BgL_testz00_5581;

																											{
																												BgL_makezd2procedurezd2appz00_bglt
																													BgL_auxz00_5582;
																												{
																													obj_t BgL_auxz00_5583;

																													{	/* Cfa/closure.scm 211 */
																														BgL_objectz00_bglt
																															BgL_auxz00_5584;
																														BgL_auxz00_5584 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_appz00_bglt)
																																BgL_allocz00_2720));
																														BgL_auxz00_5583 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_5584);
																													}
																													BgL_auxz00_5582 =
																														(
																														(BgL_makezd2procedurezd2appz00_bglt)
																														BgL_auxz00_5583);
																												}
																												BgL_testz00_5581 =
																													(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5582))->BgL_tz00);
																											}
																											if (BgL_testz00_5581)
																												{	/* Cfa/closure.scm 211 */
																													{
																														BgL_makezd2procedurezd2appz00_bglt
																															BgL_auxz00_5590;
																														{
																															obj_t
																																BgL_auxz00_5591;
																															{	/* Cfa/closure.scm 213 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_5592;
																																BgL_auxz00_5592
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_appz00_bglt) BgL_allocz00_2720));
																																BgL_auxz00_5591
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_auxz00_5592);
																															}
																															BgL_auxz00_5590 =
																																(
																																(BgL_makezd2procedurezd2appz00_bglt)
																																BgL_auxz00_5591);
																														}
																														((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5590))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													}
																													BgL_continuezf3zf3_2700
																														= ((bool_t) 1);
																												}
																											else
																												{	/* Cfa/closure.scm 211 */
																													BFALSE;
																												}
																										}
																									else
																										{	/* Cfa/closure.scm 209 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l2737z00_5598;

																									BgL_l2737z00_5598 =
																										CDR(BgL_l2737z00_2717);
																									BgL_l2737z00_2717 =
																										BgL_l2737z00_5598;
																									goto
																										BgL_zc3anonymousza32819ze3z83_2718;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 207 */
																								BgL_auxz00_5575 = ((bool_t) 1);
																							}
																						BBOOL(BgL_auxz00_5575);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 216 */
																					bool_t BgL_testz00_5601;

																					{	/* Cfa/closure.scm 216 */
																						obj_t BgL_arg2828z00_2731;

																						BgL_arg2828z00_2731 =
																							CAR(BgL_allocsz00_2713);
																						BgL_testz00_5601 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg2828z00_2731,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_5601)
																						{	/* Cfa/closure.scm 217 */
																							BgL_appz00_bglt BgL_i1155z00_2727;

																							BgL_i1155z00_2727 =
																								((BgL_appz00_bglt)
																								CAR(BgL_allocsz00_2713));
																							{	/* Cfa/closure.scm 218 */
																								bool_t BgL_testz00_5606;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_5607;
																									{
																										obj_t BgL_auxz00_5608;

																										{	/* Cfa/closure.scm 218 */
																											BgL_objectz00_bglt
																												BgL_auxz00_5609;
																											BgL_auxz00_5609 =
																												((BgL_objectz00_bglt)
																												BgL_i1155z00_2727);
																											BgL_auxz00_5608 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_5609);
																										}
																										BgL_auxz00_5607 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_5608);
																									}
																									BgL_testz00_5606 =
																										(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5607))->BgL_tz00);
																								}
																								if (BgL_testz00_5606)
																									{
																										obj_t BgL_allocsz00_5614;

																										BgL_allocsz00_5614 =
																											CDR(BgL_allocsz00_2713);
																										BgL_allocsz00_2713 =
																											BgL_allocsz00_5614;
																										goto
																											BgL_zc3anonymousza32817ze3z83_2714;
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_5616;
																										BgL_onezd2nonzd2tzf3zf3_5616
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_2712
																											=
																											BgL_onezd2nonzd2tzf3zf3_5616;
																										goto
																											BgL_zc3anonymousza32817ze3z83_2714;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 216 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{
																									obj_t BgL_allocsz00_5619;

																									BgL_allocsz00_5619 =
																										CDR(BgL_allocsz00_2713);
																									BgL_allocsz00_2713 =
																										BgL_allocsz00_5619;
																									goto
																										BgL_zc3anonymousza32817ze3z83_2714;
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_5621;
																									BgL_onezd2nonzd2tzf3zf3_5621 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_2712 =
																										BgL_onezd2nonzd2tzf3zf3_5621;
																									goto
																										BgL_zc3anonymousza32817ze3z83_2714;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2739z00_5622;

										BgL_l2739z00_5622 = CDR(BgL_l2739z00_2702);
										BgL_l2739z00_2702 = BgL_l2739z00_5622;
										goto BgL_zc3anonymousza32815ze3z83_2703;
									}
								}
							else
								{	/* Cfa/closure.scm 188 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_5624;

							BgL_continuezf3zf3_5624 = BgL_continuezf3zf3_2700;
							BgL_continuezf3zf3_2698 = BgL_continuezf3zf3_5624;
							goto BgL_zc3anonymousza32814ze3z83_2699;
						}
					}
				else
					{	/* Cfa/closure.scm 185 */
						return BUNSPEC;
					}
			}
		}
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 252 */
			{
				obj_t BgL_appz00_2779;

				{
					obj_t BgL_appz00_2755;

					{
						obj_t BgL_l2741z00_2746;

						BgL_l2741z00_2746 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32835ze3z83_2747:
						if (PAIRP(BgL_l2741z00_2746))
							{	/* Cfa/closure.scm 294 */
								{	/* Cfa/closure.scm 295 */
									obj_t BgL_appz00_2749;

									BgL_appz00_2749 = CAR(BgL_l2741z00_2746);
									{	/* Cfa/closure.scm 297 */
										bool_t BgL_testz00_5628;

										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5629;

											{
												obj_t BgL_auxz00_5630;

												{	/* Cfa/closure.scm 297 */
													BgL_objectz00_bglt BgL_auxz00_5631;

													BgL_auxz00_5631 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_appz00_2749));
													BgL_auxz00_5630 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5631);
												}
												BgL_auxz00_5629 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_5630);
											}
											BgL_testz00_5628 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_5629))->BgL_xz00);
										}
										if (BgL_testz00_5628)
											{	/* Cfa/closure.scm 297 */
												BgL_appz00_2779 = BgL_appz00_2749;
												{	/* Cfa/closure.scm 256 */
													obj_t BgL_siza7eza7_2782;

													{	/* Cfa/closure.scm 256 */
														obj_t BgL_arg2877z00_2800;

														{	/* Cfa/closure.scm 256 */
															obj_t BgL_pairz00_4894;

															BgL_pairz00_4894 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_appz00_2779))))->
																BgL_argsz00);
															BgL_arg2877z00_2800 =
																CAR(CDR(CDR(BgL_pairz00_4894)));
														}
														BgL_siza7eza7_2782 =
															BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
															((BgL_nodez00_bglt) BgL_arg2877z00_2800));
													}
													{	/* Cfa/closure.scm 256 */
														BgL_variablez00_bglt BgL_ffunz00_2783;

														{
															BgL_varz00_bglt BgL_auxz00_5645;

															{	/* Cfa/closure.scm 257 */
																obj_t BgL_pairz00_4900;

																BgL_pairz00_4900 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_appz00_2779))))->
																	BgL_argsz00);
																BgL_auxz00_5645 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_4900));
															}
															BgL_ffunz00_2783 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_5645))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 257 */
															BgL_valuez00_bglt BgL_sfunz00_2784;

															BgL_sfunz00_2784 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_ffunz00_2783))->BgL_valuez00);
															{	/* Cfa/closure.scm 258 */

																if (
																	((long) CINT(BgL_siza7eza7_2782) <
																		((long) 1)))
																	{	/* Cfa/closure.scm 260 */
																		{	/* Cfa/closure.scm 261 */
																			bool_t BgL_testz00_5656;

																			{	/* Cfa/closure.scm 261 */
																				bool_t BgL_testz00_5657;

																				{	/* Cfa/closure.scm 261 */
																					bool_t BgL_res3280z00_4911;

																					BgL_res3280z00_4911 =
																						BGl_isazf3zf3zz__objectz00(
																						((obj_t) BgL_ffunz00_2783),
																						BGl_globalz00zzast_varz00);
																					BgL_testz00_5657 =
																						BgL_res3280z00_4911;
																				}
																				if (BgL_testz00_5657)
																					{	/* Cfa/closure.scm 262 */
																						bool_t BgL_testz00_5660;

																						{	/* Cfa/closure.scm 262 */
																							obj_t BgL_arg2869z00_2793;

																							BgL_arg2869z00_2793 =
																								(((BgL_funz00_bglt) CREF(
																										((BgL_funz00_bglt)
																											((BgL_sfunz00_bglt)
																												BgL_sfunz00_2784))))->
																								BgL_thezd2closurezd2);
																							BgL_testz00_5660 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_arg2869z00_2793,
																								BGl_globalz00zzast_varz00);
																						}
																						if (BgL_testz00_5660)
																							{	/* Cfa/closure.scm 263 */
																								BgL_valuez00_bglt
																									BgL_arg2867z00_2791;
																								BgL_arg2867z00_2791 =
																									(((BgL_variablez00_bglt)
																										CREF(((BgL_variablez00_bglt)
																												((BgL_globalz00_bglt) ((
																															(BgL_funz00_bglt)
																															CREF((
																																	(BgL_funz00_bglt)
																																	((BgL_sfunz00_bglt) BgL_sfunz00_2784))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																								{	/* Cfa/closure.scm 263 */
																									bool_t BgL_res3283z00_4922;

																									BgL_res3283z00_4922 =
																										BGl_isazf3zf3zz__objectz00(
																										((obj_t)
																											BgL_arg2867z00_2791),
																										BGl_scnstz00zzast_varz00);
																									BgL_testz00_5656 =
																										BgL_res3283z00_4922;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 262 */
																								BgL_testz00_5656 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Cfa/closure.scm 261 */
																						BgL_testz00_5656 = ((bool_t) 0);
																					}
																			}
																			if (BgL_testz00_5656)
																				{	/* Cfa/closure.scm 264 */
																					BgL_valuez00_bglt BgL_arg2862z00_2787;

																					BgL_arg2862z00_2787 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										(((BgL_funz00_bglt) CREF(
																													((BgL_funz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_sfunz00_2784))))->
																											BgL_thezd2closurezd2)))))->
																						BgL_valuez00);
																					{	/* Cfa/closure.scm 264 */
																						obj_t BgL_vz00_4929;

																						BgL_vz00_4929 =
																							CNST_TABLE_REF(((long) 6));
																						((((BgL_scnstz00_bglt) CREF(
																										((BgL_scnstz00_bglt)
																											BgL_arg2862z00_2787)))->
																								BgL_classz00) =
																							((obj_t) BgL_vz00_4929), BUNSPEC);
																				}}
																			else
																				{	/* Cfa/closure.scm 261 */
																					BFALSE;
																				}
																		}
																		{	/* Cfa/closure.scm 266 */
																			BgL_varz00_bglt BgL_arg2870z00_2794;

																			BgL_arg2870z00_2794 =
																				(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2779))))->
																				BgL_funz00);
																			{	/* Cfa/closure.scm 266 */
																				BgL_variablez00_bglt BgL_vz00_4932;

																				BgL_vz00_4932 =
																					((BgL_variablez00_bglt)
																					BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							CREF(BgL_arg2870z00_2794))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_4932), BUNSPEC);
																			}
																		}
																		{	/* Cfa/closure.scm 267 */
																			BgL_varz00_bglt BgL_arg2871z00_2795;

																			BgL_arg2871z00_2795 =
																				(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2779))))->
																				BgL_funz00);
																			{	/* Cfa/closure.scm 267 */
																				BgL_typez00_bglt BgL_vz00_4935;

																				BgL_vz00_4935 =
																					((BgL_typez00_bglt)
																					BGl_za2procedurezd2elza2zd2zztype_cachez00);
																				((((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_arg2871z00_2795)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_vz00_4935),
																					BUNSPEC);
																			}
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2779))))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																			BUNSPEC);
																	}
																else
																	{	/* Cfa/closure.scm 260 */
																		{	/* Cfa/closure.scm 270 */
																			BgL_varz00_bglt BgL_arg2872z00_2796;

																			BgL_arg2872z00_2796 =
																				(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2779))))->
																				BgL_funz00);
																			{	/* Cfa/closure.scm 270 */
																				BgL_variablez00_bglt BgL_vz00_4938;

																				BgL_vz00_4938 =
																					((BgL_variablez00_bglt)
																					BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							CREF(BgL_arg2872z00_2796))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_4938), BUNSPEC);
																			}
																		}
																		{	/* Cfa/closure.scm 271 */
																			BgL_varz00_bglt BgL_arg2874z00_2797;

																			BgL_arg2874z00_2797 =
																				(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2779))))->
																				BgL_funz00);
																			{	/* Cfa/closure.scm 271 */
																				BgL_typez00_bglt BgL_vz00_4941;

																				BgL_vz00_4941 =
																					((BgL_typez00_bglt)
																					BGl_za2procedurezd2elza2zd2zztype_cachez00);
																				((((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_arg2874z00_2797)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_vz00_4941),
																					BUNSPEC);
																			}
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2779))))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																			BUNSPEC);
																	}
															}
														}
													}
												}
												{
													obj_t BgL_auxz00_5712;

													{	/* Cfa/closure.scm 273 */
														obj_t BgL_pairz00_4943;

														BgL_pairz00_4943 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_appz00_2779))))->
															BgL_argsz00);
														{	/* Cfa/closure.scm 273 */
															obj_t BgL_pairz00_4946;

															BgL_pairz00_4946 = CDR(BgL_pairz00_4943);
															BgL_auxz00_5712 = CDR(BgL_pairz00_4946);
														}
													}
													((((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_appz00_2779))))->
															BgL_argsz00) =
														((obj_t) BgL_auxz00_5712), BUNSPEC);
												}
												BgL_appz00_2779;
											}
										else
											{	/* Cfa/closure.scm 298 */
												bool_t BgL_testz00_5721;

												{
													BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5722;

													{
														obj_t BgL_auxz00_5723;

														{	/* Cfa/closure.scm 298 */
															BgL_objectz00_bglt BgL_auxz00_5724;

															BgL_auxz00_5724 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_2749));
															BgL_auxz00_5723 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5724);
														}
														BgL_auxz00_5722 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_auxz00_5723);
													}
													BgL_testz00_5721 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_5722))->BgL_tz00);
												}
												if (BgL_testz00_5721)
													{	/* Cfa/closure.scm 298 */
														BgL_appz00_2755 = BgL_appz00_2749;
														{	/* Cfa/closure.scm 278 */
															obj_t BgL_siza7eza7_2758;

															{	/* Cfa/closure.scm 278 */
																obj_t BgL_arg2857z00_2776;

																{	/* Cfa/closure.scm 278 */
																	obj_t BgL_pairz00_4947;

																	BgL_pairz00_4947 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_appz00_2755))))->BgL_argsz00);
																	BgL_arg2857z00_2776 =
																		CAR(CDR(CDR(BgL_pairz00_4947)));
																}
																BgL_siza7eza7_2758 =
																	BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00
																	(((BgL_nodez00_bglt) BgL_arg2857z00_2776));
															}
															{	/* Cfa/closure.scm 278 */
																BgL_variablez00_bglt BgL_ffunz00_2759;

																{
																	BgL_varz00_bglt BgL_auxz00_5738;

																	{	/* Cfa/closure.scm 279 */
																		obj_t BgL_pairz00_4953;

																		BgL_pairz00_4953 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_appz00_2755))))->BgL_argsz00);
																		BgL_auxz00_5738 =
																			((BgL_varz00_bglt) CAR(BgL_pairz00_4953));
																	}
																	BgL_ffunz00_2759 =
																		(((BgL_varz00_bglt) CREF(BgL_auxz00_5738))->
																		BgL_variablez00);
																}
																{	/* Cfa/closure.scm 279 */
																	BgL_valuez00_bglt BgL_sfunz00_2760;

																	BgL_sfunz00_2760 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_ffunz00_2759))->BgL_valuez00);
																	{	/* Cfa/closure.scm 280 */

																		{	/* Cfa/closure.scm 281 */
																			bool_t BgL_testz00_5746;

																			{	/* Cfa/closure.scm 281 */
																				bool_t BgL_testz00_5747;

																				{	/* Cfa/closure.scm 281 */
																					bool_t BgL_res3287z00_4961;

																					BgL_res3287z00_4961 =
																						BGl_isazf3zf3zz__objectz00(
																						((obj_t) BgL_ffunz00_2759),
																						BGl_globalz00zzast_varz00);
																					BgL_testz00_5747 =
																						BgL_res3287z00_4961;
																				}
																				if (BgL_testz00_5747)
																					{	/* Cfa/closure.scm 282 */
																						bool_t BgL_testz00_5750;

																						{	/* Cfa/closure.scm 282 */
																							obj_t BgL_arg2849z00_2768;

																							BgL_arg2849z00_2768 =
																								(((BgL_funz00_bglt) CREF(
																										((BgL_funz00_bglt)
																											((BgL_sfunz00_bglt)
																												BgL_sfunz00_2760))))->
																								BgL_thezd2closurezd2);
																							BgL_testz00_5750 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_arg2849z00_2768,
																								BGl_globalz00zzast_varz00);
																						}
																						if (BgL_testz00_5750)
																							{	/* Cfa/closure.scm 283 */
																								BgL_valuez00_bglt
																									BgL_arg2847z00_2766;
																								BgL_arg2847z00_2766 =
																									(((BgL_variablez00_bglt)
																										CREF(((BgL_variablez00_bglt)
																												((BgL_globalz00_bglt) ((
																															(BgL_funz00_bglt)
																															CREF((
																																	(BgL_funz00_bglt)
																																	((BgL_sfunz00_bglt) BgL_sfunz00_2760))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																								{	/* Cfa/closure.scm 283 */
																									bool_t BgL_res3290z00_4972;

																									BgL_res3290z00_4972 =
																										BGl_isazf3zf3zz__objectz00(
																										((obj_t)
																											BgL_arg2847z00_2766),
																										BGl_scnstz00zzast_varz00);
																									BgL_testz00_5746 =
																										BgL_res3290z00_4972;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 282 */
																								BgL_testz00_5746 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Cfa/closure.scm 281 */
																						BgL_testz00_5746 = ((bool_t) 0);
																					}
																			}
																			if (BgL_testz00_5746)
																				{	/* Cfa/closure.scm 284 */
																					BgL_valuez00_bglt BgL_arg2843z00_2762;

																					BgL_arg2843z00_2762 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										(((BgL_funz00_bglt) CREF(
																													((BgL_funz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_sfunz00_2760))))->
																											BgL_thezd2closurezd2)))))->
																						BgL_valuez00);
																					{	/* Cfa/closure.scm 284 */
																						obj_t BgL_vz00_4979;

																						BgL_vz00_4979 =
																							CNST_TABLE_REF(((long) 7));
																						((((BgL_scnstz00_bglt) CREF(
																										((BgL_scnstz00_bglt)
																											BgL_arg2843z00_2762)))->
																								BgL_classz00) =
																							((obj_t) BgL_vz00_4979), BUNSPEC);
																				}}
																			else
																				{	/* Cfa/closure.scm 281 */
																					BFALSE;
																				}
																		}
																		{	/* Cfa/closure.scm 286 */
																			BgL_varz00_bglt BgL_arg2850z00_2769;

																			BgL_arg2850z00_2769 =
																				(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2755))))->
																				BgL_funz00);
																			{	/* Cfa/closure.scm 286 */
																				BgL_variablez00_bglt BgL_vz00_4982;

																				BgL_vz00_4982 =
																					((BgL_variablez00_bglt)
																					BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							CREF(BgL_arg2850z00_2769))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_4982), BUNSPEC);
																			}
																		}
																		{	/* Cfa/closure.scm 288 */
																			BgL_varz00_bglt BgL_arg2851z00_2770;

																			BgL_arg2851z00_2770 =
																				(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2755))))->
																				BgL_funz00);
																			{	/* Cfa/closure.scm 288 */
																				BgL_typez00_bglt BgL_vz00_4985;

																				BgL_vz00_4985 =
																					((BgL_typez00_bglt)
																					BGl_za2procedureza2z00zztype_cachez00);
																				((((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_arg2851z00_2770)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_vz00_4985),
																					BUNSPEC);
																			}
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2755))))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2procedureza2z00zztype_cachez00)),
																			BUNSPEC);
																		{	/* Cfa/closure.scm 290 */
																			obj_t BgL_arg2852z00_2771;
																			obj_t BgL_arg2853z00_2772;

																			BgL_arg2852z00_2771 =
																				(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_appz00_2755))))->
																				BgL_argsz00);
																			{	/* Cfa/closure.scm 290 */
																				obj_t BgL_pairz00_4987;

																				BgL_pairz00_4987 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_appz00_2755))))->
																					BgL_argsz00);
																				BgL_arg2853z00_2772 =
																					CDR(CDR(BgL_pairz00_4987));
																			}
																			SET_CDR(BgL_arg2852z00_2771,
																				BgL_arg2853z00_2772);
																		}
																		BgL_appz00_2755;
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/closure.scm 298 */
														BFALSE;
													}
											}
									}
								}
								{
									obj_t BgL_l2741z00_5796;

									BgL_l2741z00_5796 = CDR(BgL_l2741z00_2746);
									BgL_l2741z00_2746 = BgL_l2741z00_5796;
									goto BgL_zc3anonymousza32835ze3z83_2747;
								}
							}
						else
							{	/* Cfa/closure.scm 294 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 304 */
			{
				obj_t BgL_l2748z00_2805;

				BgL_l2748z00_2805 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3anonymousza32880ze3z83_2806:
				if (PAIRP(BgL_l2748z00_2805))
					{	/* Cfa/closure.scm 305 */
						{	/* Cfa/closure.scm 306 */
							BgL_funcallz00_bglt BgL_appz00_2808;

							BgL_appz00_2808 = ((BgL_funcallz00_bglt) CAR(BgL_l2748z00_2805));
							{	/* Cfa/closure.scm 307 */
								BgL_nodez00_bglt BgL_funz00_2809;

								BgL_funz00_2809 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2808))->BgL_funz00);
								{	/* Cfa/closure.scm 307 */
									BgL_approxz00_bglt BgL_approxz00_2810;

									BgL_approxz00_2810 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2809);
									{	/* Cfa/closure.scm 308 */
										obj_t BgL_alloczd2listzd2_2811;

										BgL_alloczd2listzd2_2811 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2810))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 309 */

											{	/* Cfa/closure.scm 310 */
												bool_t BgL_testz00_5806;

												if (PAIRP(BgL_alloczd2listzd2_2811))
													{	/* Cfa/closure.scm 311 */
														bool_t BgL_testz00_5809;

														{	/* Cfa/closure.scm 311 */
															obj_t BgL_arg2911z00_2851;

															BgL_arg2911z00_2851 =
																CAR(BgL_alloczd2listzd2_2811);
															BgL_testz00_5809 =
																BGl_isazf3zf3zz__objectz00(BgL_arg2911z00_2851,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_5809)
															{	/* Cfa/closure.scm 311 */
																BgL_testz00_5806 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 311 */
																BgL_testz00_5806 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 310 */
														BgL_testz00_5806 = ((bool_t) 1);
													}
												if (BgL_testz00_5806)
													{	/* Cfa/closure.scm 310 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 315 */
														BgL_appz00_bglt BgL_allocz00_2813;

														BgL_allocz00_2813 =
															((BgL_appz00_bglt) CAR(BgL_alloczd2listzd2_2811));
														{	/* Cfa/closure.scm 318 */
															bool_t BgL_testz00_5815;

															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_5816;
																{
																	obj_t BgL_auxz00_5817;

																	{	/* Cfa/closure.scm 318 */
																		BgL_objectz00_bglt BgL_auxz00_5818;

																		BgL_auxz00_5818 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) BgL_allocz00_2813));
																		BgL_auxz00_5817 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_5818);
																	}
																	BgL_auxz00_5816 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_5817);
																}
																BgL_testz00_5815 =
																	(((BgL_makezd2procedurezd2appz00_bglt)
																		CREF(BgL_auxz00_5816))->BgL_xz00);
															}
															if (BgL_testz00_5815)
																{	/* Cfa/closure.scm 318 */
																	{	/* Cfa/closure.scm 323 */
																		BgL_varz00_bglt BgL_arg2884z00_2816;

																		{	/* Cfa/closure.scm 323 */
																			BgL_varz00_bglt
																				BgL_duplicated1162z00_2817;
																			BgL_varz00_bglt BgL_new1161z00_2818;

																			{	/* Cfa/closure.scm 323 */
																				obj_t BgL_pairz00_5011;

																				BgL_pairz00_5011 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_2813))))->
																					BgL_argsz00);
																				BgL_duplicated1162z00_2817 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_5011));
																			}
																			{	/* Cfa/closure.scm 324 */
																				BgL_varz00_bglt BgL_new1163z00_2827;

																				BgL_new1163z00_2827 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Cfa/closure.scm 324 */
																					long BgL_arg2895z00_2828;

																					{	/* Cfa/closure.scm 324 */
																						long BgL_res3297z00_5013;

																						BgL_res3297z00_5013 =
																							BGL_CLASS_INDEX
																							(BGl_varz00zzast_nodez00);
																						BgL_arg2895z00_2828 =
																							BgL_res3297z00_5013;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1163z00_2827),
																						BgL_arg2895z00_2828);
																				}
																				{	/* Cfa/closure.scm 324 */
																					BgL_objectz00_bglt BgL_auxz00_5833;

																					BgL_auxz00_5833 =
																						((BgL_objectz00_bglt)
																						BgL_new1163z00_2827);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_5833, BFALSE);
																				}
																				BgL_new1161z00_2818 =
																					BgL_new1163z00_2827;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1161z00_2818)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_duplicated1162z00_2817)))->
																						BgL_locz00)), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_5840;

																				{	/* Cfa/closure.scm 325 */
																					obj_t BgL_arg2885z00_2819;
																					BgL_typez00_bglt BgL_arg2886z00_2820;

																					{	/* Cfa/closure.scm 325 */
																						BgL_approxz00_bglt
																							BgL_arg2888z00_2821;
																						obj_t BgL_arg2890z00_2822;

																						{
																							BgL_makezd2procedurezd2appz00_bglt
																								BgL_auxz00_5842;
																							{
																								obj_t BgL_auxz00_5843;

																								{	/* Cfa/closure.scm 325 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5844;
																									BgL_auxz00_5844 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt)
																											BgL_allocz00_2813));
																									BgL_auxz00_5843 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_5844);
																								}
																								BgL_auxz00_5842 =
																									(
																									(BgL_makezd2procedurezd2appz00_bglt)
																									BgL_auxz00_5843);
																							}
																							BgL_arg2888z00_2821 =
																								(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5842))->BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 325 */
																							obj_t BgL_pairz00_5016;

																							BgL_pairz00_5016 =
																								(((BgL_appz00_bglt) CREF(
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_allocz00_2813))))->
																								BgL_argsz00);
																							BgL_arg2890z00_2822 =
																								CAR(BgL_pairz00_5016);
																						}
																						BgL_arg2885z00_2819 =
																							BGl_getzd2approxzd2typez00zzcfa_typez00
																							(BgL_arg2888z00_2821,
																							BgL_arg2890z00_2822);
																					}
																					{
																						BgL_nodez00_bglt BgL_auxz00_5855;

																						{
																							BgL_varz00_bglt BgL_auxz00_5856;

																							{	/* Cfa/closure.scm 326 */
																								obj_t BgL_pairz00_5017;

																								BgL_pairz00_5017 =
																									(((BgL_appz00_bglt) CREF(
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_allocz00_2813))))->
																									BgL_argsz00);
																								BgL_auxz00_5856 =
																									((BgL_varz00_bglt)
																									CAR(BgL_pairz00_5017));
																							}
																							BgL_auxz00_5855 =
																								((BgL_nodez00_bglt)
																								BgL_auxz00_5856);
																						}
																						BgL_arg2886z00_2820 =
																							(((BgL_nodez00_bglt)
																								CREF(BgL_auxz00_5855))->
																							BgL_typez00);
																					}
																					BgL_auxz00_5840 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(((BgL_typez00_bglt)
																							BgL_arg2885z00_2819),
																						BgL_arg2886z00_2820);
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1161z00_2818)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_5840),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1161z00_2818))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) ((
																							(BgL_varz00_bglt)
																							CREF
																							(BgL_duplicated1162z00_2817))->
																						BgL_variablez00)), BUNSPEC);
																			BgL_arg2884z00_2816 = BgL_new1161z00_2818;
																		}
																		((((BgL_funcallz00_bglt)
																					CREF(BgL_appz00_2808))->BgL_funz00) =
																			((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																					BgL_arg2884z00_2816)), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 327 */
																		obj_t BgL_arg2897z00_2829;

																		{	/* Cfa/closure.scm 327 */
																			obj_t BgL_arg2898z00_2830;

																			{	/* Cfa/closure.scm 327 */
																				obj_t BgL_pairz00_5024;

																				BgL_pairz00_5024 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								((BgL_appz00_bglt)
																									BgL_allocz00_2813))))->
																					BgL_argsz00);
																				BgL_arg2898z00_2830 =
																					CAR(BgL_pairz00_5024);
																			}
																			{	/* Cfa/closure.scm 327 */
																				obj_t BgL_list2899z00_2831;

																				BgL_list2899z00_2831 =
																					MAKE_PAIR(BgL_arg2898z00_2830, BNIL);
																				BgL_arg2897z00_2829 =
																					BgL_list2899z00_2831;
																		}}
																		((((BgL_funcallz00_bglt)
																					CREF(BgL_appz00_2808))->
																				BgL_functionsz00) =
																			((obj_t) BgL_arg2897z00_2829), BUNSPEC);
																	}
																	{	/* Cfa/closure.scm 328 */
																		obj_t BgL_vz00_5031;

																		BgL_vz00_5031 = CNST_TABLE_REF(((long) 1));
																		((((BgL_funcallz00_bglt)
																					CREF(BgL_appz00_2808))->
																				BgL_strengthz00) =
																			((obj_t) BgL_vz00_5031), BUNSPEC);
																}}
															else
																{	/* Cfa/closure.scm 329 */
																	bool_t BgL_testz00_5879;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5880;
																		{
																			obj_t BgL_auxz00_5881;

																			{	/* Cfa/closure.scm 329 */
																				BgL_objectz00_bglt BgL_auxz00_5882;

																				BgL_auxz00_5882 =
																					((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_allocz00_2813));
																				BgL_auxz00_5881 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_5882);
																			}
																			BgL_auxz00_5880 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5881);
																		}
																		BgL_testz00_5879 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_5880))->BgL_tz00);
																	}
																	if (BgL_testz00_5879)
																		{	/* Cfa/closure.scm 329 */
																			{	/* Cfa/closure.scm 332 */
																				obj_t BgL_fz00_2834;

																				if (NULLP(BgL_alloczd2listzd2_2811))
																					{	/* Cfa/closure.scm 332 */
																						BgL_fz00_2834 = BNIL;
																					}
																				else
																					{	/* Cfa/closure.scm 332 */
																						obj_t BgL_head2745z00_2837;

																						{	/* Cfa/closure.scm 332 */
																							obj_t BgL_res3301z00_5037;

																							BgL_res3301z00_5037 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_head2745z00_2837 =
																								BgL_res3301z00_5037;
																						}
																						{
																							obj_t BgL_l2743z00_2839;
																							obj_t BgL_tail2746z00_2840;

																							BgL_l2743z00_2839 =
																								BgL_alloczd2listzd2_2811;
																							BgL_tail2746z00_2840 =
																								BgL_head2745z00_2837;
																						BgL_zc3anonymousza32903ze3z83_2841:
																							if (NULLP(BgL_l2743z00_2839))
																								{	/* Cfa/closure.scm 332 */
																									BgL_fz00_2834 =
																										CDR(BgL_head2745z00_2837);
																								}
																							else
																								{	/* Cfa/closure.scm 332 */
																									obj_t BgL_newtail2747z00_2843;

																									{	/* Cfa/closure.scm 332 */
																										obj_t BgL_arg2907z00_2845;

																										{	/* Cfa/closure.scm 333 */
																											obj_t BgL_pairz00_5044;

																											BgL_pairz00_5044 =
																												(((BgL_appz00_bglt)
																													CREF((
																															(BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																CAR
																																(BgL_l2743z00_2839)))))->
																												BgL_argsz00);
																											BgL_arg2907z00_2845 =
																												CAR(BgL_pairz00_5044);
																										}
																										{	/* Cfa/closure.scm 332 */
																											obj_t BgL_res3303z00_5047;

																											BgL_res3303z00_5047 =
																												MAKE_PAIR
																												(BgL_arg2907z00_2845,
																												BNIL);
																											BgL_newtail2747z00_2843 =
																												BgL_res3303z00_5047;
																										}
																									}
																									SET_CDR(BgL_tail2746z00_2840,
																										BgL_newtail2747z00_2843);
																									{
																										obj_t BgL_tail2746z00_5903;
																										obj_t BgL_l2743z00_5901;

																										BgL_l2743z00_5901 =
																											CDR(BgL_l2743z00_2839);
																										BgL_tail2746z00_5903 =
																											BgL_newtail2747z00_2843;
																										BgL_tail2746z00_2840 =
																											BgL_tail2746z00_5903;
																										BgL_l2743z00_2839 =
																											BgL_l2743z00_5901;
																										goto
																											BgL_zc3anonymousza32903ze3z83_2841;
																									}
																								}
																						}
																					}
																				((((BgL_funcallz00_bglt)
																							CREF(BgL_appz00_2808))->
																						BgL_functionsz00) =
																					((obj_t) BgL_fz00_2834), BUNSPEC);
																				{	/* Cfa/closure.scm 336 */
																					obj_t BgL_vz00_5055;

																					BgL_vz00_5055 =
																						CNST_TABLE_REF(((long) 2));
																					((((BgL_funcallz00_bglt)
																								CREF(BgL_appz00_2808))->
																							BgL_strengthz00) =
																						((obj_t) BgL_vz00_5055), BUNSPEC);
																		}}}
																	else
																		{	/* Cfa/closure.scm 329 */
																			CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}
						{
							obj_t BgL_l2748z00_5908;

							BgL_l2748z00_5908 = CDR(BgL_l2748z00_2805);
							BgL_l2748z00_2805 = BgL_l2748z00_5908;
							goto BgL_zc3anonymousza32880ze3z83_2806;
						}
					}
				else
					{	/* Cfa/closure.scm 305 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 344 */
					obj_t BgL_funcallzd2lzd2_2855;

					BgL_funcallzd2lzd2_2855 =
						BGl_zc3anonymousza32922ze3z83zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{

					BgL_zc3anonymousza32914ze3z83_2857:
						{	/* Cfa/closure.scm 348 */
							bool_t BgL_contz00_2858;

							BgL_contz00_2858 = ((bool_t) 0);
							{
								obj_t BgL_l2755z00_2860;

								BgL_l2755z00_2860 = BgL_funcallzd2lzd2_2855;
							BgL_zc3anonymousza32915ze3z83_2861:
								if (PAIRP(BgL_l2755z00_2860))
									{	/* Cfa/closure.scm 349 */
										{	/* Cfa/closure.scm 350 */
											BgL_funcallz00_bglt BgL_appz00_2863;

											BgL_appz00_2863 =
												((BgL_funcallz00_bglt) CAR(BgL_l2755z00_2860));
											{	/* Cfa/closure.scm 350 */
												BgL_nodez00_bglt BgL_funz00_2864;

												BgL_funz00_2864 =
													(((BgL_funcallz00_bglt) CREF(BgL_appz00_2863))->
													BgL_funz00);
												{	/* Cfa/closure.scm 350 */
													BgL_approxz00_bglt BgL_approxz00_2865;

													BgL_approxz00_2865 =
														BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2864);
													{	/* Cfa/closure.scm 351 */
														obj_t BgL_appsz00_2866;

														BgL_appsz00_2866 =
															BGl_setzd2ze3listz31zzcfa_setz00(
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2865))->
																BgL_allocsz00));
														{	/* Cfa/closure.scm 352 */

															{	/* Cfa/closure.scm 353 */
																bool_t BgL_testz00_5921;

																if (PAIRP(BgL_appsz00_2866))
																	{	/* Cfa/closure.scm 353 */
																		obj_t BgL_auxz00_5924;

																		BgL_auxz00_5924 = CDR(BgL_appsz00_2866);
																		BgL_testz00_5921 = PAIRP(BgL_auxz00_5924);
																	}
																else
																	{	/* Cfa/closure.scm 353 */
																		BgL_testz00_5921 = ((bool_t) 0);
																	}
																if (BgL_testz00_5921)
																	{	/* Cfa/closure.scm 355 */
																		bool_t BgL__ortest_1164z00_2868;

																		BgL__ortest_1164z00_2868 =
																			BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																			(BgL_appsz00_2866);
																		if (BgL__ortest_1164z00_2868)
																			{	/* Cfa/closure.scm 355 */
																				BgL_contz00_2858 =
																					BgL__ortest_1164z00_2868;
																			}
																		else
																			{	/* Cfa/closure.scm 355 */
																				BgL_contz00_2858 = BgL_contz00_2858;
																			}
																	}
																else
																	{	/* Cfa/closure.scm 353 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
										}
										{
											obj_t BgL_l2755z00_5929;

											BgL_l2755z00_5929 = CDR(BgL_l2755z00_2860);
											BgL_l2755z00_2860 = BgL_l2755z00_5929;
											goto BgL_zc3anonymousza32915ze3z83_2861;
										}
									}
								else
									{	/* Cfa/closure.scm 349 */
										((bool_t) 1);
									}
							}
							if (BgL_contz00_2858)
								{	/* Cfa/closure.scm 357 */
									goto BgL_zc3anonymousza32914ze3z83_2857;
								}
							else
								{	/* Cfa/closure.scm 357 */
									return ((bool_t) 0);
								}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 341 */
					return ((bool_t) 0);
				}
		}
	}



/* <anonymous:2922> */
	obj_t BGl_zc3anonymousza32922ze3z83zzcfa_closurez00(obj_t BgL_lis2751z00_2876)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 344 */
		BGl_zc3anonymousza32922ze3z83zzcfa_closurez00:
			if (NULLP(BgL_lis2751z00_2876))
				{	/* Cfa/closure.scm 344 */
					return BgL_lis2751z00_2876;
				}
			else
				{	/* Cfa/closure.scm 344 */
					obj_t BgL_head2752z00_2879;
					obj_t BgL_tail2753z00_2880;

					BgL_head2752z00_2879 = CAR(BgL_lis2751z00_2876);
					BgL_tail2753z00_2880 = CDR(BgL_lis2751z00_2876);
					if (
						((((BgL_funcallz00_bglt) CREF(
										((BgL_funcallz00_bglt) BgL_head2752z00_2879)))->
								BgL_strengthz00) == CNST_TABLE_REF(((long) 2))))
						{	/* Cfa/closure.scm 344 */
							obj_t BgL_newzd2tail2754zd2_2882;

							BgL_newzd2tail2754zd2_2882 =
								BGl_zc3anonymousza32922ze3z83zzcfa_closurez00
								(BgL_tail2753z00_2880);
							if ((BgL_tail2753z00_2880 == BgL_newzd2tail2754zd2_2882))
								{	/* Cfa/closure.scm 344 */
									return BgL_lis2751z00_2876;
								}
							else
								{	/* Cfa/closure.scm 344 */
									obj_t BgL_res3307z00_5070;

									BgL_res3307z00_5070 =
										MAKE_PAIR(BgL_head2752z00_2879, BgL_newzd2tail2754zd2_2882);
									return BgL_res3307z00_5070;
								}
						}
					else
						{
							obj_t BgL_lis2751z00_5945;

							BgL_lis2751z00_5945 = BgL_tail2753z00_2880;
							BgL_lis2751z00_2876 = BgL_lis2751z00_5945;
							goto BGl_zc3anonymousza32922ze3z83zzcfa_closurez00;
						}
				}
		}
	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_8)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 363 */
			{
				BgL_appz00_bglt BgL_app0z00_2900;
				BgL_appz00_bglt BgL_app1z00_2901;

				{	/* Cfa/closure.scm 415 */
					obj_t BgL_g1168z00_2888;

					BgL_g1168z00_2888 = CDR(BgL_apps0z00_8);
					{
						obj_t BgL_appsz00_2890;
						bool_t BgL_contz00_2891;

						BgL_appsz00_2890 = BgL_g1168z00_2888;
						BgL_contz00_2891 = ((bool_t) 0);
					BgL_zc3anonymousza32927ze3z83_2892:
						if (NULLP(BgL_appsz00_2890))
							{	/* Cfa/closure.scm 417 */
								return BgL_contz00_2891;
							}
						else
							{	/* Cfa/closure.scm 421 */
								obj_t BgL_arg2929z00_2894;
								bool_t BgL_arg2930z00_2895;

								BgL_arg2929z00_2894 = CDR(BgL_appsz00_2890);
								{	/* Cfa/closure.scm 421 */
									bool_t BgL__ortest_1169z00_2896;

									{	/* Cfa/closure.scm 421 */
										obj_t BgL_arg2931z00_2897;
										obj_t BgL_arg2932z00_2898;

										BgL_arg2931z00_2897 = CAR(BgL_apps0z00_8);
										BgL_arg2932z00_2898 = CAR(BgL_appsz00_2890);
										BgL_app0z00_2900 = ((BgL_appz00_bglt) BgL_arg2931z00_2897);
										BgL_app1z00_2901 = ((BgL_appz00_bglt) BgL_arg2932z00_2898);
										{	/* Cfa/closure.scm 366 */
											BgL_variablez00_bglt BgL_f0z00_2903;

											{
												BgL_varz00_bglt BgL_auxz00_5952;

												{	/* Cfa/closure.scm 366 */
													obj_t BgL_pairz00_5087;

													BgL_pairz00_5087 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_app0z00_2900)))->
														BgL_argsz00);
													BgL_auxz00_5952 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_5087));
												}
												BgL_f0z00_2903 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_5952))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 366 */
												BgL_variablez00_bglt BgL_f1z00_2904;

												{
													BgL_varz00_bglt BgL_auxz00_5958;

													{	/* Cfa/closure.scm 367 */
														obj_t BgL_pairz00_5093;

														BgL_pairz00_5093 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_app1z00_2901)))->
															BgL_argsz00);
														BgL_auxz00_5958 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_5093));
													}
													BgL_f1z00_2904 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_5958))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 367 */

													{	/* Cfa/closure.scm 368 */
														obj_t BgL_g1165z00_2905;
														obj_t BgL_g1166z00_2906;

														{	/* Cfa/closure.scm 368 */
															obj_t BgL_pairz00_5102;

															BgL_pairz00_5102 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f0z00_2903))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1165z00_2905 = CDR(BgL_pairz00_5102);
														}
														{	/* Cfa/closure.scm 369 */
															obj_t BgL_pairz00_5108;

															BgL_pairz00_5108 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f1z00_2904))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1166z00_2906 = CDR(BgL_pairz00_5108);
														}
														{
															obj_t BgL_a0z00_2908;
															obj_t BgL_a1z00_2909;
															bool_t BgL_contz00_2910;

															BgL_a0z00_2908 = BgL_g1165z00_2905;
															BgL_a1z00_2909 = BgL_g1166z00_2906;
															BgL_contz00_2910 = ((bool_t) 0);
														BgL_zc3anonymousza32934ze3z83_2911:
															{	/* Cfa/closure.scm 371 */
																bool_t BgL_testz00_5972;

																if (PAIRP(BgL_a0z00_2908))
																	{	/* Cfa/closure.scm 371 */
																		BgL_testz00_5972 = PAIRP(BgL_a1z00_2909);
																	}
																else
																	{	/* Cfa/closure.scm 371 */
																		BgL_testz00_5972 = ((bool_t) 0);
																	}
																if (BgL_testz00_5972)
																	{	/* Cfa/closure.scm 372 */
																		BgL_approxz00_bglt BgL_p0z00_2913;

																		{
																			BgL_svarzf2cinfozf2_bglt BgL_auxz00_5976;

																			{
																				obj_t BgL_auxz00_5977;

																				{	/* Cfa/closure.scm 372 */
																					BgL_objectz00_bglt BgL_auxz00_5978;

																					BgL_auxz00_5978 =
																						((BgL_objectz00_bglt)
																						((BgL_svarz00_bglt)
																							(((BgL_variablez00_bglt) CREF(
																										((BgL_variablez00_bglt)
																											CAR(BgL_a0z00_2908))))->
																								BgL_valuez00)));
																					BgL_auxz00_5977 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5978);
																				}
																				BgL_auxz00_5976 =
																					((BgL_svarzf2cinfozf2_bglt)
																					BgL_auxz00_5977);
																			}
																			BgL_p0z00_2913 =
																				(((BgL_svarzf2cinfozf2_bglt)
																					CREF(BgL_auxz00_5976))->
																				BgL_approxz00);
																		}
																		{	/* Cfa/closure.scm 372 */
																			BgL_approxz00_bglt BgL_p1z00_2914;

																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_5987;
																				{
																					obj_t BgL_auxz00_5988;

																					{	/* Cfa/closure.scm 373 */
																						BgL_objectz00_bglt BgL_auxz00_5989;

																						BgL_auxz00_5989 =
																							((BgL_objectz00_bglt)
																							((BgL_svarz00_bglt)
																								(((BgL_variablez00_bglt) CREF(
																											((BgL_variablez00_bglt)
																												CAR(BgL_a1z00_2909))))->
																									BgL_valuez00)));
																						BgL_auxz00_5988 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_5989);
																					}
																					BgL_auxz00_5987 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_5988);
																				}
																				BgL_p1z00_2914 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						CREF(BgL_auxz00_5987))->
																					BgL_approxz00);
																			}
																			{	/* Cfa/closure.scm 373 */
																				BgL_typez00_bglt BgL_t0z00_2915;

																				BgL_t0z00_2915 =
																					(((BgL_approxz00_bglt)
																						CREF(BgL_p0z00_2913))->BgL_typez00);
																				{	/* Cfa/closure.scm 374 */
																					BgL_typez00_bglt BgL_t1z00_2916;

																					BgL_t1z00_2916 =
																						(((BgL_approxz00_bglt)
																							CREF(BgL_p1z00_2914))->
																						BgL_typez00);
																					{	/* Cfa/closure.scm 375 */

																						{	/* Cfa/closure.scm 376 */
																							bool_t BgL_testz00_6000;

																							if (
																								(((obj_t) BgL_t0z00_2915) ==
																									((obj_t) BgL_t1z00_2916)))
																								{	/* Cfa/closure.scm 376 */
																									BgL_testz00_6000 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 376 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t0z00_2915))
																										{	/* Cfa/closure.scm 376 */
																											BgL_testz00_6000 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(BgL_t1z00_2916);
																										}
																									else
																										{	/* Cfa/closure.scm 376 */
																											BgL_testz00_6000 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_testz00_6000)
																								{
																									obj_t BgL_a1z00_6010;
																									obj_t BgL_a0z00_6008;

																									BgL_a0z00_6008 =
																										CDR(BgL_a0z00_2908);
																									BgL_a1z00_6010 =
																										CDR(BgL_a1z00_2909);
																									BgL_a1z00_2909 =
																										BgL_a1z00_6010;
																									BgL_a0z00_2908 =
																										BgL_a0z00_6008;
																									goto
																										BgL_zc3anonymousza32934ze3z83_2911;
																								}
																							else
																								{	/* Cfa/closure.scm 399 */
																									BgL_typez00_bglt
																										BgL_bt0z00_2920;
																									BgL_typez00_bglt
																										BgL_bt1z00_2921;
																									bool_t BgL_contz00_2922;

																									BgL_bt0z00_2920 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t0z00_2915);
																									BgL_bt1z00_2921 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_t1z00_2916);
																									BgL_contz00_2922 =
																										((bool_t) 0);
																									if ((((obj_t) ((
																														(BgL_variablez00_bglt)
																														CREF((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a0z00_2908))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt0z00_2920)))
																										{	/* Cfa/closure.scm 402 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 402 */
																											{	/* Cfa/closure.scm 403 */
																												obj_t
																													BgL_arg2940z00_2924;
																												BgL_arg2940z00_2924 =
																													CAR(BgL_a0z00_2908);
																												((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_arg2940z00_2924)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt0z00_2920), BUNSPEC);
																											}
																											BgL_contz00_2922 =
																												((bool_t) 1);
																										}
																									if (
																										(((obj_t)
																												(((BgL_variablez00_bglt)
																														CREF((
																																(BgL_variablez00_bglt)
																																CAR
																																(BgL_a1z00_2909))))->
																													BgL_typez00)) ==
																											((obj_t)
																												BgL_bt1z00_2921)))
																										{	/* Cfa/closure.scm 405 */
																											BFALSE;
																										}
																									else
																										{	/* Cfa/closure.scm 405 */
																											{	/* Cfa/closure.scm 406 */
																												obj_t
																													BgL_arg2945z00_2928;
																												BgL_arg2945z00_2928 =
																													CAR(BgL_a1z00_2909);
																												((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) BgL_arg2945z00_2928)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_bt1z00_2921), BUNSPEC);
																											}
																											BgL_contz00_2922 =
																												((bool_t) 1);
																										}
																									{	/* Cfa/closure.scm 410 */
																										obj_t BgL_arg2948z00_2931;
																										obj_t BgL_arg2950z00_2932;

																										BgL_arg2948z00_2931 =
																											CDR(BgL_a0z00_2908);
																										BgL_arg2950z00_2932 =
																											CDR(BgL_a1z00_2909);
																										{
																											bool_t BgL_contz00_6038;
																											obj_t BgL_a1z00_6037;
																											obj_t BgL_a0z00_6036;

																											BgL_a0z00_6036 =
																												BgL_arg2948z00_2931;
																											BgL_a1z00_6037 =
																												BgL_arg2950z00_2932;
																											BgL_contz00_6038 =
																												BgL_contz00_2922;
																											BgL_contz00_2910 =
																												BgL_contz00_6038;
																											BgL_a1z00_2909 =
																												BgL_a1z00_6037;
																											BgL_a0z00_2908 =
																												BgL_a0z00_6036;
																											goto
																												BgL_zc3anonymousza32934ze3z83_2911;
																										}
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 371 */
																		BgL__ortest_1169z00_2896 = BgL_contz00_2910;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1169z00_2896)
										{	/* Cfa/closure.scm 421 */
											BgL_arg2930z00_2895 = BgL__ortest_1169z00_2896;
										}
									else
										{	/* Cfa/closure.scm 421 */
											BgL_arg2930z00_2895 = BgL_contz00_2891;
										}
								}
								{
									bool_t BgL_contz00_6043;
									obj_t BgL_appsz00_6042;

									BgL_appsz00_6042 = BgL_arg2929z00_2894;
									BgL_contz00_6043 = BgL_arg2930z00_2895;
									BgL_contz00_2891 = BgL_contz00_6043;
									BgL_appsz00_2890 = BgL_appsz00_6042;
									goto BgL_zc3anonymousza32927ze3z83_2892;
								}
							}
					}
				}
			}
		}
	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 426 */
			{
				BgL_appz00_bglt BgL_appz00_2959;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Cfa/closure.scm 441 */
						obj_t BgL_g2762z00_2951;

						BgL_g2762z00_2951 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
						{
							obj_t BgL_l2760z00_2953;

							{	/* Cfa/closure.scm 441 */
								bool_t BgL_auxz00_6046;

								BgL_l2760z00_2953 = BgL_g2762z00_2951;
							BgL_zc3anonymousza32968ze3z83_2954:
								if (PAIRP(BgL_l2760z00_2953))
									{	/* Cfa/closure.scm 441 */
										{	/* Cfa/closure.scm 441 */
											obj_t BgL_arg2970z00_2956;

											BgL_arg2970z00_2956 = CAR(BgL_l2760z00_2953);
											BgL_appz00_2959 = ((BgL_appz00_bglt) BgL_arg2970z00_2956);
											{	/* Cfa/closure.scm 430 */
												bool_t BgL_testz00_6050;

												{	/* Cfa/closure.scm 430 */
													bool_t BgL_testz00_6051;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6052;

														{
															obj_t BgL_auxz00_6053;

															{	/* Cfa/closure.scm 430 */
																BgL_objectz00_bglt BgL_auxz00_6054;

																BgL_auxz00_6054 =
																	((BgL_objectz00_bglt) BgL_appz00_2959);
																BgL_auxz00_6053 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_6054);
															}
															BgL_auxz00_6052 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_6053);
														}
														BgL_testz00_6051 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																CREF(BgL_auxz00_6052))->BgL_xz00);
													}
													if (BgL_testz00_6051)
														{	/* Cfa/closure.scm 430 */
															BgL_testz00_6050 = ((bool_t) 1);
														}
													else
														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_6059;
															{
																obj_t BgL_auxz00_6060;

																{	/* Cfa/closure.scm 430 */
																	BgL_objectz00_bglt BgL_auxz00_6061;

																	BgL_auxz00_6061 =
																		((BgL_objectz00_bglt) BgL_appz00_2959);
																	BgL_auxz00_6060 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_6061);
																}
																BgL_auxz00_6059 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_6060);
															}
															BgL_testz00_6050 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_6059))->BgL_tz00);
														}
												}
												if (BgL_testz00_6050)
													{	/* Cfa/closure.scm 430 */
														((bool_t) 0);
													}
												else
													{	/* Cfa/closure.scm 432 */
														BgL_variablez00_bglt BgL_varz00_2963;

														{
															BgL_varz00_bglt BgL_auxz00_6066;

															{	/* Cfa/closure.scm 432 */
																obj_t BgL_pairz00_5159;

																BgL_pairz00_5159 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_appz00_2959)))->
																	BgL_argsz00);
																BgL_auxz00_6066 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_5159));
															}
															BgL_varz00_2963 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_6066))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 432 */
															BgL_valuez00_bglt BgL_sfunz00_2964;

															BgL_sfunz00_2964 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_varz00_2963))->BgL_valuez00);
															{	/* Cfa/closure.scm 433 */

																{	/* Cfa/closure.scm 434 */
																	obj_t BgL_g2759z00_2965;

																	{	/* Cfa/closure.scm 438 */
																		obj_t BgL_pairz00_5168;

																		BgL_pairz00_5168 =
																			(((BgL_sfunz00_bglt) CREF(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_2964)))->BgL_argsz00);
																		BgL_g2759z00_2965 = CDR(BgL_pairz00_5168);
																	}
																	{
																		obj_t BgL_l2757z00_2967;

																		BgL_l2757z00_2967 = BgL_g2759z00_2965;
																	BgL_zc3anonymousza32975ze3z83_2968:
																		if (PAIRP(BgL_l2757z00_2967))
																			{	/* Cfa/closure.scm 438 */
																				{	/* Cfa/closure.scm 435 */
																					obj_t BgL_az00_2970;

																					BgL_az00_2970 =
																						CAR(BgL_l2757z00_2967);
																					{	/* Cfa/closure.scm 435 */
																						BgL_approxz00_bglt BgL_pz00_2971;

																						{
																							BgL_svarzf2cinfozf2_bglt
																								BgL_auxz00_6079;
																							{
																								obj_t BgL_auxz00_6080;

																								{	/* Cfa/closure.scm 435 */
																									BgL_objectz00_bglt
																										BgL_auxz00_6081;
																									BgL_auxz00_6081 =
																										((BgL_objectz00_bglt) (
																											(BgL_svarz00_bglt) ((
																													(BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															BgL_az00_2970)))->
																												BgL_valuez00)));
																									BgL_auxz00_6080 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_6081);
																								}
																								BgL_auxz00_6079 =
																									((BgL_svarzf2cinfozf2_bglt)
																									BgL_auxz00_6080);
																							}
																							BgL_pz00_2971 =
																								(((BgL_svarzf2cinfozf2_bglt)
																									CREF(BgL_auxz00_6079))->
																								BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 435 */
																							BgL_typez00_bglt BgL_tz00_2972;

																							BgL_tz00_2972 =
																								(((BgL_approxz00_bglt)
																									CREF(BgL_pz00_2971))->
																								BgL_typez00);
																							{	/* Cfa/closure.scm 436 */

																								{	/* Cfa/closure.scm 437 */
																									BgL_typez00_bglt
																										BgL_arg2977z00_2973;
																									BgL_arg2977z00_2973 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_tz00_2972);
																									((((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														BgL_az00_2970)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_arg2977z00_2973),
																										BUNSPEC);
																								}
																							}
																						}
																					}
																				}
																				{
																					obj_t BgL_l2757z00_6093;

																					BgL_l2757z00_6093 =
																						CDR(BgL_l2757z00_2967);
																					BgL_l2757z00_2967 = BgL_l2757z00_6093;
																					goto
																						BgL_zc3anonymousza32975ze3z83_2968;
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 438 */
																				((bool_t) 1);
																			}
																	}
																}
															}
														}
													}
											}
										}
										{
											obj_t BgL_l2760z00_6096;

											BgL_l2760z00_6096 = CDR(BgL_l2760z00_2953);
											BgL_l2760z00_2953 = BgL_l2760z00_6096;
											goto BgL_zc3anonymousza32968ze3z83_2954;
										}
									}
								else
									{	/* Cfa/closure.scm 441 */
										BgL_auxz00_6046 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_6046);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 440 */
						return BFALSE;
					}
			}
		}
	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_5308)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 426 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 446 */
			{
				obj_t BgL_l2763z00_2983;

				BgL_l2763z00_2983 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3anonymousza32984ze3z83_2984:
				if (PAIRP(BgL_l2763z00_2983))
					{	/* Cfa/closure.scm 447 */
						{	/* Cfa/closure.scm 449 */
							obj_t BgL_appz00_2986;

							BgL_appz00_2986 = CAR(BgL_l2763z00_2983);
							{	/* Cfa/closure.scm 449 */
								BgL_approxz00_bglt BgL_approxz00_2988;

								{	/* Cfa/closure.scm 450 */
									obj_t BgL_arg3000z00_3003;

									{	/* Cfa/closure.scm 450 */
										obj_t BgL_pairz00_5197;

										BgL_pairz00_5197 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2986)))->BgL_argsz00);
										BgL_arg3000z00_3003 = CAR(BgL_pairz00_5197);
									}
									BgL_approxz00_2988 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg3000z00_3003));
								}
								{	/* Cfa/closure.scm 450 */
									obj_t BgL_alloczd2listzd2_2989;

									BgL_alloczd2listzd2_2989 =
										BGl_setzd2ze3listz31zzcfa_setz00(
										(((BgL_approxz00_bglt) CREF(BgL_approxz00_2988))->
											BgL_allocsz00));
									{	/* Cfa/closure.scm 451 */
										BgL_varz00_bglt BgL_funz00_2990;

										BgL_funz00_2990 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2986)))->BgL_funz00);
										{	/* Cfa/closure.scm 452 */
											BgL_variablez00_bglt BgL_vfunz00_2991;

											BgL_vfunz00_2991 =
												(((BgL_varz00_bglt) CREF(BgL_funz00_2990))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 453 */

												{	/* Cfa/closure.scm 454 */
													bool_t BgL_testz00_6113;

													if (PAIRP(BgL_alloczd2listzd2_2989))
														{	/* Cfa/closure.scm 455 */
															bool_t BgL_testz00_6116;

															{	/* Cfa/closure.scm 455 */
																obj_t BgL_arg2993z00_3001;

																BgL_arg2993z00_3001 =
																	CAR(BgL_alloczd2listzd2_2989);
																BgL_testz00_6116 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2993z00_3001,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_6116)
																{	/* Cfa/closure.scm 455 */
																	BgL_testz00_6113 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 455 */
																	BgL_testz00_6113 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 454 */
															BgL_testz00_6113 = ((bool_t) 1);
														}
													if (BgL_testz00_6113)
														{	/* Cfa/closure.scm 454 */
															CNST_TABLE_REF(((long) 8));
														}
													else
														{	/* Cfa/closure.scm 457 */
															BgL_appz00_bglt BgL_allocz00_2993;

															BgL_allocz00_2993 =
																((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_2989));
															{	/* Cfa/closure.scm 460 */
																bool_t BgL_testz00_6122;

																{
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_auxz00_6123;
																	{
																		obj_t BgL_auxz00_6124;

																		{	/* Cfa/closure.scm 460 */
																			BgL_objectz00_bglt BgL_auxz00_6125;

																			BgL_auxz00_6125 =
																				((BgL_objectz00_bglt)
																				((BgL_appz00_bglt) BgL_allocz00_2993));
																			BgL_auxz00_6124 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_6125);
																		}
																		BgL_auxz00_6123 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_auxz00_6124);
																	}
																	BgL_testz00_6122 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_6123))->BgL_xz00);
																}
																if (BgL_testz00_6122)
																	{	/* Cfa/closure.scm 460 */
																		if (
																			(((obj_t) BgL_vfunz00_2991) ==
																				BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																			{	/* Cfa/closure.scm 462 */
																				BgL_variablez00_bglt BgL_vz00_5213;

																				BgL_vz00_5213 =
																					((BgL_variablez00_bglt)
																					BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							CREF(BgL_funz00_2990))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_5213), BUNSPEC);
																			}
																		else
																			{	/* Cfa/closure.scm 463 */
																				BgL_variablez00_bglt BgL_vz00_5216;

																				BgL_vz00_5216 =
																					((BgL_variablez00_bglt)
																					BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																				((((BgL_varz00_bglt)
																							CREF(BgL_funz00_2990))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt)
																						BgL_vz00_5216), BUNSPEC);
																			}
																	}
																else
																	{	/* Cfa/closure.scm 464 */
																		bool_t BgL_testz00_6138;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_6139;
																			{
																				obj_t BgL_auxz00_6140;

																				{	/* Cfa/closure.scm 464 */
																					BgL_objectz00_bglt BgL_auxz00_6141;

																					BgL_auxz00_6141 =
																						((BgL_objectz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_allocz00_2993));
																					BgL_auxz00_6140 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_6141);
																				}
																				BgL_auxz00_6139 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_6140);
																			}
																			BgL_testz00_6138 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_6139))->BgL_tz00);
																		}
																		if (BgL_testz00_6138)
																			{	/* Cfa/closure.scm 464 */
																				if (
																					(((obj_t) BgL_vfunz00_2991) ==
																						BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																					{	/* Cfa/closure.scm 466 */
																						BgL_variablez00_bglt BgL_vz00_5219;

																						BgL_vz00_5219 =
																							((BgL_variablez00_bglt)
																							BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_funz00_2990))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_vz00_5219), BUNSPEC);
																					}
																				else
																					{	/* Cfa/closure.scm 467 */
																						BgL_variablez00_bglt BgL_vz00_5222;

																						BgL_vz00_5222 =
																							((BgL_variablez00_bglt)
																							BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																						((((BgL_varz00_bglt)
																									CREF(BgL_funz00_2990))->
																								BgL_variablez00) =
																							((BgL_variablez00_bglt)
																								BgL_vz00_5222), BUNSPEC);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 464 */
																				BFALSE;
																			}
																	}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2763z00_6154;

							BgL_l2763z00_6154 = CDR(BgL_l2763z00_2983);
							BgL_l2763z00_2983 = BgL_l2763z00_6154;
							goto BgL_zc3anonymousza32984ze3z83_2984;
						}
					}
				else
					{	/* Cfa/closure.scm 447 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 473 */
			{
				obj_t BgL_xpz00_3011;
				obj_t BgL_tpz00_3012;
				obj_t BgL_allocsz00_3013;

				BgL_xpz00_3011 = BNIL;
				BgL_tpz00_3012 = BNIL;
				BgL_allocsz00_3013 = BgL_allocsz00_9;
			BgL_zc3anonymousza33005ze3z83_3014:
				if (NULLP(BgL_allocsz00_3013))
					{	/* Cfa/closure.scm 484 */
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_3011);
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_3012);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 489 */
						BgL_appz00_bglt BgL_i1174z00_3016;

						BgL_i1174z00_3016 = ((BgL_appz00_bglt) CAR(BgL_allocsz00_3013));
						{	/* Cfa/closure.scm 491 */
							bool_t BgL_testz00_6164;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6165;

								{
									obj_t BgL_auxz00_6166;

									{	/* Cfa/closure.scm 491 */
										BgL_objectz00_bglt BgL_auxz00_6167;

										BgL_auxz00_6167 = ((BgL_objectz00_bglt) BgL_i1174z00_3016);
										BgL_auxz00_6166 = BGL_OBJECT_WIDENING(BgL_auxz00_6167);
									}
									BgL_auxz00_6165 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6166);
								}
								BgL_testz00_6164 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_6165))->BgL_xz00);
							}
							if (BgL_testz00_6164)
								{	/* Cfa/closure.scm 492 */
									obj_t BgL_arg3009z00_3018;
									obj_t BgL_arg3010z00_3019;

									{	/* Cfa/closure.scm 492 */
										BgL_variablez00_bglt BgL_arg3011z00_3020;

										{
											BgL_varz00_bglt BgL_auxz00_6172;

											{	/* Cfa/closure.scm 492 */
												obj_t BgL_pairz00_5236;

												BgL_pairz00_5236 =
													(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_i1174z00_3016)))->
													BgL_argsz00);
												BgL_auxz00_6172 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_5236));
											}
											BgL_arg3011z00_3020 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_6172))->
												BgL_variablez00);
										}
										BgL_arg3009z00_3018 =
											MAKE_PAIR(((obj_t) BgL_arg3011z00_3020), BgL_xpz00_3011);
									}
									BgL_arg3010z00_3019 = CDR(BgL_allocsz00_3013);
									{
										obj_t BgL_allocsz00_6182;
										obj_t BgL_xpz00_6181;

										BgL_xpz00_6181 = BgL_arg3009z00_3018;
										BgL_allocsz00_6182 = BgL_arg3010z00_3019;
										BgL_allocsz00_3013 = BgL_allocsz00_6182;
										BgL_xpz00_3011 = BgL_xpz00_6181;
										goto BgL_zc3anonymousza33005ze3z83_3014;
									}
								}
							else
								{	/* Cfa/closure.scm 493 */
									bool_t BgL_testz00_6183;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6184;

										{
											obj_t BgL_auxz00_6185;

											{	/* Cfa/closure.scm 493 */
												BgL_objectz00_bglt BgL_auxz00_6186;

												BgL_auxz00_6186 =
													((BgL_objectz00_bglt) BgL_i1174z00_3016);
												BgL_auxz00_6185 = BGL_OBJECT_WIDENING(BgL_auxz00_6186);
											}
											BgL_auxz00_6184 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6185);
										}
										BgL_testz00_6183 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_6184))->BgL_tz00);
									}
									if (BgL_testz00_6183)
										{	/* Cfa/closure.scm 494 */
											obj_t BgL_arg3017z00_3024;
											obj_t BgL_arg3018z00_3025;

											{	/* Cfa/closure.scm 494 */
												BgL_variablez00_bglt BgL_arg3019z00_3026;

												{
													BgL_varz00_bglt BgL_auxz00_6191;

													{	/* Cfa/closure.scm 494 */
														obj_t BgL_pairz00_5241;

														BgL_pairz00_5241 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_i1174z00_3016)))->
															BgL_argsz00);
														BgL_auxz00_6191 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_5241));
													}
													BgL_arg3019z00_3026 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_6191))->
														BgL_variablez00);
												}
												BgL_arg3017z00_3024 =
													MAKE_PAIR(
													((obj_t) BgL_arg3019z00_3026), BgL_tpz00_3012);
											}
											BgL_arg3018z00_3025 = CDR(BgL_allocsz00_3013);
											{
												obj_t BgL_allocsz00_6201;
												obj_t BgL_tpz00_6200;

												BgL_tpz00_6200 = BgL_arg3017z00_3024;
												BgL_allocsz00_6201 = BgL_arg3018z00_3025;
												BgL_allocsz00_3013 = BgL_allocsz00_6201;
												BgL_tpz00_3012 = BgL_tpz00_6200;
												goto BgL_zc3anonymousza33005ze3z83_3014;
											}
										}
									else
										{
											obj_t BgL_allocsz00_6202;

											BgL_allocsz00_6202 = CDR(BgL_allocsz00_3013);
											BgL_allocsz00_3013 = BgL_allocsz00_6202;
											goto BgL_zc3anonymousza33005ze3z83_3014;
										}
								}
						}
					}
			}
		}
	}



/* show */
	bool_t BGl_showz00zzcfa_closurez00(obj_t BgL_propz00_3031,
		obj_t BgL_lz00_3032)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 480 */
			if (NULLP(BgL_lz00_3032))
				{	/* Cfa/closure.scm 475 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 475 */
					{	/* Cfa/closure.scm 477 */
						obj_t BgL_arg3025z00_3035;

						BgL_arg3025z00_3035 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_3032));
						{	/* Cfa/closure.scm 477 */
							obj_t BgL_list3026z00_3036;

							{	/* Cfa/closure.scm 477 */
								obj_t BgL_arg3027z00_3037;

								{	/* Cfa/closure.scm 477 */
									obj_t BgL_arg3039z00_3038;

									{	/* Cfa/closure.scm 477 */
										obj_t BgL_arg3040z00_3039;

										{	/* Cfa/closure.scm 477 */
											obj_t BgL_arg3041z00_3040;

											BgL_arg3041z00_3040 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg3040z00_3039 =
												MAKE_PAIR(BgL_arg3025z00_3035, BgL_arg3041z00_3040);
										}
										BgL_arg3039z00_3038 =
											MAKE_PAIR(BGl_string3355z00zzcfa_closurez00,
											BgL_arg3040z00_3039);
									}
									BgL_arg3027z00_3037 =
										MAKE_PAIR(BgL_propz00_3031, BgL_arg3039z00_3038);
								}
								BgL_list3026z00_3036 =
									MAKE_PAIR(BGl_string3356z00zzcfa_closurez00,
									BgL_arg3027z00_3037);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list3026z00_3036);
					}}
					{	/* Cfa/closure.scm 478 */
						obj_t BgL_g2767z00_3042;

						BgL_g2767z00_3042 = CDR(BgL_lz00_3032);
						{
							obj_t BgL_l2765z00_3044;

							BgL_l2765z00_3044 = BgL_g2767z00_3042;
						BgL_zc3anonymousza33043ze3z83_3045:
							if (PAIRP(BgL_l2765z00_3044))
								{	/* Cfa/closure.scm 480 */
									{	/* Cfa/closure.scm 479 */
										obj_t BgL_xz00_3047;

										BgL_xz00_3047 = CAR(BgL_l2765z00_3044);
										{	/* Cfa/closure.scm 479 */
											obj_t BgL_arg3045z00_3048;

											BgL_arg3045z00_3048 =
												BGl_shapez00zztools_shapez00(BgL_xz00_3047);
											{	/* Cfa/closure.scm 479 */
												obj_t BgL_list3046z00_3049;

												{	/* Cfa/closure.scm 479 */
													obj_t BgL_arg3047z00_3050;

													{	/* Cfa/closure.scm 479 */
														obj_t BgL_arg3048z00_3051;

														BgL_arg3048z00_3051 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg3047z00_3050 =
															MAKE_PAIR(BgL_arg3045z00_3048,
															BgL_arg3048z00_3051);
													}
													BgL_list3046z00_3049 =
														MAKE_PAIR(BGl_string3357z00zzcfa_closurez00,
														BgL_arg3047z00_3050);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list3046z00_3049);
									}}}
									{
										obj_t BgL_l2765z00_6227;

										BgL_l2765z00_6227 = CDR(BgL_l2765z00_3044);
										BgL_l2765z00_3044 = BgL_l2765z00_6227;
										goto BgL_zc3anonymousza33043ze3z83_3045;
									}
								}
							else
								{	/* Cfa/closure.scm 480 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}
	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 508 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_5309)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 508 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 514 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 515 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_10),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 515 */
					return BFALSE;
				}
		}
	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_5310,
		obj_t BgL_astz00_5311)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 514 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5311));
		}
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 521 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_PAIR(
					((obj_t) BgL_astz00_11),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}
	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_5312, obj_t BgL_astz00_5313)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 521 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5313));
		}
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_12)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 527 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 528 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_12),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 528 */
					return BFALSE;
				}
		}
	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_5314, obj_t BgL_astz00_5315)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 527 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5315));
		}
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_13)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 534 */
			{	/* Cfa/closure.scm 535 */
				BgL_typez00_bglt BgL_typez00_3057;
				obj_t BgL_alloczd2listzd2_3058;

				BgL_typez00_3057 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_13))->BgL_typez00);
				BgL_alloczd2listzd2_3058 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_13))->BgL_allocsz00));
				if (
					(((obj_t) BgL_typez00_3057) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 537 */
						if (PAIRP(BgL_alloczd2listzd2_3058))
							{	/* Cfa/closure.scm 538 */
								if (NULLP(CDR(BgL_alloczd2listzd2_3058)))
									{	/* Cfa/closure.scm 540 */
										bool_t BgL_testz00_6258;

										{	/* Cfa/closure.scm 540 */
											obj_t BgL_arg3055z00_3064;

											BgL_arg3055z00_3064 = CAR(BgL_alloczd2listzd2_3058);
											BgL_testz00_6258 =
												BGl_isazf3zf3zz__objectz00(BgL_arg3055z00_3064,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_6258)
											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6261;

												{
													obj_t BgL_auxz00_6262;

													{	/* Cfa/closure.scm 541 */
														BgL_objectz00_bglt BgL_auxz00_6263;

														BgL_auxz00_6263 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_3058)));
														BgL_auxz00_6262 =
															BGL_OBJECT_WIDENING(BgL_auxz00_6263);
													}
													BgL_auxz00_6261 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_6262);
												}
												return
													(((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_6261))->BgL_xz00);
											}
										else
											{	/* Cfa/closure.scm 540 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 539 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 538 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 537 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_5316, obj_t BgL_approxz00_5317)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 534 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_5317)));
		}
	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 558 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}
	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 571 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_5318)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 571 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 235802177),
				BSTRING_TO_STRING(BGl_string3358z00zzcfa_closurez00));
		}
	}

#ifdef __cplusplus
}
#endif
