/*===========================================================================*/
/*   (Cfa/funcall.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static BgL_approxz00_bglt
		BGl_z62zc3anonymousza32798ze3ze1zzcfa_funcallz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_funcallz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_funcallz00();
	static bool_t
		BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt,
		obj_t);
	static bool_t
		BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_variablez00_bglt, long, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static bool_t
		BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern bool_t BGl_soundzd2arityzf3z21zztools_argsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static BgL_approxz00_bglt
		BGl_z62zc3anonymousza32807ze3ze1zzcfa_funcallz00(obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t
		BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	extern obj_t
		BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
		(BgL_appz00_bglt);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo2727z50zzcfa_funcallz00(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	static BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt,
		obj_t, BgL_funcallz00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t BGl_z62zc3anonymousza32818ze3ze1zzcfa_funcallz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt,
		BgL_varz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_funcallz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00();
	static obj_t BGl_genericzd2initzd2zzcfa_funcallz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_cnstzd2initzd2zzcfa_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string3070z00zzcfa_funcallz00,
		BgL_bgl_string3070za700za7za7c3082za7, "cfa", 3);
	      DEFINE_STRING(BGl_string3071z00zzcfa_funcallz00,
		BgL_bgl_string3071za700za7za7c3083za7, "Possible funcall type error", 27);
	      DEFINE_STRING(BGl_string3072z00zzcfa_funcallz00,
		BgL_bgl_string3072za700za7za7c3084za7, " provided", 9);
	      DEFINE_STRING(BGl_string3073z00zzcfa_funcallz00,
		BgL_bgl_string3073za700za7za7c3085za7, " arg(s) expected, ", 18);
	      DEFINE_STRING(BGl_string3074z00zzcfa_funcallz00,
		BgL_bgl_string3074za700za7za7c3086za7, "Possible funcall arity error", 28);
	      DEFINE_STRING(BGl_string3076z00zzcfa_funcallz00,
		BgL_bgl_string3076za700za7za7c3087za7, "cfa!", 4);
	      DEFINE_STRING(BGl_string3078z00zzcfa_funcallz00,
		BgL_bgl_string3078za700za7za7c3088za7, "cfa_funcall", 11);
	      DEFINE_STRING(BGl_string3079z00zzcfa_funcallz00,
		BgL_bgl_string3079za700za7za7c3089za7, "all ", 4);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3075z00zzcfa_funcallz00,
		BgL_bgl_za762cfaza712za7d2func3090za7,
		BGl_z62cfaz12zd2funcallzf2Cinfo2727z50zzcfa_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3077z00zzcfa_funcallz00,
		BgL_bgl_za762za7c3anonymousza73091za7,
		BGl_z62zc3anonymousza32818ze3ze1zzcfa_funcallz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long
		BgL_checksumz00_4702, char *BgL_fromz00_4703)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_cnstzd2initzd2zzcfa_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_methodzd2initzd2zzcfa_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			{	/* Cfa/funcall.scm 15 */
				obj_t BgL_cportz00_4694;

				BgL_cportz00_4694 =
					bgl_open_input_string(BGl_string3079z00zzcfa_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4695;

					BgL_iz00_4695 = ((long) 0);
				BgL_loopz00_4696:
					if ((BgL_iz00_4695 == ((long) -1)))
						{	/* Cfa/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/funcall.scm 15 */
							{	/* Cfa/funcall.scm 15 */
								obj_t BgL_arg3081z00_4698;

								{	/* Cfa/funcall.scm 15 */

									{	/* Cfa/funcall.scm 15 */
										obj_t BgL_locationz00_4700;

										BgL_locationz00_4700 = BBOOL(((bool_t) 0));
										{	/* Cfa/funcall.scm 15 */

											BgL_arg3081z00_4698 =
												BGl_readz00zz__readerz00(BgL_cportz00_4694,
												BgL_locationz00_4700);
										}
									}
								}
								{	/* Cfa/funcall.scm 15 */
									int BgL_auxz00_4722;

									BgL_auxz00_4722 = (int) (BgL_iz00_4695);
									CNST_TABLE_SET(BgL_auxz00_4722, BgL_arg3081z00_4698);
							}}
							{	/* Cfa/funcall.scm 15 */
								int BgL_auxz00_4701;

								BgL_auxz00_4701 = (int) ((BgL_iz00_4695 - ((long) 1)));
								{
									long BgL_iz00_4727;

									BgL_iz00_4727 = (long) (BgL_auxz00_4701);
									BgL_iz00_4695 = BgL_iz00_4727;
									goto BgL_loopz00_4696;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* optional-correct-arity? */
	bool_t BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_4, obj_t BgL_argszd2approxzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 110 */
			{	/* Cfa/funcall.scm 112 */
				long BgL_miz00_2630;

				BgL_miz00_2630 =
					(((long) 1) +
					(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_4)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 113 */
					long BgL_lz00_2632;

					BgL_lz00_2632 = bgl_list_length(BgL_argszd2approxzd2_5);
					{	/* Cfa/funcall.scm 114 */

						if ((BgL_lz00_2632 >= BgL_miz00_2630))
							{	/* Cfa/funcall.scm 115 */
								return
									(BgL_lz00_2632 <=
									(BgL_miz00_2630 +
										bgl_list_length(
											(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_4)))->
												BgL_optionalsz00))));
							}
						else
							{	/* Cfa/funcall.scm 115 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* key-correct-arity? */
	bool_t BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_6, obj_t BgL_argszd2approxzd2_7)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 120 */
			{	/* Cfa/funcall.scm 122 */
				long BgL_miz00_2637;

				BgL_miz00_2637 =
					(((long) 1) +
					(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_6)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 123 */
					long BgL_lz00_2639;

					BgL_lz00_2639 = bgl_list_length(BgL_argszd2approxzd2_7);
					{	/* Cfa/funcall.scm 124 */

						if ((BgL_lz00_2639 >= BgL_miz00_2637))
							{	/* Cfa/funcall.scm 125 */
								return
									(BgL_lz00_2639 <=
									(BgL_miz00_2637 +
										(((long) 2) *
											bgl_list_length(
												(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_6)))->
													BgL_keysz00)))));
							}
						else
							{	/* Cfa/funcall.scm 125 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* cfa-correct-arity? */
	bool_t BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_8, obj_t BgL_argszd2approxzd2_9)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 130 */
			{	/* Cfa/funcall.scm 131 */
				obj_t BgL_gz00_2645;

				BgL_gz00_2645 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_funz00_8)))->
					BgL_thezd2closurezd2globalz00);
				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2645))
					{	/* Cfa/funcall.scm 134 */
						BgL_valuez00_bglt BgL_arg2739z00_2647;

						BgL_arg2739z00_2647 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gz00_2645))))->BgL_valuez00);
						return
							BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00
							(BgL_arg2739z00_2647, BgL_argszd2approxzd2_9);
					}
				else
					{	/* Cfa/funcall.scm 133 */
						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2645))
							{	/* Cfa/funcall.scm 136 */
								BgL_valuez00_bglt BgL_arg2741z00_2649;

								BgL_arg2741z00_2649 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2645))))->BgL_valuez00);
								return
									BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_arg2741z00_2649, BgL_argszd2approxzd2_9);
							}
						else
							{	/* Cfa/funcall.scm 138 */
								long BgL_arg2742z00_2650;

								BgL_arg2742z00_2650 =
									(((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt) BgL_funz00_8)))->BgL_arityz00);
								return
									BGl_soundzd2arityzf3z21zztools_argsz00(BINT
									(BgL_arg2742z00_2650), BgL_argszd2approxzd2_9);
							}
					}
			}
		}
	}



/* funcall! */
	BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt
		BgL_allocz00_10, obj_t BgL_argszd2approxzd2_11,
		BgL_funcallz00_bglt BgL_nodez00_12)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 143 */
			{	/* Cfa/funcall.scm 144 */
				obj_t BgL_calleez00_2651;

				{	/* Cfa/funcall.scm 144 */
					obj_t BgL_pairz00_4553;

					BgL_pairz00_4553 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_allocz00_10)))->BgL_argsz00);
					BgL_calleez00_2651 = CAR(BgL_pairz00_4553);
				}
				{	/* Cfa/funcall.scm 144 */
					BgL_variablez00_bglt BgL_vz00_2652;

					BgL_vz00_2652 =
						(((BgL_varz00_bglt) CREF(
								((BgL_varz00_bglt) BgL_calleez00_2651)))->BgL_variablez00);
					{	/* Cfa/funcall.scm 145 */
						BgL_valuez00_bglt BgL_funz00_2653;

						BgL_funz00_2653 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_2652))->BgL_valuez00);
						{	/* Cfa/funcall.scm 146 */
							long BgL_arityz00_2654;

							BgL_arityz00_2654 =
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt) BgL_funz00_2653)))->BgL_arityz00);
							{	/* Cfa/funcall.scm 147 */

								if (BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_funz00_2653, BgL_argszd2approxzd2_11))
									{	/* Cfa/funcall.scm 158 */
										bool_t BgL_testz00_4780;

										{	/* Cfa/funcall.scm 158 */
											bool_t BgL_testz00_4781;

											{	/* Cfa/funcall.scm 158 */
												obj_t BgL_arg2763z00_2689;

												BgL_arg2763z00_2689 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_2653)))->
													BgL_thezd2closurezd2globalz00);
												BgL_testz00_4781 =
													BGl_globalzd2optionalzf3z21zzast_varz00
													(BgL_arg2763z00_2689);
											}
											if (BgL_testz00_4781)
												{	/* Cfa/funcall.scm 158 */
													BgL_testz00_4780 = ((bool_t) 1);
												}
											else
												{	/* Cfa/funcall.scm 159 */
													obj_t BgL_arg2762z00_2688;

													BgL_arg2762z00_2688 =
														(((BgL_sfunz00_bglt) CREF(
																((BgL_sfunz00_bglt) BgL_funz00_2653)))->
														BgL_thezd2closurezd2globalz00);
													BgL_testz00_4780 =
														BGl_globalzd2keyzf3z21zzast_varz00
														(BgL_arg2762z00_2688);
												}
										}
										if (BgL_testz00_4780)
											{	/* Cfa/funcall.scm 158 */
												{
													obj_t BgL_l2722z00_2658;

													BgL_l2722z00_2658 = BgL_argszd2approxzd2_11;
												BgL_zc3anonymousza32745ze3z83_2659:
													if (PAIRP(BgL_l2722z00_2658))
														{	/* Cfa/funcall.scm 162 */
															{	/* Cfa/funcall.scm 162 */
																obj_t BgL_approxz00_2661;

																BgL_approxz00_2661 = CAR(BgL_l2722z00_2658);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_approxz00_2661),
																	CNST_TABLE_REF(((long) 0)));
															}
															{
																obj_t BgL_l2722z00_4794;

																BgL_l2722z00_4794 = CDR(BgL_l2722z00_2658);
																BgL_l2722z00_2658 = BgL_l2722z00_4794;
																goto BgL_zc3anonymousza32745ze3z83_2659;
															}
														}
													else
														{	/* Cfa/funcall.scm 162 */
															((bool_t) 1);
														}
												}
												return
													BGl_makezd2typezd2approxz00zzcfa_approxz00(
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/funcall.scm 158 */
												if ((BgL_arityz00_2654 >= ((long) 0)))
													{	/* Cfa/funcall.scm 164 */
														return
															BGl_appz12z12zzcfa_appz00(
															((BgL_funz00_bglt) BgL_funz00_2653),
															((BgL_varz00_bglt) BgL_calleez00_2651),
															BgL_argszd2approxzd2_11);
													}
												else
													{	/* Cfa/funcall.scm 164 */
														{
															obj_t BgL_oldzd2argszd2approxz00_2667;
															obj_t BgL_newzd2argszd2approxz00_2668;
															long BgL_arityz00_2669;

															BgL_oldzd2argszd2approxz00_2667 =
																BgL_argszd2approxzd2_11;
															BgL_newzd2argszd2approxz00_2668 = BNIL;
															BgL_arityz00_2669 = BgL_arityz00_2654;
														BgL_zc3anonymousza32749ze3z83_2670:
															if ((BgL_arityz00_2669 == ((long) -1)))
																{	/* Cfa/funcall.scm 174 */
																	{
																		obj_t BgL_l2724z00_2673;

																		BgL_l2724z00_2673 =
																			BgL_oldzd2argszd2approxz00_2667;
																	BgL_zc3anonymousza32751ze3z83_2674:
																		if (PAIRP(BgL_l2724z00_2673))
																			{	/* Cfa/funcall.scm 176 */
																				{	/* Cfa/funcall.scm 176 */
																					obj_t BgL_approxz00_2676;

																					BgL_approxz00_2676 =
																						CAR(BgL_l2724z00_2673);
																					BGl_loosez12z12zzcfa_loosez00(
																						((BgL_approxz00_bglt)
																							BgL_approxz00_2676),
																						CNST_TABLE_REF(((long) 0)));
																				}
																				{
																					obj_t BgL_l2724z00_4811;

																					BgL_l2724z00_4811 =
																						CDR(BgL_l2724z00_2673);
																					BgL_l2724z00_2673 = BgL_l2724z00_4811;
																					goto
																						BgL_zc3anonymousza32751ze3z83_2674;
																				}
																			}
																		else
																			{	/* Cfa/funcall.scm 176 */
																				((bool_t) 1);
																			}
																	}
																	{	/* Cfa/funcall.scm 180 */
																		obj_t BgL_arg2754z00_2679;

																		{	/* Cfa/funcall.scm 180 */
																			obj_t BgL_arg2755z00_2680;

																			{	/* Cfa/funcall.scm 180 */
																				BgL_approxz00_bglt BgL_arg2756z00_2681;

																				{
																					BgL_funcallzf2cinfozf2_bglt
																						BgL_auxz00_4813;
																					{
																						obj_t BgL_auxz00_4814;

																						{	/* Cfa/funcall.scm 180 */
																							BgL_objectz00_bglt
																								BgL_auxz00_4815;
																							BgL_auxz00_4815 =
																								((BgL_objectz00_bglt)
																								BgL_nodez00_12);
																							BgL_auxz00_4814 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_4815);
																						}
																						BgL_auxz00_4813 =
																							((BgL_funcallzf2cinfozf2_bglt)
																							BgL_auxz00_4814);
																					}
																					BgL_arg2756z00_2681 =
																						(((BgL_funcallzf2cinfozf2_bglt)
																							CREF(BgL_auxz00_4813))->
																						BgL_vazd2approxzd2);
																				}
																				BgL_arg2755z00_2680 =
																					MAKE_PAIR(
																					((obj_t) BgL_arg2756z00_2681),
																					BgL_newzd2argszd2approxz00_2668);
																			}
																			BgL_arg2754z00_2679 =
																				bgl_reverse_bang(BgL_arg2755z00_2680);
																		}
																		return
																			BGl_appz12z12zzcfa_appz00(
																			((BgL_funz00_bglt) BgL_funz00_2653),
																			((BgL_varz00_bglt) BgL_calleez00_2651),
																			BgL_arg2754z00_2679);
																	}
																}
															else
																{	/* Cfa/funcall.scm 182 */
																	obj_t BgL_arg2757z00_2682;
																	obj_t BgL_arg2758z00_2683;
																	long BgL_arg2759z00_2684;

																	BgL_arg2757z00_2682 =
																		CDR(BgL_oldzd2argszd2approxz00_2667);
																	BgL_arg2758z00_2683 =
																		MAKE_PAIR(CAR
																		(BgL_oldzd2argszd2approxz00_2667),
																		BgL_newzd2argszd2approxz00_2668);
																	BgL_arg2759z00_2684 =
																		(BgL_arityz00_2669 + ((long) 1));
																	{
																		long BgL_arityz00_4832;
																		obj_t BgL_newzd2argszd2approxz00_4831;
																		obj_t BgL_oldzd2argszd2approxz00_4830;

																		BgL_oldzd2argszd2approxz00_4830 =
																			BgL_arg2757z00_2682;
																		BgL_newzd2argszd2approxz00_4831 =
																			BgL_arg2758z00_2683;
																		BgL_arityz00_4832 = BgL_arg2759z00_2684;
																		BgL_arityz00_2669 = BgL_arityz00_4832;
																		BgL_newzd2argszd2approxz00_2668 =
																			BgL_newzd2argszd2approxz00_4831;
																		BgL_oldzd2argszd2approxz00_2667 =
																			BgL_oldzd2argszd2approxz00_4830;
																		goto BgL_zc3anonymousza32749ze3z83_2670;
																	}
																}
														}
													}
											}
									}
								else
									{	/* Cfa/funcall.scm 152 */
										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4833;

											{
												obj_t BgL_auxz00_4834;

												{	/* Cfa/funcall.scm 156 */
													BgL_objectz00_bglt BgL_auxz00_4835;

													BgL_auxz00_4835 =
														((BgL_objectz00_bglt) BgL_allocz00_10);
													BgL_auxz00_4834 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4835);
												}
												BgL_auxz00_4833 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_4834);
											}
											((((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_4833))->BgL_xzd2tzf3z21) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										return
											BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00
											(BgL_nodez00_12, BgL_vz00_2652, BgL_arityz00_2654,
											BgL_argszd2approxzd2_11);
									}
							}
						}
					}
				}
			}
		}
	}



/* funcall-type-error */
	obj_t BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_13, BgL_typez00_bglt BgL_typez00_14)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 189 */
			{	/* Cfa/funcall.scm 192 */
				bool_t BgL_testz00_4841;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4842;

					{
						obj_t BgL_auxz00_4843;

						{	/* Cfa/funcall.scm 192 */
							BgL_objectz00_bglt BgL_auxz00_4844;

							BgL_auxz00_4844 = ((BgL_objectz00_bglt) BgL_nodez00_13);
							BgL_auxz00_4843 = BGL_OBJECT_WIDENING(BgL_auxz00_4844);
						}
						BgL_auxz00_4842 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4843);
					}
					BgL_testz00_4841 =
						(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4842))->
						BgL_typezd2errorzd2noticedzf3zf3);
				}
				if (BgL_testz00_4841)
					{	/* Cfa/funcall.scm 192 */
						return BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 192 */
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4849;

							{
								obj_t BgL_auxz00_4850;

								{	/* Cfa/funcall.scm 193 */
									BgL_objectz00_bglt BgL_auxz00_4851;

									BgL_auxz00_4851 = ((BgL_objectz00_bglt) BgL_nodez00_13);
									BgL_auxz00_4850 = BGL_OBJECT_WIDENING(BgL_auxz00_4851);
								}
								BgL_auxz00_4849 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4850);
							}
							((((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4849))->
									BgL_typezd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 194 */
							obj_t BgL_arg2766z00_2694;
							obj_t BgL_arg2767z00_2695;

							BgL_arg2766z00_2694 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_13)))->BgL_locz00);
							BgL_arg2767z00_2695 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_14));
							return
								BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg2766z00_2694, BGl_string3070z00zzcfa_funcallz00,
								BGl_string3071z00zzcfa_funcallz00, BgL_arg2767z00_2695);
						}
					}
			}
		}
	}



/* funcall-arity-error */
	BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_15, BgL_variablez00_bglt BgL_vz00_16, long BgL_arityz00_17,
		obj_t BgL_argszd2approxzd2_18)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 202 */
			{	/* Cfa/funcall.scm 204 */
				bool_t BgL_testz00_4861;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4862;

					{
						obj_t BgL_auxz00_4863;

						{	/* Cfa/funcall.scm 204 */
							BgL_objectz00_bglt BgL_auxz00_4864;

							BgL_auxz00_4864 = ((BgL_objectz00_bglt) BgL_nodez00_15);
							BgL_auxz00_4863 = BGL_OBJECT_WIDENING(BgL_auxz00_4864);
						}
						BgL_auxz00_4862 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4863);
					}
					BgL_testz00_4861 =
						(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4862))->
						BgL_arityzd2errorzd2noticedzf3zf3);
				}
				if (BgL_testz00_4861)
					{	/* Cfa/funcall.scm 204 */
						BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 205 */
						long BgL_lenzd2provzd2_2698;

						BgL_lenzd2provzd2_2698 =
							(bgl_list_length(BgL_argszd2approxzd2_18) - ((long) 1));
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4871;

							{
								obj_t BgL_auxz00_4872;

								{	/* Cfa/funcall.scm 206 */
									BgL_objectz00_bglt BgL_auxz00_4873;

									BgL_auxz00_4873 = ((BgL_objectz00_bglt) BgL_nodez00_15);
									BgL_auxz00_4872 = BGL_OBJECT_WIDENING(BgL_auxz00_4873);
								}
								BgL_auxz00_4871 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4872);
							}
							((((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_4871))->
									BgL_arityzd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 207 */
							obj_t BgL_arg2769z00_2699;
							obj_t BgL_arg2770z00_2700;
							obj_t BgL_arg2771z00_2701;

							BgL_arg2769z00_2699 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_15)))->BgL_locz00);
							{	/* Cfa/funcall.scm 211 */
								BgL_variablez00_bglt BgL_arg2772z00_2702;

								{	/* Cfa/funcall.scm 211 */
									bool_t BgL_testz00_4880;

									{	/* Cfa/funcall.scm 211 */
										bool_t BgL_res3047z00_4593;

										BgL_res3047z00_4593 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_vz00_16), BGl_localz00zzast_varz00);
										BgL_testz00_4880 = BgL_res3047z00_4593;
									}
									if (BgL_testz00_4880)
										{	/* Cfa/funcall.scm 212 */
											BgL_localz00_bglt BgL_new1156z00_2705;

											{	/* Cfa/funcall.scm 212 */
												BgL_localz00_bglt BgL_new1158z00_2706;

												BgL_new1158z00_2706 =
													((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_localz00_bgl))));
												{	/* Cfa/funcall.scm 212 */
													long BgL_arg2774z00_2707;

													{	/* Cfa/funcall.scm 212 */
														long BgL_res3048z00_4595;

														BgL_res3048z00_4595 =
															BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
														BgL_arg2774z00_2707 = BgL_res3048z00_4595;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1158z00_2706),
														BgL_arg2774z00_2707);
												}
												{	/* Cfa/funcall.scm 212 */
													BgL_objectz00_bglt BgL_auxz00_4887;

													BgL_auxz00_4887 =
														((BgL_objectz00_bglt) BgL_new1158z00_2706);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_4887, BFALSE);
												}
												BgL_new1156z00_2705 = BgL_new1158z00_2706;
											}
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_new1156z00_2705)))->
													BgL_idz00) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_idz00)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2705)))->BgL_namez00) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_namez00)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2705)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_typez00)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2705)))->BgL_valuez00) =
												((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_valuez00)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2705)))->BgL_accessz00) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_accessz00)), BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2705)))->BgL_fastzd2alphazd2) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_fastzd2alphazd2)),
												BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2705)))->BgL_removablez00) =
												((obj_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_removablez00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2705)))->BgL_occurrencez00) =
												((long) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_occurrencez00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2705)))->BgL_occurrencewz00) =
												((long) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_occurrencewz00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																BgL_new1156z00_2705)))->BgL_userzf3zf3) =
												((bool_t) (((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
																		BgL_vz00_16))))->BgL_userzf3zf3)), BUNSPEC);
											((((BgL_localz00_bglt) CREF(BgL_new1156z00_2705))->
													BgL_keyz00) =
												((long) (((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
																	BgL_vz00_16)))->BgL_keyz00)), BUNSPEC);
											BgL_arg2772z00_2702 =
												((BgL_variablez00_bglt) BgL_new1156z00_2705);
										}
									else
										{	/* Cfa/funcall.scm 213 */
											bool_t BgL_testz00_4944;

											{	/* Cfa/funcall.scm 213 */
												bool_t BgL_res3049z00_4599;

												BgL_res3049z00_4599 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_vz00_16), BGl_globalz00zzast_varz00);
												BgL_testz00_4944 = BgL_res3049z00_4599;
											}
											if (BgL_testz00_4944)
												{	/* Cfa/funcall.scm 214 */
													BgL_globalz00_bglt BgL_new1159z00_2710;

													{	/* Cfa/funcall.scm 214 */
														BgL_globalz00_bglt BgL_new1161z00_2711;

														BgL_new1161z00_2711 =
															((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
																		BgL_globalz00_bgl))));
														{	/* Cfa/funcall.scm 214 */
															long BgL_arg2776z00_2712;

															{	/* Cfa/funcall.scm 214 */
																long BgL_res3050z00_4601;

																BgL_res3050z00_4601 =
																	BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
																BgL_arg2776z00_2712 = BgL_res3050z00_4601;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1161z00_2711),
																BgL_arg2776z00_2712);
														}
														{	/* Cfa/funcall.scm 214 */
															BgL_objectz00_bglt BgL_auxz00_4951;

															BgL_auxz00_4951 =
																((BgL_objectz00_bglt) BgL_new1161z00_2711);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_4951, BFALSE);
														}
														BgL_new1159z00_2710 = BgL_new1161z00_2711;
													}
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->BgL_idz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_idz00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->BgL_namez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_namez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_typez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->BgL_valuez00) =
														((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_valuez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->BgL_accessz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_accessz00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->
															BgL_fastzd2alphazd2) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_fastzd2alphazd2)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->BgL_removablez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_removablez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->BgL_occurrencez00) =
														((long) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_occurrencez00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->
															BgL_occurrencewz00) =
														((long) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_occurrencewz00)), BUNSPEC);
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_new1159z00_2710)))->BgL_userzf3zf3) =
														((bool_t) (((BgL_variablez00_bglt)
																	CREF(((BgL_variablez00_bglt) (
																				(BgL_globalz00_bglt) BgL_vz00_16))))->
																BgL_userzf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_modulez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_modulez00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_importz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_importz00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_evaluablezf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_evaluablezf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_evalzf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_evalzf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_libraryz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_libraryz00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_pragmaz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_pragmaz00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_srcz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_srcz00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_jvmzd2typezd2namez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_jvmzd2typezd2namez00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_initz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_initz00)), BUNSPEC);
													((((BgL_globalz00_bglt) CREF(BgL_new1159z00_2710))->
															BgL_aliasz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	CREF(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_aliasz00)), BUNSPEC);
													BgL_arg2772z00_2702 =
														((BgL_variablez00_bglt) BgL_new1159z00_2710);
												}
											else
												{	/* Cfa/funcall.scm 213 */
													BgL_arg2772z00_2702 = BgL_vz00_16;
												}
										}
								}
								BgL_arg2770z00_2700 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2772z00_2702));
							}
							{	/* Cfa/funcall.scm 219 */
								obj_t BgL_arg2777z00_2713;
								obj_t BgL_arg2778z00_2714;

								{	/* Cfa/funcall.scm 219 */

									BgL_arg2777z00_2713 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(BgL_arityz00_17 - ((long) 1)), ((long) 10));
								}
								{	/* Cfa/funcall.scm 221 */

									BgL_arg2778z00_2714 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_lenzd2provzd2_2698, ((long) 10));
								}
								{	/* Cfa/funcall.scm 218 */
									obj_t BgL_list2779z00_2715;

									{	/* Cfa/funcall.scm 218 */
										obj_t BgL_arg2780z00_2716;

										{	/* Cfa/funcall.scm 218 */
											obj_t BgL_arg2781z00_2717;

											{	/* Cfa/funcall.scm 218 */
												obj_t BgL_arg2782z00_2718;

												BgL_arg2782z00_2718 =
													MAKE_PAIR(BGl_string3072z00zzcfa_funcallz00, BNIL);
												BgL_arg2781z00_2717 =
													MAKE_PAIR(BgL_arg2778z00_2714, BgL_arg2782z00_2718);
											}
											BgL_arg2780z00_2716 =
												MAKE_PAIR(BGl_string3073z00zzcfa_funcallz00,
												BgL_arg2781z00_2717);
										}
										BgL_list2779z00_2715 =
											MAKE_PAIR(BgL_arg2777z00_2713, BgL_arg2780z00_2716);
									}
									BgL_arg2771z00_2701 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list2779z00_2715);
							}}
							BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg2769z00_2699, BgL_arg2770z00_2700,
								BGl_string3074z00zzcfa_funcallz00, BgL_arg2771z00_2701);
			}}}
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_funcallzf2Cinfozf2zzcfa_infoz00,
				BGl_proc3075z00zzcfa_funcallz00, BGl_string3076z00zzcfa_funcallz00);
		}
	}



/* &cfa!-funcall/Cinfo2727 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo2727z50zzcfa_funcallz00(obj_t
		BgL_envz00_4678, obj_t BgL_nodez00_4679)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 44 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2725;

				BgL_nodez00_2725 = ((BgL_funcallz00_bglt) BgL_nodez00_4679);
				{	/* Cfa/funcall.scm 48 */
					BgL_approxz00_bglt BgL_fapproxz00_2729;

					{	/* Cfa/funcall.scm 48 */
						BgL_nodez00_bglt BgL_arg2836z00_2801;

						BgL_arg2836z00_2801 =
							(((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_2725)))->BgL_funz00);
						BgL_fapproxz00_2729 =
							BGl_cfaz12z12zzcfa_cfaz00(BgL_arg2836z00_2801);
					}
					{	/* Cfa/funcall.scm 48 */
						obj_t BgL_aapproxz00_2730;

						{	/* Cfa/funcall.scm 49 */
							obj_t BgL_l2714z00_2784;

							{	/* Cfa/funcall.scm 49 */
								obj_t BgL_pairz00_4607;

								BgL_pairz00_4607 =
									(((BgL_funcallz00_bglt) CREF(
											((BgL_funcallz00_bglt) BgL_nodez00_2725)))->BgL_argsz00);
								BgL_l2714z00_2784 = CDR(BgL_pairz00_4607);
							}
							if (NULLP(BgL_l2714z00_2784))
								{	/* Cfa/funcall.scm 49 */
									BgL_aapproxz00_2730 = BNIL;
								}
							else
								{	/* Cfa/funcall.scm 49 */
									obj_t BgL_head2716z00_2786;

									{	/* Cfa/funcall.scm 49 */
										BgL_approxz00_bglt BgL_arg2832z00_2798;

										{	/* Cfa/funcall.scm 49 */
											obj_t BgL_arg2833z00_2799;

											BgL_arg2833z00_2799 = CAR(BgL_l2714z00_2784);
											BgL_arg2832z00_2798 =
												BGl_cfaz12z12zzcfa_cfaz00(
												((BgL_nodez00_bglt) BgL_arg2833z00_2799));
										}
										{	/* Cfa/funcall.scm 49 */
											obj_t BgL_res3053z00_4613;

											BgL_res3053z00_4613 =
												MAKE_PAIR(((obj_t) BgL_arg2832z00_2798), BNIL);
											BgL_head2716z00_2786 = BgL_res3053z00_4613;
										}
									}
									{	/* Cfa/funcall.scm 49 */
										obj_t BgL_g2719z00_2787;

										BgL_g2719z00_2787 = CDR(BgL_l2714z00_2784);
										{
											obj_t BgL_l2714z00_2789;
											obj_t BgL_tail2717z00_2790;

											BgL_l2714z00_2789 = BgL_g2719z00_2787;
											BgL_tail2717z00_2790 = BgL_head2716z00_2786;
										BgL_zc3anonymousza32827ze3z83_2791:
											if (NULLP(BgL_l2714z00_2789))
												{	/* Cfa/funcall.scm 49 */
													BgL_aapproxz00_2730 = BgL_head2716z00_2786;
												}
											else
												{	/* Cfa/funcall.scm 49 */
													obj_t BgL_newtail2718z00_2793;

													{	/* Cfa/funcall.scm 49 */
														BgL_approxz00_bglt BgL_arg2830z00_2795;

														{	/* Cfa/funcall.scm 49 */
															obj_t BgL_arg2831z00_2796;

															BgL_arg2831z00_2796 = CAR(BgL_l2714z00_2789);
															BgL_arg2830z00_2795 =
																BGl_cfaz12z12zzcfa_cfaz00(
																((BgL_nodez00_bglt) BgL_arg2831z00_2796));
														}
														{	/* Cfa/funcall.scm 49 */
															obj_t BgL_res3055z00_4620;

															BgL_res3055z00_4620 =
																MAKE_PAIR(((obj_t) BgL_arg2830z00_2795), BNIL);
															BgL_newtail2718z00_2793 = BgL_res3055z00_4620;
														}
													}
													SET_CDR(BgL_tail2717z00_2790,
														BgL_newtail2718z00_2793);
													{
														obj_t BgL_tail2717z00_5072;
														obj_t BgL_l2714z00_5070;

														BgL_l2714z00_5070 = CDR(BgL_l2714z00_2789);
														BgL_tail2717z00_5072 = BgL_newtail2718z00_2793;
														BgL_tail2717z00_2790 = BgL_tail2717z00_5072;
														BgL_l2714z00_2789 = BgL_l2714z00_5070;
														goto BgL_zc3anonymousza32827ze3z83_2791;
													}
												}
										}
									}
								}
						}
						{	/* Cfa/funcall.scm 49 */

							{	/* Cfa/funcall.scm 54 */
								BgL_typez00_bglt BgL_funzd2typezd2_2731;

								BgL_funzd2typezd2_2731 =
									(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2729))->
									BgL_typez00);
								{	/* Cfa/funcall.scm 55 */
									bool_t BgL_testz00_5074;

									if (
										(((obj_t) BgL_funzd2typezd2_2731) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/funcall.scm 55 */
											BgL_testz00_5074 = ((bool_t) 0);
										}
									else
										{	/* Cfa/funcall.scm 55 */
											if (
												(((obj_t) BgL_funzd2typezd2_2731) ==
													BGl_za2objza2z00zztype_cachez00))
												{	/* Cfa/funcall.scm 56 */
													BgL_testz00_5074 = ((bool_t) 0);
												}
											else
												{	/* Cfa/funcall.scm 56 */
													if (
														(((obj_t) BgL_funzd2typezd2_2731) ==
															BGl_za2procedureza2z00zztype_cachez00))
														{	/* Cfa/funcall.scm 57 */
															BgL_testz00_5074 = ((bool_t) 0);
														}
													else
														{	/* Cfa/funcall.scm 57 */
															BgL_testz00_5074 = ((bool_t) 1);
														}
												}
										}
									if (BgL_testz00_5074)
										{	/* Cfa/funcall.scm 55 */
											BGl_funcallzd2typezd2errorz00zzcfa_funcallz00
												(BgL_nodez00_2725, BgL_funzd2typezd2_2731);
										}
									else
										{	/* Cfa/funcall.scm 55 */
											BFALSE;
										}
								}
							}
							{	/* Cfa/funcall.scm 60 */
								bool_t BgL_testz00_5085;

								{	/* Cfa/funcall.scm 60 */
									bool_t BgL_testz00_5086;

									{	/* Cfa/funcall.scm 60 */
										BgL_typez00_bglt BgL_arg2792z00_2739;

										BgL_arg2792z00_2739 =
											(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2729))->
											BgL_typez00);
										BgL_testz00_5086 =
											(((obj_t) BgL_arg2792z00_2739) ==
											BGl_za2procedureza2z00zztype_cachez00);
									}
									if (BgL_testz00_5086)
										{	/* Cfa/funcall.scm 60 */
											BgL_testz00_5085 =
												(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2729))->
												BgL_topzf3zf3);
										}
									else
										{	/* Cfa/funcall.scm 60 */
											BgL_testz00_5085 = ((bool_t) 1);
										}
								}
								if (BgL_testz00_5085)
									{	/* Cfa/funcall.scm 62 */
										BgL_approxz00_bglt BgL_arg2790z00_2737;

										{
											BgL_funcallzf2cinfozf2_bglt BgL_auxz00_5091;

											{
												obj_t BgL_auxz00_5092;

												{	/* Cfa/funcall.scm 62 */
													BgL_objectz00_bglt BgL_auxz00_5093;

													BgL_auxz00_5093 =
														((BgL_objectz00_bglt) BgL_nodez00_2725);
													BgL_auxz00_5092 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5093);
												}
												BgL_auxz00_5091 =
													((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_5092);
											}
											BgL_arg2790z00_2737 =
												(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_5091))->
												BgL_approxz00);
										}
										BGl_approxzd2setzd2typez12z12zzcfa_approxz00
											(BgL_arg2790z00_2737,
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
									}
								else
									{	/* Cfa/funcall.scm 60 */
										BFALSE;
									}
							}
							{	/* Cfa/funcall.scm 65 */
								bool_t BgL_testz00_5100;

								if (
									(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2729))->
										BgL_topzf3zf3))
									{	/* Cfa/funcall.scm 65 */
										BgL_testz00_5100 = ((bool_t) 1);
									}
								else
									{	/* Cfa/funcall.scm 66 */
										bool_t BgL_testz00_5103;

										{	/* Cfa/funcall.scm 66 */
											BgL_typez00_bglt BgL_arg2815z00_2771;

											BgL_arg2815z00_2771 =
												(((BgL_approxz00_bglt) CREF(BgL_fapproxz00_2729))->
												BgL_typez00);
											BgL_testz00_5103 =
												(((obj_t) BgL_arg2815z00_2771) ==
												BGl_za2procedureza2z00zztype_cachez00);
										}
										if (BgL_testz00_5103)
											{	/* Cfa/funcall.scm 66 */
												BgL_testz00_5100 = ((bool_t) 0);
											}
										else
											{	/* Cfa/funcall.scm 66 */
												BgL_testz00_5100 = ((bool_t) 1);
											}
									}
								if (BgL_testz00_5100)
									{	/* Cfa/funcall.scm 65 */
										{
											obj_t BgL_l2720z00_2742;

											BgL_l2720z00_2742 = BgL_aapproxz00_2730;
										BgL_zc3anonymousza32794ze3z83_2743:
											if (PAIRP(BgL_l2720z00_2742))
												{	/* Cfa/funcall.scm 67 */
													{	/* Cfa/funcall.scm 67 */
														obj_t BgL_approxz00_2745;

														BgL_approxz00_2745 = CAR(BgL_l2720z00_2742);
														BGl_loosez12z12zzcfa_loosez00(
															((BgL_approxz00_bglt) BgL_approxz00_2745),
															CNST_TABLE_REF(((long) 0)));
													}
													{
														obj_t BgL_l2720z00_5113;

														BgL_l2720z00_5113 = CDR(BgL_l2720z00_2742);
														BgL_l2720z00_2742 = BgL_l2720z00_5113;
														goto BgL_zc3anonymousza32794ze3z83_2743;
													}
												}
											else
												{	/* Cfa/funcall.scm 67 */
													((bool_t) 1);
												}
										}
										{	/* Cfa/funcall.scm 70 */
											obj_t BgL_zc3anonymousza32798ze3z83_4675;

											BgL_zc3anonymousza32798ze3z83_4675 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32798ze3ze1zzcfa_funcallz00,
												(int) (((long) 1)), (int) (((long) 3)));
											PROCEDURE_SET(BgL_zc3anonymousza32798ze3z83_4675,
												(int) (((long) 0)), ((obj_t) BgL_nodez00_2725));
											PROCEDURE_SET(BgL_zc3anonymousza32798ze3z83_4675,
												(int) (((long) 1)), BgL_aapproxz00_2730);
											PROCEDURE_SET(BgL_zc3anonymousza32798ze3z83_4675,
												(int) (((long) 2)), ((obj_t) BgL_nodez00_2725));
											BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
												(BgL_zc3anonymousza32798ze3z83_4675,
												BgL_fapproxz00_2729);
										}
										{	/* Cfa/funcall.scm 77 */
											BgL_approxz00_bglt BgL_arg2803z00_2757;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_5127;

												{
													obj_t BgL_auxz00_5128;

													{	/* Cfa/funcall.scm 77 */
														BgL_objectz00_bglt BgL_auxz00_5129;

														BgL_auxz00_5129 =
															((BgL_objectz00_bglt) BgL_nodez00_2725);
														BgL_auxz00_5128 =
															BGL_OBJECT_WIDENING(BgL_auxz00_5129);
													}
													BgL_auxz00_5127 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_5128);
												}
												BgL_arg2803z00_2757 =
													(((BgL_funcallzf2cinfozf2_bglt)
														CREF(BgL_auxz00_5127))->BgL_approxz00);
											}
											BGl_approxzd2setzd2topz12z12zzcfa_approxz00
												(BgL_arg2803z00_2757);
									}}
								else
									{	/* Cfa/funcall.scm 65 */
										if (CBOOL(BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00
												(BgL_fapproxz00_2729)))
											{	/* Cfa/funcall.scm 82 */
												BgL_approxz00_bglt BgL_arg2805z00_2759;

												{
													BgL_funcallzf2cinfozf2_bglt BgL_auxz00_5138;

													{
														obj_t BgL_auxz00_5139;

														{	/* Cfa/funcall.scm 82 */
															BgL_objectz00_bglt BgL_auxz00_5140;

															BgL_auxz00_5140 =
																((BgL_objectz00_bglt) BgL_nodez00_2725);
															BgL_auxz00_5139 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5140);
														}
														BgL_auxz00_5138 =
															((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_5139);
													}
													BgL_arg2805z00_2759 =
														(((BgL_funcallzf2cinfozf2_bglt)
															CREF(BgL_auxz00_5138))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg2805z00_2759,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/funcall.scm 86 */
												obj_t BgL_zc3anonymousza32807ze3z83_4674;

												BgL_zc3anonymousza32807ze3z83_4674 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32807ze3ze1zzcfa_funcallz00,
													(int) (((long) 1)), (int) (((long) 3)));
												PROCEDURE_SET(BgL_zc3anonymousza32807ze3z83_4674,
													(int) (((long) 0)), ((obj_t) BgL_nodez00_2725));
												PROCEDURE_SET(BgL_zc3anonymousza32807ze3z83_4674,
													(int) (((long) 1)), BgL_aapproxz00_2730);
												PROCEDURE_SET(BgL_zc3anonymousza32807ze3z83_4674,
													(int) (((long) 2)), ((obj_t) BgL_nodez00_2725));
												BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
													(BgL_zc3anonymousza32807ze3z83_4674,
													BgL_fapproxz00_2729);
							}}}
							{	/* Cfa/funcall.scm 96 */
								bool_t BgL_testz00_5159;

								if (CBOOL
									(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
									{	/* Cfa/funcall.scm 97 */
										bool_t BgL_testz00_5162;

										{	/* Cfa/funcall.scm 97 */
											BgL_typez00_bglt BgL_arg2824z00_2782;

											{
												BgL_approxz00_bglt BgL_auxz00_5163;

												{
													BgL_funcallzf2cinfozf2_bglt BgL_auxz00_5164;

													{
														obj_t BgL_auxz00_5165;

														{	/* Cfa/funcall.scm 97 */
															BgL_objectz00_bglt BgL_auxz00_5166;

															BgL_auxz00_5166 =
																((BgL_objectz00_bglt) BgL_nodez00_2725);
															BgL_auxz00_5165 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5166);
														}
														BgL_auxz00_5164 =
															((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_5165);
													}
													BgL_auxz00_5163 =
														(((BgL_funcallzf2cinfozf2_bglt)
															CREF(BgL_auxz00_5164))->BgL_approxz00);
												}
												BgL_arg2824z00_2782 =
													(((BgL_approxz00_bglt) CREF(BgL_auxz00_5163))->
													BgL_typez00);
											}
											BgL_testz00_5162 =
												BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_arg2824z00_2782);
										}
										if (BgL_testz00_5162)
											{	/* Cfa/funcall.scm 98 */
												bool_t BgL_testz00_5173;

												{	/* Cfa/funcall.scm 98 */
													BgL_typez00_bglt BgL_arg2822z00_2780;

													{
														BgL_approxz00_bglt BgL_auxz00_5174;

														{
															BgL_funcallzf2cinfozf2_bglt BgL_auxz00_5175;

															{
																obj_t BgL_auxz00_5176;

																{	/* Cfa/funcall.scm 98 */
																	BgL_objectz00_bglt BgL_auxz00_5177;

																	BgL_auxz00_5177 =
																		((BgL_objectz00_bglt) BgL_nodez00_2725);
																	BgL_auxz00_5176 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5177);
																}
																BgL_auxz00_5175 =
																	((BgL_funcallzf2cinfozf2_bglt)
																	BgL_auxz00_5176);
															}
															BgL_auxz00_5174 =
																(((BgL_funcallzf2cinfozf2_bglt)
																	CREF(BgL_auxz00_5175))->BgL_approxz00);
														}
														BgL_arg2822z00_2780 =
															(((BgL_approxz00_bglt) CREF(BgL_auxz00_5174))->
															BgL_typez00);
													}
													BgL_testz00_5173 =
														(
														((obj_t) BgL_arg2822z00_2780) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_5173)
													{	/* Cfa/funcall.scm 98 */
														BgL_testz00_5159 = ((bool_t) 0);
													}
												else
													{	/* Cfa/funcall.scm 98 */
														BgL_testz00_5159 = ((bool_t) 1);
													}
											}
										else
											{	/* Cfa/funcall.scm 97 */
												BgL_testz00_5159 = ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/funcall.scm 96 */
										BgL_testz00_5159 = ((bool_t) 0);
									}
								if (BgL_testz00_5159)
									{	/* Cfa/funcall.scm 96 */
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BGl_proc3077z00zzcfa_funcallz00, BgL_fapproxz00_2729);
									}
								else
									{	/* Cfa/funcall.scm 96 */
										BFALSE;
									}
							}
							{
								BgL_funcallzf2cinfozf2_bglt BgL_auxz00_5186;

								{
									obj_t BgL_auxz00_5187;

									{	/* Cfa/funcall.scm 105 */
										BgL_objectz00_bglt BgL_auxz00_5188;

										BgL_auxz00_5188 = ((BgL_objectz00_bglt) BgL_nodez00_2725);
										BgL_auxz00_5187 = BGL_OBJECT_WIDENING(BgL_auxz00_5188);
									}
									BgL_auxz00_5186 =
										((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_5187);
								}
								return
									(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_5186))->
									BgL_approxz00);
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2818> */
	obj_t BGl_z62zc3anonymousza32818ze3ze1zzcfa_funcallz00(obj_t BgL_envz00_4680,
		obj_t BgL_az00_4681)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 99 */
			{
				obj_t BgL_az00_2774;

				BgL_az00_2774 = BgL_az00_4681;
				if (BGl_isazf3zf3zz__objectz00(BgL_az00_2774,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/funcall.scm 100 */
						return
							BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
							(((BgL_appz00_bglt) BgL_az00_2774));
					}
				else
					{	/* Cfa/funcall.scm 100 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2798> */
	BgL_approxz00_bglt BGl_z62zc3anonymousza32798ze3ze1zzcfa_funcallz00(obj_t
		BgL_envz00_4682, obj_t BgL_allocz00_4686)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 69 */
			{	/* Cfa/funcall.scm 70 */
				BgL_funcallz00_bglt BgL_i1149z00_4683;
				obj_t BgL_aapproxz00_4684;
				BgL_funcallz00_bglt BgL_nodez00_4685;

				BgL_i1149z00_4683 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4682, (int) (((long) 0))));
				BgL_aapproxz00_4684 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4682, (int) (((long) 1))));
				BgL_nodez00_4685 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4682, (int) (((long) 2))));
				{
					obj_t BgL_allocz00_2749;

					BgL_allocz00_2749 = BgL_allocz00_4686;
					if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2749,
							BGl_makezd2procedurezd2appz00zzcfa_info2z00))
						{	/* Cfa/funcall.scm 71 */
							BgL_approxz00_bglt BgL_eapproxz00_2752;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5209;

								{
									obj_t BgL_auxz00_5210;

									{	/* Cfa/funcall.scm 71 */
										BgL_objectz00_bglt BgL_auxz00_5211;

										BgL_auxz00_5211 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_2749));
										BgL_auxz00_5210 = BGL_OBJECT_WIDENING(BgL_auxz00_5211);
									}
									BgL_auxz00_5209 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5210);
								}
								BgL_eapproxz00_2752 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_5209))->BgL_approxz00);
							}
							{	/* Cfa/funcall.scm 72 */
								BgL_approxz00_bglt BgL_arg2800z00_2753;
								BgL_approxz00_bglt BgL_arg2801z00_2754;

								{
									BgL_funcallzf2cinfozf2_bglt BgL_auxz00_5217;

									{
										obj_t BgL_auxz00_5218;

										{	/* Cfa/funcall.scm 72 */
											BgL_objectz00_bglt BgL_auxz00_5219;

											BgL_auxz00_5219 =
												((BgL_objectz00_bglt) BgL_i1149z00_4683);
											BgL_auxz00_5218 = BGL_OBJECT_WIDENING(BgL_auxz00_5219);
										}
										BgL_auxz00_5217 =
											((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_5218);
									}
									BgL_arg2800z00_2753 =
										(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_5217))->
										BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 74 */
									obj_t BgL_arg2802z00_2755;

									BgL_arg2802z00_2755 =
										MAKE_PAIR(
										((obj_t) BgL_eapproxz00_2752), BgL_aapproxz00_4684);
									BgL_arg2801z00_2754 =
										BGl_funcallz12z12zzcfa_funcallz00(
										((BgL_appz00_bglt) BgL_allocz00_2749), BgL_arg2802z00_2755,
										BgL_nodez00_4685);
								}
								return
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg2800z00_2753,
									BgL_arg2801z00_2754);
							}
						}
					else
						{	/* Cfa/funcall.scm 70 */
							return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
						}
				}
			}
		}
	}



/* &<anonymous:2807> */
	BgL_approxz00_bglt BGl_z62zc3anonymousza32807ze3ze1zzcfa_funcallz00(obj_t
		BgL_envz00_4687, obj_t BgL_allocz00_4691)
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 85 */
			{	/* Cfa/funcall.scm 86 */
				BgL_funcallz00_bglt BgL_i1149z00_4688;
				obj_t BgL_aapproxz00_4689;
				BgL_funcallz00_bglt BgL_nodez00_4690;

				BgL_i1149z00_4688 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4687, (int) (((long) 0))));
				BgL_aapproxz00_4689 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4687, (int) (((long) 1))));
				BgL_nodez00_4690 =
					((BgL_funcallz00_bglt)
					PROCEDURE_REF(BgL_envz00_4687, (int) (((long) 2))));
				{
					obj_t BgL_allocz00_2761;

					BgL_allocz00_2761 = BgL_allocz00_4691;
					if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2761,
							BGl_makezd2procedurezd2appz00zzcfa_info2z00))
						{	/* Cfa/funcall.scm 87 */
							BgL_approxz00_bglt BgL_eapproxz00_2764;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5241;

								{
									obj_t BgL_auxz00_5242;

									{	/* Cfa/funcall.scm 87 */
										BgL_objectz00_bglt BgL_auxz00_5243;

										BgL_auxz00_5243 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_2761));
										BgL_auxz00_5242 = BGL_OBJECT_WIDENING(BgL_auxz00_5243);
									}
									BgL_auxz00_5241 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5242);
								}
								BgL_eapproxz00_2764 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_5241))->BgL_approxz00);
							}
							{	/* Cfa/funcall.scm 88 */
								BgL_approxz00_bglt BgL_arg2809z00_2765;
								BgL_approxz00_bglt BgL_arg2810z00_2766;

								{
									BgL_funcallzf2cinfozf2_bglt BgL_auxz00_5249;

									{
										obj_t BgL_auxz00_5250;

										{	/* Cfa/funcall.scm 88 */
											BgL_objectz00_bglt BgL_auxz00_5251;

											BgL_auxz00_5251 =
												((BgL_objectz00_bglt) BgL_i1149z00_4688);
											BgL_auxz00_5250 = BGL_OBJECT_WIDENING(BgL_auxz00_5251);
										}
										BgL_auxz00_5249 =
											((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_5250);
									}
									BgL_arg2809z00_2765 =
										(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_5249))->
										BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 90 */
									obj_t BgL_arg2812z00_2767;

									BgL_arg2812z00_2767 =
										MAKE_PAIR(
										((obj_t) BgL_eapproxz00_2764), BgL_aapproxz00_4689);
									BgL_arg2810z00_2766 =
										BGl_funcallz12z12zzcfa_funcallz00(
										((BgL_appz00_bglt) BgL_allocz00_2761), BgL_arg2812z00_2767,
										BgL_nodez00_4690);
								}
								return
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg2809z00_2765,
									BgL_arg2810z00_2766);
							}
						}
					else
						{	/* Cfa/funcall.scm 86 */
							return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00()
	{
		AN_OBJECT;
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_appz00(((long) 102053843),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string3078z00zzcfa_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
