/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
	static obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	static long BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static long BGl_za2checkza2z00zzcoerce_convertz00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2typesza2zd2zzengine_paramz00;
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt,
		obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl_za762convertza712za7702288za7,
		BGl_z62convertz12z70zzcoerce_convertz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2stackzd2checkzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762getza7d2stackza7d2289za7,
		BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762runtimeza7d2typ2290z00,
		BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2280z00zzcoerce_convertz00,
		BgL_bgl_string2280za700za7za7c2291za7,
		" ~a. Type test inserted \"~a\" -> \"~a\"", 36);
	      DEFINE_STRING(BGl_string2281z00zzcoerce_convertz00,
		BgL_bgl_string2281za700za7za7c2292za7, "", 0);
	      DEFINE_STRING(BGl_string2282z00zzcoerce_convertz00,
		BgL_bgl_string2282za700za7za7c2293za7, "Type error", 10);
	      DEFINE_STRING(BGl_string2283z00zzcoerce_convertz00,
		BgL_bgl_string2283za700za7za7c2294za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string2284z00zzcoerce_convertz00,
		BgL_bgl_string2284za700za7za7c2295za7, "coerce_convert", 14);
	      DEFINE_STRING(BGl_string2285z00zzcoerce_convertz00,
		BgL_bgl_string2285za700za7za7c2296za7,
		"aux2 if coercer let ::obj aux failure @ type-error __error location ", 68);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_3014, char *BgL_fromz00_3015)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_toplevelzd2initzd2zzcoerce_convertz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_3006;

				BgL_cportz00_3006 =
					bgl_open_input_string(BGl_string2285z00zzcoerce_convertz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3007;

					BgL_iz00_3007 = ((long) 10);
				BgL_loopz00_3008:
					if ((BgL_iz00_3007 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg2287z00_3010;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_3012;

										BgL_locationz00_3012 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg2287z00_3010 =
												BGl_readz00zz__readerz00(BgL_cportz00_3006,
												BgL_locationz00_3012);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_auxz00_3040;

									BgL_auxz00_3040 = (int) (BgL_iz00_3007);
									CNST_TABLE_SET(BgL_auxz00_3040, BgL_arg2287z00_3010);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_3013;

								BgL_auxz00_3013 = (int) ((BgL_iz00_3007 - ((long) 1)));
								{
									long BgL_iz00_3045;

									BgL_iz00_3045 = (long) (BgL_auxz00_3013);
									BgL_iz00_3007 = BgL_iz00_3045;
									goto BgL_loopz00_3008;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_za2checkza2z00zzcoerce_convertz00 = ((long) 0);
			BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BNIL;
			BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 = BTRUE;
			return (BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
				((long) 0), BUNSPEC);
		}
	}



/* notify-type-test */
	obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t BgL_fromz00_35,
		obj_t BgL_toz00_36, obj_t BgL_locz00_37)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 58 */
			if (CBOOL(BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00))
				{	/* Coerce/convert.scm 60 */
					int BgL_stz00_1611;

					BgL_stz00_1611 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (((long) 0)));
					if (CBOOL(BgL_locz00_37))
						{	/* Coerce/convert.scm 63 */
							if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
									(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00)))
								{	/* Coerce/convert.scm 68 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 68 */
									BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
										(((long) 1) +
										BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
									BGl_notifiedzd2locationszd2zzcoerce_convertz00 =
										MAKE_PAIR(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00);
									{	/* Coerce/convert.scm 71 */
										obj_t BgL_arg1988z00_1613;
										obj_t BgL_arg1990z00_1614;
										obj_t BgL_arg1991z00_1615;

										BgL_arg1988z00_1613 =
											BGl_locationzd2fullzd2fnamez00zztools_locationz00
											(BgL_locz00_37);
										BgL_arg1990z00_1614 =
											STRUCT_REF(BgL_locz00_37, (int) (((long) 1)));
										{	/* Coerce/convert.scm 74 */
											obj_t BgL_arg1993z00_1617;
											obj_t BgL_arg1994z00_1618;

											BgL_arg1993z00_1617 =
												BGl_shapez00zztools_shapez00(BgL_fromz00_35);
											BgL_arg1994z00_1618 =
												BGl_shapez00zztools_shapez00(BgL_toz00_36);
											{	/* Coerce/convert.scm 73 */
												obj_t BgL_list1995z00_1619;

												{	/* Coerce/convert.scm 73 */
													obj_t BgL_arg1996z00_1620;

													{	/* Coerce/convert.scm 73 */
														obj_t BgL_arg1997z00_1621;

														BgL_arg1997z00_1621 =
															MAKE_PAIR(BgL_arg1994z00_1618, BNIL);
														BgL_arg1996z00_1620 =
															MAKE_PAIR(BgL_arg1993z00_1617,
															BgL_arg1997z00_1621);
													}
													BgL_list1995z00_1619 =
														MAKE_PAIR(BINT
														(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
														BgL_arg1996z00_1620);
												}
												BgL_arg1991z00_1615 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string2280z00zzcoerce_convertz00,
													BgL_list1995z00_1619);
										}}
										{	/* Coerce/convert.scm 71 */
											obj_t BgL_list1992z00_1616;

											BgL_list1992z00_1616 =
												MAKE_PAIR(BgL_arg1991z00_1615, BNIL);
											BGl_warningzf2locationzf2zz__errorz00(BgL_arg1988z00_1613,
												BgL_arg1990z00_1614, BgL_list1992z00_1616);
						}}}}
					else
						{	/* Coerce/convert.scm 63 */
							BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
								(((long) 1) + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
							{	/* Coerce/convert.scm 67 */
								obj_t BgL_arg1998z00_1622;

								{	/* Coerce/convert.scm 67 */
									obj_t BgL_arg2000z00_1624;
									obj_t BgL_arg2002z00_1625;

									BgL_arg2000z00_1624 =
										BGl_shapez00zztools_shapez00(BgL_fromz00_35);
									BgL_arg2002z00_1625 =
										BGl_shapez00zztools_shapez00(BgL_toz00_36);
									{	/* Coerce/convert.scm 66 */
										obj_t BgL_list2003z00_1626;

										{	/* Coerce/convert.scm 66 */
											obj_t BgL_arg2004z00_1627;

											{	/* Coerce/convert.scm 66 */
												obj_t BgL_arg2006z00_1628;

												BgL_arg2006z00_1628 =
													MAKE_PAIR(BgL_arg2002z00_1625, BNIL);
												BgL_arg2004z00_1627 =
													MAKE_PAIR(BgL_arg2000z00_1624, BgL_arg2006z00_1628);
											}
											BgL_list2003z00_1626 =
												MAKE_PAIR(BINT
												(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
												BgL_arg2004z00_1627);
										}
										BgL_arg1998z00_1622 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string2280z00zzcoerce_convertz00,
											BgL_list2003z00_1626);
								}}
								{	/* Coerce/convert.scm 65 */
									obj_t BgL_list1999z00_1623;

									BgL_list1999z00_1623 = MAKE_PAIR(BgL_arg1998z00_1622, BNIL);
									BGl_warningz00zz__errorz00(BgL_list1999z00_1623);
						}}}
					return
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
						(BgL_stz00_1611);
				}
			else
				{	/* Coerce/convert.scm 59 */
					return BFALSE;
				}
		}
	}



/* get-stack-check */
	BGL_EXPORTED_DEF obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BINT(BGl_za2checkza2z00zzcoerce_convertz00);
		}
	}



/* &get-stack-check */
	obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t BgL_envz00_2994)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
		}
	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_locz00_49, obj_t BgL_tiz00_50, obj_t BgL_idz00_51)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 113 */
			{	/* Coerce/convert.scm 115 */
				obj_t BgL_fnamez00_1636;
				obj_t BgL_posz00_1637;

				{	/* Coerce/convert.scm 115 */
					bool_t BgL_testz00_3084;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 115 */
							BgL_testz00_3084 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 115 */
							BgL_testz00_3084 = ((bool_t) 0);
						}
					if (BgL_testz00_3084)
						{	/* Coerce/convert.scm 115 */
							BgL_fnamez00_1636 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_49);
						}
					else
						{	/* Coerce/convert.scm 115 */
							BgL_fnamez00_1636 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 116 */
					bool_t BgL_testz00_3091;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 116 */
							BgL_testz00_3091 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_testz00_3091 = ((bool_t) 0);
						}
					if (BgL_testz00_3091)
						{	/* Coerce/convert.scm 116 */
							BgL_posz00_1637 = STRUCT_REF(BgL_locz00_49, (int) (((long) 1)));
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_posz00_1637 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 118 */
					obj_t BgL_arg2015z00_1638;

					{	/* Coerce/convert.scm 118 */
						obj_t BgL_arg2016z00_1639;
						obj_t BgL_arg2017z00_1640;

						{	/* Coerce/convert.scm 118 */
							obj_t BgL_arg2019z00_1641;
							obj_t BgL_arg2021z00_1642;

							{	/* Coerce/convert.scm 118 */
								obj_t BgL_arg2022z00_1643;

								{	/* Coerce/convert.scm 118 */
									obj_t BgL_arg2023z00_1644;

									BgL_arg2023z00_1644 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg2022z00_1643 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg2023z00_1644);
								}
								BgL_arg2019z00_1641 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2022z00_1643);
							}
							{	/* Coerce/convert.scm 119 */
								obj_t BgL_arg2024z00_1645;

								{	/* Coerce/convert.scm 119 */
									obj_t BgL_arg2025z00_1646;

									{	/* Coerce/convert.scm 119 */
										obj_t BgL_arg2026z00_1647;
										obj_t BgL_arg2027z00_1648;

										{	/* Coerce/convert.scm 119 */
											obj_t BgL_arg2028z00_1649;

											BgL_arg2028z00_1649 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 119 */
												obj_t BgL_res2244z00_2780;

												{	/* Coerce/convert.scm 119 */
													obj_t BgL_arg1265z00_2779;

													BgL_arg1265z00_2779 =
														SYMBOL_TO_STRING(BgL_arg2028z00_1649);
													BgL_res2244z00_2780 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1265z00_2779);
												}
												BgL_arg2026z00_1647 = BgL_res2244z00_2780;
										}}
										{	/* Coerce/convert.scm 120 */
											obj_t BgL_arg2029z00_1650;
											obj_t BgL_arg2030z00_1651;

											{	/* Coerce/convert.scm 120 */
												obj_t BgL_res2245z00_2783;

												{	/* Coerce/convert.scm 120 */
													obj_t BgL_arg1265z00_2782;

													BgL_arg1265z00_2782 = SYMBOL_TO_STRING(BgL_tiz00_50);
													BgL_res2245z00_2783 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1265z00_2782);
												}
												BgL_arg2029z00_1650 = BgL_res2245z00_2783;
											}
											BgL_arg2030z00_1651 = MAKE_PAIR(BgL_idz00_51, BNIL);
											BgL_arg2027z00_1648 =
												MAKE_PAIR(BgL_arg2029z00_1650, BgL_arg2030z00_1651);
										}
										BgL_arg2025z00_1646 =
											MAKE_PAIR(BgL_arg2026z00_1647, BgL_arg2027z00_1648);
									}
									BgL_arg2024z00_1645 =
										MAKE_PAIR(BgL_posz00_1637, BgL_arg2025z00_1646);
								}
								BgL_arg2021z00_1642 =
									MAKE_PAIR(BgL_fnamez00_1636, BgL_arg2024z00_1645);
							}
							BgL_arg2016z00_1639 =
								MAKE_PAIR(BgL_arg2019z00_1641, BgL_arg2021z00_1642);
						}
						{	/* Coerce/convert.scm 117 */
							obj_t BgL_arg2032z00_1652;

							BgL_arg2032z00_1652 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg2017z00_1640 = MAKE_PAIR(BFALSE, BgL_arg2032z00_1652);
						}
						BgL_arg2015z00_1638 =
							MAKE_PAIR(BgL_arg2016z00_1639, BgL_arg2017z00_1640);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg2015z00_1638);
		}}}
	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_52, obj_t BgL_tiz00_53, BgL_nodez00_bglt BgL_valuez00_54)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 127 */
			{	/* Coerce/convert.scm 129 */
				obj_t BgL_auxz00_1655;

				BgL_auxz00_1655 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
				{	/* Coerce/convert.scm 129 */
					BgL_nodez00_bglt BgL_uvaluez00_1656;

					{	/* Coerce/convert.scm 130 */
						bool_t BgL_testz00_3123;

						{	/* Coerce/convert.scm 130 */
							bool_t BgL_res2246z00_2785;

							BgL_res2246z00_2785 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_valuez00_54), BGl_varz00zzast_nodez00);
							BgL_testz00_3123 = BgL_res2246z00_2785;
						}
						if (BgL_testz00_3123)
							{	/* Coerce/convert.scm 131 */
								BgL_varz00_bglt BgL_new1102z00_1674;

								{	/* Coerce/convert.scm 131 */
									BgL_varz00_bglt BgL_new1104z00_1675;

									BgL_new1104z00_1675 =
										((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_varz00_bgl))));
									{	/* Coerce/convert.scm 131 */
										long BgL_arg2052z00_1676;

										{	/* Coerce/convert.scm 131 */
											long BgL_res2247z00_2787;

											BgL_res2247z00_2787 =
												BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
											BgL_arg2052z00_1676 = BgL_res2247z00_2787;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1104z00_1675),
											BgL_arg2052z00_1676);
									}
									{	/* Coerce/convert.scm 131 */
										BgL_objectz00_bglt BgL_auxz00_3130;

										BgL_auxz00_3130 =
											((BgL_objectz00_bglt) BgL_new1104z00_1675);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3130, BFALSE);
									}
									BgL_new1102z00_1674 = BgL_new1104z00_1675;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1102z00_1674)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt)
												CREF(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
															BgL_valuez00_54))))->BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1102z00_1674)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_varz00_bglt) CREF(BgL_new1102z00_1674))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												CREF(((BgL_varz00_bglt) BgL_valuez00_54)))->
											BgL_variablez00)), BUNSPEC);
								BgL_uvaluez00_1656 = ((BgL_nodez00_bglt) BgL_new1102z00_1674);
							}
						else
							{	/* Coerce/convert.scm 130 */
								BgL_uvaluez00_1656 = BgL_valuez00_54;
							}
					}
					{	/* Coerce/convert.scm 130 */
						BgL_nodez00_bglt BgL_resz00_1657;

						{	/* Coerce/convert.scm 135 */
							obj_t BgL_arg2037z00_1660;

							{	/* Coerce/convert.scm 135 */
								obj_t BgL_arg2038z00_1661;

								{	/* Coerce/convert.scm 135 */
									obj_t BgL_arg2039z00_1662;
									obj_t BgL_arg2040z00_1663;

									{	/* Coerce/convert.scm 135 */
										obj_t BgL_arg2042z00_1664;

										{	/* Coerce/convert.scm 135 */
											obj_t BgL_arg2043z00_1665;
											obj_t BgL_arg2044z00_1666;

											{	/* Coerce/convert.scm 135 */
												obj_t BgL_arg2046z00_1667;

												{	/* Coerce/convert.scm 135 */
													obj_t BgL_arg2047z00_1668;

													{	/* Coerce/convert.scm 135 */
														obj_t BgL_arg2048z00_1669;
														obj_t BgL_arg2049z00_1670;

														{	/* Coerce/convert.scm 135 */
															obj_t BgL_res2248z00_2792;

															{	/* Coerce/convert.scm 135 */
																obj_t BgL_arg1265z00_2791;

																BgL_arg1265z00_2791 =
																	SYMBOL_TO_STRING(BgL_auxz00_1655);
																BgL_res2248z00_2792 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1265z00_2791);
															}
															BgL_arg2048z00_1669 = BgL_res2248z00_2792;
														}
														{	/* Coerce/convert.scm 135 */
															obj_t BgL_res2249z00_2795;

															{	/* Coerce/convert.scm 135 */
																obj_t BgL_symbolz00_2793;

																BgL_symbolz00_2793 = CNST_TABLE_REF(((long) 6));
																{	/* Coerce/convert.scm 135 */
																	obj_t BgL_arg1265z00_2794;

																	BgL_arg1265z00_2794 =
																		SYMBOL_TO_STRING(BgL_symbolz00_2793);
																	BgL_res2249z00_2795 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1265z00_2794);
															}}
															BgL_arg2049z00_1670 = BgL_res2249z00_2795;
														}
														BgL_arg2047z00_1668 =
															string_append(BgL_arg2048z00_1669,
															BgL_arg2049z00_1670);
													}
													BgL_arg2046z00_1667 =
														bstring_to_symbol(BgL_arg2047z00_1668);
												}
												BgL_arg2043z00_1665 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg2046z00_1667);
											}
											BgL_arg2044z00_1666 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_arg2042z00_1664 =
												MAKE_PAIR(BgL_arg2043z00_1665, BgL_arg2044z00_1666);
										}
										BgL_arg2039z00_1662 = MAKE_PAIR(BgL_arg2042z00_1664, BNIL);
									}
									BgL_arg2040z00_1663 =
										MAKE_PAIR
										(BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
										(BgL_locz00_52, BgL_tiz00_53, BgL_auxz00_1655), BNIL);
									BgL_arg2038z00_1661 =
										MAKE_PAIR(BgL_arg2039z00_1662, BgL_arg2040z00_1663);
								}
								BgL_arg2037z00_1660 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg2038z00_1661);
							}
							BgL_resz00_1657 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg2037z00_1660, BgL_locz00_52);
						}
						{	/* Coerce/convert.scm 134 */

							{	/* Coerce/convert.scm 139 */
								obj_t BgL_arg2035z00_1658;

								{	/* Coerce/convert.scm 139 */
									obj_t BgL_pairz00_2800;

									BgL_pairz00_2800 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((BgL_letzd2varzd2_bglt) BgL_resz00_1657)))->
										BgL_bindingsz00);
									BgL_arg2035z00_1658 = CAR(BgL_pairz00_2800);
								}
								{	/* Coerce/convert.scm 139 */
									obj_t BgL_auxz00_3165;

									BgL_auxz00_3165 = ((obj_t) BgL_uvaluez00_1656);
									SET_CDR(BgL_arg2035z00_1658, BgL_auxz00_3165);
							}}
							return ((obj_t) BgL_resz00_1657);
						}
					}
				}
			}
		}
	}



/* &runtime-type-error */
	obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t
		BgL_envz00_2995, obj_t BgL_locz00_2996, obj_t BgL_tiz00_2997,
		obj_t BgL_valuez00_2998)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 127 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2996,
				BgL_tiz00_2997, ((BgL_nodez00_bglt) BgL_valuez00_2998));
		}
	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_55, BgL_typez00_bglt BgL_toz00_56, obj_t BgL_locz00_57,
		BgL_nodez00_bglt BgL_nodez00_58)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 149 */
			{	/* Coerce/convert.scm 152 */
				bool_t BgL_testz00_3171;

				if ((((obj_t) BgL_toz00_56) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 152 */
						BgL_testz00_3171 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 152 */
						BgL_testz00_3171 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_56,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_testz00_3171)
					{	/* Coerce/convert.scm 153 */
						obj_t BgL_nodez00_1678;

						BgL_nodez00_1678 =
							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_57,
							(((BgL_typez00_bglt) CREF(BgL_toz00_56))->BgL_idz00),
							BgL_nodez00_58);
						{	/* Coerce/convert.scm 154 */
							obj_t BgL_arg2054z00_1679;

							BgL_arg2054z00_1679 = BGl_currentzd2functionzd2zztools_errorz00();
							{	/* Coerce/convert.scm 107 */
								obj_t BgL_arg2011z00_2810;

								{	/* Coerce/convert.scm 107 */
									obj_t BgL_arg2012z00_2811;
									obj_t BgL_arg2014z00_2812;

									BgL_arg2012z00_2811 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
									BgL_arg2014z00_2812 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
									BgL_arg2011z00_2810 =
										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
										(BGl_string2281z00zzcoerce_convertz00, BgL_arg2012z00_2811,
										BgL_arg2014z00_2812);
								}
								BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_57,
									BgL_arg2054z00_1679, BGl_string2282z00zzcoerce_convertz00,
									BgL_arg2011z00_2810);
							}
						}
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
							((BgL_nodez00_bglt) BgL_nodez00_1678));
						return
							((obj_t)
							BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_nodez00_1678), BUNSPEC, BgL_fromz00_55,
								((bool_t) 0)));
					}
				else
					{	/* Coerce/convert.scm 157 */
						obj_t BgL_arg2056z00_1681;

						BgL_arg2056z00_1681 = BGl_currentzd2functionzd2zztools_errorz00();
						{	/* Coerce/convert.scm 96 */
							obj_t BgL_arg2007z00_2817;

							{	/* Coerce/convert.scm 96 */
								obj_t BgL_arg2009z00_2818;
								obj_t BgL_arg2010z00_2819;

								BgL_arg2009z00_2818 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
								BgL_arg2010z00_2819 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
								BgL_arg2007z00_2817 =
									BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
									(BGl_string2281z00zzcoerce_convertz00, BgL_arg2009z00_2818,
									BgL_arg2010z00_2819);
							}
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_57,
								BgL_arg2056z00_1681, BGl_string2282z00zzcoerce_convertz00,
								BgL_arg2007z00_2817, BNIL);
						}
					}
			}
		}
	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_59,
		BgL_typez00_bglt BgL_fromz00_60, BgL_typez00_bglt BgL_toz00_61,
		bool_t BgL_safez00_62)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 165 */
			if ((((obj_t) BgL_fromz00_60) == ((obj_t) BgL_toz00_61)))
				{	/* Coerce/convert.scm 169 */
					return BgL_nodez00_59;
				}
			else
				{	/* Coerce/convert.scm 171 */
					BgL_typez00_bglt BgL_toz00_1684;
					BgL_typez00_bglt BgL_fromz00_1685;

					BgL_toz00_1684 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_61);
					BgL_fromz00_1685 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_60);
					{	/* Coerce/convert.scm 173 */
						bool_t BgL_testz00_3204;

						if ((((obj_t) BgL_fromz00_1685) == ((obj_t) BgL_toz00_1684)))
							{	/* Coerce/convert.scm 173 */
								BgL_testz00_3204 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 173 */
								BgL_testz00_3204 =
									(((BgL_typez00_bglt) CREF(BgL_fromz00_1685))->
									BgL_magiczf3zf3);
							}
						if (BgL_testz00_3204)
							{	/* Coerce/convert.scm 173 */
								return BgL_nodez00_59;
							}
						else
							{	/* Coerce/convert.scm 175 */
								obj_t BgL_coercerz00_1687;
								obj_t BgL_locz00_1688;

								BgL_coercerz00_1687 =
									BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_1685,
									BgL_toz00_1684);
								BgL_locz00_1688 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_59))->BgL_locz00);
								{	/* Coerce/convert.scm 177 */
									bool_t BgL_testz00_3212;

									if (STRUCTP(BgL_coercerz00_1687))
										{	/* Coerce/convert.scm 177 */
											BgL_testz00_3212 =
												(STRUCT_KEY(BgL_coercerz00_1687) ==
												CNST_TABLE_REF(((long) 8)));
										}
									else
										{	/* Coerce/convert.scm 177 */
											BgL_testz00_3212 = ((bool_t) 0);
										}
									if (BgL_testz00_3212)
										{	/* Coerce/convert.scm 181 */
											obj_t BgL_g1108z00_1690;
											obj_t BgL_g1109z00_1691;

											BgL_g1108z00_1690 =
												STRUCT_REF(BgL_coercerz00_1687, (int) (((long) 2)));
											BgL_g1109z00_1691 =
												STRUCT_REF(BgL_coercerz00_1687, (int) (((long) 3)));
											{
												obj_t BgL_checksz00_1693;
												obj_t BgL_coercesz00_1694;
												BgL_nodez00_bglt BgL_nodez00_1695;

												{
													obj_t BgL_auxz00_3222;

													BgL_checksz00_1693 = BgL_g1108z00_1690;
													BgL_coercesz00_1694 = BgL_g1109z00_1691;
													BgL_nodez00_1695 = BgL_nodez00_59;
												BgL_zc3anonymousza32061ze3z83_1696:
													if (NULLP(BgL_checksz00_1693))
														{	/* Coerce/convert.scm 185 */
															if (NULLP(BgL_coercesz00_1694))
																{	/* Coerce/convert.scm 186 */
																	BgL_auxz00_3222 = ((obj_t) BgL_nodez00_1695);
																}
															else
																{	/* Coerce/convert.scm 189 */
																	obj_t BgL_arg2064z00_1699;
																	obj_t BgL_arg2065z00_1700;

																	BgL_arg2064z00_1699 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1685));
																	BgL_arg2065z00_1700 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1684));
																	BgL_auxz00_3222 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2283z00zzcoerce_convertz00,
																		BgL_arg2064z00_1699, BgL_arg2065z00_1700);
																}
														}
													else
														{	/* Coerce/convert.scm 185 */
															if (NULLP(BgL_coercesz00_1694))
																{	/* Coerce/convert.scm 193 */
																	obj_t BgL_arg2067z00_1702;
																	obj_t BgL_arg2068z00_1703;

																	BgL_arg2067z00_1702 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1685));
																	BgL_arg2068z00_1703 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1684));
																	BgL_auxz00_3222 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2283z00zzcoerce_convertz00,
																		BgL_arg2067z00_1702, BgL_arg2068z00_1703);
																}
															else
																{
																	BgL_nodez00_bglt BgL_nodez00_3244;
																	obj_t BgL_coercesz00_3242;
																	obj_t BgL_checksz00_3240;

																	BgL_checksz00_3240 = CDR(BgL_checksz00_1693);
																	BgL_coercesz00_3242 =
																		CDR(BgL_coercesz00_1694);
																	BgL_nodez00_3244 =
																		BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																		(CDR(CAR(BgL_checksz00_1693)),
																		CDR(CAR(BgL_coercesz00_1694)),
																		CAR(CAR(BgL_checksz00_1693)),
																		CAR(CAR(BgL_coercesz00_1694)),
																		BgL_nodez00_1695, BgL_safez00_62);
																	BgL_nodez00_1695 = BgL_nodez00_3244;
																	BgL_coercesz00_1694 = BgL_coercesz00_3242;
																	BgL_checksz00_1693 = BgL_checksz00_3240;
																	goto BgL_zc3anonymousza32061ze3z83_1696;
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_3222);
												}
											}
										}
									else
										{	/* Coerce/convert.scm 177 */
											return
												((BgL_nodez00_bglt)
												BGl_convertzd2errorzd2zzcoerce_convertz00
												(BgL_fromz00_1685, BgL_toz00_1684, BgL_locz00_1688,
													BgL_nodez00_59));
										}
								}
							}
					}
				}
		}
	}



/* &convert! */
	BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t
		BgL_envz00_2999, obj_t BgL_nodez00_3000, obj_t BgL_fromz00_3001,
		obj_t BgL_toz00_3002, obj_t BgL_safez00_3003)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 165 */
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt) BgL_nodez00_3000),
				((BgL_typez00_bglt) BgL_fromz00_3001),
				((BgL_typez00_bglt) BgL_toz00_3002), CBOOL(BgL_safez00_3003));
		}
	}



/* make-one-conversion */
	BgL_nodez00_bglt BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_fromz00_63, obj_t BgL_toz00_64, obj_t BgL_checkopz00_65,
		obj_t BgL_coerceopz00_66, BgL_nodez00_bglt BgL_nodez00_67,
		bool_t BgL_safez00_68)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 214 */
			{	/* Coerce/convert.scm 215 */
				bool_t BgL_testz00_3262;

				if ((BgL_checkopz00_65 == BTRUE))
					{	/* Coerce/convert.scm 215 */
						BgL_testz00_3262 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 215 */
						if (BgL_safez00_68)
							{	/* Coerce/convert.scm 215 */
								BgL_testz00_3262 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 215 */
								BgL_testz00_3262 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_3262)
					{	/* Coerce/convert.scm 215 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_66,
							BgL_nodez00_67, ((BgL_typez00_bglt) BgL_fromz00_63));
					}
				else
					{	/* Coerce/convert.scm 215 */
						if (BGl_isazf3zf3zz__objectz00(BgL_fromz00_63,
								BGl_tclassz00zzobject_classz00))
							{	/* Coerce/convert.scm 217 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(
									((BgL_typez00_bglt) BgL_fromz00_63), BgL_toz00_64,
									BgL_checkopz00_65, BgL_coerceopz00_66, BgL_nodez00_67);
							}
						else
							{	/* Coerce/convert.scm 217 */
								return
									BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
					}
			}
		}
	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_69)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 224 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 225 */
				bool_t BgL_testz00_3273;

				{	/* Coerce/convert.scm 225 */
					bool_t BgL_res2259z00_2866;

					BgL_res2259z00_2866 =
						BGl_isazf3zf3zz__objectz00(
						((obj_t) BgL_nodez00_69), BGl_letzd2varzd2zzast_nodez00);
					BgL_testz00_3273 = BgL_res2259z00_2866;
				}
				if (BgL_testz00_3273)
					{	/* Coerce/convert.scm 226 */
						BgL_nodez00_bglt BgL_arg2081z00_1717;

						BgL_arg2081z00_1717 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_69)))->BgL_bodyz00);
						{
							BgL_nodez00_bglt BgL_nodez00_3278;

							BgL_nodez00_3278 = BgL_arg2081z00_1717;
							BgL_nodez00_69 = BgL_nodez00_3278;
							goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
						}
					}
				else
					{	/* Coerce/convert.scm 225 */
						return BgL_nodez00_69;
					}
			}
		}
	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_70, obj_t BgL_toz00_71, obj_t BgL_checkzd2opzd2_72,
		obj_t BgL_coercezd2opzd2_73, BgL_nodez00_bglt BgL_nodez00_74)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 232 */
			{	/* Coerce/convert.scm 235 */
				obj_t BgL_auxz00_1718;

				BgL_auxz00_1718 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5))));
				{	/* Coerce/convert.scm 235 */
					obj_t BgL_locz00_1719;

					BgL_locz00_1719 =
						(((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->BgL_locz00);
					{	/* Coerce/convert.scm 236 */
						BgL_nodez00_bglt BgL_lnodez00_1720;

						{	/* Coerce/convert.scm 244 */
							obj_t BgL_arg2092z00_1734;

							{	/* Coerce/convert.scm 244 */
								obj_t BgL_arg2093z00_1735;

								{	/* Coerce/convert.scm 244 */
									obj_t BgL_arg2094z00_1736;
									obj_t BgL_arg2095z00_1737;

									{	/* Coerce/convert.scm 244 */
										obj_t BgL_arg2096z00_1738;

										{	/* Coerce/convert.scm 244 */
											obj_t BgL_arg2097z00_1739;
											obj_t BgL_arg2098z00_1740;

											{	/* Coerce/convert.scm 244 */
												obj_t BgL_arg2099z00_1741;

												{	/* Coerce/convert.scm 244 */
													obj_t BgL_arg2100z00_1742;

													BgL_arg2100z00_1742 =
														(((BgL_typez00_bglt) CREF(
																((BgL_typez00_bglt) BgL_fromz00_70)))->
														BgL_idz00);
													BgL_arg2099z00_1741 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1718, BgL_arg2100z00_1742);
												}
												BgL_arg2097z00_1739 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg2099z00_1741);
											}
											BgL_arg2098z00_1740 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_arg2096z00_1738 =
												MAKE_PAIR(BgL_arg2097z00_1739, BgL_arg2098z00_1740);
										}
										BgL_arg2094z00_1736 = MAKE_PAIR(BgL_arg2096z00_1738, BNIL);
									}
									{	/* Coerce/convert.scm 246 */
										obj_t BgL_arg2101z00_1743;

										{	/* Coerce/convert.scm 246 */
											obj_t BgL_arg2102z00_1744;

											{	/* Coerce/convert.scm 246 */
												obj_t BgL_arg2103z00_1745;
												obj_t BgL_arg2104z00_1746;

												{	/* Coerce/convert.scm 246 */
													obj_t BgL_arg2105z00_1747;

													BgL_arg2105z00_1747 =
														MAKE_PAIR(BgL_auxz00_1718, BNIL);
													BgL_arg2103z00_1745 =
														MAKE_PAIR(BgL_checkzd2opzd2_72,
														BgL_arg2105z00_1747);
												}
												{	/* Coerce/convert.scm 248 */
													obj_t BgL_arg2107z00_1748;

													{	/* Coerce/convert.scm 248 */
														obj_t BgL_arg2108z00_1749;

														{	/* Coerce/convert.scm 248 */
															obj_t BgL_arg2109z00_1750;

															BgL_arg2109z00_1750 =
																(((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_toz00_71)))->
																BgL_idz00);
															BgL_arg2108z00_1749 =
																BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																(BgL_locz00_1719, BgL_arg2109z00_1750,
																BgL_auxz00_1718);
														}
														BgL_arg2107z00_1748 =
															MAKE_PAIR(BgL_arg2108z00_1749, BNIL);
													}
													BgL_arg2104z00_1746 =
														MAKE_PAIR(BgL_auxz00_1718, BgL_arg2107z00_1748);
												}
												BgL_arg2102z00_1744 =
													MAKE_PAIR(BgL_arg2103z00_1745, BgL_arg2104z00_1746);
											}
											BgL_arg2101z00_1743 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg2102z00_1744);
										}
										BgL_arg2095z00_1737 = MAKE_PAIR(BgL_arg2101z00_1743, BNIL);
									}
									BgL_arg2093z00_1735 =
										MAKE_PAIR(BgL_arg2094z00_1736, BgL_arg2095z00_1737);
								}
								BgL_arg2092z00_1734 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg2093z00_1735);
							}
							BgL_lnodez00_1720 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg2092z00_1734, BgL_locz00_1719);
						}
						{	/* Coerce/convert.scm 237 */

							BGl_za2checkza2z00zzcoerce_convertz00 =
								(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 82 */
									BGl_notifyzd2typezd2testz00zzcoerce_convertz00(BgL_fromz00_70,
										BgL_toz00_71, BgL_locz00_1719);
								}
							else
								{	/* Coerce/convert.scm 82 */
									BFALSE;
								}
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1720);
							{	/* Coerce/convert.scm 252 */
								obj_t BgL_varz00_1721;

								{	/* Coerce/convert.scm 252 */
									obj_t BgL_pairz00_2887;

									{	/* Coerce/convert.scm 252 */
										obj_t BgL_pairz00_2886;

										BgL_pairz00_2886 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((BgL_letzd2varzd2_bglt) BgL_lnodez00_1720)))->
											BgL_bindingsz00);
										BgL_pairz00_2887 = CAR(BgL_pairz00_2886);
									}
									BgL_varz00_1721 = CAR(BgL_pairz00_2887);
								}
								{	/* Coerce/convert.scm 252 */
									BgL_nodez00_bglt BgL_coercezd2appzd2_1722;

									{	/* Coerce/convert.scm 254 */
										BgL_varz00_bglt BgL_arg2087z00_1728;

										{	/* Coerce/convert.scm 254 */
											BgL_varz00_bglt BgL_new1111z00_1729;

											{	/* Coerce/convert.scm 255 */
												BgL_varz00_bglt BgL_new1110z00_1730;

												BgL_new1110z00_1730 =
													((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_varz00_bgl))));
												{	/* Coerce/convert.scm 255 */
													long BgL_arg2089z00_1731;

													{	/* Coerce/convert.scm 255 */
														long BgL_res2264z00_2889;

														BgL_res2264z00_2889 =
															BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
														BgL_arg2089z00_1731 = BgL_res2264z00_2889;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1110z00_1730),
														BgL_arg2089z00_1731);
												}
												{	/* Coerce/convert.scm 255 */
													BgL_objectz00_bglt BgL_auxz00_3318;

													BgL_auxz00_3318 =
														((BgL_objectz00_bglt) BgL_new1110z00_1730);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_3318, BFALSE);
												}
												BgL_new1111z00_1729 = BgL_new1110z00_1730;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1111z00_1729)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1719), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1111z00_1729)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_71),
														((BgL_typez00_bglt) BgL_fromz00_70))), BUNSPEC);
											((((BgL_varz00_bglt) CREF(BgL_new1111z00_1729))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1721)), BUNSPEC);
											BgL_arg2087z00_1728 = BgL_new1111z00_1729;
										}
										BgL_coercezd2appzd2_1722 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_73,
											((BgL_nodez00_bglt) BgL_arg2087z00_1728),
											((BgL_typez00_bglt) BgL_fromz00_70));
									}
									{	/* Coerce/convert.scm 253 */
										BgL_nodez00_bglt BgL_condnz00_1723;

										BgL_condnz00_1723 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1720);
										{	/* Coerce/convert.scm 259 */

											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_1721))))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											{	/* Coerce/convert.scm 263 */
												obj_t BgL_arg2083z00_1724;

												{	/* Coerce/convert.scm 263 */
													obj_t BgL_pairz00_2897;

													BgL_pairz00_2897 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1720)))->
														BgL_bindingsz00);
													BgL_arg2083z00_1724 = CAR(BgL_pairz00_2897);
												}
												{	/* Coerce/convert.scm 263 */
													obj_t BgL_auxz00_3341;

													BgL_auxz00_3341 = ((obj_t) BgL_nodez00_74);
													SET_CDR(BgL_arg2083z00_1724, BgL_auxz00_3341);
											}}
											((((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_fromz00_70)), BUNSPEC);
											((((BgL_conditionalz00_bglt)
														CREF(((BgL_conditionalz00_bglt)
																BgL_condnz00_1723)))->BgL_truez00) =
												((BgL_nodez00_bglt) BgL_coercezd2appzd2_1722), BUNSPEC);
											{	/* Coerce/convert.scm 267 */
												BgL_nodez00_bglt BgL_arg2085z00_1726;

												{	/* Coerce/convert.scm 267 */
													BgL_nodez00_bglt BgL_arg2086z00_1727;

													BgL_arg2086z00_1727 =
														(((BgL_conditionalz00_bglt) CREF(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1723)))->BgL_falsez00);
													BgL_arg2085z00_1726 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg2086z00_1727, BUNSPEC,
														((BgL_typez00_bglt) BgL_fromz00_70), ((bool_t) 0));
												}
												((((BgL_conditionalz00_bglt) CREF(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1723)))->BgL_falsez00) =
													((BgL_nodez00_bglt) BgL_arg2085z00_1726), BUNSPEC);
											}
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1720);
											return BgL_lnodez00_1720;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-one-class-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_75, obj_t BgL_toz00_76, obj_t BgL_checkzd2opzd2_77,
		obj_t BgL_coercezd2opzd2_78, BgL_nodez00_bglt BgL_nodez00_79)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 277 */
			{	/* Coerce/convert.scm 278 */
				bool_t BgL_testz00_3355;

				if (BGl_isazf3zf3zz__objectz00(BgL_toz00_76,
						BGl_tclassz00zzobject_classz00))
					{	/* Coerce/convert.scm 278 */
						BgL_testz00_3355 =
							BGl_typezd2subclasszf3z21zzobject_classz00(
							((BgL_typez00_bglt) BgL_fromz00_75),
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_76)));
					}
				else
					{	/* Coerce/convert.scm 278 */
						BgL_testz00_3355 = ((bool_t) 0);
					}
				if (BgL_testz00_3355)
					{	/* Coerce/convert.scm 278 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_78,
							BgL_nodez00_79, ((BgL_typez00_bglt) BgL_fromz00_75));
					}
				else
					{	/* Coerce/convert.scm 280 */
						obj_t BgL_auxz00_1753;

						BgL_auxz00_1753 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
						{	/* Coerce/convert.scm 280 */
							obj_t BgL_aux2z00_1754;

							BgL_aux2z00_1754 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)));
							{	/* Coerce/convert.scm 281 */
								obj_t BgL_locz00_1755;

								BgL_locz00_1755 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_79))->BgL_locz00);
								{	/* Coerce/convert.scm 282 */
									BgL_nodez00_bglt BgL_lnodez00_1756;

									{	/* Coerce/convert.scm 285 */
										obj_t BgL_arg2127z00_1780;

										{	/* Coerce/convert.scm 285 */
											obj_t BgL_arg2128z00_1781;

											{	/* Coerce/convert.scm 285 */
												obj_t BgL_arg2129z00_1782;
												obj_t BgL_arg2130z00_1783;

												{	/* Coerce/convert.scm 285 */
													obj_t BgL_arg2131z00_1784;

													{	/* Coerce/convert.scm 285 */
														obj_t BgL_arg2132z00_1785;
														obj_t BgL_arg2134z00_1786;

														{	/* Coerce/convert.scm 285 */
															obj_t BgL_arg2136z00_1787;

															{	/* Coerce/convert.scm 285 */
																obj_t BgL_arg2137z00_1788;

																{	/* Coerce/convert.scm 285 */
																	obj_t BgL_arg2138z00_1789;
																	obj_t BgL_arg2139z00_1790;

																	{	/* Coerce/convert.scm 285 */
																		obj_t BgL_res2267z00_2918;

																		{	/* Coerce/convert.scm 285 */
																			obj_t BgL_arg1265z00_2917;

																			BgL_arg1265z00_2917 =
																				SYMBOL_TO_STRING(BgL_auxz00_1753);
																			BgL_res2267z00_2918 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1265z00_2917);
																		}
																		BgL_arg2138z00_1789 = BgL_res2267z00_2918;
																	}
																	{	/* Coerce/convert.scm 285 */
																		obj_t BgL_res2268z00_2921;

																		{	/* Coerce/convert.scm 285 */
																			obj_t BgL_symbolz00_2919;

																			BgL_symbolz00_2919 =
																				CNST_TABLE_REF(((long) 6));
																			{	/* Coerce/convert.scm 285 */
																				obj_t BgL_arg1265z00_2920;

																				BgL_arg1265z00_2920 =
																					SYMBOL_TO_STRING(BgL_symbolz00_2919);
																				BgL_res2268z00_2921 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1265z00_2920);
																		}}
																		BgL_arg2139z00_1790 = BgL_res2268z00_2921;
																	}
																	BgL_arg2137z00_1788 =
																		string_append(BgL_arg2138z00_1789,
																		BgL_arg2139z00_1790);
																}
																BgL_arg2136z00_1787 =
																	bstring_to_symbol(BgL_arg2137z00_1788);
															}
															BgL_arg2132z00_1785 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg2136z00_1787);
														}
														BgL_arg2134z00_1786 = MAKE_PAIR(BUNSPEC, BNIL);
														BgL_arg2131z00_1784 =
															MAKE_PAIR(BgL_arg2132z00_1785,
															BgL_arg2134z00_1786);
													}
													BgL_arg2129z00_1782 =
														MAKE_PAIR(BgL_arg2131z00_1784, BNIL);
												}
												{	/* Coerce/convert.scm 287 */
													obj_t BgL_arg2141z00_1791;

													{	/* Coerce/convert.scm 287 */
														obj_t BgL_arg2142z00_1792;

														{	/* Coerce/convert.scm 287 */
															obj_t BgL_arg2143z00_1793;
															obj_t BgL_arg2144z00_1794;

															{	/* Coerce/convert.scm 287 */
																obj_t BgL_arg2145z00_1795;

																{	/* Coerce/convert.scm 287 */
																	obj_t BgL_arg2146z00_1796;
																	obj_t BgL_arg2147z00_1797;

																	{	/* Coerce/convert.scm 287 */
																		obj_t BgL_arg2148z00_1798;

																		{	/* Coerce/convert.scm 287 */
																			obj_t BgL_arg2149z00_1799;

																			{	/* Coerce/convert.scm 287 */
																				obj_t BgL_arg2150z00_1800;
																				obj_t BgL_arg2151z00_1801;

																				{	/* Coerce/convert.scm 287 */
																					obj_t BgL_res2270z00_2926;

																					{	/* Coerce/convert.scm 287 */
																						obj_t BgL_arg1265z00_2925;

																						BgL_arg1265z00_2925 =
																							SYMBOL_TO_STRING
																							(BgL_aux2z00_1754);
																						BgL_res2270z00_2926 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1265z00_2925);
																					}
																					BgL_arg2150z00_1800 =
																						BgL_res2270z00_2926;
																				}
																				{	/* Coerce/convert.scm 287 */
																					obj_t BgL_res2271z00_2929;

																					{	/* Coerce/convert.scm 287 */
																						obj_t BgL_symbolz00_2927;

																						BgL_symbolz00_2927 =
																							CNST_TABLE_REF(((long) 6));
																						{	/* Coerce/convert.scm 287 */
																							obj_t BgL_arg1265z00_2928;

																							BgL_arg1265z00_2928 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_2927);
																							BgL_res2271z00_2929 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg1265z00_2928);
																					}}
																					BgL_arg2151z00_1801 =
																						BgL_res2271z00_2929;
																				}
																				BgL_arg2149z00_1799 =
																					string_append(BgL_arg2150z00_1800,
																					BgL_arg2151z00_1801);
																			}
																			BgL_arg2148z00_1798 =
																				bstring_to_symbol(BgL_arg2149z00_1799);
																		}
																		BgL_arg2146z00_1796 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg2148z00_1798);
																	}
																	BgL_arg2147z00_1797 =
																		MAKE_PAIR(BUNSPEC, BNIL);
																	BgL_arg2145z00_1795 =
																		MAKE_PAIR(BgL_arg2146z00_1796,
																		BgL_arg2147z00_1797);
																}
																BgL_arg2143z00_1793 =
																	MAKE_PAIR(BgL_arg2145z00_1795, BNIL);
															}
															{	/* Coerce/convert.scm 288 */
																obj_t BgL_arg2152z00_1802;

																{	/* Coerce/convert.scm 288 */
																	obj_t BgL_arg2153z00_1803;

																	{	/* Coerce/convert.scm 288 */
																		obj_t BgL_arg2154z00_1804;
																		obj_t BgL_arg2156z00_1805;

																		{	/* Coerce/convert.scm 288 */
																			obj_t BgL_arg2157z00_1806;

																			BgL_arg2157z00_1806 =
																				MAKE_PAIR(BgL_aux2z00_1754, BNIL);
																			BgL_arg2154z00_1804 =
																				MAKE_PAIR(BgL_checkzd2opzd2_77,
																				BgL_arg2157z00_1806);
																		}
																		{	/* Coerce/convert.scm 290 */
																			obj_t BgL_arg2158z00_1807;

																			{	/* Coerce/convert.scm 290 */
																				obj_t BgL_arg2159z00_1808;

																				{	/* Coerce/convert.scm 290 */
																					obj_t BgL_arg2160z00_1809;

																					BgL_arg2160z00_1809 =
																						(((BgL_typez00_bglt) CREF(
																								((BgL_typez00_bglt)
																									BgL_toz00_76)))->BgL_idz00);
																					BgL_arg2159z00_1808 =
																						BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																						(BgL_locz00_1755,
																						BgL_arg2160z00_1809,
																						BgL_auxz00_1753);
																				}
																				BgL_arg2158z00_1807 =
																					MAKE_PAIR(BgL_arg2159z00_1808, BNIL);
																			}
																			BgL_arg2156z00_1805 =
																				MAKE_PAIR(BgL_auxz00_1753,
																				BgL_arg2158z00_1807);
																		}
																		BgL_arg2153z00_1803 =
																			MAKE_PAIR(BgL_arg2154z00_1804,
																			BgL_arg2156z00_1805);
																	}
																	BgL_arg2152z00_1802 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																		BgL_arg2153z00_1803);
																}
																BgL_arg2144z00_1794 =
																	MAKE_PAIR(BgL_arg2152z00_1802, BNIL);
															}
															BgL_arg2142z00_1792 =
																MAKE_PAIR(BgL_arg2143z00_1793,
																BgL_arg2144z00_1794);
														}
														BgL_arg2141z00_1791 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
															BgL_arg2142z00_1792);
													}
													BgL_arg2130z00_1783 =
														MAKE_PAIR(BgL_arg2141z00_1791, BNIL);
												}
												BgL_arg2128z00_1781 =
													MAKE_PAIR(BgL_arg2129z00_1782, BgL_arg2130z00_1783);
											}
											BgL_arg2127z00_1780 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg2128z00_1781);
										}
										BgL_lnodez00_1756 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg2127z00_1780, BgL_locz00_1755);
									}
									{	/* Coerce/convert.scm 283 */

										BGl_za2checkza2z00zzcoerce_convertz00 =
											(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
										if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
											{	/* Coerce/convert.scm 82 */
												BGl_notifyzd2typezd2testz00zzcoerce_convertz00(
													((obj_t) BgL_fromz00_75), BgL_toz00_76,
													BgL_locz00_1755);
											}
										else
											{	/* Coerce/convert.scm 82 */
												BFALSE;
											}
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_1756);
										{	/* Coerce/convert.scm 294 */
											obj_t BgL_varz00_1757;

											{	/* Coerce/convert.scm 294 */
												obj_t BgL_pairz00_2944;

												{	/* Coerce/convert.scm 294 */
													obj_t BgL_pairz00_2943;

													BgL_pairz00_2943 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1756)))->
														BgL_bindingsz00);
													BgL_pairz00_2944 = CAR(BgL_pairz00_2943);
												}
												BgL_varz00_1757 = CAR(BgL_pairz00_2944);
											}
											{	/* Coerce/convert.scm 294 */
												BgL_nodez00_bglt BgL_coercezd2appzd2_1758;

												{	/* Coerce/convert.scm 296 */
													BgL_varz00_bglt BgL_arg2122z00_1774;

													{	/* Coerce/convert.scm 296 */
														BgL_varz00_bglt BgL_new1114z00_1775;

														{	/* Coerce/convert.scm 297 */
															BgL_varz00_bglt BgL_new1112z00_1776;

															BgL_new1112z00_1776 =
																((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_varz00_bgl))));
															{	/* Coerce/convert.scm 297 */
																long BgL_arg2123z00_1777;

																{	/* Coerce/convert.scm 297 */
																	long BgL_res2275z00_2946;

																	BgL_res2275z00_2946 =
																		BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																	BgL_arg2123z00_1777 = BgL_res2275z00_2946;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1112z00_1776),
																	BgL_arg2123z00_1777);
															}
															{	/* Coerce/convert.scm 297 */
																BgL_objectz00_bglt BgL_auxz00_3424;

																BgL_auxz00_3424 =
																	((BgL_objectz00_bglt) BgL_new1112z00_1776);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_3424,
																	BFALSE);
															}
															BgL_new1114z00_1775 = BgL_new1112z00_1776;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1114z00_1775)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_1755), BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1114z00_1775)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														((((BgL_varz00_bglt) CREF(BgL_new1114z00_1775))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_1757)), BUNSPEC);
														BgL_arg2122z00_1774 = BgL_new1114z00_1775;
													}
													BgL_coercezd2appzd2_1758 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_78,
														((BgL_nodez00_bglt) BgL_arg2122z00_1774),
														((BgL_typez00_bglt) BgL_fromz00_75));
												}
												{	/* Coerce/convert.scm 295 */
													BgL_nodez00_bglt BgL_condnz00_1759;

													BgL_condnz00_1759 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_1756);
													{	/* Coerce/convert.scm 301 */

														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_1757))))->
																BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														{	/* Coerce/convert.scm 305 */
															obj_t BgL_arg2112z00_1760;

															{	/* Coerce/convert.scm 305 */
																obj_t BgL_pairz00_2954;

																BgL_pairz00_2954 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				BgL_lnodez00_1756)))->BgL_bindingsz00);
																BgL_arg2112z00_1760 = CAR(BgL_pairz00_2954);
															}
															{	/* Coerce/convert.scm 305 */
																obj_t BgL_auxz00_3445;

																BgL_auxz00_3445 = ((obj_t) BgL_nodez00_79);
																SET_CDR(BgL_arg2112z00_1760, BgL_auxz00_3445);
														}}
														{	/* Coerce/convert.scm 306 */
															obj_t BgL_binding2z00_1762;

															{	/* Coerce/convert.scm 306 */
																obj_t BgL_pairz00_2962;

																BgL_pairz00_2962 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				(((BgL_letzd2varzd2_bglt) CREF(
																							((BgL_letzd2varzd2_bglt)
																								BgL_lnodez00_1756)))->
																					BgL_bodyz00))))->BgL_bindingsz00);
																BgL_binding2z00_1762 = CAR(BgL_pairz00_2962);
															}
															{	/* Coerce/convert.scm 307 */
																BgL_castz00_bglt BgL_arg2114z00_1763;

																{	/* Coerce/convert.scm 307 */
																	BgL_castz00_bglt BgL_new1116z00_1764;

																	{	/* Coerce/convert.scm 308 */
																		BgL_castz00_bglt BgL_new1115z00_1768;

																		BgL_new1115z00_1768 =
																			((BgL_castz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_castz00_bgl))));
																		{	/* Coerce/convert.scm 308 */
																			long BgL_arg2116z00_1769;

																			{	/* Coerce/convert.scm 308 */
																				long BgL_res2277z00_2964;

																				BgL_res2277z00_2964 =
																					BGL_CLASS_INDEX
																					(BGl_castz00zzast_nodez00);
																				BgL_arg2116z00_1769 =
																					BgL_res2277z00_2964;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1115z00_1768),
																				BgL_arg2116z00_1769);
																		}
																		{	/* Coerce/convert.scm 308 */
																			BgL_objectz00_bglt BgL_auxz00_3457;

																			BgL_auxz00_3457 =
																				((BgL_objectz00_bglt)
																				BgL_new1115z00_1768);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_3457,
																				BFALSE);
																		}
																		BgL_new1116z00_1764 = BgL_new1115z00_1768;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1116z00_1764)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1755), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1116z00_1764)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_3465;

																		{	/* Coerce/convert.scm 310 */
																			BgL_varz00_bglt BgL_new1118z00_1765;

																			{	/* Coerce/convert.scm 311 */
																				BgL_varz00_bglt BgL_new1117z00_1766;

																				BgL_new1117z00_1766 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Coerce/convert.scm 311 */
																					long BgL_arg2115z00_1767;

																					{	/* Coerce/convert.scm 311 */
																						long BgL_res2278z00_2968;

																						{	/* Coerce/convert.scm 311 */
																							obj_t BgL_classz00_2967;

																							BgL_classz00_2967 =
																								BGl_varz00zzast_nodez00;
																							BgL_res2278z00_2968 =
																								BGL_CLASS_INDEX
																								(BgL_classz00_2967);
																						}
																						BgL_arg2115z00_1767 =
																							BgL_res2278z00_2968;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1117z00_1766),
																						BgL_arg2115z00_1767);
																				}
																				{	/* Coerce/convert.scm 311 */
																					BgL_objectz00_bglt BgL_auxz00_3470;

																					BgL_auxz00_3470 =
																						((BgL_objectz00_bglt)
																						BgL_new1117z00_1766);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_3470, BFALSE);
																				}
																				BgL_new1118z00_1765 =
																					BgL_new1117z00_1766;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1118z00_1765)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1755), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1118z00_1765)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BgL_fromz00_75)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1118z00_1765))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_1757)), BUNSPEC);
																			BgL_auxz00_3465 =
																				((BgL_nodez00_bglt)
																				BgL_new1118z00_1765);
																		}
																		((((BgL_castz00_bglt)
																					CREF(BgL_new1116z00_1764))->
																				BgL_argz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_3465),
																			BUNSPEC);
																	}
																	BgL_arg2114z00_1763 = BgL_new1116z00_1764;
																}
																{	/* Coerce/convert.scm 307 */
																	obj_t BgL_auxz00_3482;

																	BgL_auxz00_3482 =
																		((obj_t) BgL_arg2114z00_1763);
																	SET_CDR(BgL_binding2z00_1762,
																		BgL_auxz00_3482);
														}}}
														((((BgL_conditionalz00_bglt) CREF(
																		((BgL_conditionalz00_bglt)
																			BgL_condnz00_1759)))->BgL_truez00) =
															((BgL_nodez00_bglt) BgL_coercezd2appzd2_1758),
															BUNSPEC);
														{	/* Coerce/convert.scm 316 */
															BgL_nodez00_bglt BgL_arg2119z00_1772;

															{	/* Coerce/convert.scm 316 */
																BgL_nodez00_bglt BgL_arg2120z00_1773;

																BgL_arg2120z00_1773 =
																	(((BgL_conditionalz00_bglt) CREF(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_1759)))->BgL_falsez00);
																BgL_arg2119z00_1772 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg2120z00_1773, BUNSPEC,
																	((BgL_typez00_bglt) BgL_fromz00_75),
																	((bool_t) 0));
															}
															((((BgL_conditionalz00_bglt) CREF(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_1759)))->BgL_falsez00) =
																((BgL_nodez00_bglt) BgL_arg2119z00_1772),
																BUNSPEC);
														}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00
															(BgL_lnodez00_1756);
														return BgL_lnodez00_1756;
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* do-convert */
	BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t
		BgL_coercezd2opzd2_80, BgL_nodez00_bglt BgL_nodez00_81,
		BgL_typez00_bglt BgL_fromz00_82)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 326 */
			if ((BgL_coercezd2opzd2_80 == BTRUE))
				{	/* Coerce/convert.scm 329 */
					return BgL_nodez00_81;
				}
			else
				{	/* Coerce/convert.scm 331 */
					BgL_nodez00_bglt BgL_nnodez00_1812;

					{	/* Coerce/convert.scm 331 */
						obj_t BgL_arg2164z00_1813;
						obj_t BgL_arg2165z00_1814;

						{	/* Coerce/convert.scm 331 */
							obj_t BgL_arg2166z00_1815;

							BgL_arg2166z00_1815 = MAKE_PAIR(((obj_t) BgL_nodez00_81), BNIL);
							BgL_arg2164z00_1813 =
								MAKE_PAIR(BgL_coercezd2opzd2_80, BgL_arg2166z00_1815);
						}
						BgL_arg2165z00_1814 =
							(((BgL_nodez00_bglt) CREF(BgL_nodez00_81))->BgL_locz00);
						BgL_nnodez00_1812 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg2164z00_1813, BgL_arg2165z00_1814);
					}
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nnodez00_1812);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nnodez00_1812);
					return BgL_nnodez00_1812;
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2284z00zzcoerce_convertz00));
		}
	}

#ifdef __cplusplus
}
#endif
