/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/funcall.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcoerce_funcallz00();
	static obj_t
		BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
		(BgL_funcallz00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00();
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_funcallz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_funcallz00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_toplevelzd2expz72za0zzcoerce_funcallz00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2funcall1855za2zzcoerce_funcallz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
	static obj_t
		BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt,
		obj_t, obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[19];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzcoerce_funcallz00,
		BgL_bgl_za762coerceza712za7d2f2085za7,
		BGl_z62coercez12zd2funcall1855za2zzcoerce_funcallz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2078z00zzcoerce_funcallz00,
		BgL_bgl_string2078za700za7za7c2086za7, ":Wrong number of arguments", 26);
	      DEFINE_STRING(BGl_string2080z00zzcoerce_funcallz00,
		BgL_bgl_string2080za700za7za7c2087za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string2081z00zzcoerce_funcallz00,
		BgL_bgl_string2081za700za7za7c2088za7, "coerce_funcall", 14);
	      DEFINE_STRING(BGl_string2082z00zzcoerce_funcallz00,
		BgL_bgl_string2082za700za7za7c2089za7,
		"let if correct-arity? ::int len fun light elight __eoa__ dummy begin failure quote _ @ error/location __error location bdb ",
		123);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long
		BgL_checksumz00_2464, char *BgL_fromz00_2465)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_cnstzd2initzd2zzcoerce_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_methodzd2initzd2zzcoerce_funcallz00();
					BGl_toplevelzd2initzd2zzcoerce_funcallz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_funcall");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_cportz00_2456;

				BgL_cportz00_2456 =
					bgl_open_input_string(BGl_string2082z00zzcoerce_funcallz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2457;

					BgL_iz00_2457 = ((long) 18);
				BgL_loopz00_2458:
					if ((BgL_iz00_2457 == ((long) -1)))
						{	/* Coerce/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/funcall.scm 15 */
							{	/* Coerce/funcall.scm 15 */
								obj_t BgL_arg2084z00_2460;

								{	/* Coerce/funcall.scm 15 */

									{	/* Coerce/funcall.scm 15 */
										obj_t BgL_locationz00_2462;

										BgL_locationz00_2462 = BBOOL(((bool_t) 0));
										{	/* Coerce/funcall.scm 15 */

											BgL_arg2084z00_2460 =
												BGl_readz00zz__readerz00(BgL_cportz00_2456,
												BgL_locationz00_2462);
										}
									}
								}
								{	/* Coerce/funcall.scm 15 */
									int BgL_auxz00_2489;

									BgL_auxz00_2489 = (int) (BgL_iz00_2457);
									CNST_TABLE_SET(BgL_auxz00_2489, BgL_arg2084z00_2460);
							}}
							{	/* Coerce/funcall.scm 15 */
								int BgL_auxz00_2463;

								BgL_auxz00_2463 = (int) ((BgL_iz00_2457 - ((long) 1)));
								{
									long BgL_iz00_2494;

									BgL_iz00_2494 = (long) (BgL_auxz00_2463);
									BgL_iz00_2457 = BgL_iz00_2494;
									goto BgL_loopz00_2458;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* make-arity-error-node */
	BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt
		BgL_funz00_21, obj_t BgL_errorzd2msgzd2_22, obj_t BgL_locz00_23,
		obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 102 */
			{	/* Coerce/funcall.scm 103 */
				BgL_nodez00_bglt BgL_nodez00_1338;

				{	/* Coerce/funcall.scm 104 */
					obj_t BgL_arg1865z00_1339;

					{	/* Coerce/funcall.scm 104 */
						bool_t BgL_testz00_2496;

						{	/* Coerce/funcall.scm 104 */
							bool_t BgL_testz00_2497;

							if (
								((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
									((long) 0)))
								{	/* Coerce/funcall.scm 104 */
									BgL_testz00_2497 = ((bool_t) 1);
								}
							else
								{	/* Coerce/funcall.scm 104 */
									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
											((long) 0)))
										{	/* Coerce/funcall.scm 108 */
											obj_t BgL_arg1903z00_1376;

											{	/* Coerce/funcall.scm 108 */
												obj_t BgL_arg1904z00_1377;

												BgL_arg1904z00_1377 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1903z00_1376 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg1904z00_1377)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_2497 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 0)), BgL_arg1903z00_1376));
										}
									else
										{	/* Coerce/funcall.scm 105 */
											BgL_testz00_2497 = ((bool_t) 0);
										}
								}
							if (BgL_testz00_2497)
								{	/* Coerce/funcall.scm 104 */
									if (STRUCTP(BgL_locz00_23))
										{	/* Coerce/funcall.scm 109 */
											BgL_testz00_2496 =
												(STRUCT_KEY(BgL_locz00_23) ==
												CNST_TABLE_REF(((long) 1)));
										}
									else
										{	/* Coerce/funcall.scm 109 */
											BgL_testz00_2496 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/funcall.scm 104 */
									BgL_testz00_2496 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2496)
							{	/* Coerce/funcall.scm 111 */
								obj_t BgL_arg1867z00_1341;

								{	/* Coerce/funcall.scm 111 */
									obj_t BgL_arg1868z00_1342;
									obj_t BgL_arg1869z00_1343;

									{	/* Coerce/funcall.scm 111 */
										obj_t BgL_arg1870z00_1344;
										obj_t BgL_arg1871z00_1345;

										{	/* Coerce/funcall.scm 111 */
											obj_t BgL_arg1872z00_1346;

											{	/* Coerce/funcall.scm 111 */
												obj_t BgL_arg1873z00_1347;

												BgL_arg1873z00_1347 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BNIL);
												BgL_arg1872z00_1346 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg1873z00_1347);
											}
											BgL_arg1870z00_1344 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
												BgL_arg1872z00_1346);
										}
										{	/* Coerce/funcall.scm 113 */
											obj_t BgL_arg1874z00_1348;
											obj_t BgL_arg1875z00_1349;

											{	/* Coerce/funcall.scm 113 */
												obj_t BgL_arg1877z00_1350;

												{	/* Coerce/funcall.scm 113 */
													obj_t BgL_arg1878z00_1351;

													BgL_arg1878z00_1351 =
														BGl_currentzd2functionzd2zztools_errorz00();
													{	/* Coerce/funcall.scm 112 */
														obj_t BgL_res2046z00_2302;

														{	/* Coerce/funcall.scm 112 */
															obj_t BgL_arg1265z00_2301;

															BgL_arg1265z00_2301 =
																SYMBOL_TO_STRING(BgL_arg1878z00_1351);
															BgL_res2046z00_2302 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1265z00_2301);
														}
														BgL_arg1877z00_1350 = BgL_res2046z00_2302;
												}}
												BgL_arg1874z00_1348 =
													string_append(BgL_arg1877z00_1350,
													BGl_string2078z00zzcoerce_funcallz00);
											}
											{	/* Coerce/funcall.scm 117 */
												obj_t BgL_arg1879z00_1352;

												{	/* Coerce/funcall.scm 117 */
													obj_t BgL_arg1880z00_1353;

													{	/* Coerce/funcall.scm 117 */
														obj_t BgL_arg1881z00_1354;
														obj_t BgL_arg1882z00_1355;

														BgL_arg1881z00_1354 =
															BGl_locationzd2fullzd2fnamez00zztools_locationz00
															(BgL_locz00_23);
														BgL_arg1882z00_1355 =
															MAKE_PAIR(STRUCT_REF(BgL_locz00_23,
																(int) (((long) 1))), BNIL);
														BgL_arg1880z00_1353 =
															MAKE_PAIR(BgL_arg1881z00_1354,
															BgL_arg1882z00_1355);
													}
													BgL_arg1879z00_1352 =
														MAKE_PAIR(
														((obj_t) BgL_funz00_21), BgL_arg1880z00_1353);
												}
												BgL_arg1875z00_1349 =
													MAKE_PAIR(BgL_errorzd2msgzd2_22, BgL_arg1879z00_1352);
											}
											BgL_arg1871z00_1345 =
												MAKE_PAIR(BgL_arg1874z00_1348, BgL_arg1875z00_1349);
										}
										BgL_arg1868z00_1342 =
											MAKE_PAIR(BgL_arg1870z00_1344, BgL_arg1871z00_1345);
									}
									{	/* Coerce/funcall.scm 119 */
										obj_t BgL_arg1884z00_1357;

										{	/* Coerce/funcall.scm 119 */
											obj_t BgL_arg1885z00_1358;

											{	/* Coerce/funcall.scm 119 */
												obj_t BgL_arg1886z00_1359;
												obj_t BgL_arg1887z00_1360;

												{	/* Coerce/funcall.scm 119 */
													obj_t BgL_arg1888z00_1361;

													BgL_arg1888z00_1361 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
													BgL_arg1886z00_1359 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
														BgL_arg1888z00_1361);
												}
												{	/* Coerce/funcall.scm 119 */
													obj_t BgL_arg1889z00_1362;
													obj_t BgL_arg1890z00_1363;

													{	/* Coerce/funcall.scm 119 */
														obj_t BgL_arg1891z00_1364;

														BgL_arg1891z00_1364 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
														BgL_arg1889z00_1362 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1891z00_1364);
													}
													{	/* Coerce/funcall.scm 119 */
														obj_t BgL_arg1892z00_1365;

														{	/* Coerce/funcall.scm 119 */
															obj_t BgL_arg1893z00_1366;

															BgL_arg1893z00_1366 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
															BgL_arg1892z00_1365 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																BgL_arg1893z00_1366);
														}
														BgL_arg1890z00_1363 =
															MAKE_PAIR(BgL_arg1892z00_1365, BNIL);
													}
													BgL_arg1887z00_1360 =
														MAKE_PAIR(BgL_arg1889z00_1362, BgL_arg1890z00_1363);
												}
												BgL_arg1885z00_1358 =
													MAKE_PAIR(BgL_arg1886z00_1359, BgL_arg1887z00_1360);
											}
											BgL_arg1884z00_1357 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg1885z00_1358);
										}
										BgL_arg1869z00_1343 = MAKE_PAIR(BgL_arg1884z00_1357, BNIL);
									}
									BgL_arg1867z00_1341 =
										MAKE_PAIR(BgL_arg1868z00_1342, BgL_arg1869z00_1343);
								}
								BgL_arg1865z00_1339 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 8)), BgL_arg1867z00_1341);
							}
						else
							{	/* Coerce/funcall.scm 121 */
								obj_t BgL_arg1894z00_1367;

								{	/* Coerce/funcall.scm 121 */
									obj_t BgL_arg1895z00_1368;
									obj_t BgL_arg1896z00_1369;

									{	/* Coerce/funcall.scm 121 */
										obj_t BgL_arg1897z00_1370;

										{	/* Coerce/funcall.scm 121 */
											obj_t BgL_arg1898z00_1371;

											BgL_arg1898z00_1371 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/funcall.scm 120 */
												obj_t BgL_res2047z00_2308;

												{	/* Coerce/funcall.scm 120 */
													obj_t BgL_arg1265z00_2307;

													BgL_arg1265z00_2307 =
														SYMBOL_TO_STRING(BgL_arg1898z00_1371);
													BgL_res2047z00_2308 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1265z00_2307);
												}
												BgL_arg1897z00_1370 = BgL_res2047z00_2308;
											}
										}
										BgL_arg1895z00_1368 =
											string_append(BgL_arg1897z00_1370,
											BGl_string2078z00zzcoerce_funcallz00);
									}
									{	/* Coerce/funcall.scm 120 */
										obj_t BgL_arg1900z00_1372;

										BgL_arg1900z00_1372 =
											MAKE_PAIR(((obj_t) BgL_funz00_21), BNIL);
										BgL_arg1896z00_1369 =
											MAKE_PAIR(BgL_errorzd2msgzd2_22, BgL_arg1900z00_1372);
									}
									BgL_arg1894z00_1367 =
										MAKE_PAIR(BgL_arg1895z00_1368, BgL_arg1896z00_1369);
								}
								BgL_arg1865z00_1339 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg1894z00_1367);
					}}
					BgL_nodez00_1338 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1865z00_1339, BgL_locz00_23);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_1338);
				return
					BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_1338, BgL_callerz00_24,
					((BgL_typez00_bglt) BgL_toz00_25), ((bool_t) 0));
			}
		}
	}



/* coerce-funcall-args! */
	obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_26, obj_t BgL_callerz00_27, obj_t BgL_toz00_28,
		obj_t BgL_safez00_29)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 132 */
			if (NULLP((((BgL_funcallz00_bglt) CREF(BgL_nodez00_26))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 140 */
					obj_t BgL_arg1906z00_1380;

					{	/* Coerce/funcall.scm 140 */
						BgL_nodez00_bglt BgL_arg1907z00_1381;

						BgL_arg1907z00_1381 =
							BGl_toplevelzd2expz72za0zzcoerce_funcallz00(BgL_nodez00_26);
						{	/* Coerce/funcall.scm 140 */
							obj_t BgL_list1908z00_1382;

							BgL_list1908z00_1382 =
								MAKE_PAIR(((obj_t) BgL_arg1907z00_1381), BNIL);
							BgL_arg1906z00_1380 = BgL_list1908z00_1382;
						}
					}
					return
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_26))->BgL_argsz00) =
						((obj_t) BgL_arg1906z00_1380), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 141 */
					obj_t BgL_g1113z00_1383;
					obj_t BgL_g1114z00_1384;

					BgL_g1113z00_1383 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_26))->BgL_argsz00);
					BgL_g1114z00_1384 = CNST_TABLE_REF(((long) 9));
					{
						obj_t BgL_actualsz00_1386;
						obj_t BgL_prevz00_1387;

						BgL_actualsz00_1386 = BgL_g1113z00_1383;
						BgL_prevz00_1387 = BgL_g1114z00_1384;
					BgL_zc3anonymousza31909ze3z83_1388:
						if (NULLP(BgL_actualsz00_1386))
							{	/* Coerce/funcall.scm 144 */
								obj_t BgL_arg1911z00_1390;

								{	/* Coerce/funcall.scm 144 */
									BgL_nodez00_bglt BgL_arg1912z00_1391;

									BgL_arg1912z00_1391 =
										BGl_toplevelzd2expz72za0zzcoerce_funcallz00(BgL_nodez00_26);
									{	/* Coerce/funcall.scm 144 */
										obj_t BgL_list1913z00_1392;

										BgL_list1913z00_1392 =
											MAKE_PAIR(((obj_t) BgL_arg1912z00_1391), BNIL);
										BgL_arg1911z00_1390 = BgL_list1913z00_1392;
									}
								}
								return SET_CDR(BgL_prevz00_1387, BgL_arg1911z00_1390);
							}
						else
							{	/* Coerce/funcall.scm 143 */
								{	/* Coerce/funcall.scm 146 */
									BgL_nodez00_bglt BgL_arg1914z00_1393;

									{	/* Coerce/funcall.scm 146 */
										obj_t BgL_arg1915z00_1394;

										BgL_arg1915z00_1394 = CAR(BgL_actualsz00_1386);
										BgL_arg1914z00_1393 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_arg1915z00_1394),
											BgL_callerz00_27,
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
											CBOOL(BgL_safez00_29));
									}
									{	/* Coerce/funcall.scm 146 */
										obj_t BgL_auxz00_2590;

										BgL_auxz00_2590 = ((obj_t) BgL_arg1914z00_1393);
										SET_CAR(BgL_actualsz00_1386, BgL_auxz00_2590);
									}
								}
								{
									obj_t BgL_prevz00_2595;
									obj_t BgL_actualsz00_2593;

									BgL_actualsz00_2593 = CDR(BgL_actualsz00_1386);
									BgL_prevz00_2595 = BgL_actualsz00_1386;
									BgL_prevz00_1387 = BgL_prevz00_2595;
									BgL_actualsz00_1386 = BgL_actualsz00_2593;
									goto BgL_zc3anonymousza31909ze3z83_1388;
								}
							}
					}
				}
		}
	}



/* toplevel-exp' */
	BgL_nodez00_bglt
		BGl_toplevelzd2expz72za0zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1398)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 137 */
			{	/* Coerce/funcall.scm 135 */
				BgL_nodez00_bglt BgL_nz00_1400;

				{	/* Coerce/funcall.scm 135 */
					obj_t BgL_arg1920z00_1401;

					BgL_arg1920z00_1401 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1398)))->BgL_locz00);
					BgL_nz00_1400 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
								(long) 10)), BgL_arg1920z00_1401);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1400);
				return BgL_nz00_1400;
			}
		}
	}



/* coerce-funcall-elight-args! */
	obj_t
		BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
		(BgL_funcallz00_bglt BgL_nodez00_30, obj_t BgL_callerz00_31,
		obj_t BgL_toz00_32, obj_t BgL_safez00_33)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 152 */
			if (NULLP((((BgL_funcallz00_bglt) CREF(BgL_nodez00_30))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 160 */
					obj_t BgL_arg1922z00_1405;

					{	/* Coerce/funcall.scm 160 */
						BgL_nodez00_bglt BgL_arg1923z00_1406;

						BgL_arg1923z00_1406 =
							BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_nodez00_30);
						{	/* Coerce/funcall.scm 160 */
							obj_t BgL_list1924z00_1407;

							BgL_list1924z00_1407 =
								MAKE_PAIR(((obj_t) BgL_arg1923z00_1406), BNIL);
							BgL_arg1922z00_1405 = BgL_list1924z00_1407;
						}
					}
					return
						((((BgL_funcallz00_bglt) CREF(BgL_nodez00_30))->BgL_argsz00) =
						((obj_t) BgL_arg1922z00_1405), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 161 */
					BgL_variablez00_bglt BgL_calleez00_1408;

					{
						BgL_varz00_bglt BgL_auxz00_2608;

						{	/* Coerce/funcall.scm 161 */
							obj_t BgL_pairz00_2345;

							BgL_pairz00_2345 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_30))->
								BgL_functionsz00);
							BgL_auxz00_2608 = ((BgL_varz00_bglt) CAR(BgL_pairz00_2345));
						}
						BgL_calleez00_1408 =
							(((BgL_varz00_bglt) CREF(BgL_auxz00_2608))->BgL_variablez00);
					}
					{	/* Coerce/funcall.scm 162 */
						obj_t BgL_g1116z00_1409;
						obj_t BgL_g1117z00_1410;
						obj_t BgL_g1120z00_1411;

						BgL_g1116z00_1409 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_30))->BgL_argsz00);
						BgL_g1117z00_1410 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) CREF(BgL_calleez00_1408))->
											BgL_valuez00))))->BgL_argsz00);
						BgL_g1120z00_1411 = CNST_TABLE_REF(((long) 9));
						{
							obj_t BgL_actualsz00_1413;
							obj_t BgL_formalsz00_1414;
							obj_t BgL_prevz00_1415;

							BgL_actualsz00_1413 = BgL_g1116z00_1409;
							BgL_formalsz00_1414 = BgL_g1117z00_1410;
							BgL_prevz00_1415 = BgL_g1120z00_1411;
						BgL_zc3anonymousza31925ze3z83_1416:
							if (NULLP(BgL_actualsz00_1413))
								{	/* Coerce/funcall.scm 166 */
									obj_t BgL_arg1927z00_1418;

									{	/* Coerce/funcall.scm 166 */
										BgL_nodez00_bglt BgL_arg1928z00_1419;

										BgL_arg1928z00_1419 =
											BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_nodez00_30);
										{	/* Coerce/funcall.scm 166 */
											obj_t BgL_list1929z00_1420;

											BgL_list1929z00_1420 =
												MAKE_PAIR(((obj_t) BgL_arg1928z00_1419), BNIL);
											BgL_arg1927z00_1418 = BgL_list1929z00_1420;
										}
									}
									return SET_CDR(BgL_prevz00_1415, BgL_arg1927z00_1418);
								}
							else
								{	/* Coerce/funcall.scm 165 */
									{	/* Coerce/funcall.scm 169 */
										BgL_nodez00_bglt BgL_arg1930z00_1421;

										{	/* Coerce/funcall.scm 169 */
											obj_t BgL_arg1931z00_1422;
											BgL_typez00_bglt BgL_arg1932z00_1423;

											BgL_arg1931z00_1422 = CAR(BgL_actualsz00_1413);
											BgL_arg1932z00_1423 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(BgL_formalsz00_1414)))))->BgL_typez00);
											BgL_arg1930z00_1421 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg1931z00_1422),
												BgL_callerz00_31, BgL_arg1932z00_1423,
												CBOOL(BgL_safez00_33));
										}
										{	/* Coerce/funcall.scm 168 */
											obj_t BgL_auxz00_2632;

											BgL_auxz00_2632 = ((obj_t) BgL_arg1930z00_1421);
											SET_CAR(BgL_actualsz00_1413, BgL_auxz00_2632);
										}
									}
									{
										obj_t BgL_prevz00_2639;
										obj_t BgL_formalsz00_2637;
										obj_t BgL_actualsz00_2635;

										BgL_actualsz00_2635 = CDR(BgL_actualsz00_1413);
										BgL_formalsz00_2637 = CDR(BgL_formalsz00_1414);
										BgL_prevz00_2639 = BgL_actualsz00_1413;
										BgL_prevz00_1415 = BgL_prevz00_2639;
										BgL_formalsz00_1414 = BgL_formalsz00_2637;
										BgL_actualsz00_1413 = BgL_actualsz00_2635;
										goto BgL_zc3anonymousza31925ze3z83_1416;
									}
								}
						}
					}
				}
		}
	}



/* toplevel-exp */
	BgL_nodez00_bglt BGl_toplevelzd2expzd2zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1432)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 157 */
			{	/* Coerce/funcall.scm 155 */
				BgL_nodez00_bglt BgL_nz00_1434;

				{	/* Coerce/funcall.scm 155 */
					obj_t BgL_arg1941z00_1435;

					BgL_arg1941z00_1435 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1432)))->BgL_locz00);
					BgL_nz00_1434 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF((
								(long) 10)), BgL_arg1941z00_1435);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1434);
				return BgL_nz00_1434;
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2079z00zzcoerce_funcallz00,
				BGl_string2080z00zzcoerce_funcallz00);
		}
	}



/* &coerce!-funcall1855 */
	BgL_nodez00_bglt BGl_z62coercez12zd2funcall1855za2zzcoerce_funcallz00(obj_t
		BgL_envz00_2445, obj_t BgL_nodez00_2446, obj_t BgL_callerz00_2447,
		obj_t BgL_toz00_2448, obj_t BgL_safez00_2449)
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 37 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1437;
				obj_t BgL_callerz00_1438;
				obj_t BgL_toz00_1439;
				obj_t BgL_safez00_1440;

				BgL_nodez00_1437 = ((BgL_funcallz00_bglt) BgL_nodez00_2446);
				BgL_callerz00_1438 = BgL_callerz00_2447;
				BgL_toz00_1439 = BgL_toz00_2448;
				BgL_safez00_1440 = BgL_safez00_2449;
				{	/* Coerce/funcall.scm 39 */
					obj_t BgL_errorzd2msgzd2_1443;
					obj_t BgL_strengthz00_1444;
					BgL_typez00_bglt BgL_ntyz00_1445;

					{	/* Coerce/funcall.scm 39 */
						obj_t BgL_arg1978z00_1492;

						BgL_arg1978z00_1492 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1437));
						{	/* Coerce/funcall.scm 39 */
							obj_t BgL_list1979z00_1493;

							{	/* Coerce/funcall.scm 39 */
								obj_t BgL_arg1980z00_1494;

								BgL_arg1980z00_1494 = MAKE_PAIR(BgL_arg1978z00_1492, BNIL);
								BgL_list1979z00_1493 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg1980z00_1494);
							}
							BgL_errorzd2msgzd2_1443 = BgL_list1979z00_1493;
					}}
					BgL_strengthz00_1444 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1437))->BgL_strengthz00);
					BgL_ntyz00_1445 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1437)))->BgL_typez00);
					if ((BgL_strengthz00_1444 == CNST_TABLE_REF(((long) 11))))
						{	/* Coerce/funcall.scm 42 */
							if (CBOOL
								(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
								{	/* Coerce/funcall.scm 44 */
									BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
										(BgL_nodez00_1437, BgL_callerz00_1438, BgL_toz00_1439,
										BgL_safez00_1440);
								}
							else
								{	/* Coerce/funcall.scm 44 */
									BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00
										(BgL_nodez00_1437, BgL_callerz00_1438, BgL_toz00_1439,
										BgL_safez00_1440);
								}
							return
								BGl_convertz12z12zzcoerce_convertz00(
								((BgL_nodez00_bglt) BgL_nodez00_1437), BgL_ntyz00_1445,
								((BgL_typez00_bglt) BgL_toz00_1439), CBOOL(BgL_safez00_1440));
						}
					else
						{	/* Coerce/funcall.scm 42 */
							if ((BgL_strengthz00_1444 == CNST_TABLE_REF(((long) 12))))
								{	/* Coerce/funcall.scm 42 */
									if (CBOOL
										(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
										{	/* Coerce/funcall.scm 51 */
											BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
												(BgL_nodez00_1437, BgL_callerz00_1438, BgL_toz00_1439,
												BgL_safez00_1440);
										}
									else
										{	/* Coerce/funcall.scm 51 */
											BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00
												(BgL_nodez00_1437, BgL_callerz00_1438, BgL_toz00_1439,
												BgL_safez00_1440);
										}
									return
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_1437), BgL_ntyz00_1445,
										((BgL_typez00_bglt) BgL_toz00_1439),
										CBOOL(BgL_safez00_1440));
								}
							else
								{	/* Coerce/funcall.scm 58 */
									BgL_nodez00_bglt BgL_czd2funzd2_1449;

									{	/* Coerce/funcall.scm 58 */
										BgL_nodez00_bglt BgL_arg1977z00_1491;

										BgL_arg1977z00_1491 =
											(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1437))->
											BgL_funz00);
										BgL_czd2funzd2_1449 =
											BGl_coercez12z12zzcoerce_coercez00(BgL_arg1977z00_1491,
											BgL_callerz00_1438,
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											CBOOL(BgL_safez00_1440));
									}
									BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00
										(BgL_nodez00_1437, BgL_callerz00_1438, BgL_toz00_1439,
										BgL_safez00_1440);
									if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
										{	/* Coerce/funcall.scm 62 */
											((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1437))->
													BgL_funz00) =
												((BgL_nodez00_bglt) BgL_czd2funzd2_1449), BUNSPEC);
											return
												BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt)
													BgL_nodez00_1437), BgL_ntyz00_1445,
												((BgL_typez00_bglt) BgL_toz00_1439),
												CBOOL(BgL_safez00_1440));
										}
									else
										{	/* Coerce/funcall.scm 66 */
											BgL_localz00_bglt BgL_funz00_1450;

											BgL_funz00_1450 =
												BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(
													((long) 13)),
												((BgL_typez00_bglt)
													BGl_za2procedureza2z00zztype_cachez00));
											{	/* Coerce/funcall.scm 66 */
												obj_t BgL_locz00_1451;

												BgL_locz00_1451 =
													(((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_nodez00_1437)))->
													BgL_locz00);
												{	/* Coerce/funcall.scm 67 */
													BgL_atomz00_bglt BgL_lenz00_1452;

													{	/* Coerce/funcall.scm 68 */
														BgL_atomz00_bglt BgL_new1104z00_1486;

														{	/* Coerce/funcall.scm 69 */
															BgL_atomz00_bglt BgL_new1102z00_1489;

															BgL_new1102z00_1489 =
																((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_atomz00_bgl))));
															{	/* Coerce/funcall.scm 69 */
																long BgL_arg1976z00_1490;

																{	/* Coerce/funcall.scm 69 */
																	long BgL_res2065z00_2398;

																	BgL_res2065z00_2398 =
																		BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
																	BgL_arg1976z00_1490 = BgL_res2065z00_2398;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1102z00_1489),
																	BgL_arg1976z00_1490);
															}
															{	/* Coerce/funcall.scm 69 */
																BgL_objectz00_bglt BgL_auxz00_2697;

																BgL_auxz00_2697 =
																	((BgL_objectz00_bglt) BgL_new1102z00_1489);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_2697,
																	BFALSE);
															}
															BgL_new1104z00_1486 = BgL_new1102z00_1489;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1104z00_1486)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_1451), BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1104z00_1486)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_za2intza2z00zztype_cachez00)), BUNSPEC);
														((((BgL_atomz00_bglt) CREF(BgL_new1104z00_1486))->
																BgL_valuez00) =
															((obj_t)
																BINT((bgl_list_length((((BgL_funcallz00_bglt)
																					CREF(BgL_nodez00_1437))->
																				BgL_argsz00)) - ((long) 2)))), BUNSPEC);
														BgL_lenz00_1452 = BgL_new1104z00_1486;
													}
													{	/* Coerce/funcall.scm 68 */
														obj_t BgL_azd2lenzd2_1453;

														BgL_azd2lenzd2_1453 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF
																(((long) 14))));
														{	/* Coerce/funcall.scm 73 */
															obj_t BgL_azd2tlenzd2_1454;

															{	/* Coerce/funcall.scm 75 */
																obj_t BgL_arg1968z00_1481;

																{	/* Coerce/funcall.scm 75 */
																	obj_t BgL_arg1969z00_1482;

																	{	/* Coerce/funcall.scm 75 */
																		obj_t BgL_arg1970z00_1483;
																		obj_t BgL_arg1972z00_1484;

																		{	/* Coerce/funcall.scm 75 */
																			obj_t BgL_res2067z00_2408;

																			{	/* Coerce/funcall.scm 75 */
																				obj_t BgL_arg1265z00_2407;

																				BgL_arg1265z00_2407 =
																					SYMBOL_TO_STRING(BgL_azd2lenzd2_1453);
																				BgL_res2067z00_2408 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1265z00_2407);
																			}
																			BgL_arg1970z00_1483 = BgL_res2067z00_2408;
																		}
																		{	/* Coerce/funcall.scm 75 */
																			obj_t BgL_res2068z00_2411;

																			{	/* Coerce/funcall.scm 75 */
																				obj_t BgL_symbolz00_2409;

																				BgL_symbolz00_2409 =
																					CNST_TABLE_REF(((long) 15));
																				{	/* Coerce/funcall.scm 75 */
																					obj_t BgL_arg1265z00_2410;

																					BgL_arg1265z00_2410 =
																						SYMBOL_TO_STRING
																						(BgL_symbolz00_2409);
																					BgL_res2068z00_2411 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1265z00_2410);
																			}}
																			BgL_arg1972z00_1484 = BgL_res2068z00_2411;
																		}
																		BgL_arg1969z00_1482 =
																			string_append(BgL_arg1970z00_1483,
																			BgL_arg1972z00_1484);
																	}
																	BgL_arg1968z00_1481 =
																		bstring_to_symbol(BgL_arg1969z00_1482);
																}
																BgL_azd2tlenzd2_1454 =
																	BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																	(BgL_arg1968z00_1481);
															}
															{	/* Coerce/funcall.scm 74 */
																BgL_letzd2varzd2_bglt BgL_lnodez00_1455;

																{	/* Coerce/funcall.scm 76 */
																	BgL_letzd2varzd2_bglt BgL_new1106z00_1461;

																	{	/* Coerce/funcall.scm 77 */
																		BgL_letzd2varzd2_bglt BgL_new1105z00_1479;

																		BgL_new1105z00_1479 =
																			((BgL_letzd2varzd2_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_letzd2varzd2_bgl))));
																		{	/* Coerce/funcall.scm 77 */
																			long BgL_arg1966z00_1480;

																			{	/* Coerce/funcall.scm 77 */
																				long BgL_res2070z00_2415;

																				BgL_res2070z00_2415 =
																					BGL_CLASS_INDEX
																					(BGl_letzd2varzd2zzast_nodez00);
																				BgL_arg1966z00_1480 =
																					BgL_res2070z00_2415;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1105z00_1479),
																				BgL_arg1966z00_1480);
																		}
																		{	/* Coerce/funcall.scm 77 */
																			BgL_objectz00_bglt BgL_auxz00_2725;

																			BgL_auxz00_2725 =
																				((BgL_objectz00_bglt)
																				BgL_new1105z00_1479);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_2725,
																				BFALSE);
																		}
																		BgL_new1106z00_1461 = BgL_new1105z00_1479;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1106z00_1461)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1451), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1106z00_1461)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																					(BgL_typez00_bglt) BgL_toz00_1439),
																				BgL_ntyz00_1445)), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				CREF(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1106z00_1461)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BUNSPEC), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				CREF(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1106z00_1461)))->
																			BgL_keyz00) =
																		((obj_t) BINT(((long) -1))), BUNSPEC);
																	{
																		obj_t BgL_auxz00_2739;

																		{	/* Coerce/funcall.scm 79 */
																			obj_t BgL_arg1947z00_1462;

																			BgL_arg1947z00_1462 =
																				MAKE_PAIR(
																				((obj_t) BgL_funz00_1450),
																				((obj_t) BgL_czd2funzd2_1449));
																			{	/* Coerce/funcall.scm 79 */
																				obj_t BgL_list1948z00_1463;

																				BgL_list1948z00_1463 =
																					MAKE_PAIR(BgL_arg1947z00_1462, BNIL);
																				BgL_auxz00_2739 = BgL_list1948z00_1463;
																		}}
																		((((BgL_letzd2varzd2_bglt)
																					CREF(BgL_new1106z00_1461))->
																				BgL_bindingsz00) =
																			((obj_t) BgL_auxz00_2739), BUNSPEC);
																	}
																	{
																		BgL_nodez00_bglt BgL_auxz00_2745;

																		{	/* Coerce/funcall.scm 81 */
																			obj_t BgL_arg1949z00_1464;

																			{	/* Coerce/funcall.scm 81 */
																				obj_t BgL_arg1950z00_1465;

																				{	/* Coerce/funcall.scm 81 */
																					obj_t BgL_arg1951z00_1466;
																					obj_t BgL_arg1952z00_1467;

																					{	/* Coerce/funcall.scm 81 */
																						obj_t BgL_arg1953z00_1468;

																						{	/* Coerce/funcall.scm 81 */
																							obj_t BgL_arg1954z00_1469;

																							BgL_arg1954z00_1469 =
																								MAKE_PAIR(
																								((obj_t) BgL_lenz00_1452),
																								BNIL);
																							BgL_arg1953z00_1468 =
																								MAKE_PAIR(BgL_azd2tlenzd2_1454,
																								BgL_arg1954z00_1469);
																						}
																						BgL_arg1951z00_1466 =
																							MAKE_PAIR(BgL_arg1953z00_1468,
																							BNIL);
																					}
																					{	/* Coerce/funcall.scm 82 */
																						obj_t BgL_arg1955z00_1470;

																						{	/* Coerce/funcall.scm 82 */
																							obj_t BgL_arg1956z00_1471;

																							{	/* Coerce/funcall.scm 82 */
																								obj_t BgL_arg1957z00_1472;
																								obj_t BgL_arg1958z00_1473;

																								{	/* Coerce/funcall.scm 82 */
																									obj_t BgL_arg1959z00_1474;

																									{	/* Coerce/funcall.scm 82 */
																										obj_t BgL_arg1960z00_1475;

																										BgL_arg1960z00_1475 =
																											MAKE_PAIR
																											(BgL_azd2lenzd2_1453,
																											BNIL);
																										BgL_arg1959z00_1474 =
																											MAKE_PAIR(((obj_t)
																												BgL_funz00_1450),
																											BgL_arg1960z00_1475);
																									}
																									BgL_arg1957z00_1472 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 16)),
																										BgL_arg1959z00_1474);
																								}
																								{	/* Coerce/funcall.scm 83 */
																									BgL_nodez00_bglt
																										BgL_arg1961z00_1476;
																									obj_t BgL_arg1964z00_1477;

																									BgL_arg1961z00_1476 =
																										BGl_convertz12z12zzcoerce_convertz00
																										(((BgL_nodez00_bglt)
																											BgL_nodez00_1437),
																										BgL_ntyz00_1445,
																										((BgL_typez00_bglt)
																											BgL_toz00_1439),
																										CBOOL(BgL_safez00_1440));
																									{	/* Coerce/funcall.scm 84 */
																										BgL_nodez00_bglt
																											BgL_arg1965z00_1478;
																										BgL_arg1965z00_1478 =
																											BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00
																											(BgL_funz00_1450,
																											BgL_errorzd2msgzd2_1443,
																											BgL_locz00_1451,
																											BgL_callerz00_1438,
																											BgL_toz00_1439);
																										BgL_arg1964z00_1477 =
																											MAKE_PAIR(((obj_t)
																												BgL_arg1965z00_1478),
																											BNIL);
																									}
																									BgL_arg1958z00_1473 =
																										MAKE_PAIR(
																										((obj_t)
																											BgL_arg1961z00_1476),
																										BgL_arg1964z00_1477);
																								}
																								BgL_arg1956z00_1471 =
																									MAKE_PAIR(BgL_arg1957z00_1472,
																									BgL_arg1958z00_1473);
																							}
																							BgL_arg1955z00_1470 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										17)), BgL_arg1956z00_1471);
																						}
																						BgL_arg1952z00_1467 =
																							MAKE_PAIR(BgL_arg1955z00_1470,
																							BNIL);
																					}
																					BgL_arg1950z00_1465 =
																						MAKE_PAIR(BgL_arg1951z00_1466,
																						BgL_arg1952z00_1467);
																				}
																				BgL_arg1949z00_1464 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
																					BgL_arg1950z00_1465);
																			}
																			BgL_auxz00_2745 =
																				BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																				(BgL_arg1949z00_1464, BgL_locz00_1451);
																		}
																		((((BgL_letzd2varzd2_bglt)
																					CREF(BgL_new1106z00_1461))->
																				BgL_bodyz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_2745),
																			BUNSPEC);
																	}
																	((((BgL_letzd2varzd2_bglt)
																				CREF(BgL_new1106z00_1461))->
																			BgL_removablezf3zf3) =
																		((bool_t) ((bool_t) 1)), BUNSPEC);
																	BgL_lnodez00_1455 = BgL_new1106z00_1461;
																}
																{	/* Coerce/funcall.scm 76 */

																	{	/* Coerce/funcall.scm 91 */
																		BgL_varz00_bglt BgL_arg1944z00_1456;

																		{	/* Coerce/funcall.scm 91 */
																			BgL_varz00_bglt BgL_new1108z00_1457;

																			{	/* Coerce/funcall.scm 92 */
																				BgL_varz00_bglt BgL_new1107z00_1459;

																				BgL_new1107z00_1459 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Coerce/funcall.scm 92 */
																					long BgL_arg1946z00_1460;

																					{	/* Coerce/funcall.scm 92 */
																						long BgL_res2072z00_2421;

																						BgL_res2072z00_2421 =
																							BGL_CLASS_INDEX
																							(BGl_varz00zzast_nodez00);
																						BgL_arg1946z00_1460 =
																							BgL_res2072z00_2421;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1107z00_1459),
																						BgL_arg1946z00_1460);
																				}
																				{	/* Coerce/funcall.scm 92 */
																					BgL_objectz00_bglt BgL_auxz00_2778;

																					BgL_auxz00_2778 =
																						((BgL_objectz00_bglt)
																						BgL_new1107z00_1459);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_2778, BFALSE);
																				}
																				BgL_new1108z00_1457 =
																					BgL_new1107z00_1459;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1108z00_1457)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1451), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_2783;

																				{	/* Coerce/funcall.scm 94 */
																					BgL_typez00_bglt BgL_arg1945z00_1458;

																					BgL_arg1945z00_1458 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									BgL_funz00_1450)))->
																						BgL_typez00);
																					BgL_auxz00_2783 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(BgL_arg1945z00_1458,
																						((BgL_typez00_bglt)
																							BGl_za2objza2z00zztype_cachez00));
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1108z00_1457)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_2783),
																					BUNSPEC);
																			}
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1108z00_1457))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_funz00_1450)), BUNSPEC);
																			BgL_arg1944z00_1456 = BgL_new1108z00_1457;
																		}
																		((((BgL_funcallz00_bglt)
																					CREF(BgL_nodez00_1437))->BgL_funz00) =
																			((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																					BgL_arg1944z00_1456)), BUNSPEC);
																	}
																	BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																		((BgL_nodez00_bglt) BgL_lnodez00_1455));
																	return ((BgL_nodez00_bglt) BgL_lnodez00_1455);
																}
															}
														}
													}
												}
											}
										}
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00()
	{
		AN_OBJECT;
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string2081z00zzcoerce_funcallz00));
		}
	}

#ifdef __cplusplus
}
#endif
