/*===========================================================================*/
/*   (Effect/spread.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/spread.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21890za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21892za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21894za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21896za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21898za2zzeffect_spreadz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_methodzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62spreadzd2sidezd2effectz121887z70zzeffect_spreadz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t,
		obj_t);
	static bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21900za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21903za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21905za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21907za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21910za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21912za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21914za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21916za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21919za2zzeffect_spreadz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21921za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21923za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21925za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21927za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21929za2zzeffect_spreadz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_spreadz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00();
	static obj_t BGl_genericzd2initzd2zzeffect_spreadz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_spreadz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2097z00,
		BGl_z62spreadzd2sidezd2effectz121887z70zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2098z00,
		BGl_z62spreadzd2sidezd2effectz12zd21890za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2099z00,
		BGl_z62spreadzd2sidezd2effectz12zd21892za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2100z00,
		BGl_z62spreadzd2sidezd2effectz12zd21894za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2101z00,
		BGl_z62spreadzd2sidezd2effectz12zd21896za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2102z00,
		BGl_z62spreadzd2sidezd2effectz12zd21898za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2103z00,
		BGl_z62spreadzd2sidezd2effectz12zd21900za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2104z00,
		BGl_z62spreadzd2sidezd2effectz12zd21903za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2081z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2105z00,
		BGl_z62spreadzd2sidezd2effectz12zd21905za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2082z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2106z00,
		BGl_z62spreadzd2sidezd2effectz12zd21907za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2107z00,
		BGl_z62spreadzd2sidezd2effectz12zd21910za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2084z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2108z00,
		BGl_z62spreadzd2sidezd2effectz12zd21912za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2109z00,
		BGl_z62spreadzd2sidezd2effectz12zd21914za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2110z00,
		BGl_z62spreadzd2sidezd2effectz12zd21916za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2111z00,
		BGl_z62spreadzd2sidezd2effectz12zd21919za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2112z00,
		BGl_z62spreadzd2sidezd2effectz12zd21921za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2113z00,
		BGl_z62spreadzd2sidezd2effectz12zd21923za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2114z00,
		BGl_z62spreadzd2sidezd2effectz12zd21925za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2115z00,
		BGl_z62spreadzd2sidezd2effectz12zd21927za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2116z00,
		BGl_z62spreadzd2sidezd2effectz12zd21929za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2072z00zzeffect_spreadz00,
		BgL_bgl_string2072za700za7za7e2117za7, "spread-side-effect!1887", 23);
	      DEFINE_STRING(BGl_string2074z00zzeffect_spreadz00,
		BgL_bgl_string2074za700za7za7e2118za7, "spread-side-effect!", 19);
	      DEFINE_STRING(BGl_string2093z00zzeffect_spreadz00,
		BgL_bgl_string2093za700za7za7e2119za7, "effect_spread", 13);
	      DEFINE_STRING(BGl_string2094z00zzeffect_spreadz00,
		BgL_bgl_string2094za700za7za7e2120za7, "read ", 5);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side2121z00,
		BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long
		BgL_checksumz00_2313, char *BgL_fromz00_2314)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_spreadz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_spreadz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_cnstzd2initzd2zzeffect_spreadz00();
					BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_genericzd2initzd2zzeffect_spreadz00();
					BGl_methodzd2initzd2zzeffect_spreadz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_spread");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			{	/* Effect/spread.scm 15 */
				obj_t BgL_cportz00_2304;

				BgL_cportz00_2304 =
					bgl_open_input_string(BGl_string2094z00zzeffect_spreadz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2305;

					BgL_iz00_2305 = ((long) 0);
				BgL_loopz00_2306:
					if ((BgL_iz00_2305 == ((long) -1)))
						{	/* Effect/spread.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/spread.scm 15 */
							{	/* Effect/spread.scm 15 */
								obj_t BgL_arg2096z00_2308;

								{	/* Effect/spread.scm 15 */

									{	/* Effect/spread.scm 15 */
										obj_t BgL_locationz00_2310;

										BgL_locationz00_2310 = BBOOL(((bool_t) 0));
										{	/* Effect/spread.scm 15 */

											BgL_arg2096z00_2308 =
												BGl_readz00zz__readerz00(BgL_cportz00_2304,
												BgL_locationz00_2310);
										}
									}
								}
								{	/* Effect/spread.scm 15 */
									int BgL_auxz00_2334;

									BgL_auxz00_2334 = (int) (BgL_iz00_2305);
									CNST_TABLE_SET(BgL_auxz00_2334, BgL_arg2096z00_2308);
							}}
							{	/* Effect/spread.scm 15 */
								int BgL_auxz00_2311;

								BgL_auxz00_2311 = (int) ((BgL_iz00_2305 - ((long) 1)));
								{
									long BgL_iz00_2339;

									BgL_iz00_2339 = (long) (BgL_auxz00_2311);
									BgL_iz00_2305 = BgL_iz00_2339;
									goto BgL_loopz00_2306;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}
	}



/* spread-side-effect*! */
	bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t
		BgL_nodeza2za2_23)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 210 */
			{
				obj_t BgL_nodeza2za2_1230;
				bool_t BgL_resz00_1231;

				BgL_nodeza2za2_1230 = BgL_nodeza2za2_23;
				BgL_resz00_1231 = ((bool_t) 0);
			BgL_zc3anonymousza31933ze3z83_1232:
				if (NULLP(BgL_nodeza2za2_1230))
					{	/* Effect/spread.scm 213 */
						return BgL_resz00_1231;
					}
				else
					{	/* Effect/spread.scm 215 */
						obj_t BgL_arg1935z00_1234;
						bool_t BgL_arg1936z00_1235;

						BgL_arg1935z00_1234 = CDR(BgL_nodeza2za2_1230);
						{	/* Effect/spread.scm 215 */
							bool_t BgL__ortest_1120z00_1236;

							{	/* Effect/spread.scm 215 */
								obj_t BgL_arg1937z00_1237;

								BgL_arg1937z00_1237 = CAR(BgL_nodeza2za2_1230);
								BgL__ortest_1120z00_1236 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									((BgL_nodez00_bglt) BgL_arg1937z00_1237));
							}
							if (BgL__ortest_1120z00_1236)
								{	/* Effect/spread.scm 215 */
									BgL_arg1936z00_1235 = BgL__ortest_1120z00_1236;
								}
							else
								{	/* Effect/spread.scm 215 */
									BgL_arg1936z00_1235 = BgL_resz00_1231;
								}
						}
						{
							bool_t BgL_resz00_2349;
							obj_t BgL_nodeza2za2_2348;

							BgL_nodeza2za2_2348 = BgL_arg1935z00_1234;
							BgL_resz00_2349 = BgL_arg1936z00_1235;
							BgL_resz00_1231 = BgL_resz00_2349;
							BgL_nodeza2za2_1230 = BgL_nodeza2za2_2348;
							goto BgL_zc3anonymousza31933ze3z83_1232;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_proc2071z00zzeffect_spreadz00, BGl_nodez00zzast_nodez00,
				BGl_string2072z00zzeffect_spreadz00);
		}
	}



/* &spread-side-effect!1887 */
	obj_t BGl_z62spreadzd2sidezd2effectz121887z70zzeffect_spreadz00(obj_t
		BgL_envz00_2243, obj_t BgL_nodez00_2244)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			return BBOOL(((bool_t) 0));
		}
	}



/* spread-side-effect! */
	BGL_EXPORTED_DEF bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			{	/* Effect/spread.scm 23 */
				obj_t BgL_method1888z00_1243;

				{	/* Effect/spread.scm 23 */
					obj_t BgL_res2060z00_2174;

					{	/* Effect/spread.scm 23 */
						long BgL_objzd2classzd2numz00_2147;

						{	/* Effect/spread.scm 23 */
							long BgL_res2054z00_2150;

							BgL_res2054z00_2150 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
							BgL_objzd2classzd2numz00_2147 = BgL_res2054z00_2150;
						}
						{	/* Effect/spread.scm 23 */
							obj_t BgL_arg1769z00_2148;

							BgL_arg1769z00_2148 =
								PROCEDURE_REF
								(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
								(int) (((long) 1)));
							{	/* Effect/spread.scm 23 */
								int BgL_offsetz00_2152;

								BgL_offsetz00_2152 = (int) (BgL_objzd2classzd2numz00_2147);
								{	/* Effect/spread.scm 23 */
									long BgL_offsetz00_2153;

									BgL_offsetz00_2153 =
										((long) (BgL_offsetz00_2152) - OBJECT_TYPE);
									{	/* Effect/spread.scm 23 */
										long BgL_modz00_2154;

										{	/* Effect/spread.scm 23 */
											int BgL_arg1771z00_2155;

											BgL_arg1771z00_2155 = (int) (((long) 16));
											{	/* Effect/spread.scm 23 */
												long BgL_res2057z00_2165;

												{	/* Effect/spread.scm 23 */
													long BgL_auxz00_2360;

													BgL_auxz00_2360 = (long) (BgL_arg1771z00_2155);
													BgL_res2057z00_2165 =
														(BgL_offsetz00_2153 / BgL_auxz00_2360);
												}
												BgL_modz00_2154 = BgL_res2057z00_2165;
										}}
										{	/* Effect/spread.scm 23 */
											long BgL_restz00_2156;

											{	/* Effect/spread.scm 23 */
												int BgL_arg1770z00_2157;

												BgL_arg1770z00_2157 = (int) (((long) 16));
												{	/* Effect/spread.scm 23 */
													long BgL_res2059z00_2169;

													{	/* Effect/spread.scm 23 */
														long BgL_auxz00_2364;

														BgL_auxz00_2364 = (long) (BgL_arg1770z00_2157);
														BgL_res2059z00_2169 =
															(BgL_offsetz00_2153 % BgL_auxz00_2364);
													}
													BgL_restz00_2156 = BgL_res2059z00_2169;
											}}
											{	/* Effect/spread.scm 23 */

												BgL_res2060z00_2174 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2148,
														(int) (BgL_modz00_2154)), (int) (BgL_restz00_2156));
					}}}}}}}
					BgL_method1888z00_1243 = BgL_res2060z00_2174;
				}
				return
					CBOOL(PROCEDURE_ENTRY(BgL_method1888z00_1243) (BgL_method1888z00_1243,
						((obj_t) BgL_nodez00_3), BEOA));
			}
		}
	}



/* &spread-side-effect! */
	obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t
		BgL_envz00_2245, obj_t BgL_nodez00_2246)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 23 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					((BgL_nodez00_bglt) BgL_nodez00_2246)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_varz00zzast_nodez00, BGl_proc2073z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2075z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_syncz00zzast_nodez00, BGl_proc2076z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appz00zzast_nodez00, BGl_proc2077z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2078z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2079z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_externz00zzast_nodez00, BGl_proc2080z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_castz00zzast_nodez00, BGl_proc2081z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setqz00zzast_nodez00, BGl_proc2082z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2083z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_failz00zzast_nodez00, BGl_proc2084z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_selectz00zzast_nodez00, BGl_proc2085z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2086z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2087z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2088z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2089z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2090z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2091z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2092z00zzeffect_spreadz00,
				BGl_string2074z00zzeffect_spreadz00);
		}
	}



/* &spread-side-effect!-1929 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21929za2zzeffect_spreadz00(obj_t
		BgL_envz00_2266, obj_t BgL_nodez00_2267)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 203 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1415;

				{	/* Effect/spread.scm 204 */
					bool_t BgL_auxz00_2399;

					BgL_nodez00_1415 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2267);
					{	/* Effect/spread.scm 205 */
						BgL_varz00_bglt BgL_arg1995z00_2230;

						BgL_arg1995z00_2230 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1415))->BgL_varz00);
						BgL_auxz00_2399 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							((BgL_nodez00_bglt) BgL_arg1995z00_2230));
					}
					return BBOOL(BgL_auxz00_2399);
				}
			}
		}
	}



/* &spread-side-effect!-1927 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21927za2zzeffect_spreadz00(obj_t
		BgL_envz00_2268, obj_t BgL_nodez00_2269)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 191 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1409;

				{	/* Effect/spread.scm 192 */
					bool_t BgL_auxz00_2405;

					BgL_nodez00_1409 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2269);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1409))->
							BgL_valuez00));
					BgL_auxz00_2405 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2405);
				}
			}
		}
	}



/* &spread-side-effect!-1925 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21925za2zzeffect_spreadz00(obj_t
		BgL_envz00_2270, obj_t BgL_nodez00_2271)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 182 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1402;

				{	/* Effect/spread.scm 183 */
					bool_t BgL_auxz00_2410;

					BgL_nodez00_1402 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2271);
					{	/* Effect/spread.scm 184 */
						bool_t BgL_resz00_1406;

						BgL_resz00_1406 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1402))->
								BgL_valuez00));
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_nodez00_1402)))->BgL_sidezd2effectzd2) =
							((obj_t) BBOOL(BgL_resz00_1406)), BUNSPEC);
						BgL_auxz00_2410 = BgL_resz00_1406;
					}
					return BBOOL(BgL_auxz00_2410);
				}
			}
		}
	}



/* &spread-side-effect!-1923 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21923za2zzeffect_spreadz00(obj_t
		BgL_envz00_2272, obj_t BgL_nodez00_2273)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 173 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1395;

				{	/* Effect/spread.scm 174 */
					bool_t BgL_auxz00_2418;

					BgL_nodez00_1395 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2273);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1395))->
							BgL_exitz00));
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(((
								(BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1395))->
							BgL_valuez00));
					BgL_auxz00_2418 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2418);
				}
			}
		}
	}



/* &spread-side-effect!-1921 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21921za2zzeffect_spreadz00(obj_t
		BgL_envz00_2274, obj_t BgL_nodez00_2275)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 166 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1389;

				{	/* Effect/spread.scm 167 */
					bool_t BgL_auxz00_2425;

					BgL_nodez00_1389 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2275);
					BgL_auxz00_2425 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1389))->
							BgL_bodyz00));
					return BBOOL(BgL_auxz00_2425);
				}
			}
		}
	}



/* &spread-side-effect!-1919 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21919za2zzeffect_spreadz00(obj_t
		BgL_envz00_2276, obj_t BgL_nodez00_2277)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 152 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1370;

				{	/* Effect/spread.scm 153 */
					bool_t BgL_auxz00_2430;

					BgL_nodez00_1370 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2277);
					{	/* Effect/spread.scm 154 */
						bool_t BgL_g1113z00_1374;

						BgL_g1113z00_1374 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1370))->BgL_bodyz00));
						{
							obj_t BgL_bdgsz00_1377;
							bool_t BgL_resz00_1378;

							BgL_bdgsz00_1377 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1370))->
								BgL_bindingsz00);
							BgL_resz00_1378 = BgL_g1113z00_1374;
						BgL_zc3anonymousza31981ze3z83_1379:
							if (NULLP(BgL_bdgsz00_1377))
								{	/* Effect/spread.scm 156 */
									((((BgL_nodezf2effectzf2_bglt) CREF(
													((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1370)))->
											BgL_sidezd2effectzd2) =
										((obj_t) BBOOL(BgL_resz00_1378)), BUNSPEC);
									BgL_auxz00_2430 = BgL_resz00_1378;
								}
							else
								{	/* Effect/spread.scm 160 */
									obj_t BgL_arg1983z00_1381;
									bool_t BgL_arg1984z00_1382;

									BgL_arg1983z00_1381 = CDR(BgL_bdgsz00_1377);
									{	/* Effect/spread.scm 161 */
										bool_t BgL__ortest_1114z00_1383;

										{	/* Effect/spread.scm 161 */
											obj_t BgL_arg1986z00_1384;

											BgL_arg1986z00_1384 = CDR(CAR(BgL_bdgsz00_1377));
											BgL__ortest_1114z00_1383 =
												BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
												((BgL_nodez00_bglt) BgL_arg1986z00_1384));
										}
										if (BgL__ortest_1114z00_1383)
											{	/* Effect/spread.scm 161 */
												BgL_arg1984z00_1382 = BgL__ortest_1114z00_1383;
											}
										else
											{	/* Effect/spread.scm 161 */
												BgL_arg1984z00_1382 = BgL_resz00_1378;
											}
									}
									{
										bool_t BgL_resz00_2445;
										obj_t BgL_bdgsz00_2444;

										BgL_bdgsz00_2444 = BgL_arg1983z00_1381;
										BgL_resz00_2445 = BgL_arg1984z00_1382;
										BgL_resz00_1378 = BgL_resz00_2445;
										BgL_bdgsz00_1377 = BgL_bdgsz00_2444;
										goto BgL_zc3anonymousza31981ze3z83_1379;
									}
								}
						}
					}
					return BBOOL(BgL_auxz00_2430);
				}
			}
		}
	}



/* &spread-side-effect!-1916 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21916za2zzeffect_spreadz00(obj_t
		BgL_envz00_2278, obj_t BgL_nodez00_2279)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 140 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1353;

				{	/* Effect/spread.scm 141 */
					bool_t BgL_auxz00_2449;

					BgL_nodez00_1353 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2279);
					{	/* Effect/spread.scm 142 */
						obj_t BgL_g1886z00_1357;

						BgL_g1886z00_1357 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1353))->BgL_localsz00);
						{
							obj_t BgL_l1796z00_1359;

							BgL_l1796z00_1359 = BgL_g1886z00_1357;
						BgL_zc3anonymousza31974ze3z83_1360:
							if (PAIRP(BgL_l1796z00_1359))
								{	/* Effect/spread.scm 142 */
									{	/* Effect/spread.scm 143 */
										obj_t BgL_localz00_1362;

										BgL_localz00_1362 = CAR(BgL_l1796z00_1359);
										{	/* Effect/spread.scm 143 */
											obj_t BgL_arg1976z00_1363;

											BgL_arg1976z00_1363 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_1362))))->
																BgL_valuez00))))->BgL_bodyz00);
											BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
													(BgL_nodez00_bglt) BgL_arg1976z00_1363));
										}
									}
									{
										obj_t BgL_l1796z00_2461;

										BgL_l1796z00_2461 = CDR(BgL_l1796z00_1359);
										BgL_l1796z00_1359 = BgL_l1796z00_2461;
										goto BgL_zc3anonymousza31974ze3z83_1360;
									}
								}
							else
								{	/* Effect/spread.scm 142 */
									((bool_t) 1);
								}
						}
					}
					{	/* Effect/spread.scm 145 */
						bool_t BgL_resz00_1367;

						BgL_resz00_1367 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1353))->BgL_bodyz00));
						((((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1353)))->
								BgL_sidezd2effectzd2) =
							((obj_t) BBOOL(BgL_resz00_1367)), BUNSPEC);
						BgL_auxz00_2449 = BgL_resz00_1367;
					}
					return BBOOL(BgL_auxz00_2449);
				}
			}
		}
	}



/* &spread-side-effect!-1914 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21914za2zzeffect_spreadz00(obj_t
		BgL_envz00_2280, obj_t BgL_nodez00_2281)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 126 */
			{
				BgL_selectz00_bglt BgL_nodez00_1334;

				{	/* Effect/spread.scm 127 */
					bool_t BgL_auxz00_2470;

					BgL_nodez00_1334 = ((BgL_selectz00_bglt) BgL_nodez00_2281);
					{	/* Effect/spread.scm 128 */
						bool_t BgL_g1108z00_1338;

						BgL_g1108z00_1338 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1334))->BgL_testz00));
						{
							obj_t BgL_clausesz00_1341;
							bool_t BgL_resz00_1342;

							BgL_clausesz00_1341 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1334))->BgL_clausesz00);
							BgL_resz00_1342 = BgL_g1108z00_1338;
						BgL_zc3anonymousza31966ze3z83_1343:
							if (NULLP(BgL_clausesz00_1341))
								{	/* Effect/spread.scm 130 */
									((((BgL_nodezf2effectzf2_bglt) CREF(
													((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1334)))->
											BgL_sidezd2effectzd2) =
										((obj_t) BBOOL(BgL_resz00_1342)), BUNSPEC);
									BgL_auxz00_2470 = BgL_resz00_1342;
								}
							else
								{	/* Effect/spread.scm 134 */
									obj_t BgL_arg1968z00_1345;
									bool_t BgL_arg1969z00_1346;

									BgL_arg1968z00_1345 = CDR(BgL_clausesz00_1341);
									{	/* Effect/spread.scm 135 */
										bool_t BgL__ortest_1109z00_1347;

										{	/* Effect/spread.scm 135 */
											obj_t BgL_arg1970z00_1348;

											BgL_arg1970z00_1348 = CDR(CAR(BgL_clausesz00_1341));
											BgL__ortest_1109z00_1347 =
												BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
												((BgL_nodez00_bglt) BgL_arg1970z00_1348));
										}
										if (BgL__ortest_1109z00_1347)
											{	/* Effect/spread.scm 135 */
												BgL_arg1969z00_1346 = BgL__ortest_1109z00_1347;
											}
										else
											{	/* Effect/spread.scm 135 */
												BgL_arg1969z00_1346 = BgL_resz00_1342;
											}
									}
									{
										bool_t BgL_resz00_2485;
										obj_t BgL_clausesz00_2484;

										BgL_clausesz00_2484 = BgL_arg1968z00_1345;
										BgL_resz00_2485 = BgL_arg1969z00_1346;
										BgL_resz00_1342 = BgL_resz00_2485;
										BgL_clausesz00_1341 = BgL_clausesz00_2484;
										goto BgL_zc3anonymousza31966ze3z83_1343;
									}
								}
						}
					}
					return BBOOL(BgL_auxz00_2470);
				}
			}
		}
	}



/* &spread-side-effect!-1912 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21912za2zzeffect_spreadz00(obj_t
		BgL_envz00_2282, obj_t BgL_nodez00_2283)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 116 */
			{
				BgL_failz00_bglt BgL_nodez00_1323;

				{	/* Effect/spread.scm 117 */
					bool_t BgL_auxz00_2489;

					BgL_nodez00_1323 = ((BgL_failz00_bglt) BgL_nodez00_2283);
					{	/* Effect/spread.scm 118 */
						bool_t BgL_reszd2proczd2_1327;

						BgL_reszd2proczd2_1327 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1323))->BgL_procz00));
						{	/* Effect/spread.scm 118 */
							bool_t BgL_reszd2msgzd2_1328;

							BgL_reszd2msgzd2_1328 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
								(((BgL_failz00_bglt) CREF(BgL_nodez00_1323))->BgL_msgz00));
							{	/* Effect/spread.scm 119 */
								bool_t BgL_reszd2objzd2_1329;

								BgL_reszd2objzd2_1329 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									(((BgL_failz00_bglt) CREF(BgL_nodez00_1323))->BgL_objz00));
								{	/* Effect/spread.scm 120 */

									BgL_auxz00_2489 = ((bool_t) 1);
								}
							}
						}
					}
					return BBOOL(BgL_auxz00_2489);
				}
			}
		}
	}



/* &spread-side-effect!-1910 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21910za2zzeffect_spreadz00(obj_t
		BgL_envz00_2284, obj_t BgL_nodez00_2285)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 104 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1309;

				{	/* Effect/spread.scm 105 */
					bool_t BgL_auxz00_2498;

					BgL_nodez00_1309 = ((BgL_conditionalz00_bglt) BgL_nodez00_2285);
					{	/* Effect/spread.scm 106 */
						bool_t BgL_reszd2testzd2_1313;

						BgL_reszd2testzd2_1313 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1309))->
								BgL_testz00));
						{	/* Effect/spread.scm 106 */
							bool_t BgL_reszd2truezd2_1314;

							BgL_reszd2truezd2_1314 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1309))->
									BgL_truez00));
							{	/* Effect/spread.scm 107 */
								bool_t BgL_reszd2falsezd2_1315;

								BgL_reszd2falsezd2_1315 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1309))->
										BgL_falsez00));
								{	/* Effect/spread.scm 109 */

									{
										obj_t BgL_auxz00_2505;

										{	/* Effect/spread.scm 110 */
											bool_t BgL_auxz00_2507;

											if (BgL_reszd2testzd2_1313)
												{	/* Effect/spread.scm 109 */
													BgL_auxz00_2507 = BgL_reszd2testzd2_1313;
												}
											else
												{	/* Effect/spread.scm 109 */
													if (BgL_reszd2truezd2_1314)
														{	/* Effect/spread.scm 109 */
															BgL_auxz00_2507 = BgL_reszd2truezd2_1314;
														}
													else
														{	/* Effect/spread.scm 109 */
															BgL_auxz00_2507 = BgL_reszd2falsezd2_1315;
														}
												}
											BgL_auxz00_2505 = BBOOL(BgL_auxz00_2507);
										}
										((((BgL_nodezf2effectzf2_bglt) CREF(
														((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1309)))->
												BgL_sidezd2effectzd2) =
											((obj_t) BgL_auxz00_2505), BUNSPEC);
									}
									if (BgL_reszd2testzd2_1313)
										{	/* Effect/spread.scm 109 */
											BgL_auxz00_2498 = BgL_reszd2testzd2_1313;
										}
									else
										{	/* Effect/spread.scm 109 */
											if (BgL_reszd2truezd2_1314)
												{	/* Effect/spread.scm 109 */
													BgL_auxz00_2498 = BgL_reszd2truezd2_1314;
												}
											else
												{	/* Effect/spread.scm 109 */
													BgL_auxz00_2498 = BgL_reszd2falsezd2_1315;
												}
										}
								}
							}
						}
					}
					return BBOOL(BgL_auxz00_2498);
				}
			}
		}
	}



/* &spread-side-effect!-1907 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21907za2zzeffect_spreadz00(obj_t
		BgL_envz00_2286, obj_t BgL_nodez00_2287)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 96 */
			{
				BgL_setqz00_bglt BgL_nodez00_1303;

				{	/* Effect/spread.scm 97 */
					bool_t BgL_auxz00_2516;

					BgL_nodez00_1303 = ((BgL_setqz00_bglt) BgL_nodez00_2287);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1303))->BgL_valuez00));
					BgL_auxz00_2516 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2516);
				}
			}
		}
	}



/* &spread-side-effect!-1905 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21905za2zzeffect_spreadz00(obj_t
		BgL_envz00_2288, obj_t BgL_nodez00_2289)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 89 */
			{
				BgL_castz00_bglt BgL_nodez00_1297;

				{	/* Effect/spread.scm 90 */
					bool_t BgL_auxz00_2521;

					BgL_nodez00_1297 = ((BgL_castz00_bglt) BgL_nodez00_2289);
					BgL_auxz00_2521 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1297))->BgL_argz00));
					return BBOOL(BgL_auxz00_2521);
				}
			}
		}
	}



/* &spread-side-effect!-1903 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21903za2zzeffect_spreadz00(obj_t
		BgL_envz00_2290, obj_t BgL_nodez00_2291)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 80 */
			{
				BgL_externz00_bglt BgL_nodez00_1289;

				BgL_nodez00_1289 = ((BgL_externz00_bglt) BgL_nodez00_2291);
				{	/* Effect/spread.scm 82 */
					obj_t BgL_resz00_1293;

					{	/* Effect/spread.scm 82 */
						bool_t BgL__ortest_1099z00_1294;

						BgL__ortest_1099z00_1294 =
							BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1289))->BgL_exprza2za2));
						if (BgL__ortest_1099z00_1294)
							{	/* Effect/spread.scm 82 */
								BgL_resz00_1293 = BBOOL(BgL__ortest_1099z00_1294);
							}
						else
							{	/* Effect/spread.scm 82 */
								BgL_resz00_1293 =
									(((BgL_nodezf2effectzf2_bglt) CREF(
											((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1289)))->
									BgL_sidezd2effectzd2);
							}
					}
					((((BgL_nodezf2effectzf2_bglt) CREF(
									((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1289)))->
							BgL_sidezd2effectzd2) = ((obj_t) BgL_resz00_1293), BUNSPEC);
					return BgL_resz00_1293;
				}
			}
		}
	}



/* &spread-side-effect!-1900 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21900za2zzeffect_spreadz00(obj_t
		BgL_envz00_2292, obj_t BgL_nodez00_2293)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 71 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1282;

				{	/* Effect/spread.scm 72 */
					bool_t BgL_auxz00_2535;

					BgL_nodez00_1282 = ((BgL_funcallz00_bglt) BgL_nodez00_2293);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1282))->BgL_funz00));
					BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1282))->BgL_argsz00));
					BgL_auxz00_2535 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2535);
				}
			}
		}
	}



/* &spread-side-effect!-1898 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21898za2zzeffect_spreadz00(obj_t
		BgL_envz00_2294, obj_t BgL_nodez00_2295)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 62 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1275;

				{	/* Effect/spread.scm 63 */
					bool_t BgL_auxz00_2542;

					BgL_nodez00_1275 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2295);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1275))->BgL_funz00));
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1275))->BgL_argz00));
					BgL_auxz00_2542 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2542);
				}
			}
		}
	}



/* &spread-side-effect!-1896 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21896za2zzeffect_spreadz00(obj_t
		BgL_envz00_2296, obj_t BgL_nodez00_2297)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 52 */
			{
				BgL_appz00_bglt BgL_nodez00_1264;

				BgL_nodez00_1264 = ((BgL_appz00_bglt) BgL_nodez00_2297);
				{	/* Effect/spread.scm 54 */
					obj_t BgL_resz00_1268;

					{	/* Effect/spread.scm 54 */
						bool_t BgL__ortest_1095z00_1269;

						BgL__ortest_1095z00_1269 =
							BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1264))->BgL_argsz00));
						if (BgL__ortest_1095z00_1269)
							{	/* Effect/spread.scm 54 */
								BgL_resz00_1268 = BBOOL(BgL__ortest_1095z00_1269);
							}
						else
							{	/* Effect/spread.scm 54 */
								BgL_resz00_1268 =
									(((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															(((BgL_varz00_bglt) CREF(
																		(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_1264))->BgL_funz00)))->
																BgL_variablez00)))->BgL_valuez00))))->
									BgL_sidezd2effectzd2);
							}
					}
					((((BgL_nodezf2effectzf2_bglt) CREF(
									((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1264)))->
							BgL_sidezd2effectzd2) = ((obj_t) BgL_resz00_1268), BUNSPEC);
					return BgL_resz00_1268;
				}
			}
		}
	}



/* &spread-side-effect!-1894 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21894za2zzeffect_spreadz00(obj_t
		BgL_envz00_2298, obj_t BgL_nodez00_2299)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 43 */
			{
				BgL_syncz00_bglt BgL_nodez00_1257;

				{	/* Effect/spread.scm 44 */
					bool_t BgL_auxz00_2561;

					BgL_nodez00_1257 = ((BgL_syncz00_bglt) BgL_nodez00_2299);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1257))->BgL_mutexz00));
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1257))->BgL_prelockz00));
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1257))->BgL_bodyz00));
					BgL_auxz00_2561 = ((bool_t) 1);
					return BBOOL(BgL_auxz00_2561);
				}
			}
		}
	}



/* &spread-side-effect!-1892 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21892za2zzeffect_spreadz00(obj_t
		BgL_envz00_2300, obj_t BgL_nodez00_2301)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 35 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1251;

				{	/* Effect/spread.scm 36 */
					bool_t BgL_auxz00_2570;

					BgL_nodez00_1251 = ((BgL_sequencez00_bglt) BgL_nodez00_2301);
					{	/* Effect/spread.scm 36 */
						bool_t BgL_resz00_1254;

						BgL_resz00_1254 =
							BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1251))->BgL_nodesz00));
						{	/* Effect/spread.scm 37 */
							obj_t BgL_vz00_2183;

							BgL_vz00_2183 = BBOOL(BgL_resz00_1254);
							((((BgL_nodezf2effectzf2_bglt) CREF(
											((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1251)))->
									BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_2183), BUNSPEC);
						}
						BgL_auxz00_2570 = BgL_resz00_1254;
					}
					return BBOOL(BgL_auxz00_2570);
				}
			}
		}
	}



/* &spread-side-effect!-1890 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21890za2zzeffect_spreadz00(obj_t
		BgL_envz00_2302, obj_t BgL_nodez00_2303)
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 29 */
			{
				BgL_varz00_bglt BgL_nodez00_1244;

				{	/* Effect/spread.scm 30 */
					bool_t BgL_auxz00_2578;

					BgL_nodez00_1244 = ((BgL_varz00_bglt) BgL_nodez00_2303);
					if (
						((((BgL_variablez00_bglt) CREF(
										(((BgL_varz00_bglt) CREF(BgL_nodez00_1244))->
											BgL_variablez00)))->BgL_accessz00) ==
							CNST_TABLE_REF(((long) 0))))
						{	/* Effect/spread.scm 30 */
							BgL_auxz00_2578 = ((bool_t) 0);
						}
					else
						{	/* Effect/spread.scm 30 */
							BgL_auxz00_2578 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_2578);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00()
	{
		AN_OBJECT;
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2093z00zzeffect_spreadz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2093z00zzeffect_spreadz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2093z00zzeffect_spreadz00));
		}
	}

#ifdef __cplusplus
}
#endif
