/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t,
		bool_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	static bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_walkz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	static obj_t BGl_z62zc3anonymousza31957ze3ze1zzeffect_walkz00(obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_effectzd2walkz12zd2envz12zzeffect_walkz00,
		BgL_bgl_za762effectza7d2walk2109z00,
		BGl_z62effectzd2walkz12za2zzeffect_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2effectzd2envz00zzeffect_walkz00,
		BgL_bgl_za762writeza7d2effec2110z00,
		BGl_z62writezd2effectzb0zzeffect_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2086z00zzeffect_walkz00,
		BgL_bgl_string2086za700za7za7e2111za7, "Effect", 6);
	      DEFINE_STRING(BGl_string2087z00zzeffect_walkz00,
		BgL_bgl_string2087za700za7za7e2112za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2088z00zzeffect_walkz00,
		BgL_bgl_string2088za700za7za7e2113za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2089z00zzeffect_walkz00,
		BgL_bgl_string2089za700za7za7e2114za7, " error", 6);
	      DEFINE_STRING(BGl_string2090z00zzeffect_walkz00,
		BgL_bgl_string2090za700za7za7e2115za7, "s", 1);
	      DEFINE_STRING(BGl_string2091z00zzeffect_walkz00,
		BgL_bgl_string2091za700za7za7e2116za7, "", 0);
	      DEFINE_STRING(BGl_string2092z00zzeffect_walkz00,
		BgL_bgl_string2092za700za7za7e2117za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2093z00zzeffect_walkz00,
		BgL_bgl_string2093za700za7za7e2118za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2094z00zzeffect_walkz00,
		BgL_bgl_string2094za700za7za7e2119za7, " (effect", 8);
	      DEFINE_STRING(BGl_string2095z00zzeffect_walkz00,
		BgL_bgl_string2095za700za7za7e2120za7, "   (", 4);
	      DEFINE_STRING(BGl_string2096z00zzeffect_walkz00,
		BgL_bgl_string2096za700za7za7e2121za7, ")", 1);
	      DEFINE_STRING(BGl_string2097z00zzeffect_walkz00,
		BgL_bgl_string2097za700za7za7e2122za7, " (read ", 7);
	      DEFINE_STRING(BGl_string2098z00zzeffect_walkz00,
		BgL_bgl_string2098za700za7za7e2123za7, " (write ", 8);
	      DEFINE_STRING(BGl_string2099z00zzeffect_walkz00,
		BgL_bgl_string2099za700za7za7e2124za7, "))", 2);
	      DEFINE_STRING(BGl_string2100z00zzeffect_walkz00,
		BgL_bgl_string2100za700za7za7e2125za7, ".sch", 4);
	      DEFINE_STRING(BGl_string2101z00zzeffect_walkz00,
		BgL_bgl_string2101za700za7za7e2126za7, "(directives\n (pragma\n", 21);
	      DEFINE_STRING(BGl_string2102z00zzeffect_walkz00,
		BgL_bgl_string2102za700za7za7e2127za7, " ))\n", 4);
	      DEFINE_STRING(BGl_string2103z00zzeffect_walkz00,
		BgL_bgl_string2103za700za7za7e2128za7, "write-effect", 12);
	      DEFINE_STRING(BGl_string2104z00zzeffect_walkz00,
		BgL_bgl_string2104za700za7za7e2129za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string2105z00zzeffect_walkz00,
		BgL_bgl_string2105za700za7za7e2130za7, "effect_walk", 11);
	      DEFINE_STRING(BGl_string2106z00zzeffect_walkz00,
		BgL_bgl_string2106za700za7za7e2131za7,
		"top (reset-effect-tables!) pass-started ", 40);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long
		BgL_checksumz00_2416, char *BgL_fromz00_2417)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
					BGl_cnstzd2initzd2zzeffect_walkz00();
					BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			{	/* Effect/walk.scm 15 */
				obj_t BgL_cportz00_2408;

				BgL_cportz00_2408 =
					bgl_open_input_string(BGl_string2106z00zzeffect_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2409;

					BgL_iz00_2409 = ((long) 2);
				BgL_loopz00_2410:
					if ((BgL_iz00_2409 == ((long) -1)))
						{	/* Effect/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/walk.scm 15 */
							{	/* Effect/walk.scm 15 */
								obj_t BgL_arg2108z00_2412;

								{	/* Effect/walk.scm 15 */

									{	/* Effect/walk.scm 15 */
										obj_t BgL_locationz00_2414;

										BgL_locationz00_2414 = BBOOL(((bool_t) 0));
										{	/* Effect/walk.scm 15 */

											BgL_arg2108z00_2412 =
												BGl_readz00zz__readerz00(BgL_cportz00_2408,
												BgL_locationz00_2414);
										}
									}
								}
								{	/* Effect/walk.scm 15 */
									int BgL_auxz00_2441;

									BgL_auxz00_2441 = (int) (BgL_iz00_2409);
									CNST_TABLE_SET(BgL_auxz00_2441, BgL_arg2108z00_2412);
							}}
							{	/* Effect/walk.scm 15 */
								int BgL_auxz00_2415;

								BgL_auxz00_2415 = (int) ((BgL_iz00_2409 - ((long) 1)));
								{
									long BgL_iz00_2446;

									BgL_iz00_2446 = (long) (BgL_auxz00_2415);
									BgL_iz00_2409 = BgL_iz00_2446;
									goto BgL_loopz00_2410;
								}
							}
						}
				}
			}
		}
	}



/* effect-walk! */
	BGL_EXPORTED_DEF obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t
		BgL_globalsz00_3, bool_t BgL_feffectz00_4)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			{	/* Effect/walk.scm 34 */
				obj_t BgL_list1898z00_1336;

				{	/* Effect/walk.scm 34 */
					obj_t BgL_arg1900z00_1337;

					{	/* Effect/walk.scm 34 */
						obj_t BgL_arg1901z00_1338;

						BgL_arg1901z00_1338 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1900z00_1337 =
							MAKE_PAIR(BGl_string2086z00zzeffect_walkz00, BgL_arg1901z00_1338);
					}
					BgL_list1898z00_1336 =
						MAKE_PAIR(BGl_string2087z00zzeffect_walkz00, BgL_arg1900z00_1337);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1898z00_1336);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2086z00zzeffect_walkz00;
			{
				obj_t BgL_hooksz00_1342;
				obj_t BgL_hnamesz00_1343;

				BgL_hooksz00_1342 = BNIL;
				BgL_hnamesz00_1343 = BNIL;
			BgL_zc3anonymousza31902ze3z83_1344:
				if (NULLP(BgL_hooksz00_1342))
					{	/* Effect/walk.scm 34 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Effect/walk.scm 34 */
						bool_t BgL_testz00_2458;

						{	/* Effect/walk.scm 34 */
							obj_t BgL_fun1908z00_1350;

							BgL_fun1908z00_1350 = CAR(BgL_hooksz00_1342);
							BgL_testz00_2458 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1908z00_1350) (BgL_fun1908z00_1350,
									BEOA));
						}
						if (BgL_testz00_2458)
							{
								obj_t BgL_hnamesz00_2466;
								obj_t BgL_hooksz00_2464;

								BgL_hooksz00_2464 = CDR(BgL_hooksz00_1342);
								BgL_hnamesz00_2466 = CDR(BgL_hnamesz00_1343);
								BgL_hnamesz00_1343 = BgL_hnamesz00_2466;
								BgL_hooksz00_1342 = BgL_hooksz00_2464;
								goto BgL_zc3anonymousza31902ze3z83_1344;
							}
						else
							{	/* Effect/walk.scm 34 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2086z00zzeffect_walkz00,
									BGl_string2088z00zzeffect_walkz00, CAR(BgL_hnamesz00_1343));
							}
					}
			}
			{
				obj_t BgL_l1864z00_1354;

				BgL_l1864z00_1354 = BgL_globalsz00_3;
			BgL_zc3anonymousza31910ze3z83_1355:
				if (PAIRP(BgL_l1864z00_1354))
					{	/* Effect/walk.scm 37 */
						{	/* Effect/walk.scm 38 */
							obj_t BgL_globalz00_1357;

							BgL_globalz00_1357 = CAR(BgL_l1864z00_1354);
							BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_globalz00_1357));
						}
						{
							obj_t BgL_l1864z00_2475;

							BgL_l1864z00_2475 = CDR(BgL_l1864z00_1354);
							BgL_l1864z00_1354 = BgL_l1864z00_2475;
							goto BgL_zc3anonymousza31910ze3z83_1355;
						}
					}
				else
					{	/* Effect/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
				(BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00());
			{	/* Effect/walk.scm 46 */
				obj_t BgL_g1886z00_1361;

				BgL_g1886z00_1361 = BGl_getzd2varzf2allz20zzeffect_cgraphz00();
				{
					obj_t BgL_l1866z00_1363;

					BgL_l1866z00_1363 = BgL_g1886z00_1361;
				BgL_zc3anonymousza31914ze3z83_1364:
					if (PAIRP(BgL_l1866z00_1363))
						{	/* Effect/walk.scm 50 */
							{	/* Effect/walk.scm 47 */
								obj_t BgL_varz00_1366;

								BgL_varz00_1366 = CAR(BgL_l1866z00_1363);
								{	/* Effect/walk.scm 47 */
									BgL_valuez00_bglt BgL_funz00_1367;

									BgL_funz00_1367 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_varz00_1366)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_funz00_1367)))->BgL_sidezd2effectzd2) ==
											BUNSPEC))
										{	/* Effect/walk.scm 48 */
											((((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt) BgL_funz00_1367)))->
													BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Effect/walk.scm 48 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1866z00_2491;

								BgL_l1866z00_2491 = CDR(BgL_l1866z00_1363);
								BgL_l1866z00_1363 = BgL_l1866z00_2491;
								goto BgL_zc3anonymousza31914ze3z83_1364;
							}
						}
					else
						{	/* Effect/walk.scm 50 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l1887z00_1373;

				BgL_l1887z00_1373 = BgL_globalsz00_3;
			BgL_zc3anonymousza31920ze3z83_1374:
				if (PAIRP(BgL_l1887z00_1373))
					{	/* Effect/walk.scm 53 */
						{	/* Effect/walk.scm 54 */
							obj_t BgL_globalz00_1376;

							BgL_globalz00_1376 = CAR(BgL_l1887z00_1373);
							{	/* Effect/walk.scm 54 */
								obj_t BgL_arg1922z00_1377;

								BgL_arg1922z00_1377 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1376))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
										(BgL_nodez00_bglt) BgL_arg1922z00_1377));
							}
						}
						{
							obj_t BgL_l1887z00_2503;

							BgL_l1887z00_2503 = CDR(BgL_l1887z00_1373);
							BgL_l1887z00_1373 = BgL_l1887z00_2503;
							goto BgL_zc3anonymousza31920ze3z83_1374;
						}
					}
				else
					{	/* Effect/walk.scm 53 */
						((bool_t) 1);
					}
			}
			if (BgL_feffectz00_4)
				{	/* Effect/walk.scm 59 */
					BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_3);
				}
			else
				{	/* Effect/walk.scm 59 */
					BFALSE;
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Effect/walk.scm 62 */
					{	/* Effect/walk.scm 62 */
						obj_t BgL_port1889z00_1383;

						{	/* Effect/walk.scm 62 */
							obj_t BgL_res2062z00_2306;

							{	/* Effect/walk.scm 62 */
								obj_t BgL_auxz00_2510;

								BgL_auxz00_2510 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2062z00_2306 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2510);
							}
							BgL_port1889z00_1383 = BgL_res2062z00_2306;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1889z00_1383);
						bgl_display_string(BGl_string2089z00zzeffect_walkz00,
							BgL_port1889z00_1383);
						{	/* Effect/walk.scm 62 */
							obj_t BgL_arg1927z00_1384;

							{	/* Effect/walk.scm 62 */
								bool_t BgL_testz00_2515;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Effect/walk.scm 62 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Effect/walk.scm 62 */
												BgL_testz00_2515 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Effect/walk.scm 62 */
												BgL_testz00_2515 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Effect/walk.scm 62 */
										BgL_testz00_2515 = ((bool_t) 0);
									}
								if (BgL_testz00_2515)
									{	/* Effect/walk.scm 62 */
										BgL_arg1927z00_1384 = BGl_string2090z00zzeffect_walkz00;
									}
								else
									{	/* Effect/walk.scm 62 */
										BgL_arg1927z00_1384 = BGl_string2091z00zzeffect_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1927z00_1384, BgL_port1889z00_1383);
						}
						bgl_display_string(BGl_string2092z00zzeffect_walkz00,
							BgL_port1889z00_1383);
						bgl_display_char(((unsigned char) '\n'), BgL_port1889z00_1383);
					}
					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1931z00_1388;

						BgL_list1931z00_1388 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1931z00_1388);
					}
				}
			else
				{	/* Effect/walk.scm 62 */
					obj_t BgL_g1116z00_1389;
					obj_t BgL_g1117z00_1390;

					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1939z00_1402;

						BgL_list1939z00_1402 =
							MAKE_PAIR
							(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL);
						BgL_g1116z00_1389 = BgL_list1939z00_1402;
					}
					BgL_g1117z00_1390 = CNST_TABLE_REF(((long) 1));
					{
						obj_t BgL_hooksz00_1392;
						obj_t BgL_hnamesz00_1393;

						BgL_hooksz00_1392 = BgL_g1116z00_1389;
						BgL_hnamesz00_1393 = BgL_g1117z00_1390;
					BgL_zc3anonymousza31932ze3z83_1394:
						if (NULLP(BgL_hooksz00_1392))
							{	/* Effect/walk.scm 62 */
								return BgL_globalsz00_3;
							}
						else
							{	/* Effect/walk.scm 62 */
								bool_t BgL_testz00_2534;

								{	/* Effect/walk.scm 62 */
									obj_t BgL_fun1938z00_1400;

									BgL_fun1938z00_1400 = CAR(BgL_hooksz00_1392);
									BgL_testz00_2534 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1938z00_1400)
										(BgL_fun1938z00_1400, BEOA));
								}
								if (BgL_testz00_2534)
									{
										obj_t BgL_hnamesz00_2542;
										obj_t BgL_hooksz00_2540;

										BgL_hooksz00_2540 = CDR(BgL_hooksz00_1392);
										BgL_hnamesz00_2542 = CDR(BgL_hnamesz00_1393);
										BgL_hnamesz00_1393 = BgL_hnamesz00_2542;
										BgL_hooksz00_1392 = BgL_hooksz00_2540;
										goto BgL_zc3anonymousza31932ze3z83_1394;
									}
								else
									{	/* Effect/walk.scm 62 */
										obj_t BgL_arg1937z00_1399;

										BgL_arg1937z00_1399 = CAR(BgL_hnamesz00_1393);
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2093z00zzeffect_walkz00, BgL_arg1937z00_1399);
									}
							}
					}
				}
		}
	}



/* &effect-walk! */
	obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t BgL_envz00_2399,
		obj_t BgL_globalsz00_2400, obj_t BgL_feffectz00_2401)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			return
				BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_2400,
				CBOOL(BgL_feffectz00_2401));
		}
	}



/* iterate-to-fix-point! */
	bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_5)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 67 */
			if (PAIRP(BgL_wz00_5))
				{
					obj_t BgL_l1890z00_1405;

					BgL_l1890z00_1405 = BgL_wz00_5;
				BgL_zc3anonymousza31941ze3z83_1406:
					if (PAIRP(BgL_l1890z00_1405))
						{	/* Effect/walk.scm 69 */
							{	/* Effect/walk.scm 71 */
								obj_t BgL_varz00_1408;

								BgL_varz00_1408 = CAR(BgL_l1890z00_1405);
								{	/* Effect/walk.scm 71 */
									BgL_valuez00_bglt BgL_funz00_1409;

									BgL_funz00_1409 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_varz00_1408)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_funz00_1409)))->BgL_sidezd2effectzd2) ==
											BTRUE))
										{	/* Effect/walk.scm 72 */
											((bool_t) 0);
										}
									else
										{	/* Effect/walk.scm 72 */
											((((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt) BgL_funz00_1409)))->
													BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
											if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1408,
													BGl_localzf2fromzf2zzeffect_cgraphz00))
												{	/* Effect/walk.scm 76 */
													obj_t BgL_arg1945z00_1412;

													{
														BgL_localzf2fromzf2_bglt BgL_auxz00_2563;

														{
															obj_t BgL_auxz00_2564;

															{	/* Effect/walk.scm 76 */
																BgL_objectz00_bglt BgL_auxz00_2565;

																BgL_auxz00_2565 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_1408));
																BgL_auxz00_2564 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2565);
															}
															BgL_auxz00_2563 =
																((BgL_localzf2fromzf2_bglt) BgL_auxz00_2564);
														}
														BgL_arg1945z00_1412 =
															(((BgL_localzf2fromzf2_bglt)
																CREF(BgL_auxz00_2563))->BgL_fromz00);
													}
													BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
														(BgL_arg1945z00_1412);
												}
											else
												{	/* Effect/walk.scm 75 */
													if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1408,
															BGl_globalzf2fromzf2zzeffect_cgraphz00))
														{	/* Effect/walk.scm 78 */
															obj_t BgL_arg1947z00_1414;

															{
																BgL_globalzf2fromzf2_bglt BgL_auxz00_2574;

																{
																	obj_t BgL_auxz00_2575;

																	{	/* Effect/walk.scm 78 */
																		BgL_objectz00_bglt BgL_auxz00_2576;

																		BgL_auxz00_2576 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt) BgL_varz00_1408));
																		BgL_auxz00_2575 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2576);
																	}
																	BgL_auxz00_2574 =
																		((BgL_globalzf2fromzf2_bglt)
																		BgL_auxz00_2575);
																}
																BgL_arg1947z00_1414 =
																	(((BgL_globalzf2fromzf2_bglt)
																		CREF(BgL_auxz00_2574))->BgL_fromz00);
															}
															BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
																(BgL_arg1947z00_1414);
														}
													else
														{	/* Effect/walk.scm 77 */
															((bool_t) 0);
														}
												}
										}
								}
							}
							{
								obj_t BgL_l1890z00_2583;

								BgL_l1890z00_2583 = CDR(BgL_l1890z00_1405);
								BgL_l1890z00_1405 = BgL_l1890z00_2583;
								goto BgL_zc3anonymousza31941ze3z83_1406;
							}
						}
					else
						{	/* Effect/walk.scm 69 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Effect/walk.scm 68 */
					return ((bool_t) 0);
				}
		}
	}



/* write-effect */
	BGL_EXPORTED_DEF obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t
		BgL_globalsz00_6)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 84 */
			{
				obj_t BgL_gz00_1447;

				{	/* Effect/walk.scm 95 */
					obj_t BgL_onamez00_1419;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* Effect/walk.scm 95 */
							BgL_onamez00_1419 = BGl_za2destza2z00zzengine_paramz00;
						}
					else
						{	/* Effect/walk.scm 97 */
							bool_t BgL_testz00_2587;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* Effect/walk.scm 97 */
									obj_t BgL_auxz00_2590;

									BgL_auxz00_2590 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_testz00_2587 = STRINGP(BgL_auxz00_2590);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_testz00_2587 = ((bool_t) 0);
								}
							if (BgL_testz00_2587)
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1419 =
										string_append(BGl_prefixz00zz__osz00(CAR
											(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
										BGl_string2100z00zzeffect_walkz00);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1419 = BFALSE;
								}
						}
					{	/* Effect/walk.scm 95 */
						obj_t BgL_portz00_1420;

						if (STRINGP(BgL_onamez00_1419))
							{	/* Effect/walk.scm 101 */

								BgL_portz00_1420 =
									BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_onamez00_1419, BTRUE);
							}
						else
							{	/* Effect/walk.scm 102 */
								obj_t BgL_res2081z00_2374;

								{	/* Effect/walk.scm 102 */
									obj_t BgL_auxz00_2599;

									BgL_auxz00_2599 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2081z00_2374 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2599);
								}
								BgL_portz00_1420 = BgL_res2081z00_2374;
							}
						{	/* Effect/walk.scm 100 */

							if (OUTPUT_PORTP(BgL_portz00_1420))
								{	/* Effect/walk.scm 105 */
									obj_t BgL_exitd1119z00_1422;

									BgL_exitd1119z00_1422 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Effect/walk.scm 110 */
										obj_t BgL_zc3anonymousza31957ze3z83_2403;

										BgL_zc3anonymousza31957ze3z83_2403 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31957ze3ze1zzeffect_walkz00,
											(int) (((long) 0)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza31957ze3z83_2403,
											(int) (((long) 0)), BgL_portz00_1420);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1119z00_1422,
											BgL_zc3anonymousza31957ze3z83_2403);
										{	/* Effect/walk.scm 107 */
											obj_t BgL_tmp1121z00_1424;

											{	/* Effect/walk.scm 107 */
												obj_t BgL_arg1951z00_1425;

												{	/* Effect/walk.scm 107 */
													obj_t BgL_res2083z00_2380;

													{	/* Effect/walk.scm 107 */
														obj_t BgL_auxz00_2611;

														BgL_auxz00_2611 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_res2083z00_2380 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2611);
													}
													BgL_arg1951z00_1425 = BgL_res2083z00_2380;
												}
												bgl_display_string(BGl_string2101z00zzeffect_walkz00,
													BgL_arg1951z00_1425);
											}
											{
												obj_t BgL_l1893z00_1427;

												BgL_l1893z00_1427 = BgL_globalsz00_6;
											BgL_zc3anonymousza31952ze3z83_1428:
												if (PAIRP(BgL_l1893z00_1427))
													{	/* Effect/walk.scm 108 */
														BgL_gz00_1447 = CAR(BgL_l1893z00_1427);
														{	/* Effect/walk.scm 86 */
															obj_t BgL_fez00_1449;

															BgL_fez00_1449 =
																(((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt)
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_gz00_1447)))->
																				BgL_valuez00))))->BgL_effectz00);
															if (BGl_isazf3zf3zz__objectz00(BgL_fez00_1449,
																	BGl_feffectz00zzast_varz00))
																{	/* Effect/walk.scm 89 */
																	bool_t BgL_testz00_2623;

																	if (
																		((((BgL_feffectz00_bglt) CREF(
																						((BgL_feffectz00_bglt)
																							BgL_fez00_1449)))->BgL_readz00) ==
																			CNST_TABLE_REF(((long) 2))))
																		{	/* Effect/walk.scm 89 */
																			BgL_testz00_2623 =
																				(
																				(((BgL_feffectz00_bglt) CREF(
																							((BgL_feffectz00_bglt)
																								BgL_fez00_1449)))->
																					BgL_writez00) ==
																				CNST_TABLE_REF(((long) 2)));
																		}
																	else
																		{	/* Effect/walk.scm 89 */
																			BgL_testz00_2623 = ((bool_t) 0);
																		}
																	if (BgL_testz00_2623)
																		{	/* Effect/walk.scm 89 */
																			BFALSE;
																		}
																	else
																		{	/* Effect/walk.scm 89 */
																			{	/* Effect/walk.scm 91 */
																				obj_t BgL_arg1972z00_1453;

																				BgL_arg1972z00_1453 =
																					BGl_shapez00zztools_shapez00
																					(BgL_gz00_1447);
																				{	/* Effect/walk.scm 91 */
																					obj_t BgL_list1973z00_1454;

																					{	/* Effect/walk.scm 91 */
																						obj_t BgL_arg1974z00_1455;

																						{	/* Effect/walk.scm 91 */
																							obj_t BgL_arg1975z00_1456;

																							BgL_arg1975z00_1456 =
																								MAKE_PAIR
																								(BGl_string2094z00zzeffect_walkz00,
																								BNIL);
																							BgL_arg1974z00_1455 =
																								MAKE_PAIR(BgL_arg1972z00_1453,
																								BgL_arg1975z00_1456);
																						}
																						BgL_list1973z00_1454 =
																							MAKE_PAIR
																							(BGl_string2095z00zzeffect_walkz00,
																							BgL_arg1974z00_1455);
																					}
																					BGl_displayza2za2zz__r4_output_6_10_3z00
																						(BgL_list1973z00_1454);
																				}
																			}
																			if (NULLP(
																					(((BgL_feffectz00_bglt) CREF(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1449)))->
																						BgL_readz00)))
																				{	/* Effect/walk.scm 92 */
																					BFALSE;
																				}
																			else
																				{	/* Effect/walk.scm 92 */
																					obj_t BgL_arg1977z00_1458;

																					BgL_arg1977z00_1458 =
																						(((BgL_feffectz00_bglt) CREF(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1449)))->
																						BgL_readz00);
																					{	/* Effect/walk.scm 92 */
																						obj_t BgL_list1978z00_1459;

																						{	/* Effect/walk.scm 92 */
																							obj_t BgL_arg1979z00_1460;

																							{	/* Effect/walk.scm 92 */
																								obj_t BgL_arg1980z00_1461;

																								BgL_arg1980z00_1461 =
																									MAKE_PAIR
																									(BGl_string2096z00zzeffect_walkz00,
																									BNIL);
																								BgL_arg1979z00_1460 =
																									MAKE_PAIR(BgL_arg1977z00_1458,
																									BgL_arg1980z00_1461);
																							}
																							BgL_list1978z00_1459 =
																								MAKE_PAIR
																								(BGl_string2097z00zzeffect_walkz00,
																								BgL_arg1979z00_1460);
																						}
																						BGl_displayza2za2zz__r4_output_6_10_3z00
																							(BgL_list1978z00_1459);
																					}
																				}
																			if (NULLP(
																					(((BgL_feffectz00_bglt) CREF(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1449)))->
																						BgL_writez00)))
																				{	/* Effect/walk.scm 93 */
																					BFALSE;
																				}
																			else
																				{	/* Effect/walk.scm 93 */
																					obj_t BgL_arg1983z00_1464;

																					BgL_arg1983z00_1464 =
																						(((BgL_feffectz00_bglt) CREF(
																								((BgL_feffectz00_bglt)
																									BgL_fez00_1449)))->
																						BgL_writez00);
																					{	/* Effect/walk.scm 93 */
																						obj_t BgL_list1984z00_1465;

																						{	/* Effect/walk.scm 93 */
																							obj_t BgL_arg1986z00_1466;

																							{	/* Effect/walk.scm 93 */
																								obj_t BgL_arg1987z00_1467;

																								BgL_arg1987z00_1467 =
																									MAKE_PAIR
																									(BGl_string2096z00zzeffect_walkz00,
																									BNIL);
																								BgL_arg1986z00_1466 =
																									MAKE_PAIR(BgL_arg1983z00_1464,
																									BgL_arg1987z00_1467);
																							}
																							BgL_list1984z00_1465 =
																								MAKE_PAIR
																								(BGl_string2098z00zzeffect_walkz00,
																								BgL_arg1986z00_1466);
																						}
																						BGl_displayza2za2zz__r4_output_6_10_3z00
																							(BgL_list1984z00_1465);
																					}
																				}
																			{	/* Effect/walk.scm 94 */
																				obj_t BgL_port1892z00_1469;

																				{	/* Effect/walk.scm 94 */
																					obj_t BgL_res2076z00_2359;

																					{	/* Effect/walk.scm 94 */
																						obj_t BgL_auxz00_2658;

																						BgL_auxz00_2658 =
																							BGL_CURRENT_DYNAMIC_ENV();
																						BgL_res2076z00_2359 =
																							BGL_ENV_CURRENT_OUTPUT_PORT
																							(BgL_auxz00_2658);
																					}
																					BgL_port1892z00_1469 =
																						BgL_res2076z00_2359;
																				}
																				bgl_display_string
																					(BGl_string2099z00zzeffect_walkz00,
																					BgL_port1892z00_1469);
																				bgl_display_char(((unsigned char) '\n'),
																					BgL_port1892z00_1469);
																}}}
															else
																{	/* Effect/walk.scm 87 */
																	BFALSE;
																}
														}
														{
															obj_t BgL_l1893z00_2664;

															BgL_l1893z00_2664 = CDR(BgL_l1893z00_1427);
															BgL_l1893z00_1427 = BgL_l1893z00_2664;
															goto BgL_zc3anonymousza31952ze3z83_1428;
														}
													}
												else
													{	/* Effect/walk.scm 108 */
														((bool_t) 1);
													}
											}
											{	/* Effect/walk.scm 109 */
												obj_t BgL_arg1956z00_1433;

												{	/* Effect/walk.scm 109 */
													obj_t BgL_res2085z00_2388;

													{	/* Effect/walk.scm 109 */
														obj_t BgL_auxz00_2666;

														BgL_auxz00_2666 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_res2085z00_2388 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2666);
													}
													BgL_arg1956z00_1433 = BgL_res2085z00_2388;
												}
												BgL_tmp1121z00_1424 =
													bgl_display_string(BGl_string2102z00zzeffect_walkz00,
													BgL_arg1956z00_1433);
											}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1119z00_1422);
											BGl_z62zc3anonymousza31957ze3ze1zzeffect_walkz00
												(BgL_zc3anonymousza31957ze3z83_2403);
											return BgL_tmp1121z00_1424;
										}
									}
								}
							else
								{	/* Effect/walk.scm 103 */
									return
										BGl_errorz00zz__errorz00(BGl_string2103z00zzeffect_walkz00,
										BGl_string2104z00zzeffect_walkz00, BgL_onamez00_1419);
								}
						}
					}
				}
			}
		}
	}



/* &write-effect */
	obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t BgL_envz00_2404,
		obj_t BgL_globalsz00_2405)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 84 */
			return BGl_writezd2effectzd2zzeffect_walkz00(BgL_globalsz00_2405);
		}
	}



/* &<anonymous:1957> */
	obj_t BGl_z62zc3anonymousza31957ze3ze1zzeffect_walkz00(obj_t BgL_envz00_2406)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 105 */
			{	/* Effect/walk.scm 110 */
				obj_t BgL_portz00_2407;

				BgL_portz00_2407 = PROCEDURE_REF(BgL_envz00_2406, (int) (((long) 0)));
				{

					{	/* Effect/walk.scm 110 */
						bool_t BgL_testz00_2676;

						{	/* Effect/walk.scm 110 */
							obj_t BgL_arg1959z00_1436;

							{	/* Effect/walk.scm 110 */
								obj_t BgL_res2082z00_2377;

								{	/* Effect/walk.scm 110 */
									obj_t BgL_auxz00_2677;

									BgL_auxz00_2677 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2082z00_2377 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2677);
								}
								BgL_arg1959z00_1436 = BgL_res2082z00_2377;
							}
							BgL_testz00_2676 = (BgL_portz00_2407 == BgL_arg1959z00_1436);
						}
						if (BgL_testz00_2676)
							{	/* Effect/walk.scm 110 */
								return BFALSE;
							}
						else
							{	/* Effect/walk.scm 110 */
								return bgl_close_output_port(BgL_portz00_2407);
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2105z00zzeffect_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
