/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31600ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_heapz00();
	static obj_t BGl_objectzd2initzd2zzengine_heapz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62zc3anonymousza31560ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_z62zc3anonymousza31546ze3ze1zzengine_heapz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31572ze3ze1zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_z62zc3anonymousza31586ze3ze1zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31847ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t __cnst[15];


	   
		 
		DEFINE_STRING(BGl_string1946z00zzengine_heapz00,
		BgL_bgl_string1946za700za7za7e1969za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1949z00zzengine_heapz00,
		BgL_bgl_string1949za700za7za7e1970za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1950z00zzengine_heapz00,
		BgL_bgl_string1950za700za7za7e1971za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string1951z00zzengine_heapz00,
		BgL_bgl_string1951za700za7za7e1972za7, "\"", 1);
	      DEFINE_STRING(BGl_string1952z00zzengine_heapz00,
		BgL_bgl_string1952za700za7za7e1973za7, " (variables", 11);
	      DEFINE_STRING(BGl_string1953z00zzengine_heapz00,
		BgL_bgl_string1953za700za7za7e1974za7, " )\n", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71975za7,
		BGl_z62zc3anonymousza31546ze3ze1zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1954z00zzengine_heapz00,
		BgL_bgl_string1954za700za7za7e1976za7, " (types", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71977za7,
		BGl_z62zc3anonymousza31560ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1955z00zzengine_heapz00,
		BgL_bgl_string1955za700za7za7e1978za7, " )", 2);
	      DEFINE_STRING(BGl_string1956z00zzengine_heapz00,
		BgL_bgl_string1956za700za7za7e1979za7, " (includes", 10);
	      DEFINE_STRING(BGl_string1957z00zzengine_heapz00,
		BgL_bgl_string1957za700za7za7e1980za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1959z00zzengine_heapz00,
		BgL_bgl_string1959za700za7za7e1981za7, "   ", 3);
	      DEFINE_STRING(BGl_string1960z00zzengine_heapz00,
		BgL_bgl_string1960za700za7za7e1982za7, "~s", 2);
	      DEFINE_STRING(BGl_string1961z00zzengine_heapz00,
		BgL_bgl_string1961za700za7za7e1983za7, "", 0);
	      DEFINE_STRING(BGl_string1962z00zzengine_heapz00,
		BgL_bgl_string1962za700za7za7e1984za7, "\n   ", 4);
	      DEFINE_STRING(BGl_string1963z00zzengine_heapz00,
		BgL_bgl_string1963za700za7za7e1985za7, "\n    ", 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl_za762dumpza7d2heapsza71986za7,
		BGl_z62dumpzd2heapszb0zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71987za7,
		BGl_z62zc3anonymousza31600ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1965z00zzengine_heapz00,
		BgL_bgl_string1965za700za7za7e1988za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string1966z00zzengine_heapz00,
		BgL_bgl_string1966za700za7za7e1989za7,
		"type super variable class native function args jvm-type-name inline sifun qualified-type name module id dump-heap ",
		114);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71990za7,
		BGl_z62zc3anonymousza31847ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1713, char *BgL_fromz00_1714)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"engine_heap");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_1705;

				BgL_cportz00_1705 =
					bgl_open_input_string(BGl_string1966z00zzengine_heapz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1706;

					BgL_iz00_1706 = ((long) 14);
				BgL_loopz00_1707:
					if ((BgL_iz00_1706 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg1968z00_1709;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1711;

										BgL_locationz00_1711 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg1968z00_1709 =
												BGl_readz00zz__readerz00(BgL_cportz00_1705,
												BgL_locationz00_1711);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_auxz00_1740;

									BgL_auxz00_1740 = (int) (BgL_iz00_1706);
									CNST_TABLE_SET(BgL_auxz00_1740, BgL_arg1968z00_1709);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1712;

								BgL_auxz00_1712 = (int) ((BgL_iz00_1706 - ((long) 1)));
								{
									long BgL_iz00_1745;

									BgL_iz00_1745 = (long) (BgL_auxz00_1712);
									BgL_iz00_1706 = BgL_iz00_1745;
									goto BgL_loopz00_1707;
								}
							}
						}
				}
			}
		}
	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_3)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l1473z00_733;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_auxz00_1750;

					BgL_l1473z00_733 = BgL_namesz00_3;
				BgL_zc3anonymousza31518ze3z83_734:
					if (PAIRP(BgL_l1473z00_733))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l1473z00_733));
							{
								obj_t BgL_l1473z00_1755;

								BgL_l1473z00_1755 = CDR(BgL_l1473z00_733);
								BgL_l1473z00_733 = BgL_l1473z00_1755;
								goto BgL_zc3anonymousza31518ze3z83_734;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_auxz00_1750 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1750);
				}
			}
		}
	}



/* &dump-heaps */
	obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t BgL_envz00_1678,
		obj_t BgL_namesz00_1679)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_1679);
		}
	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_739;

				if (fexists(BSTRING_TO_STRING(BgL_heapz00_4)))
					{	/* Engine/heap.scm 46 */
						BgL_fnamez00_739 = BgL_heapz00_4;
					}
				else
					{	/* Engine/heap.scm 46 */
						BgL_fnamez00_739 =
							BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
					}
				if (STRINGP(BgL_fnamez00_739))
					{	/* Engine/heap.scm 50 */
						obj_t BgL_portz00_741;

						BgL_portz00_741 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_739);
						if (BINARY_PORTP(BgL_portz00_741))
							{	/* Engine/heap.scm 55 */
								obj_t BgL_exitd1063z00_743;

								BgL_exitd1063z00_743 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Engine/heap.scm 115 */
									obj_t BgL_zc3anonymousza31586ze3z83_1683;

									BgL_zc3anonymousza31586ze3z83_1683 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31586ze3ze1zzengine_heapz00,
										(int) (((long) 0)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza31586ze3z83_1683,
										(int) (((long) 0)), BgL_portz00_741);
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
										(BgL_exitd1063z00_743, BgL_zc3anonymousza31586ze3z83_1683);
									{	/* Engine/heap.scm 56 */
										obj_t BgL_tmp1065z00_745;

										{	/* Engine/heap.scm 56 */
											obj_t BgL_envsz00_746;

											BgL_envsz00_746 = input_obj(BgL_portz00_741);
											{	/* Engine/heap.scm 56 */
												obj_t BgL__z00_747;

												{	/* Engine/heap.scm 57 */
													bool_t BgL_testz00_1776;

													{	/* Engine/heap.scm 57 */
														obj_t BgL_v1475z00_803;

														BgL_v1475z00_803 =
															create_vector((int) (((long) 1)));
														VECTOR_SET(BgL_v1475z00_803,
															(int) (((long) 0)), BgL_envsz00_746);
														((bool_t) 1);
													}
													{	/* Engine/heap.scm 58 */
														bool_t BgL__ortest_1066z00_800;

														BgL__ortest_1066z00_800 =
															(
															(long) (VECTOR_LENGTH(BgL_envsz00_746)) ==
															((long) 5));
														if (BgL__ortest_1066z00_800)
															{	/* Engine/heap.scm 58 */
																BgL_testz00_1776 = BgL__ortest_1066z00_800;
															}
														else
															{	/* Engine/heap.scm 58 */
																BgL_testz00_1776 =
																	(
																	(long) (VECTOR_LENGTH(BgL_envsz00_746)) ==
																	((long) 6));
													}}
													if (BgL_testz00_1776)
														{	/* Engine/heap.scm 57 */
															BgL__z00_747 = BFALSE;
														}
													else
														{	/* Engine/heap.scm 57 */
															BgL__z00_747 =
																BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long)
																		0)), BGl_string1946z00zzengine_heapz00,
																BgL_heapz00_4);
												}}
												{	/* Engine/heap.scm 57 */
													obj_t BgL_targetz00_748;

													BgL_targetz00_748 =
														VECTOR_REF(BgL_envsz00_746, (int) (((long) 0)));
													{	/* Engine/heap.scm 61 */
														obj_t BgL_versionz00_749;

														BgL_versionz00_749 =
															VECTOR_REF(BgL_envsz00_746, (int) (((long) 1)));
														{	/* Engine/heap.scm 62 */
															obj_t BgL_specificz00_750;

															BgL_specificz00_750 =
																VECTOR_REF(BgL_envsz00_746, (int) (((long) 2)));
															{	/* Engine/heap.scm 63 */
																obj_t BgL_genvz00_751;

																BgL_genvz00_751 =
																	VECTOR_REF(BgL_envsz00_746,
																	(int) (((long) 3)));
																{	/* Engine/heap.scm 64 */
																	obj_t BgL_tenvz00_752;

																	BgL_tenvz00_752 =
																		VECTOR_REF(BgL_envsz00_746,
																		(int) (((long) 4)));
																	{	/* Engine/heap.scm 65 */
																		obj_t BgL_includesz00_753;

																		if (
																			((long) (VECTOR_LENGTH(BgL_envsz00_746))
																				== ((long) 6)))
																			{	/* Engine/heap.scm 66 */
																				BgL_includesz00_753 =
																					VECTOR_REF(BgL_envsz00_746,
																					(int) (((long) 5)));
																			}
																		else
																			{	/* Engine/heap.scm 66 */
																				BgL_includesz00_753 = BNIL;
																			}
																		{	/* Engine/heap.scm 66 */

																			if (
																				((long) (VECTOR_LENGTH(BgL_envsz00_746))
																					== ((long) 6)))
																				{	/* Engine/heap.scm 78 */
																					BGl_addzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_751);
																				}
																			else
																				{	/* Engine/heap.scm 78 */
																					BGl_setzd2tenvz12zc0zztype_envz00
																						(BgL_tenvz00_752);
																					BGl_setzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_751);
																				}
																			{	/* Engine/heap.scm 87 */
																				bool_t BgL_testz00_1813;

																				{	/* Engine/heap.scm 87 */
																					obj_t BgL_arg1556z00_766;

																					BgL_arg1556z00_766 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					BgL_testz00_1813 =
																						(((BgL_backendz00_bglt)
																							CREF(((BgL_backendz00_bglt)
																									BgL_arg1556z00_766)))->
																						BgL_qualifiedzd2typeszd2);
																				}
																				if (BgL_testz00_1813)
																					{	/* Engine/heap.scm 87 */
																						BGl_forzd2eachzd2globalz12z12zzast_envz00
																							(BGl_proc1947z00zzengine_heapz00,
																							BNIL);
																					}
																				else
																					{	/* Engine/heap.scm 87 */
																						BFALSE;
																					}
																			}
																			BGl_hashtablezd2forzd2eachz00zz__hashz00
																				(BgL_genvz00_751,
																				BGl_proc1948z00zzengine_heapz00);
																			{	/* Engine/heap.scm 101 */
																				obj_t BgL_arg1570z00_782;

																				{	/* Engine/heap.scm 101 */
																					obj_t BgL_res1907z00_1495;

																					{	/* Engine/heap.scm 101 */
																						obj_t BgL_auxz00_1819;

																						BgL_auxz00_1819 =
																							BGL_CURRENT_DYNAMIC_ENV();
																						BgL_res1907z00_1495 =
																							BGL_ENV_CURRENT_ERROR_PORT
																							(BgL_auxz00_1819);
																					}
																					BgL_arg1570z00_782 =
																						BgL_res1907z00_1495;
																				}
																				{	/* Engine/heap.scm 103 */
																					obj_t
																						BgL_zc3anonymousza31572ze3z83_1680;
																					BgL_zc3anonymousza31572ze3z83_1680 =
																						MAKE_FX_PROCEDURE
																						(BGl_z62zc3anonymousza31572ze3ze1zzengine_heapz00,
																						(int) (((long) 0)),
																						(int) (((long) 4)));
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31572ze3z83_1680,
																						(int) (((long) 0)), BgL_heapz00_4);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31572ze3z83_1680,
																						(int) (((long) 1)),
																						BgL_genvz00_751);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31572ze3z83_1680,
																						(int) (((long) 2)),
																						BgL_tenvz00_752);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31572ze3z83_1680,
																						(int) (((long) 3)),
																						BgL_includesz00_753);
																					BgL_tmp1065z00_745 =
																						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																						(BgL_arg1570z00_782,
																						BgL_zc3anonymousza31572ze3z83_1680);
										}}}}}}}}}}}
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00
											(BgL_exitd1063z00_743);
										close_binary_port(BgL_portz00_741);
										return BgL_tmp1065z00_745;
									}
								}
							}
						else
							{	/* Engine/heap.scm 53 */
								obj_t BgL_arg1591z00_806;

								{	/* Engine/heap.scm 53 */
									obj_t BgL_list1592z00_807;

									BgL_list1592z00_807 = MAKE_PAIR(BgL_fnamez00_739, BNIL);
									BgL_arg1591z00_806 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1949z00zzengine_heapz00, BgL_list1592z00_807);
								}
								return
									BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
									BgL_arg1591z00_806, BGl_za2libzd2dirza2zd2zzengine_paramz00);
					}}
				else
					{	/* Engine/heap.scm 116 */
						obj_t BgL_mz00_808;

						{	/* Engine/heap.scm 116 */
							obj_t BgL_list1593z00_809;

							BgL_list1593z00_809 = MAKE_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_808 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1949z00zzengine_heapz00, BgL_list1593z00_809);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)), BgL_mz00_808,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:1572> */
	obj_t BGl_z62zc3anonymousza31572ze3ze1zzengine_heapz00(obj_t BgL_envz00_1684)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 102 */
			{	/* Engine/heap.scm 103 */
				obj_t BgL_heapz00_1685;
				obj_t BgL_genvz00_1686;
				obj_t BgL_tenvz00_1687;
				obj_t BgL_includesz00_1688;

				BgL_heapz00_1685 = PROCEDURE_REF(BgL_envz00_1684, (int) (((long) 0)));
				BgL_genvz00_1686 = PROCEDURE_REF(BgL_envz00_1684, (int) (((long) 1)));
				BgL_tenvz00_1687 = PROCEDURE_REF(BgL_envz00_1684, (int) (((long) 2)));
				BgL_includesz00_1688 =
					PROCEDURE_REF(BgL_envz00_1684, (int) (((long) 3)));
				{

					{	/* Engine/heap.scm 103 */
						obj_t BgL_port1479z00_785;

						{	/* Engine/heap.scm 103 */
							obj_t BgL_res1908z00_1497;

							{	/* Engine/heap.scm 103 */
								obj_t BgL_auxz00_1852;

								BgL_auxz00_1852 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1908z00_1497 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1852);
							}
							BgL_port1479z00_785 = BgL_res1908z00_1497;
						}
						bgl_display_string(BGl_string1950z00zzengine_heapz00,
							BgL_port1479z00_785);
						bgl_display_obj(BgL_heapz00_1685, BgL_port1479z00_785);
						bgl_display_string(BGl_string1951z00zzengine_heapz00,
							BgL_port1479z00_785);
						bgl_display_char(((unsigned char) '\n'), BgL_port1479z00_785);
					}
					{	/* Engine/heap.scm 104 */
						obj_t BgL_port1480z00_786;

						{	/* Engine/heap.scm 104 */
							obj_t BgL_res1909z00_1504;

							{	/* Engine/heap.scm 104 */
								obj_t BgL_auxz00_1859;

								BgL_auxz00_1859 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1909z00_1504 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1859);
							}
							BgL_port1480z00_786 = BgL_res1909z00_1504;
						}
						bgl_display_string(BGl_string1952z00zzengine_heapz00,
							BgL_port1480z00_786);
						bgl_display_char(((unsigned char) '\n'), BgL_port1480z00_786);
					}
					BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_1686);
					{	/* Engine/heap.scm 106 */
						obj_t BgL_port1481z00_787;

						{	/* Engine/heap.scm 106 */
							obj_t BgL_res1910z00_1509;

							{	/* Engine/heap.scm 106 */
								obj_t BgL_auxz00_1865;

								BgL_auxz00_1865 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1910z00_1509 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1865);
							}
							BgL_port1481z00_787 = BgL_res1910z00_1509;
						}
						bgl_display_string(BGl_string1953z00zzengine_heapz00,
							BgL_port1481z00_787);
						bgl_display_char(((unsigned char) '\n'), BgL_port1481z00_787);
					}
					{	/* Engine/heap.scm 107 */
						obj_t BgL_port1482z00_788;

						{	/* Engine/heap.scm 107 */
							obj_t BgL_res1911z00_1514;

							{	/* Engine/heap.scm 107 */
								obj_t BgL_auxz00_1870;

								BgL_auxz00_1870 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1911z00_1514 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1870);
							}
							BgL_port1482z00_788 = BgL_res1911z00_1514;
						}
						bgl_display_string(BGl_string1954z00zzengine_heapz00,
							BgL_port1482z00_788);
						bgl_display_char(((unsigned char) '\n'), BgL_port1482z00_788);
					}
					BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_1687);
					{	/* Engine/heap.scm 109 */
						obj_t BgL_port1483z00_789;

						{	/* Engine/heap.scm 109 */
							obj_t BgL_res1912z00_1519;

							{	/* Engine/heap.scm 109 */
								obj_t BgL_auxz00_1876;

								BgL_auxz00_1876 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1912z00_1519 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1876);
							}
							BgL_port1483z00_789 = BgL_res1912z00_1519;
						}
						bgl_display_string(BGl_string1955z00zzengine_heapz00,
							BgL_port1483z00_789);
						bgl_display_char(((unsigned char) '\n'), BgL_port1483z00_789);
					}
					if (PAIRP(BgL_includesz00_1688))
						{	/* Engine/heap.scm 110 */
							{	/* Engine/heap.scm 111 */
								obj_t BgL_port1484z00_791;

								{	/* Engine/heap.scm 111 */
									obj_t BgL_res1914z00_1526;

									{	/* Engine/heap.scm 111 */
										obj_t BgL_auxz00_1883;

										BgL_auxz00_1883 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1914z00_1526 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1883);
									}
									BgL_port1484z00_791 = BgL_res1914z00_1526;
								}
								bgl_display_string(BGl_string1956z00zzengine_heapz00,
									BgL_port1484z00_791);
								bgl_display_char(((unsigned char) '\n'), BgL_port1484z00_791);
							}
							{	/* Engine/heap.scm 112 */
								obj_t BgL_port1485z00_792;

								{	/* Engine/heap.scm 112 */
									obj_t BgL_res1915z00_1531;

									{	/* Engine/heap.scm 112 */
										obj_t BgL_auxz00_1888;

										BgL_auxz00_1888 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1915z00_1531 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1888);
									}
									BgL_port1485z00_792 = BgL_res1915z00_1531;
								}
								bgl_display_obj(BgL_includesz00_1688, BgL_port1485z00_792);
								bgl_display_char(((unsigned char) '\n'), BgL_port1485z00_792);
							}
							{	/* Engine/heap.scm 113 */
								obj_t BgL_port1486z00_793;

								{	/* Engine/heap.scm 113 */
									obj_t BgL_res1916z00_1534;

									{	/* Engine/heap.scm 113 */
										obj_t BgL_auxz00_1893;

										BgL_auxz00_1893 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1916z00_1534 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1893);
									}
									BgL_port1486z00_793 = BgL_res1916z00_1534;
								}
								bgl_display_string(BGl_string1955z00zzengine_heapz00,
									BgL_port1486z00_793);
								bgl_display_char(((unsigned char) '\n'), BgL_port1486z00_793);
						}}
					else
						{	/* Engine/heap.scm 110 */
							BFALSE;
						}
					{	/* Engine/heap.scm 114 */
						obj_t BgL_port1487z00_794;

						{	/* Engine/heap.scm 114 */
							obj_t BgL_res1917z00_1539;

							{	/* Engine/heap.scm 114 */
								obj_t BgL_auxz00_1898;

								BgL_auxz00_1898 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1917z00_1539 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1898);
							}
							BgL_port1487z00_794 = BgL_res1917z00_1539;
						}
						bgl_display_string(BGl_string1957z00zzengine_heapz00,
							BgL_port1487z00_794);
						return bgl_display_char(((unsigned char) '\n'),
							BgL_port1487z00_794);
		}}}}
	}



/* &<anonymous:1560> */
	obj_t BGl_z62zc3anonymousza31560ze3ze1zzengine_heapz00(obj_t BgL_envz00_1689,
		obj_t BgL_kz00_1690, obj_t BgL_bucketz00_1691)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 97 */
			{
				obj_t BgL_kz00_768;
				obj_t BgL_bucketz00_769;

				{	/* Engine/heap.scm 98 */
					bool_t BgL_auxz00_1903;

					BgL_kz00_768 = BgL_kz00_1690;
					BgL_bucketz00_769 = BgL_bucketz00_1691;
					{	/* Engine/heap.scm 98 */
						obj_t BgL_g1478z00_771;

						BgL_g1478z00_771 = CDR(BgL_bucketz00_769);
						{
							obj_t BgL_l1476z00_773;

							BgL_l1476z00_773 = BgL_g1478z00_771;
						BgL_zc3anonymousza31561ze3z83_774:
							if (PAIRP(BgL_l1476z00_773))
								{	/* Engine/heap.scm 100 */
									{	/* Engine/heap.scm 99 */
										obj_t BgL_newz00_776;

										BgL_newz00_776 = CAR(BgL_l1476z00_773);
										{	/* Engine/heap.scm 99 */
											obj_t BgL_arg1563z00_777;

											BgL_arg1563z00_777 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_776)))->
												BgL_modulez00);
											{	/* Engine/heap.scm 99 */
												obj_t BgL_list1564z00_778;

												BgL_list1564z00_778 =
													MAKE_PAIR(BgL_arg1563z00_777, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list1564z00_778);
											}
										}
									}
									{
										obj_t BgL_l1476z00_1912;

										BgL_l1476z00_1912 = CDR(BgL_l1476z00_773);
										BgL_l1476z00_773 = BgL_l1476z00_1912;
										goto BgL_zc3anonymousza31561ze3z83_774;
									}
								}
							else
								{	/* Engine/heap.scm 100 */
									BgL_auxz00_1903 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1903);
				}
			}
		}
	}



/* &<anonymous:1546> */
	obj_t BGl_z62zc3anonymousza31546ze3ze1zzengine_heapz00(obj_t BgL_envz00_1692,
		obj_t BgL_newz00_1693)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 89 */
			{
				obj_t BgL_newz00_759;

				BgL_newz00_759 = BgL_newz00_1693;
				{	/* Engine/heap.scm 91 */
					obj_t BgL_arg1547z00_761;
					obj_t BgL_arg1550z00_762;
					obj_t BgL_arg1551z00_763;

					BgL_arg1547z00_761 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_759)))->BgL_modulez00);
					BgL_arg1550z00_762 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_759)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1551z00_763 = BGl_shapez00zztools_shapez00(BgL_newz00_759);
					{	/* Engine/heap.scm 90 */
						obj_t BgL_list1552z00_764;

						BgL_list1552z00_764 = MAKE_PAIR(BgL_arg1551z00_763, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1547z00_761,
							BgL_arg1550z00_762, BgL_list1552z00_764);
					}
				}
			}
		}
	}



/* &<anonymous:1586> */
	obj_t BGl_z62zc3anonymousza31586ze3ze1zzengine_heapz00(obj_t BgL_envz00_1694)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 55 */
			{	/* Engine/heap.scm 115 */
				obj_t BgL_portz00_1695;

				BgL_portz00_1695 = PROCEDURE_REF(BgL_envz00_1694, (int) (((long) 0)));
				{

					return close_binary_port(BgL_portz00_1695);
				}
			}
		}
	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_5)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 123 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_5,
				BGl_proc1958z00zzengine_heapz00);
		}
	}



/* &<anonymous:1600> */
	obj_t BGl_z62zc3anonymousza31600ze3ze1zzengine_heapz00(obj_t BgL_envz00_1697,
		obj_t BgL_kz00_1698, obj_t BgL_bucketz00_1699)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 178 */
			{
				obj_t BgL_kz00_813;
				obj_t BgL_bucketz00_814;

				{	/* Engine/heap.scm 178 */
					bool_t BgL_auxz00_1926;

					BgL_kz00_813 = BgL_kz00_1698;
					BgL_bucketz00_814 = BgL_bucketz00_1699;
					{
						obj_t BgL_newz00_825;

						{	/* Engine/heap.scm 178 */
							obj_t BgL_g1505z00_816;

							BgL_g1505z00_816 = CDR(BgL_bucketz00_814);
							{
								obj_t BgL_l1503z00_818;

								BgL_l1503z00_818 = BgL_g1505z00_816;
							BgL_zc3anonymousza31601ze3z83_819:
								if (PAIRP(BgL_l1503z00_818))
									{	/* Engine/heap.scm 178 */
										BgL_newz00_825 = CAR(BgL_l1503z00_818);
										{	/* Engine/heap.scm 125 */
											obj_t BgL_modulez00_827;

											BgL_modulez00_827 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_825)))->
												BgL_modulez00);
											{	/* Engine/heap.scm 125 */
												obj_t BgL_idz00_828;

												BgL_idz00_828 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_newz00_825))))->
													BgL_idz00);
												{	/* Engine/heap.scm 126 */
													obj_t BgL_qtz00_829;

													BgL_qtz00_829 =
														BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
														(BgL_modulez00_827);
													{	/* Engine/heap.scm 127 */
														obj_t BgL_jtz00_830;

														BgL_jtz00_830 =
															(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_newz00_825)))->
															BgL_jvmzd2typezd2namez00);
														{	/* Engine/heap.scm 128 */
															BgL_valuez00_bglt BgL_valz00_831;

															BgL_valz00_831 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt) BgL_newz00_825))))->
																BgL_valuez00);
															{	/* Engine/heap.scm 129 */

																{	/* Engine/heap.scm 131 */
																	bool_t BgL_testz00_1941;

																	{	/* Engine/heap.scm 131 */
																		bool_t BgL_res1922z00_1557;

																		BgL_res1922z00_1557 =
																			BGl_isazf3zf3zz__objectz00(
																			((obj_t) BgL_valz00_831),
																			BGl_sfunz00zzast_varz00);
																		BgL_testz00_1941 = BgL_res1922z00_1557;
																	}
																	if (BgL_testz00_1941)
																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_port1494z00_833;

																			{	/* Engine/heap.scm 132 */
																				obj_t BgL_res1923z00_1559;

																				{	/* Engine/heap.scm 132 */
																					obj_t BgL_auxz00_1944;

																					BgL_auxz00_1944 =
																						BGL_CURRENT_DYNAMIC_ENV();
																					BgL_res1923z00_1559 =
																						BGL_ENV_CURRENT_OUTPUT_PORT
																						(BgL_auxz00_1944);
																				}
																				BgL_port1494z00_833 =
																					BgL_res1923z00_1559;
																			}
																			bgl_display_string
																				(BGl_string1959z00zzengine_heapz00,
																				BgL_port1494z00_833);
																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg1611z00_834;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg1612z00_835;

																					{	/* Engine/heap.scm 133 */
																						obj_t BgL_arg1613z00_836;
																						obj_t BgL_arg1614z00_837;

																						BgL_arg1613z00_836 =
																							BGl_shapez00zztools_shapez00
																							(BgL_newz00_825);
																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_arg1625z00_838;

																							{	/* Engine/heap.scm 135 */
																								obj_t BgL_arg1626z00_839;
																								obj_t BgL_arg1627z00_840;

																								{	/* Engine/heap.scm 135 */
																									obj_t BgL_arg1628z00_841;

																									BgL_arg1628z00_841 =
																										MAKE_PAIR(BgL_idz00_828,
																										BNIL);
																									BgL_arg1626z00_839 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 1)),
																										BgL_arg1628z00_841);
																								}
																								{	/* Engine/heap.scm 137 */
																									obj_t BgL_arg1630z00_842;

																									{	/* Engine/heap.scm 137 */
																										obj_t BgL_arg1631z00_843;
																										obj_t BgL_arg1642z00_844;

																										{	/* Engine/heap.scm 137 */
																											obj_t BgL_arg1644z00_845;

																											BgL_arg1644z00_845 =
																												MAKE_PAIR
																												(BgL_modulez00_827,
																												BNIL);
																											BgL_arg1631z00_843 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 2)),
																												BgL_arg1644z00_845);
																										}
																										{	/* Engine/heap.scm 139 */
																											obj_t BgL_arg1655z00_846;

																											{	/* Engine/heap.scm 139 */
																												obj_t
																													BgL_arg1656z00_847;
																												obj_t
																													BgL_arg1658z00_848;
																												{	/* Engine/heap.scm 139 */
																													obj_t
																														BgL_arg1673z00_849;
																													{	/* Engine/heap.scm 139 */
																														obj_t
																															BgL_arg1676z00_850;
																														{	/* Engine/heap.scm 139 */
																															obj_t
																																BgL_arg1681z00_851;
																															BgL_arg1681z00_851
																																=
																																(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_825))))->BgL_namez00);
																															{	/* Engine/heap.scm 139 */
																																obj_t
																																	BgL_list1682z00_852;
																																BgL_list1682z00_852
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1681z00_851,
																																	BNIL);
																																BgL_arg1676z00_850
																																	=
																																	BGl_formatz00zz__r4_output_6_10_3z00
																																	(BGl_string1960z00zzengine_heapz00,
																																	BgL_list1682z00_852);
																														}}
																														BgL_arg1673z00_849 =
																															MAKE_PAIR
																															(BgL_arg1676z00_850,
																															BNIL);
																													}
																													BgL_arg1656z00_847 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 3)),
																														BgL_arg1673z00_849);
																												}
																												{	/* Engine/heap.scm 141 */
																													obj_t
																														BgL_arg1683z00_853;
																													{	/* Engine/heap.scm 141 */
																														obj_t
																															BgL_arg1686z00_854;
																														obj_t
																															BgL_arg1691z00_855;
																														{	/* Engine/heap.scm 141 */
																															obj_t
																																BgL_arg1696z00_856;
																															BgL_arg1696z00_856
																																=
																																MAKE_PAIR
																																(BgL_qtz00_829,
																																BNIL);
																															BgL_arg1686z00_854
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 4)),
																																BgL_arg1696z00_856);
																														}
																														{	/* Engine/heap.scm 142 */
																															obj_t
																																BgL_arg1697z00_857;
																															obj_t
																																BgL_arg1699z00_858;
																															if (((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_831)))->BgL_classz00) == CNST_TABLE_REF(((long) 5))))
																																{	/* Engine/heap.scm 143 */
																																	obj_t
																																		BgL_arg1706z00_860;
																																	{	/* Engine/heap.scm 143 */
																																		obj_t
																																			BgL_arg1707z00_861;
																																		{	/* Engine/heap.scm 143 */
																																			obj_t
																																				BgL_arg1710z00_862;
																																			BgL_arg1710z00_862
																																				=
																																				(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_831)))->BgL_bodyz00);
																																			BgL_arg1707z00_861
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BgL_arg1710z00_862);
																																		}
																																		BgL_arg1706z00_860
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1707z00_861,
																																			BNIL);
																																	}
																																	BgL_arg1697z00_857
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				6)),
																																		BgL_arg1706z00_860);
																																}
																															else
																																{	/* Engine/heap.scm 142 */
																																	BgL_arg1697z00_857
																																		=
																																		BGl_string1961z00zzengine_heapz00;
																																}
																															{	/* Engine/heap.scm 146 */
																																obj_t
																																	BgL_arg1719z00_864;
																																{	/* Engine/heap.scm 146 */
																																	obj_t
																																		BgL_arg1720z00_865;
																																	obj_t
																																		BgL_arg1721z00_866;
																																	{	/* Engine/heap.scm 146 */
																																		obj_t
																																			BgL_arg1725z00_867;
																																		BgL_arg1725z00_867
																																			=
																																			MAKE_PAIR
																																			(BgL_jtz00_830,
																																			BNIL);
																																		BgL_arg1720z00_865
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					7)),
																																			BgL_arg1725z00_867);
																																	}
																																	{	/* Engine/heap.scm 147 */
																																		obj_t
																																			BgL_arg1726z00_868;
																																		{	/* Engine/heap.scm 147 */
																																			obj_t
																																				BgL_arg1727z00_869;
																																			{	/* Engine/heap.scm 147 */
																																				obj_t
																																					BgL_arg1730z00_870;
																																				{	/* Engine/heap.scm 147 */
																																					obj_t
																																						BgL_arg1731z00_871;
																																					{	/* Engine/heap.scm 147 */
																																						obj_t
																																							BgL_l1488z00_872;
																																						BgL_l1488z00_872
																																							=
																																							(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_831)))->BgL_argsz00);
																																						if (NULLP(BgL_l1488z00_872))
																																							{	/* Engine/heap.scm 147 */
																																								BgL_arg1731z00_871
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Engine/heap.scm 147 */
																																								obj_t
																																									BgL_head1490z00_874;
																																								{	/* Engine/heap.scm 147 */
																																									obj_t
																																										BgL_arg1747z00_886;
																																									BgL_arg1747z00_886
																																										=
																																										BGl_shapez00zztools_shapez00
																																										(CAR
																																										(BgL_l1488z00_872));
																																									{	/* Engine/heap.scm 147 */
																																										obj_t
																																											BgL_res1925z00_1575;
																																										BgL_res1925z00_1575
																																											=
																																											MAKE_PAIR
																																											(BgL_arg1747z00_886,
																																											BNIL);
																																										BgL_head1490z00_874
																																											=
																																											BgL_res1925z00_1575;
																																									}
																																								}
																																								{	/* Engine/heap.scm 147 */
																																									obj_t
																																										BgL_g1493z00_875;
																																									BgL_g1493z00_875
																																										=
																																										CDR
																																										(BgL_l1488z00_872);
																																									{
																																										obj_t
																																											BgL_l1488z00_877;
																																										obj_t
																																											BgL_tail1491z00_878;
																																										BgL_l1488z00_877
																																											=
																																											BgL_g1493z00_875;
																																										BgL_tail1491z00_878
																																											=
																																											BgL_head1490z00_874;
																																									BgL_zc3anonymousza31733ze3z83_879:
																																										if (NULLP(BgL_l1488z00_877))
																																											{	/* Engine/heap.scm 147 */
																																												BgL_arg1731z00_871
																																													=
																																													BgL_head1490z00_874;
																																											}
																																										else
																																											{	/* Engine/heap.scm 147 */
																																												obj_t
																																													BgL_newtail1492z00_881;
																																												{	/* Engine/heap.scm 147 */
																																													obj_t
																																														BgL_arg1739z00_883;
																																													BgL_arg1739z00_883
																																														=
																																														BGl_shapez00zztools_shapez00
																																														(CAR
																																														(BgL_l1488z00_877));
																																													{	/* Engine/heap.scm 147 */
																																														obj_t
																																															BgL_res1927z00_1582;
																																														BgL_res1927z00_1582
																																															=
																																															MAKE_PAIR
																																															(BgL_arg1739z00_883,
																																															BNIL);
																																														BgL_newtail1492z00_881
																																															=
																																															BgL_res1927z00_1582;
																																													}
																																												}
																																												SET_CDR
																																													(BgL_tail1491z00_878,
																																													BgL_newtail1492z00_881);
																																												{
																																													obj_t
																																														BgL_tail1491z00_1996;
																																													obj_t
																																														BgL_l1488z00_1994;
																																													BgL_l1488z00_1994
																																														=
																																														CDR
																																														(BgL_l1488z00_877);
																																													BgL_tail1491z00_1996
																																														=
																																														BgL_newtail1492z00_881;
																																													BgL_tail1491z00_878
																																														=
																																														BgL_tail1491z00_1996;
																																													BgL_l1488z00_877
																																														=
																																														BgL_l1488z00_1994;
																																													goto
																																														BgL_zc3anonymousza31733ze3z83_879;
																																												}
																																											}
																																									}
																																								}
																																							}
																																					}
																																					BgL_arg1730z00_870
																																						=
																																						MAKE_PAIR
																																						(BgL_arg1731z00_871,
																																						BNIL);
																																				}
																																				BgL_arg1727z00_869
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 8)), BgL_arg1730z00_870);
																																			}
																																			BgL_arg1726z00_868
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1727z00_869,
																																				BNIL);
																																		}
																																		BgL_arg1721z00_866
																																			=
																																			MAKE_PAIR
																																			(BGl_string1962z00zzengine_heapz00,
																																			BgL_arg1726z00_868);
																																	}
																																	BgL_arg1719z00_864
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1720z00_865,
																																		BgL_arg1721z00_866);
																																}
																																BgL_arg1699z00_858
																																	=
																																	MAKE_PAIR
																																	(BGl_string1963z00zzengine_heapz00,
																																	BgL_arg1719z00_864);
																															}
																															BgL_arg1691z00_855
																																=
																																MAKE_PAIR
																																(BgL_arg1697z00_857,
																																BgL_arg1699z00_858);
																														}
																														BgL_arg1683z00_853 =
																															MAKE_PAIR
																															(BgL_arg1686z00_854,
																															BgL_arg1691z00_855);
																													}
																													BgL_arg1658z00_848 =
																														MAKE_PAIR
																														(BGl_string1963z00zzengine_heapz00,
																														BgL_arg1683z00_853);
																												}
																												BgL_arg1655z00_846 =
																													MAKE_PAIR
																													(BgL_arg1656z00_847,
																													BgL_arg1658z00_848);
																											}
																											BgL_arg1642z00_844 =
																												MAKE_PAIR
																												(BGl_string1963z00zzengine_heapz00,
																												BgL_arg1655z00_846);
																										}
																										BgL_arg1630z00_842 =
																											MAKE_PAIR
																											(BgL_arg1631z00_843,
																											BgL_arg1642z00_844);
																									}
																									BgL_arg1627z00_840 =
																										MAKE_PAIR
																										(BGl_string1963z00zzengine_heapz00,
																										BgL_arg1630z00_842);
																								}
																								BgL_arg1625z00_838 =
																									MAKE_PAIR(BgL_arg1626z00_839,
																									BgL_arg1627z00_840);
																							}
																							BgL_arg1614z00_837 =
																								MAKE_PAIR
																								(BGl_string1963z00zzengine_heapz00,
																								BgL_arg1625z00_838);
																						}
																						BgL_arg1612z00_835 =
																							MAKE_PAIR(BgL_arg1613z00_836,
																							BgL_arg1614z00_837);
																					}
																					BgL_arg1611z00_834 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								9)), BgL_arg1612z00_835);
																				}
																				bgl_display_obj(BgL_arg1611z00_834,
																					BgL_port1494z00_833);
																			}
																			bgl_display_char(((unsigned char) '\n'),
																				BgL_port1494z00_833);
																		}
																	else
																		{	/* Engine/heap.scm 148 */
																			bool_t BgL_testz00_2018;

																			{	/* Engine/heap.scm 148 */
																				bool_t BgL_res1928z00_1588;

																				BgL_res1928z00_1588 =
																					BGl_isazf3zf3zz__objectz00(
																					((obj_t) BgL_valz00_831),
																					BGl_cfunz00zzast_varz00);
																				BgL_testz00_2018 = BgL_res1928z00_1588;
																			}
																			if (BgL_testz00_2018)
																				{	/* Engine/heap.scm 149 */
																					obj_t BgL_port1501z00_889;

																					{	/* Engine/heap.scm 149 */
																						obj_t BgL_res1929z00_1590;

																						{	/* Engine/heap.scm 149 */
																							obj_t BgL_auxz00_2021;

																							BgL_auxz00_2021 =
																								BGL_CURRENT_DYNAMIC_ENV();
																							BgL_res1929z00_1590 =
																								BGL_ENV_CURRENT_OUTPUT_PORT
																								(BgL_auxz00_2021);
																						}
																						BgL_port1501z00_889 =
																							BgL_res1929z00_1590;
																					}
																					bgl_display_string
																						(BGl_string1959z00zzengine_heapz00,
																						BgL_port1501z00_889);
																					{	/* Engine/heap.scm 150 */
																						obj_t BgL_arg1756z00_890;

																						{	/* Engine/heap.scm 150 */
																							obj_t BgL_arg1768z00_891;

																							{	/* Engine/heap.scm 150 */
																								obj_t BgL_arg1774z00_892;
																								obj_t BgL_arg1775z00_893;

																								BgL_arg1774z00_892 =
																									BGl_shapez00zztools_shapez00
																									(BgL_newz00_825);
																								{	/* Engine/heap.scm 152 */
																									obj_t BgL_arg1776z00_894;

																									{	/* Engine/heap.scm 152 */
																										obj_t BgL_arg1777z00_895;
																										obj_t BgL_arg1779z00_896;

																										{	/* Engine/heap.scm 152 */
																											obj_t BgL_arg1780z00_897;

																											BgL_arg1780z00_897 =
																												MAKE_PAIR(BgL_idz00_828,
																												BNIL);
																											BgL_arg1777z00_895 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 1)),
																												BgL_arg1780z00_897);
																										}
																										{	/* Engine/heap.scm 154 */
																											obj_t BgL_arg1781z00_898;

																											{	/* Engine/heap.scm 154 */
																												obj_t
																													BgL_arg1783z00_899;
																												obj_t
																													BgL_arg1785z00_900;
																												{	/* Engine/heap.scm 154 */
																													obj_t
																														BgL_arg1786z00_901;
																													BgL_arg1786z00_901 =
																														MAKE_PAIR
																														(BgL_modulez00_827,
																														BNIL);
																													BgL_arg1783z00_899 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 2)),
																														BgL_arg1786z00_901);
																												}
																												{	/* Engine/heap.scm 156 */
																													obj_t
																														BgL_arg1787z00_902;
																													{	/* Engine/heap.scm 156 */
																														obj_t
																															BgL_arg1788z00_903;
																														obj_t
																															BgL_arg1789z00_904;
																														{	/* Engine/heap.scm 156 */
																															obj_t
																																BgL_arg1790z00_905;
																															{	/* Engine/heap.scm 156 */
																																obj_t
																																	BgL_arg1791z00_906;
																																{	/* Engine/heap.scm 156 */
																																	obj_t
																																		BgL_arg1792z00_907;
																																	BgL_arg1792z00_907
																																		=
																																		(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_825))))->BgL_namez00);
																																	{	/* Engine/heap.scm 156 */
																																		obj_t
																																			BgL_list1793z00_908;
																																		BgL_list1793z00_908
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1792z00_907,
																																			BNIL);
																																		BgL_arg1791z00_906
																																			=
																																			BGl_formatz00zz__r4_output_6_10_3z00
																																			(BGl_string1960z00zzengine_heapz00,
																																			BgL_list1793z00_908);
																																}}
																																BgL_arg1790z00_905
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1791z00_906,
																																	BNIL);
																															}
																															BgL_arg1788z00_903
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 3)),
																																BgL_arg1790z00_905);
																														}
																														{	/* Engine/heap.scm 158 */
																															obj_t
																																BgL_arg1794z00_909;
																															{	/* Engine/heap.scm 158 */
																																obj_t
																																	BgL_arg1795z00_910;
																																obj_t
																																	BgL_arg1796z00_911;
																																{	/* Engine/heap.scm 158 */
																																	obj_t
																																		BgL_arg1797z00_912;
																																	BgL_arg1797z00_912
																																		=
																																		MAKE_PAIR
																																		(BgL_qtz00_829,
																																		BNIL);
																																	BgL_arg1795z00_910
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				4)),
																																		BgL_arg1797z00_912);
																																}
																																{	/* Engine/heap.scm 160 */
																																	obj_t
																																		BgL_arg1798z00_913;
																																	{	/* Engine/heap.scm 160 */
																																		obj_t
																																			BgL_arg1800z00_914;
																																		obj_t
																																			BgL_arg1801z00_915;
																																		{	/* Engine/heap.scm 160 */
																																			obj_t
																																				BgL_arg1802z00_916;
																																			BgL_arg1802z00_916
																																				=
																																				MAKE_PAIR
																																				(BgL_jtz00_830,
																																				BNIL);
																																			BgL_arg1800z00_914
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						7)),
																																				BgL_arg1802z00_916);
																																		}
																																		{	/* Engine/heap.scm 161 */
																																			obj_t
																																				BgL_arg1803z00_917;
																																			{	/* Engine/heap.scm 161 */
																																				obj_t
																																					BgL_arg1804z00_918;
																																				{	/* Engine/heap.scm 161 */
																																					obj_t
																																						BgL_arg1806z00_919;
																																					{	/* Engine/heap.scm 161 */
																																						obj_t
																																							BgL_arg1807z00_920;
																																						{	/* Engine/heap.scm 161 */
																																							obj_t
																																								BgL_l1495z00_921;
																																							BgL_l1495z00_921
																																								=
																																								(
																																								((BgL_cfunz00_bglt) CREF(((BgL_cfunz00_bglt) BgL_valz00_831)))->BgL_argszd2typezd2);
																																							if (NULLP(BgL_l1495z00_921))
																																								{	/* Engine/heap.scm 161 */
																																									BgL_arg1807z00_920
																																										=
																																										BNIL;
																																								}
																																							else
																																								{	/* Engine/heap.scm 161 */
																																									obj_t
																																										BgL_head1497z00_923;
																																									{	/* Engine/heap.scm 161 */
																																										obj_t
																																											BgL_arg1814z00_935;
																																										BgL_arg1814z00_935
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(CAR
																																											(BgL_l1495z00_921));
																																										{	/* Engine/heap.scm 161 */
																																											obj_t
																																												BgL_res1931z00_1602;
																																											BgL_res1931z00_1602
																																												=
																																												MAKE_PAIR
																																												(BgL_arg1814z00_935,
																																												BNIL);
																																											BgL_head1497z00_923
																																												=
																																												BgL_res1931z00_1602;
																																										}
																																									}
																																									{	/* Engine/heap.scm 161 */
																																										obj_t
																																											BgL_g1500z00_924;
																																										BgL_g1500z00_924
																																											=
																																											CDR
																																											(BgL_l1495z00_921);
																																										{
																																											obj_t
																																												BgL_l1495z00_926;
																																											obj_t
																																												BgL_tail1498z00_927;
																																											BgL_l1495z00_926
																																												=
																																												BgL_g1500z00_924;
																																											BgL_tail1498z00_927
																																												=
																																												BgL_head1497z00_923;
																																										BgL_zc3anonymousza31809ze3z83_928:
																																											if (NULLP(BgL_l1495z00_926))
																																												{	/* Engine/heap.scm 161 */
																																													BgL_arg1807z00_920
																																														=
																																														BgL_head1497z00_923;
																																												}
																																											else
																																												{	/* Engine/heap.scm 161 */
																																													obj_t
																																														BgL_newtail1499z00_930;
																																													{	/* Engine/heap.scm 161 */
																																														obj_t
																																															BgL_arg1812z00_932;
																																														BgL_arg1812z00_932
																																															=
																																															BGl_shapez00zztools_shapez00
																																															(CAR
																																															(BgL_l1495z00_926));
																																														{	/* Engine/heap.scm 161 */
																																															obj_t
																																																BgL_res1933z00_1609;
																																															BgL_res1933z00_1609
																																																=
																																																MAKE_PAIR
																																																(BgL_arg1812z00_932,
																																																BNIL);
																																															BgL_newtail1499z00_930
																																																=
																																																BgL_res1933z00_1609;
																																														}
																																													}
																																													SET_CDR
																																														(BgL_tail1498z00_927,
																																														BgL_newtail1499z00_930);
																																													{
																																														obj_t
																																															BgL_tail1498z00_2062;
																																														obj_t
																																															BgL_l1495z00_2060;
																																														BgL_l1495z00_2060
																																															=
																																															CDR
																																															(BgL_l1495z00_926);
																																														BgL_tail1498z00_2062
																																															=
																																															BgL_newtail1499z00_930;
																																														BgL_tail1498z00_927
																																															=
																																															BgL_tail1498z00_2062;
																																														BgL_l1495z00_926
																																															=
																																															BgL_l1495z00_2060;
																																														goto
																																															BgL_zc3anonymousza31809ze3z83_928;
																																													}
																																												}
																																										}
																																									}
																																								}
																																						}
																																						BgL_arg1806z00_919
																																							=
																																							MAKE_PAIR
																																							(BgL_arg1807z00_920,
																																							BNIL);
																																					}
																																					BgL_arg1804z00_918
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 8)), BgL_arg1806z00_919);
																																				}
																																				BgL_arg1803z00_917
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1804z00_918,
																																					BNIL);
																																			}
																																			BgL_arg1801z00_915
																																				=
																																				MAKE_PAIR
																																				(BGl_string1962z00zzengine_heapz00,
																																				BgL_arg1803z00_917);
																																		}
																																		BgL_arg1798z00_913
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1800z00_914,
																																			BgL_arg1801z00_915);
																																	}
																																	BgL_arg1796z00_911
																																		=
																																		MAKE_PAIR
																																		(BGl_string1963z00zzengine_heapz00,
																																		BgL_arg1798z00_913);
																																}
																																BgL_arg1794z00_909
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1795z00_910,
																																	BgL_arg1796z00_911);
																															}
																															BgL_arg1789z00_904
																																=
																																MAKE_PAIR
																																(BGl_string1963z00zzengine_heapz00,
																																BgL_arg1794z00_909);
																														}
																														BgL_arg1787z00_902 =
																															MAKE_PAIR
																															(BgL_arg1788z00_903,
																															BgL_arg1789z00_904);
																													}
																													BgL_arg1785z00_900 =
																														MAKE_PAIR
																														(BGl_string1963z00zzengine_heapz00,
																														BgL_arg1787z00_902);
																												}
																												BgL_arg1781z00_898 =
																													MAKE_PAIR
																													(BgL_arg1783z00_899,
																													BgL_arg1785z00_900);
																											}
																											BgL_arg1779z00_896 =
																												MAKE_PAIR
																												(BGl_string1963z00zzengine_heapz00,
																												BgL_arg1781z00_898);
																										}
																										BgL_arg1776z00_894 =
																											MAKE_PAIR
																											(BgL_arg1777z00_895,
																											BgL_arg1779z00_896);
																									}
																									BgL_arg1775z00_893 =
																										MAKE_PAIR
																										(BGl_string1963z00zzengine_heapz00,
																										BgL_arg1776z00_894);
																								}
																								BgL_arg1768z00_891 =
																									MAKE_PAIR(BgL_arg1774z00_892,
																									BgL_arg1775z00_893);
																							}
																							BgL_arg1756z00_890 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										10)), BgL_arg1768z00_891);
																						}
																						bgl_display_obj(BgL_arg1756z00_890,
																							BgL_port1501z00_889);
																					}
																					bgl_display_char(((unsigned char)
																							'\n'), BgL_port1501z00_889);
																				}
																			else
																				{	/* Engine/heap.scm 148 */
																					if (
																						((((BgL_typez00_bglt) CREF(
																										(((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_newz00_825))))->BgL_typez00)))->BgL_idz00) == CNST_TABLE_REF(((long) 11))))
																						{	/* Engine/heap.scm 163 */
																							BFALSE;
																						}
																					else
																						{	/* Engine/heap.scm 164 */
																							obj_t BgL_port1502z00_938;

																							{	/* Engine/heap.scm 164 */
																								obj_t BgL_res1936z00_1621;

																								{	/* Engine/heap.scm 164 */
																									obj_t BgL_auxz00_2090;

																									BgL_auxz00_2090 =
																										BGL_CURRENT_DYNAMIC_ENV();
																									BgL_res1936z00_1621 =
																										BGL_ENV_CURRENT_OUTPUT_PORT
																										(BgL_auxz00_2090);
																								}
																								BgL_port1502z00_938 =
																									BgL_res1936z00_1621;
																							}
																							bgl_display_string
																								(BGl_string1959z00zzengine_heapz00,
																								BgL_port1502z00_938);
																							{	/* Engine/heap.scm 165 */
																								obj_t BgL_arg1817z00_939;

																								{	/* Engine/heap.scm 165 */
																									obj_t BgL_arg1818z00_940;

																									{	/* Engine/heap.scm 165 */
																										obj_t BgL_arg1819z00_941;
																										obj_t BgL_arg1820z00_942;

																										BgL_arg1819z00_941 =
																											BGl_shapez00zztools_shapez00
																											(BgL_newz00_825);
																										{	/* Engine/heap.scm 167 */
																											obj_t BgL_arg1821z00_943;

																											{	/* Engine/heap.scm 167 */
																												obj_t
																													BgL_arg1822z00_944;
																												obj_t
																													BgL_arg1823z00_945;
																												{	/* Engine/heap.scm 167 */
																													obj_t
																														BgL_arg1824z00_946;
																													BgL_arg1824z00_946 =
																														MAKE_PAIR
																														(BgL_idz00_828,
																														BNIL);
																													BgL_arg1822z00_944 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 1)),
																														BgL_arg1824z00_946);
																												}
																												{	/* Engine/heap.scm 169 */
																													obj_t
																														BgL_arg1825z00_947;
																													{	/* Engine/heap.scm 169 */
																														obj_t
																															BgL_arg1826z00_948;
																														obj_t
																															BgL_arg1827z00_949;
																														{	/* Engine/heap.scm 169 */
																															obj_t
																																BgL_arg1829z00_950;
																															BgL_arg1829z00_950
																																=
																																MAKE_PAIR
																																(BgL_modulez00_827,
																																BNIL);
																															BgL_arg1826z00_948
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 2)),
																																BgL_arg1829z00_950);
																														}
																														{	/* Engine/heap.scm 171 */
																															obj_t
																																BgL_arg1830z00_951;
																															{	/* Engine/heap.scm 171 */
																																obj_t
																																	BgL_arg1831z00_952;
																																obj_t
																																	BgL_arg1832z00_953;
																																{	/* Engine/heap.scm 171 */
																																	obj_t
																																		BgL_arg1833z00_954;
																																	{	/* Engine/heap.scm 171 */
																																		obj_t
																																			BgL_arg1834z00_955;
																																		{	/* Engine/heap.scm 171 */
																																			obj_t
																																				BgL_arg1835z00_956;
																																			BgL_arg1835z00_956
																																				=
																																				(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_825))))->BgL_namez00);
																																			{	/* Engine/heap.scm 171 */
																																				obj_t
																																					BgL_list1836z00_957;
																																				BgL_list1836z00_957
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1835z00_956,
																																					BNIL);
																																				BgL_arg1834z00_955
																																					=
																																					BGl_formatz00zz__r4_output_6_10_3z00
																																					(BGl_string1960z00zzengine_heapz00,
																																					BgL_list1836z00_957);
																																		}}
																																		BgL_arg1833z00_954
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1834z00_955,
																																			BNIL);
																																	}
																																	BgL_arg1831z00_952
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				3)),
																																		BgL_arg1833z00_954);
																																}
																																{	/* Engine/heap.scm 173 */
																																	obj_t
																																		BgL_arg1837z00_958;
																																	{	/* Engine/heap.scm 173 */
																																		obj_t
																																			BgL_arg1838z00_959;
																																		obj_t
																																			BgL_arg1839z00_960;
																																		{	/* Engine/heap.scm 173 */
																																			obj_t
																																				BgL_arg1840z00_961;
																																			BgL_arg1840z00_961
																																				=
																																				MAKE_PAIR
																																				(BgL_qtz00_829,
																																				BNIL);
																																			BgL_arg1838z00_959
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BgL_arg1840z00_961);
																																		}
																																		{	/* Engine/heap.scm 175 */
																																			obj_t
																																				BgL_arg1841z00_962;
																																			{	/* Engine/heap.scm 175 */
																																				obj_t
																																					BgL_arg1842z00_963;
																																				{	/* Engine/heap.scm 175 */
																																					obj_t
																																						BgL_arg1843z00_964;
																																					BgL_arg1843z00_964
																																						=
																																						MAKE_PAIR
																																						(BgL_jtz00_830,
																																						BNIL);
																																					BgL_arg1842z00_963
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 7)), BgL_arg1843z00_964);
																																				}
																																				BgL_arg1841z00_962
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1842z00_963,
																																					BNIL);
																																			}
																																			BgL_arg1839z00_960
																																				=
																																				MAKE_PAIR
																																				(BGl_string1963z00zzengine_heapz00,
																																				BgL_arg1841z00_962);
																																		}
																																		BgL_arg1837z00_958
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1838z00_959,
																																			BgL_arg1839z00_960);
																																	}
																																	BgL_arg1832z00_953
																																		=
																																		MAKE_PAIR
																																		(BGl_string1963z00zzengine_heapz00,
																																		BgL_arg1837z00_958);
																																}
																																BgL_arg1830z00_951
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1831z00_952,
																																	BgL_arg1832z00_953);
																															}
																															BgL_arg1827z00_949
																																=
																																MAKE_PAIR
																																(BGl_string1963z00zzengine_heapz00,
																																BgL_arg1830z00_951);
																														}
																														BgL_arg1825z00_947 =
																															MAKE_PAIR
																															(BgL_arg1826z00_948,
																															BgL_arg1827z00_949);
																													}
																													BgL_arg1823z00_945 =
																														MAKE_PAIR
																														(BGl_string1963z00zzengine_heapz00,
																														BgL_arg1825z00_947);
																												}
																												BgL_arg1821z00_943 =
																													MAKE_PAIR
																													(BgL_arg1822z00_944,
																													BgL_arg1823z00_945);
																											}
																											BgL_arg1820z00_942 =
																												MAKE_PAIR
																												(BGl_string1963z00zzengine_heapz00,
																												BgL_arg1821z00_943);
																										}
																										BgL_arg1818z00_940 =
																											MAKE_PAIR
																											(BgL_arg1819z00_941,
																											BgL_arg1820z00_942);
																									}
																									BgL_arg1817z00_939 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 12)),
																										BgL_arg1818z00_940);
																								}
																								bgl_display_obj
																									(BgL_arg1817z00_939,
																									BgL_port1502z00_938);
																							}
																							bgl_display_char(((unsigned char)
																									'\n'), BgL_port1502z00_938);
										}}}}}}}}}}
										{
											obj_t BgL_l1503z00_2131;

											BgL_l1503z00_2131 = CDR(BgL_l1503z00_818);
											BgL_l1503z00_818 = BgL_l1503z00_2131;
											goto BgL_zc3anonymousza31601ze3z83_819;
										}
									}
								else
									{	/* Engine/heap.scm 178 */
										BgL_auxz00_1926 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1926);
				}
			}
		}
	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_6)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 183 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_6,
				BGl_proc1964z00zzengine_heapz00);
		}
	}



/* &<anonymous:1847> */
	obj_t BGl_z62zc3anonymousza31847ze3ze1zzengine_heapz00(obj_t BgL_envz00_1701,
		obj_t BgL_kz00_1702, obj_t BgL_newz00_1703)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 185 */
			{
				obj_t BgL_kz00_969;
				obj_t BgL_newz00_970;

				BgL_kz00_969 = BgL_kz00_1702;
				BgL_newz00_970 = BgL_newz00_1703;
				{	/* Engine/heap.scm 186 */
					obj_t BgL_idz00_972;

					BgL_idz00_972 =
						(((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_newz00_970)))->BgL_idz00);
					{	/* Engine/heap.scm 186 */
						obj_t BgL_namez00_973;

						BgL_namez00_973 =
							(((BgL_typez00_bglt) CREF(
									((BgL_typez00_bglt) BgL_newz00_970)))->BgL_namez00);
						{	/* Engine/heap.scm 187 */

							if (BGl_isazf3zf3zz__objectz00(BgL_newz00_970,
									BGl_tclassz00zzobject_classz00))
								{	/* Engine/heap.scm 190 */
									obj_t BgL_port1512z00_976;

									{	/* Engine/heap.scm 190 */
										obj_t BgL_res1940z00_1640;

										{	/* Engine/heap.scm 190 */
											obj_t BgL_auxz00_2141;

											BgL_auxz00_2141 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res1940z00_1640 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2141);
										}
										BgL_port1512z00_976 = BgL_res1940z00_1640;
									}
									bgl_display_string(BGl_string1959z00zzengine_heapz00,
										BgL_port1512z00_976);
									{	/* Engine/heap.scm 191 */
										obj_t BgL_arg1849z00_977;

										{	/* Engine/heap.scm 191 */
											obj_t BgL_arg1850z00_978;

											{	/* Engine/heap.scm 191 */
												obj_t BgL_arg1851z00_979;
												obj_t BgL_arg1852z00_980;

												BgL_arg1851z00_979 =
													BGl_shapez00zztools_shapez00(BgL_newz00_970);
												{	/* Engine/heap.scm 192 */
													obj_t BgL_arg1854z00_981;
													obj_t BgL_arg1855z00_982;

													{	/* Engine/heap.scm 192 */
														obj_t BgL_arg1856z00_983;

														{	/* Engine/heap.scm 192 */
															obj_t BgL_arg1857z00_984;

															{	/* Engine/heap.scm 192 */
																obj_t BgL_arg1858z00_985;

																{
																	BgL_tclassz00_bglt BgL_auxz00_2146;

																	{
																		obj_t BgL_auxz00_2147;

																		{	/* Engine/heap.scm 192 */
																			BgL_objectz00_bglt BgL_auxz00_2148;

																			BgL_auxz00_2148 =
																				((BgL_objectz00_bglt)
																				((BgL_typez00_bglt) BgL_newz00_970));
																			BgL_auxz00_2147 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_2148);
																		}
																		BgL_auxz00_2146 =
																			((BgL_tclassz00_bglt) BgL_auxz00_2147);
																	}
																	BgL_arg1858z00_985 =
																		(((BgL_tclassz00_bglt)
																			CREF(BgL_auxz00_2146))->
																		BgL_itszd2superzd2);
																}
																BgL_arg1857z00_984 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg1858z00_985);
															}
															BgL_arg1856z00_983 =
																MAKE_PAIR(BgL_arg1857z00_984, BNIL);
														}
														BgL_arg1854z00_981 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg1856z00_983);
													}
													{	/* Engine/heap.scm 193 */
														obj_t BgL_arg1859z00_986;

														{	/* Engine/heap.scm 193 */
															obj_t BgL_l1506z00_987;

															{
																BgL_tclassz00_bglt BgL_auxz00_2158;

																{
																	obj_t BgL_auxz00_2159;

																	{	/* Engine/heap.scm 193 */
																		BgL_objectz00_bglt BgL_auxz00_2160;

																		BgL_auxz00_2160 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_newz00_970));
																		BgL_auxz00_2159 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2160);
																	}
																	BgL_auxz00_2158 =
																		((BgL_tclassz00_bglt) BgL_auxz00_2159);
																}
																BgL_l1506z00_987 =
																	(((BgL_tclassz00_bglt)
																		CREF(BgL_auxz00_2158))->BgL_slotsz00);
															}
															if (NULLP(BgL_l1506z00_987))
																{	/* Engine/heap.scm 193 */
																	BgL_arg1859z00_986 = BNIL;
																}
															else
																{	/* Engine/heap.scm 193 */
																	obj_t BgL_head1508z00_989;

																	{	/* Engine/heap.scm 193 */
																		obj_t BgL_arg1866z00_1001;

																		BgL_arg1866z00_1001 =
																			BGl_shapez00zztools_shapez00(CAR
																			(BgL_l1506z00_987));
																		{	/* Engine/heap.scm 193 */
																			obj_t BgL_res1942z00_1648;

																			BgL_res1942z00_1648 =
																				MAKE_PAIR(BgL_arg1866z00_1001, BNIL);
																			BgL_head1508z00_989 = BgL_res1942z00_1648;
																		}
																	}
																	{	/* Engine/heap.scm 193 */
																		obj_t BgL_g1511z00_990;

																		BgL_g1511z00_990 = CDR(BgL_l1506z00_987);
																		{
																			obj_t BgL_l1506z00_992;
																			obj_t BgL_tail1509z00_993;

																			BgL_l1506z00_992 = BgL_g1511z00_990;
																			BgL_tail1509z00_993 = BgL_head1508z00_989;
																		BgL_zc3anonymousza31861ze3z83_994:
																			if (NULLP(BgL_l1506z00_992))
																				{	/* Engine/heap.scm 193 */
																					BgL_arg1859z00_986 =
																						BgL_head1508z00_989;
																				}
																			else
																				{	/* Engine/heap.scm 193 */
																					obj_t BgL_newtail1510z00_996;

																					{	/* Engine/heap.scm 193 */
																						obj_t BgL_arg1864z00_998;

																						BgL_arg1864z00_998 =
																							BGl_shapez00zztools_shapez00(CAR
																							(BgL_l1506z00_992));
																						{	/* Engine/heap.scm 193 */
																							obj_t BgL_res1944z00_1655;

																							BgL_res1944z00_1655 =
																								MAKE_PAIR(BgL_arg1864z00_998,
																								BNIL);
																							BgL_newtail1510z00_996 =
																								BgL_res1944z00_1655;
																						}
																					}
																					SET_CDR(BgL_tail1509z00_993,
																						BgL_newtail1510z00_996);
																					{
																						obj_t BgL_tail1509z00_2180;
																						obj_t BgL_l1506z00_2178;

																						BgL_l1506z00_2178 =
																							CDR(BgL_l1506z00_992);
																						BgL_tail1509z00_2180 =
																							BgL_newtail1510z00_996;
																						BgL_tail1509z00_993 =
																							BgL_tail1509z00_2180;
																						BgL_l1506z00_992 =
																							BgL_l1506z00_2178;
																						goto
																							BgL_zc3anonymousza31861ze3z83_994;
																					}
																				}
																		}
																	}
																}
														}
														BgL_arg1855z00_982 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1859z00_986, BNIL);
													}
													BgL_arg1852z00_980 =
														MAKE_PAIR(BgL_arg1854z00_981, BgL_arg1855z00_982);
												}
												BgL_arg1850z00_978 =
													MAKE_PAIR(BgL_arg1851z00_979, BgL_arg1852z00_980);
											}
											BgL_arg1849z00_977 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
												BgL_arg1850z00_978);
										}
										bgl_display_obj(BgL_arg1849z00_977, BgL_port1512z00_976);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port1512z00_976);
								}
							else
								{	/* Engine/heap.scm 194 */
									obj_t BgL_port1513z00_1003;

									{	/* Engine/heap.scm 194 */
										obj_t BgL_res1945z00_1661;

										{	/* Engine/heap.scm 194 */
											obj_t BgL_auxz00_2188;

											BgL_auxz00_2188 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res1945z00_1661 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2188);
										}
										BgL_port1513z00_1003 = BgL_res1945z00_1661;
									}
									bgl_display_string(BGl_string1959z00zzengine_heapz00,
										BgL_port1513z00_1003);
									{	/* Engine/heap.scm 194 */
										obj_t BgL_arg1868z00_1004;

										{	/* Engine/heap.scm 194 */
											obj_t BgL_arg1869z00_1005;

											{	/* Engine/heap.scm 194 */
												obj_t BgL_arg1870z00_1006;

												{	/* Engine/heap.scm 194 */
													obj_t BgL_arg1871z00_1007;

													{	/* Engine/heap.scm 194 */
														obj_t BgL_arg1872z00_1008;

														BgL_arg1872z00_1008 =
															MAKE_PAIR(BgL_namez00_973, BNIL);
														BgL_arg1871z00_1007 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
															BgL_arg1872z00_1008);
													}
													BgL_arg1870z00_1006 =
														MAKE_PAIR(BgL_arg1871z00_1007, BNIL);
												}
												BgL_arg1869z00_1005 =
													MAKE_PAIR(BgL_idz00_972, BgL_arg1870z00_1006);
											}
											BgL_arg1868z00_1004 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
												BgL_arg1869z00_1005);
										}
										bgl_display_obj(BgL_arg1868z00_1004, BgL_port1513z00_1003);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port1513z00_1003);
		}}}}}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 147989063),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 433305536),
				BSTRING_TO_STRING(BGl_string1965z00zzengine_heapz00));
		}
	}

#ifdef __cplusplus
}
#endif
