/*===========================================================================*/
/*   (Heap/restore.scm)                                                      */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Heap/restore.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzheap_restorez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzheap_restorez00();
	static obj_t BGl_objectzd2initzd2zzheap_restorez00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31613ze3ze1zzheap_restorez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00();
	static obj_t BGl_z62zc3anonymousza31445ze3ze1zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzheap_restorez00();
	static obj_t BGl_z62zc3anonymousza31632ze3ze1zzheap_restorez00(obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62zc3anonymousza31472ze3ze1zzheap_restorez00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_restorezd2heapzd2zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62heapzd2filezd2namez62zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza31487ze3ze1zzheap_restorez00(obj_t);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31593ze3ze1zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_restorez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
	extern obj_t BGl_za2unsafezd2heapza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00 = BUNSPEC;
	static obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_heapzd2filezd2namez00zzheap_restorez00(obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t);
	static obj_t BGl_za2heapzd2markza2zd2zzheap_restorez00 = BUNSPEC;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapszd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1780z00,
		BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2modulezd2listzd2envzd2zzheap_restorez00,
		BgL_bgl_za762heapza7d2module1781z00, va_generic_entry,
		BGl_z62heapzd2modulezd2listz62zzheap_restorez00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string1754z00zzheap_restorez00,
		BgL_bgl_string1754za700za7za7h1782za7, "Heap", 4);
	      DEFINE_STRING(BGl_string1755z00zzheap_restorez00,
		BgL_bgl_string1755za700za7za7h1783za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1756z00zzheap_restorez00,
		BgL_bgl_string1756za700za7za7h1784za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1757z00zzheap_restorez00,
		BgL_bgl_string1757za700za7za7h1785za7, "]", 1);
	      DEFINE_STRING(BGl_string1758z00zzheap_restorez00,
		BgL_bgl_string1758za700za7za7h1786za7, "      [reading ", 15);
	      DEFINE_STRING(BGl_string1759z00zzheap_restorez00,
		BgL_bgl_string1759za700za7za7h1787za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1760z00zzheap_restorez00,
		BgL_bgl_string1760za700za7za7h1788za7, "~a vs. ~a", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2heapzd2envz00zzheap_restorez00,
		BgL_bgl_za762restoreza7d2hea1789z00,
		BGl_z62restorezd2heapzb0zzheap_restorez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1761z00zzheap_restorez00,
		BgL_bgl_string1761za700za7za7h1790za7, "Target language mismatch", 24);
	      DEFINE_STRING(BGl_string1762z00zzheap_restorez00,
		BgL_bgl_string1762za700za7za7h1791za7, "Heap is `~a', Bigloo is `~a'", 28);
	      DEFINE_STRING(BGl_string1763z00zzheap_restorez00,
		BgL_bgl_string1763za700za7za7h1792za7, "Release mismatch", 16);
	      DEFINE_STRING(BGl_string1764z00zzheap_restorez00,
		BgL_bgl_string1764za700za7za7h1793za7, "Specific version mismatch", 25);
	      DEFINE_STRING(BGl_string1767z00zzheap_restorez00,
		BgL_bgl_string1767za700za7za7h1794za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1768z00zzheap_restorez00,
		BgL_bgl_string1768za700za7za7h1795za7, ".", 1);
	      DEFINE_STRING(BGl_string1769z00zzheap_restorez00,
		BgL_bgl_string1769za700za7za7h1796za7, "Library", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1765z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71797za7,
		BGl_z62zc3anonymousza31445ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1772z00zzheap_restorez00,
		BgL_bgl_string1772za700za7za7h1798za7, "-", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71799za7,
		BGl_z62zc3anonymousza31472ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1773z00zzheap_restorez00,
		BgL_bgl_string1773za700za7za7h1800za7, "heap_restore", 12);
	      DEFINE_STRING(BGl_string1774z00zzheap_restorez00,
		BgL_bgl_string1774za700za7za7h1801za7,
		"call-with-current-continuation __r4_control_features_6_9 call/cc restore-heap pass-started heap-mark ",
		101);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71802za7,
		BGl_z62zc3anonymousza31593ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71803za7,
		BGl_z62zc3anonymousza31613ze3ze1zzheap_restorez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapzd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1804z00,
		BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2filezd2namezd2envzd2zzheap_restorez00,
		BgL_bgl_za762heapza7d2fileza7d1805za7,
		BGl_z62heapzd2filezd2namez62zzheap_restorez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long
		BgL_checksumz00_1161, char *BgL_fromz00_1162)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_restorez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_restorez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
					BGl_cnstzd2initzd2zzheap_restorez00();
					BGl_importedzd2moduleszd2initz00zzheap_restorez00();
					BGl_toplevelzd2initzd2zzheap_restorez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"heap_restore");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			{	/* Heap/restore.scm 15 */
				obj_t BgL_cportz00_1153;

				BgL_cportz00_1153 =
					bgl_open_input_string(BGl_string1774z00zzheap_restorez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1154;

					BgL_iz00_1154 = ((long) 5);
				BgL_loopz00_1155:
					if ((BgL_iz00_1154 == ((long) -1)))
						{	/* Heap/restore.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/restore.scm 15 */
							{	/* Heap/restore.scm 15 */
								obj_t BgL_arg1779z00_1157;

								{	/* Heap/restore.scm 15 */

									{	/* Heap/restore.scm 15 */
										obj_t BgL_locationz00_1159;

										BgL_locationz00_1159 = BBOOL(((bool_t) 0));
										{	/* Heap/restore.scm 15 */

											BgL_arg1779z00_1157 =
												BGl_readz00zz__readerz00(BgL_cportz00_1153,
												BgL_locationz00_1159);
										}
									}
								}
								{	/* Heap/restore.scm 15 */
									int BgL_auxz00_1189;

									BgL_auxz00_1189 = (int) (BgL_iz00_1154);
									CNST_TABLE_SET(BgL_auxz00_1189, BgL_arg1779z00_1157);
							}}
							{	/* Heap/restore.scm 15 */
								int BgL_auxz00_1160;

								BgL_auxz00_1160 = (int) ((BgL_iz00_1154 - ((long) 1)));
								{
									long BgL_iz00_1194;

									BgL_iz00_1194 = (long) (BgL_auxz00_1160);
									BgL_iz00_1154 = BgL_iz00_1194;
									goto BgL_loopz00_1155;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00 = BNIL;
			BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BNIL;
			return (BGl_za2heapzd2markza2zd2zzheap_restorez00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_494;

				BgL_headz00_494 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_495;
					obj_t BgL_tailz00_496;

					BgL_prevz00_495 = BgL_headz00_494;
					BgL_tailz00_496 = BgL_l1z00_1;
				BgL_loopz00_497:
					if (PAIRP(BgL_tailz00_496))
						{
							obj_t BgL_newzd2prevzd2_499;

							BgL_newzd2prevzd2_499 =
								MAKE_PAIR(CAR(BgL_tailz00_496), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_495, BgL_newzd2prevzd2_499);
							{
								obj_t BgL_tailz00_1204;
								obj_t BgL_prevz00_1203;

								BgL_prevz00_1203 = BgL_newzd2prevzd2_499;
								BgL_tailz00_1204 = CDR(BgL_tailz00_496);
								BgL_tailz00_496 = BgL_tailz00_1204;
								BgL_prevz00_495 = BgL_prevz00_1203;
								goto BgL_loopz00_497;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_494);
				}
			}
		}
	}



/* backend-heap-compatible? */
	bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t
		BgL_targetz00_3)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 37 */
			{	/* Heap/restore.scm 38 */
				BgL_backendz00_bglt BgL_i1063z00_502;

				BgL_i1063z00_502 =
					((BgL_backendz00_bglt) BGl_thezd2backendzd2zzbackend_backendz00());
				{	/* Heap/restore.scm 39 */
					bool_t BgL__ortest_1064z00_503;

					BgL__ortest_1064z00_503 =
						(BgL_targetz00_3 ==
						(((BgL_backendz00_bglt) CREF(BgL_i1063z00_502))->BgL_languagez00));
					if (BgL__ortest_1064z00_503)
						{	/* Heap/restore.scm 39 */
							return BgL__ortest_1064z00_503;
						}
					else
						{	/* Heap/restore.scm 39 */
							return
								(BgL_targetz00_3 ==
								(((BgL_backendz00_bglt) CREF(BgL_i1063z00_502))->
									BgL_heapzd2compatiblezd2));
						}
				}
			}
		}
	}



/* restore-heap */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2heapzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 44 */
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/restore.scm 45 */
					{	/* Heap/restore.scm 46 */
						obj_t BgL_list1374z00_507;

						{	/* Heap/restore.scm 46 */
							obj_t BgL_arg1377z00_508;

							{	/* Heap/restore.scm 46 */
								obj_t BgL_arg1379z00_509;

								BgL_arg1379z00_509 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg1377z00_508 =
									MAKE_PAIR(BGl_string1754z00zzheap_restorez00,
									BgL_arg1379z00_509);
							}
							BgL_list1374z00_507 =
								MAKE_PAIR(BGl_string1755z00zzheap_restorez00,
								BgL_arg1377z00_508);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1374z00_507);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1754z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_513;
						obj_t BgL_hnamesz00_514;

						BgL_hooksz00_513 = BNIL;
						BgL_hnamesz00_514 = BNIL;
					BgL_zc3anonymousza31380ze3z83_515:
						if (NULLP(BgL_hooksz00_513))
							{	/* Heap/restore.scm 46 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 46 */
								bool_t BgL_testz00_1226;

								{	/* Heap/restore.scm 46 */
									obj_t BgL_fun1394z00_521;

									BgL_fun1394z00_521 = CAR(BgL_hooksz00_513);
									BgL_testz00_1226 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1394z00_521)
										(BgL_fun1394z00_521, BEOA));
								}
								if (BgL_testz00_1226)
									{
										obj_t BgL_hnamesz00_1234;
										obj_t BgL_hooksz00_1232;

										BgL_hooksz00_1232 = CDR(BgL_hooksz00_513);
										BgL_hnamesz00_1234 = CDR(BgL_hnamesz00_514);
										BgL_hnamesz00_514 = BgL_hnamesz00_1234;
										BgL_hooksz00_513 = BgL_hooksz00_1232;
										goto BgL_zc3anonymousza31380ze3z83_515;
									}
								else
									{	/* Heap/restore.scm 46 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1754z00zzheap_restorez00,
											BGl_string1756z00zzheap_restorez00,
											CAR(BgL_hnamesz00_514));
									}
							}
					}
					{	/* Heap/restore.scm 47 */
						obj_t BgL_fnamez00_524;

						BgL_fnamez00_524 =
							BGl_findzd2filezf2pathz20zz__osz00
							(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						if (STRINGP(BgL_fnamez00_524))
							{	/* Heap/restore.scm 49 */
								obj_t BgL_portz00_526;

								BgL_portz00_526 =
									BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
									(BgL_fnamez00_524);
								if (BINARY_PORTP(BgL_portz00_526))
									{	/* Heap/restore.scm 50 */
										{	/* Heap/restore.scm 55 */
											obj_t BgL_list1398z00_528;

											{	/* Heap/restore.scm 55 */
												obj_t BgL_arg1399z00_529;

												{	/* Heap/restore.scm 55 */
													obj_t BgL_arg1402z00_530;

													{	/* Heap/restore.scm 55 */
														obj_t BgL_arg1408z00_531;

														BgL_arg1408z00_531 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg1402z00_530 =
															MAKE_PAIR(BGl_string1757z00zzheap_restorez00,
															BgL_arg1408z00_531);
													}
													BgL_arg1399z00_529 =
														MAKE_PAIR(BgL_fnamez00_524, BgL_arg1402z00_530);
												}
												BgL_list1398z00_528 =
													MAKE_PAIR(BGl_string1758z00zzheap_restorez00,
													BgL_arg1399z00_529);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list1398z00_528);
										}
										{	/* Heap/restore.scm 56 */
											obj_t BgL_exitd1071z00_532;

											BgL_exitd1071z00_532 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Heap/restore.scm 110 */
												obj_t BgL_zc3anonymousza31487ze3z83_1128;

												BgL_zc3anonymousza31487ze3z83_1128 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza31487ze3ze1zzheap_restorez00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza31487ze3z83_1128,
													(int) (((long) 0)), BgL_portz00_526);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1071z00_532,
													BgL_zc3anonymousza31487ze3z83_1128);
												{	/* Heap/restore.scm 57 */
													bool_t BgL_tmp1073z00_534;

													{	/* Heap/restore.scm 57 */
														obj_t BgL_envsz00_535;

														BgL_envsz00_535 = input_obj(BgL_portz00_526);
														{	/* Heap/restore.scm 57 */
															obj_t BgL__z00_536;

															{	/* Heap/restore.scm 58 */
																bool_t BgL_testz00_1259;

																if (VECTORP(BgL_envsz00_535))
																	{	/* Heap/restore.scm 58 */
																		BgL_testz00_1259 =
																			(
																			(long) (VECTOR_LENGTH(BgL_envsz00_535)) ==
																			((long) 5));
																	}
																else
																	{	/* Heap/restore.scm 58 */
																		BgL_testz00_1259 = ((bool_t) 0);
																	}
																if (BgL_testz00_1259)
																	{	/* Heap/restore.scm 58 */
																		BgL__z00_536 = BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 58 */
																		BgL__z00_536 =
																			BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1759z00zzheap_restorez00,
																			BgL_envsz00_535);
																	}
															}
															{	/* Heap/restore.scm 58 */
																obj_t BgL_targetz00_537;

																BgL_targetz00_537 =
																	VECTOR_REF(BgL_envsz00_535,
																	(int) (((long) 0)));
																{	/* Heap/restore.scm 63 */
																	obj_t BgL_versionz00_538;

																	BgL_versionz00_538 =
																		VECTOR_REF(BgL_envsz00_535,
																		(int) (((long) 1)));
																	{	/* Heap/restore.scm 64 */
																		obj_t BgL_specificz00_539;

																		BgL_specificz00_539 =
																			VECTOR_REF(BgL_envsz00_535,
																			(int) (((long) 2)));
																		{	/* Heap/restore.scm 65 */
																			obj_t BgL_genvz00_540;

																			BgL_genvz00_540 =
																				VECTOR_REF(BgL_envsz00_535,
																				(int) (((long) 3)));
																			{	/* Heap/restore.scm 66 */
																				obj_t BgL_tenvz00_541;

																				BgL_tenvz00_541 =
																					VECTOR_REF(BgL_envsz00_535,
																					(int) (((long) 4)));
																				{	/* Heap/restore.scm 67 */

																					if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_537))
																						{	/* Heap/restore.scm 69 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 74 */
																							obj_t BgL_arg1411z00_543;

																							{	/* Heap/restore.scm 74 */
																								obj_t BgL_arg1417z00_544;

																								{	/* Heap/restore.scm 74 */
																									obj_t BgL_arg1427z00_547;

																									BgL_arg1427z00_547 =
																										BGl_thezd2backendzd2zzbackend_backendz00
																										();
																									BgL_arg1417z00_544 =
																										(((BgL_backendz00_bglt)
																											CREF((
																													(BgL_backendz00_bglt)
																													BgL_arg1427z00_547)))->
																										BgL_languagez00);
																								}
																								{	/* Heap/restore.scm 72 */
																									obj_t BgL_list1418z00_545;

																									{	/* Heap/restore.scm 72 */
																										obj_t BgL_arg1421z00_546;

																										BgL_arg1421z00_546 =
																											MAKE_PAIR
																											(BgL_arg1417z00_544,
																											BNIL);
																										BgL_list1418z00_545 =
																											MAKE_PAIR
																											(BgL_targetz00_537,
																											BgL_arg1421z00_546);
																									}
																									BgL_arg1411z00_543 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1760z00zzheap_restorez00,
																										BgL_list1418z00_545);
																								}
																							}
																							BGl_errorz00zz__errorz00
																								(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																								BGl_string1761z00zzheap_restorez00,
																								BgL_arg1411z00_543);
																						}
																					{	/* Heap/restore.scm 75 */
																						bool_t BgL_testz00_1285;

																						if (CBOOL
																							(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																							{	/* Heap/restore.scm 75 */
																								BgL_testz00_1285 = ((bool_t) 1);
																							}
																						else
																							{	/* Heap/restore.scm 75 */
																								BgL_testz00_1285 =
																									BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																									(BgL_versionz00_538,
																									BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
																							}
																						if (BgL_testz00_1285)
																							{	/* Heap/restore.scm 75 */
																								BFALSE;
																							}
																						else
																							{	/* Heap/restore.scm 79 */
																								obj_t BgL_arg1430z00_549;

																								{	/* Heap/restore.scm 79 */
																									obj_t BgL_list1431z00_550;

																									{	/* Heap/restore.scm 79 */
																										obj_t BgL_arg1433z00_551;

																										BgL_arg1433z00_551 =
																											MAKE_PAIR
																											(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																											BNIL);
																										BgL_list1431z00_550 =
																											MAKE_PAIR
																											(BgL_versionz00_538,
																											BgL_arg1433z00_551);
																									}
																									BgL_arg1430z00_549 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1762z00zzheap_restorez00,
																										BgL_list1431z00_550);
																								}
																								BGl_errorz00zz__errorz00
																									(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																									BGl_string1763z00zzheap_restorez00,
																									BgL_arg1430z00_549);
																							}
																					}
																					{	/* Heap/restore.scm 82 */
																						bool_t BgL_testz00_1293;

																						if (CBOOL
																							(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																							{	/* Heap/restore.scm 82 */
																								BgL_testz00_1293 = ((bool_t) 1);
																							}
																						else
																							{	/* Heap/restore.scm 82 */
																								BgL_testz00_1293 =
																									BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																									(BgL_specificz00_539,
																									BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
																							}
																						if (BgL_testz00_1293)
																							{	/* Heap/restore.scm 82 */
																								BFALSE;
																							}
																						else
																							{	/* Heap/restore.scm 86 */
																								obj_t BgL_arg1436z00_553;

																								{	/* Heap/restore.scm 86 */
																									obj_t BgL_list1437z00_554;

																									{	/* Heap/restore.scm 86 */
																										obj_t BgL_arg1440z00_555;

																										BgL_arg1440z00_555 =
																											MAKE_PAIR
																											(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																											BNIL);
																										BgL_list1437z00_554 =
																											MAKE_PAIR
																											(BgL_specificz00_539,
																											BgL_arg1440z00_555);
																									}
																									BgL_arg1436z00_553 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1762z00zzheap_restorez00,
																										BgL_list1437z00_554);
																								}
																								BGl_errorz00zz__errorz00
																									(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																									BGl_string1764z00zzheap_restorez00,
																									BgL_arg1436z00_553);
																							}
																					}
																					BGl_setzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_540);
																					BGl_setzd2tenvz12zc0zztype_envz00
																						(BgL_tenvz00_541);
																					if (CBOOL
																						(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
																						{	/* Heap/restore.scm 94 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 94 */
																							BGl_unbindzd2callzf2ccz12z32zzheap_restorez00
																								();
																						}
																					{	/* Heap/restore.scm 97 */
																						bool_t BgL_testz00_1306;

																						{	/* Heap/restore.scm 97 */
																							obj_t BgL_arg1466z00_566;

																							BgL_arg1466z00_566 =
																								BGl_thezd2backendzd2zzbackend_backendz00
																								();
																							BgL_testz00_1306 =
																								(((BgL_backendz00_bglt)
																									CREF(((BgL_backendz00_bglt)
																											BgL_arg1466z00_566)))->
																								BgL_qualifiedzd2typeszd2);
																						}
																						if (BgL_testz00_1306)
																							{	/* Heap/restore.scm 97 */
																								BGl_forzd2eachzd2globalz12z12zzast_envz00
																									(BGl_proc1765z00zzheap_restorez00,
																									BNIL);
																								BgL_genvz00_540;
																							}
																						else
																							{	/* Heap/restore.scm 97 */
																								BFALSE;
																							}
																					}
																					BGl_forzd2eachzd2globalz12z12zzast_envz00
																						(BGl_proc1766z00zzheap_restorez00,
																						BNIL);
																					BgL_tmp1073z00_534 = ((bool_t) 1);
																				}
																			}
																		}
																	}
																}
															}
														}
													}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1071z00_532);
													close_binary_port(BgL_portz00_526);
													return BBOOL(BgL_tmp1073z00_534);
												}
											}
										}
									}
								else
									{	/* Heap/restore.scm 51 */
										obj_t BgL_mz00_579;

										{	/* Heap/restore.scm 51 */
											obj_t BgL_list1488z00_580;

											BgL_list1488z00_580 = MAKE_PAIR(BgL_fnamez00_524, BNIL);
											BgL_mz00_579 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string1767z00zzheap_restorez00,
												BgL_list1488z00_580);
										}
										BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
											BgL_mz00_579, BGl_za2libzd2dirza2zd2zzengine_paramz00);
										return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long)
													5)));
							}}
						else
							{	/* Heap/restore.scm 111 */
								obj_t BgL_mz00_581;

								{	/* Heap/restore.scm 111 */
									obj_t BgL_list1489z00_582;

									BgL_list1489z00_582 =
										MAKE_PAIR(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
									BgL_mz00_581 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1767z00zzheap_restorez00, BgL_list1489z00_582);
								}
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
									BgL_mz00_581, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 5)));
				}}}
			else
				{	/* Heap/restore.scm 45 */
					return BFALSE;
				}
		}
	}



/* &restore-heap */
	obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t BgL_envz00_1129)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 44 */
			return BGl_restorezd2heapzd2zzheap_restorez00();
		}
	}



/* &<anonymous:1472> */
	obj_t BGl_z62zc3anonymousza31472ze3ze1zzheap_restorez00(obj_t BgL_envz00_1130,
		obj_t BgL_newz00_1131)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 107 */
			{
				obj_t BgL_newz00_569;

				BgL_newz00_569 = BgL_newz00_1131;
				{	/* Heap/restore.scm 108 */
					obj_t BgL_arg1474z00_1033;

					BgL_arg1474z00_1033 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_569)))->BgL_modulez00);
					{	/* Heap/restore.scm 108 */
						obj_t BgL_list1477z00_1034;

						BgL_list1477z00_1034 = MAKE_PAIR(BgL_arg1474z00_1033, BNIL);
						return
							BGl_heapzd2modulezd2listz00zzheap_restorez00
							(BgL_list1477z00_1034);
					}
				}
			}
		}
	}



/* &<anonymous:1445> */
	obj_t BGl_z62zc3anonymousza31445ze3ze1zzheap_restorez00(obj_t BgL_envz00_1132,
		obj_t BgL_newz00_1133)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 99 */
			{
				obj_t BgL_newz00_559;

				BgL_newz00_559 = BgL_newz00_1133;
				{	/* Heap/restore.scm 101 */
					obj_t BgL_arg1453z00_561;
					obj_t BgL_arg1461z00_562;
					obj_t BgL_arg1463z00_563;

					BgL_arg1453z00_561 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_559)))->BgL_modulez00);
					BgL_arg1461z00_562 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_559)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1463z00_563 = BGl_shapez00zztools_shapez00(BgL_newz00_559);
					{	/* Heap/restore.scm 100 */
						obj_t BgL_list1464z00_564;

						BgL_list1464z00_564 = MAKE_PAIR(BgL_arg1463z00_563, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1453z00_561,
							BgL_arg1461z00_562, BgL_list1464z00_564);
					}
				}
			}
		}
	}



/* &<anonymous:1487> */
	obj_t BGl_z62zc3anonymousza31487ze3ze1zzheap_restorez00(obj_t BgL_envz00_1134)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 56 */
			{	/* Heap/restore.scm 110 */
				obj_t BgL_portz00_1135;

				BgL_portz00_1135 = PROCEDURE_REF(BgL_envz00_1134, (int) (((long) 0)));
				{

					return close_binary_port(BgL_portz00_1135);
				}
			}
		}
	}



/* unbind-call/cc! */
	obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 118 */
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								3)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 119 */
					BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 119 */
					BFALSE;
				}
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								5)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 121 */
					return
						BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 121 */
					return BFALSE;
				}
		}
	}



/* heap-file-name */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2filezd2namez00zzheap_restorez00(obj_t
		BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 129 */
			{	/* Heap/restore.scm 130 */
				obj_t BgL_arg1499z00_1039;

				{	/* Heap/restore.scm 130 */
					obj_t BgL_arg1505z00_1040;

					BgL_arg1505z00_1040 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_arg1499z00_1039 =
						(((BgL_backendz00_bglt) CREF(
								((BgL_backendz00_bglt) BgL_arg1505z00_1040)))->
						BgL_heapzd2suffixzd2);
				}
				return
					string_append_3(BgL_heapz00_4, BGl_string1768z00zzheap_restorez00,
					BgL_arg1499z00_1039);
			}
		}
	}



/* &heap-file-name */
	obj_t BGl_z62heapzd2filezd2namez62zzheap_restorez00(obj_t BgL_envz00_1136,
		obj_t BgL_heapz00_1137)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 129 */
			return BGl_heapzd2filezd2namez00zzheap_restorez00(BgL_heapz00_1137);
		}
	}



/* restore-additional-heaps */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 135 */
			if (PAIRP(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00))
				{	/* Heap/restore.scm 136 */
					{	/* Heap/restore.scm 137 */
						obj_t BgL_list1507z00_588;

						{	/* Heap/restore.scm 137 */
							obj_t BgL_arg1512z00_589;

							{	/* Heap/restore.scm 137 */
								obj_t BgL_arg1513z00_590;

								BgL_arg1513z00_590 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg1512z00_589 =
									MAKE_PAIR(BGl_string1769z00zzheap_restorez00,
									BgL_arg1513z00_590);
							}
							BgL_list1507z00_588 =
								MAKE_PAIR(BGl_string1755z00zzheap_restorez00,
								BgL_arg1512z00_589);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1507z00_588);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1769z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_594;
						obj_t BgL_hnamesz00_595;

						BgL_hooksz00_594 = BNIL;
						BgL_hnamesz00_595 = BNIL;
					BgL_zc3anonymousza31514ze3z83_596:
						if (NULLP(BgL_hooksz00_594))
							{	/* Heap/restore.scm 137 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 137 */
								bool_t BgL_testz00_1375;

								{	/* Heap/restore.scm 137 */
									obj_t BgL_fun1528z00_602;

									BgL_fun1528z00_602 = CAR(BgL_hooksz00_594);
									BgL_testz00_1375 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1528z00_602)
										(BgL_fun1528z00_602, BEOA));
								}
								if (BgL_testz00_1375)
									{
										obj_t BgL_hnamesz00_1383;
										obj_t BgL_hooksz00_1381;

										BgL_hooksz00_1381 = CDR(BgL_hooksz00_594);
										BgL_hnamesz00_1383 = CDR(BgL_hnamesz00_595);
										BgL_hnamesz00_595 = BgL_hnamesz00_1383;
										BgL_hooksz00_594 = BgL_hooksz00_1381;
										goto BgL_zc3anonymousza31514ze3z83_596;
									}
								else
									{	/* Heap/restore.scm 137 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1769z00zzheap_restorez00,
											BGl_string1756z00zzheap_restorez00,
											CAR(BgL_hnamesz00_595));
									}
							}
					}
					{	/* Heap/restore.scm 138 */
						obj_t BgL_g1358z00_605;

						BgL_g1358z00_605 =
							bgl_reverse
							(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00);
						{
							obj_t BgL_l1356z00_607;

							{	/* Heap/restore.scm 143 */
								bool_t BgL_auxz00_1388;

								BgL_l1356z00_607 = BgL_g1358z00_605;
							BgL_zc3anonymousza31530ze3z83_608:
								if (PAIRP(BgL_l1356z00_607))
									{	/* Heap/restore.scm 143 */
										{	/* Heap/restore.scm 139 */
											obj_t BgL_hz00_610;

											BgL_hz00_610 = CAR(BgL_l1356z00_607);
											if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
													(BgL_hz00_610,
														BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00)))
												{	/* Heap/restore.scm 139 */
													BFALSE;
												}
											else
												{	/* Heap/restore.scm 139 */
													BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00
														=
														MAKE_PAIR(BgL_hz00_610,
														BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00);
													{	/* Heap/restore.scm 142 */
														obj_t BgL_arg1539z00_612;

														{	/* Heap/restore.scm 142 */
															obj_t BgL_res1740z00_1063;

															{	/* Heap/restore.scm 130 */
																obj_t BgL_arg1499z00_1058;

																{	/* Heap/restore.scm 130 */
																	obj_t BgL_arg1505z00_1059;

																	BgL_arg1505z00_1059 =
																		BGl_thezd2backendzd2zzbackend_backendz00();
																	BgL_arg1499z00_1058 =
																		(((BgL_backendz00_bglt) CREF(
																				((BgL_backendz00_bglt)
																					BgL_arg1505z00_1059)))->
																		BgL_heapzd2suffixzd2);
																}
																BgL_res1740z00_1063 =
																	string_append_3(BgL_hz00_610,
																	BGl_string1768z00zzheap_restorez00,
																	BgL_arg1499z00_1058);
															}
															BgL_arg1539z00_612 = BgL_res1740z00_1063;
														}
														BGl_restorezd2additionalzd2heapz00zzheap_restorez00
															(BgL_arg1539z00_612);
													}
												}
										}
										{
											obj_t BgL_l1356z00_1401;

											BgL_l1356z00_1401 = CDR(BgL_l1356z00_607);
											BgL_l1356z00_607 = BgL_l1356z00_1401;
											goto BgL_zc3anonymousza31530ze3z83_608;
										}
									}
								else
									{	/* Heap/restore.scm 143 */
										BgL_auxz00_1388 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_1388);
							}
						}
					}
				}
			else
				{	/* Heap/restore.scm 136 */
					return BFALSE;
				}
		}
	}



/* &restore-additional-heaps */
	obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t
		BgL_envz00_1138)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 135 */
			return BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
		}
	}



/* restore-additional-heap */
	BGL_EXPORTED_DEF obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t BgL_heapz00_5)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 153 */
			{	/* Heap/restore.scm 154 */
				obj_t BgL_fnamez00_615;

				BgL_fnamez00_615 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_5,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_615))
					{	/* Heap/restore.scm 156 */
						obj_t BgL_portz00_617;

						BgL_portz00_617 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_615);
						if (BINARY_PORTP(BgL_portz00_617))
							{	/* Heap/restore.scm 157 */
								{	/* Heap/restore.scm 165 */
									obj_t BgL_list1547z00_619;

									{	/* Heap/restore.scm 165 */
										obj_t BgL_arg1550z00_620;

										{	/* Heap/restore.scm 165 */
											obj_t BgL_arg1551z00_621;

											{	/* Heap/restore.scm 165 */
												obj_t BgL_arg1556z00_622;

												BgL_arg1556z00_622 =
													MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
												BgL_arg1551z00_621 =
													MAKE_PAIR(BGl_string1757z00zzheap_restorez00,
													BgL_arg1556z00_622);
											}
											BgL_arg1550z00_620 =
												MAKE_PAIR(BgL_fnamez00_615, BgL_arg1551z00_621);
										}
										BgL_list1547z00_619 =
											MAKE_PAIR(BGl_string1758z00zzheap_restorez00,
											BgL_arg1550z00_620);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list1547z00_619);
								}
								{	/* Heap/restore.scm 166 */
									obj_t BgL_exitd1076z00_623;

									BgL_exitd1076z00_623 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Heap/restore.scm 229 */
										obj_t BgL_zc3anonymousza31632ze3z83_1141;

										BgL_zc3anonymousza31632ze3z83_1141 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31632ze3ze1zzheap_restorez00,
											(int) (((long) 0)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza31632ze3z83_1141,
											(int) (((long) 0)), BgL_portz00_617);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1076z00_623,
											BgL_zc3anonymousza31632ze3z83_1141);
										{	/* Heap/restore.scm 167 */
											bool_t BgL_tmp1078z00_625;

											{	/* Heap/restore.scm 167 */
												obj_t BgL_envsz00_626;

												BgL_envsz00_626 = input_obj(BgL_portz00_617);
												{	/* Heap/restore.scm 167 */
													obj_t BgL__z00_627;

													{	/* Heap/restore.scm 168 */
														bool_t BgL_testz00_1426;

														if (VECTORP(BgL_envsz00_626))
															{	/* Heap/restore.scm 168 */
																BgL_testz00_1426 =
																	(
																	(long) (VECTOR_LENGTH(BgL_envsz00_626)) ==
																	((long) 6));
															}
														else
															{	/* Heap/restore.scm 168 */
																BgL_testz00_1426 = ((bool_t) 0);
															}
														if (BgL_testz00_1426)
															{	/* Heap/restore.scm 168 */
																BgL__z00_627 = BFALSE;
															}
														else
															{	/* Heap/restore.scm 168 */
																BgL__z00_627 =
																	BGl_errorz00zz__errorz00(BgL_heapz00_5,
																	BGl_string1759z00zzheap_restorez00,
																	BgL_envsz00_626);
															}
													}
													{	/* Heap/restore.scm 168 */
														obj_t BgL_targetz00_628;

														BgL_targetz00_628 =
															VECTOR_REF(BgL_envsz00_626, (int) (((long) 0)));
														{	/* Heap/restore.scm 171 */
															obj_t BgL_versionz00_629;

															BgL_versionz00_629 =
																VECTOR_REF(BgL_envsz00_626, (int) (((long) 1)));
															{	/* Heap/restore.scm 172 */
																obj_t BgL_specificz00_630;

																BgL_specificz00_630 =
																	VECTOR_REF(BgL_envsz00_626,
																	(int) (((long) 2)));
																{	/* Heap/restore.scm 173 */
																	obj_t BgL_genvz00_631;

																	BgL_genvz00_631 =
																		VECTOR_REF(BgL_envsz00_626,
																		(int) (((long) 3)));
																	{	/* Heap/restore.scm 174 */
																		obj_t BgL_tenvz00_632;

																		BgL_tenvz00_632 =
																			VECTOR_REF(BgL_envsz00_626,
																			(int) (((long) 4)));
																		{	/* Heap/restore.scm 175 */
																			obj_t BgL_includesz00_633;

																			BgL_includesz00_633 =
																				VECTOR_REF(BgL_envsz00_626,
																				(int) (((long) 5)));
																			{	/* Heap/restore.scm 176 */

																				if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_628))
																					{	/* Heap/restore.scm 178 */
																						BFALSE;
																					}
																				else
																					{	/* Heap/restore.scm 183 */
																						obj_t BgL_arg1559z00_635;

																						{	/* Heap/restore.scm 183 */
																							obj_t BgL_arg1562z00_636;

																							{	/* Heap/restore.scm 183 */
																								obj_t BgL_arg1570z00_639;

																								BgL_arg1570z00_639 =
																									BGl_thezd2backendzd2zzbackend_backendz00
																									();
																								BgL_arg1562z00_636 =
																									(((BgL_backendz00_bglt)
																										CREF(((BgL_backendz00_bglt)
																												BgL_arg1570z00_639)))->
																									BgL_languagez00);
																							}
																							{	/* Heap/restore.scm 181 */
																								obj_t BgL_list1563z00_637;

																								{	/* Heap/restore.scm 181 */
																									obj_t BgL_arg1565z00_638;

																									BgL_arg1565z00_638 =
																										MAKE_PAIR
																										(BgL_arg1562z00_636, BNIL);
																									BgL_list1563z00_637 =
																										MAKE_PAIR(BgL_targetz00_628,
																										BgL_arg1565z00_638);
																								}
																								BgL_arg1559z00_635 =
																									BGl_formatz00zz__r4_output_6_10_3z00
																									(BGl_string1760z00zzheap_restorez00,
																									BgL_list1563z00_637);
																							}
																						}
																						BGl_errorz00zz__errorz00
																							(BgL_heapz00_5,
																							BGl_string1761z00zzheap_restorez00,
																							BgL_arg1559z00_635);
																					}
																				if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_versionz00_629, BGl_za2bigloozd2versionza2zd2zzengine_paramz00))
																					{	/* Heap/restore.scm 184 */
																						BFALSE;
																					}
																				else
																					{	/* Heap/restore.scm 187 */
																						obj_t BgL_arg1574z00_641;

																						{	/* Heap/restore.scm 187 */
																							obj_t BgL_list1575z00_642;

																							{	/* Heap/restore.scm 187 */
																								obj_t BgL_arg1579z00_643;

																								BgL_arg1579z00_643 =
																									MAKE_PAIR
																									(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																									BNIL);
																								BgL_list1575z00_642 =
																									MAKE_PAIR(BgL_versionz00_629,
																									BgL_arg1579z00_643);
																							}
																							BgL_arg1574z00_641 =
																								BGl_formatz00zz__r4_output_6_10_3z00
																								(BGl_string1762z00zzheap_restorez00,
																								BgL_list1575z00_642);
																						}
																						BGl_errorz00zz__errorz00
																							(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																							BGl_string1763z00zzheap_restorez00,
																							BgL_arg1574z00_641);
																					}
																				if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_specificz00_630, BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00))
																					{	/* Heap/restore.scm 190 */
																						BFALSE;
																					}
																				else
																					{	/* Heap/restore.scm 193 */
																						obj_t BgL_arg1582z00_645;

																						{	/* Heap/restore.scm 193 */
																							obj_t BgL_list1583z00_646;

																							{	/* Heap/restore.scm 193 */
																								obj_t BgL_arg1585z00_647;

																								BgL_arg1585z00_647 =
																									MAKE_PAIR
																									(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																									BNIL);
																								BgL_list1583z00_646 =
																									MAKE_PAIR(BgL_specificz00_630,
																									BgL_arg1585z00_647);
																							}
																							BgL_arg1582z00_645 =
																								BGl_formatz00zz__r4_output_6_10_3z00
																								(BGl_string1762z00zzheap_restorez00,
																								BgL_list1583z00_646);
																						}
																						BGl_errorz00zz__errorz00
																							(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																							BGl_string1764z00zzheap_restorez00,
																							BgL_arg1582z00_645);
																					}
																				BGl_addzd2tenvz12zc0zztype_envz00
																					(BgL_tenvz00_632);
																				BGl_addzd2genvz12zc0zzast_envz00
																					(BgL_genvz00_631);
																				{	/* Heap/restore.scm 209 */
																					bool_t BgL_testz00_1468;

																					{	/* Heap/restore.scm 209 */
																						obj_t BgL_arg1611z00_658;

																						BgL_arg1611z00_658 =
																							BGl_thezd2backendzd2zzbackend_backendz00
																							();
																						BgL_testz00_1468 =
																							(((BgL_backendz00_bglt)
																								CREF(((BgL_backendz00_bglt)
																										BgL_arg1611z00_658)))->
																							BgL_qualifiedzd2typeszd2);
																					}
																					if (BgL_testz00_1468)
																						{	/* Heap/restore.scm 209 */
																							BGl_forzd2eachzd2globalz12z12zzast_envz00
																								(BGl_proc1770z00zzheap_restorez00,
																								BNIL);
																						}
																					else
																						{	/* Heap/restore.scm 209 */
																							BFALSE;
																						}
																				}
																				BGl_hashtablezd2forzd2eachz00zz__hashz00
																					(BgL_genvz00_631,
																					BGl_proc1771z00zzheap_restorez00);
																				BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00
																					=
																					BGl_appendzd221011zd2zzheap_restorez00
																					(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00,
																					BgL_includesz00_633);
																				BgL_tmp1078z00_625 = ((bool_t) 1);
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1076z00_623);
											close_binary_port(BgL_portz00_617);
											return BBOOL(BgL_tmp1078z00_625);
										}
									}
								}
							}
						else
							{	/* Heap/restore.scm 158 */
								obj_t BgL_mz00_679;

								{	/* Heap/restore.scm 158 */
									obj_t BgL_list1644z00_682;

									BgL_list1644z00_682 = MAKE_PAIR(BgL_fnamez00_615, BNIL);
									BgL_mz00_679 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1767z00zzheap_restorez00, BgL_list1644z00_682);
								}
								{	/* Heap/restore.scm 159 */
									obj_t BgL_arg1642z00_680;

									if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
										{	/* Heap/restore.scm 159 */
											BgL_arg1642z00_680 =
												CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
										}
									else
										{	/* Heap/restore.scm 159 */
											BgL_arg1642z00_680 = BGl_string1772z00zzheap_restorez00;
										}
									BGl_errorz00zz__errorz00(BgL_arg1642z00_680, BgL_mz00_679,
										BGl_za2libzd2dirza2zd2zzengine_paramz00);
								}
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
					}}
				else
					{	/* Heap/restore.scm 230 */
						obj_t BgL_mz00_683;

						{	/* Heap/restore.scm 230 */
							obj_t BgL_list1657z00_686;

							BgL_list1657z00_686 = MAKE_PAIR(BgL_heapz00_5, BNIL);
							BgL_mz00_683 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1767z00zzheap_restorez00, BgL_list1657z00_686);
						}
						{	/* Heap/restore.scm 231 */
							obj_t BgL_arg1655z00_684;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* Heap/restore.scm 231 */
									BgL_arg1655z00_684 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
								}
							else
								{	/* Heap/restore.scm 231 */
									BgL_arg1655z00_684 = BGl_string1772z00zzheap_restorez00;
								}
							BGl_errorz00zz__errorz00(BgL_arg1655z00_684, BgL_mz00_683,
								BGl_za2libzd2dirza2zd2zzengine_paramz00);
						}
						return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
		}}}
	}



/* &restore-additional-heap */
	obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t
		BgL_envz00_1142, obj_t BgL_heapz00_1143)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 153 */
			return
				BGl_restorezd2additionalzd2heapz00zzheap_restorez00(BgL_heapz00_1143);
		}
	}



/* &<anonymous:1613> */
	obj_t BGl_z62zc3anonymousza31613ze3ze1zzheap_restorez00(obj_t BgL_envz00_1144,
		obj_t BgL_kz00_1145, obj_t BgL_bucketz00_1146)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 219 */
			{
				obj_t BgL_kz00_660;
				obj_t BgL_bucketz00_661;

				{	/* Heap/restore.scm 220 */
					bool_t BgL_auxz00_1495;

					BgL_kz00_660 = BgL_kz00_1145;
					BgL_bucketz00_661 = BgL_bucketz00_1146;
					{	/* Heap/restore.scm 220 */
						obj_t BgL_g1361z00_663;

						BgL_g1361z00_663 = CDR(BgL_bucketz00_661);
						{
							obj_t BgL_l1359z00_665;

							BgL_l1359z00_665 = BgL_g1361z00_663;
						BgL_zc3anonymousza31614ze3z83_666:
							if (PAIRP(BgL_l1359z00_665))
								{	/* Heap/restore.scm 223 */
									{	/* Heap/restore.scm 221 */
										obj_t BgL_newz00_668;

										BgL_newz00_668 = CAR(BgL_l1359z00_665);
										{	/* Heap/restore.scm 222 */
											obj_t BgL_arg1625z00_669;

											BgL_arg1625z00_669 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_668)))->
												BgL_modulez00);
											{	/* Heap/restore.scm 221 */
												obj_t BgL_list1626z00_670;

												BgL_list1626z00_670 =
													MAKE_PAIR(BgL_arg1625z00_669, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list1626z00_670);
											}
										}
									}
									{
										obj_t BgL_l1359z00_1504;

										BgL_l1359z00_1504 = CDR(BgL_l1359z00_665);
										BgL_l1359z00_665 = BgL_l1359z00_1504;
										goto BgL_zc3anonymousza31614ze3z83_666;
									}
								}
							else
								{	/* Heap/restore.scm 223 */
									BgL_auxz00_1495 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1495);
				}
			}
		}
	}



/* &<anonymous:1593> */
	obj_t BGl_z62zc3anonymousza31593ze3ze1zzheap_restorez00(obj_t BgL_envz00_1147,
		obj_t BgL_newz00_1148)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 211 */
			{
				obj_t BgL_newz00_651;

				BgL_newz00_651 = BgL_newz00_1148;
				{	/* Heap/restore.scm 213 */
					obj_t BgL_arg1599z00_653;
					obj_t BgL_arg1605z00_654;
					obj_t BgL_arg1606z00_655;

					BgL_arg1599z00_653 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_651)))->BgL_modulez00);
					BgL_arg1605z00_654 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_651)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1606z00_655 = BGl_shapez00zztools_shapez00(BgL_newz00_651);
					{	/* Heap/restore.scm 212 */
						obj_t BgL_list1607z00_656;

						BgL_list1607z00_656 = MAKE_PAIR(BgL_arg1606z00_655, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1599z00_653,
							BgL_arg1605z00_654, BgL_list1607z00_656);
					}
				}
			}
		}
	}



/* &<anonymous:1632> */
	obj_t BGl_z62zc3anonymousza31632ze3ze1zzheap_restorez00(obj_t BgL_envz00_1149)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 166 */
			{	/* Heap/restore.scm 229 */
				obj_t BgL_portz00_1150;

				BgL_portz00_1150 = PROCEDURE_REF(BgL_envz00_1149, (int) (((long) 0)));
				{

					return close_binary_port(BgL_portz00_1150);
				}
			}
		}
	}



/* heap-module-list */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t
		BgL_argsz00_6)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 250 */
			if (NULLP(BgL_argsz00_6))
				{	/* Heap/restore.scm 252 */
					return BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00;
				}
			else
				{	/* Heap/restore.scm 252 */
					if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(CAR(BgL_argsz00_6),
								CNST_TABLE_REF(((long) 0)))))
						{	/* Heap/restore.scm 254 */
							return BFALSE;
						}
					else
						{	/* Heap/restore.scm 254 */
							{	/* Heap/restore.scm 255 */
								obj_t BgL_arg1673z00_689;

								BgL_arg1673z00_689 = CAR(BgL_argsz00_6);
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_arg1673z00_689,
									CNST_TABLE_REF(((long) 0)), BTRUE);
							}
							{	/* Heap/restore.scm 256 */
								obj_t BgL_arg1676z00_690;

								BgL_arg1676z00_690 = CAR(BgL_argsz00_6);
								return (BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 =
									MAKE_PAIR(BgL_arg1676z00_690,
										BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00),
									BUNSPEC);
							}
						}
				}
		}
	}



/* &heap-module-list */
	obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t BgL_envz00_1151,
		obj_t BgL_argsz00_1152)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 250 */
			return BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_argsz00_1152);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 373986149),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1773z00zzheap_restorez00));
		}
	}

#ifdef __cplusplus
}
#endif
