/*===========================================================================*/
/*   (Inline/recursion.scm)                                                  */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/recursion.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_recursionz00();
	extern BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t, obj_t);
	static obj_t
		BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_methodzd2initzd2zzinline_recursionz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_svarz00zzast_varz00;
	extern BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, obj_t, BgL_appz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_letzd2funzd2_bglt
		BGl_z62zc3anonymousza32024ze3ze1zzinline_recursionz00(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_recursionz00 = BUNSPEC;
	extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt,
		long, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_recursionz00();
	extern bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_genericzd2initzd2zzinline_recursionz00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	extern BgL_nodez00_bglt
		BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	static obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t,
		obj_t);
	static obj_t
		BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_recursionz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
	static BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, BgL_appz00_bglt, obj_t);
	extern obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1905z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1908z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1910z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1912z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1914z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1916z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1918z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1920z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1922z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1925z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1927z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1929z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1931z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_z62findzd2recursivezd2calls1933z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1935z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1937z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1939z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1941z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1943z62zzinline_recursionz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string2313z00zzinline_recursionz00,
		BgL_bgl_string2313za700za7za7i2317za7, "inline_recursion", 16);
	      DEFINE_STRING(BGl_string2314z00zzinline_recursionz00,
		BgL_bgl_string2314za700za7za7i2318za7, "(sifun sgfun) sfun ", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2319z00,
		BGl_z62findzd2recursivezd2calls1905z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2320z00,
		BGl_z62findzd2recursivezd2calls1908z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2296z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2321z00,
		BGl_z62findzd2recursivezd2calls1910z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2322z00,
		BGl_z62findzd2recursivezd2calls1912z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2323z00,
		BGl_z62findzd2recursivezd2calls1914z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2299z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2324z00,
		BGl_z62findzd2recursivezd2calls1916z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2recursivezd2envzd2zzinline_recursionz00,
		BgL_bgl_za762inlineza7d2appza72325za7,
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2recursivezf3zd2envzf3zzinline_recursionz00,
		BgL_bgl_za762isza7d2recursiv2326z00,
		BGl_z62iszd2recursivezf3z43zzinline_recursionz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2327z00,
		BGl_z62findzd2recursivezd2calls1918z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2328z00,
		BGl_z62findzd2recursivezd2calls1920z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2329z00,
		BGl_z62findzd2recursivezd2calls1922z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2330z00,
		BGl_z62findzd2recursivezd2calls1925z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2331z00,
		BGl_z62findzd2recursivezd2calls1927z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2305z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2332z00,
		BGl_z62findzd2recursivezd2calls1929z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2333z00,
		BGl_z62findzd2recursivezd2calls1931z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2307z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2334z00,
		BGl_z62findzd2recursivezd2calls1933z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2335z00,
		BGl_z62findzd2recursivezd2calls1935z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2336z00,
		BGl_z62findzd2recursivezd2calls1937z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2337z00,
		BGl_z62findzd2recursivezd2calls1939z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2338z00,
		BGl_z62findzd2recursivezd2calls1941z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2339z00,
		BGl_z62findzd2recursivezd2calls1943z62zzinline_recursionz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2287z00zzinline_recursionz00,
		BgL_bgl_string2287za700za7za7i2340za7, "simple", 6);
	      DEFINE_STRING(BGl_string2288z00zzinline_recursionz00,
		BgL_bgl_string2288za700za7za7i2341za7, " (recursive)", 12);
	      DEFINE_STRING(BGl_string2289z00zzinline_recursionz00,
		BgL_bgl_string2289za700za7za7i2342za7, " --> ", 5);
	      DEFINE_STRING(BGl_string2290z00zzinline_recursionz00,
		BgL_bgl_string2290za700za7za7i2343za7, "         ", 9);
	      DEFINE_STRING(BGl_string2291z00zzinline_recursionz00,
		BgL_bgl_string2291za700za7za7i2344za7, "unrolling", 9);
	      DEFINE_STRING(BGl_string2293z00zzinline_recursionz00,
		BgL_bgl_string2293za700za7za7i2345za7, "find-recursive-calls1905", 24);
	      DEFINE_STRING(BGl_string2295z00zzinline_recursionz00,
		BgL_bgl_string2295za700za7za7i2346za7, "find-recursive-calls", 20);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2347z00,
		BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long
		BgL_checksumz00_3048, char *BgL_fromz00_3049)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_recursionz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_recursionz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
					BGl_cnstzd2initzd2zzinline_recursionz00();
					BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
					BGl_genericzd2initzd2zzinline_recursionz00();
					BGl_methodzd2initzd2zzinline_recursionz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_recursion");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			{	/* Inline/recursion.scm 15 */
				obj_t BgL_cportz00_3038;

				BgL_cportz00_3038 =
					bgl_open_input_string(BGl_string2314z00zzinline_recursionz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3039;

					BgL_iz00_3039 = ((long) 1);
				BgL_loopz00_3040:
					if ((BgL_iz00_3039 == ((long) -1)))
						{	/* Inline/recursion.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/recursion.scm 15 */
							{	/* Inline/recursion.scm 15 */
								obj_t BgL_arg2316z00_3042;

								{	/* Inline/recursion.scm 15 */

									{	/* Inline/recursion.scm 15 */
										obj_t BgL_locationz00_3044;

										BgL_locationz00_3044 = BBOOL(((bool_t) 0));
										{	/* Inline/recursion.scm 15 */

											BgL_arg2316z00_3042 =
												BGl_readz00zz__readerz00(BgL_cportz00_3038,
												BgL_locationz00_3044);
										}
									}
								}
								{	/* Inline/recursion.scm 15 */
									int BgL_auxz00_3071;

									BgL_auxz00_3071 = (int) (BgL_iz00_3039);
									CNST_TABLE_SET(BgL_auxz00_3071, BgL_arg2316z00_3042);
							}}
							{	/* Inline/recursion.scm 15 */
								int BgL_auxz00_3045;

								BgL_auxz00_3045 = (int) ((BgL_iz00_3039 - ((long) 1)));
								{
									long BgL_iz00_3076;

									BgL_iz00_3076 = (long) (BgL_auxz00_3045);
									BgL_iz00_3039 = BgL_iz00_3076;
									goto BgL_loopz00_3040;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1383;

				BgL_headz00_1383 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1384;
					obj_t BgL_tailz00_1385;

					BgL_prevz00_1384 = BgL_headz00_1383;
					BgL_tailz00_1385 = BgL_l1z00_1;
				BgL_loopz00_1386:
					if (PAIRP(BgL_tailz00_1385))
						{
							obj_t BgL_newzd2prevzd2_1388;

							BgL_newzd2prevzd2_1388 =
								MAKE_PAIR(CAR(BgL_tailz00_1385), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1384, BgL_newzd2prevzd2_1388);
							{
								obj_t BgL_tailz00_3085;
								obj_t BgL_prevz00_3084;

								BgL_prevz00_3084 = BgL_newzd2prevzd2_1388;
								BgL_tailz00_3085 = CDR(BgL_tailz00_1385);
								BgL_tailz00_1385 = BgL_tailz00_3085;
								BgL_prevz00_1384 = BgL_prevz00_3084;
								goto BgL_loopz00_1386;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1383);
				}
			}
		}
	}



/* inline-app-recursive */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 41 */
			{	/* Inline/recursion.scm 42 */
				BgL_variablez00_bglt BgL_calleez00_1392;

				BgL_calleez00_1392 =
					(((BgL_varz00_bglt) CREF(
							(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_funz00)))->
					BgL_variablez00);
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(((obj_t)
								BgL_calleez00_1392), BgL_stackz00_5)))
					{	/* Inline/recursion.scm 44 */
						return
							BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_3,
							BgL_kfactorz00_4, BgL_stackz00_5,
							BGl_string2287z00zzinline_recursionz00);
					}
				else
					{	/* Inline/recursion.scm 44 */
						return
							((BgL_nodez00_bglt)
							BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_3,
								BgL_kfactorz00_4, BgL_stackz00_5));
					}
			}
		}
	}



/* &inline-app-recursive */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t
		BgL_envz00_2949, obj_t BgL_nodez00_2950, obj_t BgL_kfactorz00_2951,
		obj_t BgL_stackz00_2952)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 41 */
			return
				BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2950),
				(long) CINT(BgL_kfactorz00_2951), BgL_stackz00_2952);
		}
	}



/* inline-app-labels */
	obj_t BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_6, long BgL_kfactorz00_7, obj_t BgL_stackz00_8)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 60 */
			{	/* Inline/recursion.scm 61 */
				BgL_variablez00_bglt BgL_variablez00_1395;

				BgL_variablez00_1395 =
					(((BgL_varz00_bglt) CREF(
							(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_6)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Inline/recursion.scm 61 */
					BgL_localz00_bglt BgL_localz00_1396;

					{	/* Inline/recursion.scm 62 */
						obj_t BgL_arg2008z00_1508;
						BgL_typez00_bglt BgL_arg2009z00_1509;
						BgL_valuez00_bglt BgL_arg2010z00_1510;

						BgL_arg2008z00_1508 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_1395))->BgL_idz00);
						BgL_arg2009z00_1509 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_1395))->
							BgL_typez00);
						BgL_arg2010z00_1510 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_1395))->
							BgL_valuez00);
						BgL_localz00_1396 =
							BGl_makezd2localzd2sfunz00zzast_localz00(BgL_arg2008z00_1508,
							BgL_arg2009z00_1509, ((BgL_sfunz00_bglt) BgL_arg2010z00_1510));
					}
					{	/* Inline/recursion.scm 62 */
						BgL_valuez00_bglt BgL_oldzd2sfunzd2_1397;

						BgL_oldzd2sfunzd2_1397 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_1395))->
							BgL_valuez00);
						{	/* Inline/recursion.scm 65 */
							obj_t BgL_reczd2callszd2_1398;

							{
								BgL_isfunz00_bglt BgL_auxz00_3110;

								{
									obj_t BgL_auxz00_3111;

									{	/* Inline/recursion.scm 66 */
										BgL_objectz00_bglt BgL_auxz00_3112;

										BgL_auxz00_3112 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1397));
										BgL_auxz00_3111 = BGL_OBJECT_WIDENING(BgL_auxz00_3112);
									}
									BgL_auxz00_3110 = ((BgL_isfunz00_bglt) BgL_auxz00_3111);
								}
								BgL_reczd2callszd2_1398 =
									(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3110))->
									BgL_recursivezd2callszd2);
							}
							{	/* Inline/recursion.scm 66 */
								obj_t BgL_oldzd2argszd2_1399;

								BgL_oldzd2argszd2_1399 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1397)))->
									BgL_argsz00);
								{	/* Inline/recursion.scm 67 */
									obj_t BgL_invzd2argszd2_1400;

									BgL_invzd2argszd2_1400 =
										BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_6,
										BgL_variablez00_1395, BgL_reczd2callszd2_1398);
									{	/* Inline/recursion.scm 68 */
										obj_t BgL_varzd2argszd2_1401;

										BgL_varzd2argszd2_1401 =
											BGl_variantzd2argszd2zzinline_variantz00
											(BgL_variablez00_1395);
										{	/* Inline/recursion.scm 69 */
											obj_t BgL_newzd2argszd2_1402;

											if (NULLP(BgL_varzd2argszd2_1401))
												{	/* Inline/recursion.scm 70 */
													BgL_newzd2argszd2_1402 = BNIL;
												}
											else
												{	/* Inline/recursion.scm 70 */
													obj_t BgL_head1889z00_1492;

													{	/* Inline/recursion.scm 70 */
														obj_t BgL_res2214z00_2618;

														BgL_res2214z00_2618 = MAKE_PAIR(BNIL, BNIL);
														BgL_head1889z00_1492 = BgL_res2214z00_2618;
													}
													{
														obj_t BgL_l1887z00_1494;
														obj_t BgL_tail1890z00_1495;

														BgL_l1887z00_1494 = BgL_varzd2argszd2_1401;
														BgL_tail1890z00_1495 = BgL_head1889z00_1492;
													BgL_zc3anonymousza32001ze3z83_1496:
														if (NULLP(BgL_l1887z00_1494))
															{	/* Inline/recursion.scm 70 */
																BgL_newzd2argszd2_1402 =
																	CDR(BgL_head1889z00_1492);
															}
														else
															{	/* Inline/recursion.scm 70 */
																obj_t BgL_newtail1891z00_1498;

																{	/* Inline/recursion.scm 70 */
																	BgL_localz00_bglt BgL_arg2004z00_1500;

																	{	/* Inline/recursion.scm 70 */
																		obj_t BgL_lz00_1501;

																		BgL_lz00_1501 = CAR(BgL_l1887z00_1494);
																		{	/* Inline/recursion.scm 71 */
																			BgL_svarz00_bglt BgL_arg2006z00_1502;

																			{	/* Inline/recursion.scm 71 */
																				BgL_svarz00_bglt
																					BgL_duplicated1103z00_1503;
																				BgL_svarz00_bglt BgL_new1102z00_1504;

																				BgL_duplicated1103z00_1503 =
																					((BgL_svarz00_bglt)
																					(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_lz00_1501))))->
																						BgL_valuez00));
																				{	/* Inline/recursion.scm 71 */
																					BgL_svarz00_bglt BgL_new1104z00_1505;

																					BgL_new1104z00_1505 =
																						((BgL_svarz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_svarz00_bgl))));
																					{	/* Inline/recursion.scm 71 */
																						long BgL_arg2007z00_1506;

																						{	/* Inline/recursion.scm 71 */
																							long BgL_res2217z00_2627;

																							BgL_res2217z00_2627 =
																								BGL_CLASS_INDEX
																								(BGl_svarz00zzast_varz00);
																							BgL_arg2007z00_1506 =
																								BgL_res2217z00_2627;
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1104z00_1505),
																							BgL_arg2007z00_1506);
																					}
																					{	/* Inline/recursion.scm 71 */
																						BgL_objectz00_bglt BgL_auxz00_3137;

																						BgL_auxz00_3137 =
																							((BgL_objectz00_bglt)
																							BgL_new1104z00_1505);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_auxz00_3137, BFALSE);
																					}
																					BgL_new1102z00_1504 =
																						BgL_new1104z00_1505;
																				}
																				((((BgL_svarz00_bglt)
																							CREF(BgL_new1102z00_1504))->
																						BgL_locz00) =
																					((obj_t) (((BgL_svarz00_bglt)
																								CREF
																								(BgL_duplicated1103z00_1503))->
																							BgL_locz00)), BUNSPEC);
																				BgL_arg2006z00_1502 =
																					BgL_new1102z00_1504;
																			}
																			BgL_arg2004z00_1500 =
																				BGl_clonezd2localzd2zzast_localz00(
																				((BgL_localz00_bglt) BgL_lz00_1501),
																				((BgL_valuez00_bglt)
																					BgL_arg2006z00_1502));
																	}}
																	{	/* Inline/recursion.scm 70 */
																		obj_t BgL_res2218z00_2632;

																		BgL_res2218z00_2632 =
																			MAKE_PAIR(
																			((obj_t) BgL_arg2004z00_1500), BNIL);
																		BgL_newtail1891z00_1498 =
																			BgL_res2218z00_2632;
																}}
																SET_CDR(BgL_tail1890z00_1495,
																	BgL_newtail1891z00_1498);
																{
																	obj_t BgL_tail1890z00_3150;
																	obj_t BgL_l1887z00_3148;

																	BgL_l1887z00_3148 = CDR(BgL_l1887z00_1494);
																	BgL_tail1890z00_3150 =
																		BgL_newtail1891z00_1498;
																	BgL_tail1890z00_1495 = BgL_tail1890z00_3150;
																	BgL_l1887z00_1494 = BgL_l1887z00_3148;
																	goto BgL_zc3anonymousza32001ze3z83_1496;
																}
															}
													}
												}
											{	/* Inline/recursion.scm 70 */
												obj_t BgL_substitutez00_1403;

												{	/* Inline/recursion.scm 73 */
													obj_t BgL_arg1999z00_1489;

													BgL_arg1999z00_1489 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_nodez00_6)))->
														BgL_argsz00);
													BgL_substitutez00_1403 =
														BGl_substitutionsz00zzinline_variantz00
														(BgL_variablez00_1395, BgL_arg1999z00_1489,
														BgL_newzd2argszd2_1402);
												}
												{	/* Inline/recursion.scm 73 */
													obj_t BgL_oldzd2bodyzd2_1404;

													{	/* Inline/recursion.scm 74 */
														bool_t BgL_testz00_3154;

														{	/* Inline/recursion.scm 74 */
															bool_t BgL_res2219z00_2639;

															BgL_res2219z00_2639 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_oldzd2sfunzd2_1397),
																BGl_isfunz00zzinline_inlinez00);
															BgL_testz00_3154 = BgL_res2219z00_2639;
														}
														if (BgL_testz00_3154)
															{
																BgL_nodez00_bglt BgL_auxz00_3157;

																{
																	BgL_isfunz00_bglt BgL_auxz00_3158;

																	{
																		obj_t BgL_auxz00_3159;

																		{	/* Inline/recursion.scm 75 */
																			BgL_objectz00_bglt BgL_auxz00_3160;

																			BgL_auxz00_3160 =
																				((BgL_objectz00_bglt)
																				((BgL_sfunz00_bglt)
																					BgL_oldzd2sfunzd2_1397));
																			BgL_auxz00_3159 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_3160);
																		}
																		BgL_auxz00_3158 =
																			((BgL_isfunz00_bglt) BgL_auxz00_3159);
																	}
																	BgL_auxz00_3157 =
																		(((BgL_isfunz00_bglt)
																			CREF(BgL_auxz00_3158))->
																		BgL_originalzd2bodyzd2);
																}
																BgL_oldzd2bodyzd2_1404 =
																	((obj_t) BgL_auxz00_3157);
															}
														else
															{	/* Inline/recursion.scm 74 */
																BgL_oldzd2bodyzd2_1404 =
																	(((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt)
																				BgL_oldzd2sfunzd2_1397)))->BgL_bodyz00);
															}
													}
													{	/* Inline/recursion.scm 74 */
														obj_t BgL_svgzd2callszd2argsz00_1405;

														if (NULLP(BgL_reczd2callszd2_1398))
															{	/* Inline/recursion.scm 77 */
																BgL_svgzd2callszd2argsz00_1405 = BNIL;
															}
														else
															{	/* Inline/recursion.scm 77 */
																obj_t BgL_head1894z00_1477;

																{	/* Inline/recursion.scm 77 */
																	obj_t BgL_res2222z00_2649;

																	BgL_res2222z00_2649 = MAKE_PAIR(BNIL, BNIL);
																	BgL_head1894z00_1477 = BgL_res2222z00_2649;
																}
																{
																	obj_t BgL_l1892z00_1479;
																	obj_t BgL_tail1895z00_1480;

																	BgL_l1892z00_1479 = BgL_reczd2callszd2_1398;
																	BgL_tail1895z00_1480 = BgL_head1894z00_1477;
																BgL_zc3anonymousza31994ze3z83_1481:
																	if (NULLP(BgL_l1892z00_1479))
																		{	/* Inline/recursion.scm 77 */
																			BgL_svgzd2callszd2argsz00_1405 =
																				CDR(BgL_head1894z00_1477);
																		}
																	else
																		{	/* Inline/recursion.scm 77 */
																			obj_t BgL_newtail1896z00_1483;

																			{	/* Inline/recursion.scm 77 */
																				obj_t BgL_arg1997z00_1485;

																				BgL_arg1997z00_1485 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								CAR(BgL_l1892z00_1479))))->
																					BgL_argsz00);
																				{	/* Inline/recursion.scm 77 */
																					obj_t BgL_res2224z00_2658;

																					BgL_res2224z00_2658 =
																						MAKE_PAIR(BgL_arg1997z00_1485,
																						BNIL);
																					BgL_newtail1896z00_1483 =
																						BgL_res2224z00_2658;
																				}
																			}
																			SET_CDR(BgL_tail1895z00_1480,
																				BgL_newtail1896z00_1483);
																			{
																				obj_t BgL_tail1895z00_3182;
																				obj_t BgL_l1892z00_3180;

																				BgL_l1892z00_3180 =
																					CDR(BgL_l1892z00_1479);
																				BgL_tail1895z00_3182 =
																					BgL_newtail1896z00_1483;
																				BgL_tail1895z00_1480 =
																					BgL_tail1895z00_3182;
																				BgL_l1892z00_1479 = BgL_l1892z00_3180;
																				goto BgL_zc3anonymousza31994ze3z83_1481;
																			}
																		}
																}
															}
														{	/* Inline/recursion.scm 77 */
															bool_t BgL_removez12z12_1406;

															{
																obj_t BgL_l1897z00_1469;

																BgL_l1897z00_1469 = BgL_reczd2callszd2_1398;
															BgL_zc3anonymousza31989ze3z83_1470:
																if (PAIRP(BgL_l1897z00_1469))
																	{	/* Inline/recursion.scm 78 */
																		{	/* Inline/recursion.scm 78 */
																			obj_t BgL_arg1991z00_1472;

																			BgL_arg1991z00_1472 =
																				CAR(BgL_l1897z00_1469);
																			BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																				(((BgL_appz00_bglt)
																					BgL_arg1991z00_1472));
																		}
																		{
																			obj_t BgL_l1897z00_3188;

																			BgL_l1897z00_3188 =
																				CDR(BgL_l1897z00_1469);
																			BgL_l1897z00_1469 = BgL_l1897z00_3188;
																			goto BgL_zc3anonymousza31989ze3z83_1470;
																		}
																	}
																else
																	{	/* Inline/recursion.scm 78 */
																		BgL_removez12z12_1406 = ((bool_t) 1);
																	}
															}
															{	/* Inline/recursion.scm 78 */
																obj_t BgL_ilocz00_1407;

																{	/* Inline/recursion.scm 79 */
																	bool_t BgL_testz00_3190;

																	{	/* Inline/recursion.scm 79 */
																		bool_t BgL_res2226z00_2667;

																		BgL_res2226z00_2667 =
																			BGl_isazf3zf3zz__objectz00(
																			((obj_t) BgL_variablez00_1395),
																			BGl_globalz00zzast_varz00);
																		BgL_testz00_3190 = BgL_res2226z00_2667;
																	}
																	if (BgL_testz00_3190)
																		{	/* Inline/recursion.scm 80 */
																			bool_t BgL_testz00_3193;

																			{	/* Inline/recursion.scm 80 */
																				bool_t BgL_testz00_3194;

																				{	/* Inline/recursion.scm 80 */
																					obj_t BgL_arg1988z00_1467;

																					BgL_arg1988z00_1467 =
																						(((BgL_globalz00_bglt) CREF(
																								((BgL_globalz00_bglt)
																									BgL_variablez00_1395)))->
																						BgL_modulez00);
																					BgL_testz00_3194 =
																						(BgL_arg1988z00_1467 ==
																						BGl_za2moduleza2z00zzmodule_modulez00);
																				}
																				if (BgL_testz00_3194)
																					{	/* Inline/recursion.scm 80 */
																						BgL_testz00_3193 = ((bool_t) 0);
																					}
																				else
																					{	/* Inline/recursion.scm 80 */
																						BgL_testz00_3193 = ((bool_t) 1);
																					}
																			}
																			if (BgL_testz00_3193)
																				{	/* Inline/recursion.scm 80 */
																					BgL_ilocz00_1407 =
																						(((BgL_nodez00_bglt)
																							CREF(BgL_nodez00_6))->BgL_locz00);
																				}
																			else
																				{	/* Inline/recursion.scm 80 */
																					BgL_ilocz00_1407 = BFALSE;
																				}
																		}
																	else
																		{	/* Inline/recursion.scm 79 */
																			BgL_ilocz00_1407 = BFALSE;
																		}
																}
																{	/* Inline/recursion.scm 79 */
																	BgL_nodez00_bglt BgL_newzd2bodyzd2_1408;

																	if (NULLP(BgL_invzd2argszd2_1400))
																		{	/* Inline/recursion.scm 84 */
																			obj_t BgL_arg1982z00_1460;
																			obj_t BgL_arg1983z00_1461;

																			BgL_arg1982z00_1460 =
																				MAKE_PAIR(
																				((obj_t) BgL_variablez00_1395),
																				BgL_oldzd2argszd2_1399);
																			BgL_arg1983z00_1461 =
																				MAKE_PAIR(((obj_t) BgL_localz00_1396),
																				BgL_substitutez00_1403);
																			BgL_newzd2bodyzd2_1408 =
																				BGl_alphatiza7eza7zzast_alphatiza7eza7
																				(BgL_arg1982z00_1460,
																				BgL_arg1983z00_1461, BgL_ilocz00_1407,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1404));
																		}
																	else
																		{	/* Inline/recursion.scm 91 */
																			obj_t BgL_arg1984z00_1462;
																			obj_t BgL_arg1986z00_1463;

																			BgL_arg1984z00_1462 =
																				MAKE_PAIR(
																				((obj_t) BgL_variablez00_1395),
																				BgL_oldzd2argszd2_1399);
																			BgL_arg1986z00_1463 =
																				MAKE_PAIR(((obj_t) BgL_localz00_1396),
																				BgL_substitutez00_1403);
																			BgL_newzd2bodyzd2_1408 =
																				BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7
																				(BgL_arg1984z00_1462,
																				BgL_arg1986z00_1463, BgL_ilocz00_1407,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1404),
																				BgL_variablez00_1395);
																		}
																	{	/* Inline/recursion.scm 82 */
																		bool_t BgL_restorez12z12_1409;

																		{
																			obj_t BgL_ll1899z00_1450;
																			obj_t BgL_ll1900z00_1451;

																			BgL_ll1899z00_1450 =
																				BgL_reczd2callszd2_1398;
																			BgL_ll1900z00_1451 =
																				BgL_svgzd2callszd2argsz00_1405;
																		BgL_zc3anonymousza31977ze3z83_1452:
																			if (NULLP(BgL_ll1899z00_1450))
																				{	/* Inline/recursion.scm 96 */
																					BgL_restorez12z12_1409 = ((bool_t) 1);
																				}
																			else
																				{	/* Inline/recursion.scm 96 */
																					{	/* Inline/recursion.scm 97 */
																						obj_t BgL_appz00_1454;
																						obj_t BgL_argsz00_1455;

																						BgL_appz00_1454 =
																							CAR(BgL_ll1899z00_1450);
																						BgL_argsz00_1455 =
																							CAR(BgL_ll1900z00_1451);
																						((((BgL_appz00_bglt) CREF(
																										((BgL_appz00_bglt)
																											BgL_appz00_1454)))->
																								BgL_argsz00) =
																							((obj_t) BgL_argsz00_1455),
																							BUNSPEC);
																					}
																					{
																						obj_t BgL_ll1900z00_3221;
																						obj_t BgL_ll1899z00_3219;

																						BgL_ll1899z00_3219 =
																							CDR(BgL_ll1899z00_1450);
																						BgL_ll1900z00_3221 =
																							CDR(BgL_ll1900z00_1451);
																						BgL_ll1900z00_1451 =
																							BgL_ll1900z00_3221;
																						BgL_ll1899z00_1450 =
																							BgL_ll1899z00_3219;
																						goto
																							BgL_zc3anonymousza31977ze3z83_1452;
																					}
																				}
																		}
																		{	/* Inline/recursion.scm 96 */
																			BgL_sfunz00_bglt BgL_newzd2sfunzd2_1410;

																			{	/* Inline/recursion.scm 100 */
																				BgL_sfunz00_bglt BgL_new1107z00_1446;

																				{	/* Inline/recursion.scm 100 */
																					BgL_sfunz00_bglt BgL_new1109z00_1447;

																					BgL_new1109z00_1447 =
																						((BgL_sfunz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_sfunz00_bgl))));
																					{	/* Inline/recursion.scm 100 */
																						long BgL_arg1976z00_1448;

																						{	/* Inline/recursion.scm 100 */
																							long BgL_res2230z00_2685;

																							BgL_res2230z00_2685 =
																								BGL_CLASS_INDEX
																								(BGl_sfunz00zzast_varz00);
																							BgL_arg1976z00_1448 =
																								BgL_res2230z00_2685;
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1109z00_1447),
																							BgL_arg1976z00_1448);
																					}
																					{	/* Inline/recursion.scm 100 */
																						BgL_objectz00_bglt BgL_auxz00_3227;

																						BgL_auxz00_3227 =
																							((BgL_objectz00_bglt)
																							BgL_new1109z00_1447);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_auxz00_3227, BFALSE);
																					}
																					BgL_new1107z00_1446 =
																						BgL_new1109z00_1447;
																				}
																				((((BgL_funz00_bglt) CREF(
																								((BgL_funz00_bglt)
																									BgL_new1107z00_1446)))->
																						BgL_arityz00) =
																					((long) (((BgL_funz00_bglt)
																								CREF(((BgL_funz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_oldzd2sfunzd2_1397))))->
																							BgL_arityz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							CREF(((BgL_funz00_bglt)
																									BgL_new1107z00_1446)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								CREF(((BgL_funz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_oldzd2sfunzd2_1397))))->
																							BgL_sidezd2effectzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							CREF(((BgL_funz00_bglt)
																									BgL_new1107z00_1446)))->
																						BgL_predicatezd2ofzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								CREF(((BgL_funz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_oldzd2sfunzd2_1397))))->
																							BgL_predicatezd2ofzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							CREF(((BgL_funz00_bglt)
																									BgL_new1107z00_1446)))->
																						BgL_stackzd2allocatorzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								CREF(((BgL_funz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_oldzd2sfunzd2_1397))))->
																							BgL_stackzd2allocatorzd2)),
																					BUNSPEC);
																				((((BgL_funz00_bglt)
																							CREF(((BgL_funz00_bglt)
																									BgL_new1107z00_1446)))->
																						BgL_topzf3zf3) =
																					((bool_t) (((BgL_funz00_bglt)
																								CREF(((BgL_funz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_oldzd2sfunzd2_1397))))->
																							BgL_topzf3zf3)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							CREF(((BgL_funz00_bglt)
																									BgL_new1107z00_1446)))->
																						BgL_thezd2closurezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								CREF(((BgL_funz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_oldzd2sfunzd2_1397))))->
																							BgL_thezd2closurezd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							CREF(((BgL_funz00_bglt)
																									BgL_new1107z00_1446)))->
																						BgL_effectz00) =
																					((obj_t) (((BgL_funz00_bglt)
																								CREF(((BgL_funz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_oldzd2sfunzd2_1397))))->
																							BgL_effectz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							CREF(((BgL_funz00_bglt)
																									BgL_new1107z00_1446)))->
																						BgL_failsafez00) =
																					((obj_t) (((BgL_funz00_bglt)
																								CREF(((BgL_funz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_oldzd2sfunzd2_1397))))->
																							BgL_failsafez00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_propertyz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								CREF(((BgL_sfunz00_bglt)
																										BgL_oldzd2sfunzd2_1397)))->
																							BgL_propertyz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_argsz00) =
																					((obj_t) BgL_newzd2argszd2_1402),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_argszd2namezd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								CREF(((BgL_sfunz00_bglt)
																										BgL_oldzd2sfunzd2_1397)))->
																							BgL_argszd2namezd2)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_bodyz00) =
																					((obj_t) ((obj_t)
																							BgL_newzd2bodyzd2_1408)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_classz00) =
																					((obj_t) CNST_TABLE_REF(((long) 0))),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_dssslzd2keywordszd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								CREF(((BgL_sfunz00_bglt)
																										BgL_oldzd2sfunzd2_1397)))->
																							BgL_dssslzd2keywordszd2)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_locz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								CREF(((BgL_sfunz00_bglt)
																										BgL_oldzd2sfunzd2_1397)))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_optionalsz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								CREF(((BgL_sfunz00_bglt)
																										BgL_oldzd2sfunzd2_1397)))->
																							BgL_optionalsz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_keysz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								CREF(((BgL_sfunz00_bglt)
																										BgL_oldzd2sfunzd2_1397)))->
																							BgL_keysz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_thezd2closurezd2globalz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								CREF(((BgL_sfunz00_bglt)
																										BgL_oldzd2sfunzd2_1397)))->
																							BgL_thezd2closurezd2globalz00)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							CREF(BgL_new1107z00_1446))->
																						BgL_strengthz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								CREF(((BgL_sfunz00_bglt)
																										BgL_oldzd2sfunzd2_1397)))->
																							BgL_strengthz00)), BUNSPEC);
																				BgL_newzd2sfunzd2_1410 =
																					BgL_new1107z00_1446;
																			}
																			{	/* Inline/recursion.scm 100 */
																				obj_t BgL_newzd2kfactorzd2_1411;

																				BgL_newzd2kfactorzd2_1411 =
																					PROCEDURE_ENTRY
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
																					BINT(BgL_kfactorz00_7), BEOA);
																				{	/* Inline/recursion.scm 104 */

																					{
																						obj_t BgL_ll1902z00_1413;
																						obj_t BgL_ll1903z00_1414;

																						BgL_ll1902z00_1413 =
																							BgL_newzd2argszd2_1402;
																						BgL_ll1903z00_1414 =
																							BgL_varzd2argszd2_1401;
																					BgL_zc3anonymousza31949ze3z83_1415:
																						if (NULLP(BgL_ll1902z00_1413))
																							{	/* Inline/recursion.scm 106 */
																								((bool_t) 1);
																							}
																						else
																							{	/* Inline/recursion.scm 106 */
																								{	/* Inline/recursion.scm 107 */
																									obj_t BgL_newz00_1417;
																									obj_t BgL_oldz00_1418;

																									BgL_newz00_1417 =
																										CAR(BgL_ll1902z00_1413);
																									BgL_oldz00_1418 =
																										CAR(BgL_ll1903z00_1414);
																									{	/* Inline/recursion.scm 107 */
																										bool_t BgL_arg1951z00_1419;

																										BgL_arg1951z00_1419 =
																											(((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_oldz00_1418))))->
																											BgL_userzf3zf3);
																										((((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_newz00_1417))))->BgL_userzf3zf3) = ((bool_t) BgL_arg1951z00_1419), BUNSPEC);
																									}
																								}
																								{
																									obj_t BgL_ll1903z00_3316;
																									obj_t BgL_ll1902z00_3314;

																									BgL_ll1902z00_3314 =
																										CDR(BgL_ll1902z00_1413);
																									BgL_ll1903z00_3316 =
																										CDR(BgL_ll1903z00_1414);
																									BgL_ll1903z00_1414 =
																										BgL_ll1903z00_3316;
																									BgL_ll1902z00_1413 =
																										BgL_ll1902z00_3314;
																									goto
																										BgL_zc3anonymousza31949ze3z83_1415;
																								}
																							}
																					}
																					{	/* Inline/recursion.scm 112 */
																						bool_t BgL_arg1954z00_1423;

																						{	/* Inline/recursion.scm 112 */
																							bool_t BgL_testz00_3318;

																							{	/* Inline/recursion.scm 112 */
																								bool_t BgL_res2233z00_2701;

																								BgL_res2233z00_2701 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t)
																										BgL_variablez00_1395),
																									BGl_globalz00zzast_varz00);
																								BgL_testz00_3318 =
																									BgL_res2233z00_2701;
																							}
																							if (BgL_testz00_3318)
																								{	/* Inline/recursion.scm 112 */
																									BgL_arg1954z00_1423 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_variablez00_1395))))->
																										BgL_userzf3zf3);
																								}
																							else
																								{	/* Inline/recursion.scm 114 */
																									bool_t BgL_testz00_3324;

																									{	/* Inline/recursion.scm 114 */
																										bool_t BgL_res2235z00_2706;

																										BgL_res2235z00_2706 =
																											BGl_isazf3zf3zz__objectz00
																											(((obj_t)
																												BgL_variablez00_1395),
																											BGl_localz00zzast_varz00);
																										BgL_testz00_3324 =
																											BgL_res2235z00_2706;
																									}
																									if (BgL_testz00_3324)
																										{	/* Inline/recursion.scm 114 */
																											BgL_arg1954z00_1423 =
																												(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_variablez00_1395))))->BgL_userzf3zf3);
																										}
																									else
																										{	/* Inline/recursion.scm 114 */
																											BgL_arg1954z00_1423 =
																												((bool_t) 0);
																										}
																								}
																						}
																						((((BgL_variablez00_bglt) CREF(
																										((BgL_variablez00_bglt)
																											BgL_localz00_1396)))->
																								BgL_userzf3zf3) =
																							((bool_t) BgL_arg1954z00_1423),
																							BUNSPEC);
																					}
																					((((BgL_variablez00_bglt) CREF(
																									((BgL_variablez00_bglt)
																										BgL_localz00_1396)))->
																							BgL_valuez00) =
																						((BgL_valuez00_bglt) (
																								(BgL_valuez00_bglt)
																								BgL_newzd2sfunzd2_1410)),
																						BUNSPEC);
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							((((BgL_sfunz00_bglt)
																										CREF(((BgL_sfunz00_bglt)
																												BgL_oldzd2sfunzd2_1397)))->
																									BgL_classz00),
																								CNST_TABLE_REF(((long) 1)))))
																						{	/* Inline/recursion.scm 127 */
																							BFALSE;
																						}
																					else
																						{	/* Inline/recursion.scm 127 */
																							if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)), BGl_za2verboseza2z00zzengine_paramz00))
																								{	/* Inline/recursion.scm 129 */
																									obj_t BgL_arg1959z00_1429;
																									obj_t BgL_arg1960z00_1430;

																									BgL_arg1959z00_1429 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t)
																											BgL_variablez00_1395));
																									BgL_arg1960z00_1430 =
																										BGl_currentzd2functionzd2zztools_errorz00
																										();
																									{	/* Inline/recursion.scm 128 */
																										obj_t BgL_list1961z00_1431;

																										{	/* Inline/recursion.scm 128 */
																											obj_t BgL_arg1964z00_1432;

																											{	/* Inline/recursion.scm 128 */
																												obj_t
																													BgL_arg1965z00_1433;
																												{	/* Inline/recursion.scm 128 */
																													obj_t
																														BgL_arg1966z00_1434;
																													{	/* Inline/recursion.scm 128 */
																														obj_t
																															BgL_arg1968z00_1435;
																														{	/* Inline/recursion.scm 128 */
																															obj_t
																																BgL_arg1969z00_1436;
																															BgL_arg1969z00_1436
																																=
																																MAKE_PAIR(BCHAR(
																																	((unsigned
																																			char)
																																		'\n')),
																																BNIL);
																															BgL_arg1968z00_1435
																																=
																																MAKE_PAIR
																																(BGl_string2288z00zzinline_recursionz00,
																																BgL_arg1969z00_1436);
																														}
																														BgL_arg1966z00_1434
																															=
																															MAKE_PAIR
																															(BgL_arg1960z00_1430,
																															BgL_arg1968z00_1435);
																													}
																													BgL_arg1965z00_1433 =
																														MAKE_PAIR
																														(BGl_string2289z00zzinline_recursionz00,
																														BgL_arg1966z00_1434);
																												}
																												BgL_arg1964z00_1432 =
																													MAKE_PAIR
																													(BgL_arg1959z00_1429,
																													BgL_arg1965z00_1433);
																											}
																											BgL_list1961z00_1431 =
																												MAKE_PAIR
																												(BGl_string2290z00zzinline_recursionz00,
																												BgL_arg1964z00_1432);
																										}
																										BGl_verbosez00zztools_speekz00
																											(BINT(((long) 3)),
																											BgL_list1961z00_1431);
																								}}
																							else
																								{	/* Inline/recursion.scm 128 */
																									BUNSPEC;
																								}
																						}
																					BGl_inlinezd2sfunz12zc0zzinline_inlinez00
																						(((BgL_variablez00_bglt)
																							BgL_localz00_1396),
																						(long)
																						CINT(BgL_newzd2kfactorzd2_1411),
																						BgL_stackz00_8);
																					{	/* Inline/recursion.scm 138 */
																						BgL_appz00_bglt
																							BgL_newzd2callzd2_1438;
																						long BgL_callzd2siza7ez75_1439;

																						BgL_newzd2callzd2_1438 =
																							BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																							(((BgL_appz00_bglt)
																								BgL_nodez00_6));
																						BgL_callzd2siza7ez75_1439 =
																							(((long) 1) +
																							bgl_list_length(((
																										(BgL_appz00_bglt)
																										CREF(((BgL_appz00_bglt)
																												BgL_nodez00_6)))->
																									BgL_argsz00)));
																						{	/* Inline/recursion.scm 140 */
																							bool_t BgL_testz00_3365;

																							if (CBOOL
																								(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
																								{	/* Inline/recursion.scm 140 */
																									if (BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_1395))
																										{	/* Inline/recursion.scm 141 */
																											if (BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_1395))
																												{	/* Inline/recursion.scm 144 */
																													BgL_testz00_3365 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Inline/recursion.scm 144 */
																													BgL_testz00_3365 =
																														BGl_inlinezd2appzf3z21zzinline_appz00
																														(((BgL_variablez00_bglt) BgL_localz00_1396), (long) CINT(BgL_newzd2kfactorzd2_1411), BgL_callzd2siza7ez75_1439, BgL_stackz00_8);
																										}}
																									else
																										{	/* Inline/recursion.scm 141 */
																											BgL_testz00_3365 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Inline/recursion.scm 140 */
																									BgL_testz00_3365 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_3365)
																								{	/* Inline/recursion.scm 140 */
																									return
																										BGl_unrollzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1395,
																										BgL_nodez00_6,
																										BgL_localz00_1396,
																										BgL_newzd2kfactorzd2_1411,
																										BgL_newzd2callzd2_1438,
																										BgL_stackz00_8);
																								}
																							else
																								{	/* Inline/recursion.scm 140 */
																									return
																										((obj_t)
																										BGl_plainzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1395,
																											BgL_nodez00_6,
																											BgL_localz00_1396,
																											BgL_newzd2callzd2_1438,
																											BgL_stackz00_8));
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* plain-call */
	BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_9, BgL_nodez00_bglt BgL_nodez00_10,
		BgL_localz00_bglt BgL_localz00_11, BgL_appz00_bglt BgL_newzd2callzd2_12,
		obj_t BgL_stackz00_13)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 152 */
			BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_9);
			{	/* Inline/recursion.scm 162 */
				obj_t BgL_ilocz00_1512;

				{	/* Inline/recursion.scm 162 */
					bool_t BgL_testz00_3379;

					{	/* Inline/recursion.scm 162 */
						bool_t BgL_res2238z00_2724;

						BgL_res2238z00_2724 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_variablez00_9), BGl_globalz00zzast_varz00);
						BgL_testz00_3379 = BgL_res2238z00_2724;
					}
					if (BgL_testz00_3379)
						{	/* Inline/recursion.scm 163 */
							bool_t BgL_testz00_3382;

							{	/* Inline/recursion.scm 163 */
								bool_t BgL_testz00_3383;

								{	/* Inline/recursion.scm 163 */
									obj_t BgL_arg2021z00_1524;

									BgL_arg2021z00_1524 =
										(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_variablez00_9)))->
										BgL_modulez00);
									BgL_testz00_3383 =
										(BgL_arg2021z00_1524 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
								if (BgL_testz00_3383)
									{	/* Inline/recursion.scm 163 */
										BgL_testz00_3382 = ((bool_t) 0);
									}
								else
									{	/* Inline/recursion.scm 163 */
										BgL_testz00_3382 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_3382)
								{	/* Inline/recursion.scm 163 */
									BgL_ilocz00_1512 =
										(((BgL_nodez00_bglt) CREF(BgL_nodez00_10))->BgL_locz00);
								}
							else
								{	/* Inline/recursion.scm 163 */
									BgL_ilocz00_1512 = BFALSE;
								}
						}
					else
						{	/* Inline/recursion.scm 162 */
							BgL_ilocz00_1512 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 165 */
					BgL_letzd2funzd2_bglt BgL_new1115z00_1513;

					{	/* Inline/recursion.scm 166 */
						BgL_letzd2funzd2_bglt BgL_new1114z00_1519;

						BgL_new1114z00_1519 =
							((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2funzd2_bgl))));
						{	/* Inline/recursion.scm 166 */
							long BgL_arg2019z00_1520;

							{	/* Inline/recursion.scm 166 */
								long BgL_res2240z00_2731;

								BgL_res2240z00_2731 =
									BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
								BgL_arg2019z00_1520 = BgL_res2240z00_2731;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1114z00_1519),
								BgL_arg2019z00_1520);
						}
						{	/* Inline/recursion.scm 166 */
							BgL_objectz00_bglt BgL_auxz00_3392;

							BgL_auxz00_3392 = ((BgL_objectz00_bglt) BgL_new1114z00_1519);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3392, BFALSE);
						}
						BgL_new1115z00_1513 = BgL_new1114z00_1519;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1115z00_1513)))->BgL_locz00) =
						((obj_t) (((BgL_nodez00_bglt) CREF(BgL_nodez00_10))->BgL_locz00)),
						BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1115z00_1513)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_nodez00_bglt) CREF(BgL_nodez00_10))->
								BgL_typez00)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1115z00_1513)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1115z00_1513)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_3406;

						{	/* Inline/recursion.scm 168 */
							obj_t BgL_list2012z00_1514;

							BgL_list2012z00_1514 = MAKE_PAIR(((obj_t) BgL_localz00_11), BNIL);
							BgL_auxz00_3406 = BgL_list2012z00_1514;
						}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_new1115z00_1513))->
								BgL_localsz00) = ((obj_t) BgL_auxz00_3406), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3410;

						{	/* Inline/recursion.scm 169 */
							obj_t BgL_arg2014z00_1515;
							obj_t BgL_arg2015z00_1516;

							{	/* Inline/recursion.scm 169 */
								obj_t BgL_list2016z00_1517;

								BgL_list2016z00_1517 =
									MAKE_PAIR(((obj_t) BgL_variablez00_9), BNIL);
								BgL_arg2014z00_1515 = BgL_list2016z00_1517;
							}
							{	/* Inline/recursion.scm 169 */
								obj_t BgL_list2017z00_1518;

								BgL_list2017z00_1518 =
									MAKE_PAIR(((obj_t) BgL_localz00_11), BNIL);
								BgL_arg2015z00_1516 = BgL_list2017z00_1518;
							}
							BgL_auxz00_3410 =
								BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg2014z00_1515,
								BgL_arg2015z00_1516, BgL_ilocz00_1512,
								((BgL_nodez00_bglt) BgL_newzd2callzd2_12));
						}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_new1115z00_1513))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3410), BUNSPEC);
					}
					return BgL_new1115z00_1513;
				}
			}
		}
	}



/* unroll-call */
	obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_14, BgL_nodez00_bglt BgL_nodez00_15,
		BgL_localz00_bglt BgL_localz00_16, obj_t BgL_kfactorz00_17,
		BgL_appz00_bglt BgL_callz00_18, obj_t BgL_stackz00_19)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 174 */
			{	/* Inline/recursion.scm 180 */
				obj_t BgL_ilocz00_1525;

				{	/* Inline/recursion.scm 180 */
					bool_t BgL_testz00_3418;

					{	/* Inline/recursion.scm 180 */
						bool_t BgL_res2245z00_2746;

						BgL_res2245z00_2746 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_variablez00_14), BGl_globalz00zzast_varz00);
						BgL_testz00_3418 = BgL_res2245z00_2746;
					}
					if (BgL_testz00_3418)
						{	/* Inline/recursion.scm 181 */
							bool_t BgL_testz00_3421;

							{	/* Inline/recursion.scm 181 */
								bool_t BgL_testz00_3422;

								{	/* Inline/recursion.scm 181 */
									obj_t BgL_arg2034z00_1549;

									BgL_arg2034z00_1549 =
										(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_variablez00_14)))->
										BgL_modulez00);
									BgL_testz00_3422 =
										(BgL_arg2034z00_1549 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
								if (BgL_testz00_3422)
									{	/* Inline/recursion.scm 181 */
										BgL_testz00_3421 = ((bool_t) 0);
									}
								else
									{	/* Inline/recursion.scm 181 */
										BgL_testz00_3421 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_3421)
								{	/* Inline/recursion.scm 181 */
									BgL_ilocz00_1525 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_callz00_18)))->BgL_locz00);
								}
							else
								{	/* Inline/recursion.scm 181 */
									BgL_ilocz00_1525 = BFALSE;
								}
						}
					else
						{	/* Inline/recursion.scm 180 */
							BgL_ilocz00_1525 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 180 */
					BgL_nodez00_bglt BgL_newzd2callzd2_1526;

					{	/* Inline/recursion.scm 183 */
						obj_t BgL_arg2029z00_1542;
						obj_t BgL_arg2030z00_1543;

						{	/* Inline/recursion.scm 183 */
							obj_t BgL_list2031z00_1544;

							BgL_list2031z00_1544 =
								MAKE_PAIR(((obj_t) BgL_variablez00_14), BNIL);
							BgL_arg2029z00_1542 = BgL_list2031z00_1544;
						}
						{	/* Inline/recursion.scm 183 */
							obj_t BgL_list2032z00_1545;

							BgL_list2032z00_1545 = MAKE_PAIR(((obj_t) BgL_localz00_16), BNIL);
							BgL_arg2030z00_1543 = BgL_list2032z00_1545;
						}
						BgL_newzd2callzd2_1526 =
							BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg2029z00_1542,
							BgL_arg2030z00_1543, BgL_ilocz00_1525,
							((BgL_nodez00_bglt) BgL_callz00_18));
					}
					{	/* Inline/recursion.scm 184 */
						BgL_nodez00_bglt BgL_newzd2bodyzd2_1528;

						{	/* Inline/recursion.scm 187 */
							obj_t BgL_arg2027z00_1540;

							BgL_arg2027z00_1540 =
								MAKE_PAIR(((obj_t) BgL_localz00_16), BgL_stackz00_19);
							BgL_newzd2bodyzd2_1528 =
								BGl_inlinezd2appzd2simplez00zzinline_simplez00
								(BgL_newzd2callzd2_1526, (long) CINT(BgL_kfactorz00_17),
								BgL_arg2027z00_1540, BGl_string2291z00zzinline_recursionz00);
						}
						{	/* Inline/recursion.scm 185 */

							BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_14);
							{	/* Inline/recursion.scm 196 */
								obj_t BgL__z00_1529;

								{	/* Inline/recursion.scm 200 */
									BgL_nodez00_bglt BgL_arg2022z00_1531;

									{	/* Inline/recursion.scm 200 */
										obj_t BgL_zc3anonymousza32024ze3z83_2953;

										BgL_zc3anonymousza32024ze3z83_2953 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32024ze3ze1zzinline_recursionz00,
											(int) (((long) 1)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza32024ze3z83_2953,
											(int) (((long) 0)), ((obj_t) BgL_localz00_16));
										BgL_arg2022z00_1531 =
											BGl_nestzd2loopz12zc0zzinline_loopz00
											(BgL_newzd2bodyzd2_1528, BgL_localz00_16,
											BgL_zc3anonymousza32024ze3z83_2953);
									}
									BgL__z00_1529 =
										BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg2022z00_1531,
										BNIL);
								}
								{	/* Inline/recursion.scm 197 */
									obj_t BgL_nodez00_1530;

									{	/* Inline/recursion.scm 197 */
										int BgL_auxz00_3447;

										BgL_auxz00_3447 = (int) (((long) 1));
										BgL_nodez00_1530 = BGL_MVALUES_VAL(BgL_auxz00_3447);
									}
									return BgL_nodez00_1530;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2024> */
	BgL_letzd2funzd2_bglt
		BGl_z62zc3anonymousza32024ze3ze1zzinline_recursionz00(obj_t BgL_envz00_2954,
		obj_t BgL_nodez00_2956)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 199 */
			{	/* Inline/recursion.scm 200 */
				BgL_localz00_bglt BgL_localz00_2955;

				BgL_localz00_2955 =
					((BgL_localz00_bglt)
					PROCEDURE_REF(BgL_envz00_2954, (int) (((long) 0))));
				{
					obj_t BgL_nodez00_1533;

					BgL_nodez00_1533 = BgL_nodez00_2956;
					{	/* Inline/recursion.scm 200 */
						BgL_letzd2funzd2_bglt BgL_new1119z00_1535;

						{	/* Inline/recursion.scm 201 */
							BgL_letzd2funzd2_bglt BgL_new1118z00_1537;

							BgL_new1118z00_1537 =
								((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_letzd2funzd2_bgl))));
							{	/* Inline/recursion.scm 201 */
								long BgL_arg2026z00_1538;

								{	/* Inline/recursion.scm 201 */
									long BgL_res2250z00_2762;

									BgL_res2250z00_2762 =
										BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
									BgL_arg2026z00_1538 = BgL_res2250z00_2762;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1118z00_1537),
									BgL_arg2026z00_1538);
							}
							{	/* Inline/recursion.scm 201 */
								BgL_objectz00_bglt BgL_auxz00_3457;

								BgL_auxz00_3457 = ((BgL_objectz00_bglt) BgL_new1118z00_1537);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3457, BFALSE);
							}
							BgL_new1119z00_1535 = BgL_new1118z00_1537;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1119z00_1535)))->BgL_locz00) =
							((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1533)))->BgL_locz00)), BUNSPEC);
						((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
											BgL_new1119z00_1535)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1533)))->BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1119z00_1535)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1119z00_1535)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3473;

							{	/* Inline/recursion.scm 204 */
								obj_t BgL_list2025z00_1536;

								BgL_list2025z00_1536 =
									MAKE_PAIR(((obj_t) BgL_localz00_2955), BNIL);
								BgL_auxz00_3473 = BgL_list2025z00_1536;
							}
							((((BgL_letzd2funzd2_bglt) CREF(BgL_new1119z00_1535))->
									BgL_localsz00) = ((obj_t) BgL_auxz00_3473), BUNSPEC);
						}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_new1119z00_1535))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nodez00_1533)),
							BUNSPEC);
						return BgL_new1119z00_1535;
					}
				}
			}
		}
	}



/* is-recursive? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_20)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 211 */
			{	/* Inline/recursion.scm 213 */
				BgL_valuez00_bglt BgL_sfunz00_1550;

				BgL_sfunz00_1550 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_20))->BgL_valuez00);
				{	/* Inline/recursion.scm 214 */
					bool_t BgL_testz00_3480;

					{	/* Inline/recursion.scm 214 */
						bool_t BgL_res2254z00_2777;

						BgL_res2254z00_2777 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_sfunz00_1550), BGl_isfunz00zzinline_inlinez00);
						BgL_testz00_3480 = BgL_res2254z00_2777;
					}
					if (BgL_testz00_3480)
						{	/* Inline/recursion.scm 221 */
							bool_t BgL_testz00_3483;

							{	/* Inline/recursion.scm 221 */
								obj_t BgL_auxz00_3484;

								{
									BgL_isfunz00_bglt BgL_auxz00_3485;

									{
										obj_t BgL_auxz00_3486;

										{	/* Inline/recursion.scm 221 */
											BgL_objectz00_bglt BgL_auxz00_3487;

											BgL_auxz00_3487 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1550));
											BgL_auxz00_3486 = BGL_OBJECT_WIDENING(BgL_auxz00_3487);
										}
										BgL_auxz00_3485 = ((BgL_isfunz00_bglt) BgL_auxz00_3486);
									}
									BgL_auxz00_3484 =
										(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3485))->
										BgL_recursivezd2callszd2);
								}
								BgL_testz00_3483 = PAIRP(BgL_auxz00_3484);
							}
							if (BgL_testz00_3483)
								{	/* Inline/recursion.scm 221 */
									return ((bool_t) 1);
								}
							else
								{	/* Inline/recursion.scm 223 */
									bool_t BgL_testz00_3494;

									{	/* Inline/recursion.scm 223 */
										obj_t BgL_auxz00_3495;

										{
											BgL_isfunz00_bglt BgL_auxz00_3496;

											{
												obj_t BgL_auxz00_3497;

												{	/* Inline/recursion.scm 223 */
													BgL_objectz00_bglt BgL_auxz00_3498;

													BgL_auxz00_3498 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1550));
													BgL_auxz00_3497 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3498);
												}
												BgL_auxz00_3496 = ((BgL_isfunz00_bglt) BgL_auxz00_3497);
											}
											BgL_auxz00_3495 =
												(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3496))->
												BgL_recursivezd2callszd2);
										}
										BgL_testz00_3494 = NULLP(BgL_auxz00_3495);
									}
									if (BgL_testz00_3494)
										{	/* Inline/recursion.scm 223 */
											return ((bool_t) 0);
										}
									else
										{	/* Inline/recursion.scm 226 */
											obj_t BgL_callsz00_1554;

											{	/* Inline/recursion.scm 226 */
												BgL_nodez00_bglt BgL_arg2038z00_1555;

												{
													BgL_isfunz00_bglt BgL_auxz00_3505;

													{
														obj_t BgL_auxz00_3506;

														{	/* Inline/recursion.scm 226 */
															BgL_objectz00_bglt BgL_auxz00_3507;

															BgL_auxz00_3507 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt) BgL_sfunz00_1550));
															BgL_auxz00_3506 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3507);
														}
														BgL_auxz00_3505 =
															((BgL_isfunz00_bglt) BgL_auxz00_3506);
													}
													BgL_arg2038z00_1555 =
														(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3505))->
														BgL_originalzd2bodyzd2);
												}
												BgL_callsz00_1554 =
													BGl_findzd2recursivezd2callsz00zzinline_recursionz00
													(BgL_arg2038z00_1555, BgL_varz00_20);
											}
											{
												BgL_isfunz00_bglt BgL_auxz00_3514;

												{
													obj_t BgL_auxz00_3515;

													{	/* Inline/recursion.scm 228 */
														BgL_objectz00_bglt BgL_auxz00_3516;

														BgL_auxz00_3516 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_sfunz00_1550));
														BgL_auxz00_3515 =
															BGL_OBJECT_WIDENING(BgL_auxz00_3516);
													}
													BgL_auxz00_3514 =
														((BgL_isfunz00_bglt) BgL_auxz00_3515);
												}
												((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3514))->
														BgL_recursivezd2callszd2) =
													((obj_t) BgL_callsz00_1554), BUNSPEC);
											}
											return PAIRP(BgL_callsz00_1554);
										}
								}
						}
					else
						{	/* Inline/recursion.scm 215 */
							obj_t BgL_callsz00_1558;

							{	/* Inline/recursion.scm 215 */
								obj_t BgL_arg2043z00_1564;

								BgL_arg2043z00_1564 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt) BgL_sfunz00_1550)))->BgL_bodyz00);
								BgL_callsz00_1558 =
									BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
									((BgL_nodez00_bglt) BgL_arg2043z00_1564), BgL_varz00_20);
							}
							{	/* Inline/recursion.scm 216 */
								BgL_isfunz00_bglt BgL_wide1122z00_1561;

								BgL_wide1122z00_1561 =
									((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_isfunz00_bgl))));
								{	/* Inline/recursion.scm 216 */
									obj_t BgL_auxz00_3532;
									BgL_objectz00_bglt BgL_auxz00_3528;

									BgL_auxz00_3532 = ((obj_t) BgL_wide1122z00_1561);
									BgL_auxz00_3528 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1550)));
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3528, BgL_auxz00_3532);
								}
								{	/* Inline/recursion.scm 216 */
									long BgL_arg2042z00_1562;

									{	/* Inline/recursion.scm 216 */
										long BgL_res2259z00_2797;

										BgL_res2259z00_2797 =
											BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
										BgL_arg2042z00_1562 = BgL_res2259z00_2797;
									}
									((BgL_sfunz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_sfunz00_1550))),
											BgL_arg2042z00_1562));
								}
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1550));
							}
							{
								BgL_isfunz00_bglt BgL_auxz00_3543;

								{
									obj_t BgL_auxz00_3544;

									{	/* Inline/recursion.scm 217 */
										BgL_objectz00_bglt BgL_auxz00_3545;

										BgL_auxz00_3545 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1550)));
										BgL_auxz00_3544 = BGL_OBJECT_WIDENING(BgL_auxz00_3545);
									}
									BgL_auxz00_3543 = ((BgL_isfunz00_bglt) BgL_auxz00_3544);
								}
								((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3543))->
										BgL_originalzd2bodyzd2) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) BgL_sfunz00_1550)))->
												BgL_bodyz00))), BUNSPEC);
							}
							{
								BgL_isfunz00_bglt BgL_auxz00_3555;

								{
									obj_t BgL_auxz00_3556;

									{	/* Inline/recursion.scm 218 */
										BgL_objectz00_bglt BgL_auxz00_3557;

										BgL_auxz00_3557 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1550)));
										BgL_auxz00_3556 = BGL_OBJECT_WIDENING(BgL_auxz00_3557);
									}
									BgL_auxz00_3555 = ((BgL_isfunz00_bglt) BgL_auxz00_3556);
								}
								((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3555))->
										BgL_recursivezd2callszd2) =
									((obj_t) BgL_callsz00_1558), BUNSPEC);
							}
							((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1550));
							return PAIRP(BgL_callsz00_1558);
						}
				}
			}
		}
	}



/* &is-recursive? */
	obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t BgL_envz00_2957,
		obj_t BgL_varz00_2958)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 211 */
			return
				BBOOL(BGl_iszd2recursivezf3z21zzinline_recursionz00(
					((BgL_variablez00_bglt) BgL_varz00_2958)));
		}
	}



/* find-recursive-calls* */
	obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t
		BgL_nodeza2za2_59, obj_t BgL_varz00_60)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 388 */
			{
				obj_t BgL_nodeza2za2_1567;
				obj_t BgL_callsz00_1568;

				BgL_nodeza2za2_1567 = BgL_nodeza2za2_59;
				BgL_callsz00_1568 = BNIL;
			BgL_zc3anonymousza32044ze3z83_1569:
				if (NULLP(BgL_nodeza2za2_1567))
					{	/* Inline/recursion.scm 391 */
						return BgL_callsz00_1568;
					}
				else
					{	/* Inline/recursion.scm 393 */
						obj_t BgL_arg2046z00_1571;
						obj_t BgL_arg2047z00_1572;

						BgL_arg2046z00_1571 = CDR(BgL_nodeza2za2_1567);
						{	/* Inline/recursion.scm 394 */
							obj_t BgL_arg2048z00_1573;

							{	/* Inline/recursion.scm 394 */
								obj_t BgL_arg2049z00_1574;

								BgL_arg2049z00_1574 = CAR(BgL_nodeza2za2_1567);
								BgL_arg2048z00_1573 =
									BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
									((BgL_nodez00_bglt) BgL_arg2049z00_1574),
									((BgL_variablez00_bglt) BgL_varz00_60));
							}
							BgL_arg2047z00_1572 =
								BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg2048z00_1573,
								BgL_callsz00_1568);
						}
						{
							obj_t BgL_callsz00_3579;
							obj_t BgL_nodeza2za2_3578;

							BgL_nodeza2za2_3578 = BgL_arg2046z00_1571;
							BgL_callsz00_3579 = BgL_arg2047z00_1572;
							BgL_callsz00_1568 = BgL_callsz00_3579;
							BgL_nodeza2za2_1567 = BgL_nodeza2za2_3578;
							goto BgL_zc3anonymousza32044ze3z83_1569;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_proc2292z00zzinline_recursionz00, BGl_nodez00zzast_nodez00,
				BGl_string2293z00zzinline_recursionz00);
		}
	}



/* &find-recursive-calls1905 */
	obj_t BGl_z62findzd2recursivezd2calls1905z62zzinline_recursionz00(obj_t
		BgL_envz00_2960, obj_t BgL_nodez00_2961, obj_t BgL_varz00_2962)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 234 */
			return BNIL;
		}
	}



/* find-recursive-calls */
	obj_t BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_21, BgL_variablez00_bglt BgL_varz00_22)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 234 */
			{	/* Inline/recursion.scm 234 */
				obj_t BgL_method1906z00_1581;

				{	/* Inline/recursion.scm 234 */
					obj_t BgL_res2268z00_2836;

					{	/* Inline/recursion.scm 234 */
						long BgL_objzd2classzd2numz00_2809;

						{	/* Inline/recursion.scm 234 */
							long BgL_res2262z00_2812;

							BgL_res2262z00_2812 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_21));
							BgL_objzd2classzd2numz00_2809 = BgL_res2262z00_2812;
						}
						{	/* Inline/recursion.scm 234 */
							obj_t BgL_arg1769z00_2810;

							BgL_arg1769z00_2810 =
								PROCEDURE_REF
								(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
								(int) (((long) 1)));
							{	/* Inline/recursion.scm 234 */
								int BgL_offsetz00_2814;

								BgL_offsetz00_2814 = (int) (BgL_objzd2classzd2numz00_2809);
								{	/* Inline/recursion.scm 234 */
									long BgL_offsetz00_2815;

									BgL_offsetz00_2815 =
										((long) (BgL_offsetz00_2814) - OBJECT_TYPE);
									{	/* Inline/recursion.scm 234 */
										long BgL_modz00_2816;

										{	/* Inline/recursion.scm 234 */
											int BgL_arg1771z00_2817;

											BgL_arg1771z00_2817 = (int) (((long) 16));
											{	/* Inline/recursion.scm 234 */
												long BgL_res2265z00_2827;

												{	/* Inline/recursion.scm 234 */
													long BgL_auxz00_3589;

													BgL_auxz00_3589 = (long) (BgL_arg1771z00_2817);
													BgL_res2265z00_2827 =
														(BgL_offsetz00_2815 / BgL_auxz00_3589);
												}
												BgL_modz00_2816 = BgL_res2265z00_2827;
										}}
										{	/* Inline/recursion.scm 234 */
											long BgL_restz00_2818;

											{	/* Inline/recursion.scm 234 */
												int BgL_arg1770z00_2819;

												BgL_arg1770z00_2819 = (int) (((long) 16));
												{	/* Inline/recursion.scm 234 */
													long BgL_res2267z00_2831;

													{	/* Inline/recursion.scm 234 */
														long BgL_auxz00_3593;

														BgL_auxz00_3593 = (long) (BgL_arg1770z00_2819);
														BgL_res2267z00_2831 =
															(BgL_offsetz00_2815 % BgL_auxz00_3593);
													}
													BgL_restz00_2818 = BgL_res2267z00_2831;
											}}
											{	/* Inline/recursion.scm 234 */

												BgL_res2268z00_2836 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2810,
														(int) (BgL_modz00_2816)), (int) (BgL_restz00_2818));
					}}}}}}}
					BgL_method1906z00_1581 = BgL_res2268z00_2836;
				}
				return
					PROCEDURE_ENTRY(BgL_method1906z00_1581) (BgL_method1906z00_1581,
					((obj_t) BgL_nodez00_21), ((obj_t) BgL_varz00_22), BEOA);
			}
		}
	}



/* &find-recursive-calls */
	obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t
		BgL_envz00_2963, obj_t BgL_nodez00_2964, obj_t BgL_varz00_2965)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 234 */
			return
				BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2964),
				((BgL_variablez00_bglt) BgL_varz00_2965));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2294z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_syncz00zzast_nodez00, BGl_proc2296z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appz00zzast_nodez00, BGl_proc2297z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2298z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2299z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_externz00zzast_nodez00, BGl_proc2300z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_castz00zzast_nodez00, BGl_proc2301z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setqz00zzast_nodez00, BGl_proc2302z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2303z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_failz00zzast_nodez00, BGl_proc2304z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_selectz00zzast_nodez00, BGl_proc2305z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2306z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2307z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2308z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2309z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2310z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2311z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2312z00zzinline_recursionz00,
				BGl_string2295z00zzinline_recursionz00);
		}
	}



/* &find-recursive-calls1943 */
	obj_t BGl_z62findzd2recursivezd2calls1943z62zzinline_recursionz00(obj_t
		BgL_envz00_2984, obj_t BgL_nodez00_2985, obj_t BgL_vz00_2986)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 381 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1769;
				obj_t BgL_vz00_1770;

				BgL_nodez00_1769 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2985);
				BgL_vz00_1770 = BgL_vz00_2986;
				{	/* Inline/recursion.scm 383 */
					obj_t BgL_arg2134z00_1774;
					obj_t BgL_arg2136z00_1775;

					{	/* Inline/recursion.scm 383 */
						BgL_varz00_bglt BgL_arg2137z00_1776;

						BgL_arg2137z00_1776 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1769))->BgL_varz00);
						BgL_arg2134z00_1774 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
							((BgL_nodez00_bglt) BgL_arg2137z00_1776),
							((BgL_variablez00_bglt) BgL_vz00_1770));
					}
					{	/* Inline/recursion.scm 383 */
						BgL_nodez00_bglt BgL_arg2138z00_1777;

						BgL_arg2138z00_1777 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1769))->
							BgL_valuez00);
						BgL_arg2136z00_1775 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2138z00_1777, ((BgL_variablez00_bglt) BgL_vz00_1770));
					}
					return
						BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg2134z00_1774,
						BgL_arg2136z00_1775);
				}
			}
		}
	}



/* &find-recursive-calls1941 */
	obj_t BGl_z62findzd2recursivezd2calls1941z62zzinline_recursionz00(obj_t
		BgL_envz00_2987, obj_t BgL_nodez00_2988, obj_t BgL_varz00_2989)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 375 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1763;
				obj_t BgL_varz00_1764;

				BgL_nodez00_1763 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2988);
				BgL_varz00_1764 = BgL_varz00_2989;
				{	/* Inline/recursion.scm 376 */
					BgL_varz00_bglt BgL_arg2132z00_2908;

					BgL_arg2132z00_2908 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1763))->BgL_varz00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
						((BgL_nodez00_bglt) BgL_arg2132z00_2908),
						((BgL_variablez00_bglt) BgL_varz00_1764));
				}
			}
		}
	}



/* &find-recursive-calls1939 */
	obj_t BGl_z62findzd2recursivezd2calls1939z62zzinline_recursionz00(obj_t
		BgL_envz00_2990, obj_t BgL_nodez00_2991, obj_t BgL_varz00_2992)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 369 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1757;
				obj_t BgL_varz00_1758;

				BgL_nodez00_1757 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2991);
				BgL_varz00_1758 = BgL_varz00_2992;
				{	/* Inline/recursion.scm 370 */
					BgL_nodez00_bglt BgL_arg2131z00_2904;

					BgL_arg2131z00_2904 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1757))->BgL_valuez00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg2131z00_2904, ((BgL_variablez00_bglt) BgL_varz00_1758));
				}
			}
		}
	}



/* &find-recursive-calls1937 */
	obj_t BGl_z62findzd2recursivezd2calls1937z62zzinline_recursionz00(obj_t
		BgL_envz00_2993, obj_t BgL_nodez00_2994, obj_t BgL_vz00_2995)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 362 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1747;
				obj_t BgL_vz00_1748;

				BgL_nodez00_1747 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2994);
				BgL_vz00_1748 = BgL_vz00_2995;
				{	/* Inline/recursion.scm 364 */
					obj_t BgL_arg2127z00_1752;
					obj_t BgL_arg2128z00_1753;

					{	/* Inline/recursion.scm 364 */
						BgL_nodez00_bglt BgL_arg2129z00_1754;

						BgL_arg2129z00_1754 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1747))->
							BgL_exitz00);
						BgL_arg2127z00_1752 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2129z00_1754, ((BgL_variablez00_bglt) BgL_vz00_1748));
					}
					{	/* Inline/recursion.scm 364 */
						BgL_nodez00_bglt BgL_arg2130z00_1755;

						BgL_arg2130z00_1755 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1747))->
							BgL_valuez00);
						BgL_arg2128z00_1753 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2130z00_1755, ((BgL_variablez00_bglt) BgL_vz00_1748));
					}
					return
						BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg2127z00_1752,
						BgL_arg2128z00_1753);
				}
			}
		}
	}



/* &find-recursive-calls1935 */
	obj_t BGl_z62findzd2recursivezd2calls1935z62zzinline_recursionz00(obj_t
		BgL_envz00_2996, obj_t BgL_nodez00_2997, obj_t BgL_varz00_2998)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 356 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1741;
				obj_t BgL_varz00_1742;

				BgL_nodez00_1741 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2997);
				BgL_varz00_1742 = BgL_varz00_2998;
				{	/* Inline/recursion.scm 357 */
					BgL_nodez00_bglt BgL_arg2126z00_2900;

					BgL_arg2126z00_2900 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1741))->BgL_bodyz00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg2126z00_2900, ((BgL_variablez00_bglt) BgL_varz00_1742));
				}
			}
		}
	}



/* &find-recursive-calls1933 */
	obj_t BGl_z62findzd2recursivezd2calls1933z62zzinline_recursionz00(obj_t
		BgL_envz00_2999, obj_t BgL_nodez00_3000, obj_t BgL_varz00_3001)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 344 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1722;
				obj_t BgL_varz00_1723;

				BgL_nodez00_1722 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3000);
				BgL_varz00_1723 = BgL_varz00_3001;
				{	/* Inline/recursion.scm 345 */
					obj_t BgL_g1136z00_1726;
					obj_t BgL_g1137z00_1727;

					BgL_g1136z00_1726 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1722))->BgL_bindingsz00);
					{	/* Inline/recursion.scm 346 */
						BgL_nodez00_bglt BgL_arg2124z00_1739;

						BgL_arg2124z00_1739 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1722))->BgL_bodyz00);
						BgL_g1137z00_1727 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2124z00_1739, ((BgL_variablez00_bglt) BgL_varz00_1723));
					}
					{
						obj_t BgL_bindingsz00_1729;
						obj_t BgL_callsz00_1730;

						BgL_bindingsz00_1729 = BgL_g1136z00_1726;
						BgL_callsz00_1730 = BgL_g1137z00_1727;
					BgL_zc3anonymousza32116ze3z83_1731:
						if (NULLP(BgL_bindingsz00_1729))
							{	/* Inline/recursion.scm 347 */
								return BgL_callsz00_1730;
							}
						else
							{	/* Inline/recursion.scm 349 */
								obj_t BgL_arg2118z00_1733;
								obj_t BgL_arg2119z00_1734;

								BgL_arg2118z00_1733 = CDR(BgL_bindingsz00_1729);
								{	/* Inline/recursion.scm 351 */
									obj_t BgL_arg2120z00_1735;

									{	/* Inline/recursion.scm 351 */
										obj_t BgL_arg2122z00_1736;

										BgL_arg2122z00_1736 = CDR(CAR(BgL_bindingsz00_1729));
										BgL_arg2120z00_1735 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
											((BgL_nodez00_bglt) BgL_arg2122z00_1736),
											((BgL_variablez00_bglt) BgL_varz00_1723));
									}
									BgL_arg2119z00_1734 =
										BGl_appendzd221011zd2zzinline_recursionz00
										(BgL_callsz00_1730, BgL_arg2120z00_1735);
								}
								{
									obj_t BgL_callsz00_3672;
									obj_t BgL_bindingsz00_3671;

									BgL_bindingsz00_3671 = BgL_arg2118z00_1733;
									BgL_callsz00_3672 = BgL_arg2119z00_1734;
									BgL_callsz00_1730 = BgL_callsz00_3672;
									BgL_bindingsz00_1729 = BgL_bindingsz00_3671;
									goto BgL_zc3anonymousza32116ze3z83_1731;
								}
							}
					}
				}
			}
		}
	}



/* &find-recursive-calls1931 */
	obj_t BGl_z62findzd2recursivezd2calls1931z62zzinline_recursionz00(obj_t
		BgL_envz00_3002, obj_t BgL_nodez00_3003, obj_t BgL_varz00_3004)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 330 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1702;
				obj_t BgL_varz00_1703;

				BgL_nodez00_1702 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3003);
				BgL_varz00_1703 = BgL_varz00_3004;
				{	/* Inline/recursion.scm 331 */
					obj_t BgL_g1134z00_1706;
					obj_t BgL_g1135z00_1707;

					BgL_g1134z00_1706 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1702))->BgL_localsz00);
					{	/* Inline/recursion.scm 332 */
						BgL_nodez00_bglt BgL_arg2115z00_1720;

						BgL_arg2115z00_1720 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1702))->BgL_bodyz00);
						BgL_g1135z00_1707 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2115z00_1720, ((BgL_variablez00_bglt) BgL_varz00_1703));
					}
					{
						obj_t BgL_localsz00_1709;
						obj_t BgL_callsz00_1710;

						BgL_localsz00_1709 = BgL_g1134z00_1706;
						BgL_callsz00_1710 = BgL_g1135z00_1707;
					BgL_zc3anonymousza32106ze3z83_1711:
						if (NULLP(BgL_localsz00_1709))
							{	/* Inline/recursion.scm 333 */
								return BgL_callsz00_1710;
							}
						else
							{	/* Inline/recursion.scm 335 */
								obj_t BgL_arg2108z00_1713;
								obj_t BgL_arg2109z00_1714;

								BgL_arg2108z00_1713 = CDR(BgL_localsz00_1709);
								{	/* Inline/recursion.scm 338 */
									obj_t BgL_arg2110z00_1715;

									{	/* Inline/recursion.scm 338 */
										obj_t BgL_arg2112z00_1716;

										BgL_arg2112z00_1716 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(BgL_localsz00_1709)))))->
															BgL_valuez00))))->BgL_bodyz00);
										BgL_arg2110z00_1715 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00((
												(BgL_nodez00_bglt) BgL_arg2112z00_1716),
											((BgL_variablez00_bglt) BgL_varz00_1703));
									}
									BgL_arg2109z00_1714 =
										BGl_appendzd221011zd2zzinline_recursionz00
										(BgL_callsz00_1710, BgL_arg2110z00_1715);
								}
								{
									obj_t BgL_callsz00_3692;
									obj_t BgL_localsz00_3691;

									BgL_localsz00_3691 = BgL_arg2108z00_1713;
									BgL_callsz00_3692 = BgL_arg2109z00_1714;
									BgL_callsz00_1710 = BgL_callsz00_3692;
									BgL_localsz00_1709 = BgL_localsz00_3691;
									goto BgL_zc3anonymousza32106ze3z83_1711;
								}
							}
					}
				}
			}
		}
	}



/* &find-recursive-calls1929 */
	obj_t BGl_z62findzd2recursivezd2calls1929z62zzinline_recursionz00(obj_t
		BgL_envz00_3005, obj_t BgL_nodez00_3006, obj_t BgL_varz00_3007)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 318 */
			{
				BgL_selectz00_bglt BgL_nodez00_1683;
				obj_t BgL_varz00_1684;

				BgL_nodez00_1683 = ((BgL_selectz00_bglt) BgL_nodez00_3006);
				BgL_varz00_1684 = BgL_varz00_3007;
				{	/* Inline/recursion.scm 319 */
					obj_t BgL_g1130z00_1687;
					obj_t BgL_g1131z00_1688;

					BgL_g1130z00_1687 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1683))->BgL_clausesz00);
					{	/* Inline/recursion.scm 320 */
						BgL_nodez00_bglt BgL_arg2105z00_1700;

						BgL_arg2105z00_1700 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1683))->BgL_testz00);
						BgL_g1131z00_1688 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2105z00_1700, ((BgL_variablez00_bglt) BgL_varz00_1684));
					}
					{
						obj_t BgL_clausesz00_1690;
						obj_t BgL_callsz00_1691;

						BgL_clausesz00_1690 = BgL_g1130z00_1687;
						BgL_callsz00_1691 = BgL_g1131z00_1688;
					BgL_zc3anonymousza32098ze3z83_1692:
						if (NULLP(BgL_clausesz00_1690))
							{	/* Inline/recursion.scm 321 */
								return BgL_callsz00_1691;
							}
						else
							{	/* Inline/recursion.scm 323 */
								obj_t BgL_arg2100z00_1694;
								obj_t BgL_arg2101z00_1695;

								BgL_arg2100z00_1694 = CDR(BgL_clausesz00_1690);
								{	/* Inline/recursion.scm 324 */
									obj_t BgL_arg2102z00_1696;

									{	/* Inline/recursion.scm 324 */
										obj_t BgL_arg2103z00_1697;

										BgL_arg2103z00_1697 = CDR(CAR(BgL_clausesz00_1690));
										BgL_arg2102z00_1696 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
											((BgL_nodez00_bglt) BgL_arg2103z00_1697),
											((BgL_variablez00_bglt) BgL_varz00_1684));
									}
									BgL_arg2101z00_1695 =
										BGl_appendzd221011zd2zzinline_recursionz00
										(BgL_arg2102z00_1696, BgL_callsz00_1691);
								}
								{
									obj_t BgL_callsz00_3708;
									obj_t BgL_clausesz00_3707;

									BgL_clausesz00_3707 = BgL_arg2100z00_1694;
									BgL_callsz00_3708 = BgL_arg2101z00_1695;
									BgL_callsz00_1691 = BgL_callsz00_3708;
									BgL_clausesz00_1690 = BgL_clausesz00_3707;
									goto BgL_zc3anonymousza32098ze3z83_1692;
								}
							}
					}
				}
			}
		}
	}



/* &find-recursive-calls1927 */
	obj_t BGl_z62findzd2recursivezd2calls1927z62zzinline_recursionz00(obj_t
		BgL_envz00_3008, obj_t BgL_nodez00_3009, obj_t BgL_varz00_3010)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 309 */
			{
				BgL_failz00_bglt BgL_nodez00_1668;
				obj_t BgL_varz00_1669;

				BgL_nodez00_1668 = ((BgL_failz00_bglt) BgL_nodez00_3009);
				BgL_varz00_1669 = BgL_varz00_3010;
				{	/* Inline/recursion.scm 311 */
					obj_t BgL_arg2089z00_1673;
					obj_t BgL_arg2090z00_1674;
					obj_t BgL_arg2091z00_1675;

					{	/* Inline/recursion.scm 311 */
						BgL_nodez00_bglt BgL_arg2095z00_1679;

						BgL_arg2095z00_1679 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1668))->BgL_procz00);
						BgL_arg2089z00_1673 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2095z00_1679, ((BgL_variablez00_bglt) BgL_varz00_1669));
					}
					{	/* Inline/recursion.scm 312 */
						BgL_nodez00_bglt BgL_arg2096z00_1680;

						BgL_arg2096z00_1680 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1668))->BgL_msgz00);
						BgL_arg2090z00_1674 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2096z00_1680, ((BgL_variablez00_bglt) BgL_varz00_1669));
					}
					{	/* Inline/recursion.scm 313 */
						BgL_nodez00_bglt BgL_arg2097z00_1681;

						BgL_arg2097z00_1681 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1668))->BgL_objz00);
						BgL_arg2091z00_1675 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2097z00_1681, ((BgL_variablez00_bglt) BgL_varz00_1669));
					}
					{	/* Inline/recursion.scm 311 */
						obj_t BgL_list2092z00_1676;

						{	/* Inline/recursion.scm 311 */
							obj_t BgL_arg2093z00_1677;

							{	/* Inline/recursion.scm 311 */
								obj_t BgL_arg2094z00_1678;

								BgL_arg2094z00_1678 = MAKE_PAIR(BgL_arg2091z00_1675, BNIL);
								BgL_arg2093z00_1677 =
									MAKE_PAIR(BgL_arg2090z00_1674, BgL_arg2094z00_1678);
							}
							BgL_list2092z00_1676 =
								MAKE_PAIR(BgL_arg2089z00_1673, BgL_arg2093z00_1677);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2092z00_1676);
					}
				}
			}
		}
	}



/* &find-recursive-calls1925 */
	obj_t BGl_z62findzd2recursivezd2calls1925z62zzinline_recursionz00(obj_t
		BgL_envz00_3011, obj_t BgL_nodez00_3012, obj_t BgL_varz00_3013)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 300 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1653;
				obj_t BgL_varz00_1654;

				BgL_nodez00_1653 = ((BgL_conditionalz00_bglt) BgL_nodez00_3012);
				BgL_varz00_1654 = BgL_varz00_3013;
				{	/* Inline/recursion.scm 302 */
					obj_t BgL_arg2078z00_1658;
					obj_t BgL_arg2079z00_1659;
					obj_t BgL_arg2080z00_1660;

					{	/* Inline/recursion.scm 302 */
						BgL_nodez00_bglt BgL_arg2085z00_1664;

						BgL_arg2085z00_1664 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1653))->BgL_testz00);
						BgL_arg2078z00_1658 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2085z00_1664, ((BgL_variablez00_bglt) BgL_varz00_1654));
					}
					{	/* Inline/recursion.scm 303 */
						BgL_nodez00_bglt BgL_arg2086z00_1665;

						BgL_arg2086z00_1665 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1653))->BgL_truez00);
						BgL_arg2079z00_1659 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2086z00_1665, ((BgL_variablez00_bglt) BgL_varz00_1654));
					}
					{	/* Inline/recursion.scm 304 */
						BgL_nodez00_bglt BgL_arg2087z00_1666;

						BgL_arg2087z00_1666 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1653))->
							BgL_falsez00);
						BgL_arg2080z00_1660 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2087z00_1666, ((BgL_variablez00_bglt) BgL_varz00_1654));
					}
					{	/* Inline/recursion.scm 302 */
						obj_t BgL_list2081z00_1661;

						{	/* Inline/recursion.scm 302 */
							obj_t BgL_arg2083z00_1662;

							{	/* Inline/recursion.scm 302 */
								obj_t BgL_arg2084z00_1663;

								BgL_arg2084z00_1663 = MAKE_PAIR(BgL_arg2080z00_1660, BNIL);
								BgL_arg2083z00_1662 =
									MAKE_PAIR(BgL_arg2079z00_1659, BgL_arg2084z00_1663);
							}
							BgL_list2081z00_1661 =
								MAKE_PAIR(BgL_arg2078z00_1658, BgL_arg2083z00_1662);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2081z00_1661);
					}
				}
			}
		}
	}



/* &find-recursive-calls1922 */
	obj_t BGl_z62findzd2recursivezd2calls1922z62zzinline_recursionz00(obj_t
		BgL_envz00_3014, obj_t BgL_nodez00_3015, obj_t BgL_varz00_3016)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 294 */
			{
				BgL_setqz00_bglt BgL_nodez00_1647;
				obj_t BgL_varz00_1648;

				BgL_nodez00_1647 = ((BgL_setqz00_bglt) BgL_nodez00_3015);
				BgL_varz00_1648 = BgL_varz00_3016;
				{	/* Inline/recursion.scm 295 */
					BgL_nodez00_bglt BgL_arg2077z00_2862;

					BgL_arg2077z00_2862 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1647))->BgL_valuez00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg2077z00_2862, ((BgL_variablez00_bglt) BgL_varz00_1648));
				}
			}
		}
	}



/* &find-recursive-calls1920 */
	obj_t BGl_z62findzd2recursivezd2calls1920z62zzinline_recursionz00(obj_t
		BgL_envz00_3017, obj_t BgL_nodez00_3018, obj_t BgL_varz00_3019)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 288 */
			{
				BgL_castz00_bglt BgL_nodez00_1641;
				obj_t BgL_varz00_1642;

				BgL_nodez00_1641 = ((BgL_castz00_bglt) BgL_nodez00_3018);
				BgL_varz00_1642 = BgL_varz00_3019;
				{	/* Inline/recursion.scm 289 */
					BgL_nodez00_bglt BgL_arg2076z00_2858;

					BgL_arg2076z00_2858 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1641))->BgL_argz00);
					return
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg2076z00_2858, ((BgL_variablez00_bglt) BgL_varz00_1642));
				}
			}
		}
	}



/* &find-recursive-calls1918 */
	obj_t BGl_z62findzd2recursivezd2calls1918z62zzinline_recursionz00(obj_t
		BgL_envz00_3020, obj_t BgL_nodez00_3021, obj_t BgL_varz00_3022)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 282 */
			{
				BgL_externz00_bglt BgL_nodez00_1635;
				obj_t BgL_varz00_1636;

				BgL_nodez00_1635 = ((BgL_externz00_bglt) BgL_nodez00_3021);
				BgL_varz00_1636 = BgL_varz00_3022;
				return
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1635))->BgL_exprza2za2),
					BgL_varz00_1636);
			}
		}
	}



/* &find-recursive-calls1916 */
	obj_t BGl_z62findzd2recursivezd2calls1916z62zzinline_recursionz00(obj_t
		BgL_envz00_3023, obj_t BgL_nodez00_3024, obj_t BgL_varz00_3025)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 274 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1625;
				obj_t BgL_varz00_1626;

				BgL_nodez00_1625 = ((BgL_funcallz00_bglt) BgL_nodez00_3024);
				BgL_varz00_1626 = BgL_varz00_3025;
				{	/* Inline/recursion.scm 276 */
					obj_t BgL_arg2071z00_1630;
					obj_t BgL_arg2072z00_1631;

					{	/* Inline/recursion.scm 276 */
						BgL_nodez00_bglt BgL_arg2073z00_1632;

						BgL_arg2073z00_1632 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1625))->BgL_funz00);
						BgL_arg2071z00_1630 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2073z00_1632, ((BgL_variablez00_bglt) BgL_varz00_1626));
					}
					BgL_arg2072z00_1631 =
						BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1625))->BgL_argsz00),
						BgL_varz00_1626);
					return BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg2071z00_1630,
						BgL_arg2072z00_1631);
				}
			}
		}
	}



/* &find-recursive-calls1914 */
	obj_t BGl_z62findzd2recursivezd2calls1914z62zzinline_recursionz00(obj_t
		BgL_envz00_3026, obj_t BgL_nodez00_3027, obj_t BgL_varz00_3028)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 267 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1615;
				obj_t BgL_varz00_1616;

				BgL_nodez00_1615 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3027);
				BgL_varz00_1616 = BgL_varz00_3028;
				{	/* Inline/recursion.scm 269 */
					obj_t BgL_arg2067z00_1620;
					obj_t BgL_arg2068z00_1621;

					{	/* Inline/recursion.scm 269 */
						BgL_nodez00_bglt BgL_arg2069z00_1622;

						BgL_arg2069z00_1622 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1615))->BgL_funz00);
						BgL_arg2067z00_1620 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2069z00_1622, ((BgL_variablez00_bglt) BgL_varz00_1616));
					}
					{	/* Inline/recursion.scm 269 */
						BgL_nodez00_bglt BgL_arg2070z00_1623;

						BgL_arg2070z00_1623 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1615))->BgL_argz00);
						BgL_arg2068z00_1621 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2070z00_1623, ((BgL_variablez00_bglt) BgL_varz00_1616));
					}
					return
						BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg2067z00_1620,
						BgL_arg2068z00_1621);
				}
			}
		}
	}



/* &find-recursive-calls1912 */
	obj_t BGl_z62findzd2recursivezd2calls1912z62zzinline_recursionz00(obj_t
		BgL_envz00_3029, obj_t BgL_nodez00_3030, obj_t BgL_varz00_3031)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 257 */
			{
				BgL_appz00_bglt BgL_nodez00_1602;
				obj_t BgL_varz00_1603;

				BgL_nodez00_1602 = ((BgL_appz00_bglt) BgL_nodez00_3030);
				BgL_varz00_1603 = BgL_varz00_3031;
				{	/* Inline/recursion.scm 259 */
					obj_t BgL_argszd2callszd2_1607;

					BgL_argszd2callszd2_1607 =
						BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1602))->BgL_argsz00),
						BgL_varz00_1603);
					{	/* Inline/recursion.scm 260 */
						bool_t BgL_testz00_3766;

						{	/* Inline/recursion.scm 260 */
							bool_t BgL_testz00_3767;

							{	/* Inline/recursion.scm 260 */
								BgL_varz00_bglt BgL_arg2065z00_1612;

								BgL_arg2065z00_1612 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1602))->BgL_funz00);
								{	/* Inline/recursion.scm 260 */
									bool_t BgL_res2272z00_2850;

									BgL_res2272z00_2850 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg2065z00_1612), BGl_varz00zzast_nodez00);
									BgL_testz00_3767 = BgL_res2272z00_2850;
								}
							}
							if (BgL_testz00_3767)
								{	/* Inline/recursion.scm 260 */
									BgL_testz00_3766 =
										(
										((obj_t)
											(((BgL_varz00_bglt) CREF(
														(((BgL_appz00_bglt) CREF(BgL_nodez00_1602))->
															BgL_funz00)))->BgL_variablez00)) ==
										BgL_varz00_1603);
								}
							else
								{	/* Inline/recursion.scm 260 */
									BgL_testz00_3766 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3766)
							{	/* Inline/recursion.scm 260 */
								return
									MAKE_PAIR(
									((obj_t) BgL_nodez00_1602), BgL_argszd2callszd2_1607);
							}
						else
							{	/* Inline/recursion.scm 260 */
								return BgL_argszd2callszd2_1607;
							}
					}
				}
			}
		}
	}



/* &find-recursive-calls1910 */
	obj_t BGl_z62findzd2recursivezd2calls1910z62zzinline_recursionz00(obj_t
		BgL_envz00_3032, obj_t BgL_nodez00_3033, obj_t BgL_varz00_3034)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 246 */
			{
				BgL_syncz00_bglt BgL_nodez00_1588;
				obj_t BgL_varz00_1589;

				BgL_nodez00_1588 = ((BgL_syncz00_bglt) BgL_nodez00_3033);
				BgL_varz00_1589 = BgL_varz00_3034;
				{	/* Inline/recursion.scm 247 */
					obj_t BgL_arg2052z00_1592;
					obj_t BgL_arg2053z00_1593;
					obj_t BgL_arg2054z00_1594;

					{	/* Inline/recursion.scm 247 */
						BgL_nodez00_bglt BgL_arg2058z00_1598;

						BgL_arg2058z00_1598 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1588))->BgL_mutexz00);
						BgL_arg2052z00_1592 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2058z00_1598, ((BgL_variablez00_bglt) BgL_varz00_1589));
					}
					{	/* Inline/recursion.scm 248 */
						BgL_nodez00_bglt BgL_arg2059z00_1599;

						BgL_arg2059z00_1599 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1588))->BgL_prelockz00);
						BgL_arg2053z00_1593 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2059z00_1599, ((BgL_variablez00_bglt) BgL_varz00_1589));
					}
					{	/* Inline/recursion.scm 249 */
						BgL_nodez00_bglt BgL_arg2060z00_1600;

						BgL_arg2060z00_1600 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1588))->BgL_bodyz00);
						BgL_arg2054z00_1594 =
							BGl_findzd2recursivezd2callsz00zzinline_recursionz00
							(BgL_arg2060z00_1600, ((BgL_variablez00_bglt) BgL_varz00_1589));
					}
					{	/* Inline/recursion.scm 247 */
						obj_t BgL_list2055z00_1595;

						{	/* Inline/recursion.scm 247 */
							obj_t BgL_arg2056z00_1596;

							{	/* Inline/recursion.scm 247 */
								obj_t BgL_arg2057z00_1597;

								BgL_arg2057z00_1597 = MAKE_PAIR(BgL_arg2054z00_1594, BNIL);
								BgL_arg2056z00_1596 =
									MAKE_PAIR(BgL_arg2053z00_1593, BgL_arg2057z00_1597);
							}
							BgL_list2055z00_1595 =
								MAKE_PAIR(BgL_arg2052z00_1592, BgL_arg2056z00_1596);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2055z00_1595);
					}
				}
			}
		}
	}



/* &find-recursive-calls1908 */
	obj_t BGl_z62findzd2recursivezd2calls1908z62zzinline_recursionz00(obj_t
		BgL_envz00_3035, obj_t BgL_nodez00_3036, obj_t BgL_varz00_3037)
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 240 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1582;
				obj_t BgL_varz00_1583;

				BgL_nodez00_1582 = ((BgL_sequencez00_bglt) BgL_nodez00_3036);
				BgL_varz00_1583 = BgL_varz00_3037;
				return
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1582))->BgL_nodesz00),
					BgL_varz00_1583);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00()
	{
		AN_OBJECT;
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 221468907),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 347990278),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_loopz00(((long) 342478691),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_csez00(((long) 347839157),
				BSTRING_TO_STRING(BGl_string2313z00zzinline_recursionz00));
		}
	}

#ifdef __cplusplus
}
#endif
