/*===========================================================================*/
/*   (Module/eval.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/eval.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_evalzd2finaliza7erz75zzmodule_evalz00();
	static obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t);
	static obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00();
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00
		= BUNSPEC;
	static obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static bool_t BGl_za2onezd2evalzf3za2z21zzmodule_evalz00;
	static obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62zc3anonymousza32204ze3ze1zzmodule_evalz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t);
	static obj_t BGl_library_ez00zzmodule_evalz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
	static obj_t BGl_genericzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_libraryzd2initzd2filez00zz__libraryz00(obj_t);
	static obj_t BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern BgL_typez00_bglt BGl_findzd2typezf2locationz20zztype_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00();
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzmodule_evalz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32100ze3ze1zzmodule_evalz00(obj_t);
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static obj_t BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BUNSPEC;
	static obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00();
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00();
	static obj_t BGl_evalzd2producerzd2zzmodule_evalz00(obj_t);
	static obj_t __cnst[29];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2producerzd2envz00zzmodule_evalz00,
		BgL_bgl_za762evalza7d2produc2438z00,
		BGl_z62evalzd2producerzb0zzmodule_evalz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2evalzd2libraryz12zd2envzc0zzmodule_evalz00,
		BgL_bgl_za762addza7d2evalza7d22439za7,
		BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zzmodule_evalz00,
		BgL_bgl_za762za7c3anonymousza72440za7,
		BGl_z62zc3anonymousza32100ze3ze1zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00,
		BgL_bgl_za762evalza7d2finali2441z00,
		BGl_z62evalzd2finaliza7erz17zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evalzd2librarieszd2envzd2zzmodule_evalz00,
		BgL_bgl_za762getza7d2evalza7d22442za7,
		BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2421z00zzmodule_evalz00,
		BgL_bgl_string2421za700za7za7m2443za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2422z00zzmodule_evalz00,
		BgL_bgl_string2422za700za7za7m2444za7, "Illegal `eval' clause", 21);
	      DEFINE_STRING(BGl_string2424z00zzmodule_evalz00,
		BgL_bgl_string2424za700za7za7m2445za7, "cannot find info \"~a\"", 21);
	      DEFINE_STRING(BGl_string2425z00zzmodule_evalz00,
		BgL_bgl_string2425za700za7za7m2446za7,
		"cannot find file \"~a\" in lib path", 33);
	      DEFINE_STRING(BGl_string2426z00zzmodule_evalz00,
		BgL_bgl_string2426za700za7za7m2447za7, "~a( 0, ~s )", 11);
	      DEFINE_STRING(BGl_string2427z00zzmodule_evalz00,
		BgL_bgl_string2427za700za7za7m2448za7, "cannot initialize library for eval",
		34);
	      DEFINE_STRING(BGl_string2428z00zzmodule_evalz00,
		BgL_bgl_string2428za700za7za7m2449za7, "eval", 4);
	      DEFINE_STRING(BGl_string2429z00zzmodule_evalz00,
		BgL_bgl_string2429za700za7za7m2450za7,
		"Non bigloo prototyped value can't be evaluated", 46);
	      DEFINE_STRING(BGl_string2430z00zzmodule_evalz00,
		BgL_bgl_string2430za700za7za7m2451za7, "eval-init", 9);
	      DEFINE_STRING(BGl_string2431z00zzmodule_evalz00,
		BgL_bgl_string2431za700za7za7m2452za7,
		"This variable cannot be known by eval", 37);
	      DEFINE_STRING(BGl_string2432z00zzmodule_evalz00,
		BgL_bgl_string2432za700za7za7m2453za7, "Unbound eval variable", 21);
	      DEFINE_STRING(BGl_string2433z00zzmodule_evalz00,
		BgL_bgl_string2433za700za7za7m2454za7, "module_eval", 11);
	      DEFINE_STRING(BGl_string2434z00zzmodule_evalz00,
		BgL_bgl_string2434za700za7za7m2455za7,
		"eval-expand-with-access eval-expand-duplicate eval-expand-instantiate register-eval-srfi! (export) (static export) (import static export) library-load library-mark-loaded! pragma bigloo-library-path quote library-load-init __library libinfo begin (#unspecified) write void unit library import class @ export export-module export-exports export-all eval ",
		353);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2evalzd2compilerzd2envzd2zzmodule_evalz00,
		BgL_bgl_za762makeza7d2evalza7d2456za7,
		BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long
		BgL_checksumz00_3377, char *BgL_fromz00_3378)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_evalz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_evalz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
					BGl_cnstzd2initzd2zzmodule_evalz00();
					BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
					BGl_toplevelzd2initzd2zzmodule_evalz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__libraryz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_eval");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			{	/* Module/eval.scm 15 */
				obj_t BgL_cportz00_3369;

				BgL_cportz00_3369 =
					bgl_open_input_string(BGl_string2434z00zzmodule_evalz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3370;

					BgL_iz00_3370 = ((long) 28);
				BgL_loopz00_3371:
					if ((BgL_iz00_3370 == ((long) -1)))
						{	/* Module/eval.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/eval.scm 15 */
							{	/* Module/eval.scm 15 */
								obj_t BgL_arg2437z00_3373;

								{	/* Module/eval.scm 15 */

									{	/* Module/eval.scm 15 */
										obj_t BgL_locationz00_3375;

										BgL_locationz00_3375 = BBOOL(((bool_t) 0));
										{	/* Module/eval.scm 15 */

											BgL_arg2437z00_3373 =
												BGl_readz00zz__readerz00(BgL_cportz00_3369,
												BgL_locationz00_3375);
										}
									}
								}
								{	/* Module/eval.scm 15 */
									int BgL_auxz00_3407;

									BgL_auxz00_3407 = (int) (BgL_iz00_3370);
									CNST_TABLE_SET(BgL_auxz00_3407, BgL_arg2437z00_3373);
							}}
							{	/* Module/eval.scm 15 */
								int BgL_auxz00_3376;

								BgL_auxz00_3376 = (int) ((BgL_iz00_3370 - ((long) 1)));
								{
									long BgL_iz00_3412;

									BgL_iz00_3412 = (long) (BgL_auxz00_3376);
									BgL_iz00_3370 = BgL_iz00_3412;
									goto BgL_loopz00_3371;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00 = BFALSE;
			return (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00 =
				((bool_t) 0), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1633;

				BgL_headz00_1633 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1634;
					obj_t BgL_tailz00_1635;

					BgL_prevz00_1634 = BgL_headz00_1633;
					BgL_tailz00_1635 = BgL_l1z00_1;
				BgL_loopz00_1636:
					if (PAIRP(BgL_tailz00_1635))
						{
							obj_t BgL_newzd2prevzd2_1638;

							BgL_newzd2prevzd2_1638 =
								MAKE_PAIR(CAR(BgL_tailz00_1635), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1634, BgL_newzd2prevzd2_1638);
							{
								obj_t BgL_tailz00_3421;
								obj_t BgL_prevz00_3420;

								BgL_prevz00_3420 = BgL_newzd2prevzd2_1638;
								BgL_tailz00_3421 = CDR(BgL_tailz00_1635);
								BgL_tailz00_1635 = BgL_tailz00_3421;
								BgL_prevz00_1634 = BgL_prevz00_3420;
								goto BgL_loopz00_1636;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1633);
				}
			}
		}
	}



/* make-eval-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 45 */
			{	/* Module/eval.scm 46 */
				BgL_ccompz00_bglt BgL_new1101z00_1655;

				{	/* Module/eval.scm 47 */
					BgL_ccompz00_bglt BgL_new1100z00_1658;

					BgL_new1100z00_1658 =
						((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/eval.scm 47 */
						long BgL_arg2028z00_1659;

						{	/* Module/eval.scm 47 */
							long BgL_res2346z00_2991;

							BgL_res2346z00_2991 =
								BGL_CLASS_INDEX(BGl_ccompz00zzmodule_modulez00);
							BgL_arg2028z00_1659 = BgL_res2346z00_2991;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1100z00_1658), BgL_arg2028z00_1659);
					}
					{	/* Module/eval.scm 47 */
						BgL_objectz00_bglt BgL_auxz00_3428;

						BgL_auxz00_3428 = ((BgL_objectz00_bglt) BgL_new1100z00_1658);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3428, BFALSE);
					}
					BgL_new1101z00_1655 = BgL_new1100z00_1658;
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1101z00_1655))->BgL_idz00) = ((obj_t)
						CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1101z00_1655))->BgL_producerz00) =
					((obj_t) BGl_evalzd2producerzd2envz00zzmodule_evalz00), BUNSPEC);
				{
					obj_t BgL_auxz00_3434;

					{	/* Module/eval.scm 48 */
						obj_t BgL_arg2026z00_1656;

						{	/* Module/eval.scm 48 */
							obj_t BgL_arg2027z00_1657;

							{	/* Module/eval.scm 48 */
								obj_t BgL_res2347z00_2995;

								{	/* Module/eval.scm 48 */
									obj_t BgL_classz00_2994;

									BgL_classz00_2994 = BGl_ccompz00zzmodule_modulez00;
									BgL_res2347z00_2995 = BGL_CLASS_ALL_FIELDS(BgL_classz00_2994);
								}
								BgL_arg2027z00_1657 = BgL_res2347z00_2995;
							}
							{	/* Module/eval.scm 48 */
								int BgL_kz00_2997;

								BgL_kz00_2997 = (int) (((long) 2));
								BgL_arg2026z00_1656 =
									VECTOR_REF(BgL_arg2027z00_1657, BgL_kz00_2997);
						}}
						BgL_auxz00_3434 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg2026z00_1656);
					}
					((((BgL_ccompz00_bglt) CREF(BgL_new1101z00_1655))->BgL_consumerz00) =
						((obj_t) BgL_auxz00_3434), BUNSPEC);
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1101z00_1655))->BgL_finaliza7erza7) =
					((obj_t) BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00), BUNSPEC);
				return ((obj_t) BgL_new1101z00_1655);
			}
		}
	}



/* &make-eval-compiler */
	obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t BgL_envz00_3352)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 45 */
			return BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
		}
	}



/* eval-producer */
	obj_t BGl_evalzd2producerzd2zzmodule_evalz00(obj_t BgL_clausez00_75)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 54 */
			{
				obj_t BgL_protosz00_1660;

				if (PAIRP(BgL_clausez00_75))
					{	/* Module/eval.scm 55 */
						BgL_protosz00_1660 = CDR(BgL_clausez00_75);
						{
							obj_t BgL_l1985z00_1667;

							BgL_l1985z00_1667 = BgL_protosz00_1660;
						BgL_zc3anonymousza32031ze3z83_1668:
							if (PAIRP(BgL_l1985z00_1667))
								{	/* Module/eval.scm 57 */
									BGl_evalzd2parserzd2zzmodule_evalz00(CAR(BgL_l1985z00_1667),
										BgL_clausez00_75);
									{
										obj_t BgL_l1985z00_3449;

										BgL_l1985z00_3449 = CDR(BgL_l1985z00_1667);
										BgL_l1985z00_1667 = BgL_l1985z00_3449;
										goto BgL_zc3anonymousza32031ze3z83_1668;
									}
								}
							else
								{	/* Module/eval.scm 57 */
									((bool_t) 1);
								}
						}
						return BNIL;
					}
				else
					{	/* Module/eval.scm 55 */
						{	/* Module/eval.scm 60 */
							obj_t BgL_list2034z00_1673;

							BgL_list2034z00_1673 = MAKE_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string2421z00zzmodule_evalz00,
								BGl_string2422z00zzmodule_evalz00, BgL_clausez00_75,
								BgL_list2034z00_1673);
						}
					}
			}
		}
	}



/* &eval-producer */
	obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t BgL_envz00_3353,
		obj_t BgL_clausez00_3354)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 54 */
			return BGl_evalzd2producerzd2zzmodule_evalz00(BgL_clausez00_3354);
		}
	}



/* eval-parser */
	obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t BgL_protoz00_76,
		obj_t BgL_clausez00_77)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 68 */
			{
				obj_t BgL_libsz00_1686;

				if (PAIRP(BgL_protoz00_76))
					{	/* Module/eval.scm 69 */
						if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 1))))
							{	/* Module/eval.scm 69 */
								if (NULLP(CDR(BgL_protoz00_76)))
									{	/* Module/eval.scm 69 */
										return (BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 =
											BTRUE, BUNSPEC);
									}
								else
									{	/* Module/eval.scm 69 */
									BgL_tagzd2117zd2_1688:
										{	/* Module/eval.scm 95 */
											obj_t BgL_list2087z00_1756;

											BgL_list2087z00_1756 = MAKE_PAIR(BNIL, BNIL);
											return
												BGl_userzd2errorzd2zztools_errorz00
												(BGl_string2421z00zzmodule_evalz00,
												BGl_string2422z00zzmodule_evalz00, BgL_clausez00_77,
												BgL_list2087z00_1756);
										}
									}
							}
						else
							{	/* Module/eval.scm 69 */
								if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 2))))
									{	/* Module/eval.scm 69 */
										if (NULLP(CDR(BgL_protoz00_76)))
											{	/* Module/eval.scm 69 */
												return
													(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
													BTRUE, BUNSPEC);
											}
										else
											{	/* Module/eval.scm 69 */
												goto BgL_tagzd2117zd2_1688;
											}
									}
								else
									{	/* Module/eval.scm 69 */
										if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 3))))
											{	/* Module/eval.scm 69 */
												if (NULLP(CDR(BgL_protoz00_76)))
													{	/* Module/eval.scm 69 */
														return
															(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00
															= BTRUE, BUNSPEC);
													}
												else
													{	/* Module/eval.scm 69 */
														goto BgL_tagzd2117zd2_1688;
													}
											}
										else
											{	/* Module/eval.scm 69 */
												obj_t BgL_cdrzd2215zd2_1700;

												BgL_cdrzd2215zd2_1700 = CDR(BgL_protoz00_76);
												if (
													(CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 4))))
													{	/* Module/eval.scm 69 */
														if (PAIRP(BgL_cdrzd2215zd2_1700))
															{	/* Module/eval.scm 69 */
																obj_t BgL_carzd2217zd2_1703;

																BgL_carzd2217zd2_1703 =
																	CAR(BgL_cdrzd2215zd2_1700);
																if (SYMBOLP(BgL_carzd2217zd2_1703))
																	{	/* Module/eval.scm 69 */
																		if (NULLP(CDR(BgL_cdrzd2215zd2_1700)))
																			{	/* Module/eval.scm 69 */
																				BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																					= ((bool_t) 1);
																				return
																					BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																					(BgL_carzd2217zd2_1703, BFALSE,
																					BgL_protoz00_76);
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1688;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		obj_t BgL_carzd2247zd2_1708;

																		BgL_carzd2247zd2_1708 =
																			CAR(BgL_cdrzd2215zd2_1700);
																		if (PAIRP(BgL_carzd2247zd2_1708))
																			{	/* Module/eval.scm 69 */
																				obj_t BgL_cdrzd2252zd2_1710;

																				BgL_cdrzd2252zd2_1710 =
																					CDR(BgL_carzd2247zd2_1708);
																				if (
																					(CAR(BgL_carzd2247zd2_1708) ==
																						CNST_TABLE_REF(((long) 5))))
																					{	/* Module/eval.scm 69 */
																						if (PAIRP(BgL_cdrzd2252zd2_1710))
																							{	/* Module/eval.scm 69 */
																								obj_t BgL_carzd2255zd2_1713;
																								obj_t BgL_cdrzd2256zd2_1714;

																								BgL_carzd2255zd2_1713 =
																									CAR(BgL_cdrzd2252zd2_1710);
																								BgL_cdrzd2256zd2_1714 =
																									CDR(BgL_cdrzd2252zd2_1710);
																								if (SYMBOLP
																									(BgL_carzd2255zd2_1713))
																									{	/* Module/eval.scm 69 */
																										if (PAIRP
																											(BgL_cdrzd2256zd2_1714))
																											{	/* Module/eval.scm 69 */
																												obj_t
																													BgL_carzd2261zd2_1717;
																												BgL_carzd2261zd2_1717 =
																													CAR
																													(BgL_cdrzd2256zd2_1714);
																												if (SYMBOLP
																													(BgL_carzd2261zd2_1717))
																													{	/* Module/eval.scm 69 */
																														if (NULLP(CDR
																																(BgL_cdrzd2256zd2_1714)))
																															{	/* Module/eval.scm 69 */
																																if (NULLP(CDR
																																		(BgL_cdrzd2215zd2_1700)))
																																	{	/* Module/eval.scm 69 */
																																		BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																																			=
																																			((bool_t)
																																			1);
																																		return
																																			BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																																			(BgL_carzd2255zd2_1713,
																																			BgL_carzd2261zd2_1717,
																																			BgL_protoz00_76);
																																	}
																																else
																																	{	/* Module/eval.scm 69 */
																																		goto
																																			BgL_tagzd2117zd2_1688;
																																	}
																															}
																														else
																															{	/* Module/eval.scm 69 */
																																goto
																																	BgL_tagzd2117zd2_1688;
																															}
																													}
																												else
																													{	/* Module/eval.scm 69 */
																														goto
																															BgL_tagzd2117zd2_1688;
																													}
																											}
																										else
																											{	/* Module/eval.scm 69 */
																												goto
																													BgL_tagzd2117zd2_1688;
																											}
																									}
																								else
																									{	/* Module/eval.scm 69 */
																										goto BgL_tagzd2117zd2_1688;
																									}
																							}
																						else
																							{	/* Module/eval.scm 69 */
																								goto BgL_tagzd2117zd2_1688;
																							}
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1688;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1688;
																			}
																	}
															}
														else
															{	/* Module/eval.scm 69 */
																goto BgL_tagzd2117zd2_1688;
															}
													}
												else
													{	/* Module/eval.scm 69 */
														if (
															(CAR(BgL_protoz00_76) ==
																CNST_TABLE_REF(((long) 6))))
															{	/* Module/eval.scm 69 */
																if (PAIRP(BgL_cdrzd2215zd2_1700))
																	{	/* Module/eval.scm 69 */
																		obj_t BgL_carzd2366zd2_1727;

																		BgL_carzd2366zd2_1727 =
																			CAR(BgL_cdrzd2215zd2_1700);
																		if (SYMBOLP(BgL_carzd2366zd2_1727))
																			{	/* Module/eval.scm 69 */
																				if (NULLP(CDR(BgL_cdrzd2215zd2_1700)))
																					{	/* Module/eval.scm 69 */
																						return
																							(BGl_za2evalzd2classesza2zd2zzmodule_evalz00
																							=
																							MAKE_PAIR(BgL_protoz00_76,
																								BGl_za2evalzd2classesza2zd2zzmodule_evalz00),
																							BUNSPEC);
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1688;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1688;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		goto BgL_tagzd2117zd2_1688;
																	}
															}
														else
															{	/* Module/eval.scm 69 */
																obj_t BgL_cdrzd2390zd2_1731;

																BgL_cdrzd2390zd2_1731 = CDR(BgL_protoz00_76);
																if (
																	(CAR(BgL_protoz00_76) ==
																		CNST_TABLE_REF(((long) 7))))
																	{	/* Module/eval.scm 69 */
																		if (PAIRP(BgL_cdrzd2390zd2_1731))
																			{	/* Module/eval.scm 69 */
																				obj_t BgL_carzd2392zd2_1734;

																				BgL_carzd2392zd2_1734 =
																					CAR(BgL_cdrzd2390zd2_1731);
																				if (SYMBOLP(BgL_carzd2392zd2_1734))
																					{	/* Module/eval.scm 69 */
																						if (NULLP(CDR
																								(BgL_cdrzd2390zd2_1731)))
																							{	/* Module/eval.scm 69 */
																								return
																									((obj_t)
																									BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
																									(BgL_carzd2392zd2_1734,
																										BFALSE,
																										CNST_TABLE_REF(((long) 0)),
																										CNST_TABLE_REF(((long) 0)),
																										BgL_clausez00_77, BFALSE));
																							}
																						else
																							{	/* Module/eval.scm 69 */
																								goto BgL_tagzd2117zd2_1688;
																							}
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1688;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1688;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		if (
																			(CAR(BgL_protoz00_76) ==
																				CNST_TABLE_REF(((long) 8))))
																			{	/* Module/eval.scm 69 */
																				bool_t BgL_auxz00_3554;

																				BgL_libsz00_1686 =
																					BgL_cdrzd2390zd2_1731;
																				{
																					obj_t BgL_l1987z00_1748;

																					BgL_l1987z00_1748 = BgL_libsz00_1686;
																				BgL_zc3anonymousza32082ze3z83_1749:
																					if (PAIRP(BgL_l1987z00_1748))
																						{	/* Module/eval.scm 87 */
																							{	/* Module/eval.scm 88 */
																								obj_t BgL_libz00_1751;

																								BgL_libz00_1751 =
																									CAR(BgL_l1987z00_1748);
																								if (SYMBOLP(BgL_libz00_1751))
																									{	/* Module/eval.scm 88 */
																										BGl_za2evalzd2librariesza2zd2zzmodule_evalz00
																											=
																											MAKE_PAIR(BgL_libz00_1751,
																											BGl_za2evalzd2librariesza2zd2zzmodule_evalz00);
																									}
																								else
																									{	/* Module/eval.scm 89 */
																										obj_t BgL_list2085z00_1753;

																										BgL_list2085z00_1753 =
																											MAKE_PAIR(BNIL, BNIL);
																										BGl_userzd2errorzd2zztools_errorz00
																											(BGl_string2421z00zzmodule_evalz00,
																											BGl_string2422z00zzmodule_evalz00,
																											BgL_clausez00_77,
																											BgL_list2085z00_1753);
																									}
																							}
																							{
																								obj_t BgL_l1987z00_3563;

																								BgL_l1987z00_3563 =
																									CDR(BgL_l1987z00_1748);
																								BgL_l1987z00_1748 =
																									BgL_l1987z00_3563;
																								goto
																									BgL_zc3anonymousza32082ze3z83_1749;
																							}
																						}
																					else
																						{	/* Module/eval.scm 87 */
																							BgL_auxz00_3554 = ((bool_t) 1);
																						}
																				}
																				return BBOOL(BgL_auxz00_3554);
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1688;
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/eval.scm 69 */
						goto BgL_tagzd2117zd2_1688;
					}
			}
		}
	}



/* get-eval-libraries */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 105 */
			return BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
		}
	}



/* &get-eval-libraries */
	obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t BgL_envz00_3356)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 105 */
			return BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
		}
	}



/* add-eval-library! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t
		BgL_libz00_78)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 111 */
			return (BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 =
				MAKE_PAIR(BgL_libz00_78, BGl_za2evalzd2librariesza2zd2zzmodule_evalz00),
				BUNSPEC);
		}
	}



/* &add-eval-library! */
	obj_t BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00(obj_t BgL_envz00_3357,
		obj_t BgL_libz00_3358)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 111 */
			return BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(BgL_libz00_3358);
		}
	}



/* remember-eval-exported! */
	obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t
		BgL_varz00_79, obj_t BgL_modulez00_80, obj_t BgL_locz00_81)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 127 */
			{	/* Module/eval.scm 128 */
				obj_t BgL_arg2089z00_1757;

				{	/* Module/eval.scm 128 */
					obj_t BgL_list2090z00_1758;

					{	/* Module/eval.scm 128 */
						obj_t BgL_arg2091z00_1759;

						{	/* Module/eval.scm 128 */
							obj_t BgL_arg2092z00_1760;

							BgL_arg2092z00_1760 = MAKE_PAIR(BgL_locz00_81, BNIL);
							BgL_arg2091z00_1759 =
								MAKE_PAIR(BgL_modulez00_80, BgL_arg2092z00_1760);
						}
						BgL_list2090z00_1758 =
							MAKE_PAIR(BgL_varz00_79, BgL_arg2091z00_1759);
					}
					BgL_arg2089z00_1757 = BgL_list2090z00_1758;
				}
				return (BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 =
					MAKE_PAIR(BgL_arg2089z00_1757,
						BGl_za2evalzd2exportedza2zd2zzmodule_evalz00), BUNSPEC);
			}
		}
	}



/* eval-finalizer */
	obj_t BGl_evalzd2finaliza7erz75zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 146 */
			{	/* Module/eval.scm 159 */
				bool_t BgL_testz00_3572;

				if (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00)
					{	/* Module/eval.scm 159 */
						BgL_testz00_3572 = ((bool_t) 1);
					}
				else
					{	/* Module/eval.scm 159 */
						if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
							{	/* Module/eval.scm 159 */
								BgL_testz00_3572 = ((bool_t) 1);
							}
						else
							{	/* Module/eval.scm 159 */
								if (CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
									{	/* Module/eval.scm 159 */
										BgL_testz00_3572 = ((bool_t) 1);
									}
								else
									{	/* Module/eval.scm 159 */
										if (CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
											{	/* Module/eval.scm 159 */
												BgL_testz00_3572 = ((bool_t) 1);
											}
										else
											{	/* Module/eval.scm 159 */
												if (NULLP
													(BGl_za2evalzd2librariesza2zd2zzmodule_evalz00))
													{	/* Module/eval.scm 163 */
														BgL_testz00_3572 =
															PAIRP
															(BGl_za2evalzd2classesza2zd2zzmodule_evalz00);
													}
												else
													{	/* Module/eval.scm 163 */
														BgL_testz00_3572 = ((bool_t) 1);
													}
											}
									}
							}
					}
				if (BgL_testz00_3572)
					{	/* Module/eval.scm 167 */
						obj_t BgL_arg2094z00_1763;

						{	/* Module/eval.scm 167 */
							long BgL_arg2096z00_1765;
							obj_t BgL_arg2097z00_1766;

							{	/* Module/eval.scm 167 */
								obj_t BgL_arg2098z00_1767;

								BgL_arg2098z00_1767 =
									BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
								BgL_arg2096z00_1765 =
									((long) CINT(BgL_arg2098z00_1767) - ((long) 2));
							}
							BgL_arg2097z00_1766 =
								BGl_makezd2promisezd2zz__r4_control_features_6_9z00
								(BGl_proc2423z00zzmodule_evalz00);
							{	/* Module/eval.scm 166 */
								obj_t BgL_idz00_3143;

								BgL_idz00_3143 = CNST_TABLE_REF(((long) 0));
								{	/* Module/eval.scm 166 */
									obj_t BgL_newz00_3148;

									BgL_newz00_3148 =
										create_struct(CNST_TABLE_REF(((long) 9)),
										(int) (((long) 5)));
									{	/* Module/eval.scm 166 */
										int BgL_auxz00_3591;

										BgL_auxz00_3591 = (int) (((long) 4));
										STRUCT_SET(BgL_newz00_3148, BgL_auxz00_3591, BFALSE);
									}
									{	/* Module/eval.scm 166 */
										int BgL_auxz00_3594;

										BgL_auxz00_3594 = (int) (((long) 3));
										STRUCT_SET(BgL_newz00_3148, BgL_auxz00_3594, BFALSE);
									}
									{	/* Module/eval.scm 166 */
										int BgL_auxz00_3597;

										BgL_auxz00_3597 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_3148, BgL_auxz00_3597,
											BgL_arg2097z00_1766);
									}
									{	/* Module/eval.scm 166 */
										obj_t BgL_auxz00_3602;
										int BgL_auxz00_3600;

										BgL_auxz00_3602 = BINT(BgL_arg2096z00_1765);
										BgL_auxz00_3600 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_3148, BgL_auxz00_3600,
											BgL_auxz00_3602);
									}
									{	/* Module/eval.scm 166 */
										int BgL_auxz00_3605;

										BgL_auxz00_3605 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_3148, BgL_auxz00_3605,
											BgL_idz00_3143);
									}
									BgL_arg2094z00_1763 = BgL_newz00_3148;
						}}}
						{	/* Module/eval.scm 165 */
							obj_t BgL_list2095z00_1764;

							BgL_list2095z00_1764 = MAKE_PAIR(BgL_arg2094z00_1763, BNIL);
							return BgL_list2095z00_1764;
						}
					}
				else
					{	/* Module/eval.scm 159 */
						return CNST_TABLE_REF(((long) 10));
		}}}
	}



/* &eval-finalizer */
	obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t BgL_envz00_3355)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 146 */
			return BGl_evalzd2finaliza7erz75zzmodule_evalz00();
		}
	}



/* &<anonymous:2100> */
	obj_t BGl_z62zc3anonymousza32100ze3ze1zzmodule_evalz00(obj_t BgL_envz00_3360)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 168 */
			{

				{
					obj_t BgL_gz00_1812;

					{	/* Module/eval.scm 169 */
						obj_t BgL_g1103z00_1770;
						obj_t BgL_g1104z00_1771;

						BgL_g1103z00_1770 =
							BGl_appendzd221011zd2zzmodule_evalz00
							(BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00(),
							BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00());
						BgL_g1104z00_1771 = CNST_TABLE_REF(((long) 12));
						{
							obj_t BgL_globalsz00_1773;
							obj_t BgL_initza2za2_1774;

							BgL_globalsz00_1773 = BgL_g1103z00_1770;
							BgL_initza2za2_1774 = BgL_g1104z00_1771;
						BgL_zc3anonymousza32101ze3z83_1775:
							if (NULLP(BgL_globalsz00_1773))
								{	/* Module/eval.scm 175 */
									obj_t BgL_arg2103z00_1777;

									{	/* Module/eval.scm 175 */
										obj_t BgL_arg2104z00_1778;
										obj_t BgL_arg2105z00_1779;

										{	/* Module/eval.scm 175 */
											obj_t BgL_l1989z00_1780;

											BgL_l1989z00_1780 =
												BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
											if (NULLP(BgL_l1989z00_1780))
												{	/* Module/eval.scm 175 */
													BgL_arg2104z00_1778 = BNIL;
												}
											else
												{	/* Module/eval.scm 175 */
													obj_t BgL_head1991z00_1782;

													{	/* Module/eval.scm 175 */
														obj_t BgL_arg2113z00_1794;

														BgL_arg2113z00_1794 =
															BGl_library_ez00zzmodule_evalz00(CAR
															(BgL_l1989z00_1780));
														{	/* Module/eval.scm 175 */
															obj_t BgL_res2383z00_3127;

															BgL_res2383z00_3127 =
																MAKE_PAIR(BgL_arg2113z00_1794, BNIL);
															BgL_head1991z00_1782 = BgL_res2383z00_3127;
														}
													}
													{	/* Module/eval.scm 175 */
														obj_t BgL_g1994z00_1783;

														BgL_g1994z00_1783 = CDR(BgL_l1989z00_1780);
														{
															obj_t BgL_l1989z00_1785;
															obj_t BgL_tail1992z00_1786;

															BgL_l1989z00_1785 = BgL_g1994z00_1783;
															BgL_tail1992z00_1786 = BgL_head1991z00_1782;
														BgL_zc3anonymousza32107ze3z83_1787:
															if (NULLP(BgL_l1989z00_1785))
																{	/* Module/eval.scm 175 */
																	BgL_arg2104z00_1778 = BgL_head1991z00_1782;
																}
															else
																{	/* Module/eval.scm 175 */
																	obj_t BgL_newtail1993z00_1789;

																	{	/* Module/eval.scm 175 */
																		obj_t BgL_arg2110z00_1791;

																		BgL_arg2110z00_1791 =
																			BGl_library_ez00zzmodule_evalz00(CAR
																			(BgL_l1989z00_1785));
																		{	/* Module/eval.scm 175 */
																			obj_t BgL_res2385z00_3134;

																			BgL_res2385z00_3134 =
																				MAKE_PAIR(BgL_arg2110z00_1791, BNIL);
																			BgL_newtail1993z00_1789 =
																				BgL_res2385z00_3134;
																		}
																	}
																	SET_CDR(BgL_tail1992z00_1786,
																		BgL_newtail1993z00_1789);
																	{
																		obj_t BgL_tail1992z00_3631;
																		obj_t BgL_l1989z00_3629;

																		BgL_l1989z00_3629 = CDR(BgL_l1989z00_1785);
																		BgL_tail1992z00_3631 =
																			BgL_newtail1993z00_1789;
																		BgL_tail1992z00_1786 = BgL_tail1992z00_3631;
																		BgL_l1989z00_1785 = BgL_l1989z00_3629;
																		goto BgL_zc3anonymousza32107ze3z83_1787;
																	}
																}
														}
													}
												}
										}
										{	/* Module/eval.scm 177 */
											obj_t BgL_arg2115z00_1796;
											obj_t BgL_arg2116z00_1797;

											BgL_arg2115z00_1796 =
												BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00();
											{	/* Module/eval.scm 179 */
												obj_t BgL_arg2117z00_1798;
												obj_t BgL_arg2118z00_1799;

												BgL_arg2117z00_1798 =
													BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00
													();
												{	/* Module/eval.scm 181 */
													obj_t BgL_arg2119z00_1800;
													obj_t BgL_arg2120z00_1801;

													BgL_arg2119z00_1800 =
														bgl_reverse_bang(BgL_initza2za2_1774);
													BgL_arg2120z00_1801 = MAKE_PAIR(BUNSPEC, BNIL);
													BgL_arg2118z00_1799 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2119z00_1800, BgL_arg2120z00_1801);
												}
												BgL_arg2116z00_1797 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2117z00_1798, BgL_arg2118z00_1799);
											}
											BgL_arg2105z00_1779 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg2115z00_1796, BgL_arg2116z00_1797);
										}
										BgL_arg2103z00_1777 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg2104z00_1778, BgL_arg2105z00_1779);
									}
									return
										MAKE_PAIR(CNST_TABLE_REF(((long) 13)), BgL_arg2103z00_1777);
								}
							else
								{	/* Module/eval.scm 183 */
									obj_t BgL_gz00_1802;

									BgL_gz00_1802 = CAR(BgL_globalsz00_1773);
									BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(BgL_gz00_1802);
									{	/* Module/eval.scm 185 */
										obj_t BgL_arg2122z00_1803;
										obj_t BgL_arg2123z00_1804;

										BgL_arg2122z00_1803 = CDR(BgL_globalsz00_1773);
										if (
											(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_gz00_1802)))->
												BgL_evalzf3zf3))
											{	/* Module/eval.scm 186 */
												BgL_arg2123z00_1804 = BgL_initza2za2_1774;
											}
										else
											{	/* Module/eval.scm 188 */
												BgL_nodez00_bglt BgL_arg2126z00_1806;

												BgL_gz00_1812 = BgL_gz00_1802;
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_gz00_1812)))->
														BgL_evalzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
												{	/* Module/eval.scm 151 */
													bool_t BgL_testz00_3650;

													{	/* Module/eval.scm 151 */
														BgL_valuez00_bglt BgL_arg2137z00_1819;

														BgL_arg2137z00_1819 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_1812))))->
															BgL_valuez00);
														{	/* Module/eval.scm 151 */
															bool_t BgL_res2375z00_3104;

															BgL_res2375z00_3104 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_arg2137z00_1819),
																BGl_svarz00zzast_varz00);
															BgL_testz00_3650 = BgL_res2375z00_3104;
														}
													}
													if (BgL_testz00_3650)
														{	/* Module/eval.scm 151 */
															{	/* Module/eval.scm 152 */
																obj_t BgL_vz00_3106;

																BgL_vz00_3106 = CNST_TABLE_REF(((long) 11));
																((((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					BgL_gz00_1812)))->BgL_accessz00) =
																	((obj_t) BgL_vz00_3106), BUNSPEC);
															}
															{	/* Module/eval.scm 153 */
																BgL_nodez00_bglt BgL_arg2132z00_1815;

																BgL_arg2132z00_1815 =
																	BGl_locationzd2ze3nodez31zzast_sexpz00(
																	((BgL_globalz00_bglt) BgL_gz00_1812));
																BgL_arg2126z00_1806 =
																	BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																	(((BgL_globalz00_bglt) BgL_gz00_1812),
																	BgL_arg2132z00_1815);
														}}
													else
														{	/* Module/eval.scm 154 */
															bool_t BgL_testz00_3663;

															{	/* Module/eval.scm 154 */
																BgL_valuez00_bglt BgL_arg2136z00_1818;

																BgL_arg2136z00_1818 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_gz00_1812))))->BgL_valuez00);
																{	/* Module/eval.scm 154 */
																	bool_t BgL_res2377z00_3112;

																	BgL_res2377z00_3112 =
																		BGl_isazf3zf3zz__objectz00(
																		((obj_t) BgL_arg2136z00_1818),
																		BGl_scnstz00zzast_varz00);
																	BgL_testz00_3663 = BgL_res2377z00_3112;
																}
															}
															if (BgL_testz00_3663)
																{	/* Module/eval.scm 155 */
																	BgL_nodez00_bglt BgL_arg2134z00_1817;

																	BgL_arg2134z00_1817 =
																		BGl_locationzd2ze3nodez31zzast_sexpz00(
																		((BgL_globalz00_bglt) BgL_gz00_1812));
																	BgL_arg2126z00_1806 =
																		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																		(((BgL_globalz00_bglt) BgL_gz00_1812),
																		BgL_arg2134z00_1817);
																}
															else
																{	/* Module/eval.scm 154 */
																	BgL_arg2126z00_1806 =
																		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00
																		(((BgL_globalz00_bglt) BgL_gz00_1812));
																}
														}
												}
												BgL_arg2123z00_1804 =
													MAKE_PAIR(
													((obj_t) BgL_arg2126z00_1806), BgL_initza2za2_1774);
											}
										{
											obj_t BgL_initza2za2_3678;
											obj_t BgL_globalsz00_3677;

											BgL_globalsz00_3677 = BgL_arg2122z00_1803;
											BgL_initza2za2_3678 = BgL_arg2123z00_1804;
											BgL_initza2za2_1774 = BgL_initza2za2_3678;
											BgL_globalsz00_1773 = BgL_globalsz00_3677;
											goto BgL_zc3anonymousza32101ze3z83_1775;
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* get-library-info */
	obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t BgL_libraryz00_82)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 196 */
			{	/* Module/eval.scm 197 */
				obj_t BgL__ortest_1105z00_1821;

				BgL__ortest_1105z00_1821 =
					BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
				if (CBOOL(BgL__ortest_1105z00_1821))
					{	/* Module/eval.scm 197 */
						return BgL__ortest_1105z00_1821;
					}
				else
					{	/* Module/eval.scm 198 */
						obj_t BgL_initz00_1822;

						BgL_initz00_1822 =
							BGl_libraryzd2initzd2filez00zz__libraryz00(BgL_libraryz00_82);
						{	/* Module/eval.scm 198 */
							obj_t BgL_pathz00_1823;

							BgL_pathz00_1823 =
								BGl_findzd2filezf2pathz20zz__osz00(BgL_initz00_1822,
								BGl_za2libzd2dirza2zd2zzengine_paramz00);
							{	/* Module/eval.scm 199 */

								if (CBOOL(BgL_pathz00_1823))
									{	/* Module/eval.scm 200 */
										{	/* Module/eval.scm 202 */
											obj_t BgL_envz00_1825;

											BgL_envz00_1825 =
												BGl_defaultzd2environmentzd2zz__evalz00();
											{	/* Module/eval.scm 202 */

												BGl_loadqz00zz__evalz00(BgL_pathz00_1823,
													BgL_envz00_1825);
											}
										}
										{	/* Module/eval.scm 203 */
											obj_t BgL_iz00_1826;

											BgL_iz00_1826 =
												BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
											if (CBOOL(BgL_iz00_1826))
												{	/* Module/eval.scm 204 */
													return BgL_iz00_1826;
												}
											else
												{	/* Module/eval.scm 206 */
													obj_t BgL_arg2138z00_1827;

													{	/* Module/eval.scm 206 */
														obj_t BgL_list2142z00_1830;

														BgL_list2142z00_1830 =
															MAKE_PAIR(BgL_initz00_1822, BNIL);
														BgL_arg2138z00_1827 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2424z00zzmodule_evalz00,
															BgL_list2142z00_1830);
													}
													{	/* Module/eval.scm 206 */
														obj_t BgL_list2139z00_1828;

														{	/* Module/eval.scm 206 */
															obj_t BgL_arg2141z00_1829;

															BgL_arg2141z00_1829 =
																MAKE_PAIR(BgL_arg2138z00_1827, BNIL);
															BgL_list2139z00_1828 =
																MAKE_PAIR(BgL_libraryz00_82,
																BgL_arg2141z00_1829);
														}
														return
															BGl_warningz00zz__errorz00(BgL_list2139z00_1828);
													}
												}
										}
									}
								else
									{	/* Module/eval.scm 207 */
										obj_t BgL_arg2143z00_1831;

										{	/* Module/eval.scm 207 */
											obj_t BgL_list2146z00_1834;

											BgL_list2146z00_1834 = MAKE_PAIR(BgL_initz00_1822, BNIL);
											BgL_arg2143z00_1831 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string2425z00zzmodule_evalz00,
												BgL_list2146z00_1834);
										}
										{	/* Module/eval.scm 207 */
											obj_t BgL_list2144z00_1832;

											{	/* Module/eval.scm 207 */
												obj_t BgL_arg2145z00_1833;

												BgL_arg2145z00_1833 =
													MAKE_PAIR(BgL_arg2143z00_1831, BNIL);
												BgL_list2144z00_1832 =
													MAKE_PAIR(BgL_libraryz00_82, BgL_arg2145z00_1833);
											}
											return BGl_warningz00zz__errorz00(BgL_list2144z00_1832);
										}
									}
							}
						}
					}
			}
		}
	}



/* library_e */
	obj_t BGl_library_ez00zzmodule_evalz00(obj_t BgL_libz00_83)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 214 */
			{	/* Module/eval.scm 215 */
				obj_t BgL_infoz00_1835;

				BgL_infoz00_1835 =
					BGl_getzd2libraryzd2infoz00zzmodule_evalz00(BgL_libz00_83);
				{	/* Module/eval.scm 216 */
					bool_t BgL_testz00_3702;

					{	/* Module/eval.scm 216 */
						bool_t BgL_testz00_3703;

						if (STRUCTP(BgL_infoz00_1835))
							{	/* Module/eval.scm 216 */
								BgL_testz00_3703 =
									(STRUCT_KEY(BgL_infoz00_1835) == CNST_TABLE_REF(((long) 14)));
							}
						else
							{	/* Module/eval.scm 216 */
								BgL_testz00_3703 = ((bool_t) 0);
							}
						if (BgL_testz00_3703)
							{	/* Module/eval.scm 216 */
								BgL_testz00_3702 =
									CBOOL(STRUCT_REF(BgL_infoz00_1835, (int) (((long) 6))));
							}
						else
							{	/* Module/eval.scm 216 */
								BgL_testz00_3702 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3702)
						{	/* Module/eval.scm 217 */
							obj_t BgL_initz00_1837;

							BgL_initz00_1837 =
								BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
								(STRUCT_REF(BgL_infoz00_1835, (int) (((long) 6))));
							{	/* Module/eval.scm 218 */
								bool_t BgL_testz00_3715;

								{	/* Module/eval.scm 218 */
									obj_t BgL_arg2191z00_1874;

									BgL_arg2191z00_1874 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_3715 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg2191z00_1874)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_3715)
									{	/* Module/eval.scm 220 */
										obj_t BgL_arg2149z00_1839;

										{	/* Module/eval.scm 220 */
											obj_t BgL_arg2150z00_1840;
											obj_t BgL_arg2151z00_1841;

											{	/* Module/eval.scm 220 */
												obj_t BgL_arg2152z00_1842;
												obj_t BgL_arg2153z00_1843;

												{	/* Module/eval.scm 220 */
													obj_t BgL_arg2154z00_1844;

													{	/* Module/eval.scm 220 */
														obj_t BgL_arg2156z00_1845;

														BgL_arg2156z00_1845 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
														BgL_arg2154z00_1844 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
															BgL_arg2156z00_1845);
													}
													BgL_arg2152z00_1842 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
														BgL_arg2154z00_1844);
												}
												{	/* Module/eval.scm 220 */
													obj_t BgL_arg2157z00_1846;
													obj_t BgL_arg2158z00_1847;

													{	/* Module/eval.scm 220 */
														obj_t BgL_arg2159z00_1848;

														BgL_arg2159z00_1848 =
															MAKE_PAIR(BgL_libz00_83, BNIL);
														BgL_arg2157z00_1846 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
															BgL_arg2159z00_1848);
													}
													{	/* Module/eval.scm 220 */
														obj_t BgL_arg2160z00_1849;

														BgL_arg2160z00_1849 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 18)), BNIL);
														BgL_arg2158z00_1847 =
															MAKE_PAIR(BgL_arg2160z00_1849, BNIL);
													}
													BgL_arg2153z00_1843 =
														MAKE_PAIR(BgL_arg2157z00_1846, BgL_arg2158z00_1847);
												}
												BgL_arg2150z00_1840 =
													MAKE_PAIR(BgL_arg2152z00_1842, BgL_arg2153z00_1843);
											}
											{	/* Module/eval.scm 223 */
												obj_t BgL_arg2162z00_1850;
												obj_t BgL_arg2164z00_1851;

												{	/* Module/eval.scm 223 */
													obj_t BgL_arg2165z00_1852;

													{	/* Module/eval.scm 223 */
														obj_t BgL_arg2166z00_1853;

														{	/* Module/eval.scm 223 */
															obj_t BgL_arg2167z00_1854;
															obj_t BgL_arg2168z00_1855;

															{	/* Module/eval.scm 223 */
																obj_t BgL_arg2172z00_1858;
																obj_t BgL_arg2173z00_1859;

																{	/* Module/eval.scm 223 */
																	obj_t BgL_res2391z00_3194;

																	{	/* Module/eval.scm 223 */
																		obj_t BgL_arg1265z00_3193;

																		BgL_arg1265z00_3193 =
																			SYMBOL_TO_STRING(BgL_initz00_1837);
																		BgL_res2391z00_3194 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1265z00_3193);
																	}
																	BgL_arg2172z00_1858 = BgL_res2391z00_3194;
																}
																{	/* Module/eval.scm 224 */
																	obj_t BgL_arg2174z00_1860;

																	BgL_arg2174z00_1860 =
																		STRUCT_REF(BgL_infoz00_1835,
																		(int) (((long) 6)));
																	{	/* Module/eval.scm 224 */
																		obj_t BgL_res2392z00_3200;

																		{	/* Module/eval.scm 224 */
																			obj_t BgL_arg1265z00_3199;

																			BgL_arg1265z00_3199 =
																				SYMBOL_TO_STRING(BgL_arg2174z00_1860);
																			BgL_res2392z00_3200 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1265z00_3199);
																		}
																		BgL_arg2173z00_1859 = BgL_res2392z00_3200;
																}}
																BgL_arg2167z00_1854 =
																	bigloo_module_mangle(BgL_arg2172z00_1858,
																	BgL_arg2173z00_1859);
															}
															{	/* Module/eval.scm 225 */
																obj_t BgL_res2393z00_3203;

																{	/* Module/eval.scm 225 */
																	obj_t BgL_symbolz00_3201;

																	BgL_symbolz00_3201 =
																		BGl_za2moduleza2z00zzmodule_modulez00;
																	{	/* Module/eval.scm 225 */
																		obj_t BgL_arg1265z00_3202;

																		BgL_arg1265z00_3202 =
																			SYMBOL_TO_STRING(BgL_symbolz00_3201);
																		BgL_res2393z00_3203 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1265z00_3202);
																}}
																BgL_arg2168z00_1855 = BgL_res2393z00_3203;
															}
															{	/* Module/eval.scm 221 */
																obj_t BgL_list2169z00_1856;

																{	/* Module/eval.scm 221 */
																	obj_t BgL_arg2170z00_1857;

																	BgL_arg2170z00_1857 =
																		MAKE_PAIR(BgL_arg2168z00_1855, BNIL);
																	BgL_list2169z00_1856 =
																		MAKE_PAIR(BgL_arg2167z00_1854,
																		BgL_arg2170z00_1857);
																}
																BgL_arg2166z00_1853 =
																	BGl_formatz00zz__r4_output_6_10_3z00
																	(BGl_string2426z00zzmodule_evalz00,
																	BgL_list2169z00_1856);
														}}
														BgL_arg2165z00_1852 =
															MAKE_PAIR(BgL_arg2166z00_1853, BNIL);
													}
													BgL_arg2162z00_1850 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
														BgL_arg2165z00_1852);
												}
												{	/* Module/eval.scm 226 */
													obj_t BgL_arg2175z00_1861;

													{	/* Module/eval.scm 226 */
														obj_t BgL_arg2176z00_1862;
														obj_t BgL_arg2177z00_1863;

														{	/* Module/eval.scm 226 */
															obj_t BgL_arg2178z00_1864;

															{	/* Module/eval.scm 226 */
																obj_t BgL_arg2180z00_1865;

																BgL_arg2180z00_1865 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
																BgL_arg2178z00_1864 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 20)),
																	BgL_arg2180z00_1865);
															}
															BgL_arg2176z00_1862 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg2178z00_1864);
														}
														{	/* Module/eval.scm 226 */
															obj_t BgL_arg2181z00_1866;

															{	/* Module/eval.scm 226 */
																obj_t BgL_arg2182z00_1867;

																BgL_arg2182z00_1867 =
																	MAKE_PAIR(BgL_libz00_83, BNIL);
																BgL_arg2181z00_1866 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																	BgL_arg2182z00_1867);
															}
															BgL_arg2177z00_1863 =
																MAKE_PAIR(BgL_arg2181z00_1866, BNIL);
														}
														BgL_arg2175z00_1861 =
															MAKE_PAIR(BgL_arg2176z00_1862,
															BgL_arg2177z00_1863);
													}
													BgL_arg2164z00_1851 =
														MAKE_PAIR(BgL_arg2175z00_1861, BNIL);
												}
												BgL_arg2151z00_1841 =
													MAKE_PAIR(BgL_arg2162z00_1850, BgL_arg2164z00_1851);
											}
											BgL_arg2149z00_1839 =
												MAKE_PAIR(BgL_arg2150z00_1840, BgL_arg2151z00_1841);
										}
										return
											MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
											BgL_arg2149z00_1839);
									}
								else
									{	/* Module/eval.scm 227 */
										obj_t BgL_arg2183z00_1868;
										obj_t BgL_arg2184z00_1869;

										{	/* Module/eval.scm 227 */
											obj_t BgL_arg2185z00_1870;

											{	/* Module/eval.scm 227 */
												obj_t BgL_arg2187z00_1871;

												BgL_arg2187z00_1871 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
												BgL_arg2185z00_1870 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 21)),
													BgL_arg2187z00_1871);
											}
											BgL_arg2183z00_1868 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
												BgL_arg2185z00_1870);
										}
										{	/* Module/eval.scm 227 */
											obj_t BgL_arg2188z00_1872;

											{	/* Module/eval.scm 227 */
												obj_t BgL_arg2189z00_1873;

												BgL_arg2189z00_1873 = MAKE_PAIR(BgL_libz00_83, BNIL);
												BgL_arg2188z00_1872 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
													BgL_arg2189z00_1873);
											}
											BgL_arg2184z00_1869 =
												MAKE_PAIR(BgL_arg2188z00_1872, BNIL);
										}
										return MAKE_PAIR(BgL_arg2183z00_1868, BgL_arg2184z00_1869);
									}
							}
						}
					else
						{	/* Module/eval.scm 228 */
							obj_t BgL_list2193z00_1876;

							{	/* Module/eval.scm 228 */
								obj_t BgL_arg2195z00_1877;

								BgL_arg2195z00_1877 =
									MAKE_PAIR(BGl_string2427z00zzmodule_evalz00, BNIL);
								BgL_list2193z00_1876 =
									MAKE_PAIR(BgL_libz00_83, BgL_arg2195z00_1877);
							}
							return BGl_warningz00zz__errorz00(BgL_list2193z00_1876);
						}
				}
			}
		}
	}



/* set-eval-types! */
	obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t BgL_globalz00_84)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 236 */
			{	/* Module/eval.scm 237 */
				BgL_valuez00_bglt BgL_valz00_1879;

				BgL_valz00_1879 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_84))))->BgL_valuez00);
				{	/* Module/eval.scm 238 */
					bool_t BgL_testz00_3781;

					{	/* Module/eval.scm 238 */
						bool_t BgL_res2395z00_3208;

						BgL_res2395z00_3208 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_valz00_1879), BGl_sfunz00zzast_varz00);
						BgL_testz00_3781 = BgL_res2395z00_3208;
					}
					if (BgL_testz00_3781)
						{	/* Module/eval.scm 238 */
							return BFALSE;
						}
					else
						{	/* Module/eval.scm 239 */
							BgL_typez00_bglt BgL_typez00_1881;

							BgL_typez00_1881 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_84))))->BgL_typez00);
							if ((((obj_t) BgL_typez00_1881) == BGl_za2_za2z00zztype_cachez00))
								{	/* Module/eval.scm 242 */
									BgL_typez00_bglt BgL_vz00_3213;

									BgL_vz00_3213 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
									return
										((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_84))))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_vz00_3213), BUNSPEC);
								}
							else
								{	/* Module/eval.scm 241 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_1881))
										{	/* Module/eval.scm 243 */
											return BFALSE;
										}
									else
										{	/* Module/eval.scm 246 */
											obj_t BgL_arg2200z00_1884;

											BgL_arg2200z00_1884 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_84))))->
												BgL_idz00);
											return
												BGl_errorz00zz__errorz00
												(BGl_string2428z00zzmodule_evalz00,
												BGl_string2429z00zzmodule_evalz00, BgL_arg2200z00_1884);
										}
								}
						}
				}
			}
		}
	}



/* get-evaluated-globals */
	obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 251 */
			{	/* Module/eval.scm 252 */
				obj_t BgL_globalsz00_1885;

				BgL_globalsz00_1885 = MAKE_CELL(BNIL);
				{	/* Module/eval.scm 252 */

					{	/* Module/eval.scm 253 */
						bool_t BgL_testz00_3800;

						if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
							{	/* Module/eval.scm 253 */
								BgL_testz00_3800 = ((bool_t) 1);
							}
						else
							{	/* Module/eval.scm 253 */
								if (CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
									{	/* Module/eval.scm 253 */
										BgL_testz00_3800 = ((bool_t) 1);
									}
								else
									{	/* Module/eval.scm 253 */
										BgL_testz00_3800 =
											CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00);
									}
							}
						if (BgL_testz00_3800)
							{	/* Module/eval.scm 254 */
								obj_t BgL_scopezd2lstzd2_1887;

								if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
									{	/* Module/eval.scm 255 */
										BgL_scopezd2lstzd2_1887 = CNST_TABLE_REF(((long) 22));
									}
								else
									{	/* Module/eval.scm 255 */
										if (CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
											{	/* Module/eval.scm 256 */
												BgL_scopezd2lstzd2_1887 = CNST_TABLE_REF(((long) 23));
											}
										else
											{	/* Module/eval.scm 256 */
												BgL_scopezd2lstzd2_1887 = CNST_TABLE_REF(((long) 24));
									}}
								{	/* Module/eval.scm 260 */
									obj_t BgL_zc3anonymousza32204ze3z83_3361;

									BgL_zc3anonymousza32204ze3z83_3361 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32204ze3ze1zzmodule_evalz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_3361,
										(int) (((long) 0)), BgL_globalsz00_1885);
									PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_3361,
										(int) (((long) 1)), BgL_scopezd2lstzd2_1887);
									BGl_forzd2eachzd2globalz12z12zzast_envz00
										(BgL_zc3anonymousza32204ze3z83_3361, BNIL);
							}}
						else
							{	/* Module/eval.scm 253 */
								BFALSE;
							}
					}
					{
						obj_t BgL_evalzd2exportedzd2_1900;
						obj_t BgL_resz00_1901;

						BgL_evalzd2exportedzd2_1900 =
							BGl_za2evalzd2exportedza2zd2zzmodule_evalz00;
						BgL_resz00_1901 = CELL_REF(BgL_globalsz00_1885);
					BgL_zc3anonymousza32210ze3z83_1902:
						if (NULLP(BgL_evalzd2exportedzd2_1900))
							{	/* Module/eval.scm 266 */
								return BgL_resz00_1901;
							}
						else
							{	/* Module/eval.scm 268 */
								obj_t BgL_varzd2modulezd2posz00_1904;

								BgL_varzd2modulezd2posz00_1904 =
									CAR(BgL_evalzd2exportedzd2_1900);
								{	/* Module/eval.scm 269 */
									obj_t BgL_gz00_1905;

									{	/* Module/eval.scm 269 */
										bool_t BgL_testz00_3824;

										{	/* Module/eval.scm 269 */
											obj_t BgL_pairz00_3231;

											BgL_pairz00_3231 = CDR(BgL_varzd2modulezd2posz00_1904);
											BgL_testz00_3824 = CBOOL(CAR(BgL_pairz00_3231));
										}
										if (BgL_testz00_3824)
											{	/* Module/eval.scm 269 */
												BgL_gz00_1905 =
													BGl_findzd2globalzf2modulez20zzast_envz00(CAR
													(BgL_varzd2modulezd2posz00_1904),
													CAR(CDR(BgL_varzd2modulezd2posz00_1904)));
											}
										else
											{	/* Module/eval.scm 269 */
												BgL_gz00_1905 =
													BGl_findzd2globalzd2zzast_envz00(CAR
													(BgL_varzd2modulezd2posz00_1904), BNIL);
											}
									}
									if (BGl_isazf3zf3zz__objectz00(BgL_gz00_1905,
											BGl_globalz00zzast_varz00))
										{	/* Module/eval.scm 274 */
											if (
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt) BgL_gz00_1905)))->
													BgL_evaluablezf3zf3))
												{	/* Module/eval.scm 291 */
													obj_t BgL_arg2214z00_1908;
													obj_t BgL_arg2215z00_1909;

													BgL_arg2214z00_1908 =
														CDR(BgL_evalzd2exportedzd2_1900);
													BgL_arg2215z00_1909 =
														MAKE_PAIR(BgL_gz00_1905, BgL_resz00_1901);
													{
														obj_t BgL_resz00_3842;
														obj_t BgL_evalzd2exportedzd2_3841;

														BgL_evalzd2exportedzd2_3841 = BgL_arg2214z00_1908;
														BgL_resz00_3842 = BgL_arg2215z00_1909;
														BgL_resz00_1901 = BgL_resz00_3842;
														BgL_evalzd2exportedzd2_1900 =
															BgL_evalzd2exportedzd2_3841;
														goto BgL_zc3anonymousza32210ze3z83_1902;
													}
												}
											else
												{	/* Module/eval.scm 282 */
													{	/* Module/eval.scm 284 */
														obj_t BgL_arg2216z00_1910;
														obj_t BgL_arg2218z00_1911;

														BgL_arg2216z00_1910 =
															BGl_findzd2locationzd2zztools_locationz00(CAR(CDR
																(CDR(BgL_varzd2modulezd2posz00_1904))));
														BgL_arg2218z00_1911 =
															CAR(BgL_varzd2modulezd2posz00_1904);
														{	/* Module/eval.scm 283 */
															obj_t BgL_list2219z00_1912;

															BgL_list2219z00_1912 = MAKE_PAIR(BNIL, BNIL);
															BGl_userzd2errorzf2locationz20zztools_errorz00
																(BgL_arg2216z00_1910,
																BGl_string2430z00zzmodule_evalz00,
																BGl_string2431z00zzmodule_evalz00,
																BgL_arg2218z00_1911, BgL_list2219z00_1912);
														}
													}
													{
														obj_t BgL_evalzd2exportedzd2_3850;

														BgL_evalzd2exportedzd2_3850 =
															CDR(BgL_evalzd2exportedzd2_1900);
														BgL_evalzd2exportedzd2_1900 =
															BgL_evalzd2exportedzd2_3850;
														goto BgL_zc3anonymousza32210ze3z83_1902;
													}
												}
										}
									else
										{	/* Module/eval.scm 274 */
											{	/* Module/eval.scm 276 */
												obj_t BgL_arg2223z00_1915;
												obj_t BgL_arg2224z00_1916;

												BgL_arg2223z00_1915 =
													BGl_findzd2locationzd2zztools_locationz00(CAR(CDR(CDR
															(BgL_varzd2modulezd2posz00_1904))));
												BgL_arg2224z00_1916 =
													CAR(BgL_varzd2modulezd2posz00_1904);
												{	/* Module/eval.scm 275 */
													obj_t BgL_list2225z00_1917;

													BgL_list2225z00_1917 = MAKE_PAIR(BNIL, BNIL);
													BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg2223z00_1915,
														BGl_string2430z00zzmodule_evalz00,
														BGl_string2432z00zzmodule_evalz00,
														BgL_arg2224z00_1916, BgL_list2225z00_1917);
												}
											}
											{
												obj_t BgL_evalzd2exportedzd2_3859;

												BgL_evalzd2exportedzd2_3859 =
													CDR(BgL_evalzd2exportedzd2_1900);
												BgL_evalzd2exportedzd2_1900 =
													BgL_evalzd2exportedzd2_3859;
												goto BgL_zc3anonymousza32210ze3z83_1902;
											}
										}
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:2204> */
	obj_t BGl_z62zc3anonymousza32204ze3ze1zzmodule_evalz00(obj_t BgL_envz00_3362,
		obj_t BgL_gz00_3365)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 259 */
			{	/* Module/eval.scm 260 */
				obj_t BgL_globalsz00_3363;
				obj_t BgL_scopezd2lstzd2_3364;

				BgL_globalsz00_3363 =
					PROCEDURE_REF(BgL_envz00_3362, (int) (((long) 0)));
				BgL_scopezd2lstzd2_3364 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3362, (int) (((long) 1))));
				{
					obj_t BgL_gz00_1890;

					BgL_gz00_1890 = BgL_gz00_3365;
					{	/* Module/eval.scm 260 */
						bool_t BgL_testz00_3866;

						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_gz00_1890)))->BgL_importz00),
									BgL_scopezd2lstzd2_3364)))
							{	/* Module/eval.scm 260 */
								if (
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_gz00_1890)))->
										BgL_evaluablezf3zf3))
									{	/* Module/eval.scm 262 */
										obj_t BgL__ortest_1106z00_1895;

										BgL__ortest_1106z00_1895 =
											BGl_za2libzd2modeza2zd2zzengine_paramz00;
										if (CBOOL(BgL__ortest_1106z00_1895))
											{	/* Module/eval.scm 262 */
												BgL_testz00_3866 = CBOOL(BgL__ortest_1106z00_1895);
											}
										else
											{	/* Module/eval.scm 262 */
												if (CBOOL(
														(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_gz00_1890)))->
															BgL_libraryz00)))
													{	/* Module/eval.scm 262 */
														BgL_testz00_3866 = ((bool_t) 0);
													}
												else
													{	/* Module/eval.scm 262 */
														BgL_testz00_3866 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Module/eval.scm 261 */
										BgL_testz00_3866 = ((bool_t) 0);
									}
							}
						else
							{	/* Module/eval.scm 260 */
								BgL_testz00_3866 = ((bool_t) 0);
							}
						if (BgL_testz00_3866)
							{	/* Module/eval.scm 263 */
								obj_t BgL_auxz00_3366;

								BgL_auxz00_3366 =
									MAKE_PAIR(BgL_gz00_1890, CELL_REF(BgL_globalsz00_3363));
								return CELL_SET(BgL_globalsz00_3363, BgL_auxz00_3366);
							}
						else
							{	/* Module/eval.scm 260 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* get-eval-srfi-libraries */
	obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 302 */
			{	/* Module/eval.scm 303 */
				obj_t BgL_l1995z00_1926;

				BgL_l1995z00_1926 = BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1995z00_1926))
					{	/* Module/eval.scm 303 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 303 */
						obj_t BgL_head1997z00_1928;

						{	/* Module/eval.scm 303 */
							obj_t BgL_res2403z00_3264;

							BgL_res2403z00_3264 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1997z00_1928 = BgL_res2403z00_3264;
						}
						{
							obj_t BgL_l1995z00_1930;
							obj_t BgL_tail1998z00_1931;

							BgL_l1995z00_1930 = BgL_l1995z00_1926;
							BgL_tail1998z00_1931 = BgL_head1997z00_1928;
						BgL_zc3anonymousza32235ze3z83_1932:
							if (NULLP(BgL_l1995z00_1930))
								{	/* Module/eval.scm 303 */
									return CDR(BgL_head1997z00_1928);
								}
							else
								{	/* Module/eval.scm 303 */
									obj_t BgL_newtail1999z00_1934;

									{	/* Module/eval.scm 303 */
										obj_t BgL_arg2238z00_1936;

										{	/* Module/eval.scm 303 */
											obj_t BgL_lz00_1937;

											BgL_lz00_1937 = CAR(BgL_l1995z00_1930);
											{	/* Module/eval.scm 305 */
												obj_t BgL_arg2239z00_1938;

												{	/* Module/eval.scm 305 */
													obj_t BgL_arg2240z00_1939;

													{	/* Module/eval.scm 305 */
														obj_t BgL_arg2241z00_1940;

														{	/* Module/eval.scm 305 */
															obj_t BgL_arg2243z00_1941;

															{	/* Module/eval.scm 305 */
																obj_t BgL_arg2244z00_1942;

																BgL_arg2244z00_1942 =
																	MAKE_PAIR(BgL_lz00_1937, BNIL);
																BgL_arg2243z00_1941 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																	BgL_arg2244z00_1942);
															}
															BgL_arg2241z00_1940 =
																MAKE_PAIR(BgL_arg2243z00_1941, BNIL);
														}
														BgL_arg2240z00_1939 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 25)),
															BgL_arg2241z00_1940);
													}
													BgL_arg2239z00_1938 =
														MAKE_PAIR(BgL_arg2240z00_1939, BNIL);
												}
												BgL_arg2238z00_1936 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
													BgL_arg2239z00_1938);
										}}
										{	/* Module/eval.scm 303 */
											obj_t BgL_res2405z00_3271;

											BgL_res2405z00_3271 =
												MAKE_PAIR(BgL_arg2238z00_1936, BNIL);
											BgL_newtail1999z00_1934 = BgL_res2405z00_3271;
									}}
									SET_CDR(BgL_tail1998z00_1931, BgL_newtail1999z00_1934);
									{
										obj_t BgL_tail1998z00_3903;
										obj_t BgL_l1995z00_3901;

										BgL_l1995z00_3901 = CDR(BgL_l1995z00_1930);
										BgL_tail1998z00_3903 = BgL_newtail1999z00_1934;
										BgL_tail1998z00_1931 = BgL_tail1998z00_3903;
										BgL_l1995z00_1930 = BgL_l1995z00_3901;
										goto BgL_zc3anonymousza32235ze3z83_1932;
									}
								}
						}
					}
			}
		}
	}



/* get-evaluated-class-macros */
	obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 311 */
			{	/* Module/eval.scm 312 */
				obj_t BgL_l2000z00_1944;

				BgL_l2000z00_1944 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l2000z00_1944))
					{	/* Module/eval.scm 312 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 312 */
						obj_t BgL_head2002z00_1946;

						{	/* Module/eval.scm 312 */
							obj_t BgL_res2407z00_3279;

							BgL_res2407z00_3279 = MAKE_PAIR(BNIL, BNIL);
							BgL_head2002z00_1946 = BgL_res2407z00_3279;
						}
						{
							obj_t BgL_l2000z00_1948;
							obj_t BgL_tail2003z00_1949;

							BgL_l2000z00_1948 = BgL_l2000z00_1944;
							BgL_tail2003z00_1949 = BgL_head2002z00_1946;
						BgL_zc3anonymousza32246ze3z83_1950:
							if (NULLP(BgL_l2000z00_1948))
								{	/* Module/eval.scm 312 */
									return CDR(BgL_head2002z00_1946);
								}
							else
								{	/* Module/eval.scm 312 */
									obj_t BgL_newtail2004z00_1952;

									{	/* Module/eval.scm 312 */
										obj_t BgL_arg2249z00_1954;

										{	/* Module/eval.scm 312 */
											obj_t BgL_sz00_1955;

											BgL_sz00_1955 = CAR(BgL_l2000z00_1948);
											{	/* Module/eval.scm 313 */
												BgL_typez00_bglt BgL_tz00_1956;

												BgL_tz00_1956 =
													BGl_findzd2typezf2locationz20zztype_envz00(CAR(CDR
														(BgL_sz00_1955)),
													BGl_findzd2locationzd2zztools_locationz00
													(BgL_sz00_1955));
												{	/* Module/eval.scm 315 */
													BgL_globalz00_bglt BgL_holderz00_1959;

													{
														BgL_tclassz00_bglt BgL_auxz00_3915;

														{
															obj_t BgL_auxz00_3916;

															{	/* Module/eval.scm 316 */
																BgL_objectz00_bglt BgL_auxz00_3917;

																BgL_auxz00_3917 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_tz00_1956));
																BgL_auxz00_3916 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3917);
															}
															BgL_auxz00_3915 =
																((BgL_tclassz00_bglt) BgL_auxz00_3916);
														}
														BgL_holderz00_1959 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3915))->
															BgL_holderz00);
													}
													{	/* Module/eval.scm 316 */
														obj_t BgL_holderez00_1960;

														{	/* Module/eval.scm 317 */
															obj_t BgL_arg2266z00_1976;

															{	/* Module/eval.scm 317 */
																obj_t BgL_arg2267z00_1977;
																obj_t BgL_arg2268z00_1978;

																BgL_arg2267z00_1977 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_holderz00_1959)))->BgL_idz00);
																BgL_arg2268z00_1978 =
																	MAKE_PAIR((((BgL_globalz00_bglt)
																			CREF(BgL_holderz00_1959))->BgL_modulez00),
																	BNIL);
																BgL_arg2266z00_1976 =
																	MAKE_PAIR(BgL_arg2267z00_1977,
																	BgL_arg2268z00_1978);
															}
															BgL_holderez00_1960 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg2266z00_1976);
														}
														{	/* Module/eval.scm 317 */

															{	/* Module/eval.scm 319 */
																obj_t BgL_arg2250z00_1961;

																{	/* Module/eval.scm 319 */
																	obj_t BgL_arg2251z00_1962;
																	obj_t BgL_arg2252z00_1963;

																	{	/* Module/eval.scm 319 */
																		bool_t BgL_testz00_3930;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3931;

																			{
																				obj_t BgL_auxz00_3932;

																				{	/* Module/eval.scm 319 */
																					BgL_objectz00_bglt BgL_auxz00_3933;

																					BgL_auxz00_3933 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt) BgL_tz00_1956));
																					BgL_auxz00_3932 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_3933);
																				}
																				BgL_auxz00_3931 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3932);
																			}
																			BgL_testz00_3930 =
																				(((BgL_tclassz00_bglt)
																					CREF(BgL_auxz00_3931))->
																				BgL_abstractzf3zf3);
																		}
																		if (BgL_testz00_3930)
																			{	/* Module/eval.scm 319 */
																				BgL_arg2251z00_1962 = BUNSPEC;
																			}
																		else
																			{	/* Module/eval.scm 322 */
																				obj_t BgL_arg2254z00_1965;

																				{	/* Module/eval.scm 322 */
																					obj_t BgL_arg2255z00_1966;
																					obj_t BgL_arg2256z00_1967;

																					{	/* Module/eval.scm 322 */
																						obj_t BgL_arg2257z00_1968;

																						BgL_arg2257z00_1968 =
																							MAKE_PAIR(BgL_holderez00_1960,
																							BNIL);
																						BgL_arg2255z00_1966 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									26)), BgL_arg2257z00_1968);
																					}
																					{	/* Module/eval.scm 323 */
																						obj_t BgL_arg2259z00_1969;

																						{	/* Module/eval.scm 323 */
																							obj_t BgL_arg2260z00_1970;

																							BgL_arg2260z00_1970 =
																								MAKE_PAIR(BgL_holderez00_1960,
																								BNIL);
																							BgL_arg2259z00_1969 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										27)), BgL_arg2260z00_1970);
																						}
																						BgL_arg2256z00_1967 =
																							MAKE_PAIR(BgL_arg2259z00_1969,
																							BNIL);
																					}
																					BgL_arg2254z00_1965 =
																						MAKE_PAIR(BgL_arg2255z00_1966,
																						BgL_arg2256z00_1967);
																				}
																				BgL_arg2251z00_1962 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																					BgL_arg2254z00_1965);
																	}}
																	{	/* Module/eval.scm 324 */
																		obj_t BgL_arg2261z00_1971;
																		obj_t BgL_arg2262z00_1972;

																		{	/* Module/eval.scm 324 */
																			obj_t BgL_arg2263z00_1973;

																			BgL_arg2263z00_1973 =
																				MAKE_PAIR(BgL_holderez00_1960, BNIL);
																			BgL_arg2261z00_1971 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 28)),
																				BgL_arg2263z00_1973);
																		}
																		{	/* Module/eval.scm 325 */
																			obj_t BgL_arg2264z00_1974;

																			{	/* Module/eval.scm 325 */
																				obj_t BgL_arg2265z00_1975;

																				BgL_arg2265z00_1975 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2264z00_1974 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																					BgL_arg2265z00_1975);
																			}
																			BgL_arg2262z00_1972 =
																				MAKE_PAIR(BgL_arg2264z00_1974, BNIL);
																		}
																		BgL_arg2252z00_1963 =
																			MAKE_PAIR(BgL_arg2261z00_1971,
																			BgL_arg2262z00_1972);
																	}
																	BgL_arg2250z00_1961 =
																		MAKE_PAIR(BgL_arg2251z00_1962,
																		BgL_arg2252z00_1963);
																}
																BgL_arg2249z00_1954 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																	BgL_arg2250z00_1961);
										}}}}}}
										{	/* Module/eval.scm 312 */
											obj_t BgL_res2415z00_3311;

											BgL_res2415z00_3311 =
												MAKE_PAIR(BgL_arg2249z00_1954, BNIL);
											BgL_newtail2004z00_1952 = BgL_res2415z00_3311;
									}}
									SET_CDR(BgL_tail2003z00_1949, BgL_newtail2004z00_1952);
									{
										obj_t BgL_tail2003z00_3964;
										obj_t BgL_l2000z00_3962;

										BgL_l2000z00_3962 = CDR(BgL_l2000z00_1948);
										BgL_tail2003z00_3964 = BgL_newtail2004z00_1952;
										BgL_tail2003z00_1949 = BgL_tail2003z00_3964;
										BgL_l2000z00_1948 = BgL_l2000z00_3962;
										goto BgL_zc3anonymousza32246ze3z83_1950;
									}
								}
						}
					}
			}
		}
	}



/* get-evaluated-class-holders */
	obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 331 */
			{	/* Module/eval.scm 332 */
				obj_t BgL_l2005z00_1984;

				BgL_l2005z00_1984 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l2005z00_1984))
					{	/* Module/eval.scm 332 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 332 */
						obj_t BgL_head2007z00_1986;

						{	/* Module/eval.scm 332 */
							obj_t BgL_res2417z00_3319;

							BgL_res2417z00_3319 = MAKE_PAIR(BNIL, BNIL);
							BgL_head2007z00_1986 = BgL_res2417z00_3319;
						}
						{
							obj_t BgL_l2005z00_1988;
							obj_t BgL_tail2008z00_1989;

							BgL_l2005z00_1988 = BgL_l2005z00_1984;
							BgL_tail2008z00_1989 = BgL_head2007z00_1986;
						BgL_zc3anonymousza32274ze3z83_1990:
							if (NULLP(BgL_l2005z00_1988))
								{	/* Module/eval.scm 332 */
									return CDR(BgL_head2007z00_1986);
								}
							else
								{	/* Module/eval.scm 332 */
									obj_t BgL_newtail2009z00_1992;

									{	/* Module/eval.scm 332 */
										BgL_globalz00_bglt BgL_arg2277z00_1994;

										{	/* Module/eval.scm 332 */
											obj_t BgL_sz00_1995;

											BgL_sz00_1995 = CAR(BgL_l2005z00_1988);
											{	/* Module/eval.scm 333 */
												BgL_typez00_bglt BgL_tz00_1996;

												BgL_tz00_1996 =
													BGl_findzd2typezf2locationz20zztype_envz00(CAR(CDR
														(BgL_sz00_1995)),
													BGl_findzd2locationzd2zztools_locationz00
													(BgL_sz00_1995));
												{
													BgL_tclassz00_bglt BgL_auxz00_3976;

													{
														obj_t BgL_auxz00_3977;

														{	/* Module/eval.scm 334 */
															BgL_objectz00_bglt BgL_auxz00_3978;

															BgL_auxz00_3978 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_tz00_1996));
															BgL_auxz00_3977 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3978);
														}
														BgL_auxz00_3976 =
															((BgL_tclassz00_bglt) BgL_auxz00_3977);
													}
													BgL_arg2277z00_1994 =
														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3976))->
														BgL_holderz00);
												}
											}
										}
										{	/* Module/eval.scm 332 */
											obj_t BgL_res2420z00_3333;

											BgL_res2420z00_3333 =
												MAKE_PAIR(((obj_t) BgL_arg2277z00_1994), BNIL);
											BgL_newtail2009z00_1992 = BgL_res2420z00_3333;
										}
									}
									SET_CDR(BgL_tail2008z00_1989, BgL_newtail2009z00_1992);
									{
										obj_t BgL_tail2008z00_3989;
										obj_t BgL_l2005z00_3987;

										BgL_l2005z00_3987 = CDR(BgL_l2005z00_1988);
										BgL_tail2008z00_3989 = BgL_newtail2009z00_1992;
										BgL_tail2008z00_1989 = BgL_tail2008z00_3989;
										BgL_l2005z00_1988 = BgL_l2005z00_3987;
										goto BgL_zc3anonymousza32274ze3z83_1990;
									}
								}
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 374700232),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2433z00zzmodule_evalz00));
		}
	}

#ifdef __cplusplus
}
#endif
