/*===========================================================================*/
/*   (Reduce/1occ.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/1occ.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2letzd2fun1902za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd21occz12zd2boxzd2setz121912zb0zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_1occz00();
	static obj_t BGl_z62nodezd21occz12zd2makezd2box1910za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2letzd2var1904za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2cast1892z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2setq1894z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd21occz12zd2funcall1886z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
	static obj_t BGl_z62nodezd21occz12zd2appzd2ly1884za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1908z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd21occz12zd2sequence1880z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2extern1888z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_1occz00 = BUNSPEC;
	static obj_t BGl_z62nodezd21occz12zd2var1876z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd21occz12zd2app1916z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_1occz00();
	static obj_t BGl_z62nodezd21occz12zd2atom1872z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzreduce_1occz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd21occz12zd2kwote1874z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2private1890z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2select1900z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2boxzd2ref1914za2zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd21occz12zd2sync1882z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd21occz12zd2fail1898z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_z62nodezd21occz121868za2zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_1occz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
	extern obj_t BGl_privatez00zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2condition1896z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	static long BGl_za2variablezd2removedza2zd2zzreduce_1occz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd21occz12zd2closure1878z70zzreduce_1occz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_z62nodezd21occz12zd2setzd2exzd2it1906z70zzreduce_1occz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string2157z00zzreduce_1occz00,
		BgL_bgl_string2157za700za7za7r2190za7, "      single occurrence", 23);
	      DEFINE_STRING(BGl_string2158z00zzreduce_1occz00,
		BgL_bgl_string2158za700za7za7r2191za7, "      (removed: ", 16);
	      DEFINE_STRING(BGl_string2160z00zzreduce_1occz00,
		BgL_bgl_string2160za700za7za7r2192za7, "node-1occ!1868", 14);
	      DEFINE_STRING(BGl_string2161z00zzreduce_1occz00,
		BgL_bgl_string2161za700za7za7r2193za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2163z00zzreduce_1occz00,
		BgL_bgl_string2163za700za7za7r2194za7, "node-1occ!", 10);
	      DEFINE_STRING(BGl_string2186z00zzreduce_1occz00,
		BgL_bgl_string2186za700za7za7r2195za7, "reduce_1occ", 11);
	      DEFINE_STRING(BGl_string2187z00zzreduce_1occz00,
		BgL_bgl_string2187za700za7za7r2196za7, "node-1occ!1868 read ", 20);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712197za7,
		BGl_z62nodezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712198za7,
		BGl_z62nodezd21occz121868za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712199za7,
		BGl_z62nodezd21occz12zd2atom1872z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712200za7,
		BGl_z62nodezd21occz12zd2kwote1874z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712201za7,
		BGl_z62nodezd21occz12zd2var1876z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712202za7,
		BGl_z62nodezd21occz12zd2closure1878z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712203za7,
		BGl_z62nodezd21occz12zd2sequence1880z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712204za7,
		BGl_z62nodezd21occz12zd2sync1882z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712205za7,
		BGl_z62nodezd21occz12zd2appzd2ly1884za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712206za7,
		BGl_z62nodezd21occz12zd2funcall1886z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712207za7,
		BGl_z62nodezd21occz12zd2extern1888z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712208za7,
		BGl_z62nodezd21occz12zd2private1890z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712209za7,
		BGl_z62nodezd21occz12zd2cast1892z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712210za7,
		BGl_z62nodezd21occz12zd2setq1894z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd21occz12zd2envz12zzreduce_1occz00,
		BgL_bgl_za762reduceza7d21occ2211z00,
		BGl_z62reducezd21occz12za2zzreduce_1occz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712212za7,
		BGl_z62nodezd21occz12zd2condition1896z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712213za7,
		BGl_z62nodezd21occz12zd2fail1898z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712214za7,
		BGl_z62nodezd21occz12zd2select1900z70zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712215za7,
		BGl_z62nodezd21occz12zd2letzd2fun1902za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712216za7,
		BGl_z62nodezd21occz12zd2letzd2var1904za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712217za7,
		BGl_z62nodezd21occz12zd2setzd2exzd2it1906z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712218za7,
		BGl_z62nodezd21occz12zd2jumpzd2exzd2i1908z70zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712219za7,
		BGl_z62nodezd21occz12zd2makezd2box1910za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712220za7,
		BGl_z62nodezd21occz12zd2boxzd2setz121912zb0zzreduce_1occz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712221za7,
		BGl_z62nodezd21occz12zd2boxzd2ref1914za2zzreduce_1occz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzreduce_1occz00,
		BgL_bgl_za762nodeza7d21occza712222za7,
		BGl_z62nodezd21occz12zd2app1916z70zzreduce_1occz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long
		BgL_checksumz00_2835, char *BgL_fromz00_2836)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_1occz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_1occz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
					BGl_cnstzd2initzd2zzreduce_1occz00();
					BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
					BGl_genericzd2initzd2zzreduce_1occz00();
					BGl_methodzd2initzd2zzreduce_1occz00();
					BGl_toplevelzd2initzd2zzreduce_1occz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_1occ");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"reduce_1occ");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			{	/* Reduce/1occ.scm 16 */
				obj_t BgL_cportz00_2827;

				BgL_cportz00_2827 =
					bgl_open_input_string(BGl_string2187z00zzreduce_1occz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2828;

					BgL_iz00_2828 = ((long) 1);
				BgL_loopz00_2829:
					if ((BgL_iz00_2828 == ((long) -1)))
						{	/* Reduce/1occ.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/1occ.scm 16 */
							{	/* Reduce/1occ.scm 16 */
								obj_t BgL_arg2189z00_2831;

								{	/* Reduce/1occ.scm 16 */

									{	/* Reduce/1occ.scm 16 */
										obj_t BgL_locationz00_2833;

										BgL_locationz00_2833 = BBOOL(((bool_t) 0));
										{	/* Reduce/1occ.scm 16 */

											BgL_arg2189z00_2831 =
												BGl_readz00zz__readerz00(BgL_cportz00_2827,
												BgL_locationz00_2833);
										}
									}
								}
								{	/* Reduce/1occ.scm 16 */
									int BgL_auxz00_2859;

									BgL_auxz00_2859 = (int) (BgL_iz00_2828);
									CNST_TABLE_SET(BgL_auxz00_2859, BgL_arg2189z00_2831);
							}}
							{	/* Reduce/1occ.scm 16 */
								int BgL_auxz00_2834;

								BgL_auxz00_2834 = (int) ((BgL_iz00_2828 - ((long) 1)));
								{
									long BgL_iz00_2864;

									BgL_iz00_2864 = (long) (BgL_auxz00_2834);
									BgL_iz00_2828 = BgL_iz00_2864;
									goto BgL_loopz00_2829;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_1occz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1253;

				BgL_headz00_1253 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1254;
					obj_t BgL_tailz00_1255;

					BgL_prevz00_1254 = BgL_headz00_1253;
					BgL_tailz00_1255 = BgL_l1z00_1;
				BgL_loopz00_1256:
					if (PAIRP(BgL_tailz00_1255))
						{
							obj_t BgL_newzd2prevzd2_1258;

							BgL_newzd2prevzd2_1258 =
								MAKE_PAIR(CAR(BgL_tailz00_1255), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1254, BgL_newzd2prevzd2_1258);
							{
								obj_t BgL_tailz00_2873;
								obj_t BgL_prevz00_2872;

								BgL_prevz00_2872 = BgL_newzd2prevzd2_1258;
								BgL_tailz00_2873 = CDR(BgL_tailz00_1255);
								BgL_tailz00_1255 = BgL_tailz00_2873;
								BgL_prevz00_1254 = BgL_prevz00_2872;
								goto BgL_loopz00_1256;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1253);
				}
			}
		}
	}



/* reduce-1occ! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 36 */
			{	/* Reduce/1occ.scm 37 */
				obj_t BgL_list1920z00_1261;

				BgL_list1920z00_1261 =
					MAKE_PAIR(BGl_string2157z00zzreduce_1occz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1920z00_1261);
			}
			BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_3);
			BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long) 0);
			{
				obj_t BgL_l1814z00_1263;

				BgL_l1814z00_1263 = BgL_globalsz00_3;
			BgL_zc3anonymousza31921ze3z83_1264:
				if (PAIRP(BgL_l1814z00_1263))
					{	/* Reduce/1occ.scm 43 */
						{	/* Reduce/1occ.scm 44 */
							obj_t BgL_globalz00_1266;

							BgL_globalz00_1266 = CAR(BgL_l1814z00_1263);
							{	/* Reduce/1occ.scm 44 */
								BgL_valuez00_bglt BgL_funz00_1267;

								BgL_funz00_1267 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1266))))->
									BgL_valuez00);
								{	/* Reduce/1occ.scm 44 */
									obj_t BgL_nodez00_1268;

									BgL_nodez00_1268 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1267)))->BgL_bodyz00);
									{	/* Reduce/1occ.scm 45 */

										{	/* Reduce/1occ.scm 46 */
											obj_t BgL_arg1923z00_1269;

											{	/* Reduce/1occ.scm 46 */
												obj_t BgL__z00_1270;

												BgL__z00_1270 =
													BGl_nodezd21occz12zc0zzreduce_1occz00(
													((BgL_nodez00_bglt) BgL_nodez00_1268), BNIL);
												{	/* Reduce/1occ.scm 47 */
													obj_t BgL_nodez00_1271;

													{	/* Reduce/1occ.scm 47 */
														int BgL_auxz00_2890;

														BgL_auxz00_2890 = (int) (((long) 1));
														BgL_nodez00_1271 = BGL_MVALUES_VAL(BgL_auxz00_2890);
													}
													BgL_arg1923z00_1269 = BgL_nodez00_1271;
											}}
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1267)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1923z00_1269), BUNSPEC);
										} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1814z00_2895;

							BgL_l1814z00_2895 = CDR(BgL_l1814z00_1263);
							BgL_l1814z00_1263 = BgL_l1814z00_2895;
							goto BgL_zc3anonymousza31921ze3z83_1264;
						}
					}
				else
					{	/* Reduce/1occ.scm 43 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/1occ.scm 51 */
				obj_t BgL_list1926z00_1274;

				{	/* Reduce/1occ.scm 51 */
					obj_t BgL_arg1927z00_1275;

					{	/* Reduce/1occ.scm 51 */
						obj_t BgL_arg1928z00_1276;

						{	/* Reduce/1occ.scm 51 */
							obj_t BgL_arg1929z00_1277;

							BgL_arg1929z00_1277 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1928z00_1276 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg1929z00_1277);
						}
						BgL_arg1927z00_1275 =
							MAKE_PAIR(BINT(BGl_za2variablezd2removedza2zd2zzreduce_1occz00),
							BgL_arg1928z00_1276);
					}
					BgL_list1926z00_1274 =
						MAKE_PAIR(BGl_string2158z00zzreduce_1occz00, BgL_arg1927z00_1275);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1926z00_1274);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-1occ! */
	obj_t BGl_z62reducezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2726,
		obj_t BgL_globalsz00_2727)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 36 */
			return BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_2727);
		}
	}



/* node-1occ-let-var! */
	obj_t BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00(BgL_letzd2varzd2_bglt
		BgL_nodez00_40, obj_t BgL_1zd2expza2z70_41)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 277 */
			{
				obj_t BgL_obindingsz00_1282;
				bool_t BgL_resetz00_1283;
				obj_t BgL_extendz00_1284;

				BgL_obindingsz00_1282 =
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_40))->BgL_bindingsz00);
				BgL_resetz00_1283 = ((bool_t) 0);
				BgL_extendz00_1284 = BNIL;
			BgL_zc3anonymousza31931ze3z83_1285:
				if (NULLP(BgL_obindingsz00_1282))
					{	/* Reduce/1occ.scm 283 */
						bool_t BgL_testz00_2909;

						if (BgL_resetz00_1283)
							{	/* Reduce/1occ.scm 283 */
								BgL_testz00_2909 = ((bool_t) 1);
							}
						else
							{	/* Reduce/1occ.scm 283 */
								BgL_testz00_2909 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_40))->
										BgL_bodyz00));
							}
						if (BgL_testz00_2909)
							{	/* Reduce/1occ.scm 284 */
								obj_t BgL_resetz72z72_1288;

								BgL_resetz72z72_1288 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_40))->BgL_bodyz00),
									BNIL);
								{	/* Reduce/1occ.scm 285 */
									obj_t BgL_nbodyz00_1289;

									{	/* Reduce/1occ.scm 286 */
										int BgL_auxz00_2915;

										BgL_auxz00_2915 = (int) (((long) 1));
										BgL_nbodyz00_1289 = BGL_MVALUES_VAL(BgL_auxz00_2915);
									}
									((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_40))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1289)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 287 */
										int BgL_res2099z00_2430;

										{	/* Reduce/1occ.scm 287 */
											int BgL_auxz00_2920;

											BgL_auxz00_2920 = (int) (((long) 2));
											BgL_res2099z00_2430 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2920);
										} BgL_res2099z00_2430;
									}
									{	/* Reduce/1occ.scm 287 */
										obj_t BgL_auxz00_2925;
										int BgL_auxz00_2923;

										BgL_auxz00_2925 = ((obj_t) BgL_nodez00_40);
										BgL_auxz00_2923 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_2923, BgL_auxz00_2925);
									}
									return BTRUE;
								}
							}
						else
							{	/* Reduce/1occ.scm 288 */
								obj_t BgL_1zd2expza2z72z02_1293;

								BgL_1zd2expza2z72z02_1293 =
									BGl_appendzd221011zd2zzreduce_1occz00(BgL_extendz00_1284,
									BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 289 */
									obj_t BgL_resetz72z72_1294;

									BgL_resetz72z72_1294 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_40))->
											BgL_bodyz00), BgL_1zd2expza2z72z02_1293);
									{	/* Reduce/1occ.scm 290 */
										obj_t BgL_nbodyz00_1295;

										{	/* Reduce/1occ.scm 291 */
											int BgL_auxz00_2931;

											BgL_auxz00_2931 = (int) (((long) 1));
											BgL_nbodyz00_1295 = BGL_MVALUES_VAL(BgL_auxz00_2931);
										}
										((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_40))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nbodyz00_1295)), BUNSPEC);
										{
											obj_t BgL_obindingsz00_1299;
											obj_t BgL_nbindingsz00_1300;

											BgL_obindingsz00_1299 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_40))->
												BgL_bindingsz00);
											BgL_nbindingsz00_1300 = BNIL;
										BgL_zc3anonymousza31936ze3z83_1301:
											if (NULLP(BgL_obindingsz00_1299))
												{	/* Reduce/1occ.scm 298 */
													bool_t BgL_testz00_2938;

													if (
														(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_40))->
															BgL_removablezf3zf3))
														{	/* Reduce/1occ.scm 298 */
															BgL_testz00_2938 = NULLP(BgL_nbindingsz00_1300);
														}
													else
														{	/* Reduce/1occ.scm 298 */
															BgL_testz00_2938 = ((bool_t) 0);
														}
													if (BgL_testz00_2938)
														{	/* Reduce/1occ.scm 298 */
															{	/* Reduce/1occ.scm 304 */
																BgL_nodez00_bglt BgL_val1_1851z00_1305;

																BgL_val1_1851z00_1305 =
																	(((BgL_letzd2varzd2_bglt)
																		CREF(BgL_nodez00_40))->BgL_bodyz00);
																{	/* Reduce/1occ.scm 304 */
																	int BgL_res2102z00_2439;

																	{	/* Reduce/1occ.scm 304 */
																		int BgL_auxz00_2943;

																		BgL_auxz00_2943 = (int) (((long) 2));
																		BgL_res2102z00_2439 =
																			BGL_MVALUES_NUMBER_SET(BgL_auxz00_2943);
																	} BgL_res2102z00_2439;
																}
																{	/* Reduce/1occ.scm 304 */
																	obj_t BgL_auxz00_2948;
																	int BgL_auxz00_2946;

																	BgL_auxz00_2948 =
																		((obj_t) BgL_val1_1851z00_1305);
																	BgL_auxz00_2946 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_auxz00_2946,
																		BgL_auxz00_2948);
																}
																return BgL_resetz72z72_1294;
															}
														}
													else
														{	/* Reduce/1occ.scm 298 */
															((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_40))->
																	BgL_bindingsz00) =
																((obj_t)
																	bgl_reverse_bang(BgL_nbindingsz00_1300)),
																BUNSPEC);
															{	/* Reduce/1occ.scm 307 */
																int BgL_res2103z00_2443;

																{	/* Reduce/1occ.scm 307 */
																	int BgL_auxz00_2953;

																	BgL_auxz00_2953 = (int) (((long) 2));
																	BgL_res2103z00_2443 =
																		BGL_MVALUES_NUMBER_SET(BgL_auxz00_2953);
																} BgL_res2103z00_2443;
															}
															{	/* Reduce/1occ.scm 307 */
																obj_t BgL_auxz00_2958;
																int BgL_auxz00_2956;

																BgL_auxz00_2958 = ((obj_t) BgL_nodez00_40);
																BgL_auxz00_2956 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_auxz00_2956,
																	BgL_auxz00_2958);
															}
															return BgL_resetz72z72_1294;
														}
												}
											else
												{	/* Reduce/1occ.scm 308 */
													bool_t BgL_testz00_2961;

													{	/* Reduce/1occ.scm 308 */
														obj_t BgL_varz00_1314;
														obj_t BgL_valz00_1315;

														BgL_varz00_1314 = CAR(CAR(BgL_obindingsz00_1299));
														BgL_valz00_1315 = CDR(CAR(BgL_obindingsz00_1299));
														if (
															((((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1314))))->
																	BgL_occurrencez00) == ((long) 0)))
															{	/* Reduce/1occ.scm 310 */
																if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
																		((BgL_nodez00_bglt) BgL_valz00_1315)))
																	{	/* Reduce/1occ.scm 311 */
																		BgL_testz00_2961 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/1occ.scm 311 */
																		BgL_testz00_2961 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/1occ.scm 310 */
																BgL_testz00_2961 = ((bool_t) 0);
															}
													}
													if (BgL_testz00_2961)
														{	/* Reduce/1occ.scm 308 */
															{
																obj_t BgL_obindingsz00_2974;

																BgL_obindingsz00_2974 =
																	CDR(BgL_obindingsz00_1299);
																BgL_obindingsz00_1299 = BgL_obindingsz00_2974;
																goto BgL_zc3anonymousza31936ze3z83_1301;
															}
														}
													else
														{	/* Reduce/1occ.scm 318 */
															obj_t BgL_arg1942z00_1311;
															obj_t BgL_arg1943z00_1312;

															BgL_arg1942z00_1311 = CDR(BgL_obindingsz00_1299);
															BgL_arg1943z00_1312 =
																MAKE_PAIR(CAR(BgL_obindingsz00_1299),
																BgL_nbindingsz00_1300);
															{
																obj_t BgL_nbindingsz00_2980;
																obj_t BgL_obindingsz00_2979;

																BgL_obindingsz00_2979 = BgL_arg1942z00_1311;
																BgL_nbindingsz00_2980 = BgL_arg1943z00_1312;
																BgL_nbindingsz00_1300 = BgL_nbindingsz00_2980;
																BgL_obindingsz00_1299 = BgL_obindingsz00_2979;
																goto BgL_zc3anonymousza31936ze3z83_1301;
															}
														}
												}
										}
									}
								}
							}
					}
				else
					{	/* Reduce/1occ.scm 320 */
						obj_t BgL_bindingz00_1324;

						BgL_bindingz00_1324 = CAR(BgL_obindingsz00_1282);
						{	/* Reduce/1occ.scm 321 */
							obj_t BgL_varz00_1325;
							obj_t BgL_valz00_1326;

							BgL_varz00_1325 = CAR(BgL_bindingz00_1324);
							BgL_valz00_1326 = CDR(BgL_bindingz00_1324);
							{	/* Reduce/1occ.scm 323 */
								obj_t BgL_resetz72z72_1327;

								BgL_resetz72z72_1327 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									((BgL_nodez00_bglt) BgL_valz00_1326), BgL_1zd2expza2z70_41);
								{	/* Reduce/1occ.scm 324 */
									obj_t BgL_nvalz00_1328;

									{	/* Reduce/1occ.scm 325 */
										int BgL_auxz00_2987;

										BgL_auxz00_2987 = (int) (((long) 1));
										BgL_nvalz00_1328 = BGL_MVALUES_VAL(BgL_auxz00_2987);
									}
									SET_CDR(BgL_bindingz00_1324, BgL_nvalz00_1328);
									{	/* Reduce/1occ.scm 327 */
										bool_t BgL_testz00_2991;

										if (BgL_resetz00_1283)
											{	/* Reduce/1occ.scm 327 */
												BgL_testz00_2991 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 327 */
												BgL_testz00_2991 = CBOOL(BgL_resetz72z72_1327);
											}
										if (BgL_testz00_2991)
											{
												obj_t BgL_extendz00_2997;
												bool_t BgL_resetz00_2996;
												obj_t BgL_obindingsz00_2994;

												BgL_obindingsz00_2994 = CDR(BgL_obindingsz00_1282);
												BgL_resetz00_2996 = ((bool_t) 1);
												BgL_extendz00_2997 = BNIL;
												BgL_extendz00_1284 = BgL_extendz00_2997;
												BgL_resetz00_1283 = BgL_resetz00_2996;
												BgL_obindingsz00_1282 = BgL_obindingsz00_2994;
												goto BgL_zc3anonymousza31931ze3z83_1285;
											}
										else
											{	/* Reduce/1occ.scm 327 */
												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_1325))))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 0))))
													{	/* Reduce/1occ.scm 335 */
														bool_t BgL_testz00_3004;

														if (
															((((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1325))))->
																	BgL_occurrencez00) == ((long) 1)))
															{	/* Reduce/1occ.scm 335 */
																if (
																	((((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_varz00_1325))))->
																			BgL_accessz00) ==
																		CNST_TABLE_REF(((long) 0))))
																	{	/* Reduce/1occ.scm 336 */
																		if (BGl_sidezd2effectzf3z21zzeffect_effectz00(((BgL_nodez00_bglt) BgL_valz00_1326)))
																			{	/* Reduce/1occ.scm 337 */
																				BgL_testz00_3004 = ((bool_t) 0);
																			}
																		else
																			{	/* Reduce/1occ.scm 338 */
																				BgL_typez00_bglt BgL_arg1961z00_1339;
																				BgL_typez00_bglt BgL_arg1964z00_1340;

																				BgL_arg1961z00_1339 =
																					(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_varz00_1325))))->
																					BgL_typez00);
																				BgL_arg1964z00_1340 =
																					BGl_getzd2typezd2zztype_typeofz00((
																						(BgL_nodez00_bglt)
																						BgL_valz00_1326));
																				BgL_testz00_3004 =
																					BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																					(BgL_arg1961z00_1339,
																					BgL_arg1964z00_1340);
																			}
																	}
																else
																	{	/* Reduce/1occ.scm 336 */
																		BgL_testz00_3004 = ((bool_t) 0);
																	}
															}
														else
															{	/* Reduce/1occ.scm 335 */
																BgL_testz00_3004 = ((bool_t) 0);
															}
														if (BgL_testz00_3004)
															{	/* Reduce/1occ.scm 335 */
																{	/* Reduce/1occ.scm 343 */
																	obj_t BgL_arg1955z00_1333;
																	obj_t BgL_arg1956z00_1334;

																	BgL_arg1955z00_1333 =
																		CDR(BgL_obindingsz00_1282);
																	BgL_arg1956z00_1334 =
																		MAKE_PAIR(BgL_bindingz00_1324,
																		BgL_extendz00_1284);
																	{
																		obj_t BgL_extendz00_3029;
																		bool_t BgL_resetz00_3028;
																		obj_t BgL_obindingsz00_3027;

																		BgL_obindingsz00_3027 = BgL_arg1955z00_1333;
																		BgL_resetz00_3028 = ((bool_t) 0);
																		BgL_extendz00_3029 = BgL_arg1956z00_1334;
																		BgL_extendz00_1284 = BgL_extendz00_3029;
																		BgL_resetz00_1283 = BgL_resetz00_3028;
																		BgL_obindingsz00_1282 =
																			BgL_obindingsz00_3027;
																		goto BgL_zc3anonymousza31931ze3z83_1285;
																	}
																}
															}
														else
															{
																bool_t BgL_resetz00_3032;
																obj_t BgL_obindingsz00_3030;

																BgL_obindingsz00_3030 =
																	CDR(BgL_obindingsz00_1282);
																BgL_resetz00_3032 = ((bool_t) 0);
																BgL_resetz00_1283 = BgL_resetz00_3032;
																BgL_obindingsz00_1282 = BgL_obindingsz00_3030;
																goto BgL_zc3anonymousza31931ze3z83_1285;
															}
													}
												else
													{
														bool_t BgL_resetz00_3035;
														obj_t BgL_obindingsz00_3033;

														BgL_obindingsz00_3033 = CDR(BgL_obindingsz00_1282);
														BgL_resetz00_3035 = ((bool_t) 0);
														BgL_resetz00_1283 = BgL_resetz00_3035;
														BgL_obindingsz00_1282 = BgL_obindingsz00_3033;
														goto BgL_zc3anonymousza31931ze3z83_1285;
													}
											}
									}
								}
							}
						}
					}
			}
		}
	}



/* node-1occ*! */
	obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t BgL_nodeza2za2_54,
		obj_t BgL_1zd2expza2z70_55)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 417 */
			{
				obj_t BgL_nodeza2za2_1347;
				bool_t BgL_resetz00_1348;
				obj_t BgL_1zd2expza2z70_1349;

				BgL_nodeza2za2_1347 = BgL_nodeza2za2_54;
				BgL_resetz00_1348 = ((bool_t) 0);
				BgL_1zd2expza2z70_1349 = BgL_1zd2expza2z70_55;
			BgL_zc3anonymousza31970ze3z83_1350:
				if (NULLP(BgL_nodeza2za2_1347))
					{	/* Reduce/1occ.scm 422 */
						return BBOOL(BgL_resetz00_1348);
					}
				else
					{	/* Reduce/1occ.scm 422 */
						if (NULLP(CDR(BgL_nodeza2za2_1347)))
							{	/* Reduce/1occ.scm 425 */
								obj_t BgL_resetz72z72_1353;

								{	/* Reduce/1occ.scm 426 */
									obj_t BgL_arg1973z00_1356;

									BgL_arg1973z00_1356 = CAR(BgL_nodeza2za2_1347);
									BgL_resetz72z72_1353 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1973z00_1356),
										BgL_1zd2expza2z70_1349);
								}
								{	/* Reduce/1occ.scm 426 */
									obj_t BgL_nodez00_1354;

									{	/* Reduce/1occ.scm 427 */
										int BgL_auxz00_3046;

										BgL_auxz00_3046 = (int) (((long) 1));
										BgL_nodez00_1354 = BGL_MVALUES_VAL(BgL_auxz00_3046);
									}
									SET_CAR(BgL_nodeza2za2_1347, BgL_nodez00_1354);
									if (BgL_resetz00_1348)
										{	/* Reduce/1occ.scm 428 */
											return BBOOL(BgL_resetz00_1348);
										}
									else
										{	/* Reduce/1occ.scm 428 */
											return BgL_resetz72z72_1353;
										}
								}
							}
						else
							{	/* Reduce/1occ.scm 430 */
								obj_t BgL_resetz72z72_1357;

								{	/* Reduce/1occ.scm 431 */
									obj_t BgL_arg1977z00_1362;

									BgL_arg1977z00_1362 = CAR(BgL_nodeza2za2_1347);
									BgL_resetz72z72_1357 =
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1977z00_1362),
										BgL_1zd2expza2z70_1349);
								}
								{	/* Reduce/1occ.scm 431 */
									obj_t BgL_nodez00_1358;

									{	/* Reduce/1occ.scm 432 */
										int BgL_auxz00_3055;

										BgL_auxz00_3055 = (int) (((long) 1));
										BgL_nodez00_1358 = BGL_MVALUES_VAL(BgL_auxz00_3055);
									}
									SET_CAR(BgL_nodeza2za2_1347, BgL_nodez00_1358);
									{	/* Reduce/1occ.scm 433 */
										bool_t BgL_testz00_3059;

										if (BgL_resetz00_1348)
											{	/* Reduce/1occ.scm 433 */
												BgL_testz00_3059 = ((bool_t) 1);
											}
										else
											{	/* Reduce/1occ.scm 433 */
												BgL_testz00_3059 = CBOOL(BgL_resetz72z72_1357);
											}
										if (BgL_testz00_3059)
											{
												obj_t BgL_1zd2expza2z70_3065;
												bool_t BgL_resetz00_3064;
												obj_t BgL_nodeza2za2_3062;

												BgL_nodeza2za2_3062 = CDR(BgL_nodeza2za2_1347);
												BgL_resetz00_3064 = ((bool_t) 1);
												BgL_1zd2expza2z70_3065 = BNIL;
												BgL_1zd2expza2z70_1349 = BgL_1zd2expza2z70_3065;
												BgL_resetz00_1348 = BgL_resetz00_3064;
												BgL_nodeza2za2_1347 = BgL_nodeza2za2_3062;
												goto BgL_zc3anonymousza31970ze3z83_1350;
											}
										else
											{
												bool_t BgL_resetz00_3068;
												obj_t BgL_nodeza2za2_3066;

												BgL_nodeza2za2_3066 = CDR(BgL_nodeza2za2_1347);
												BgL_resetz00_3068 = ((bool_t) 0);
												BgL_resetz00_1348 = BgL_resetz00_3068;
												BgL_nodeza2za2_1347 = BgL_nodeza2za2_3066;
												goto BgL_zc3anonymousza31970ze3z83_1350;
											}
									}
								}
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_proc2159z00zzreduce_1occz00, BGl_nodez00zzast_nodez00,
				BGl_string2160z00zzreduce_1occz00);
		}
	}



/* &node-1occ!1868 */
	obj_t BGl_z62nodezd21occz121868za2zzreduce_1occz00(obj_t BgL_envz00_2729,
		obj_t BgL_nodez00_2730, obj_t BgL_1zd2expza2z70_2731)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 66 */
			{
				BgL_nodez00_bglt BgL_nodez00_1366;
				obj_t BgL_1zd2expza2z70_1367;

				BgL_nodez00_1366 = ((BgL_nodez00_bglt) BgL_nodez00_2730);
				BgL_1zd2expza2z70_1367 = BgL_1zd2expza2z70_2731;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string2161z00zzreduce_1occz00, ((obj_t) BgL_nodez00_1366));
		}}
	}



/* node-1occ! */
	obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_4,
		obj_t BgL_1zd2expza2z70_5)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 66 */
			{	/* Reduce/1occ.scm 66 */
				obj_t BgL_method1870z00_1370;

				{	/* Reduce/1occ.scm 66 */
					obj_t BgL_res2117z00_2525;

					{	/* Reduce/1occ.scm 66 */
						long BgL_objzd2classzd2numz00_2498;

						{	/* Reduce/1occ.scm 66 */
							long BgL_res2111z00_2501;

							BgL_res2111z00_2501 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
							BgL_objzd2classzd2numz00_2498 = BgL_res2111z00_2501;
						}
						{	/* Reduce/1occ.scm 66 */
							obj_t BgL_arg1769z00_2499;

							BgL_arg1769z00_2499 =
								PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
								(int) (((long) 1)));
							{	/* Reduce/1occ.scm 66 */
								int BgL_offsetz00_2503;

								BgL_offsetz00_2503 = (int) (BgL_objzd2classzd2numz00_2498);
								{	/* Reduce/1occ.scm 66 */
									long BgL_offsetz00_2504;

									BgL_offsetz00_2504 =
										((long) (BgL_offsetz00_2503) - OBJECT_TYPE);
									{	/* Reduce/1occ.scm 66 */
										long BgL_modz00_2505;

										{	/* Reduce/1occ.scm 66 */
											int BgL_arg1771z00_2506;

											BgL_arg1771z00_2506 = (int) (((long) 16));
											{	/* Reduce/1occ.scm 66 */
												long BgL_res2114z00_2516;

												{	/* Reduce/1occ.scm 66 */
													long BgL_auxz00_3082;

													BgL_auxz00_3082 = (long) (BgL_arg1771z00_2506);
													BgL_res2114z00_2516 =
														(BgL_offsetz00_2504 / BgL_auxz00_3082);
												}
												BgL_modz00_2505 = BgL_res2114z00_2516;
										}}
										{	/* Reduce/1occ.scm 66 */
											long BgL_restz00_2507;

											{	/* Reduce/1occ.scm 66 */
												int BgL_arg1770z00_2508;

												BgL_arg1770z00_2508 = (int) (((long) 16));
												{	/* Reduce/1occ.scm 66 */
													long BgL_res2116z00_2520;

													{	/* Reduce/1occ.scm 66 */
														long BgL_auxz00_3086;

														BgL_auxz00_3086 = (long) (BgL_arg1770z00_2508);
														BgL_res2116z00_2520 =
															(BgL_offsetz00_2504 % BgL_auxz00_3086);
													}
													BgL_restz00_2507 = BgL_res2116z00_2520;
											}}
											{	/* Reduce/1occ.scm 66 */

												BgL_res2117z00_2525 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2499,
														(int) (BgL_modz00_2505)), (int) (BgL_restz00_2507));
					}}}}}}}
					BgL_method1870z00_1370 = BgL_res2117z00_2525;
				}
				return
					PROCEDURE_ENTRY(BgL_method1870z00_1370) (BgL_method1870z00_1370,
					((obj_t) BgL_nodez00_4), BgL_1zd2expza2z70_5, BEOA);
			}
		}
	}



/* &node-1occ! */
	obj_t BGl_z62nodezd21occz12za2zzreduce_1occz00(obj_t BgL_envz00_2732,
		obj_t BgL_nodez00_2733, obj_t BgL_1zd2expza2z70_2734)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 66 */
			return
				BGl_nodezd21occz12zc0zzreduce_1occz00(
				((BgL_nodez00_bglt) BgL_nodez00_2733), BgL_1zd2expza2z70_2734);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_atomz00zzast_nodez00,
				BGl_proc2162z00zzreduce_1occz00, BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2164z00zzreduce_1occz00, BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_varz00zzast_nodez00,
				BGl_proc2165z00zzreduce_1occz00, BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_closurez00zzast_nodez00, BGl_proc2166z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2167z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_syncz00zzast_nodez00,
				BGl_proc2168z00zzreduce_1occz00, BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2169z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2170z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_externz00zzast_nodez00, BGl_proc2171z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_privatez00zzast_nodez00, BGl_proc2172z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_castz00zzast_nodez00,
				BGl_proc2173z00zzreduce_1occz00, BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setqz00zzast_nodez00,
				BGl_proc2174z00zzreduce_1occz00, BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2175z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_failz00zzast_nodez00,
				BGl_proc2176z00zzreduce_1occz00, BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_selectz00zzast_nodez00, BGl_proc2177z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2178z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2179z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2180z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2181z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2182z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2183z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2184z00zzreduce_1occz00,
				BGl_string2163z00zzreduce_1occz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appz00zzast_nodez00,
				BGl_proc2185z00zzreduce_1occz00, BGl_string2163z00zzreduce_1occz00);
		}
	}



/* &node-1occ!-app1916 */
	obj_t BGl_z62nodezd21occz12zd2app1916z70zzreduce_1occz00(obj_t
		BgL_envz00_2758, obj_t BgL_nodez00_2759, obj_t BgL_1zd2expza2z70_2760)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 404 */
			{
				BgL_appz00_bglt BgL_nodez00_1672;
				obj_t BgL_1zd2expza2z70_1673;

				{	/* Reduce/1occ.scm 405 */
					bool_t BgL_auxz00_3124;

					BgL_nodez00_1672 = ((BgL_appz00_bglt) BgL_nodez00_2759);
					BgL_1zd2expza2z70_1673 = BgL_1zd2expza2z70_2760;
					{	/* Reduce/1occ.scm 406 */
						obj_t BgL_resetz00_1677;

						BgL_resetz00_1677 =
							BGl_nodezd21occza2z12z62zzreduce_1occz00(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1672))->BgL_argsz00),
							BgL_1zd2expza2z70_1673);
						{	/* Reduce/1occ.scm 407 */
							bool_t BgL_testz00_3127;

							if (CBOOL(BgL_resetz00_1677))
								{	/* Reduce/1occ.scm 407 */
									BgL_testz00_3127 = ((bool_t) 1);
								}
							else
								{	/* Reduce/1occ.scm 407 */
									BgL_testz00_3127 =
										BGl_sidezd2effectzf3z21zzeffect_effectz00(
										((BgL_nodez00_bglt) BgL_nodez00_1672));
								}
							if (BgL_testz00_3127)
								{	/* Reduce/1occ.scm 407 */
									{	/* Reduce/1occ.scm 411 */
										int BgL_res2155z00_2708;

										{	/* Reduce/1occ.scm 411 */
											int BgL_auxz00_3132;

											BgL_auxz00_3132 = (int) (((long) 2));
											BgL_res2155z00_2708 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3132);
										} BgL_res2155z00_2708;
									}
									{	/* Reduce/1occ.scm 411 */
										obj_t BgL_auxz00_3137;
										int BgL_auxz00_3135;

										BgL_auxz00_3137 = ((obj_t) BgL_nodez00_1672);
										BgL_auxz00_3135 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3135, BgL_auxz00_3137);
									}
									BgL_auxz00_3124 = ((bool_t) 1);
								}
							else
								{	/* Reduce/1occ.scm 407 */
									{	/* Reduce/1occ.scm 412 */
										int BgL_res2156z00_2712;

										{	/* Reduce/1occ.scm 412 */
											int BgL_auxz00_3140;

											BgL_auxz00_3140 = (int) (((long) 2));
											BgL_res2156z00_2712 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3140);
										} BgL_res2156z00_2712;
									}
									{	/* Reduce/1occ.scm 412 */
										obj_t BgL_auxz00_3145;
										int BgL_auxz00_3143;

										BgL_auxz00_3145 = ((obj_t) BgL_nodez00_1672);
										BgL_auxz00_3143 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3143, BgL_auxz00_3145);
									}
									BgL_auxz00_3124 = ((bool_t) 0);
					}}}
					return BBOOL(BgL_auxz00_3124);
				}
			}
		}
	}



/* &node-1occ!-box-ref1914 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2ref1914za2zzreduce_1occz00(obj_t
		BgL_envz00_2761, obj_t BgL_nodez00_2762, obj_t BgL_1zd2expza2z70_2763)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 398 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1665;
				obj_t BgL_1zd2expza2z70_1666;

				{	/* Reduce/1occ.scm 399 */
					bool_t BgL_auxz00_3150;

					BgL_nodez00_1665 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2762);
					BgL_1zd2expza2z70_1666 = BgL_1zd2expza2z70_2763;
					{	/* Reduce/1occ.scm 399 */
						int BgL_res2154z00_2704;

						{	/* Reduce/1occ.scm 399 */
							int BgL_auxz00_3151;

							BgL_auxz00_3151 = (int) (((long) 2));
							BgL_res2154z00_2704 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3151);
						} BgL_res2154z00_2704;
					}
					{	/* Reduce/1occ.scm 399 */
						obj_t BgL_auxz00_3156;
						int BgL_auxz00_3154;

						BgL_auxz00_3156 = ((obj_t) BgL_nodez00_1665);
						BgL_auxz00_3154 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3154, BgL_auxz00_3156);
					}
					BgL_auxz00_3150 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_3150);
				}
			}
		}
	}



/* &node-1occ!-box-set!1912 */
	obj_t BGl_z62nodezd21occz12zd2boxzd2setz121912zb0zzreduce_1occz00(obj_t
		BgL_envz00_2764, obj_t BgL_nodez00_2765, obj_t BgL_1zd2expza2z70_2766)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 388 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1654;
				obj_t BgL_1zd2expza2z70_1655;

				BgL_nodez00_1654 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2765);
				BgL_1zd2expza2z70_1655 = BgL_1zd2expza2z70_2766;
				{	/* Reduce/1occ.scm 390 */
					obj_t BgL_resetz00_1659;

					BgL_resetz00_1659 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1654))->BgL_valuez00),
						BgL_1zd2expza2z70_1655);
					{	/* Reduce/1occ.scm 391 */
						obj_t BgL_nvaluez00_1660;

						{	/* Reduce/1occ.scm 392 */
							int BgL_auxz00_3163;

							BgL_auxz00_3163 = (int) (((long) 1));
							BgL_nvaluez00_1660 = BGL_MVALUES_VAL(BgL_auxz00_3163);
						}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1654))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_1660)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 393 */
							int BgL_res2153z00_2698;

							{	/* Reduce/1occ.scm 393 */
								int BgL_auxz00_3168;

								BgL_auxz00_3168 = (int) (((long) 2));
								BgL_res2153z00_2698 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3168);
							} BgL_res2153z00_2698;
						}
						{	/* Reduce/1occ.scm 393 */
							obj_t BgL_auxz00_3173;
							int BgL_auxz00_3171;

							BgL_auxz00_3173 = ((obj_t) BgL_nodez00_1654);
							BgL_auxz00_3171 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3171, BgL_auxz00_3173);
						}
						return BgL_resetz00_1659;
					}
				}
			}
		}
	}



/* &node-1occ!-make-box1910 */
	obj_t BGl_z62nodezd21occz12zd2makezd2box1910za2zzreduce_1occz00(obj_t
		BgL_envz00_2767, obj_t BgL_nodez00_2768, obj_t BgL_1zd2expza2z70_2769)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 378 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1643;
				obj_t BgL_1zd2expza2z70_1644;

				BgL_nodez00_1643 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2768);
				BgL_1zd2expza2z70_1644 = BgL_1zd2expza2z70_2769;
				{	/* Reduce/1occ.scm 380 */
					obj_t BgL_resetz00_1648;

					BgL_resetz00_1648 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1643))->BgL_valuez00),
						BgL_1zd2expza2z70_1644);
					{	/* Reduce/1occ.scm 381 */
						obj_t BgL_nvaluez00_1649;

						{	/* Reduce/1occ.scm 382 */
							int BgL_auxz00_3179;

							BgL_auxz00_3179 = (int) (((long) 1));
							BgL_nvaluez00_1649 = BGL_MVALUES_VAL(BgL_auxz00_3179);
						}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1643))->BgL_valuez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_1649)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 383 */
							int BgL_res2152z00_2693;

							{	/* Reduce/1occ.scm 383 */
								int BgL_auxz00_3184;

								BgL_auxz00_3184 = (int) (((long) 2));
								BgL_res2152z00_2693 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3184);
							} BgL_res2152z00_2693;
						}
						{	/* Reduce/1occ.scm 383 */
							obj_t BgL_auxz00_3189;
							int BgL_auxz00_3187;

							BgL_auxz00_3189 = ((obj_t) BgL_nodez00_1643);
							BgL_auxz00_3187 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3187, BgL_auxz00_3189);
						}
						return BgL_resetz00_1648;
					}
				}
			}
		}
	}



/* &node-1occ!-jump-ex-i1908 */
	obj_t BGl_z62nodezd21occz12zd2jumpzd2exzd2i1908z70zzreduce_1occz00(obj_t
		BgL_envz00_2770, obj_t BgL_nodez00_2771, obj_t BgL_1zd2expza2z70_2772)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 364 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1627;
				obj_t BgL_1zd2expza2z70_1628;

				BgL_nodez00_1627 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2771);
				BgL_1zd2expza2z70_1628 = BgL_1zd2expza2z70_2772;
				{	/* Reduce/1occ.scm 366 */
					obj_t BgL_resetz00_1632;

					BgL_resetz00_1632 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1627))->
							BgL_exitz00), BgL_1zd2expza2z70_1628);
					{	/* Reduce/1occ.scm 367 */
						obj_t BgL_nexitz00_1633;

						{	/* Reduce/1occ.scm 368 */
							int BgL_auxz00_3195;

							BgL_auxz00_3195 = (int) (((long) 1));
							BgL_nexitz00_1633 = BGL_MVALUES_VAL(BgL_auxz00_3195);
						}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1627))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_1633)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 369 */
							obj_t BgL_1zd2expza2z72z02_1634;

							if (CBOOL(BgL_resetz00_1632))
								{	/* Reduce/1occ.scm 369 */
									BgL_1zd2expza2z72z02_1634 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 369 */
									BgL_1zd2expza2z72z02_1634 = BgL_1zd2expza2z70_1628;
								}
							{	/* Reduce/1occ.scm 370 */
								obj_t BgL_resetz72z72_1635;

								BgL_resetz72z72_1635 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1627))->
										BgL_valuez00), BgL_1zd2expza2z72z02_1634);
								{	/* Reduce/1occ.scm 371 */
									obj_t BgL_nvaluez00_1636;

									{	/* Reduce/1occ.scm 372 */
										int BgL_auxz00_3204;

										BgL_auxz00_3204 = (int) (((long) 1));
										BgL_nvaluez00_1636 = BGL_MVALUES_VAL(BgL_auxz00_3204);
									}
									((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1627))->
											BgL_valuez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
												BgL_nvaluez00_1636)), BUNSPEC);
									{	/* Reduce/1occ.scm 373 */
										obj_t BgL_val0_1856z00_1637;

										if (CBOOL(BgL_resetz00_1632))
											{	/* Reduce/1occ.scm 373 */
												BgL_val0_1856z00_1637 = BgL_resetz00_1632;
											}
										else
											{	/* Reduce/1occ.scm 373 */
												BgL_val0_1856z00_1637 = BgL_resetz72z72_1635;
											}
										{	/* Reduce/1occ.scm 373 */
											int BgL_res2151z00_2688;

											{	/* Reduce/1occ.scm 373 */
												int BgL_auxz00_3211;

												BgL_auxz00_3211 = (int) (((long) 2));
												BgL_res2151z00_2688 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_3211);
											} BgL_res2151z00_2688;
										}
										{	/* Reduce/1occ.scm 373 */
											obj_t BgL_auxz00_3216;
											int BgL_auxz00_3214;

											BgL_auxz00_3216 = ((obj_t) BgL_nodez00_1627);
											BgL_auxz00_3214 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_3214, BgL_auxz00_3216);
										}
										return BgL_val0_1856z00_1637;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-set-ex-it1906 */
	obj_t BGl_z62nodezd21occz12zd2setzd2exzd2it1906z70zzreduce_1occz00(obj_t
		BgL_envz00_2773, obj_t BgL_nodez00_2774, obj_t BgL_1zd2expza2z70_2775)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 354 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1616;
				obj_t BgL_1zd2expza2z70_1617;

				BgL_nodez00_1616 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2774);
				BgL_1zd2expza2z70_1617 = BgL_1zd2expza2z70_2775;
				{	/* Reduce/1occ.scm 356 */
					obj_t BgL_resetz00_1621;

					BgL_resetz00_1621 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1616))->BgL_bodyz00),
						BgL_1zd2expza2z70_1617);
					{	/* Reduce/1occ.scm 357 */
						obj_t BgL_nbodyz00_1622;

						{	/* Reduce/1occ.scm 358 */
							int BgL_auxz00_3222;

							BgL_auxz00_3222 = (int) (((long) 1));
							BgL_nbodyz00_1622 = BGL_MVALUES_VAL(BgL_auxz00_3222);
						}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1616))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1622)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 359 */
							int BgL_res2150z00_2682;

							{	/* Reduce/1occ.scm 359 */
								int BgL_auxz00_3227;

								BgL_auxz00_3227 = (int) (((long) 2));
								BgL_res2150z00_2682 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3227);
							} BgL_res2150z00_2682;
						}
						{	/* Reduce/1occ.scm 359 */
							obj_t BgL_auxz00_3232;
							int BgL_auxz00_3230;

							BgL_auxz00_3232 = ((obj_t) BgL_nodez00_1616);
							BgL_auxz00_3230 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3230, BgL_auxz00_3232);
						}
						return BgL_resetz00_1621;
					}
				}
			}
		}
	}



/* &node-1occ!-let-var1904 */
	obj_t BGl_z62nodezd21occz12zd2letzd2var1904za2zzreduce_1occz00(obj_t
		BgL_envz00_2776, obj_t BgL_nodez00_2777, obj_t BgL_1zd2expza2z70_2778)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 252 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1588;
				obj_t BgL_1zd2expza2z70_1589;

				BgL_nodez00_1588 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2777);
				BgL_1zd2expza2z70_1589 = BgL_1zd2expza2z70_2778;
				{	/* Reduce/1occ.scm 258 */
					bool_t BgL_testz00_3236;

					{	/* Reduce/1occ.scm 258 */
						bool_t BgL_testz00_3237;

						{	/* Reduce/1occ.scm 258 */
							obj_t BgL_auxz00_3238;

							BgL_auxz00_3238 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1588))->
								BgL_bindingsz00);
							BgL_testz00_3237 = PAIRP(BgL_auxz00_3238);
						}
						if (BgL_testz00_3237)
							{	/* Reduce/1occ.scm 258 */
								if (NULLP(CDR(
											(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1588))->
												BgL_bindingsz00))))
									{	/* Reduce/1occ.scm 260 */
										obj_t BgL_varz00_1599;

										{	/* Reduce/1occ.scm 260 */
											obj_t BgL_pairz00_2656;

											BgL_pairz00_2656 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1588))->
												BgL_bindingsz00);
											BgL_varz00_1599 = CAR(CAR(BgL_pairz00_2656));
										}
										if (
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_1599))))->
													BgL_occurrencez00) == ((long) 1)))
											{	/* Reduce/1occ.scm 262 */
												bool_t BgL_testz00_3253;

												{	/* Reduce/1occ.scm 262 */
													BgL_typez00_bglt BgL_arg2028z00_1609;

													BgL_arg2028z00_1609 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1599)))->
														BgL_typez00);
													BgL_testz00_3253 =
														(((obj_t) BgL_arg2028z00_1609) ==
														BGl_za2boolza2z00zztype_cachez00);
												}
												if (BgL_testz00_3253)
													{	/* Reduce/1occ.scm 263 */
														bool_t BgL_testz00_3258;

														{	/* Reduce/1occ.scm 263 */
															BgL_nodez00_bglt BgL_arg2027z00_1608;

															BgL_arg2027z00_1608 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodez00_1588))->BgL_bodyz00);
															{	/* Reduce/1occ.scm 263 */
																bool_t BgL_res2147z00_2670;

																BgL_res2147z00_2670 =
																	BGl_isazf3zf3zz__objectz00(
																	((obj_t) BgL_arg2027z00_1608),
																	BGl_conditionalz00zzast_nodez00);
																BgL_testz00_3258 = BgL_res2147z00_2670;
															}
														}
														if (BgL_testz00_3258)
															{	/* Reduce/1occ.scm 264 */
																BgL_conditionalz00_bglt BgL_i1125z00_1603;

																BgL_i1125z00_1603 =
																	((BgL_conditionalz00_bglt)
																	(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_nodez00_1588))->BgL_bodyz00));
																{	/* Reduce/1occ.scm 265 */
																	bool_t BgL_testz00_3264;

																	{	/* Reduce/1occ.scm 265 */
																		BgL_nodez00_bglt BgL_arg2026z00_1607;

																		BgL_arg2026z00_1607 =
																			(((BgL_conditionalz00_bglt)
																				CREF(BgL_i1125z00_1603))->BgL_testz00);
																		{	/* Reduce/1occ.scm 265 */
																			bool_t BgL_res2148z00_2672;

																			BgL_res2148z00_2672 =
																				BGl_isazf3zf3zz__objectz00(
																				((obj_t) BgL_arg2026z00_1607),
																				BGl_varz00zzast_nodez00);
																			BgL_testz00_3264 = BgL_res2148z00_2672;
																		}
																	}
																	if (BgL_testz00_3264)
																		{	/* Reduce/1occ.scm 265 */
																			BgL_testz00_3236 =
																				(
																				((obj_t)
																					(((BgL_varz00_bglt) CREF(
																								((BgL_varz00_bglt)
																									(((BgL_conditionalz00_bglt)
																											CREF(BgL_i1125z00_1603))->
																										BgL_testz00))))->
																						BgL_variablez00)) ==
																				BgL_varz00_1599);
																		}
																	else
																		{	/* Reduce/1occ.scm 265 */
																			BgL_testz00_3236 = ((bool_t) 0);
																		}
																}
															}
														else
															{	/* Reduce/1occ.scm 263 */
																BgL_testz00_3236 = ((bool_t) 0);
															}
													}
												else
													{	/* Reduce/1occ.scm 262 */
														BgL_testz00_3236 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/1occ.scm 261 */
												BgL_testz00_3236 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/1occ.scm 259 */
										BgL_testz00_3236 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/1occ.scm 258 */
								BgL_testz00_3236 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3236)
						{	/* Reduce/1occ.scm 268 */
							BgL_conditionalz00_bglt BgL_i1127z00_1594;

							BgL_i1127z00_1594 =
								((BgL_conditionalz00_bglt)
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1588))->
									BgL_bodyz00));
							{
								BgL_nodez00_bglt BgL_auxz00_3275;

								{	/* Reduce/1occ.scm 269 */
									obj_t BgL_pairz00_2676;

									BgL_pairz00_2676 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1588))->
										BgL_bindingsz00);
									{	/* Reduce/1occ.scm 269 */
										obj_t BgL_pairz00_2679;

										BgL_pairz00_2679 = CAR(BgL_pairz00_2676);
										BgL_auxz00_3275 =
											((BgL_nodez00_bglt) CDR(BgL_pairz00_2679));
									}
								}
								((((BgL_conditionalz00_bglt) CREF(BgL_i1127z00_1594))->
										BgL_testz00) =
									((BgL_nodez00_bglt) BgL_auxz00_3275), BUNSPEC);
							}
							((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1588))->
									BgL_bindingsz00) = ((obj_t) BNIL), BUNSPEC);
							return
								BGl_nodezd21occz12zc0zzreduce_1occz00((((BgL_letzd2varzd2_bglt)
										CREF(BgL_nodez00_1588))->BgL_bodyz00),
								BgL_1zd2expza2z70_1589);
						}
					else
						{	/* Reduce/1occ.scm 258 */
							return
								BGl_nodezd21occzd2letzd2varz12zc0zzreduce_1occz00
								(BgL_nodez00_1588, BgL_1zd2expza2z70_1589);
						}
				}
			}
		}
	}



/* &node-1occ!-let-fun1902 */
	obj_t BGl_z62nodezd21occz12zd2letzd2fun1902za2zzreduce_1occz00(obj_t
		BgL_envz00_2779, obj_t BgL_nodez00_2780, obj_t BgL_1zd2expza2z70_2781)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 233 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1562;
				obj_t BgL_1zd2expza2z70_1563;

				BgL_nodez00_1562 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2780);
				BgL_1zd2expza2z70_1563 = BgL_1zd2expza2z70_2781;
				{	/* Reduce/1occ.scm 235 */
					obj_t BgL_resetz00_1567;

					BgL_resetz00_1567 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1562))->BgL_bodyz00),
						BgL_1zd2expza2z70_1563);
					{	/* Reduce/1occ.scm 236 */
						obj_t BgL_nbodyz00_1568;

						{	/* Reduce/1occ.scm 237 */
							int BgL_auxz00_3288;

							BgL_auxz00_3288 = (int) (((long) 1));
							BgL_nbodyz00_1568 = BGL_MVALUES_VAL(BgL_auxz00_3288);
						}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1562))->BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1568)),
							BUNSPEC);
						{
							obj_t BgL_localsz00_1571;
							obj_t BgL_resetz00_1572;

							BgL_localsz00_1571 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1562))->
								BgL_localsz00);
							BgL_resetz00_1572 = BgL_resetz00_1567;
						BgL_zc3anonymousza32012ze3z83_1573:
							if (NULLP(BgL_localsz00_1571))
								{	/* Reduce/1occ.scm 240 */
									{	/* Reduce/1occ.scm 241 */
										int BgL_res2140z00_2637;

										{	/* Reduce/1occ.scm 241 */
											int BgL_auxz00_3295;

											BgL_auxz00_3295 = (int) (((long) 2));
											BgL_res2140z00_2637 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3295);
										} BgL_res2140z00_2637;
									}
									{	/* Reduce/1occ.scm 241 */
										obj_t BgL_auxz00_3300;
										int BgL_auxz00_3298;

										BgL_auxz00_3300 = ((obj_t) BgL_nodez00_1562);
										BgL_auxz00_3298 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3298, BgL_auxz00_3300);
									}
									return BgL_resetz00_1572;
								}
							else
								{	/* Reduce/1occ.scm 242 */
									obj_t BgL_localz00_1577;

									BgL_localz00_1577 = CAR(BgL_localsz00_1571);
									{	/* Reduce/1occ.scm 242 */
										BgL_valuez00_bglt BgL_sfunz00_1578;

										BgL_sfunz00_1578 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1577))))->
											BgL_valuez00);
										{	/* Reduce/1occ.scm 243 */

											{	/* Reduce/1occ.scm 244 */
												obj_t BgL_resetz72z72_1579;

												{	/* Reduce/1occ.scm 245 */
													obj_t BgL_arg2016z00_1584;

													BgL_arg2016z00_1584 =
														(((BgL_sfunz00_bglt) CREF(
																((BgL_sfunz00_bglt) BgL_sfunz00_1578)))->
														BgL_bodyz00);
													BgL_resetz72z72_1579 =
														BGl_nodezd21occz12zc0zzreduce_1occz00((
															(BgL_nodez00_bglt) BgL_arg2016z00_1584), BNIL);
												}
												{	/* Reduce/1occ.scm 245 */
													obj_t BgL_nbodyz00_1580;

													{	/* Reduce/1occ.scm 246 */
														int BgL_auxz00_3311;

														BgL_auxz00_3311 = (int) (((long) 1));
														BgL_nbodyz00_1580 =
															BGL_MVALUES_VAL(BgL_auxz00_3311);
													}
													((((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_sfunz00_1578)))->
															BgL_bodyz00) =
														((obj_t) BgL_nbodyz00_1580), BUNSPEC);
													{	/* Reduce/1occ.scm 247 */
														obj_t BgL_arg2014z00_1581;
														obj_t BgL_arg2015z00_1582;

														BgL_arg2014z00_1581 = CDR(BgL_localsz00_1571);
														if (CBOOL(BgL_resetz00_1572))
															{	/* Reduce/1occ.scm 247 */
																BgL_arg2015z00_1582 = BgL_resetz00_1572;
															}
														else
															{	/* Reduce/1occ.scm 247 */
																BgL_arg2015z00_1582 = BgL_resetz72z72_1579;
															}
														{
															obj_t BgL_resetz00_3320;
															obj_t BgL_localsz00_3319;

															BgL_localsz00_3319 = BgL_arg2014z00_1581;
															BgL_resetz00_3320 = BgL_arg2015z00_1582;
															BgL_resetz00_1572 = BgL_resetz00_3320;
															BgL_localsz00_1571 = BgL_localsz00_3319;
															goto BgL_zc3anonymousza32012ze3z83_1573;
														}
													}
												}
											}
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-select1900 */
	obj_t BGl_z62nodezd21occz12zd2select1900z70zzreduce_1occz00(obj_t
		BgL_envz00_2782, obj_t BgL_nodez00_2783, obj_t BgL_1zd2expza2z70_2784)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 214 */
			{
				BgL_selectz00_bglt BgL_nodez00_1536;
				obj_t BgL_1zd2expza2z70_1537;

				BgL_nodez00_1536 = ((BgL_selectz00_bglt) BgL_nodez00_2783);
				BgL_1zd2expza2z70_1537 = BgL_1zd2expza2z70_2784;
				{	/* Reduce/1occ.scm 216 */
					obj_t BgL_resetz00_1541;

					BgL_resetz00_1541 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1536))->BgL_testz00),
						BgL_1zd2expza2z70_1537);
					{	/* Reduce/1occ.scm 217 */
						obj_t BgL_ntestz00_1542;

						{	/* Reduce/1occ.scm 218 */
							int BgL_auxz00_3325;

							BgL_auxz00_3325 = (int) (((long) 1));
							BgL_ntestz00_1542 = BGL_MVALUES_VAL(BgL_auxz00_3325);
						}
						((((BgL_selectz00_bglt) CREF(BgL_nodez00_1536))->BgL_testz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_1542)),
							BUNSPEC);
						{
							obj_t BgL_clausesz00_1546;
							obj_t BgL_resetz00_1547;

							BgL_clausesz00_1546 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1536))->BgL_clausesz00);
							BgL_resetz00_1547 = BgL_resetz00_1541;
						BgL_zc3anonymousza32005ze3z83_1548:
							if (NULLP(BgL_clausesz00_1546))
								{	/* Reduce/1occ.scm 222 */
									{	/* Reduce/1occ.scm 223 */
										int BgL_res2138z00_2624;

										{	/* Reduce/1occ.scm 223 */
											int BgL_auxz00_3332;

											BgL_auxz00_3332 = (int) (((long) 2));
											BgL_res2138z00_2624 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3332);
										} BgL_res2138z00_2624;
									}
									{	/* Reduce/1occ.scm 223 */
										obj_t BgL_auxz00_3337;
										int BgL_auxz00_3335;

										BgL_auxz00_3337 = ((obj_t) BgL_nodez00_1536);
										BgL_auxz00_3335 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3335, BgL_auxz00_3337);
									}
									return BgL_resetz00_1547;
								}
							else
								{	/* Reduce/1occ.scm 224 */
									obj_t BgL_clausez00_1552;

									BgL_clausez00_1552 = CAR(BgL_clausesz00_1546);
									{	/* Reduce/1occ.scm 225 */
										obj_t BgL_resetz72z72_1553;

										{	/* Reduce/1occ.scm 226 */
											obj_t BgL_arg2009z00_1558;

											BgL_arg2009z00_1558 = CDR(BgL_clausez00_1552);
											BgL_resetz72z72_1553 =
												BGl_nodezd21occz12zc0zzreduce_1occz00(
												((BgL_nodez00_bglt) BgL_arg2009z00_1558),
												BgL_1zd2expza2z70_1537);
										}
										{	/* Reduce/1occ.scm 226 */
											obj_t BgL_nclausez00_1554;

											{	/* Reduce/1occ.scm 227 */
												int BgL_auxz00_3344;

												BgL_auxz00_3344 = (int) (((long) 1));
												BgL_nclausez00_1554 = BGL_MVALUES_VAL(BgL_auxz00_3344);
											}
											SET_CDR(BgL_clausez00_1552, BgL_nclausez00_1554);
											{	/* Reduce/1occ.scm 228 */
												obj_t BgL_arg2007z00_1555;
												obj_t BgL_arg2008z00_1556;

												BgL_arg2007z00_1555 = CDR(BgL_clausesz00_1546);
												if (CBOOL(BgL_resetz00_1547))
													{	/* Reduce/1occ.scm 228 */
														BgL_arg2008z00_1556 = BgL_resetz00_1547;
													}
												else
													{	/* Reduce/1occ.scm 228 */
														BgL_arg2008z00_1556 = BgL_resetz72z72_1553;
													}
												{
													obj_t BgL_resetz00_3352;
													obj_t BgL_clausesz00_3351;

													BgL_clausesz00_3351 = BgL_arg2007z00_1555;
													BgL_resetz00_3352 = BgL_arg2008z00_1556;
													BgL_resetz00_1547 = BgL_resetz00_3352;
													BgL_clausesz00_1546 = BgL_clausesz00_3351;
													goto BgL_zc3anonymousza32005ze3z83_1548;
												}
											}
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-fail1898 */
	obj_t BGl_z62nodezd21occz12zd2fail1898z70zzreduce_1occz00(obj_t
		BgL_envz00_2785, obj_t BgL_nodez00_2786, obj_t BgL_1zd2expza2z70_2787)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 196 */
			{
				BgL_failz00_bglt BgL_nodez00_1515;
				obj_t BgL_1zd2expza2z70_1516;

				BgL_nodez00_1515 = ((BgL_failz00_bglt) BgL_nodez00_2786);
				BgL_1zd2expza2z70_1516 = BgL_1zd2expza2z70_2787;
				{	/* Reduce/1occ.scm 198 */
					obj_t BgL_resetz00_1520;

					BgL_resetz00_1520 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1515))->BgL_procz00),
						BgL_1zd2expza2z70_1516);
					{	/* Reduce/1occ.scm 199 */
						obj_t BgL_nprocz00_1521;

						{	/* Reduce/1occ.scm 200 */
							int BgL_auxz00_3357;

							BgL_auxz00_3357 = (int) (((long) 1));
							BgL_nprocz00_1521 = BGL_MVALUES_VAL(BgL_auxz00_3357);
						}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1515))->BgL_procz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_1521)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 201 */
							obj_t BgL_1zd2expza2z72z02_1522;

							if (CBOOL(BgL_resetz00_1520))
								{	/* Reduce/1occ.scm 201 */
									BgL_1zd2expza2z72z02_1522 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 201 */
									BgL_1zd2expza2z72z02_1522 = BgL_1zd2expza2z70_1516;
								}
							{	/* Reduce/1occ.scm 202 */
								obj_t BgL_resetz72z72_1523;

								BgL_resetz72z72_1523 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_failz00_bglt) CREF(BgL_nodez00_1515))->BgL_msgz00),
									BgL_1zd2expza2z72z02_1522);
								{	/* Reduce/1occ.scm 203 */
									obj_t BgL_nmsgz00_1524;

									{	/* Reduce/1occ.scm 204 */
										int BgL_auxz00_3366;

										BgL_auxz00_3366 = (int) (((long) 1));
										BgL_nmsgz00_1524 = BGL_MVALUES_VAL(BgL_auxz00_3366);
									}
									((((BgL_failz00_bglt) CREF(BgL_nodez00_1515))->BgL_msgz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_1524)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 205 */
										obj_t BgL_1zd2expza2z72z72z70_1525;

										if (CBOOL(BgL_resetz72z72_1523))
											{	/* Reduce/1occ.scm 205 */
												BgL_1zd2expza2z72z72z70_1525 = BNIL;
											}
										else
											{	/* Reduce/1occ.scm 205 */
												BgL_1zd2expza2z72z72z70_1525 =
													BgL_1zd2expza2z72z02_1522;
											}
										{	/* Reduce/1occ.scm 206 */
											obj_t BgL_resetz72z72z00_1526;

											BgL_resetz72z72z00_1526 =
												BGl_nodezd21occz12zc0zzreduce_1occz00(
												(((BgL_failz00_bglt) CREF(BgL_nodez00_1515))->
													BgL_objz00), BgL_1zd2expza2z72z72z70_1525);
											{	/* Reduce/1occ.scm 207 */
												obj_t BgL_nobjz00_1527;

												{	/* Reduce/1occ.scm 208 */
													int BgL_auxz00_3375;

													BgL_auxz00_3375 = (int) (((long) 1));
													BgL_nobjz00_1527 = BGL_MVALUES_VAL(BgL_auxz00_3375);
												}
												((((BgL_failz00_bglt) CREF(BgL_nodez00_1515))->
														BgL_objz00) =
													((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
															BgL_nobjz00_1527)), BUNSPEC);
												{	/* Reduce/1occ.scm 209 */
													obj_t BgL_val0_1842z00_1528;

													if (CBOOL(BgL_resetz00_1520))
														{	/* Reduce/1occ.scm 209 */
															BgL_val0_1842z00_1528 = BgL_resetz00_1520;
														}
													else
														{	/* Reduce/1occ.scm 209 */
															if (CBOOL(BgL_resetz72z72_1523))
																{	/* Reduce/1occ.scm 209 */
																	BgL_val0_1842z00_1528 = BgL_resetz72z72_1523;
																}
															else
																{	/* Reduce/1occ.scm 209 */
																	BgL_val0_1842z00_1528 =
																		BgL_resetz72z72z00_1526;
																}
														}
													{	/* Reduce/1occ.scm 209 */
														int BgL_res2136z00_2617;

														{	/* Reduce/1occ.scm 209 */
															int BgL_auxz00_3384;

															BgL_auxz00_3384 = (int) (((long) 2));
															BgL_res2136z00_2617 =
																BGL_MVALUES_NUMBER_SET(BgL_auxz00_3384);
														} BgL_res2136z00_2617;
													}
													{	/* Reduce/1occ.scm 209 */
														obj_t BgL_auxz00_3389;
														int BgL_auxz00_3387;

														BgL_auxz00_3389 = ((obj_t) BgL_nodez00_1515);
														BgL_auxz00_3387 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_auxz00_3387,
															BgL_auxz00_3389);
													}
													return BgL_val0_1842z00_1528;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-condition1896 */
	obj_t BGl_z62nodezd21occz12zd2condition1896z70zzreduce_1occz00(obj_t
		BgL_envz00_2788, obj_t BgL_nodez00_2789, obj_t BgL_1zd2expza2z70_2790)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 179 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1495;
				obj_t BgL_1zd2expza2z70_1496;

				BgL_nodez00_1495 = ((BgL_conditionalz00_bglt) BgL_nodez00_2789);
				BgL_1zd2expza2z70_1496 = BgL_1zd2expza2z70_2790;
				{	/* Reduce/1occ.scm 181 */
					obj_t BgL_resetz00_1500;

					BgL_resetz00_1500 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1495))->BgL_testz00),
						BgL_1zd2expza2z70_1496);
					{	/* Reduce/1occ.scm 182 */
						obj_t BgL_ntestz00_1501;

						{	/* Reduce/1occ.scm 183 */
							int BgL_auxz00_3395;

							BgL_auxz00_3395 = (int) (((long) 1));
							BgL_ntestz00_1501 = BGL_MVALUES_VAL(BgL_auxz00_3395);
						}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1495))->BgL_testz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_1501)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 184 */
							obj_t BgL_1zd2expza2z72z02_1502;

							if (CBOOL(BgL_resetz00_1500))
								{	/* Reduce/1occ.scm 184 */
									BgL_1zd2expza2z72z02_1502 = BNIL;
								}
							else
								{	/* Reduce/1occ.scm 184 */
									BgL_1zd2expza2z72z02_1502 = BgL_1zd2expza2z70_1496;
								}
							{	/* Reduce/1occ.scm 185 */
								obj_t BgL_resetz72z72_1503;

								BgL_resetz72z72_1503 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1495))->
										BgL_truez00), BgL_1zd2expza2z72z02_1502);
								{	/* Reduce/1occ.scm 186 */
									obj_t BgL_ntruez00_1504;

									{	/* Reduce/1occ.scm 187 */
										int BgL_auxz00_3404;

										BgL_auxz00_3404 = (int) (((long) 1));
										BgL_ntruez00_1504 = BGL_MVALUES_VAL(BgL_auxz00_3404);
									}
									((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1495))->
											BgL_truez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_1504)),
										BUNSPEC);
									{	/* Reduce/1occ.scm 188 */
										obj_t BgL_resetz72z72z00_1505;

										BgL_resetz72z72z00_1505 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1495))->
												BgL_falsez00), BgL_1zd2expza2z72z02_1502);
										{	/* Reduce/1occ.scm 189 */
											obj_t BgL_nfalsez00_1506;

											{	/* Reduce/1occ.scm 190 */
												int BgL_auxz00_3411;

												BgL_auxz00_3411 = (int) (((long) 1));
												BgL_nfalsez00_1506 = BGL_MVALUES_VAL(BgL_auxz00_3411);
											}
											((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1495))->
													BgL_falsez00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nfalsez00_1506)), BUNSPEC);
											{	/* Reduce/1occ.scm 191 */
												obj_t BgL_val0_1840z00_1507;

												if (CBOOL(BgL_resetz00_1500))
													{	/* Reduce/1occ.scm 191 */
														BgL_val0_1840z00_1507 = BgL_resetz00_1500;
													}
												else
													{	/* Reduce/1occ.scm 191 */
														if (CBOOL(BgL_resetz72z72_1503))
															{	/* Reduce/1occ.scm 191 */
																BgL_val0_1840z00_1507 = BgL_resetz72z72_1503;
															}
														else
															{	/* Reduce/1occ.scm 191 */
																BgL_val0_1840z00_1507 = BgL_resetz72z72z00_1505;
															}
													}
												{	/* Reduce/1occ.scm 191 */
													int BgL_res2135z00_2610;

													{	/* Reduce/1occ.scm 191 */
														int BgL_auxz00_3420;

														BgL_auxz00_3420 = (int) (((long) 2));
														BgL_res2135z00_2610 =
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_3420);
													} BgL_res2135z00_2610;
												}
												{	/* Reduce/1occ.scm 191 */
													obj_t BgL_auxz00_3425;
													int BgL_auxz00_3423;

													BgL_auxz00_3425 = ((obj_t) BgL_nodez00_1495);
													BgL_auxz00_3423 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_auxz00_3423, BgL_auxz00_3425);
												}
												return BgL_val0_1840z00_1507;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-setq1894 */
	obj_t BGl_z62nodezd21occz12zd2setq1894z70zzreduce_1occz00(obj_t
		BgL_envz00_2791, obj_t BgL_nodez00_2792, obj_t BgL_1zd2expza2z70_2793)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 169 */
			{
				BgL_setqz00_bglt BgL_nodez00_1484;
				obj_t BgL_1zd2expza2z70_1485;

				BgL_nodez00_1484 = ((BgL_setqz00_bglt) BgL_nodez00_2792);
				BgL_1zd2expza2z70_1485 = BgL_1zd2expza2z70_2793;
				{	/* Reduce/1occ.scm 171 */
					obj_t BgL_resetz00_1489;

					BgL_resetz00_1489 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1484))->BgL_valuez00),
						BgL_1zd2expza2z70_1485);
					{	/* Reduce/1occ.scm 172 */
						obj_t BgL_nvaluez00_1490;

						{	/* Reduce/1occ.scm 173 */
							int BgL_auxz00_3431;

							BgL_auxz00_3431 = (int) (((long) 1));
							BgL_nvaluez00_1490 = BGL_MVALUES_VAL(BgL_auxz00_3431);
						}
						((((BgL_setqz00_bglt) CREF(BgL_nodez00_1484))->BgL_valuez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_1490)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 174 */
							int BgL_res2134z00_2603;

							{	/* Reduce/1occ.scm 174 */
								int BgL_auxz00_3436;

								BgL_auxz00_3436 = (int) (((long) 2));
								BgL_res2134z00_2603 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3436);
							} BgL_res2134z00_2603;
						}
						{	/* Reduce/1occ.scm 174 */
							obj_t BgL_auxz00_3441;
							int BgL_auxz00_3439;

							BgL_auxz00_3441 = ((obj_t) BgL_nodez00_1484);
							BgL_auxz00_3439 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3439, BgL_auxz00_3441);
						}
						return BgL_resetz00_1489;
					}
				}
			}
		}
	}



/* &node-1occ!-cast1892 */
	obj_t BGl_z62nodezd21occz12zd2cast1892z70zzreduce_1occz00(obj_t
		BgL_envz00_2794, obj_t BgL_nodez00_2795, obj_t BgL_1zd2expza2z70_2796)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 159 */
			{
				BgL_castz00_bglt BgL_nodez00_1473;
				obj_t BgL_1zd2expza2z70_1474;

				BgL_nodez00_1473 = ((BgL_castz00_bglt) BgL_nodez00_2795);
				BgL_1zd2expza2z70_1474 = BgL_1zd2expza2z70_2796;
				{	/* Reduce/1occ.scm 161 */
					obj_t BgL_resetz00_1478;

					BgL_resetz00_1478 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1473))->BgL_argz00),
						BgL_1zd2expza2z70_1474);
					{	/* Reduce/1occ.scm 162 */
						obj_t BgL_nargz00_1479;

						{	/* Reduce/1occ.scm 163 */
							int BgL_auxz00_3447;

							BgL_auxz00_3447 = (int) (((long) 1));
							BgL_nargz00_1479 = BGL_MVALUES_VAL(BgL_auxz00_3447);
						}
						((((BgL_castz00_bglt) CREF(BgL_nodez00_1473))->BgL_argz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_1479)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 164 */
							int BgL_res2133z00_2598;

							{	/* Reduce/1occ.scm 164 */
								int BgL_auxz00_3452;

								BgL_auxz00_3452 = (int) (((long) 2));
								BgL_res2133z00_2598 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3452);
							} BgL_res2133z00_2598;
						}
						{	/* Reduce/1occ.scm 164 */
							obj_t BgL_auxz00_3457;
							int BgL_auxz00_3455;

							BgL_auxz00_3457 = ((obj_t) BgL_nodez00_1473);
							BgL_auxz00_3455 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3455, BgL_auxz00_3457);
						}
						return BgL_resetz00_1478;
					}
				}
			}
		}
	}



/* &node-1occ!-private1890 */
	obj_t BGl_z62nodezd21occz12zd2private1890z70zzreduce_1occz00(obj_t
		BgL_envz00_2797, obj_t BgL_nodez00_2798, obj_t BgL_1zd2expza2z70_2799)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 152 */
			{
				BgL_privatez00_bglt BgL_nodez00_1464;
				obj_t BgL_1zd2expza2z70_1465;

				BgL_nodez00_1464 = ((BgL_privatez00_bglt) BgL_nodez00_2798);
				BgL_1zd2expza2z70_1465 = BgL_1zd2expza2z70_2799;
				{	/* Reduce/1occ.scm 154 */
					obj_t BgL_val0_1834z00_1469;

					{	/* Reduce/1occ.scm 154 */
						obj_t BgL_arg1994z00_1471;

						BgL_arg1994z00_1471 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1464)))->BgL_exprza2za2);
						BgL_val0_1834z00_1469 =
							BGl_nodezd21occza2z12z62zzreduce_1occz00(BgL_arg1994z00_1471,
							BgL_1zd2expza2z70_1465);
					}
					{	/* Reduce/1occ.scm 154 */
						int BgL_res2132z00_2593;

						{	/* Reduce/1occ.scm 154 */
							int BgL_auxz00_3464;

							BgL_auxz00_3464 = (int) (((long) 2));
							BgL_res2132z00_2593 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3464);
						} BgL_res2132z00_2593;
					}
					{	/* Reduce/1occ.scm 154 */
						obj_t BgL_auxz00_3469;
						int BgL_auxz00_3467;

						BgL_auxz00_3469 = ((obj_t) BgL_nodez00_1464);
						BgL_auxz00_3467 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3467, BgL_auxz00_3469);
					}
					return BgL_val0_1834z00_1469;
				}
			}
		}
	}



/* &node-1occ!-extern1888 */
	obj_t BGl_z62nodezd21occz12zd2extern1888z70zzreduce_1occz00(obj_t
		BgL_envz00_2800, obj_t BgL_nodez00_2801, obj_t BgL_1zd2expza2z70_2802)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 146 */
			{
				BgL_externz00_bglt BgL_nodez00_1457;
				obj_t BgL_1zd2expza2z70_1458;

				{	/* Reduce/1occ.scm 147 */
					bool_t BgL_auxz00_3473;

					BgL_nodez00_1457 = ((BgL_externz00_bglt) BgL_nodez00_2801);
					BgL_1zd2expza2z70_1458 = BgL_1zd2expza2z70_2802;
					{	/* Reduce/1occ.scm 147 */
						bool_t BgL_val0_1832z00_2586;

						BgL_val0_1832z00_2586 =
							BGl_sidezd2effectzf3z21zzeffect_effectz00(
							((BgL_nodez00_bglt) BgL_nodez00_1457));
						{	/* Reduce/1occ.scm 147 */
							int BgL_res2131z00_2589;

							{	/* Reduce/1occ.scm 147 */
								int BgL_auxz00_3476;

								BgL_auxz00_3476 = (int) (((long) 2));
								BgL_res2131z00_2589 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3476);
							} BgL_res2131z00_2589;
						}
						{	/* Reduce/1occ.scm 147 */
							obj_t BgL_auxz00_3481;
							int BgL_auxz00_3479;

							BgL_auxz00_3481 = ((obj_t) BgL_nodez00_1457);
							BgL_auxz00_3479 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3479, BgL_auxz00_3481);
						}
						BgL_auxz00_3473 = BgL_val0_1832z00_2586;
					}
					return BBOOL(BgL_auxz00_3473);
				}
			}
		}
	}



/* &node-1occ!-funcall1886 */
	obj_t BGl_z62nodezd21occz12zd2funcall1886z70zzreduce_1occz00(obj_t
		BgL_envz00_2803, obj_t BgL_nodez00_2804, obj_t BgL_1zd2expza2z70_2805)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 135 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1447;
				obj_t BgL_1zd2expza2z70_1448;

				BgL_nodez00_1447 = ((BgL_funcallz00_bglt) BgL_nodez00_2804);
				BgL_1zd2expza2z70_1448 = BgL_1zd2expza2z70_2805;
				{	/* Reduce/1occ.scm 137 */
					obj_t BgL_resetz72z72_1452;

					BgL_resetz72z72_1452 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1447))->BgL_argsz00),
						BgL_1zd2expza2z70_1448);
					{	/* Reduce/1occ.scm 138 */
						int BgL_res2130z00_2583;

						{	/* Reduce/1occ.scm 138 */
							int BgL_auxz00_3488;

							BgL_auxz00_3488 = (int) (((long) 2));
							BgL_res2130z00_2583 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3488);
						} BgL_res2130z00_2583;
					}
					{	/* Reduce/1occ.scm 138 */
						obj_t BgL_auxz00_3493;
						int BgL_auxz00_3491;

						BgL_auxz00_3493 = ((obj_t) BgL_nodez00_1447);
						BgL_auxz00_3491 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3491, BgL_auxz00_3493);
					}
					return BgL_resetz72z72_1452;
				}
			}
		}
	}



/* &node-1occ!-app-ly1884 */
	obj_t BGl_z62nodezd21occz12zd2appzd2ly1884za2zzreduce_1occz00(obj_t
		BgL_envz00_2806, obj_t BgL_nodez00_2807, obj_t BgL_1zd2expza2z70_2808)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 122 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1431;
				obj_t BgL_1zd2expza2z70_1432;

				BgL_nodez00_1431 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2807);
				BgL_1zd2expza2z70_1432 = BgL_1zd2expza2z70_2808;
				{	/* Reduce/1occ.scm 124 */
					obj_t BgL_resetz00_1436;

					BgL_resetz00_1436 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1431))->BgL_funz00),
						BgL_1zd2expza2z70_1432);
					{	/* Reduce/1occ.scm 125 */
						obj_t BgL_nfunz00_1437;

						{	/* Reduce/1occ.scm 126 */
							int BgL_auxz00_3499;

							BgL_auxz00_3499 = (int) (((long) 1));
							BgL_nfunz00_1437 = BGL_MVALUES_VAL(BgL_auxz00_3499);
						}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1431))->BgL_funz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_1437)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 127 */
							obj_t BgL_resetz72z72_1438;

							{	/* Reduce/1occ.scm 128 */
								BgL_nodez00_bglt BgL_arg1990z00_1443;
								obj_t BgL_arg1991z00_1444;

								BgL_arg1990z00_1443 =
									(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1431))->BgL_argz00);
								if (CBOOL(BgL_resetz00_1436))
									{	/* Reduce/1occ.scm 128 */
										BgL_arg1991z00_1444 = BNIL;
									}
								else
									{	/* Reduce/1occ.scm 128 */
										BgL_arg1991z00_1444 = BgL_1zd2expza2z70_1432;
									}
								BgL_resetz72z72_1438 =
									BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_arg1990z00_1443,
									BgL_arg1991z00_1444);
							}
							{	/* Reduce/1occ.scm 128 */
								obj_t BgL_nargz00_1439;

								{	/* Reduce/1occ.scm 129 */
									int BgL_auxz00_3508;

									BgL_auxz00_3508 = (int) (((long) 1));
									BgL_nargz00_1439 = BGL_MVALUES_VAL(BgL_auxz00_3508);
								}
								((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1431))->BgL_argz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_1439)),
									BUNSPEC);
								{	/* Reduce/1occ.scm 130 */
									obj_t BgL_val0_1828z00_1440;

									if (CBOOL(BgL_resetz00_1436))
										{	/* Reduce/1occ.scm 130 */
											BgL_val0_1828z00_1440 = BgL_resetz00_1436;
										}
									else
										{	/* Reduce/1occ.scm 130 */
											BgL_val0_1828z00_1440 = BgL_resetz72z72_1438;
										}
									{	/* Reduce/1occ.scm 130 */
										int BgL_res2129z00_2579;

										{	/* Reduce/1occ.scm 130 */
											int BgL_auxz00_3515;

											BgL_auxz00_3515 = (int) (((long) 2));
											BgL_res2129z00_2579 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3515);
										} BgL_res2129z00_2579;
									}
									{	/* Reduce/1occ.scm 130 */
										obj_t BgL_auxz00_3520;
										int BgL_auxz00_3518;

										BgL_auxz00_3520 = ((obj_t) BgL_nodez00_1431);
										BgL_auxz00_3518 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3518, BgL_auxz00_3520);
									}
									return BgL_val0_1828z00_1440;
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-sync1882 */
	obj_t BGl_z62nodezd21occz12zd2sync1882z70zzreduce_1occz00(obj_t
		BgL_envz00_2809, obj_t BgL_nodez00_2810, obj_t BgL_1zd2expza2z70_2811)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 109 */
			{
				BgL_syncz00_bglt BgL_nodez00_1414;
				obj_t BgL_1zd2expza2z70_1415;

				BgL_nodez00_1414 = ((BgL_syncz00_bglt) BgL_nodez00_2810);
				BgL_1zd2expza2z70_1415 = BgL_1zd2expza2z70_2811;
				{	/* Reduce/1occ.scm 111 */
					obj_t BgL_resetmz00_1419;

					BgL_resetmz00_1419 =
						BGl_nodezd21occz12zc0zzreduce_1occz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1414))->BgL_mutexz00),
						BgL_1zd2expza2z70_1415);
					{	/* Reduce/1occ.scm 112 */
						obj_t BgL_nmutexz00_1420;

						{	/* Reduce/1occ.scm 113 */
							int BgL_auxz00_3526;

							BgL_auxz00_3526 = (int) (((long) 1));
							BgL_nmutexz00_1420 = BGL_MVALUES_VAL(BgL_auxz00_3526);
						}
						((((BgL_syncz00_bglt) CREF(BgL_nodez00_1414))->BgL_mutexz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmutexz00_1420)),
							BUNSPEC);
						{	/* Reduce/1occ.scm 114 */
							obj_t BgL_resetpz00_1421;

							BgL_resetpz00_1421 =
								BGl_nodezd21occz12zc0zzreduce_1occz00(
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_1414))->BgL_prelockz00),
								BgL_1zd2expza2z70_1415);
							{	/* Reduce/1occ.scm 115 */
								obj_t BgL_nprelockz00_1422;

								{	/* Reduce/1occ.scm 116 */
									int BgL_auxz00_3533;

									BgL_auxz00_3533 = (int) (((long) 1));
									BgL_nprelockz00_1422 = BGL_MVALUES_VAL(BgL_auxz00_3533);
								}
								((((BgL_syncz00_bglt) CREF(BgL_nodez00_1414))->BgL_prelockz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
											BgL_nprelockz00_1422)), BUNSPEC);
								{	/* Reduce/1occ.scm 117 */
									obj_t BgL_val0_1826z00_1423;

									{	/* Reduce/1occ.scm 117 */
										obj_t BgL__ortest_1103z00_1425;

										BgL__ortest_1103z00_1425 =
											BGl_nodezd21occz12zc0zzreduce_1occz00(
											(((BgL_syncz00_bglt) CREF(BgL_nodez00_1414))->
												BgL_bodyz00), BgL_1zd2expza2z70_1415);
										if (CBOOL(BgL__ortest_1103z00_1425))
											{	/* Reduce/1occ.scm 117 */
												BgL_val0_1826z00_1423 = BgL__ortest_1103z00_1425;
											}
										else
											{	/* Reduce/1occ.scm 117 */
												if (CBOOL(BgL_resetmz00_1419))
													{	/* Reduce/1occ.scm 117 */
														BgL_val0_1826z00_1423 = BgL_resetmz00_1419;
													}
												else
													{	/* Reduce/1occ.scm 117 */
														BgL_val0_1826z00_1423 = BgL_resetpz00_1421;
													}
											}
									}
									{	/* Reduce/1occ.scm 117 */
										int BgL_res2128z00_2573;

										{	/* Reduce/1occ.scm 117 */
											int BgL_auxz00_3544;

											BgL_auxz00_3544 = (int) (((long) 2));
											BgL_res2128z00_2573 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3544);
										} BgL_res2128z00_2573;
									}
									{	/* Reduce/1occ.scm 117 */
										obj_t BgL_auxz00_3549;
										int BgL_auxz00_3547;

										BgL_auxz00_3549 = ((obj_t) BgL_nodez00_1414);
										BgL_auxz00_3547 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3547, BgL_auxz00_3549);
									}
									return BgL_val0_1826z00_1423;
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-1occ!-sequence1880 */
	obj_t BGl_z62nodezd21occz12zd2sequence1880z70zzreduce_1occz00(obj_t
		BgL_envz00_2812, obj_t BgL_nodez00_2813, obj_t BgL_1zd2expza2z70_2814)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 102 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1405;
				obj_t BgL_1zd2expza2z70_1406;

				BgL_nodez00_1405 = ((BgL_sequencez00_bglt) BgL_nodez00_2813);
				BgL_1zd2expza2z70_1406 = BgL_1zd2expza2z70_2814;
				{	/* Reduce/1occ.scm 104 */
					obj_t BgL_val0_1824z00_1410;

					BgL_val0_1824z00_1410 =
						BGl_nodezd21occza2z12z62zzreduce_1occz00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1405))->BgL_nodesz00),
						BgL_1zd2expza2z70_1406);
					{	/* Reduce/1occ.scm 104 */
						int BgL_res2127z00_2567;

						{	/* Reduce/1occ.scm 104 */
							int BgL_auxz00_3555;

							BgL_auxz00_3555 = (int) (((long) 2));
							BgL_res2127z00_2567 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3555);
						} BgL_res2127z00_2567;
					}
					{	/* Reduce/1occ.scm 104 */
						obj_t BgL_auxz00_3560;
						int BgL_auxz00_3558;

						BgL_auxz00_3560 = ((obj_t) BgL_nodez00_1405);
						BgL_auxz00_3558 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3558, BgL_auxz00_3560);
					}
					return BgL_val0_1824z00_1410;
				}
			}
		}
	}



/* &node-1occ!-closure1878 */
	obj_t BGl_z62nodezd21occz12zd2closure1878z70zzreduce_1occz00(obj_t
		BgL_envz00_2815, obj_t BgL_nodez00_2816, obj_t BgL_1zd2expza2z70_2817)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 96 */
			{
				BgL_closurez00_bglt BgL_nodez00_1398;
				obj_t BgL_1zd2expza2z70_1399;

				{	/* Reduce/1occ.scm 97 */
					bool_t BgL_auxz00_3564;

					BgL_nodez00_1398 = ((BgL_closurez00_bglt) BgL_nodez00_2816);
					BgL_1zd2expza2z70_1399 = BgL_1zd2expza2z70_2817;
					{	/* Reduce/1occ.scm 97 */
						int BgL_res2126z00_2563;

						{	/* Reduce/1occ.scm 97 */
							int BgL_auxz00_3565;

							BgL_auxz00_3565 = (int) (((long) 2));
							BgL_res2126z00_2563 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3565);
						} BgL_res2126z00_2563;
					}
					{	/* Reduce/1occ.scm 97 */
						obj_t BgL_auxz00_3570;
						int BgL_auxz00_3568;

						BgL_auxz00_3570 = ((obj_t) BgL_nodez00_1398);
						BgL_auxz00_3568 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3568, BgL_auxz00_3570);
					}
					BgL_auxz00_3564 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_3564);
				}
			}
		}
	}



/* &node-1occ!-var1876 */
	obj_t BGl_z62nodezd21occz12zd2var1876z70zzreduce_1occz00(obj_t
		BgL_envz00_2818, obj_t BgL_nodez00_2819, obj_t BgL_1zd2expza2z70_2820)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 83 */
			{
				BgL_varz00_bglt BgL_nodez00_1385;
				obj_t BgL_1zd2expza2z70_1386;

				BgL_nodez00_1385 = ((BgL_varz00_bglt) BgL_nodez00_2819);
				BgL_1zd2expza2z70_1386 = BgL_1zd2expza2z70_2820;
				{	/* Reduce/1occ.scm 84 */
					BgL_variablez00_bglt BgL_vz00_1389;

					BgL_vz00_1389 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1385))->BgL_variablez00);
					{	/* Reduce/1occ.scm 85 */
						obj_t BgL_falphaz00_1390;

						BgL_falphaz00_1390 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_vz00_1389), BgL_1zd2expza2z70_1386);
						if (PAIRP(BgL_falphaz00_1390))
							{	/* Reduce/1occ.scm 86 */
								((((BgL_variablez00_bglt) CREF(BgL_vz00_1389))->
										BgL_occurrencez00) =
									((long) ((((BgL_variablez00_bglt) CREF(BgL_vz00_1389))->
												BgL_occurrencez00) - ((long) 1))), BUNSPEC);
								BGl_za2variablezd2removedza2zd2zzreduce_1occz00 =
									(BGl_za2variablezd2removedza2zd2zzreduce_1occz00 +
									((long) 1));
								{	/* Reduce/1occ.scm 90 */
									obj_t BgL_arg1983z00_1394;

									BgL_arg1983z00_1394 = CDR(BgL_falphaz00_1390);
									return
										BGl_nodezd21occz12zc0zzreduce_1occz00(
										((BgL_nodez00_bglt) BgL_arg1983z00_1394),
										BgL_1zd2expza2z70_1386);
								}
							}
						else
							{	/* Reduce/1occ.scm 86 */
								{	/* Reduce/1occ.scm 91 */
									int BgL_res2125z00_2557;

									{	/* Reduce/1occ.scm 91 */
										int BgL_auxz00_3587;

										BgL_auxz00_3587 = (int) (((long) 2));
										BgL_res2125z00_2557 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_3587);
									} BgL_res2125z00_2557;
								}
								{	/* Reduce/1occ.scm 91 */
									obj_t BgL_auxz00_3592;
									int BgL_auxz00_3590;

									BgL_auxz00_3592 = ((obj_t) BgL_nodez00_1385);
									BgL_auxz00_3590 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_3590, BgL_auxz00_3592);
								}
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &node-1occ!-kwote1874 */
	obj_t BGl_z62nodezd21occz12zd2kwote1874z70zzreduce_1occz00(obj_t
		BgL_envz00_2821, obj_t BgL_nodez00_2822, obj_t BgL_1zd2expza2z70_2823)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 77 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1378;
				obj_t BgL_1zd2expza2z70_1379;

				{	/* Reduce/1occ.scm 78 */
					bool_t BgL_auxz00_3596;

					BgL_nodez00_1378 = ((BgL_kwotez00_bglt) BgL_nodez00_2822);
					BgL_1zd2expza2z70_1379 = BgL_1zd2expza2z70_2823;
					{	/* Reduce/1occ.scm 78 */
						int BgL_res2119z00_2535;

						{	/* Reduce/1occ.scm 78 */
							int BgL_auxz00_3597;

							BgL_auxz00_3597 = (int) (((long) 2));
							BgL_res2119z00_2535 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3597);
						} BgL_res2119z00_2535;
					}
					{	/* Reduce/1occ.scm 78 */
						obj_t BgL_auxz00_3602;
						int BgL_auxz00_3600;

						BgL_auxz00_3602 = ((obj_t) BgL_nodez00_1378);
						BgL_auxz00_3600 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3600, BgL_auxz00_3602);
					}
					BgL_auxz00_3596 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_3596);
				}
			}
		}
	}



/* &node-1occ!-atom1872 */
	obj_t BGl_z62nodezd21occz12zd2atom1872z70zzreduce_1occz00(obj_t
		BgL_envz00_2824, obj_t BgL_nodez00_2825, obj_t BgL_1zd2expza2z70_2826)
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 71 */
			{
				BgL_atomz00_bglt BgL_nodez00_1371;
				obj_t BgL_1zd2expza2z70_1372;

				{	/* Reduce/1occ.scm 72 */
					bool_t BgL_auxz00_3607;

					BgL_nodez00_1371 = ((BgL_atomz00_bglt) BgL_nodez00_2825);
					BgL_1zd2expza2z70_1372 = BgL_1zd2expza2z70_2826;
					{	/* Reduce/1occ.scm 72 */
						int BgL_res2118z00_2529;

						{	/* Reduce/1occ.scm 72 */
							int BgL_auxz00_3608;

							BgL_auxz00_3608 = (int) (((long) 2));
							BgL_res2118z00_2529 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3608);
						} BgL_res2118z00_2529;
					}
					{	/* Reduce/1occ.scm 72 */
						obj_t BgL_auxz00_3613;
						int BgL_auxz00_3611;

						BgL_auxz00_3613 = ((obj_t) BgL_nodez00_1371);
						BgL_auxz00_3611 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3611, BgL_auxz00_3613);
					}
					BgL_auxz00_3607 = ((bool_t) 0);
					return BBOOL(BgL_auxz00_3607);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00()
	{
		AN_OBJECT;
		{	/* Reduce/1occ.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
			return
				BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 535161272),
				BSTRING_TO_STRING(BGl_string2186z00zzreduce_1occz00));
		}
	}

#ifdef __cplusplus
}
#endif
