/*===========================================================================*/
/*   (Reduce/cond.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/cond.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt
		BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2extern1918z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1937z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_condz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_condz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2atom1900z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62staticzd2valuezd2atom1949z62zzreduce_condz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_resetzd2condzd2cachez12z12zzreduce_condz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2app1912z70zzreduce_condz00(obj_t, obj_t);
	static long BGl_za2condzd2reducedza2zd2zzreduce_condz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1939za2zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121941zb0zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2funcall1916z70zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2sync1910z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2fail1927z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1943za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_condz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1935z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_condz00();
	static obj_t BGl_genericzd2initzd2zzreduce_condz00();
	static obj_t BGl_staticzd2valuezd2zzreduce_condz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62staticzd2valuezd2letzd2var1947zb0zzreduce_condz00(obj_t,
		obj_t);
	static obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t);
	static obj_t BGl_z62staticzd2value1944zb0zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2var1904z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2kwote1902z70zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62staticzd2valuezd2sequenc1951z62zzreduce_condz00(obj_t,
		obj_t);
	static obj_t BGl_za2z42zd3fxza2z91zzreduce_condz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1931za2zzreduce_condz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2condz121897za2zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62staticzd2valuezb0zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_initzd2condzd2cachez12z12zzreduce_condz00();
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_condz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00();
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1925z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_za2z42eqza2z42zzreduce_condz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2sequence1908z70zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2cast1920z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1933za2zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2select1929z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2appzd2ly1914za2zzreduce_condz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setq1922z70zzreduce_condz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2closure1906z70zzreduce_condz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712215za7,
		BGl_z62nodezd2condz12zd2letzd2fun1931za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712216za7,
		BGl_z62nodezd2condz12zd2letzd2var1933za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712217za7,
		BGl_z62nodezd2condz12zd2setzd2exzd2it1935z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712218za7,
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1937z70zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712219za7,
		BGl_z62nodezd2condz12zd2makezd2box1939za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712220za7,
		BGl_z62nodezd2condz12zd2boxzd2setz121941zb0zzreduce_condz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712221za7,
		BGl_z62nodezd2condz12zd2boxzd2ref1943za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2222z00,
		BGl_z62staticzd2valuezd2letzd2var1947zb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2223z00,
		BGl_z62staticzd2valuezd2atom1949z62zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2224z00,
		BGl_z62staticzd2valuezd2sequenc1951z62zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2177z00zzreduce_condz00,
		BgL_bgl_string2177za700za7za7r2225za7, "      conditional expression ", 29);
	      DEFINE_STRING(BGl_string2178z00zzreduce_condz00,
		BgL_bgl_string2178za700za7za7r2226za7, "(reduced: ", 10);
	      DEFINE_STRING(BGl_string2180z00zzreduce_condz00,
		BgL_bgl_string2180za700za7za7r2227za7, "node-cond!1897", 14);
	      DEFINE_STRING(BGl_string2182z00zzreduce_condz00,
		BgL_bgl_string2182za700za7za7r2228za7, "static-value1944", 16);
	      DEFINE_STRING(BGl_string2183z00zzreduce_condz00,
		BgL_bgl_string2183za700za7za7r2229za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2185z00zzreduce_condz00,
		BgL_bgl_string2185za700za7za7r2230za7, "node-cond!", 10);
	      DEFINE_STATIC_BGL_GENERIC(BGl_staticzd2valuezd2envz00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2231z00,
		BGl_z62staticzd2valuezb0zzreduce_condz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2conditionalz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762reduceza7d2cond2232z00,
		BGl_z62reducezd2conditionalz12za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2208z00zzreduce_condz00,
		BgL_bgl_string2208za700za7za7r2233za7, "static-value", 12);
	      DEFINE_STRING(BGl_string2211z00zzreduce_condz00,
		BgL_bgl_string2211za700za7za7r2234za7, "reduce_cond", 11);
	      DEFINE_STRING(BGl_string2212z00zzreduce_condz00,
		BgL_bgl_string2212za700za7za7r2235za7,
		"true false node-cond!1897 done c-=fx c-eq? foreign ", 51);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712236za7,
		BGl_z62nodezd2condz121897za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzreduce_condz00,
		BgL_bgl_za762staticza7d2valu2237z00,
		BGl_z62staticzd2value1944zb0zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712238za7,
		BGl_z62nodezd2condz12zd2atom1900z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712239za7,
		BGl_z62nodezd2condz12zd2kwote1902z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712240za7,
		BGl_z62nodezd2condz12zd2var1904z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712241za7,
		BGl_z62nodezd2condz12zd2closure1906z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712242za7,
		BGl_z62nodezd2condz12zd2sequence1908z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712243za7,
		BGl_z62nodezd2condz12zd2sync1910z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712244za7,
		BGl_z62nodezd2condz12zd2app1912z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712245za7,
		BGl_z62nodezd2condz12zd2appzd2ly1914za2zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712246za7,
		BGl_z62nodezd2condz12zd2funcall1916z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712247za7,
		BGl_z62nodezd2condz12zd2extern1918z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712248za7,
		BGl_z62nodezd2condz12zd2cast1920z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712249za7,
		BGl_z62nodezd2condz12zd2setq1922z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712250za7,
		BGl_z62nodezd2condz12zd2condition1925z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712251za7,
		BGl_z62nodezd2condz12zd2fail1927z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712252za7,
		BGl_z62nodezd2condz12zd2select1929z70zzreduce_condz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
		BgL_bgl_za762nodeza7d2condza712253za7,
		BGl_z62nodezd2condz12za2zzreduce_condz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_condz00(long
		BgL_checksumz00_2534, char *BgL_fromz00_2535)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_condz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_condz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_condz00();
					BGl_cnstzd2initzd2zzreduce_condz00();
					BGl_importedzd2moduleszd2initz00zzreduce_condz00();
					BGl_genericzd2initzd2zzreduce_condz00();
					BGl_methodzd2initzd2zzreduce_condz00();
					BGl_toplevelzd2initzd2zzreduce_condz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_cond");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_cond");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			{	/* Reduce/cond.scm 15 */
				obj_t BgL_cportz00_2521;

				BgL_cportz00_2521 =
					bgl_open_input_string(BGl_string2212z00zzreduce_condz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2522;

					BgL_iz00_2522 = ((long) 6);
				BgL_loopz00_2523:
					if ((BgL_iz00_2522 == ((long) -1)))
						{	/* Reduce/cond.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/cond.scm 15 */
							{	/* Reduce/cond.scm 15 */
								obj_t BgL_arg2214z00_2525;

								{	/* Reduce/cond.scm 15 */

									{	/* Reduce/cond.scm 15 */
										obj_t BgL_locationz00_2527;

										BgL_locationz00_2527 = BBOOL(((bool_t) 0));
										{	/* Reduce/cond.scm 15 */

											BgL_arg2214z00_2525 =
												BGl_readz00zz__readerz00(BgL_cportz00_2521,
												BgL_locationz00_2527);
										}
									}
								}
								{	/* Reduce/cond.scm 15 */
									int BgL_auxz00_2557;

									BgL_auxz00_2557 = (int) (BgL_iz00_2522);
									CNST_TABLE_SET(BgL_auxz00_2557, BgL_arg2214z00_2525);
							}}
							{	/* Reduce/cond.scm 15 */
								int BgL_auxz00_2528;

								BgL_auxz00_2528 = (int) ((BgL_iz00_2522 - ((long) 1)));
								{
									long BgL_iz00_2562;

									BgL_iz00_2562 = (long) (BgL_auxz00_2528);
									BgL_iz00_2522 = BgL_iz00_2562;
									goto BgL_loopz00_2523;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			BGl_za2z42eqza2z42zzreduce_condz00 = BFALSE;
			BGl_za2z42zd3fxza2z91zzreduce_condz00 = BFALSE;
			BGl_za2condzd2reducedza2zd2zzreduce_condz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-conditional! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2conditionalz12zc0zzreduce_condz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 30 */
			{	/* Reduce/cond.scm 31 */
				obj_t BgL_list1955z00_1237;

				BgL_list1955z00_1237 =
					MAKE_PAIR(BGl_string2177z00zzreduce_condz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1955z00_1237);
			}
			BGl_initzd2condzd2cachez12z12zzreduce_condz00();
			{
				obj_t BgL_l1807z00_1239;

				BgL_l1807z00_1239 = BgL_globalsz00_3;
			BgL_zc3anonymousza31956ze3z83_1240:
				if (PAIRP(BgL_l1807z00_1239))
					{	/* Reduce/cond.scm 33 */
						{	/* Reduce/cond.scm 34 */
							obj_t BgL_globalz00_1242;

							BgL_globalz00_1242 = CAR(BgL_l1807z00_1239);
							{	/* Reduce/cond.scm 34 */
								BgL_valuez00_bglt BgL_funz00_1243;

								BgL_funz00_1243 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1242))))->
									BgL_valuez00);
								{	/* Reduce/cond.scm 34 */
									obj_t BgL_nodez00_1244;

									BgL_nodez00_1244 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1243)))->BgL_bodyz00);
									{	/* Reduce/cond.scm 35 */

										{	/* Reduce/cond.scm 36 */
											BgL_nodez00_bglt BgL_arg1958z00_1245;

											BgL_arg1958z00_1245 =
												BGl_nodezd2condz12zc0zzreduce_condz00(
												((BgL_nodez00_bglt) BgL_nodez00_1244));
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1243)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1958z00_1245)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1807z00_2581;

							BgL_l1807z00_2581 = CDR(BgL_l1807z00_1239);
							BgL_l1807z00_1239 = BgL_l1807z00_2581;
							goto BgL_zc3anonymousza31956ze3z83_1240;
						}
					}
				else
					{	/* Reduce/cond.scm 33 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/cond.scm 39 */
				obj_t BgL_list1960z00_1248;

				{	/* Reduce/cond.scm 39 */
					obj_t BgL_arg1961z00_1249;

					{	/* Reduce/cond.scm 39 */
						obj_t BgL_arg1964z00_1250;

						{	/* Reduce/cond.scm 39 */
							obj_t BgL_arg1965z00_1251;

							BgL_arg1965z00_1251 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1964z00_1250 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg1965z00_1251);
						}
						BgL_arg1961z00_1249 =
							MAKE_PAIR(BINT(BGl_za2condzd2reducedza2zd2zzreduce_condz00),
							BgL_arg1964z00_1250);
					}
					BgL_list1960z00_1248 =
						MAKE_PAIR(BGl_string2178z00zzreduce_condz00, BgL_arg1961z00_1249);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1960z00_1248);
			}
			BGl_resetzd2condzd2cachez12z12zzreduce_condz00();
			return BgL_globalsz00_3;
		}
	}



/* &reduce-conditional! */
	obj_t BGl_z62reducezd2conditionalz12za2zzreduce_condz00(obj_t BgL_envz00_2434,
		obj_t BgL_globalsz00_2435)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 30 */
			return
				BGl_reducezd2conditionalz12zc0zzreduce_condz00(BgL_globalsz00_2435);
		}
	}



/* init-cond-cache! */
	obj_t BGl_initzd2condzd2cachez12z12zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 53 */
			{	/* Reduce/cond.scm 54 */
				obj_t BgL_list1966z00_1252;

				BgL_list1966z00_1252 = MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				BGl_za2z42eqza2z42zzreduce_condz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
					BgL_list1966z00_1252);
			}
			{	/* Reduce/cond.scm 55 */
				obj_t BgL_list1967z00_1253;

				BgL_list1967z00_1253 = MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
				return (BGl_za2z42zd3fxza2z91zzreduce_condz00 =
					BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
						BgL_list1967z00_1253), BUNSPEC);
		}}
	}



/* reset-cond-cache! */
	obj_t BGl_resetzd2condzd2cachez12z12zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 60 */
			BGl_za2z42eqza2z42zzreduce_condz00 = BFALSE;
			return (BGl_za2z42zd3fxza2z91zzreduce_condz00 = BFALSE, BUNSPEC);
		}
	}



/* node-cond*! */
	obj_t BGl_nodezd2condza2z12z62zzreduce_condz00(obj_t BgL_nodeza2za2_27)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 310 */
			{
				obj_t BgL_nodeza2za2_1255;

				BgL_nodeza2za2_1255 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31968ze3z83_1256:
				if (NULLP(BgL_nodeza2za2_1255))
					{	/* Reduce/cond.scm 312 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Reduce/cond.scm 312 */
						{	/* Reduce/cond.scm 315 */
							BgL_nodez00_bglt BgL_arg1970z00_1258;

							{	/* Reduce/cond.scm 315 */
								obj_t BgL_arg1972z00_1259;

								BgL_arg1972z00_1259 = CAR(BgL_nodeza2za2_1255);
								BgL_arg1970z00_1258 =
									BGl_nodezd2condz12zc0zzreduce_condz00(
									((BgL_nodez00_bglt) BgL_arg1972z00_1259));
							}
							{	/* Reduce/cond.scm 315 */
								obj_t BgL_auxz00_2608;

								BgL_auxz00_2608 = ((obj_t) BgL_arg1970z00_1258);
								SET_CAR(BgL_nodeza2za2_1255, BgL_auxz00_2608);
							}
						}
						{
							obj_t BgL_nodeza2za2_2611;

							BgL_nodeza2za2_2611 = CDR(BgL_nodeza2za2_1255);
							BgL_nodeza2za2_1255 = BgL_nodeza2za2_2611;
							goto BgL_zc3anonymousza31968ze3z83_1256;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_proc2179z00zzreduce_condz00, BGl_nodez00zzast_nodez00,
				BGl_string2180z00zzreduce_condz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_proc2181z00zzreduce_condz00, BGl_nodez00zzast_nodez00,
				BGl_string2182z00zzreduce_condz00);
		}
	}



/* &static-value1944 */
	obj_t BGl_z62staticzd2value1944zb0zzreduce_condz00(obj_t BgL_envz00_2438,
		obj_t BgL_nodez00_2439)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 321 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &node-cond!1897 */
	obj_t BGl_z62nodezd2condz121897za2zzreduce_condz00(obj_t BgL_envz00_2440,
		obj_t BgL_nodez00_2441)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 72 */
			{
				BgL_nodez00_bglt BgL_nodez00_1263;

				BgL_nodez00_1263 = ((BgL_nodez00_bglt) BgL_nodez00_2441);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
					BGl_string2183z00zzreduce_condz00, ((obj_t) BgL_nodez00_1263));
		}}
	}



/* node-cond! */
	BgL_nodez00_bglt BGl_nodezd2condz12zc0zzreduce_condz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 72 */
			{	/* Reduce/cond.scm 72 */
				obj_t BgL_method1898z00_1270;

				{	/* Reduce/cond.scm 72 */
					obj_t BgL_res2147z00_2299;

					{	/* Reduce/cond.scm 72 */
						long BgL_objzd2classzd2numz00_2272;

						{	/* Reduce/cond.scm 72 */
							long BgL_res2141z00_2275;

							BgL_res2141z00_2275 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
							BgL_objzd2classzd2numz00_2272 = BgL_res2141z00_2275;
						}
						{	/* Reduce/cond.scm 72 */
							obj_t BgL_arg1769z00_2273;

							BgL_arg1769z00_2273 =
								PROCEDURE_REF(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
								(int) (((long) 1)));
							{	/* Reduce/cond.scm 72 */
								int BgL_offsetz00_2277;

								BgL_offsetz00_2277 = (int) (BgL_objzd2classzd2numz00_2272);
								{	/* Reduce/cond.scm 72 */
									long BgL_offsetz00_2278;

									BgL_offsetz00_2278 =
										((long) (BgL_offsetz00_2277) - OBJECT_TYPE);
									{	/* Reduce/cond.scm 72 */
										long BgL_modz00_2279;

										{	/* Reduce/cond.scm 72 */
											int BgL_arg1771z00_2280;

											BgL_arg1771z00_2280 = (int) (((long) 16));
											{	/* Reduce/cond.scm 72 */
												long BgL_res2144z00_2290;

												{	/* Reduce/cond.scm 72 */
													long BgL_auxz00_2628;

													BgL_auxz00_2628 = (long) (BgL_arg1771z00_2280);
													BgL_res2144z00_2290 =
														(BgL_offsetz00_2278 / BgL_auxz00_2628);
												}
												BgL_modz00_2279 = BgL_res2144z00_2290;
										}}
										{	/* Reduce/cond.scm 72 */
											long BgL_restz00_2281;

											{	/* Reduce/cond.scm 72 */
												int BgL_arg1770z00_2282;

												BgL_arg1770z00_2282 = (int) (((long) 16));
												{	/* Reduce/cond.scm 72 */
													long BgL_res2146z00_2294;

													{	/* Reduce/cond.scm 72 */
														long BgL_auxz00_2632;

														BgL_auxz00_2632 = (long) (BgL_arg1770z00_2282);
														BgL_res2146z00_2294 =
															(BgL_offsetz00_2278 % BgL_auxz00_2632);
													}
													BgL_restz00_2281 = BgL_res2146z00_2294;
											}}
											{	/* Reduce/cond.scm 72 */

												BgL_res2147z00_2299 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2273,
														(int) (BgL_modz00_2279)), (int) (BgL_restz00_2281));
					}}}}}}}
					BgL_method1898z00_1270 = BgL_res2147z00_2299;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1898z00_1270) (BgL_method1898z00_1270,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}
	}



/* &node-cond! */
	BgL_nodez00_bglt BGl_z62nodezd2condz12za2zzreduce_condz00(obj_t
		BgL_envz00_2442, obj_t BgL_nodez00_2443)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 72 */
			return
				BGl_nodezd2condz12zc0zzreduce_condz00(
				((BgL_nodez00_bglt) BgL_nodez00_2443));
		}
	}



/* static-value */
	obj_t BGl_staticzd2valuezd2zzreduce_condz00(BgL_nodez00_bglt BgL_nodez00_28)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 321 */
			{	/* Reduce/cond.scm 321 */
				obj_t BgL_method1945z00_1271;

				{	/* Reduce/cond.scm 321 */
					obj_t BgL_res2154z00_2328;

					{	/* Reduce/cond.scm 321 */
						long BgL_objzd2classzd2numz00_2301;

						{	/* Reduce/cond.scm 321 */
							long BgL_res2148z00_2304;

							BgL_res2148z00_2304 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_28));
							BgL_objzd2classzd2numz00_2301 = BgL_res2148z00_2304;
						}
						{	/* Reduce/cond.scm 321 */
							obj_t BgL_arg1769z00_2302;

							BgL_arg1769z00_2302 =
								PROCEDURE_REF(BGl_staticzd2valuezd2envz00zzreduce_condz00,
								(int) (((long) 1)));
							{	/* Reduce/cond.scm 321 */
								int BgL_offsetz00_2306;

								BgL_offsetz00_2306 = (int) (BgL_objzd2classzd2numz00_2301);
								{	/* Reduce/cond.scm 321 */
									long BgL_offsetz00_2307;

									BgL_offsetz00_2307 =
										((long) (BgL_offsetz00_2306) - OBJECT_TYPE);
									{	/* Reduce/cond.scm 321 */
										long BgL_modz00_2308;

										{	/* Reduce/cond.scm 321 */
											int BgL_arg1771z00_2309;

											BgL_arg1771z00_2309 = (int) (((long) 16));
											{	/* Reduce/cond.scm 321 */
												long BgL_res2151z00_2319;

												{	/* Reduce/cond.scm 321 */
													long BgL_auxz00_2655;

													BgL_auxz00_2655 = (long) (BgL_arg1771z00_2309);
													BgL_res2151z00_2319 =
														(BgL_offsetz00_2307 / BgL_auxz00_2655);
												}
												BgL_modz00_2308 = BgL_res2151z00_2319;
										}}
										{	/* Reduce/cond.scm 321 */
											long BgL_restz00_2310;

											{	/* Reduce/cond.scm 321 */
												int BgL_arg1770z00_2311;

												BgL_arg1770z00_2311 = (int) (((long) 16));
												{	/* Reduce/cond.scm 321 */
													long BgL_res2153z00_2323;

													{	/* Reduce/cond.scm 321 */
														long BgL_auxz00_2659;

														BgL_auxz00_2659 = (long) (BgL_arg1770z00_2311);
														BgL_res2153z00_2323 =
															(BgL_offsetz00_2307 % BgL_auxz00_2659);
													}
													BgL_restz00_2310 = BgL_res2153z00_2323;
											}}
											{	/* Reduce/cond.scm 321 */

												BgL_res2154z00_2328 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2302,
														(int) (BgL_modz00_2308)), (int) (BgL_restz00_2310));
					}}}}}}}
					BgL_method1945z00_1271 = BgL_res2154z00_2328;
				}
				return
					PROCEDURE_ENTRY(BgL_method1945z00_1271) (BgL_method1945z00_1271,
					((obj_t) BgL_nodez00_28), BEOA);
			}
		}
	}



/* &static-value */
	obj_t BGl_z62staticzd2valuezb0zzreduce_condz00(obj_t BgL_envz00_2444,
		obj_t BgL_nodez00_2445)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 321 */
			return
				BGl_staticzd2valuezd2zzreduce_condz00(
				((BgL_nodez00_bglt) BgL_nodez00_2445));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_atomz00zzast_nodez00,
				BGl_proc2184z00zzreduce_condz00, BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2186z00zzreduce_condz00, BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_varz00zzast_nodez00,
				BGl_proc2187z00zzreduce_condz00, BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_closurez00zzast_nodez00, BGl_proc2188z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2189z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_syncz00zzast_nodez00,
				BGl_proc2190z00zzreduce_condz00, BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_appz00zzast_nodez00,
				BGl_proc2191z00zzreduce_condz00, BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2192z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2193z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_externz00zzast_nodez00, BGl_proc2194z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_castz00zzast_nodez00,
				BGl_proc2195z00zzreduce_condz00, BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_setqz00zzast_nodez00,
				BGl_proc2196z00zzreduce_condz00, BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2197z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00, BGl_failz00zzast_nodez00,
				BGl_proc2198z00zzreduce_condz00, BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_selectz00zzast_nodez00, BGl_proc2199z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2200z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2201z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2202z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2203z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2204z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2205z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2condz12zd2envz12zzreduce_condz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2206z00zzreduce_condz00,
				BGl_string2185z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2207z00zzreduce_condz00,
				BGl_string2208z00zzreduce_condz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00, BGl_atomz00zzast_nodez00,
				BGl_proc2209z00zzreduce_condz00, BGl_string2208z00zzreduce_condz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_staticzd2valuezd2envz00zzreduce_condz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2210z00zzreduce_condz00,
				BGl_string2208z00zzreduce_condz00);
		}
	}



/* &static-value-sequenc1951 */
	obj_t BGl_z62staticzd2valuezd2sequenc1951z62zzreduce_condz00(obj_t
		BgL_envz00_2471, obj_t BgL_nodez00_2472)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 341 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1522;

				BgL_nodez00_1522 = ((BgL_sequencez00_bglt) BgL_nodez00_2472);
				{	/* Reduce/cond.scm 343 */
					bool_t BgL_testz00_2698;

					{	/* Reduce/cond.scm 343 */
						obj_t BgL_auxz00_2699;

						BgL_auxz00_2699 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1522))->BgL_nodesz00);
						BgL_testz00_2698 = PAIRP(BgL_auxz00_2699);
					}
					if (BgL_testz00_2698)
						{	/* Reduce/cond.scm 344 */
							obj_t BgL_arg2077z00_1527;

							BgL_arg2077z00_1527 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1522))->
										BgL_nodesz00)));
							return BGl_staticzd2valuezd2zzreduce_condz00(((BgL_nodez00_bglt)
									BgL_arg2077z00_1527));
						}
					else
						{	/* Reduce/cond.scm 343 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &static-value-atom1949 */
	obj_t BGl_z62staticzd2valuezd2atom1949z62zzreduce_condz00(obj_t
		BgL_envz00_2473, obj_t BgL_nodez00_2474)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 334 */
			{
				BgL_atomz00_bglt BgL_nodez00_1515;

				BgL_nodez00_1515 = ((BgL_atomz00_bglt) BgL_nodez00_2474);
				if (
					((((BgL_atomz00_bglt) CREF(BgL_nodez00_1515))->BgL_valuez00) ==
						BFALSE))
					{	/* Reduce/cond.scm 336 */
						return CNST_TABLE_REF(((long) 5));
					}
				else
					{	/* Reduce/cond.scm 336 */
						return CNST_TABLE_REF(((long) 6));
		}}}
	}



/* &static-value-let-var1947 */
	obj_t BGl_z62staticzd2valuezd2letzd2var1947zb0zzreduce_condz00(obj_t
		BgL_envz00_2475, obj_t BgL_nodez00_2476)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 327 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1509;

				BgL_nodez00_1509 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2476);
				return
					BGl_staticzd2valuezd2zzreduce_condz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1509))->BgL_bodyz00));
			}
		}
	}



/* &node-cond!-box-ref1943 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2ref1943za2zzreduce_condz00(obj_t
		BgL_envz00_2477, obj_t BgL_nodez00_2478)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 302 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1503;

				BgL_nodez00_1503 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2478);
				{
					BgL_varz00_bglt BgL_auxz00_2717;

					{	/* Reduce/cond.scm 304 */
						BgL_varz00_bglt BgL_arg2072z00_1507;

						BgL_arg2072z00_1507 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1503))->BgL_varz00);
						BgL_auxz00_2717 =
							((BgL_varz00_bglt)
							BGl_nodezd2condz12zc0zzreduce_condz00(
								((BgL_nodez00_bglt) BgL_arg2072z00_1507)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1503))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2717), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1503);
			}
		}
	}



/* &node-cond!-box-set!1941 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2boxzd2setz121941zb0zzreduce_condz00(obj_t
		BgL_envz00_2479, obj_t BgL_nodez00_2480)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 293 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1496;

				BgL_nodez00_1496 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2480);
				{
					BgL_varz00_bglt BgL_auxz00_2725;

					{	/* Reduce/cond.scm 295 */
						BgL_varz00_bglt BgL_arg2070z00_1500;

						BgL_arg2070z00_1500 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1496))->BgL_varz00);
						BgL_auxz00_2725 =
							((BgL_varz00_bglt)
							BGl_nodezd2condz12zc0zzreduce_condz00(
								((BgL_nodez00_bglt) BgL_arg2070z00_1500)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1496))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2725), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2731;

					{	/* Reduce/cond.scm 296 */
						BgL_nodez00_bglt BgL_arg2071z00_1501;

						BgL_arg2071z00_1501 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1496))->
							BgL_valuez00);
						BgL_auxz00_2731 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2071z00_1501);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1496))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2731), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1496);
			}
		}
	}



/* &node-cond!-make-box1939 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2makezd2box1939za2zzreduce_condz00(obj_t
		BgL_envz00_2481, obj_t BgL_nodez00_2482)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 285 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1490;

				BgL_nodez00_1490 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2482);
				{
					BgL_nodez00_bglt BgL_auxz00_2737;

					{	/* Reduce/cond.scm 287 */
						BgL_nodez00_bglt BgL_arg2069z00_1494;

						BgL_arg2069z00_1494 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1490))->BgL_valuez00);
						BgL_auxz00_2737 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2069z00_1494);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1490))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2737), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1490);
			}
		}
	}



/* &node-cond!-jump-ex-i1937 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2jumpzd2exzd2i1937z70zzreduce_condz00(obj_t
		BgL_envz00_2483, obj_t BgL_nodez00_2484)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 276 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1483;

				BgL_nodez00_1483 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2484);
				{
					BgL_nodez00_bglt BgL_auxz00_2743;

					{	/* Reduce/cond.scm 278 */
						BgL_nodez00_bglt BgL_arg2067z00_1487;

						BgL_arg2067z00_1487 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1483))->
							BgL_exitz00);
						BgL_auxz00_2743 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2067z00_1487);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1483))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2743), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2747;

					{	/* Reduce/cond.scm 279 */
						BgL_nodez00_bglt BgL_arg2068z00_1488;

						BgL_arg2068z00_1488 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1483))->
							BgL_valuez00);
						BgL_auxz00_2747 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2068z00_1488);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1483))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2747), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1483);
			}
		}
	}



/* &node-cond!-set-ex-it1935 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2setzd2exzd2it1935z70zzreduce_condz00(obj_t
		BgL_envz00_2485, obj_t BgL_nodez00_2486)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 267 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1476;

				BgL_nodez00_1476 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2486);
				{
					BgL_nodez00_bglt BgL_auxz00_2753;

					{	/* Reduce/cond.scm 269 */
						BgL_nodez00_bglt BgL_arg2065z00_1480;

						BgL_arg2065z00_1480 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1476))->
							BgL_bodyz00);
						BgL_auxz00_2753 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2065z00_1480);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1476))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2753), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2757;

					{	/* Reduce/cond.scm 270 */
						BgL_varz00_bglt BgL_arg2066z00_1481;

						BgL_arg2066z00_1481 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1476))->
							BgL_varz00);
						BgL_auxz00_2757 =
							((BgL_varz00_bglt)
							BGl_nodezd2condz12zc0zzreduce_condz00(((BgL_nodez00_bglt)
									BgL_arg2066z00_1481)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1476))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2757), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1476);
			}
		}
	}



/* &node-cond!-let-var1933 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2var1933za2zzreduce_condz00(obj_t
		BgL_envz00_2487, obj_t BgL_nodez00_2488)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 256 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1460;

				BgL_nodez00_1460 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2488);
				{	/* Reduce/cond.scm 258 */
					obj_t BgL_g1896z00_1464;

					BgL_g1896z00_1464 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1460))->BgL_bindingsz00);
					{
						obj_t BgL_l1894z00_1466;

						BgL_l1894z00_1466 = BgL_g1896z00_1464;
					BgL_zc3anonymousza32059ze3z83_1467:
						if (PAIRP(BgL_l1894z00_1466))
							{	/* Reduce/cond.scm 258 */
								{	/* Reduce/cond.scm 259 */
									obj_t BgL_bindingz00_1469;

									BgL_bindingz00_1469 = CAR(BgL_l1894z00_1466);
									{	/* Reduce/cond.scm 259 */
										BgL_nodez00_bglt BgL_arg2061z00_1470;

										{	/* Reduce/cond.scm 259 */
											obj_t BgL_arg2062z00_1471;

											BgL_arg2062z00_1471 = CDR(BgL_bindingz00_1469);
											BgL_arg2061z00_1470 =
												BGl_nodezd2condz12zc0zzreduce_condz00(
												((BgL_nodez00_bglt) BgL_arg2062z00_1471));
										}
										{	/* Reduce/cond.scm 259 */
											obj_t BgL_auxz00_2772;

											BgL_auxz00_2772 = ((obj_t) BgL_arg2061z00_1470);
											SET_CDR(BgL_bindingz00_1469, BgL_auxz00_2772);
										}
									}
								}
								{
									obj_t BgL_l1894z00_2775;

									BgL_l1894z00_2775 = CDR(BgL_l1894z00_1466);
									BgL_l1894z00_1466 = BgL_l1894z00_2775;
									goto BgL_zc3anonymousza32059ze3z83_1467;
								}
							}
						else
							{	/* Reduce/cond.scm 258 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2777;

					{	/* Reduce/cond.scm 261 */
						BgL_nodez00_bglt BgL_arg2064z00_1474;

						BgL_arg2064z00_1474 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1460))->BgL_bodyz00);
						BgL_auxz00_2777 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2064z00_1474);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1460))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2777), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1460);
			}
		}
	}



/* &node-cond!-let-fun1931 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2letzd2fun1931za2zzreduce_condz00(obj_t
		BgL_envz00_2489, obj_t BgL_nodez00_2490)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 244 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1443;

				BgL_nodez00_1443 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2490);
				{	/* Reduce/cond.scm 246 */
					obj_t BgL_g1893z00_1447;

					BgL_g1893z00_1447 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1443))->BgL_localsz00);
					{
						obj_t BgL_l1891z00_1449;

						BgL_l1891z00_1449 = BgL_g1893z00_1447;
					BgL_zc3anonymousza32053ze3z83_1450:
						if (PAIRP(BgL_l1891z00_1449))
							{	/* Reduce/cond.scm 246 */
								{	/* Reduce/cond.scm 247 */
									obj_t BgL_localz00_1452;

									BgL_localz00_1452 = CAR(BgL_l1891z00_1449);
									{	/* Reduce/cond.scm 247 */
										BgL_valuez00_bglt BgL_funz00_1453;

										BgL_funz00_1453 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1452))))->
											BgL_valuez00);
										{	/* Reduce/cond.scm 248 */
											BgL_nodez00_bglt BgL_arg2055z00_1454;

											{	/* Reduce/cond.scm 248 */
												obj_t BgL_arg2056z00_1455;

												BgL_arg2056z00_1455 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1453)))->
													BgL_bodyz00);
												BgL_arg2055z00_1454 =
													BGl_nodezd2condz12zc0zzreduce_condz00((
														(BgL_nodez00_bglt) BgL_arg2056z00_1455));
											}
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1453)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg2055z00_1454)), BUNSPEC);
										}
									}
								}
								{
									obj_t BgL_l1891z00_2797;

									BgL_l1891z00_2797 = CDR(BgL_l1891z00_1449);
									BgL_l1891z00_1449 = BgL_l1891z00_2797;
									goto BgL_zc3anonymousza32053ze3z83_1450;
								}
							}
						else
							{	/* Reduce/cond.scm 246 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2799;

					{	/* Reduce/cond.scm 250 */
						BgL_nodez00_bglt BgL_arg2058z00_1458;

						BgL_arg2058z00_1458 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1443))->BgL_bodyz00);
						BgL_auxz00_2799 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2058z00_1458);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1443))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2799), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1443);
			}
		}
	}



/* &node-cond!-select1929 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2select1929z70zzreduce_condz00(obj_t
		BgL_envz00_2491, obj_t BgL_nodez00_2492)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 233 */
			{
				BgL_selectz00_bglt BgL_nodez00_1427;

				BgL_nodez00_1427 = ((BgL_selectz00_bglt) BgL_nodez00_2492);
				{
					BgL_nodez00_bglt BgL_auxz00_2805;

					{	/* Reduce/cond.scm 235 */
						BgL_nodez00_bglt BgL_arg2047z00_1431;

						BgL_arg2047z00_1431 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1427))->BgL_testz00);
						BgL_auxz00_2805 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2047z00_1431);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1427))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2805), BUNSPEC);
				}
				{	/* Reduce/cond.scm 236 */
					obj_t BgL_g1890z00_1432;

					BgL_g1890z00_1432 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1427))->BgL_clausesz00);
					{
						obj_t BgL_l1888z00_1434;

						BgL_l1888z00_1434 = BgL_g1890z00_1432;
					BgL_zc3anonymousza32048ze3z83_1435:
						if (PAIRP(BgL_l1888z00_1434))
							{	/* Reduce/cond.scm 236 */
								{	/* Reduce/cond.scm 237 */
									obj_t BgL_clausez00_1437;

									BgL_clausez00_1437 = CAR(BgL_l1888z00_1434);
									{	/* Reduce/cond.scm 237 */
										BgL_nodez00_bglt BgL_arg2050z00_1438;

										{	/* Reduce/cond.scm 237 */
											obj_t BgL_arg2051z00_1439;

											BgL_arg2051z00_1439 = CDR(BgL_clausez00_1437);
											BgL_arg2050z00_1438 =
												BGl_nodezd2condz12zc0zzreduce_condz00(
												((BgL_nodez00_bglt) BgL_arg2051z00_1439));
										}
										{	/* Reduce/cond.scm 237 */
											obj_t BgL_auxz00_2816;

											BgL_auxz00_2816 = ((obj_t) BgL_arg2050z00_1438);
											SET_CDR(BgL_clausez00_1437, BgL_auxz00_2816);
										}
									}
								}
								{
									obj_t BgL_l1888z00_2819;

									BgL_l1888z00_2819 = CDR(BgL_l1888z00_1434);
									BgL_l1888z00_1434 = BgL_l1888z00_2819;
									goto BgL_zc3anonymousza32048ze3z83_1435;
								}
							}
						else
							{	/* Reduce/cond.scm 236 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1427);
			}
		}
	}



/* &node-cond!-fail1927 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2fail1927z70zzreduce_condz00(obj_t
		BgL_envz00_2493, obj_t BgL_nodez00_2494)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 223 */
			{
				BgL_failz00_bglt BgL_nodez00_1419;

				BgL_nodez00_1419 = ((BgL_failz00_bglt) BgL_nodez00_2494);
				{
					BgL_nodez00_bglt BgL_auxz00_2823;

					{	/* Reduce/cond.scm 225 */
						BgL_nodez00_bglt BgL_arg2043z00_1423;

						BgL_arg2043z00_1423 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1419))->BgL_procz00);
						BgL_auxz00_2823 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2043z00_1423);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1419))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2823), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2827;

					{	/* Reduce/cond.scm 226 */
						BgL_nodez00_bglt BgL_arg2044z00_1424;

						BgL_arg2044z00_1424 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1419))->BgL_msgz00);
						BgL_auxz00_2827 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2044z00_1424);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1419))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2827), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2831;

					{	/* Reduce/cond.scm 227 */
						BgL_nodez00_bglt BgL_arg2046z00_1425;

						BgL_arg2046z00_1425 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1419))->BgL_objz00);
						BgL_auxz00_2831 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2046z00_1425);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1419))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2831), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1419);
			}
		}
	}



/* &node-cond!-condition1925 */
	BgL_nodez00_bglt
		BGl_z62nodezd2condz12zd2condition1925z70zzreduce_condz00(obj_t
		BgL_envz00_2495, obj_t BgL_nodez00_2496)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 197 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1395;

				BgL_nodez00_1395 = ((BgL_conditionalz00_bglt) BgL_nodez00_2496);
				{
					BgL_nodez00_bglt BgL_auxz00_2837;

					{	/* Reduce/cond.scm 199 */
						BgL_nodez00_bglt BgL_arg2028z00_1399;

						BgL_arg2028z00_1399 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->BgL_testz00);
						BgL_auxz00_2837 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2028z00_1399);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2837), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2841;

					{	/* Reduce/cond.scm 200 */
						BgL_nodez00_bglt BgL_arg2029z00_1400;

						BgL_arg2029z00_1400 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->BgL_truez00);
						BgL_auxz00_2841 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2029z00_1400);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2841), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2845;

					{	/* Reduce/cond.scm 201 */
						BgL_nodez00_bglt BgL_arg2030z00_1401;

						BgL_arg2030z00_1401 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->
							BgL_falsez00);
						BgL_auxz00_2845 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2030z00_1401);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2845), BUNSPEC);
				}
				{	/* Reduce/cond.scm 203 */
					bool_t BgL_testz00_2849;

					{	/* Reduce/cond.scm 203 */
						BgL_nodez00_bglt BgL_arg2042z00_1417;

						BgL_arg2042z00_1417 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->BgL_testz00);
						{	/* Reduce/cond.scm 203 */
							bool_t BgL_res2167z00_2382;

							BgL_res2167z00_2382 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg2042z00_1417), BGl_atomz00zzast_nodez00);
							BgL_testz00_2849 = BgL_res2167z00_2382;
						}
					}
					if (BgL_testz00_2849)
						{	/* Reduce/cond.scm 203 */
							BGl_za2condzd2reducedza2zd2zzreduce_condz00 =
								(((long) 1) + BGl_za2condzd2reducedza2zd2zzreduce_condz00);
							if (CBOOL(
									(((BgL_atomz00_bglt) CREF(
												((BgL_atomz00_bglt)
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->
														BgL_testz00))))->BgL_valuez00)))
								{	/* Reduce/cond.scm 206 */
									return
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->
										BgL_truez00);
								}
							else
								{	/* Reduce/cond.scm 206 */
									return
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->
										BgL_falsez00);
								}
						}
					else
						{	/* Reduce/cond.scm 209 */
							obj_t BgL_g1114z00_1405;

							BgL_g1114z00_1405 =
								BGl_staticzd2valuezd2zzreduce_condz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->
									BgL_testz00));
							if (CBOOL(BgL_g1114z00_1405))
								{	/* Reduce/cond.scm 209 */
									BGl_za2condzd2reducedza2zd2zzreduce_condz00 =
										(((long) 1) + BGl_za2condzd2reducedza2zd2zzreduce_condz00);
									{	/* Reduce/cond.scm 214 */
										BgL_sequencez00_bglt BgL_new1118z00_1408;

										{	/* Reduce/cond.scm 214 */
											BgL_sequencez00_bglt BgL_new1117z00_1414;

											BgL_new1117z00_1414 =
												((BgL_sequencez00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_sequencez00_bgl))));
											{	/* Reduce/cond.scm 214 */
												long BgL_arg2039z00_1415;

												{	/* Reduce/cond.scm 214 */
													long BgL_res2170z00_2392;

													BgL_res2170z00_2392 =
														BGL_CLASS_INDEX(BGl_sequencez00zzast_nodez00);
													BgL_arg2039z00_1415 = BgL_res2170z00_2392;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1117z00_1414),
													BgL_arg2039z00_1415);
											}
											{	/* Reduce/cond.scm 214 */
												BgL_objectz00_bglt BgL_auxz00_2870;

												BgL_auxz00_2870 =
													((BgL_objectz00_bglt) BgL_new1117z00_1414);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2870, BFALSE);
											}
											BgL_new1118z00_1408 = BgL_new1117z00_1414;
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_new1118z00_1408)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
															BgL_new1118z00_1408)))->BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														CREF(((BgL_nodez00_bglt) BgL_nodez00_1395)))->
													BgL_typez00)), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													CREF(((BgL_nodezf2effectzf2_bglt)
															BgL_new1118z00_1408)))->BgL_sidezd2effectzd2) =
											((obj_t) BUNSPEC), BUNSPEC);
										((((BgL_nodezf2effectzf2_bglt)
													CREF(((BgL_nodezf2effectzf2_bglt)
															BgL_new1118z00_1408)))->BgL_keyz00) =
											((obj_t) BINT(((long) -1))), BUNSPEC);
										{
											obj_t BgL_auxz00_2884;

											{	/* Reduce/cond.scm 216 */
												BgL_nodez00_bglt BgL_arg2034z00_1409;
												BgL_nodez00_bglt BgL_arg2035z00_1410;

												BgL_arg2034z00_1409 =
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1395))->
													BgL_testz00);
												if ((BgL_g1114z00_1405 == CNST_TABLE_REF(((long) 6))))
													{	/* Reduce/cond.scm 216 */
														BgL_arg2035z00_1410 =
															(((BgL_conditionalz00_bglt)
																CREF(BgL_nodez00_1395))->BgL_truez00);
													}
												else
													{	/* Reduce/cond.scm 216 */
														BgL_arg2035z00_1410 =
															(((BgL_conditionalz00_bglt)
																CREF(BgL_nodez00_1395))->BgL_falsez00);
													}
												{	/* Reduce/cond.scm 216 */
													obj_t BgL_list2036z00_1411;

													{	/* Reduce/cond.scm 216 */
														obj_t BgL_arg2037z00_1412;

														BgL_arg2037z00_1412 =
															MAKE_PAIR(((obj_t) BgL_arg2035z00_1410), BNIL);
														BgL_list2036z00_1411 =
															MAKE_PAIR(
															((obj_t) BgL_arg2034z00_1409),
															BgL_arg2037z00_1412);
													}
													BgL_auxz00_2884 = BgL_list2036z00_1411;
												}
											}
											((((BgL_sequencez00_bglt) CREF(BgL_new1118z00_1408))->
													BgL_nodesz00) = ((obj_t) BgL_auxz00_2884), BUNSPEC);
										}
										((((BgL_sequencez00_bglt) CREF(BgL_new1118z00_1408))->
												BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_new1118z00_1408);
									}
								}
							else
								{	/* Reduce/cond.scm 209 */
									return ((BgL_nodez00_bglt) BgL_nodez00_1395);
								}
						}
				}
			}
		}
	}



/* &node-cond!-setq1922 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2setq1922z70zzreduce_condz00(obj_t
		BgL_envz00_2497, obj_t BgL_nodez00_2498)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 188 */
			{
				BgL_setqz00_bglt BgL_nodez00_1388;

				BgL_nodez00_1388 = ((BgL_setqz00_bglt) BgL_nodez00_2498);
				{
					BgL_nodez00_bglt BgL_auxz00_2900;

					{	/* Reduce/cond.scm 190 */
						BgL_nodez00_bglt BgL_arg2026z00_1392;

						BgL_arg2026z00_1392 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1388))->BgL_valuez00);
						BgL_auxz00_2900 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2026z00_1392);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1388))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2900), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2904;

					{	/* Reduce/cond.scm 191 */
						BgL_varz00_bglt BgL_arg2027z00_1393;

						BgL_arg2027z00_1393 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1388))->BgL_varz00);
						BgL_auxz00_2904 =
							((BgL_varz00_bglt)
							BGl_nodezd2condz12zc0zzreduce_condz00(
								((BgL_nodez00_bglt) BgL_arg2027z00_1393)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1388))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2904), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1388);
			}
		}
	}



/* &node-cond!-cast1920 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2cast1920z70zzreduce_condz00(obj_t
		BgL_envz00_2499, obj_t BgL_nodez00_2500)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 180 */
			{
				BgL_castz00_bglt BgL_nodez00_1382;

				BgL_nodez00_1382 = ((BgL_castz00_bglt) BgL_nodez00_2500);
				BGl_nodezd2condz12zc0zzreduce_condz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1382))->BgL_argz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1382);
			}
		}
	}



/* &node-cond!-extern1918 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2extern1918z70zzreduce_condz00(obj_t
		BgL_envz00_2501, obj_t BgL_nodez00_2502)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 172 */
			{
				BgL_externz00_bglt BgL_nodez00_1376;

				BgL_nodez00_1376 = ((BgL_externz00_bglt) BgL_nodez00_2502);
				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1376))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_1376);
			}
		}
	}



/* &node-cond!-funcall1916 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2funcall1916z70zzreduce_condz00(obj_t
		BgL_envz00_2503, obj_t BgL_nodez00_2504)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 163 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1369;

				BgL_nodez00_1369 = ((BgL_funcallz00_bglt) BgL_nodez00_2504);
				{
					BgL_nodez00_bglt BgL_auxz00_2920;

					{	/* Reduce/cond.scm 165 */
						BgL_nodez00_bglt BgL_arg2022z00_1373;

						BgL_arg2022z00_1373 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1369))->BgL_funz00);
						BgL_auxz00_2920 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2022z00_1373);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1369))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2920), BUNSPEC);
				}
				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1369))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1369);
			}
		}
	}



/* &node-cond!-app-ly1914 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2appzd2ly1914za2zzreduce_condz00(obj_t
		BgL_envz00_2505, obj_t BgL_nodez00_2506)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 154 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1362;

				BgL_nodez00_1362 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2506);
				{
					BgL_nodez00_bglt BgL_auxz00_2928;

					{	/* Reduce/cond.scm 156 */
						BgL_nodez00_bglt BgL_arg2019z00_1366;

						BgL_arg2019z00_1366 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1362))->BgL_funz00);
						BgL_auxz00_2928 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2019z00_1366);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1362))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2928), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2932;

					{	/* Reduce/cond.scm 157 */
						BgL_nodez00_bglt BgL_arg2021z00_1367;

						BgL_arg2021z00_1367 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1362))->BgL_argz00);
						BgL_auxz00_2932 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg2021z00_1367);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1362))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2932), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1362);
			}
		}
	}



/* &node-cond!-app1912 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2app1912z70zzreduce_condz00(obj_t
		BgL_envz00_2507, obj_t BgL_nodez00_2508)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 119 */
			{
				BgL_appz00_bglt BgL_nodez00_1302;

				BgL_nodez00_1302 = ((BgL_appz00_bglt) BgL_nodez00_2508);
				{
					obj_t BgL_n1z00_1347;
					obj_t BgL_n2z00_1348;

					{
						BgL_appz00_bglt BgL_nodez00_1313;

						BGl_nodezd2condza2z12z62zzreduce_condz00(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1302))->BgL_argsz00));
						{	/* Reduce/cond.scm 144 */
							obj_t BgL_trivz00_1309;

							BgL_nodez00_1313 = BgL_nodez00_1302;
							{	/* Reduce/cond.scm 132 */
								bool_t BgL_testz00_2940;

								{	/* Reduce/cond.scm 132 */
									bool_t BgL_testz00_2941;

									{	/* Reduce/cond.scm 132 */
										bool_t BgL_testz00_2942;

										{	/* Reduce/cond.scm 132 */
											BgL_typez00_bglt BgL_arg2007z00_1345;

											BgL_arg2007z00_1345 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1313)))->
												BgL_typez00);
											BgL_testz00_2942 =
												(((obj_t) BgL_arg2007z00_1345) ==
												BGl_za2boolza2z00zztype_cachez00);
										}
										if (BgL_testz00_2942)
											{	/* Reduce/cond.scm 132 */
												BgL_testz00_2941 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cond.scm 132 */
												BgL_typez00_bglt BgL_arg2006z00_1344;

												BgL_arg2006z00_1344 =
													(((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_nodez00_1313)))->
													BgL_typez00);
												BgL_testz00_2941 =
													(((obj_t) BgL_arg2006z00_1344) ==
													BGl_za2objza2z00zztype_cachez00);
											}
									}
									if (BgL_testz00_2941)
										{	/* Reduce/cond.scm 133 */
											obj_t BgL_g1886z00_1332;

											BgL_g1886z00_1332 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1313))->
												BgL_argsz00);
											{
												obj_t BgL_l1809z00_1334;

												BgL_l1809z00_1334 = BgL_g1886z00_1332;
											BgL_zc3anonymousza32001ze3z83_1335:
												if (NULLP(BgL_l1809z00_1334))
													{	/* Reduce/cond.scm 133 */
														BgL_testz00_2940 = ((bool_t) 1);
													}
												else
													{	/* Reduce/cond.scm 133 */
														bool_t BgL_testz00_2954;

														{	/* Reduce/cond.scm 133 */
															obj_t BgL_nz00_1340;

															BgL_nz00_1340 = CAR(BgL_l1809z00_1334);
															{	/* Reduce/cond.scm 133 */
																bool_t BgL__ortest_1104z00_1341;

																BgL__ortest_1104z00_1341 =
																	BGl_isazf3zf3zz__objectz00(BgL_nz00_1340,
																	BGl_atomz00zzast_nodez00);
																if (BgL__ortest_1104z00_1341)
																	{	/* Reduce/cond.scm 133 */
																		BgL_testz00_2954 = BgL__ortest_1104z00_1341;
																	}
																else
																	{	/* Reduce/cond.scm 133 */
																		BgL_testz00_2954 =
																			BGl_isazf3zf3zz__objectz00(BgL_nz00_1340,
																			BGl_varz00zzast_nodez00);
																	}
															}
														}
														if (BgL_testz00_2954)
															{
																obj_t BgL_l1809z00_2959;

																BgL_l1809z00_2959 = CDR(BgL_l1809z00_1334);
																BgL_l1809z00_1334 = BgL_l1809z00_2959;
																goto BgL_zc3anonymousza32001ze3z83_1335;
															}
														else
															{	/* Reduce/cond.scm 133 */
																BgL_testz00_2940 = ((bool_t) 0);
															}
													}
											}
										}
									else
										{	/* Reduce/cond.scm 132 */
											BgL_testz00_2940 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2940)
									{	/* Reduce/cond.scm 135 */
										bool_t BgL_testz00_2961;

										{	/* Reduce/cond.scm 135 */
											BgL_variablez00_bglt BgL_arg1998z00_1329;

											BgL_arg1998z00_1329 =
												(((BgL_varz00_bglt) CREF(
														(((BgL_appz00_bglt) CREF(BgL_nodez00_1313))->
															BgL_funz00)))->BgL_variablez00);
											BgL_testz00_2961 =
												(((obj_t) BgL_arg1998z00_1329) ==
												BGl_za2z42eqza2z42zzreduce_condz00);
										}
										if (BgL_testz00_2961)
											{	/* Reduce/cond.scm 136 */
												obj_t BgL_arg1986z00_1318;
												obj_t BgL_arg1987z00_1319;

												BgL_arg1986z00_1318 =
													CAR(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_1313))->
														BgL_argsz00));
												{	/* Reduce/cond.scm 136 */
													obj_t BgL_pairz00_2361;

													BgL_pairz00_2361 =
														(((BgL_appz00_bglt) CREF(BgL_nodez00_1313))->
														BgL_argsz00);
													BgL_arg1987z00_1319 = CAR(CDR(BgL_pairz00_2361));
												}
												BgL_n1z00_1347 = BgL_arg1986z00_1318;
												BgL_n2z00_1348 = BgL_arg1987z00_1319;
											BgL_zc3anonymousza32008ze3z83_1349:
												{	/* Reduce/cond.scm 123 */
													bool_t BgL_testz00_2971;

													if (BGl_isazf3zf3zz__objectz00(BgL_n1z00_1347,
															BGl_atomz00zzast_nodez00))
														{	/* Reduce/cond.scm 123 */
															BgL_testz00_2971 =
																BGl_isazf3zf3zz__objectz00(BgL_n2z00_1348,
																BGl_atomz00zzast_nodez00);
														}
													else
														{	/* Reduce/cond.scm 123 */
															BgL_testz00_2971 = ((bool_t) 0);
														}
													if (BgL_testz00_2971)
														{	/* Reduce/cond.scm 123 */
															if (
																((((BgL_atomz00_bglt) CREF(
																				((BgL_atomz00_bglt) BgL_n1z00_1347)))->
																		BgL_valuez00) ==
																	(((BgL_atomz00_bglt) CREF(((BgL_atomz00_bglt)
																					BgL_n2z00_1348)))->BgL_valuez00)))
																{	/* Reduce/cond.scm 124 */
																	BgL_trivz00_1309 = CNST_TABLE_REF(((long) 6));
																}
															else
																{	/* Reduce/cond.scm 124 */
																	BgL_trivz00_1309 = CNST_TABLE_REF(((long) 5));
														}}
													else
														{	/* Reduce/cond.scm 125 */
															bool_t BgL_testz00_2983;

															if (BGl_isazf3zf3zz__objectz00(BgL_n1z00_1347,
																	BGl_varz00zzast_nodez00))
																{	/* Reduce/cond.scm 125 */
																	BgL_testz00_2983 =
																		BGl_isazf3zf3zz__objectz00(BgL_n2z00_1348,
																		BGl_varz00zzast_nodez00);
																}
															else
																{	/* Reduce/cond.scm 125 */
																	BgL_testz00_2983 = ((bool_t) 0);
																}
															if (BgL_testz00_2983)
																{	/* Reduce/cond.scm 125 */
																	if (
																		(((obj_t)
																				(((BgL_varz00_bglt) CREF(
																							((BgL_varz00_bglt)
																								BgL_n1z00_1347)))->
																					BgL_variablez00)) ==
																			((obj_t) (((BgL_varz00_bglt)
																						CREF(((BgL_varz00_bglt)
																								BgL_n2z00_1348)))->
																					BgL_variablez00))))
																		{	/* Reduce/cond.scm 126 */
																			BgL_trivz00_1309 =
																				CNST_TABLE_REF(((long) 6));
																		}
																	else
																		{	/* Reduce/cond.scm 126 */
																			BgL_trivz00_1309 = BFALSE;
																		}
																}
															else
																{	/* Reduce/cond.scm 125 */
																	BgL_trivz00_1309 = BFALSE;
																}
														}
												}
											}
										else
											{	/* Reduce/cond.scm 137 */
												bool_t BgL_testz00_2996;

												{	/* Reduce/cond.scm 137 */
													BgL_variablez00_bglt BgL_arg1996z00_1327;

													BgL_arg1996z00_1327 =
														(((BgL_varz00_bglt) CREF(
																(((BgL_appz00_bglt) CREF(BgL_nodez00_1313))->
																	BgL_funz00)))->BgL_variablez00);
													BgL_testz00_2996 =
														(((obj_t) BgL_arg1996z00_1327) ==
														BGl_za2z42zd3fxza2z91zzreduce_condz00);
												}
												if (BgL_testz00_2996)
													{	/* Reduce/cond.scm 138 */
														obj_t BgL_arg1992z00_1323;
														obj_t BgL_arg1993z00_1324;

														BgL_arg1992z00_1323 =
															CAR(
															(((BgL_appz00_bglt) CREF(BgL_nodez00_1313))->
																BgL_argsz00));
														{	/* Reduce/cond.scm 138 */
															obj_t BgL_pairz00_2369;

															BgL_pairz00_2369 =
																(((BgL_appz00_bglt) CREF(BgL_nodez00_1313))->
																BgL_argsz00);
															BgL_arg1993z00_1324 = CAR(CDR(BgL_pairz00_2369));
														}
														{
															obj_t BgL_n2z00_3007;
															obj_t BgL_n1z00_3006;

															BgL_n1z00_3006 = BgL_arg1992z00_1323;
															BgL_n2z00_3007 = BgL_arg1993z00_1324;
															BgL_n2z00_1348 = BgL_n2z00_3007;
															BgL_n1z00_1347 = BgL_n1z00_3006;
															goto BgL_zc3anonymousza32008ze3z83_1349;
														}
													}
												else
													{	/* Reduce/cond.scm 137 */
														BgL_trivz00_1309 = BFALSE;
													}
											}
									}
								else
									{	/* Reduce/cond.scm 132 */
										BgL_trivz00_1309 = BFALSE;
									}
							}
							if (CBOOL(BgL_trivz00_1309))
								{	/* Reduce/cond.scm 147 */
									BgL_atomz00_bglt BgL_new1107z00_1310;

									{	/* Reduce/cond.scm 147 */
										BgL_atomz00_bglt BgL_new1106z00_1311;

										BgL_new1106z00_1311 =
											((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_atomz00_bgl))));
										{	/* Reduce/cond.scm 147 */
											long BgL_arg1981z00_1312;

											{	/* Reduce/cond.scm 147 */
												long BgL_res2166z00_2374;

												BgL_res2166z00_2374 =
													BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
												BgL_arg1981z00_1312 = BgL_res2166z00_2374;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1106z00_1311),
												BgL_arg1981z00_1312);
										}
										{	/* Reduce/cond.scm 147 */
											BgL_objectz00_bglt BgL_auxz00_3014;

											BgL_auxz00_3014 =
												((BgL_objectz00_bglt) BgL_new1106z00_1311);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_3014, BFALSE);
										}
										BgL_new1107z00_1310 = BgL_new1106z00_1311;
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_new1107z00_1310)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_new1107z00_1310)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													CREF(((BgL_nodez00_bglt) BgL_nodez00_1302)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_atomz00_bglt) CREF(BgL_new1107z00_1310))->
											BgL_valuez00) =
										((obj_t) BBOOL((BgL_trivz00_1309 ==
													CNST_TABLE_REF(((long) 6))))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1107z00_1310);
								}
							else
								{	/* Reduce/cond.scm 145 */
									return ((BgL_nodez00_bglt) BgL_nodez00_1302);
								}
						}
					}
				}
			}
		}
	}



/* &node-cond!-sync1910 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2sync1910z70zzreduce_condz00(obj_t
		BgL_envz00_2509, obj_t BgL_nodez00_2510)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 109 */
			{
				BgL_syncz00_bglt BgL_nodez00_1294;

				BgL_nodez00_1294 = ((BgL_syncz00_bglt) BgL_nodez00_2510);
				{
					BgL_nodez00_bglt BgL_auxz00_3030;

					{	/* Reduce/cond.scm 111 */
						BgL_nodez00_bglt BgL_arg1977z00_1298;

						BgL_arg1977z00_1298 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1294))->BgL_mutexz00);
						BgL_auxz00_3030 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1977z00_1298);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1294))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3030), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3034;

					{	/* Reduce/cond.scm 112 */
						BgL_nodez00_bglt BgL_arg1978z00_1299;

						BgL_arg1978z00_1299 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1294))->BgL_prelockz00);
						BgL_auxz00_3034 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1978z00_1299);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1294))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3034), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3038;

					{	/* Reduce/cond.scm 113 */
						BgL_nodez00_bglt BgL_arg1979z00_1300;

						BgL_arg1979z00_1300 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1294))->BgL_bodyz00);
						BgL_auxz00_3038 =
							BGl_nodezd2condz12zc0zzreduce_condz00(BgL_arg1979z00_1300);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1294))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3038), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1294);
			}
		}
	}



/* &node-cond!-sequence1908 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2sequence1908z70zzreduce_condz00(obj_t
		BgL_envz00_2511, obj_t BgL_nodez00_2512)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 101 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1288;

				BgL_nodez00_1288 = ((BgL_sequencez00_bglt) BgL_nodez00_2512);
				BGl_nodezd2condza2z12z62zzreduce_condz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1288))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1288);
			}
		}
	}



/* &node-cond!-closure1906 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2closure1906z70zzreduce_condz00(obj_t
		BgL_envz00_2513, obj_t BgL_nodez00_2514)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 95 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2514));
		}
	}



/* &node-cond!-var1904 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2var1904z70zzreduce_condz00(obj_t
		BgL_envz00_2515, obj_t BgL_nodez00_2516)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 89 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2516));
		}
	}



/* &node-cond!-kwote1902 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2kwote1902z70zzreduce_condz00(obj_t
		BgL_envz00_2517, obj_t BgL_nodez00_2518)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 83 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2518));
		}
	}



/* &node-cond!-atom1900 */
	BgL_nodez00_bglt BGl_z62nodezd2condz12zd2atom1900z70zzreduce_condz00(obj_t
		BgL_envz00_2519, obj_t BgL_nodez00_2520)
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 77 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2520));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_condz00()
	{
		AN_OBJECT;
		{	/* Reduce/cond.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2211z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2211z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2211z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2211z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2211z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2211z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2211z00zzreduce_condz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2211z00zzreduce_condz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2211z00zzreduce_condz00));
		}
	}

#ifdef __cplusplus
}
#endif
