/*===========================================================================*/
/*   (Reduce/copy.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/copy.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62nodezd2copyz121906za2zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1963z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2var1913z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2cast1927z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setq1929z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_copyz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2atom1941z43zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2funcall1923z70zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_copyz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2sequence1945z43zzreduce_copyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1969za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2kwote1911z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3z91zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2copyzd2removedza2zd2zzreduce_copyz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2select1935z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2appzd2ly1921za2zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_copyablezf3zf3zzreduce_copyz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2atom1909z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2fail1957z43zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2extern1925z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1937za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sequence1917z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_copyz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1961z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_copyz00();
	static obj_t BGl_genericzd2initzd2zzreduce_copyz00();
	static obj_t BGl_z62copyablezf3zd2vlength1947z43zzreduce_copyz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sync1919z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2instanceof1953z43zzreduce_copyz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2fail1933z70zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2app1971z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2closure1915z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1959za2zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2castzd2null1951z91zzreduce_copyz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62copyablezf3zd2var1943z43zzreduce_copyz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2conditiona1955z43zzreduce_copyz00(obj_t,
		obj_t);
	static obj_t BGl_z62copyablezf3zd2cast1949z43zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62copyablezf31938z91zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1931z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_copyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121967zb0zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1965za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712224za7,
		BGl_z62nodezd2copyz12zd2fail1933z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712225za7,
		BGl_z62nodezd2copyz12zd2select1935z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712226za7,
		BGl_z62nodezd2copyz12zd2letzd2fun1937za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d2227za7,
		BGl_z62copyablezf3zd2atom1941z43zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d2228za7,
		BGl_z62copyablezf3zd2var1943z43zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d2229za7,
		BGl_z62copyablezf3zd2sequence1945z43zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d2230za7,
		BGl_z62copyablezf3zd2vlength1947z43zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d2231za7,
		BGl_z62copyablezf3zd2cast1949z43zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d2232za7,
		BGl_z62copyablezf3zd2castzd2null1951z91zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d2233za7,
		BGl_z62copyablezf3zd2instanceof1953z43zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d2234za7,
		BGl_z62copyablezf3zd2conditiona1955z43zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d2235za7,
		BGl_z62copyablezf3zd2fail1957z43zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712236za7,
		BGl_z62nodezd2copyz12zd2letzd2var1959za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712237za7,
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1961z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712238za7,
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1963z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712239za7,
		BGl_z62nodezd2copyz12zd2makezd2box1965za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712240za7,
		BGl_z62nodezd2copyz12zd2boxzd2setz121967zb0zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712241za7,
		BGl_z62nodezd2copyz12zd2boxzd2ref1969za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712242za7,
		BGl_z62nodezd2copyz12zd2app1971z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2180z00zzreduce_copyz00,
		BgL_bgl_string2180za700za7za7r2243za7, "      copy propagation       ", 29);
	      DEFINE_STRING(BGl_string2181z00zzreduce_copyz00,
		BgL_bgl_string2181za700za7za7r2244za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string2183z00zzreduce_copyz00,
		BgL_bgl_string2183za700za7za7r2245za7, "node-copy!1906", 14);
	      DEFINE_STRING(BGl_string2185z00zzreduce_copyz00,
		BgL_bgl_string2185za700za7za7r2246za7, "copyable?1938", 13);
	      DEFINE_STRING(BGl_string2186z00zzreduce_copyz00,
		BgL_bgl_string2186za700za7za7r2247za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2188z00zzreduce_copyz00,
		BgL_bgl_string2188za700za7za7r2248za7, "node-copy!", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762reduceza7d2copy2249z00,
		BGl_z62reducezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2204z00zzreduce_copyz00,
		BgL_bgl_string2204za700za7za7r2250za7, "copyable?", 9);
	      DEFINE_STRING(BGl_string2220z00zzreduce_copyz00,
		BgL_bgl_string2220za700za7za7r2251za7, "reduce_copy", 11);
	      DEFINE_STRING(BGl_string2221z00zzreduce_copyz00,
		BgL_bgl_string2221za700za7za7r2252za7, "read node-copy!1906 done ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712253za7,
		BGl_z62nodezd2copyz121906za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3192254z00,
		BGl_z62copyablezf31938z91zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712255za7,
		BGl_z62nodezd2copyz12zd2atom1909z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712256za7,
		BGl_z62nodezd2copyz12zd2kwote1911z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712257za7,
		BGl_z62nodezd2copyz12zd2var1913z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712258za7,
		BGl_z62nodezd2copyz12zd2closure1915z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712259za7,
		BGl_z62nodezd2copyz12zd2sequence1917z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712260za7,
		BGl_z62nodezd2copyz12zd2sync1919z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712261za7,
		BGl_z62nodezd2copyz12zd2appzd2ly1921za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712262za7,
		BGl_z62nodezd2copyz12zd2funcall1923z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712263za7,
		BGl_z62nodezd2copyz12zd2extern1925z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712264za7,
		BGl_z62nodezd2copyz12zd2cast1927z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712265za7,
		BGl_z62nodezd2copyz12zd2setq1929z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712266za7,
		BGl_z62nodezd2copyz12zd2condition1931z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_copyablezf3zd2envz21zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za792267za7,
		BGl_z62copyablezf3z91zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza712268za7,
		BGl_z62nodezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long
		BgL_checksumz00_2585, char *BgL_fromz00_2586)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_copyz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_copyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
					BGl_cnstzd2initzd2zzreduce_copyz00();
					BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
					BGl_genericzd2initzd2zzreduce_copyz00();
					BGl_methodzd2initzd2zzreduce_copyz00();
					BGl_toplevelzd2initzd2zzreduce_copyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_copy");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			{	/* Reduce/copy.scm 15 */
				obj_t BgL_cportz00_2572;

				BgL_cportz00_2572 =
					bgl_open_input_string(BGl_string2221z00zzreduce_copyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2573;

					BgL_iz00_2573 = ((long) 2);
				BgL_loopz00_2574:
					if ((BgL_iz00_2573 == ((long) -1)))
						{	/* Reduce/copy.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/copy.scm 15 */
							{	/* Reduce/copy.scm 15 */
								obj_t BgL_arg2223z00_2576;

								{	/* Reduce/copy.scm 15 */

									{	/* Reduce/copy.scm 15 */
										obj_t BgL_locationz00_2578;

										BgL_locationz00_2578 = BBOOL(((bool_t) 0));
										{	/* Reduce/copy.scm 15 */

											BgL_arg2223z00_2576 =
												BGl_readz00zz__readerz00(BgL_cportz00_2572,
												BgL_locationz00_2578);
										}
									}
								}
								{	/* Reduce/copy.scm 15 */
									int BgL_auxz00_2608;

									BgL_auxz00_2608 = (int) (BgL_iz00_2573);
									CNST_TABLE_SET(BgL_auxz00_2608, BgL_arg2223z00_2576);
							}}
							{	/* Reduce/copy.scm 15 */
								int BgL_auxz00_2579;

								BgL_auxz00_2579 = (int) ((BgL_iz00_2573 - ((long) 1)));
								{
									long BgL_iz00_2613;

									BgL_iz00_2613 = (long) (BgL_auxz00_2579);
									BgL_iz00_2573 = BgL_iz00_2613;
									goto BgL_loopz00_2574;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-copy! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 35 */
			{	/* Reduce/copy.scm 36 */
				obj_t BgL_list1975z00_1243;

				BgL_list1975z00_1243 =
					MAKE_PAIR(BGl_string2180z00zzreduce_copyz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1975z00_1243);
			}
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = ((long) 0);
			{
				obj_t BgL_l1809z00_1245;

				BgL_l1809z00_1245 = BgL_globalsz00_3;
			BgL_zc3anonymousza31976ze3z83_1246:
				if (PAIRP(BgL_l1809z00_1245))
					{	/* Reduce/copy.scm 38 */
						{	/* Reduce/copy.scm 39 */
							obj_t BgL_globalz00_1248;

							BgL_globalz00_1248 = CAR(BgL_l1809z00_1245);
							{	/* Reduce/copy.scm 39 */
								BgL_valuez00_bglt BgL_funz00_1249;

								BgL_funz00_1249 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1248))))->
									BgL_valuez00);
								{	/* Reduce/copy.scm 39 */
									obj_t BgL_nodez00_1250;

									BgL_nodez00_1250 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1249)))->BgL_bodyz00);
									{	/* Reduce/copy.scm 40 */

										{	/* Reduce/copy.scm 41 */
											BgL_nodez00_bglt BgL_arg1978z00_1251;

											BgL_arg1978z00_1251 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_nodez00_1250));
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1249)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1978z00_1251)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1809z00_2631;

							BgL_l1809z00_2631 = CDR(BgL_l1809z00_1245);
							BgL_l1809z00_1245 = BgL_l1809z00_2631;
							goto BgL_zc3anonymousza31976ze3z83_1246;
						}
					}
				else
					{	/* Reduce/copy.scm 38 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/copy.scm 44 */
				obj_t BgL_list1980z00_1254;

				{	/* Reduce/copy.scm 44 */
					obj_t BgL_arg1981z00_1255;

					{	/* Reduce/copy.scm 44 */
						obj_t BgL_arg1982z00_1256;

						{	/* Reduce/copy.scm 44 */
							obj_t BgL_arg1983z00_1257;

							BgL_arg1983z00_1257 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1982z00_1256 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg1983z00_1257);
						}
						BgL_arg1981z00_1255 =
							MAKE_PAIR(BINT(BGl_za2copyzd2removedza2zd2zzreduce_copyz00),
							BgL_arg1982z00_1256);
					}
					BgL_list1980z00_1254 =
						MAKE_PAIR(BGl_string2181z00zzreduce_copyz00, BgL_arg1981z00_1255);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1980z00_1254);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-copy! */
	obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t BgL_envz00_2467,
		obj_t BgL_globalsz00_2468)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 35 */
			return BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_2468);
		}
	}



/* node-copy*! */
	obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t BgL_nodeza2za2_37)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 356 */
			{
				obj_t BgL_nodeza2za2_1259;

				BgL_nodeza2za2_1259 = BgL_nodeza2za2_37;
			BgL_zc3anonymousza31984ze3z83_1260:
				if (NULLP(BgL_nodeza2za2_1259))
					{	/* Reduce/copy.scm 358 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/copy.scm 358 */
						{	/* Reduce/copy.scm 361 */
							BgL_nodez00_bglt BgL_arg1986z00_1262;

							{	/* Reduce/copy.scm 361 */
								obj_t BgL_arg1987z00_1263;

								BgL_arg1987z00_1263 = CAR(BgL_nodeza2za2_1259);
								BgL_arg1986z00_1262 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_arg1987z00_1263));
							}
							{	/* Reduce/copy.scm 361 */
								obj_t BgL_auxz00_2649;

								BgL_auxz00_2649 = ((obj_t) BgL_arg1986z00_1262);
								SET_CAR(BgL_nodeza2za2_1259, BgL_auxz00_2649);
							}
						}
						{
							obj_t BgL_nodeza2za2_2652;

							BgL_nodeza2za2_2652 = CDR(BgL_nodeza2za2_1259);
							BgL_nodeza2za2_1259 = BgL_nodeza2za2_2652;
							goto BgL_zc3anonymousza31984ze3z83_1260;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_proc2182z00zzreduce_copyz00, BGl_nodez00zzast_nodez00,
				BGl_string2183z00zzreduce_copyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_proc2184z00zzreduce_copyz00, BFALSE,
				BGl_string2185z00zzreduce_copyz00);
		}
	}



/* &copyable?1938 */
	obj_t BGl_z62copyablezf31938z91zzreduce_copyz00(obj_t BgL_envz00_2471,
		obj_t BgL_nodez00_2472)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 194 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &node-copy!1906 */
	obj_t BGl_z62nodezd2copyz121906za2zzreduce_copyz00(obj_t BgL_envz00_2473,
		obj_t BgL_nodez00_2474)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			{
				BgL_nodez00_bglt BgL_nodez00_1267;

				BgL_nodez00_1267 = ((BgL_nodez00_bglt) BgL_nodez00_2474);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string2186z00zzreduce_copyz00, ((obj_t) BgL_nodez00_1267));
		}}
	}



/* node-copy! */
	BgL_nodez00_bglt BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			{	/* Reduce/copy.scm 55 */
				obj_t BgL_method1907z00_1274;

				{	/* Reduce/copy.scm 55 */
					obj_t BgL_res2153z00_2332;

					{	/* Reduce/copy.scm 55 */
						long BgL_objzd2classzd2numz00_2305;

						{	/* Reduce/copy.scm 55 */
							long BgL_res2147z00_2308;

							BgL_res2147z00_2308 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
							BgL_objzd2classzd2numz00_2305 = BgL_res2147z00_2308;
						}
						{	/* Reduce/copy.scm 55 */
							obj_t BgL_arg1769z00_2306;

							BgL_arg1769z00_2306 =
								PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
								(int) (((long) 1)));
							{	/* Reduce/copy.scm 55 */
								int BgL_offsetz00_2310;

								BgL_offsetz00_2310 = (int) (BgL_objzd2classzd2numz00_2305);
								{	/* Reduce/copy.scm 55 */
									long BgL_offsetz00_2311;

									BgL_offsetz00_2311 =
										((long) (BgL_offsetz00_2310) - OBJECT_TYPE);
									{	/* Reduce/copy.scm 55 */
										long BgL_modz00_2312;

										{	/* Reduce/copy.scm 55 */
											int BgL_arg1771z00_2313;

											BgL_arg1771z00_2313 = (int) (((long) 16));
											{	/* Reduce/copy.scm 55 */
												long BgL_res2150z00_2323;

												{	/* Reduce/copy.scm 55 */
													long BgL_auxz00_2669;

													BgL_auxz00_2669 = (long) (BgL_arg1771z00_2313);
													BgL_res2150z00_2323 =
														(BgL_offsetz00_2311 / BgL_auxz00_2669);
												}
												BgL_modz00_2312 = BgL_res2150z00_2323;
										}}
										{	/* Reduce/copy.scm 55 */
											long BgL_restz00_2314;

											{	/* Reduce/copy.scm 55 */
												int BgL_arg1770z00_2315;

												BgL_arg1770z00_2315 = (int) (((long) 16));
												{	/* Reduce/copy.scm 55 */
													long BgL_res2152z00_2327;

													{	/* Reduce/copy.scm 55 */
														long BgL_auxz00_2673;

														BgL_auxz00_2673 = (long) (BgL_arg1770z00_2315);
														BgL_res2152z00_2327 =
															(BgL_offsetz00_2311 % BgL_auxz00_2673);
													}
													BgL_restz00_2314 = BgL_res2152z00_2327;
											}}
											{	/* Reduce/copy.scm 55 */

												BgL_res2153z00_2332 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2306,
														(int) (BgL_modz00_2312)), (int) (BgL_restz00_2314));
					}}}}}}}
					BgL_method1907z00_1274 = BgL_res2153z00_2332;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1907z00_1274) (BgL_method1907z00_1274,
						((obj_t) BgL_nodez00_4), BEOA));
			}
		}
	}



/* &node-copy! */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t
		BgL_envz00_2475, obj_t BgL_nodez00_2476)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 55 */
			return
				BGl_nodezd2copyz12zc0zzreduce_copyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2476));
		}
	}



/* copyable? */
	obj_t BGl_copyablezf3zf3zzreduce_copyz00(obj_t BgL_nodez00_20)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 194 */
			if (BGL_OBJECTP(BgL_nodez00_20))
				{	/* Reduce/copy.scm 194 */
					obj_t BgL_method1939z00_1276;

					{	/* Reduce/copy.scm 194 */
						obj_t BgL_res2161z00_2363;

						{	/* Reduce/copy.scm 194 */
							long BgL_objzd2classzd2numz00_2336;

							{	/* Reduce/copy.scm 194 */
								long BgL_res2155z00_2339;

								BgL_res2155z00_2339 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_20));
								BgL_objzd2classzd2numz00_2336 = BgL_res2155z00_2339;
							}
							{	/* Reduce/copy.scm 194 */
								obj_t BgL_arg1769z00_2337;

								BgL_arg1769z00_2337 =
									PROCEDURE_REF(BGl_copyablezf3zd2envz21zzreduce_copyz00,
									(int) (((long) 1)));
								{	/* Reduce/copy.scm 194 */
									int BgL_offsetz00_2341;

									BgL_offsetz00_2341 = (int) (BgL_objzd2classzd2numz00_2336);
									{	/* Reduce/copy.scm 194 */
										long BgL_offsetz00_2342;

										BgL_offsetz00_2342 =
											((long) (BgL_offsetz00_2341) - OBJECT_TYPE);
										{	/* Reduce/copy.scm 194 */
											long BgL_modz00_2343;

											{	/* Reduce/copy.scm 194 */
												int BgL_arg1771z00_2344;

												BgL_arg1771z00_2344 = (int) (((long) 16));
												{	/* Reduce/copy.scm 194 */
													long BgL_res2158z00_2354;

													{	/* Reduce/copy.scm 194 */
														long BgL_auxz00_2698;

														BgL_auxz00_2698 = (long) (BgL_arg1771z00_2344);
														BgL_res2158z00_2354 =
															(BgL_offsetz00_2342 / BgL_auxz00_2698);
													}
													BgL_modz00_2343 = BgL_res2158z00_2354;
											}}
											{	/* Reduce/copy.scm 194 */
												long BgL_restz00_2345;

												{	/* Reduce/copy.scm 194 */
													int BgL_arg1770z00_2346;

													BgL_arg1770z00_2346 = (int) (((long) 16));
													{	/* Reduce/copy.scm 194 */
														long BgL_res2160z00_2358;

														{	/* Reduce/copy.scm 194 */
															long BgL_auxz00_2702;

															BgL_auxz00_2702 = (long) (BgL_arg1770z00_2346);
															BgL_res2160z00_2358 =
																(BgL_offsetz00_2342 % BgL_auxz00_2702);
														}
														BgL_restz00_2345 = BgL_res2160z00_2358;
												}}
												{	/* Reduce/copy.scm 194 */

													BgL_res2161z00_2363 =
														VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2337,
															(int) (BgL_modz00_2343)),
														(int) (BgL_restz00_2345));
						}}}}}}}
						BgL_method1939z00_1276 = BgL_res2161z00_2363;
					}
					return
						PROCEDURE_ENTRY(BgL_method1939z00_1276) (BgL_method1939z00_1276,
						BgL_nodez00_20, BEOA);
				}
			else
				{	/* Reduce/copy.scm 194 */
					obj_t BgL_fun1993z00_1277;

					BgL_fun1993z00_1277 =
						PROCEDURE_REF(BGl_copyablezf3zd2envz21zzreduce_copyz00,
						(int) (((long) 0)));
					return
						PROCEDURE_ENTRY(BgL_fun1993z00_1277) (BgL_fun1993z00_1277,
						BgL_nodez00_20, BEOA);
				}
		}
	}



/* &copyable? */
	obj_t BGl_z62copyablezf3z91zzreduce_copyz00(obj_t BgL_envz00_2477,
		obj_t BgL_nodez00_2478)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 194 */
			return BGl_copyablezf3zf3zzreduce_copyz00(BgL_nodez00_2478);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc2187z00zzreduce_copyz00, BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2189z00zzreduce_copyz00, BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc2190z00zzreduce_copyz00, BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_closurez00zzast_nodez00, BGl_proc2191z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2192z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_syncz00zzast_nodez00,
				BGl_proc2193z00zzreduce_copyz00, BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2194z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2195z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_externz00zzast_nodez00, BGl_proc2196z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc2197z00zzreduce_copyz00, BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_setqz00zzast_nodez00,
				BGl_proc2198z00zzreduce_copyz00, BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2199z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc2200z00zzreduce_copyz00, BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_selectz00zzast_nodez00, BGl_proc2201z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2202z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc2203z00zzreduce_copyz00, BGl_string2204z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc2205z00zzreduce_copyz00, BGl_string2204z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2206z00zzreduce_copyz00, BGl_string2204z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2207z00zzreduce_copyz00, BGl_string2204z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc2208z00zzreduce_copyz00, BGl_string2204z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc2209z00zzreduce_copyz00,
				BGl_string2204z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2210z00zzreduce_copyz00,
				BGl_string2204z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2211z00zzreduce_copyz00,
				BGl_string2204z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc2212z00zzreduce_copyz00, BGl_string2204z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2213z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2214z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2215z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2216z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2217z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2218z00zzreduce_copyz00,
				BGl_string2188z00zzreduce_copyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_appz00zzast_nodez00,
				BGl_proc2219z00zzreduce_copyz00, BGl_string2188z00zzreduce_copyz00);
		}
	}



/* &node-copy!-app1971 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2app1971z70zzreduce_copyz00(obj_t
		BgL_envz00_2510, obj_t BgL_nodez00_2511)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 348 */
			{
				BgL_appz00_bglt BgL_nodez00_1559;

				BgL_nodez00_1559 = ((BgL_appz00_bglt) BgL_nodez00_2511);
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1559))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1559);
			}
		}
	}



/* &node-copy!-box-ref1969 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1969za2zzreduce_copyz00(obj_t
		BgL_envz00_2512, obj_t BgL_nodez00_2513)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 340 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1553;

				BgL_nodez00_1553 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2513);
				{
					BgL_varz00_bglt BgL_auxz00_2755;

					{	/* Reduce/copy.scm 342 */
						BgL_varz00_bglt BgL_arg2085z00_1557;

						BgL_arg2085z00_1557 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1553))->BgL_varz00);
						BgL_auxz00_2755 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_arg2085z00_1557)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1553))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2755), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1553);
			}
		}
	}



/* &node-copy!-box-set!1967 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121967zb0zzreduce_copyz00(obj_t
		BgL_envz00_2514, obj_t BgL_nodez00_2515)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 331 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1546;

				BgL_nodez00_1546 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2515);
				{
					BgL_varz00_bglt BgL_auxz00_2763;

					{	/* Reduce/copy.scm 333 */
						BgL_varz00_bglt BgL_arg2083z00_1550;

						BgL_arg2083z00_1550 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1546))->BgL_varz00);
						BgL_auxz00_2763 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_arg2083z00_1550)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1546))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2763), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2769;

					{	/* Reduce/copy.scm 334 */
						BgL_nodez00_bglt BgL_arg2084z00_1551;

						BgL_arg2084z00_1551 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1546))->
							BgL_valuez00);
						BgL_auxz00_2769 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2084z00_1551);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1546))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2769), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1546);
			}
		}
	}



/* &node-copy!-make-box1965 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1965za2zzreduce_copyz00(obj_t
		BgL_envz00_2516, obj_t BgL_nodez00_2517)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 323 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1540;

				BgL_nodez00_1540 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2517);
				{
					BgL_nodez00_bglt BgL_auxz00_2775;

					{	/* Reduce/copy.scm 325 */
						BgL_nodez00_bglt BgL_arg2081z00_1544;

						BgL_arg2081z00_1544 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1540))->BgL_valuez00);
						BgL_auxz00_2775 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2081z00_1544);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1540))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2775), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1540);
			}
		}
	}



/* &node-copy!-jump-ex-i1963 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1963z70zzreduce_copyz00(obj_t
		BgL_envz00_2518, obj_t BgL_nodez00_2519)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 314 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1533;

				BgL_nodez00_1533 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2519);
				{
					BgL_nodez00_bglt BgL_auxz00_2781;

					{	/* Reduce/copy.scm 316 */
						BgL_nodez00_bglt BgL_arg2079z00_1537;

						BgL_arg2079z00_1537 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1533))->
							BgL_exitz00);
						BgL_auxz00_2781 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2079z00_1537);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1533))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2781), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2785;

					{	/* Reduce/copy.scm 317 */
						BgL_nodez00_bglt BgL_arg2080z00_1538;

						BgL_arg2080z00_1538 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1533))->
							BgL_valuez00);
						BgL_auxz00_2785 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2080z00_1538);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1533))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2785), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1533);
			}
		}
	}



/* &node-copy!-set-ex-it1961 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1961z70zzreduce_copyz00(obj_t
		BgL_envz00_2520, obj_t BgL_nodez00_2521)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 305 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1526;

				BgL_nodez00_1526 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2521);
				{
					BgL_nodez00_bglt BgL_auxz00_2791;

					{	/* Reduce/copy.scm 307 */
						BgL_nodez00_bglt BgL_arg2077z00_1530;

						BgL_arg2077z00_1530 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1526))->
							BgL_bodyz00);
						BgL_auxz00_2791 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2077z00_1530);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1526))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2791), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2795;

					{	/* Reduce/copy.scm 308 */
						BgL_varz00_bglt BgL_arg2078z00_1531;

						BgL_arg2078z00_1531 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1526))->
							BgL_varz00);
						BgL_auxz00_2795 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(((BgL_nodez00_bglt)
									BgL_arg2078z00_1531)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1526))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2795), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1526);
			}
		}
	}



/* &node-copy!-let-var1959 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1959za2zzreduce_copyz00(obj_t
		BgL_envz00_2522, obj_t BgL_nodez00_2523)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 261 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1491;

				BgL_nodez00_1491 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2523);
				{
					obj_t BgL_obindingsz00_1498;
					obj_t BgL_nbindingsz00_1499;

					BgL_obindingsz00_1498 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1491))->BgL_bindingsz00);
					BgL_nbindingsz00_1499 = BNIL;
				BgL_zc3anonymousza32059ze3z83_1500:
					if (NULLP(BgL_obindingsz00_1498))
						{	/* Reduce/copy.scm 266 */
							bool_t BgL_testz00_2805;

							if (NULLP(BgL_nbindingsz00_1499))
								{	/* Reduce/copy.scm 266 */
									BgL_testz00_2805 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1491))->
										BgL_removablezf3zf3);
								}
							else
								{	/* Reduce/copy.scm 266 */
									BgL_testz00_2805 = ((bool_t) 0);
								}
							if (BgL_testz00_2805)
								{	/* Reduce/copy.scm 266 */
									return
										BGl_nodezd2copyz12zc0zzreduce_copyz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1491))->
											BgL_bodyz00));
								}
							else
								{	/* Reduce/copy.scm 266 */
									((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1491))->
											BgL_bindingsz00) =
										((obj_t) BgL_nbindingsz00_1499), BUNSPEC);
									{
										BgL_nodez00_bglt BgL_auxz00_2812;

										{	/* Reduce/copy.scm 270 */
											BgL_nodez00_bglt BgL_arg2063z00_1504;

											BgL_arg2063z00_1504 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1491))->
												BgL_bodyz00);
											BgL_auxz00_2812 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00
												(BgL_arg2063z00_1504);
										}
										((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1491))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_auxz00_2812), BUNSPEC);
									}
									return ((BgL_nodez00_bglt) BgL_nodez00_1491);
								}
						}
					else
						{	/* Reduce/copy.scm 272 */
							obj_t BgL_bindingz00_1506;

							BgL_bindingz00_1506 = CAR(BgL_obindingsz00_1498);
							{	/* Reduce/copy.scm 272 */
								obj_t BgL_varz00_1507;

								BgL_varz00_1507 = CAR(BgL_bindingz00_1506);
								{	/* Reduce/copy.scm 273 */
									BgL_nodez00_bglt BgL_valz00_1508;

									{	/* Reduce/copy.scm 274 */
										obj_t BgL_arg2076z00_1523;

										BgL_arg2076z00_1523 = CDR(BgL_bindingz00_1506);
										BgL_valz00_1508 =
											BGl_nodezd2copyz12zc0zzreduce_copyz00(
											((BgL_nodez00_bglt) BgL_arg2076z00_1523));
									}
									{	/* Reduce/copy.scm 274 */

										{	/* Reduce/copy.scm 275 */
											obj_t BgL_auxz00_2822;

											BgL_auxz00_2822 = ((obj_t) BgL_valz00_1508);
											SET_CDR(BgL_bindingz00_1506, BgL_auxz00_2822);
										}
										{	/* Reduce/copy.scm 284 */
											bool_t BgL_testz00_2825;

											if (
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1507)))->
														BgL_accessz00) == CNST_TABLE_REF(((long) 2))))
												{	/* Reduce/copy.scm 285 */
													obj_t BgL__ortest_1126z00_1514;

													BgL__ortest_1126z00_1514 =
														BGl_copyablezf3zf3zzreduce_copyz00(
														((obj_t) BgL_valz00_1508));
													if (CBOOL(BgL__ortest_1126z00_1514))
														{	/* Reduce/copy.scm 285 */
															BgL_testz00_2825 =
																CBOOL(BgL__ortest_1126z00_1514);
														}
													else
														{	/* Reduce/copy.scm 286 */
															bool_t BgL_testz00_2836;

															{	/* Reduce/copy.scm 286 */
																bool_t BgL_res2174z00_2432;

																BgL_res2174z00_2432 =
																	BGl_isazf3zf3zz__objectz00(
																	((obj_t) BgL_valz00_1508),
																	BGl_varz00zzast_nodez00);
																BgL_testz00_2836 = BgL_res2174z00_2432;
															}
															if (BgL_testz00_2836)
																{	/* Reduce/copy.scm 286 */
																	if (
																		((((BgL_variablez00_bglt) CREF(
																						(((BgL_varz00_bglt) CREF(
																									((BgL_varz00_bglt)
																										BgL_valz00_1508)))->
																							BgL_variablez00)))->
																				BgL_accessz00) ==
																			CNST_TABLE_REF(((long) 2))))
																		{	/* Reduce/copy.scm 290 */
																			BgL_typez00_bglt BgL_arg2070z00_1517;
																			BgL_typez00_bglt BgL_arg2071z00_1518;

																			BgL_arg2070z00_1517 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_varz00_1507)))->BgL_typez00);
																			BgL_arg2071z00_1518 =
																				(((BgL_variablez00_bglt)
																					CREF((((BgL_varz00_bglt)
																								CREF(((BgL_varz00_bglt)
																										BgL_valz00_1508)))->
																							BgL_variablez00)))->BgL_typez00);
																			BgL_testz00_2825 =
																				BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
																				(BgL_arg2070z00_1517,
																				BgL_arg2071z00_1518);
																		}
																	else
																		{	/* Reduce/copy.scm 287 */
																			BgL_testz00_2825 = ((bool_t) 0);
																		}
																}
															else
																{	/* Reduce/copy.scm 286 */
																	BgL_testz00_2825 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Reduce/copy.scm 284 */
													BgL_testz00_2825 = ((bool_t) 0);
												}
											if (BgL_testz00_2825)
												{	/* Reduce/copy.scm 284 */
													BGl_za2copyzd2removedza2zd2zzreduce_copyz00 =
														(BGl_za2copyzd2removedza2zd2zzreduce_copyz00 +
														((long) 1));
													((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
																		BgL_varz00_1507)))->BgL_fastzd2alphazd2) =
														((obj_t) ((obj_t) BgL_valz00_1508)), BUNSPEC);
													{
														obj_t BgL_obindingsz00_2855;

														BgL_obindingsz00_2855 = CDR(BgL_obindingsz00_1498);
														BgL_obindingsz00_1498 = BgL_obindingsz00_2855;
														goto BgL_zc3anonymousza32059ze3z83_1500;
													}
												}
											else
												{	/* Reduce/copy.scm 300 */
													obj_t BgL_arg2067z00_1511;
													obj_t BgL_arg2068z00_1512;

													BgL_arg2067z00_1511 = CDR(BgL_obindingsz00_1498);
													BgL_arg2068z00_1512 =
														MAKE_PAIR(BgL_bindingz00_1506,
														BgL_nbindingsz00_1499);
													{
														obj_t BgL_nbindingsz00_2860;
														obj_t BgL_obindingsz00_2859;

														BgL_obindingsz00_2859 = BgL_arg2067z00_1511;
														BgL_nbindingsz00_2860 = BgL_arg2068z00_1512;
														BgL_nbindingsz00_1499 = BgL_nbindingsz00_2860;
														BgL_obindingsz00_1498 = BgL_obindingsz00_2859;
														goto BgL_zc3anonymousza32059ze3z83_1500;
													}
												}
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* &copyable?-fail1957 */
	obj_t BGl_z62copyablezf3zd2fail1957z43zzreduce_copyz00(obj_t BgL_envz00_2524,
		obj_t BgL_nodez00_2525)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 254 */
			{
				BgL_failz00_bglt BgL_nodez00_1481;

				BgL_nodez00_1481 = ((BgL_failz00_bglt) BgL_nodez00_2525);
				{	/* Reduce/copy.scm 256 */
					obj_t BgL__andtest_1121z00_1485;

					{	/* Reduce/copy.scm 256 */
						BgL_nodez00_bglt BgL_arg2057z00_1489;

						BgL_arg2057z00_1489 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1481))->BgL_procz00);
						BgL__andtest_1121z00_1485 =
							BGl_copyablezf3zf3zzreduce_copyz00(((obj_t) BgL_arg2057z00_1489));
					}
					if (CBOOL(BgL__andtest_1121z00_1485))
						{	/* Reduce/copy.scm 256 */
							obj_t BgL__andtest_1122z00_1486;

							{	/* Reduce/copy.scm 256 */
								BgL_nodez00_bglt BgL_arg2056z00_1488;

								BgL_arg2056z00_1488 =
									(((BgL_failz00_bglt) CREF(BgL_nodez00_1481))->BgL_msgz00);
								BgL__andtest_1122z00_1486 =
									BGl_copyablezf3zf3zzreduce_copyz00(
									((obj_t) BgL_arg2056z00_1488));
							}
							if (CBOOL(BgL__andtest_1122z00_1486))
								{	/* Reduce/copy.scm 256 */
									BgL_nodez00_bglt BgL_arg2055z00_1487;

									BgL_arg2055z00_1487 =
										(((BgL_failz00_bglt) CREF(BgL_nodez00_1481))->BgL_objz00);
									return
										BGl_copyablezf3zf3zzreduce_copyz00(
										((obj_t) BgL_arg2055z00_1487));
								}
							else
								{	/* Reduce/copy.scm 256 */
									return BFALSE;
								}
						}
					else
						{	/* Reduce/copy.scm 256 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &copyable?-conditiona1955 */
	obj_t BGl_z62copyablezf3zd2conditiona1955z43zzreduce_copyz00(obj_t
		BgL_envz00_2526, obj_t BgL_nodez00_2527)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 247 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1471;

				BgL_nodez00_1471 = ((BgL_conditionalz00_bglt) BgL_nodez00_2527);
				{	/* Reduce/copy.scm 249 */
					obj_t BgL__andtest_1118z00_1475;

					{	/* Reduce/copy.scm 249 */
						BgL_nodez00_bglt BgL_arg2054z00_1479;

						BgL_arg2054z00_1479 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1471))->BgL_testz00);
						BgL__andtest_1118z00_1475 =
							BGl_copyablezf3zf3zzreduce_copyz00(((obj_t) BgL_arg2054z00_1479));
					}
					if (CBOOL(BgL__andtest_1118z00_1475))
						{	/* Reduce/copy.scm 249 */
							obj_t BgL__andtest_1119z00_1476;

							{	/* Reduce/copy.scm 249 */
								BgL_nodez00_bglt BgL_arg2053z00_1478;

								BgL_arg2053z00_1478 =
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1471))->
									BgL_truez00);
								BgL__andtest_1119z00_1476 =
									BGl_copyablezf3zf3zzreduce_copyz00(((obj_t)
										BgL_arg2053z00_1478));
							}
							if (CBOOL(BgL__andtest_1119z00_1476))
								{	/* Reduce/copy.scm 249 */
									BgL_nodez00_bglt BgL_arg2052z00_1477;

									BgL_arg2052z00_1477 =
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1471))->
										BgL_falsez00);
									return BGl_copyablezf3zf3zzreduce_copyz00(((obj_t)
											BgL_arg2052z00_1477));
								}
							else
								{	/* Reduce/copy.scm 249 */
									return BFALSE;
								}
						}
					else
						{	/* Reduce/copy.scm 249 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &copyable?-instanceof1953 */
	obj_t BGl_z62copyablezf3zd2instanceof1953z43zzreduce_copyz00(obj_t
		BgL_envz00_2528, obj_t BgL_nodez00_2529)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 240 */
			{
				BgL_instanceofz00_bglt BgL_nodez00_1456;

				{	/* Reduce/copy.scm 241 */
					bool_t BgL_auxz00_2891;

					BgL_nodez00_1456 = ((BgL_instanceofz00_bglt) BgL_nodez00_2529);
					{	/* Reduce/copy.scm 242 */
						obj_t BgL_g1904z00_1460;

						BgL_g1904z00_1460 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1456)))->BgL_exprza2za2);
						{
							obj_t BgL_l1902z00_1462;

							BgL_l1902z00_1462 = BgL_g1904z00_1460;
						BgL_zc3anonymousza32048ze3z83_1463:
							if (NULLP(BgL_l1902z00_1462))
								{	/* Reduce/copy.scm 242 */
									BgL_auxz00_2891 = ((bool_t) 1);
								}
							else
								{	/* Reduce/copy.scm 242 */
									obj_t BgL_nvz00_1465;

									BgL_nvz00_1465 =
										BGl_copyablezf3zf3zzreduce_copyz00(CAR(BgL_l1902z00_1462));
									if (CBOOL(BgL_nvz00_1465))
										{
											obj_t BgL_l1902z00_2900;

											BgL_l1902z00_2900 = CDR(BgL_l1902z00_1462);
											BgL_l1902z00_1462 = BgL_l1902z00_2900;
											goto BgL_zc3anonymousza32048ze3z83_1463;
										}
									else
										{	/* Reduce/copy.scm 242 */
											BgL_auxz00_2891 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_2891);
				}
			}
		}
	}



/* &copyable?-cast-null1951 */
	obj_t BGl_z62copyablezf3zd2castzd2null1951z91zzreduce_copyz00(obj_t
		BgL_envz00_2530, obj_t BgL_nodez00_2531)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 233 */
			{
				BgL_castzd2nullzd2_bglt BgL_nodez00_1441;

				{	/* Reduce/copy.scm 234 */
					bool_t BgL_auxz00_2904;

					BgL_nodez00_1441 = ((BgL_castzd2nullzd2_bglt) BgL_nodez00_2531);
					{	/* Reduce/copy.scm 235 */
						obj_t BgL_g1900z00_1445;

						BgL_g1900z00_1445 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1441)))->BgL_exprza2za2);
						{
							obj_t BgL_l1898z00_1447;

							BgL_l1898z00_1447 = BgL_g1900z00_1445;
						BgL_zc3anonymousza32044ze3z83_1448:
							if (NULLP(BgL_l1898z00_1447))
								{	/* Reduce/copy.scm 235 */
									BgL_auxz00_2904 = ((bool_t) 1);
								}
							else
								{	/* Reduce/copy.scm 235 */
									obj_t BgL_nvz00_1450;

									BgL_nvz00_1450 =
										BGl_copyablezf3zf3zzreduce_copyz00(CAR(BgL_l1898z00_1447));
									if (CBOOL(BgL_nvz00_1450))
										{
											obj_t BgL_l1898z00_2913;

											BgL_l1898z00_2913 = CDR(BgL_l1898z00_1447);
											BgL_l1898z00_1447 = BgL_l1898z00_2913;
											goto BgL_zc3anonymousza32044ze3z83_1448;
										}
									else
										{	/* Reduce/copy.scm 235 */
											BgL_auxz00_2904 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_2904);
				}
			}
		}
	}



/* &copyable?-cast1949 */
	obj_t BGl_z62copyablezf3zd2cast1949z43zzreduce_copyz00(obj_t BgL_envz00_2532,
		obj_t BgL_nodez00_2533)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 226 */
			{
				BgL_castz00_bglt BgL_nodez00_1435;

				BgL_nodez00_1435 = ((BgL_castz00_bglt) BgL_nodez00_2533);
				{	/* Reduce/copy.scm 228 */
					BgL_nodez00_bglt BgL_arg2043z00_2411;

					BgL_arg2043z00_2411 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1435))->BgL_argz00);
					return
						BGl_copyablezf3zf3zzreduce_copyz00(((obj_t) BgL_arg2043z00_2411));
				}
			}
		}
	}



/* &copyable?-vlength1947 */
	obj_t BGl_z62copyablezf3zd2vlength1947z43zzreduce_copyz00(obj_t
		BgL_envz00_2534, obj_t BgL_nodez00_2535)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 219 */
			{
				BgL_vlengthz00_bglt BgL_nodez00_1420;

				{	/* Reduce/copy.scm 220 */
					bool_t BgL_auxz00_2921;

					BgL_nodez00_1420 = ((BgL_vlengthz00_bglt) BgL_nodez00_2535);
					{	/* Reduce/copy.scm 221 */
						obj_t BgL_g1896z00_1424;

						BgL_g1896z00_1424 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1420)))->BgL_exprza2za2);
						{
							obj_t BgL_l1894z00_1426;

							BgL_l1894z00_1426 = BgL_g1896z00_1424;
						BgL_zc3anonymousza32038ze3z83_1427:
							if (NULLP(BgL_l1894z00_1426))
								{	/* Reduce/copy.scm 221 */
									BgL_auxz00_2921 = ((bool_t) 1);
								}
							else
								{	/* Reduce/copy.scm 221 */
									obj_t BgL_nvz00_1429;

									BgL_nvz00_1429 =
										BGl_copyablezf3zf3zzreduce_copyz00(CAR(BgL_l1894z00_1426));
									if (CBOOL(BgL_nvz00_1429))
										{
											obj_t BgL_l1894z00_2930;

											BgL_l1894z00_2930 = CDR(BgL_l1894z00_1426);
											BgL_l1894z00_1426 = BgL_l1894z00_2930;
											goto BgL_zc3anonymousza32038ze3z83_1427;
										}
									else
										{	/* Reduce/copy.scm 221 */
											BgL_auxz00_2921 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_2921);
				}
			}
		}
	}



/* &copyable?-sequence1945 */
	obj_t BGl_z62copyablezf3zd2sequence1945z43zzreduce_copyz00(obj_t
		BgL_envz00_2536, obj_t BgL_nodez00_2537)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 212 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1405;

				{	/* Reduce/copy.scm 213 */
					bool_t BgL_auxz00_2934;

					BgL_nodez00_1405 = ((BgL_sequencez00_bglt) BgL_nodez00_2537);
					{	/* Reduce/copy.scm 214 */
						obj_t BgL_g1892z00_1409;

						BgL_g1892z00_1409 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1405))->BgL_nodesz00);
						{
							obj_t BgL_l1890z00_1411;

							BgL_l1890z00_1411 = BgL_g1892z00_1409;
						BgL_zc3anonymousza32034ze3z83_1412:
							if (NULLP(BgL_l1890z00_1411))
								{	/* Reduce/copy.scm 214 */
									BgL_auxz00_2934 = ((bool_t) 1);
								}
							else
								{	/* Reduce/copy.scm 214 */
									obj_t BgL_nvz00_1414;

									BgL_nvz00_1414 =
										BGl_copyablezf3zf3zzreduce_copyz00(CAR(BgL_l1890z00_1411));
									if (CBOOL(BgL_nvz00_1414))
										{
											obj_t BgL_l1890z00_2942;

											BgL_l1890z00_2942 = CDR(BgL_l1890z00_1411);
											BgL_l1890z00_1411 = BgL_l1890z00_2942;
											goto BgL_zc3anonymousza32034ze3z83_1412;
										}
									else
										{	/* Reduce/copy.scm 214 */
											BgL_auxz00_2934 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_2934);
				}
			}
		}
	}



/* &copyable?-var1943 */
	obj_t BGl_z62copyablezf3zd2var1943z43zzreduce_copyz00(obj_t BgL_envz00_2538,
		obj_t BgL_nodez00_2539)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 206 */
			{
				BgL_varz00_bglt BgL_nodez00_1399;

				{	/* Reduce/copy.scm 207 */
					bool_t BgL_auxz00_2946;

					BgL_nodez00_1399 = ((BgL_varz00_bglt) BgL_nodez00_2539);
					BgL_auxz00_2946 =
						(
						(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1399))->
										BgL_variablez00)))->BgL_accessz00) ==
						CNST_TABLE_REF(((long) 2)));
					return BBOOL(BgL_auxz00_2946);
				}
			}
		}
	}



/* &copyable?-atom1941 */
	obj_t BGl_z62copyablezf3zd2atom1941z43zzreduce_copyz00(obj_t BgL_envz00_2540,
		obj_t BgL_nodez00_2541)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 200 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &node-copy!-let-fun1937 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1937za2zzreduce_copyz00(obj_t
		BgL_envz00_2542, obj_t BgL_nodez00_2543)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 180 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1378;

				BgL_nodez00_1378 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2543);
				{	/* Reduce/copy.scm 182 */
					obj_t BgL_g1889z00_1382;

					BgL_g1889z00_1382 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1378))->BgL_localsz00);
					{
						obj_t BgL_l1887z00_1384;

						BgL_l1887z00_1384 = BgL_g1889z00_1382;
					BgL_zc3anonymousza32025ze3z83_1385:
						if (PAIRP(BgL_l1887z00_1384))
							{	/* Reduce/copy.scm 182 */
								{	/* Reduce/copy.scm 183 */
									obj_t BgL_localz00_1387;

									BgL_localz00_1387 = CAR(BgL_l1887z00_1384);
									{	/* Reduce/copy.scm 183 */
										BgL_valuez00_bglt BgL_funz00_1388;

										BgL_funz00_1388 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1387))))->
											BgL_valuez00);
										{	/* Reduce/copy.scm 184 */
											BgL_nodez00_bglt BgL_arg2027z00_1389;

											{	/* Reduce/copy.scm 184 */
												obj_t BgL_arg2028z00_1390;

												BgL_arg2028z00_1390 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1388)))->
													BgL_bodyz00);
												BgL_arg2027z00_1389 =
													BGl_nodezd2copyz12zc0zzreduce_copyz00((
														(BgL_nodez00_bglt) BgL_arg2028z00_1390));
											}
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1388)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg2027z00_1389)), BUNSPEC);
										}
									}
								}
								{
									obj_t BgL_l1887z00_2968;

									BgL_l1887z00_2968 = CDR(BgL_l1887z00_1384);
									BgL_l1887z00_1384 = BgL_l1887z00_2968;
									goto BgL_zc3anonymousza32025ze3z83_1385;
								}
							}
						else
							{	/* Reduce/copy.scm 182 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2970;

					{	/* Reduce/copy.scm 186 */
						BgL_nodez00_bglt BgL_arg2030z00_1393;

						BgL_arg2030z00_1393 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1378))->BgL_bodyz00);
						BgL_auxz00_2970 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2030z00_1393);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1378))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2970), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1378);
			}
		}
	}



/* &node-copy!-select1935 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2select1935z70zzreduce_copyz00(obj_t
		BgL_envz00_2544, obj_t BgL_nodez00_2545)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 169 */
			{
				BgL_selectz00_bglt BgL_nodez00_1362;

				BgL_nodez00_1362 = ((BgL_selectz00_bglt) BgL_nodez00_2545);
				{
					BgL_nodez00_bglt BgL_auxz00_2976;

					{	/* Reduce/copy.scm 171 */
						BgL_nodez00_bglt BgL_arg2019z00_1366;

						BgL_arg2019z00_1366 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1362))->BgL_testz00);
						BgL_auxz00_2976 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2019z00_1366);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1362))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2976), BUNSPEC);
				}
				{	/* Reduce/copy.scm 172 */
					obj_t BgL_g1886z00_1367;

					BgL_g1886z00_1367 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1362))->BgL_clausesz00);
					{
						obj_t BgL_l1811z00_1369;

						BgL_l1811z00_1369 = BgL_g1886z00_1367;
					BgL_zc3anonymousza32020ze3z83_1370:
						if (PAIRP(BgL_l1811z00_1369))
							{	/* Reduce/copy.scm 172 */
								{	/* Reduce/copy.scm 173 */
									obj_t BgL_clausez00_1372;

									BgL_clausez00_1372 = CAR(BgL_l1811z00_1369);
									{	/* Reduce/copy.scm 173 */
										BgL_nodez00_bglt BgL_arg2022z00_1373;

										{	/* Reduce/copy.scm 173 */
											obj_t BgL_arg2023z00_1374;

											BgL_arg2023z00_1374 = CDR(BgL_clausez00_1372);
											BgL_arg2022z00_1373 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_arg2023z00_1374));
										}
										{	/* Reduce/copy.scm 173 */
											obj_t BgL_auxz00_2987;

											BgL_auxz00_2987 = ((obj_t) BgL_arg2022z00_1373);
											SET_CDR(BgL_clausez00_1372, BgL_auxz00_2987);
										}
									}
								}
								{
									obj_t BgL_l1811z00_2990;

									BgL_l1811z00_2990 = CDR(BgL_l1811z00_1369);
									BgL_l1811z00_1369 = BgL_l1811z00_2990;
									goto BgL_zc3anonymousza32020ze3z83_1370;
								}
							}
						else
							{	/* Reduce/copy.scm 172 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1362);
			}
		}
	}



/* &node-copy!-fail1933 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2fail1933z70zzreduce_copyz00(obj_t
		BgL_envz00_2546, obj_t BgL_nodez00_2547)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 159 */
			{
				BgL_failz00_bglt BgL_nodez00_1354;

				BgL_nodez00_1354 = ((BgL_failz00_bglt) BgL_nodez00_2547);
				{
					BgL_nodez00_bglt BgL_auxz00_2994;

					{	/* Reduce/copy.scm 161 */
						BgL_nodez00_bglt BgL_arg2015z00_1358;

						BgL_arg2015z00_1358 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1354))->BgL_procz00);
						BgL_auxz00_2994 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2015z00_1358);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1354))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2994), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2998;

					{	/* Reduce/copy.scm 162 */
						BgL_nodez00_bglt BgL_arg2016z00_1359;

						BgL_arg2016z00_1359 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1354))->BgL_msgz00);
						BgL_auxz00_2998 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2016z00_1359);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1354))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2998), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3002;

					{	/* Reduce/copy.scm 163 */
						BgL_nodez00_bglt BgL_arg2017z00_1360;

						BgL_arg2017z00_1360 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1354))->BgL_objz00);
						BgL_auxz00_3002 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2017z00_1360);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1354))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3002), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1354);
			}
		}
	}



/* &node-copy!-condition1931 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1931z70zzreduce_copyz00(obj_t
		BgL_envz00_2548, obj_t BgL_nodez00_2549)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 149 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1346;

				BgL_nodez00_1346 = ((BgL_conditionalz00_bglt) BgL_nodez00_2549);
				{
					BgL_nodez00_bglt BgL_auxz00_3008;

					{	/* Reduce/copy.scm 151 */
						BgL_nodez00_bglt BgL_arg2011z00_1350;

						BgL_arg2011z00_1350 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1346))->BgL_testz00);
						BgL_auxz00_3008 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2011z00_1350);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1346))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3008), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3012;

					{	/* Reduce/copy.scm 152 */
						BgL_nodez00_bglt BgL_arg2012z00_1351;

						BgL_arg2012z00_1351 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1346))->BgL_truez00);
						BgL_auxz00_3012 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2012z00_1351);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1346))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3012), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3016;

					{	/* Reduce/copy.scm 153 */
						BgL_nodez00_bglt BgL_arg2014z00_1352;

						BgL_arg2014z00_1352 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1346))->
							BgL_falsez00);
						BgL_auxz00_3016 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2014z00_1352);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1346))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3016), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1346);
			}
		}
	}



/* &node-copy!-setq1929 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2setq1929z70zzreduce_copyz00(obj_t
		BgL_envz00_2550, obj_t BgL_nodez00_2551)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 140 */
			{
				BgL_setqz00_bglt BgL_nodez00_1339;

				BgL_nodez00_1339 = ((BgL_setqz00_bglt) BgL_nodez00_2551);
				{
					BgL_nodez00_bglt BgL_auxz00_3022;

					{	/* Reduce/copy.scm 142 */
						BgL_nodez00_bglt BgL_arg2009z00_1343;

						BgL_arg2009z00_1343 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1339))->BgL_valuez00);
						BgL_auxz00_3022 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2009z00_1343);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1339))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3022), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_3026;

					{	/* Reduce/copy.scm 143 */
						BgL_varz00_bglt BgL_arg2010z00_1344;

						BgL_arg2010z00_1344 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1339))->BgL_varz00);
						BgL_auxz00_3026 =
							((BgL_varz00_bglt)
							BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_arg2010z00_1344)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1339))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3026), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1339);
			}
		}
	}



/* &node-copy!-cast1927 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2cast1927z70zzreduce_copyz00(obj_t
		BgL_envz00_2552, obj_t BgL_nodez00_2553)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 132 */
			{
				BgL_castz00_bglt BgL_nodez00_1333;

				BgL_nodez00_1333 = ((BgL_castz00_bglt) BgL_nodez00_2553);
				{
					BgL_nodez00_bglt BgL_auxz00_3034;

					{	/* Reduce/copy.scm 134 */
						BgL_nodez00_bglt BgL_arg2008z00_1337;

						BgL_arg2008z00_1337 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1333))->BgL_argz00);
						BgL_auxz00_3034 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2008z00_1337);
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_1333))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3034), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1333);
			}
		}
	}



/* &node-copy!-extern1925 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2extern1925z70zzreduce_copyz00(obj_t
		BgL_envz00_2554, obj_t BgL_nodez00_2555)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 124 */
			{
				BgL_externz00_bglt BgL_nodez00_1327;

				BgL_nodez00_1327 = ((BgL_externz00_bglt) BgL_nodez00_2555);
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1327))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_1327);
			}
		}
	}



/* &node-copy!-funcall1923 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2funcall1923z70zzreduce_copyz00(obj_t
		BgL_envz00_2556, obj_t BgL_nodez00_2557)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 115 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1320;

				BgL_nodez00_1320 = ((BgL_funcallz00_bglt) BgL_nodez00_2557);
				{
					BgL_nodez00_bglt BgL_auxz00_3044;

					{	/* Reduce/copy.scm 117 */
						BgL_nodez00_bglt BgL_arg2004z00_1324;

						BgL_arg2004z00_1324 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1320))->BgL_funz00);
						BgL_auxz00_3044 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2004z00_1324);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1320))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3044), BUNSPEC);
				}
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1320))->BgL_argsz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1320);
			}
		}
	}



/* &node-copy!-app-ly1921 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2appzd2ly1921za2zzreduce_copyz00(obj_t
		BgL_envz00_2558, obj_t BgL_nodez00_2559)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 106 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1313;

				BgL_nodez00_1313 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2559);
				{
					BgL_nodez00_bglt BgL_auxz00_3052;

					{	/* Reduce/copy.scm 108 */
						BgL_nodez00_bglt BgL_arg2002z00_1317;

						BgL_arg2002z00_1317 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1313))->BgL_funz00);
						BgL_auxz00_3052 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2002z00_1317);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1313))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3052), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3056;

					{	/* Reduce/copy.scm 109 */
						BgL_nodez00_bglt BgL_arg2003z00_1318;

						BgL_arg2003z00_1318 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1313))->BgL_argz00);
						BgL_auxz00_3056 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2003z00_1318);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1313))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3056), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1313);
			}
		}
	}



/* &node-copy!-sync1919 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sync1919z70zzreduce_copyz00(obj_t
		BgL_envz00_2560, obj_t BgL_nodez00_2561)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 96 */
			{
				BgL_syncz00_bglt BgL_nodez00_1305;

				BgL_nodez00_1305 = ((BgL_syncz00_bglt) BgL_nodez00_2561);
				{
					BgL_nodez00_bglt BgL_auxz00_3062;

					{	/* Reduce/copy.scm 98 */
						BgL_nodez00_bglt BgL_arg1998z00_1309;

						BgL_arg1998z00_1309 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1305))->BgL_mutexz00);
						BgL_auxz00_3062 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1998z00_1309);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1305))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3062), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3066;

					{	/* Reduce/copy.scm 99 */
						BgL_nodez00_bglt BgL_arg1999z00_1310;

						BgL_arg1999z00_1310 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1305))->BgL_prelockz00);
						BgL_auxz00_3066 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1999z00_1310);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1305))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3066), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3070;

					{	/* Reduce/copy.scm 100 */
						BgL_nodez00_bglt BgL_arg2000z00_1311;

						BgL_arg2000z00_1311 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1305))->BgL_bodyz00);
						BgL_auxz00_3070 =
							BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg2000z00_1311);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1305))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3070), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1305);
			}
		}
	}



/* &node-copy!-sequence1917 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sequence1917z70zzreduce_copyz00(obj_t
		BgL_envz00_2562, obj_t BgL_nodez00_2563)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 88 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1299;

				BgL_nodez00_1299 = ((BgL_sequencez00_bglt) BgL_nodez00_2563);
				BGl_nodezd2copyza2z12z62zzreduce_copyz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1299))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1299);
			}
		}
	}



/* &node-copy!-closure1915 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2closure1915z70zzreduce_copyz00(obj_t
		BgL_envz00_2564, obj_t BgL_nodez00_2565)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 82 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2565));
		}
	}



/* &node-copy!-var1913 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2var1913z70zzreduce_copyz00(obj_t
		BgL_envz00_2566, obj_t BgL_nodez00_2567)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 72 */
			{
				BgL_varz00_bglt BgL_nodez00_1286;

				BgL_nodez00_1286 = ((BgL_varz00_bglt) BgL_nodez00_2567);
				{	/* Reduce/copy.scm 73 */
					BgL_variablez00_bglt BgL_vz00_1289;

					BgL_vz00_1289 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1286))->BgL_variablez00);
					{	/* Reduce/copy.scm 74 */
						obj_t BgL_falphaz00_1290;

						BgL_falphaz00_1290 =
							(((BgL_variablez00_bglt) CREF(BgL_vz00_1289))->
							BgL_fastzd2alphazd2);
						if ((BgL_falphaz00_1290 == BUNSPEC))
							{	/* Reduce/copy.scm 75 */
								return ((BgL_nodez00_bglt) BgL_nodez00_1286);
							}
						else
							{	/* Reduce/copy.scm 76 */
								obj_t BgL_arg1995z00_1292;
								BgL_nodez00_bglt BgL_arg1996z00_1293;

								BgL_arg1995z00_1292 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1286)))->BgL_locz00);
								BgL_arg1996z00_1293 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_falphaz00_1290));
								return
									BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
									BgL_arg1995z00_1292, BgL_arg1996z00_1293);
							}
					}
				}
			}
		}
	}



/* &node-copy!-kwote1911 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2kwote1911z70zzreduce_copyz00(obj_t
		BgL_envz00_2568, obj_t BgL_nodez00_2569)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 66 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2569));
		}
	}



/* &node-copy!-atom1909 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2atom1909z70zzreduce_copyz00(obj_t
		BgL_envz00_2570, obj_t BgL_nodez00_2571)
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 60 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2571));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00()
	{
		AN_OBJECT;
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2220z00zzreduce_copyz00));
		}
	}

#ifdef __cplusplus
}
#endif
