/*===========================================================================*/
/*   (Reduce/cse.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/cse.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez121865za2zzreduce_csez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2app1908z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2var1872z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_csez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2letzd2var1910za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2cast1886z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2setq1888z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzreduce_csez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_csez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2funcall1882z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2csez12zd2jumpzd2exzd2it1900z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2kwote1870z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_z62nodezd2csez12zd2boxzd2setz121904zb0zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2makezd2box1902za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2csez12zd2select1894z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2appzd2ly1880za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62nodezd2csez12zd2atom1868z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2extern1884z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t, obj_t);
	static obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_csez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2csez12zd2letzd2fun1896za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static long BGl_za2csezd2removedza2zd2zzreduce_csez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2setzd2exzd2it1898z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_csez00();
	static obj_t BGl_z62nodezd2csez12zd2sequence1876z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzreduce_csez00();
	BGL_EXPORTED_DECL obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2boxzd2ref1906za2zzreduce_csez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2sync1878z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2csez12zd2fail1892z70zzreduce_csez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62reducezd2csez12za2zzreduce_csez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2csez12zd2conditiona1890z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2csez12zd2closure1874z70zzreduce_csez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_csez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00();
	extern bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt,
		BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62nodezd2csez12za2zzreduce_csez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2121z00zzreduce_csez00,
		BgL_bgl_string2121za700za7za7r2153za7, "      cse                    ", 29);
	      DEFINE_STRING(BGl_string2122z00zzreduce_csez00,
		BgL_bgl_string2122za700za7za7r2154za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string2124z00zzreduce_csez00,
		BgL_bgl_string2124za700za7za7r2155za7, "node-cse!1865", 13);
	      DEFINE_STRING(BGl_string2125z00zzreduce_csez00,
		BgL_bgl_string2125za700za7za7r2156za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2127z00zzreduce_csez00,
		BgL_bgl_string2127za700za7za7r2157za7, "node-cse!", 9);
	      DEFINE_STRING(BGl_string2149z00zzreduce_csez00,
		BgL_bgl_string2149za700za7za7r2158za7, "reduce_cse", 10);
	      DEFINE_STRING(BGl_string2150z00zzreduce_csez00,
		BgL_bgl_string2150za700za7za7r2159za7, "call read node-cse!1865 ", 24);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2csez12zd2envz12zzreduce_csez00,
		BgL_bgl_za762reduceza7d2cseza72160za7,
		BGl_z62reducezd2csez12za2zzreduce_csez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122161za7,
		BGl_z62nodezd2csez12za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122162za7,
		BGl_z62nodezd2csez121865za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122163za7,
		BGl_z62nodezd2csez12zd2atom1868z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122164za7,
		BGl_z62nodezd2csez12zd2kwote1870z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122165za7,
		BGl_z62nodezd2csez12zd2var1872z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122166za7,
		BGl_z62nodezd2csez12zd2closure1874z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122167za7,
		BGl_z62nodezd2csez12zd2sequence1876z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122168za7,
		BGl_z62nodezd2csez12zd2sync1878z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122169za7,
		BGl_z62nodezd2csez12zd2appzd2ly1880za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122170za7,
		BGl_z62nodezd2csez12zd2funcall1882z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122171za7,
		BGl_z62nodezd2csez12zd2extern1884z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122172za7,
		BGl_z62nodezd2csez12zd2cast1886z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122173za7,
		BGl_z62nodezd2csez12zd2setq1888z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122174za7,
		BGl_z62nodezd2csez12zd2conditiona1890z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122175za7,
		BGl_z62nodezd2csez12zd2fail1892z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122176za7,
		BGl_z62nodezd2csez12zd2select1894z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122177za7,
		BGl_z62nodezd2csez12zd2letzd2fun1896za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122178za7,
		BGl_z62nodezd2csez12zd2setzd2exzd2it1898z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122179za7,
		BGl_z62nodezd2csez12zd2jumpzd2exzd2it1900z70zzreduce_csez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122180za7,
		BGl_z62nodezd2csez12zd2makezd2box1902za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122181za7,
		BGl_z62nodezd2csez12zd2boxzd2setz121904zb0zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122182za7,
		BGl_z62nodezd2csez12zd2boxzd2ref1906za2zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122183za7,
		BGl_z62nodezd2csez12zd2app1908z70zzreduce_csez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzreduce_csez00,
		BgL_bgl_za762nodeza7d2cseza7122184za7,
		BGl_z62nodezd2csez12zd2letzd2var1910za2zzreduce_csez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long
		BgL_checksumz00_2796, char *BgL_fromz00_2797)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_csez00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_csez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_csez00();
					BGl_cnstzd2initzd2zzreduce_csez00();
					BGl_importedzd2moduleszd2initz00zzreduce_csez00();
					BGl_genericzd2initzd2zzreduce_csez00();
					BGl_methodzd2initzd2zzreduce_csez00();
					BGl_toplevelzd2initzd2zzreduce_csez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_csez00()
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_cse");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "reduce_cse");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_csez00()
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 15 */
			{	/* Reduce/cse.scm 15 */
				obj_t BgL_cportz00_2788;

				BgL_cportz00_2788 =
					bgl_open_input_string(BGl_string2150z00zzreduce_csez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2789;

					BgL_iz00_2789 = ((long) 2);
				BgL_loopz00_2790:
					if ((BgL_iz00_2789 == ((long) -1)))
						{	/* Reduce/cse.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/cse.scm 15 */
							{	/* Reduce/cse.scm 15 */
								obj_t BgL_arg2152z00_2792;

								{	/* Reduce/cse.scm 15 */

									{	/* Reduce/cse.scm 15 */
										obj_t BgL_locationz00_2794;

										BgL_locationz00_2794 = BBOOL(((bool_t) 0));
										{	/* Reduce/cse.scm 15 */

											BgL_arg2152z00_2792 =
												BGl_readz00zz__readerz00(BgL_cportz00_2788,
												BgL_locationz00_2794);
										}
									}
								}
								{	/* Reduce/cse.scm 15 */
									int BgL_auxz00_2822;

									BgL_auxz00_2822 = (int) (BgL_iz00_2789);
									CNST_TABLE_SET(BgL_auxz00_2822, BgL_arg2152z00_2792);
							}}
							{	/* Reduce/cse.scm 15 */
								int BgL_auxz00_2795;

								BgL_auxz00_2795 = (int) ((BgL_iz00_2789 - ((long) 1)));
								{
									long BgL_iz00_2827;

									BgL_iz00_2827 = (long) (BgL_auxz00_2795);
									BgL_iz00_2789 = BgL_iz00_2827;
									goto BgL_loopz00_2790;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_csez00()
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 15 */
			BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzreduce_csez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1261;

				BgL_headz00_1261 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1262;
					obj_t BgL_tailz00_1263;

					BgL_prevz00_1262 = BgL_headz00_1261;
					BgL_tailz00_1263 = BgL_l1z00_1;
				BgL_loopz00_1264:
					if (PAIRP(BgL_tailz00_1263))
						{
							obj_t BgL_newzd2prevzd2_1266;

							BgL_newzd2prevzd2_1266 =
								MAKE_PAIR(CAR(BgL_tailz00_1263), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1262, BgL_newzd2prevzd2_1266);
							{
								obj_t BgL_tailz00_2836;
								obj_t BgL_prevz00_2835;

								BgL_prevz00_2835 = BgL_newzd2prevzd2_1266;
								BgL_tailz00_2836 = CDR(BgL_tailz00_1263);
								BgL_tailz00_1263 = BgL_tailz00_2836;
								BgL_prevz00_1262 = BgL_prevz00_2835;
								goto BgL_loopz00_1264;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1261);
				}
			}
		}
	}



/* reduce-cse! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2csez12zc0zzreduce_csez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 34 */
			{	/* Reduce/cse.scm 35 */
				obj_t BgL_list1914z00_1269;

				BgL_list1914z00_1269 =
					MAKE_PAIR(BGl_string2121z00zzreduce_csez00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1914z00_1269);
			}
			BGl_za2csezd2removedza2zd2zzreduce_csez00 = ((long) 0);
			{
				obj_t BgL_l1809z00_1271;

				BgL_l1809z00_1271 = BgL_globalsz00_3;
			BgL_zc3anonymousza31915ze3z83_1272:
				if (PAIRP(BgL_l1809z00_1271))
					{	/* Reduce/cse.scm 37 */
						{	/* Reduce/cse.scm 38 */
							obj_t BgL_globalz00_1274;

							BgL_globalz00_1274 = CAR(BgL_l1809z00_1271);
							{	/* Reduce/cse.scm 38 */
								BgL_valuez00_bglt BgL_funz00_1275;

								BgL_funz00_1275 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1274))))->
									BgL_valuez00);
								{	/* Reduce/cse.scm 38 */
									obj_t BgL_nodez00_1276;

									BgL_nodez00_1276 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1275)))->BgL_bodyz00);
									{	/* Reduce/cse.scm 39 */

										{	/* Reduce/cse.scm 40 */
											obj_t BgL_arg1918z00_1277;

											{	/* Reduce/cse.scm 40 */
												obj_t BgL__z00_1278;

												BgL__z00_1278 =
													BGl_nodezd2csez12zc0zzreduce_csez00(
													((BgL_nodez00_bglt) BgL_nodez00_1276), BNIL);
												{	/* Reduce/cse.scm 41 */
													obj_t BgL_nodez00_1279;

													{	/* Reduce/cse.scm 41 */
														int BgL_auxz00_2852;

														BgL_auxz00_2852 = (int) (((long) 1));
														BgL_nodez00_1279 = BGL_MVALUES_VAL(BgL_auxz00_2852);
													}
													BgL_arg1918z00_1277 = BgL_nodez00_1279;
											}}
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1275)))->
													BgL_bodyz00) =
												((obj_t) BgL_arg1918z00_1277), BUNSPEC);
										} BUNSPEC;
						}}}}
						{
							obj_t BgL_l1809z00_2857;

							BgL_l1809z00_2857 = CDR(BgL_l1809z00_1271);
							BgL_l1809z00_1271 = BgL_l1809z00_2857;
							goto BgL_zc3anonymousza31915ze3z83_1272;
						}
					}
				else
					{	/* Reduce/cse.scm 37 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/cse.scm 45 */
				obj_t BgL_list1920z00_1282;

				{	/* Reduce/cse.scm 45 */
					obj_t BgL_arg1921z00_1283;

					{	/* Reduce/cse.scm 45 */
						obj_t BgL_arg1922z00_1284;

						{	/* Reduce/cse.scm 45 */
							obj_t BgL_arg1923z00_1285;

							BgL_arg1923z00_1285 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1922z00_1284 =
								MAKE_PAIR(BCHAR(((unsigned char) ')')), BgL_arg1923z00_1285);
						}
						BgL_arg1921z00_1283 =
							MAKE_PAIR(BINT(BGl_za2csezd2removedza2zd2zzreduce_csez00),
							BgL_arg1922z00_1284);
					}
					BgL_list1920z00_1282 =
						MAKE_PAIR(BGl_string2122z00zzreduce_csez00, BgL_arg1921z00_1283);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1920z00_1282);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-cse! */
	obj_t BGl_z62reducezd2csez12za2zzreduce_csez00(obj_t BgL_envz00_2690,
		obj_t BgL_globalsz00_2691)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 34 */
			return BGl_reducezd2csez12zc0zzreduce_csez00(BgL_globalsz00_2691);
		}
	}



/* node-cse*! */
	obj_t BGl_nodezd2cseza2z12z62zzreduce_csez00(obj_t BgL_nodeza2za2_50,
		obj_t BgL_stackz00_51)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 360 */
			{
				obj_t BgL_nodeza2za2_1287;
				bool_t BgL_resetz00_1288;
				obj_t BgL_stackz00_1289;

				BgL_nodeza2za2_1287 = BgL_nodeza2za2_50;
				BgL_resetz00_1288 = ((bool_t) 0);
				BgL_stackz00_1289 = BgL_stackz00_51;
			BgL_zc3anonymousza31924ze3z83_1290:
				if (NULLP(BgL_nodeza2za2_1287))
					{	/* Reduce/cse.scm 365 */
						return BBOOL(BgL_resetz00_1288);
					}
				else
					{	/* Reduce/cse.scm 365 */
						if (NULLP(CDR(BgL_nodeza2za2_1287)))
							{	/* Reduce/cse.scm 368 */
								obj_t BgL_resetz72z72_1293;

								{	/* Reduce/cse.scm 369 */
									obj_t BgL_arg1927z00_1296;

									BgL_arg1927z00_1296 = CAR(BgL_nodeza2za2_1287);
									BgL_resetz72z72_1293 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										((BgL_nodez00_bglt) BgL_arg1927z00_1296),
										BgL_stackz00_1289);
								}
								{	/* Reduce/cse.scm 369 */
									obj_t BgL_nodez00_1294;

									{	/* Reduce/cse.scm 370 */
										int BgL_auxz00_2878;

										BgL_auxz00_2878 = (int) (((long) 1));
										BgL_nodez00_1294 = BGL_MVALUES_VAL(BgL_auxz00_2878);
									}
									SET_CAR(BgL_nodeza2za2_1287, BgL_nodez00_1294);
									if (BgL_resetz00_1288)
										{	/* Reduce/cse.scm 371 */
											return BBOOL(BgL_resetz00_1288);
										}
									else
										{	/* Reduce/cse.scm 371 */
											return BgL_resetz72z72_1293;
										}
								}
							}
						else
							{	/* Reduce/cse.scm 373 */
								obj_t BgL_resetz72z72_1297;

								{	/* Reduce/cse.scm 374 */
									obj_t BgL_arg1931z00_1302;

									BgL_arg1931z00_1302 = CAR(BgL_nodeza2za2_1287);
									BgL_resetz72z72_1297 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										((BgL_nodez00_bglt) BgL_arg1931z00_1302),
										BgL_stackz00_1289);
								}
								{	/* Reduce/cse.scm 374 */
									obj_t BgL_nodez00_1298;

									{	/* Reduce/cse.scm 375 */
										int BgL_auxz00_2887;

										BgL_auxz00_2887 = (int) (((long) 1));
										BgL_nodez00_1298 = BGL_MVALUES_VAL(BgL_auxz00_2887);
									}
									SET_CAR(BgL_nodeza2za2_1287, BgL_nodez00_1298);
									{	/* Reduce/cse.scm 376 */
										bool_t BgL_testz00_2891;

										if (BgL_resetz00_1288)
											{	/* Reduce/cse.scm 376 */
												BgL_testz00_2891 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cse.scm 376 */
												BgL_testz00_2891 = CBOOL(BgL_resetz72z72_1297);
											}
										if (BgL_testz00_2891)
											{
												obj_t BgL_stackz00_2897;
												bool_t BgL_resetz00_2896;
												obj_t BgL_nodeza2za2_2894;

												BgL_nodeza2za2_2894 = CDR(BgL_nodeza2za2_1287);
												BgL_resetz00_2896 = ((bool_t) 1);
												BgL_stackz00_2897 = BNIL;
												BgL_stackz00_1289 = BgL_stackz00_2897;
												BgL_resetz00_1288 = BgL_resetz00_2896;
												BgL_nodeza2za2_1287 = BgL_nodeza2za2_2894;
												goto BgL_zc3anonymousza31924ze3z83_1290;
											}
										else
											{
												bool_t BgL_resetz00_2900;
												obj_t BgL_nodeza2za2_2898;

												BgL_nodeza2za2_2898 = CDR(BgL_nodeza2za2_1287);
												BgL_resetz00_2900 = ((bool_t) 0);
												BgL_resetz00_1288 = BgL_resetz00_2900;
												BgL_nodeza2za2_1287 = BgL_nodeza2za2_2898;
												goto BgL_zc3anonymousza31924ze3z83_1290;
											}
									}
								}
							}
					}
			}
		}
	}



/* find-stack */
	obj_t BGl_findzd2stackzd2zzreduce_csez00(BgL_nodez00_bglt BgL_nodez00_62,
		obj_t BgL_stackz00_63)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 392 */
			{
				obj_t BgL_stackz00_1313;

				BgL_stackz00_1313 = BgL_stackz00_63;
			BgL_zc3anonymousza31939ze3z83_1314:
				if (NULLP(BgL_stackz00_1313))
					{	/* Reduce/cse.scm 396 */
						return BFALSE;
					}
				else
					{	/* Reduce/cse.scm 398 */
						bool_t BgL_testz00_2903;

						{	/* Reduce/cse.scm 398 */
							obj_t BgL_arg1944z00_1319;

							BgL_arg1944z00_1319 =
								STRUCT_REF(CAR(BgL_stackz00_1313), (int) (((long) 0)));
							BgL_testz00_2903 =
								BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_62,
								((BgL_nodez00_bglt) BgL_arg1944z00_1319), BNIL);
						}
						if (BgL_testz00_2903)
							{	/* Reduce/cse.scm 398 */
								return STRUCT_REF(CAR(BgL_stackz00_1313), (int) (((long) 1)));
							}
						else
							{
								obj_t BgL_stackz00_2912;

								BgL_stackz00_2912 = CDR(BgL_stackz00_1313);
								BgL_stackz00_1313 = BgL_stackz00_2912;
								goto BgL_zc3anonymousza31939ze3z83_1314;
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_csez00()
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_csez00()
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_proc2123z00zzreduce_csez00, BGl_nodez00zzast_nodez00,
				BGl_string2124z00zzreduce_csez00);
		}
	}



/* &node-cse!1865 */
	obj_t BGl_z62nodezd2csez121865za2zzreduce_csez00(obj_t BgL_envz00_2693,
		obj_t BgL_nodez00_2694, obj_t BgL_stackz00_2695)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 58 */
			{
				BgL_nodez00_bglt BgL_nodez00_1323;
				obj_t BgL_stackz00_1324;

				BgL_nodez00_1323 = ((BgL_nodez00_bglt) BgL_nodez00_2694);
				BgL_stackz00_1324 = BgL_stackz00_2695;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string2125z00zzreduce_csez00, ((obj_t) BgL_nodez00_1323));
		}}
	}



/* node-cse! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 58 */
			{	/* Reduce/cse.scm 58 */
				obj_t BgL_method1866z00_1327;

				{	/* Reduce/cse.scm 58 */
					obj_t BgL_res2081z00_2476;

					{	/* Reduce/cse.scm 58 */
						long BgL_objzd2classzd2numz00_2449;

						{	/* Reduce/cse.scm 58 */
							long BgL_res2075z00_2452;

							BgL_res2075z00_2452 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
							BgL_objzd2classzd2numz00_2449 = BgL_res2075z00_2452;
						}
						{	/* Reduce/cse.scm 58 */
							obj_t BgL_arg1769z00_2450;

							BgL_arg1769z00_2450 =
								PROCEDURE_REF(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
								(int) (((long) 1)));
							{	/* Reduce/cse.scm 58 */
								int BgL_offsetz00_2454;

								BgL_offsetz00_2454 = (int) (BgL_objzd2classzd2numz00_2449);
								{	/* Reduce/cse.scm 58 */
									long BgL_offsetz00_2455;

									BgL_offsetz00_2455 =
										((long) (BgL_offsetz00_2454) - OBJECT_TYPE);
									{	/* Reduce/cse.scm 58 */
										long BgL_modz00_2456;

										{	/* Reduce/cse.scm 58 */
											int BgL_arg1771z00_2457;

											BgL_arg1771z00_2457 = (int) (((long) 16));
											{	/* Reduce/cse.scm 58 */
												long BgL_res2078z00_2467;

												{	/* Reduce/cse.scm 58 */
													long BgL_auxz00_2927;

													BgL_auxz00_2927 = (long) (BgL_arg1771z00_2457);
													BgL_res2078z00_2467 =
														(BgL_offsetz00_2455 / BgL_auxz00_2927);
												}
												BgL_modz00_2456 = BgL_res2078z00_2467;
										}}
										{	/* Reduce/cse.scm 58 */
											long BgL_restz00_2458;

											{	/* Reduce/cse.scm 58 */
												int BgL_arg1770z00_2459;

												BgL_arg1770z00_2459 = (int) (((long) 16));
												{	/* Reduce/cse.scm 58 */
													long BgL_res2080z00_2471;

													{	/* Reduce/cse.scm 58 */
														long BgL_auxz00_2931;

														BgL_auxz00_2931 = (long) (BgL_arg1770z00_2459);
														BgL_res2080z00_2471 =
															(BgL_offsetz00_2455 % BgL_auxz00_2931);
													}
													BgL_restz00_2458 = BgL_res2080z00_2471;
											}}
											{	/* Reduce/cse.scm 58 */

												BgL_res2081z00_2476 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2450,
														(int) (BgL_modz00_2456)), (int) (BgL_restz00_2458));
					}}}}}}}
					BgL_method1866z00_1327 = BgL_res2081z00_2476;
				}
				return
					PROCEDURE_ENTRY(BgL_method1866z00_1327) (BgL_method1866z00_1327,
					((obj_t) BgL_nodez00_4), BgL_stackz00_5, BEOA);
			}
		}
	}



/* &node-cse! */
	obj_t BGl_z62nodezd2csez12za2zzreduce_csez00(obj_t BgL_envz00_2696,
		obj_t BgL_nodez00_2697, obj_t BgL_stackz00_2698)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 58 */
			return
				BGl_nodezd2csez12zc0zzreduce_csez00(
				((BgL_nodez00_bglt) BgL_nodez00_2697), BgL_stackz00_2698);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_csez00()
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_atomz00zzast_nodez00,
				BGl_proc2126z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2128z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_varz00zzast_nodez00,
				BGl_proc2129z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_closurez00zzast_nodez00,
				BGl_proc2130z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2131z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_syncz00zzast_nodez00,
				BGl_proc2132z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2133z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2134z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_externz00zzast_nodez00,
				BGl_proc2135z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_castz00zzast_nodez00,
				BGl_proc2136z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_setqz00zzast_nodez00,
				BGl_proc2137z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2138z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_failz00zzast_nodez00,
				BGl_proc2139z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_selectz00zzast_nodez00,
				BGl_proc2140z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2141z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2142z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2143z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2144z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2145z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2146z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00, BGl_appz00zzast_nodez00,
				BGl_proc2147z00zzreduce_csez00, BGl_string2127z00zzreduce_csez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2csez12zd2envz12zzreduce_csez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2148z00zzreduce_csez00,
				BGl_string2127z00zzreduce_csez00);
		}
	}



/* &node-cse!-let-var1910 */
	obj_t BGl_z62nodezd2csez12zd2letzd2var1910za2zzreduce_csez00(obj_t
		BgL_envz00_2721, obj_t BgL_nodez00_2722, obj_t BgL_stackz00_2723)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 305 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1609;
				obj_t BgL_stackz00_1610;

				BgL_nodez00_1609 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2722);
				BgL_stackz00_1610 = BgL_stackz00_2723;
				{
					obj_t BgL_bindingsz00_1617;
					bool_t BgL_resetz00_1618;
					obj_t BgL_extendz00_1619;

					BgL_bindingsz00_1617 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1609))->BgL_bindingsz00);
					BgL_resetz00_1618 = ((bool_t) 0);
					BgL_extendz00_1619 = BNIL;
				BgL_zc3anonymousza31993ze3z83_1620:
					if (NULLP(BgL_bindingsz00_1617))
						{	/* Reduce/cse.scm 311 */
							obj_t BgL_stackz72z72_1622;

							if (BgL_resetz00_1618)
								{	/* Reduce/cse.scm 311 */
									BgL_stackz72z72_1622 = BNIL;
								}
							else
								{	/* Reduce/cse.scm 311 */
									BgL_stackz72z72_1622 =
										BGl_appendzd221011zd2zzreduce_csez00(BgL_extendz00_1619,
										BgL_stackz00_1610);
								}
							{	/* Reduce/cse.scm 312 */
								obj_t BgL_resetz72z72_1623;

								BgL_resetz72z72_1623 =
									BGl_nodezd2csez12zc0zzreduce_csez00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1609))->
										BgL_bodyz00), BgL_stackz72z72_1622);
								{	/* Reduce/cse.scm 313 */
									obj_t BgL_nbodyz00_1624;

									{	/* Reduce/cse.scm 314 */
										int BgL_auxz00_2974;

										BgL_auxz00_2974 = (int) (((long) 1));
										BgL_nbodyz00_1624 = BGL_MVALUES_VAL(BgL_auxz00_2974);
									}
									((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1609))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1624)),
										BUNSPEC);
									{	/* Reduce/cse.scm 316 */
										bool_t BgL_testz00_2979;

										if (BgL_resetz00_1618)
											{	/* Reduce/cse.scm 316 */
												BgL_testz00_2979 = ((bool_t) 1);
											}
										else
											{	/* Reduce/cse.scm 316 */
												BgL_testz00_2979 = CBOOL(BgL_resetz72z72_1623);
											}
										if (BgL_testz00_2979)
											{	/* Reduce/cse.scm 316 */
												{	/* Reduce/cse.scm 317 */
													int BgL_res2112z00_2632;

													{	/* Reduce/cse.scm 317 */
														int BgL_auxz00_2982;

														BgL_auxz00_2982 = (int) (((long) 2));
														BgL_res2112z00_2632 =
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_2982);
													} BgL_res2112z00_2632;
												}
												{	/* Reduce/cse.scm 317 */
													obj_t BgL_auxz00_2987;
													int BgL_auxz00_2985;

													BgL_auxz00_2987 = ((obj_t) BgL_nodez00_1609);
													BgL_auxz00_2985 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_auxz00_2985, BgL_auxz00_2987);
												}
												return BTRUE;
											}
										else
											{	/* Reduce/cse.scm 316 */
												if (BGl_sidezd2effectzf3z21zzeffect_effectz00(
														((BgL_nodez00_bglt) BgL_nodez00_1609)))
													{	/* Reduce/cse.scm 318 */
														{	/* Reduce/cse.scm 319 */
															int BgL_res2113z00_2636;

															{	/* Reduce/cse.scm 319 */
																int BgL_auxz00_2993;

																BgL_auxz00_2993 = (int) (((long) 2));
																BgL_res2113z00_2636 =
																	BGL_MVALUES_NUMBER_SET(BgL_auxz00_2993);
															} BgL_res2113z00_2636;
														}
														{	/* Reduce/cse.scm 319 */
															obj_t BgL_auxz00_2998;
															int BgL_auxz00_2996;

															BgL_auxz00_2998 = ((obj_t) BgL_nodez00_1609);
															BgL_auxz00_2996 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_2996,
																BgL_auxz00_2998);
														}
														return BFALSE;
													}
												else
													{	/* Reduce/cse.scm 321 */
														obj_t BgL_previousz00_1631;

														BgL_previousz00_1631 =
															BGl_findzd2stackzd2zzreduce_csez00(
															((BgL_nodez00_bglt) BgL_nodez00_1609),
															BgL_stackz00_1610);
														if (BGl_isazf3zf3zz__objectz00(BgL_previousz00_1631,
																BGl_variablez00zzast_varz00))
															{	/* Reduce/cse.scm 323 */
																BGl_za2csezd2removedza2zd2zzreduce_csez00 =
																	(((long) 1) +
																	BGl_za2csezd2removedza2zd2zzreduce_csez00);
																{	/* Reduce/cse.scm 327 */
																	BgL_varz00_bglt BgL_val1_1862z00_1634;

																	{	/* Reduce/cse.scm 327 */
																		BgL_varz00_bglt BgL_new1133z00_1635;

																		{	/* Reduce/cse.scm 330 */
																			BgL_varz00_bglt BgL_new1132z00_1636;

																			BgL_new1132z00_1636 =
																				((BgL_varz00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_varz00_bgl))));
																			{	/* Reduce/cse.scm 330 */
																				long BgL_arg1998z00_1637;

																				{	/* Reduce/cse.scm 330 */
																					long BgL_res2116z00_2645;

																					BgL_res2116z00_2645 =
																						BGL_CLASS_INDEX
																						(BGl_varz00zzast_nodez00);
																					BgL_arg1998z00_1637 =
																						BgL_res2116z00_2645;
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1132z00_1636),
																					BgL_arg1998z00_1637);
																			}
																			{	/* Reduce/cse.scm 330 */
																				BgL_objectz00_bglt BgL_auxz00_3010;

																				BgL_auxz00_3010 =
																					((BgL_objectz00_bglt)
																					BgL_new1132z00_1636);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_3010,
																					BFALSE);
																			}
																			BgL_new1133z00_1635 = BgL_new1132z00_1636;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1133z00_1635)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1609)))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					CREF(((BgL_nodez00_bglt)
																							BgL_new1133z00_1635)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1609)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_varz00_bglt)
																					CREF(BgL_new1133z00_1635))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_previousz00_1631)), BUNSPEC);
																		BgL_val1_1862z00_1634 = BgL_new1133z00_1635;
																	}
																	{	/* Reduce/cse.scm 327 */
																		int BgL_res2117z00_2649;

																		{	/* Reduce/cse.scm 327 */
																			int BgL_auxz00_3023;

																			BgL_auxz00_3023 = (int) (((long) 2));
																			BgL_res2117z00_2649 =
																				BGL_MVALUES_NUMBER_SET(BgL_auxz00_3023);
																		} BgL_res2117z00_2649;
																	}
																	{	/* Reduce/cse.scm 327 */
																		obj_t BgL_auxz00_3028;
																		int BgL_auxz00_3026;

																		BgL_auxz00_3028 =
																			((obj_t) BgL_val1_1862z00_1634);
																		BgL_auxz00_3026 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_auxz00_3026,
																			BgL_auxz00_3028);
																	}
																	return BgL_stackz72z72_1622;
																}
															}
														else
															{	/* Reduce/cse.scm 323 */
																{	/* Reduce/cse.scm 332 */
																	int BgL_res2118z00_2653;

																	{	/* Reduce/cse.scm 332 */
																		int BgL_auxz00_3031;

																		BgL_auxz00_3031 = (int) (((long) 2));
																		BgL_res2118z00_2653 =
																			BGL_MVALUES_NUMBER_SET(BgL_auxz00_3031);
																	} BgL_res2118z00_2653;
																}
																{	/* Reduce/cse.scm 332 */
																	obj_t BgL_auxz00_3036;
																	int BgL_auxz00_3034;

																	BgL_auxz00_3036 = ((obj_t) BgL_nodez00_1609);
																	BgL_auxz00_3034 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_auxz00_3034,
																		BgL_auxz00_3036);
																}
																return BFALSE;
															}
													}
											}
									}
								}
							}
						}
					else
						{	/* Reduce/cse.scm 333 */
							obj_t BgL_bindingz00_1641;

							BgL_bindingz00_1641 = CAR(BgL_bindingsz00_1617);
							{	/* Reduce/cse.scm 334 */
								obj_t BgL_varz00_1642;
								obj_t BgL_valz00_1643;

								BgL_varz00_1642 = CAR(BgL_bindingz00_1641);
								BgL_valz00_1643 = CDR(BgL_bindingz00_1641);
								{	/* Reduce/cse.scm 336 */
									obj_t BgL_resetz72z72_1644;

									BgL_resetz72z72_1644 =
										BGl_nodezd2csez12zc0zzreduce_csez00(
										((BgL_nodez00_bglt) BgL_valz00_1643), BgL_stackz00_1610);
									{	/* Reduce/cse.scm 337 */
										obj_t BgL_nvalz00_1645;

										{	/* Reduce/cse.scm 338 */
											int BgL_auxz00_3044;

											BgL_auxz00_3044 = (int) (((long) 1));
											BgL_nvalz00_1645 = BGL_MVALUES_VAL(BgL_auxz00_3044);
										}
										SET_CDR(BgL_bindingz00_1641, BgL_nvalz00_1645);
										{	/* Reduce/cse.scm 340 */
											bool_t BgL_testz00_3048;

											if (BgL_resetz00_1618)
												{	/* Reduce/cse.scm 340 */
													BgL_testz00_3048 = ((bool_t) 1);
												}
											else
												{	/* Reduce/cse.scm 340 */
													BgL_testz00_3048 = CBOOL(BgL_resetz72z72_1644);
												}
											if (BgL_testz00_3048)
												{
													obj_t BgL_extendz00_3054;
													bool_t BgL_resetz00_3053;
													obj_t BgL_bindingsz00_3051;

													BgL_bindingsz00_3051 = CDR(BgL_bindingsz00_1617);
													BgL_resetz00_3053 = ((bool_t) 1);
													BgL_extendz00_3054 = BNIL;
													BgL_extendz00_1619 = BgL_extendz00_3054;
													BgL_resetz00_1618 = BgL_resetz00_3053;
													BgL_bindingsz00_1617 = BgL_bindingsz00_3051;
													goto BgL_zc3anonymousza31993ze3z83_1620;
												}
											else
												{	/* Reduce/cse.scm 340 */
													if (
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_1642))))->
																BgL_accessz00) == CNST_TABLE_REF(((long) 1))))
														{	/* Reduce/cse.scm 348 */
															bool_t BgL_testz00_3061;

															if (BGl_isazf3zf3zz__objectz00(BgL_valz00_1643,
																	BGl_appz00zzast_nodez00))
																{	/* Reduce/cse.scm 348 */
																	BgL_testz00_3061 = ((bool_t) 1);
																}
															else
																{	/* Reduce/cse.scm 348 */
																	BgL_testz00_3061 =
																		BGl_isazf3zf3zz__objectz00(BgL_valz00_1643,
																		BGl_letzd2varzd2zzast_nodez00);
																}
															if (BgL_testz00_3061)
																{	/* Reduce/cse.scm 349 */
																	obj_t BgL_arg2006z00_1650;
																	obj_t BgL_arg2007z00_1651;

																	BgL_arg2006z00_1650 =
																		CDR(BgL_bindingsz00_1617);
																	{	/* Reduce/cse.scm 351 */
																		obj_t BgL_arg2008z00_1652;

																		{	/* Reduce/cse.scm 383 */
																			obj_t BgL_newz00_2672;

																			BgL_newz00_2672 =
																				create_struct(CNST_TABLE_REF(((long)
																						2)), (int) (((long) 2)));
																			{	/* Reduce/cse.scm 383 */
																				int BgL_auxz00_3069;

																				BgL_auxz00_3069 = (int) (((long) 1));
																				STRUCT_SET(BgL_newz00_2672,
																					BgL_auxz00_3069, BgL_varz00_1642);
																			}
																			{	/* Reduce/cse.scm 383 */
																				int BgL_auxz00_3072;

																				BgL_auxz00_3072 = (int) (((long) 0));
																				STRUCT_SET(BgL_newz00_2672,
																					BgL_auxz00_3072, BgL_valz00_1643);
																			}
																			BgL_arg2008z00_1652 = BgL_newz00_2672;
																		}
																		BgL_arg2007z00_1651 =
																			MAKE_PAIR(BgL_arg2008z00_1652,
																			BgL_extendz00_1619);
																	}
																	{
																		obj_t BgL_extendz00_3078;
																		bool_t BgL_resetz00_3077;
																		obj_t BgL_bindingsz00_3076;

																		BgL_bindingsz00_3076 = BgL_arg2006z00_1650;
																		BgL_resetz00_3077 = ((bool_t) 0);
																		BgL_extendz00_3078 = BgL_arg2007z00_1651;
																		BgL_extendz00_1619 = BgL_extendz00_3078;
																		BgL_resetz00_1618 = BgL_resetz00_3077;
																		BgL_bindingsz00_1617 = BgL_bindingsz00_3076;
																		goto BgL_zc3anonymousza31993ze3z83_1620;
																	}
																}
															else
																{
																	bool_t BgL_resetz00_3081;
																	obj_t BgL_bindingsz00_3079;

																	BgL_bindingsz00_3079 =
																		CDR(BgL_bindingsz00_1617);
																	BgL_resetz00_3081 = ((bool_t) 0);
																	BgL_resetz00_1618 = BgL_resetz00_3081;
																	BgL_bindingsz00_1617 = BgL_bindingsz00_3079;
																	goto BgL_zc3anonymousza31993ze3z83_1620;
																}
														}
													else
														{
															bool_t BgL_resetz00_3084;
															obj_t BgL_bindingsz00_3082;

															BgL_bindingsz00_3082 = CDR(BgL_bindingsz00_1617);
															BgL_resetz00_3084 = ((bool_t) 0);
															BgL_resetz00_1618 = BgL_resetz00_3084;
															BgL_bindingsz00_1617 = BgL_bindingsz00_3082;
															goto BgL_zc3anonymousza31993ze3z83_1620;
														}
												}
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* &node-cse!-app1908 */
	obj_t BGl_z62nodezd2csez12zd2app1908z70zzreduce_csez00(obj_t BgL_envz00_2724,
		obj_t BgL_nodez00_2725, obj_t BgL_stackz00_2726)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 279 */
			{
				BgL_appz00_bglt BgL_nodez00_1589;
				obj_t BgL_stackz00_1590;

				BgL_nodez00_1589 = ((BgL_appz00_bglt) BgL_nodez00_2725);
				BgL_stackz00_1590 = BgL_stackz00_2726;
				{	/* Reduce/cse.scm 281 */
					obj_t BgL_resetz00_1594;

					BgL_resetz00_1594 =
						BGl_nodezd2cseza2z12z62zzreduce_csez00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1589))->BgL_argsz00),
						BgL_stackz00_1590);
					{	/* Reduce/cse.scm 282 */
						bool_t BgL_testz00_3089;

						if (CBOOL(BgL_resetz00_1594))
							{	/* Reduce/cse.scm 282 */
								BgL_testz00_3089 = ((bool_t) 1);
							}
						else
							{	/* Reduce/cse.scm 282 */
								BgL_testz00_3089 =
									BGl_sidezd2effectzf3z21zzeffect_effectz00(
									((BgL_nodez00_bglt) BgL_nodez00_1589));
							}
						if (BgL_testz00_3089)
							{	/* Reduce/cse.scm 282 */
								{	/* Reduce/cse.scm 286 */
									int BgL_res2105z00_2608;

									{	/* Reduce/cse.scm 286 */
										int BgL_auxz00_3094;

										BgL_auxz00_3094 = (int) (((long) 2));
										BgL_res2105z00_2608 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_3094);
									} BgL_res2105z00_2608;
								}
								{	/* Reduce/cse.scm 286 */
									obj_t BgL_auxz00_3099;
									int BgL_auxz00_3097;

									BgL_auxz00_3099 = ((obj_t) BgL_nodez00_1589);
									BgL_auxz00_3097 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_3097, BgL_auxz00_3099);
								}
								return BTRUE;
							}
						else
							{	/* Reduce/cse.scm 287 */
								obj_t BgL_previousz00_1598;

								BgL_previousz00_1598 =
									BGl_findzd2stackzd2zzreduce_csez00(
									((BgL_nodez00_bglt) BgL_nodez00_1589), BgL_stackz00_1590);
								if (BGl_isazf3zf3zz__objectz00(BgL_previousz00_1598,
										BGl_variablez00zzast_varz00))
									{	/* Reduce/cse.scm 289 */
										BGl_za2csezd2removedza2zd2zzreduce_csez00 =
											(((long) 1) + BGl_za2csezd2removedza2zd2zzreduce_csez00);
										{	/* Reduce/cse.scm 292 */
											BgL_varz00_bglt BgL_val1_1854z00_1601;

											{	/* Reduce/cse.scm 292 */
												BgL_varz00_bglt BgL_new1129z00_1602;

												{	/* Reduce/cse.scm 295 */
													BgL_varz00_bglt BgL_new1128z00_1603;

													BgL_new1128z00_1603 =
														((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_varz00_bgl))));
													{	/* Reduce/cse.scm 295 */
														long BgL_arg1990z00_1604;

														{	/* Reduce/cse.scm 295 */
															long BgL_res2108z00_2617;

															BgL_res2108z00_2617 =
																BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
															BgL_arg1990z00_1604 = BgL_res2108z00_2617;
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1128z00_1603),
															BgL_arg1990z00_1604);
													}
													{	/* Reduce/cse.scm 295 */
														BgL_objectz00_bglt BgL_auxz00_3111;

														BgL_auxz00_3111 =
															((BgL_objectz00_bglt) BgL_new1128z00_1603);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_3111, BFALSE);
													}
													BgL_new1129z00_1602 = BgL_new1128z00_1603;
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1129z00_1602)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_nodez00_1589)))->BgL_locz00)), BUNSPEC);
												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																	BgL_new1129z00_1602)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																CREF(((BgL_nodez00_bglt) BgL_nodez00_1589)))->
															BgL_typez00)), BUNSPEC);
												((((BgL_varz00_bglt) CREF(BgL_new1129z00_1602))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_previousz00_1598)), BUNSPEC);
												BgL_val1_1854z00_1601 = BgL_new1129z00_1602;
											}
											{	/* Reduce/cse.scm 292 */
												int BgL_res2109z00_2621;

												{	/* Reduce/cse.scm 292 */
													int BgL_auxz00_3124;

													BgL_auxz00_3124 = (int) (((long) 2));
													BgL_res2109z00_2621 =
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_3124);
												} BgL_res2109z00_2621;
											}
											{	/* Reduce/cse.scm 292 */
												obj_t BgL_auxz00_3129;
												int BgL_auxz00_3127;

												BgL_auxz00_3129 = ((obj_t) BgL_val1_1854z00_1601);
												BgL_auxz00_3127 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_3127, BgL_auxz00_3129);
											}
											return BgL_stackz00_1590;
										}
									}
								else
									{	/* Reduce/cse.scm 289 */
										{	/* Reduce/cse.scm 297 */
											int BgL_res2110z00_2625;

											{	/* Reduce/cse.scm 297 */
												int BgL_auxz00_3132;

												BgL_auxz00_3132 = (int) (((long) 2));
												BgL_res2110z00_2625 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_3132);
											} BgL_res2110z00_2625;
										}
										{	/* Reduce/cse.scm 297 */
											obj_t BgL_auxz00_3137;
											int BgL_auxz00_3135;

											BgL_auxz00_3137 = ((obj_t) BgL_nodez00_1589);
											BgL_auxz00_3135 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_3135, BgL_auxz00_3137);
										}
										return BFALSE;
									}
							}
					}
				}
			}
		}
	}



/* &node-cse!-box-ref1906 */
	obj_t BGl_z62nodezd2csez12zd2boxzd2ref1906za2zzreduce_csez00(obj_t
		BgL_envz00_2727, obj_t BgL_nodez00_2728, obj_t BgL_stackz00_2729)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 273 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1582;
				obj_t BgL_stackz00_1583;

				BgL_nodez00_1582 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2728);
				BgL_stackz00_1583 = BgL_stackz00_2729;
				{	/* Reduce/cse.scm 274 */
					int BgL_res2104z00_2604;

					{	/* Reduce/cse.scm 274 */
						int BgL_auxz00_3141;

						BgL_auxz00_3141 = (int) (((long) 2));
						BgL_res2104z00_2604 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3141);
					} BgL_res2104z00_2604;
				}
				{	/* Reduce/cse.scm 274 */
					obj_t BgL_auxz00_3146;
					int BgL_auxz00_3144;

					BgL_auxz00_3146 = ((obj_t) BgL_nodez00_1582);
					BgL_auxz00_3144 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_auxz00_3144, BgL_auxz00_3146);
				}
				return BFALSE;
			}
		}
	}



/* &node-cse!-box-set!1904 */
	obj_t BGl_z62nodezd2csez12zd2boxzd2setz121904zb0zzreduce_csez00(obj_t
		BgL_envz00_2730, obj_t BgL_nodez00_2731, obj_t BgL_stackz00_2732)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 263 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1571;
				obj_t BgL_stackz00_1572;

				BgL_nodez00_1571 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2731);
				BgL_stackz00_1572 = BgL_stackz00_2732;
				{	/* Reduce/cse.scm 265 */
					obj_t BgL_resetz00_1576;

					BgL_resetz00_1576 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1571))->BgL_valuez00),
						BgL_stackz00_1572);
					{	/* Reduce/cse.scm 266 */
						obj_t BgL_nvaluez00_1577;

						{	/* Reduce/cse.scm 267 */
							int BgL_auxz00_3152;

							BgL_auxz00_3152 = (int) (((long) 1));
							BgL_nvaluez00_1577 = BGL_MVALUES_VAL(BgL_auxz00_3152);
						}
						((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1571))->
								BgL_valuez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_1577)),
							BUNSPEC);
						{	/* Reduce/cse.scm 268 */
							int BgL_res2103z00_2598;

							{	/* Reduce/cse.scm 268 */
								int BgL_auxz00_3157;

								BgL_auxz00_3157 = (int) (((long) 2));
								BgL_res2103z00_2598 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3157);
							} BgL_res2103z00_2598;
						}
						{	/* Reduce/cse.scm 268 */
							obj_t BgL_auxz00_3162;
							int BgL_auxz00_3160;

							BgL_auxz00_3162 = ((obj_t) BgL_nodez00_1571);
							BgL_auxz00_3160 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3160, BgL_auxz00_3162);
						}
						return BgL_resetz00_1576;
					}
				}
			}
		}
	}



/* &node-cse!-make-box1902 */
	obj_t BGl_z62nodezd2csez12zd2makezd2box1902za2zzreduce_csez00(obj_t
		BgL_envz00_2733, obj_t BgL_nodez00_2734, obj_t BgL_stackz00_2735)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 253 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1560;
				obj_t BgL_stackz00_1561;

				BgL_nodez00_1560 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2734);
				BgL_stackz00_1561 = BgL_stackz00_2735;
				{	/* Reduce/cse.scm 255 */
					obj_t BgL_resetz00_1565;

					BgL_resetz00_1565 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1560))->BgL_valuez00),
						BgL_stackz00_1561);
					{	/* Reduce/cse.scm 256 */
						obj_t BgL_nvaluez00_1566;

						{	/* Reduce/cse.scm 257 */
							int BgL_auxz00_3168;

							BgL_auxz00_3168 = (int) (((long) 1));
							BgL_nvaluez00_1566 = BGL_MVALUES_VAL(BgL_auxz00_3168);
						}
						((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1560))->BgL_valuez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_1566)),
							BUNSPEC);
						{	/* Reduce/cse.scm 258 */
							int BgL_res2102z00_2593;

							{	/* Reduce/cse.scm 258 */
								int BgL_auxz00_3173;

								BgL_auxz00_3173 = (int) (((long) 2));
								BgL_res2102z00_2593 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3173);
							} BgL_res2102z00_2593;
						}
						{	/* Reduce/cse.scm 258 */
							obj_t BgL_auxz00_3178;
							int BgL_auxz00_3176;

							BgL_auxz00_3178 = ((obj_t) BgL_nodez00_1560);
							BgL_auxz00_3176 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3176, BgL_auxz00_3178);
						}
						return BgL_resetz00_1565;
					}
				}
			}
		}
	}



/* &node-cse!-jump-ex-it1900 */
	obj_t BGl_z62nodezd2csez12zd2jumpzd2exzd2it1900z70zzreduce_csez00(obj_t
		BgL_envz00_2736, obj_t BgL_nodez00_2737, obj_t BgL_stackz00_2738)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 239 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1544;
				obj_t BgL_stackz00_1545;

				BgL_nodez00_1544 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2737);
				BgL_stackz00_1545 = BgL_stackz00_2738;
				{	/* Reduce/cse.scm 241 */
					obj_t BgL_resetz00_1549;

					BgL_resetz00_1549 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1544))->
							BgL_exitz00), BgL_stackz00_1545);
					{	/* Reduce/cse.scm 242 */
						obj_t BgL_nexitz00_1550;

						{	/* Reduce/cse.scm 243 */
							int BgL_auxz00_3184;

							BgL_auxz00_3184 = (int) (((long) 1));
							BgL_nexitz00_1550 = BGL_MVALUES_VAL(BgL_auxz00_3184);
						}
						((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1544))->
								BgL_exitz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nexitz00_1550)),
							BUNSPEC);
						{	/* Reduce/cse.scm 244 */
							obj_t BgL_stackz72z72_1551;

							if (CBOOL(BgL_resetz00_1549))
								{	/* Reduce/cse.scm 244 */
									BgL_stackz72z72_1551 = BNIL;
								}
							else
								{	/* Reduce/cse.scm 244 */
									BgL_stackz72z72_1551 = BgL_stackz00_1545;
								}
							{	/* Reduce/cse.scm 245 */
								obj_t BgL_resetz72z72_1552;

								BgL_resetz72z72_1552 =
									BGl_nodezd2csez12zc0zzreduce_csez00(
									(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1544))->
										BgL_valuez00), BgL_stackz72z72_1551);
								{	/* Reduce/cse.scm 246 */
									obj_t BgL_nvaluez00_1553;

									{	/* Reduce/cse.scm 247 */
										int BgL_auxz00_3193;

										BgL_auxz00_3193 = (int) (((long) 1));
										BgL_nvaluez00_1553 = BGL_MVALUES_VAL(BgL_auxz00_3193);
									}
									((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1544))->
											BgL_valuez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
												BgL_nvaluez00_1553)), BUNSPEC);
									{	/* Reduce/cse.scm 248 */
										obj_t BgL_val0_1843z00_1554;

										if (CBOOL(BgL_resetz00_1549))
											{	/* Reduce/cse.scm 248 */
												BgL_val0_1843z00_1554 = BgL_resetz00_1549;
											}
										else
											{	/* Reduce/cse.scm 248 */
												BgL_val0_1843z00_1554 = BgL_resetz72z72_1552;
											}
										{	/* Reduce/cse.scm 248 */
											int BgL_res2101z00_2588;

											{	/* Reduce/cse.scm 248 */
												int BgL_auxz00_3200;

												BgL_auxz00_3200 = (int) (((long) 2));
												BgL_res2101z00_2588 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_3200);
											} BgL_res2101z00_2588;
										}
										{	/* Reduce/cse.scm 248 */
											obj_t BgL_auxz00_3205;
											int BgL_auxz00_3203;

											BgL_auxz00_3205 = ((obj_t) BgL_nodez00_1544);
											BgL_auxz00_3203 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_3203, BgL_auxz00_3205);
										}
										return BgL_val0_1843z00_1554;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-cse!-set-ex-it1898 */
	obj_t BGl_z62nodezd2csez12zd2setzd2exzd2it1898z70zzreduce_csez00(obj_t
		BgL_envz00_2739, obj_t BgL_nodez00_2740, obj_t BgL_stackz00_2741)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 229 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1533;
				obj_t BgL_stackz00_1534;

				BgL_nodez00_1533 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2740);
				BgL_stackz00_1534 = BgL_stackz00_2741;
				{	/* Reduce/cse.scm 231 */
					obj_t BgL_resetz00_1538;

					BgL_resetz00_1538 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1533))->BgL_bodyz00),
						BNIL);
					{	/* Reduce/cse.scm 232 */
						obj_t BgL_nbodyz00_1539;

						{	/* Reduce/cse.scm 233 */
							int BgL_auxz00_3211;

							BgL_auxz00_3211 = (int) (((long) 1));
							BgL_nbodyz00_1539 = BGL_MVALUES_VAL(BgL_auxz00_3211);
						}
						((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1533))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1539)),
							BUNSPEC);
						{	/* Reduce/cse.scm 234 */
							int BgL_res2100z00_2582;

							{	/* Reduce/cse.scm 234 */
								int BgL_auxz00_3216;

								BgL_auxz00_3216 = (int) (((long) 2));
								BgL_res2100z00_2582 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3216);
							} BgL_res2100z00_2582;
						}
						{	/* Reduce/cse.scm 234 */
							obj_t BgL_auxz00_3221;
							int BgL_auxz00_3219;

							BgL_auxz00_3221 = ((obj_t) BgL_nodez00_1533);
							BgL_auxz00_3219 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3219, BgL_auxz00_3221);
						}
						return BgL_resetz00_1538;
					}
				}
			}
		}
	}



/* &node-cse!-let-fun1896 */
	obj_t BGl_z62nodezd2csez12zd2letzd2fun1896za2zzreduce_csez00(obj_t
		BgL_envz00_2742, obj_t BgL_nodez00_2743, obj_t BgL_stackz00_2744)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 210 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1507;
				obj_t BgL_stackz00_1508;

				BgL_nodez00_1507 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2743);
				BgL_stackz00_1508 = BgL_stackz00_2744;
				{	/* Reduce/cse.scm 212 */
					obj_t BgL_resetz00_1512;

					BgL_resetz00_1512 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1507))->BgL_bodyz00),
						BgL_stackz00_1508);
					{	/* Reduce/cse.scm 213 */
						obj_t BgL_nbodyz00_1513;

						{	/* Reduce/cse.scm 214 */
							int BgL_auxz00_3227;

							BgL_auxz00_3227 = (int) (((long) 1));
							BgL_nbodyz00_1513 = BGL_MVALUES_VAL(BgL_auxz00_3227);
						}
						((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1507))->BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1513)),
							BUNSPEC);
						{
							obj_t BgL_localsz00_1516;
							obj_t BgL_resetz00_1517;

							BgL_localsz00_1516 =
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1507))->
								BgL_localsz00);
							BgL_resetz00_1517 = BgL_resetz00_1512;
						BgL_zc3anonymousza31975ze3z83_1518:
							if (NULLP(BgL_localsz00_1516))
								{	/* Reduce/cse.scm 217 */
									{	/* Reduce/cse.scm 218 */
										int BgL_res2098z00_2566;

										{	/* Reduce/cse.scm 218 */
											int BgL_auxz00_3234;

											BgL_auxz00_3234 = (int) (((long) 2));
											BgL_res2098z00_2566 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3234);
										} BgL_res2098z00_2566;
									}
									{	/* Reduce/cse.scm 218 */
										obj_t BgL_auxz00_3239;
										int BgL_auxz00_3237;

										BgL_auxz00_3239 = ((obj_t) BgL_nodez00_1507);
										BgL_auxz00_3237 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3237, BgL_auxz00_3239);
									}
									return BgL_resetz00_1517;
								}
							else
								{	/* Reduce/cse.scm 219 */
									obj_t BgL_localz00_1522;

									BgL_localz00_1522 = CAR(BgL_localsz00_1516);
									{	/* Reduce/cse.scm 219 */
										BgL_valuez00_bglt BgL_sfunz00_1523;

										BgL_sfunz00_1523 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1522))))->
											BgL_valuez00);
										{	/* Reduce/cse.scm 220 */

											{	/* Reduce/cse.scm 221 */
												obj_t BgL_resetz72z72_1524;

												{	/* Reduce/cse.scm 222 */
													obj_t BgL_arg1979z00_1529;

													BgL_arg1979z00_1529 =
														(((BgL_sfunz00_bglt) CREF(
																((BgL_sfunz00_bglt) BgL_sfunz00_1523)))->
														BgL_bodyz00);
													BgL_resetz72z72_1524 =
														BGl_nodezd2csez12zc0zzreduce_csez00((
															(BgL_nodez00_bglt) BgL_arg1979z00_1529), BNIL);
												}
												{	/* Reduce/cse.scm 222 */
													obj_t BgL_nbodyz00_1525;

													{	/* Reduce/cse.scm 223 */
														int BgL_auxz00_3250;

														BgL_auxz00_3250 = (int) (((long) 1));
														BgL_nbodyz00_1525 =
															BGL_MVALUES_VAL(BgL_auxz00_3250);
													}
													((((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_sfunz00_1523)))->
															BgL_bodyz00) =
														((obj_t) BgL_nbodyz00_1525), BUNSPEC);
													{	/* Reduce/cse.scm 224 */
														obj_t BgL_arg1977z00_1526;
														obj_t BgL_arg1978z00_1527;

														BgL_arg1977z00_1526 = CDR(BgL_localsz00_1516);
														if (CBOOL(BgL_resetz00_1517))
															{	/* Reduce/cse.scm 224 */
																BgL_arg1978z00_1527 = BgL_resetz00_1517;
															}
														else
															{	/* Reduce/cse.scm 224 */
																BgL_arg1978z00_1527 = BgL_resetz72z72_1524;
															}
														{
															obj_t BgL_resetz00_3259;
															obj_t BgL_localsz00_3258;

															BgL_localsz00_3258 = BgL_arg1977z00_1526;
															BgL_resetz00_3259 = BgL_arg1978z00_1527;
															BgL_resetz00_1517 = BgL_resetz00_3259;
															BgL_localsz00_1516 = BgL_localsz00_3258;
															goto BgL_zc3anonymousza31975ze3z83_1518;
														}
													}
												}
											}
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* &node-cse!-select1894 */
	obj_t BGl_z62nodezd2csez12zd2select1894z70zzreduce_csez00(obj_t
		BgL_envz00_2745, obj_t BgL_nodez00_2746, obj_t BgL_stackz00_2747)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 191 */
			{
				BgL_selectz00_bglt BgL_nodez00_1481;
				obj_t BgL_stackz00_1482;

				BgL_nodez00_1481 = ((BgL_selectz00_bglt) BgL_nodez00_2746);
				BgL_stackz00_1482 = BgL_stackz00_2747;
				{	/* Reduce/cse.scm 193 */
					obj_t BgL_resetz00_1486;

					BgL_resetz00_1486 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1481))->BgL_testz00),
						BgL_stackz00_1482);
					{	/* Reduce/cse.scm 194 */
						obj_t BgL_ntestz00_1487;

						{	/* Reduce/cse.scm 195 */
							int BgL_auxz00_3264;

							BgL_auxz00_3264 = (int) (((long) 1));
							BgL_ntestz00_1487 = BGL_MVALUES_VAL(BgL_auxz00_3264);
						}
						((((BgL_selectz00_bglt) CREF(BgL_nodez00_1481))->BgL_testz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_1487)),
							BUNSPEC);
						{
							obj_t BgL_clausesz00_1491;
							obj_t BgL_resetz00_1492;

							BgL_clausesz00_1491 =
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1481))->BgL_clausesz00);
							BgL_resetz00_1492 = BgL_resetz00_1486;
						BgL_zc3anonymousza31967ze3z83_1493:
							if (NULLP(BgL_clausesz00_1491))
								{	/* Reduce/cse.scm 199 */
									{	/* Reduce/cse.scm 200 */
										int BgL_res2096z00_2553;

										{	/* Reduce/cse.scm 200 */
											int BgL_auxz00_3271;

											BgL_auxz00_3271 = (int) (((long) 2));
											BgL_res2096z00_2553 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3271);
										} BgL_res2096z00_2553;
									}
									{	/* Reduce/cse.scm 200 */
										obj_t BgL_auxz00_3276;
										int BgL_auxz00_3274;

										BgL_auxz00_3276 = ((obj_t) BgL_nodez00_1481);
										BgL_auxz00_3274 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3274, BgL_auxz00_3276);
									}
									return BgL_resetz00_1492;
								}
							else
								{	/* Reduce/cse.scm 201 */
									obj_t BgL_clausez00_1497;

									BgL_clausez00_1497 = CAR(BgL_clausesz00_1491);
									{	/* Reduce/cse.scm 202 */
										obj_t BgL_resetz72z72_1498;

										{	/* Reduce/cse.scm 203 */
											obj_t BgL_arg1972z00_1503;

											BgL_arg1972z00_1503 = CDR(BgL_clausez00_1497);
											BgL_resetz72z72_1498 =
												BGl_nodezd2csez12zc0zzreduce_csez00(
												((BgL_nodez00_bglt) BgL_arg1972z00_1503),
												BgL_stackz00_1482);
										}
										{	/* Reduce/cse.scm 203 */
											obj_t BgL_nclausez00_1499;

											{	/* Reduce/cse.scm 204 */
												int BgL_auxz00_3283;

												BgL_auxz00_3283 = (int) (((long) 1));
												BgL_nclausez00_1499 = BGL_MVALUES_VAL(BgL_auxz00_3283);
											}
											SET_CDR(BgL_clausez00_1497, BgL_nclausez00_1499);
											{	/* Reduce/cse.scm 205 */
												obj_t BgL_arg1969z00_1500;
												obj_t BgL_arg1970z00_1501;

												BgL_arg1969z00_1500 = CDR(BgL_clausesz00_1491);
												if (CBOOL(BgL_resetz00_1492))
													{	/* Reduce/cse.scm 205 */
														BgL_arg1970z00_1501 = BgL_resetz00_1492;
													}
												else
													{	/* Reduce/cse.scm 205 */
														BgL_arg1970z00_1501 = BgL_resetz72z72_1498;
													}
												{
													obj_t BgL_resetz00_3291;
													obj_t BgL_clausesz00_3290;

													BgL_clausesz00_3290 = BgL_arg1969z00_1500;
													BgL_resetz00_3291 = BgL_arg1970z00_1501;
													BgL_resetz00_1492 = BgL_resetz00_3291;
													BgL_clausesz00_1491 = BgL_clausesz00_3290;
													goto BgL_zc3anonymousza31967ze3z83_1493;
												}
											}
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* &node-cse!-fail1892 */
	obj_t BGl_z62nodezd2csez12zd2fail1892z70zzreduce_csez00(obj_t BgL_envz00_2748,
		obj_t BgL_nodez00_2749, obj_t BgL_stackz00_2750)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 173 */
			{
				BgL_failz00_bglt BgL_nodez00_1460;
				obj_t BgL_stackz00_1461;

				BgL_nodez00_1460 = ((BgL_failz00_bglt) BgL_nodez00_2749);
				BgL_stackz00_1461 = BgL_stackz00_2750;
				{	/* Reduce/cse.scm 175 */
					obj_t BgL_resetz00_1465;

					BgL_resetz00_1465 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1460))->BgL_procz00),
						BgL_stackz00_1461);
					{	/* Reduce/cse.scm 176 */
						obj_t BgL_nprocz00_1466;

						{	/* Reduce/cse.scm 177 */
							int BgL_auxz00_3296;

							BgL_auxz00_3296 = (int) (((long) 1));
							BgL_nprocz00_1466 = BGL_MVALUES_VAL(BgL_auxz00_3296);
						}
						((((BgL_failz00_bglt) CREF(BgL_nodez00_1460))->BgL_procz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nprocz00_1466)),
							BUNSPEC);
						{	/* Reduce/cse.scm 178 */
							obj_t BgL_stackz72z72_1467;

							if (CBOOL(BgL_resetz00_1465))
								{	/* Reduce/cse.scm 178 */
									BgL_stackz72z72_1467 = BNIL;
								}
							else
								{	/* Reduce/cse.scm 178 */
									BgL_stackz72z72_1467 = BgL_stackz00_1461;
								}
							{	/* Reduce/cse.scm 179 */
								obj_t BgL_resetz72z72_1468;

								BgL_resetz72z72_1468 =
									BGl_nodezd2csez12zc0zzreduce_csez00(
									(((BgL_failz00_bglt) CREF(BgL_nodez00_1460))->BgL_msgz00),
									BgL_stackz72z72_1467);
								{	/* Reduce/cse.scm 180 */
									obj_t BgL_nmsgz00_1469;

									{	/* Reduce/cse.scm 181 */
										int BgL_auxz00_3305;

										BgL_auxz00_3305 = (int) (((long) 1));
										BgL_nmsgz00_1469 = BGL_MVALUES_VAL(BgL_auxz00_3305);
									}
									((((BgL_failz00_bglt) CREF(BgL_nodez00_1460))->BgL_msgz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmsgz00_1469)),
										BUNSPEC);
									{	/* Reduce/cse.scm 182 */
										obj_t BgL_stackz72z72z00_1470;

										if (CBOOL(BgL_resetz72z72_1468))
											{	/* Reduce/cse.scm 182 */
												BgL_stackz72z72z00_1470 = BNIL;
											}
										else
											{	/* Reduce/cse.scm 182 */
												BgL_stackz72z72z00_1470 = BgL_stackz72z72_1467;
											}
										{	/* Reduce/cse.scm 183 */
											obj_t BgL_resetz72z72z00_1471;

											BgL_resetz72z72z00_1471 =
												BGl_nodezd2csez12zc0zzreduce_csez00(
												(((BgL_failz00_bglt) CREF(BgL_nodez00_1460))->
													BgL_objz00), BgL_stackz72z72z00_1470);
											{	/* Reduce/cse.scm 184 */
												obj_t BgL_nobjz00_1472;

												{	/* Reduce/cse.scm 185 */
													int BgL_auxz00_3314;

													BgL_auxz00_3314 = (int) (((long) 1));
													BgL_nobjz00_1472 = BGL_MVALUES_VAL(BgL_auxz00_3314);
												}
												((((BgL_failz00_bglt) CREF(BgL_nodez00_1460))->
														BgL_objz00) =
													((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
															BgL_nobjz00_1472)), BUNSPEC);
												{	/* Reduce/cse.scm 186 */
													obj_t BgL_val0_1835z00_1473;

													if (CBOOL(BgL_resetz00_1465))
														{	/* Reduce/cse.scm 186 */
															BgL_val0_1835z00_1473 = BgL_resetz00_1465;
														}
													else
														{	/* Reduce/cse.scm 186 */
															if (CBOOL(BgL_resetz72z72_1468))
																{	/* Reduce/cse.scm 186 */
																	BgL_val0_1835z00_1473 = BgL_resetz72z72_1468;
																}
															else
																{	/* Reduce/cse.scm 186 */
																	BgL_val0_1835z00_1473 =
																		BgL_resetz72z72z00_1471;
																}
														}
													{	/* Reduce/cse.scm 186 */
														int BgL_res2094z00_2546;

														{	/* Reduce/cse.scm 186 */
															int BgL_auxz00_3323;

															BgL_auxz00_3323 = (int) (((long) 2));
															BgL_res2094z00_2546 =
																BGL_MVALUES_NUMBER_SET(BgL_auxz00_3323);
														} BgL_res2094z00_2546;
													}
													{	/* Reduce/cse.scm 186 */
														obj_t BgL_auxz00_3328;
														int BgL_auxz00_3326;

														BgL_auxz00_3328 = ((obj_t) BgL_nodez00_1460);
														BgL_auxz00_3326 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_auxz00_3326,
															BgL_auxz00_3328);
													}
													return BgL_val0_1835z00_1473;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-cse!-conditiona1890 */
	obj_t BGl_z62nodezd2csez12zd2conditiona1890z70zzreduce_csez00(obj_t
		BgL_envz00_2751, obj_t BgL_nodez00_2752, obj_t BgL_stackz00_2753)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 156 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1440;
				obj_t BgL_stackz00_1441;

				BgL_nodez00_1440 = ((BgL_conditionalz00_bglt) BgL_nodez00_2752);
				BgL_stackz00_1441 = BgL_stackz00_2753;
				{	/* Reduce/cse.scm 158 */
					obj_t BgL_resetz00_1445;

					BgL_resetz00_1445 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1440))->BgL_testz00),
						BgL_stackz00_1441);
					{	/* Reduce/cse.scm 159 */
						obj_t BgL_ntestz00_1446;

						{	/* Reduce/cse.scm 160 */
							int BgL_auxz00_3334;

							BgL_auxz00_3334 = (int) (((long) 1));
							BgL_ntestz00_1446 = BGL_MVALUES_VAL(BgL_auxz00_3334);
						}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1440))->BgL_testz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntestz00_1446)),
							BUNSPEC);
						{	/* Reduce/cse.scm 161 */
							obj_t BgL_stackz72z72_1447;

							if (CBOOL(BgL_resetz00_1445))
								{	/* Reduce/cse.scm 161 */
									BgL_stackz72z72_1447 = BNIL;
								}
							else
								{	/* Reduce/cse.scm 161 */
									BgL_stackz72z72_1447 = BgL_stackz00_1441;
								}
							{	/* Reduce/cse.scm 162 */
								obj_t BgL_resetz72z72_1448;

								BgL_resetz72z72_1448 =
									BGl_nodezd2csez12zc0zzreduce_csez00(
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1440))->
										BgL_truez00), BgL_stackz72z72_1447);
								{	/* Reduce/cse.scm 163 */
									obj_t BgL_ntruez00_1449;

									{	/* Reduce/cse.scm 164 */
										int BgL_auxz00_3343;

										BgL_auxz00_3343 = (int) (((long) 1));
										BgL_ntruez00_1449 = BGL_MVALUES_VAL(BgL_auxz00_3343);
									}
									((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1440))->
											BgL_truez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_1449)),
										BUNSPEC);
									{	/* Reduce/cse.scm 165 */
										obj_t BgL_resetz72z72z00_1450;

										BgL_resetz72z72z00_1450 =
											BGl_nodezd2csez12zc0zzreduce_csez00(
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1440))->
												BgL_falsez00), BgL_stackz72z72_1447);
										{	/* Reduce/cse.scm 166 */
											obj_t BgL_nfalsez00_1451;

											{	/* Reduce/cse.scm 167 */
												int BgL_auxz00_3350;

												BgL_auxz00_3350 = (int) (((long) 1));
												BgL_nfalsez00_1451 = BGL_MVALUES_VAL(BgL_auxz00_3350);
											}
											((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1440))->
													BgL_falsez00) =
												((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
														BgL_nfalsez00_1451)), BUNSPEC);
											{	/* Reduce/cse.scm 168 */
												obj_t BgL_val0_1833z00_1452;

												if (CBOOL(BgL_resetz00_1445))
													{	/* Reduce/cse.scm 168 */
														BgL_val0_1833z00_1452 = BgL_resetz00_1445;
													}
												else
													{	/* Reduce/cse.scm 168 */
														if (CBOOL(BgL_resetz72z72_1448))
															{	/* Reduce/cse.scm 168 */
																BgL_val0_1833z00_1452 = BgL_resetz72z72_1448;
															}
														else
															{	/* Reduce/cse.scm 168 */
																BgL_val0_1833z00_1452 = BgL_resetz72z72z00_1450;
															}
													}
												{	/* Reduce/cse.scm 168 */
													int BgL_res2093z00_2539;

													{	/* Reduce/cse.scm 168 */
														int BgL_auxz00_3359;

														BgL_auxz00_3359 = (int) (((long) 2));
														BgL_res2093z00_2539 =
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_3359);
													} BgL_res2093z00_2539;
												}
												{	/* Reduce/cse.scm 168 */
													obj_t BgL_auxz00_3364;
													int BgL_auxz00_3362;

													BgL_auxz00_3364 = ((obj_t) BgL_nodez00_1440);
													BgL_auxz00_3362 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_auxz00_3362, BgL_auxz00_3364);
												}
												return BgL_val0_1833z00_1452;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-cse!-setq1888 */
	obj_t BGl_z62nodezd2csez12zd2setq1888z70zzreduce_csez00(obj_t BgL_envz00_2754,
		obj_t BgL_nodez00_2755, obj_t BgL_stackz00_2756)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 146 */
			{
				BgL_setqz00_bglt BgL_nodez00_1429;
				obj_t BgL_stackz00_1430;

				BgL_nodez00_1429 = ((BgL_setqz00_bglt) BgL_nodez00_2755);
				BgL_stackz00_1430 = BgL_stackz00_2756;
				{	/* Reduce/cse.scm 148 */
					obj_t BgL_resetz00_1434;

					BgL_resetz00_1434 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1429))->BgL_valuez00),
						BgL_stackz00_1430);
					{	/* Reduce/cse.scm 149 */
						obj_t BgL_nvaluez00_1435;

						{	/* Reduce/cse.scm 150 */
							int BgL_auxz00_3370;

							BgL_auxz00_3370 = (int) (((long) 1));
							BgL_nvaluez00_1435 = BGL_MVALUES_VAL(BgL_auxz00_3370);
						}
						((((BgL_setqz00_bglt) CREF(BgL_nodez00_1429))->BgL_valuez00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nvaluez00_1435)),
							BUNSPEC);
						{	/* Reduce/cse.scm 151 */
							int BgL_res2092z00_2532;

							{	/* Reduce/cse.scm 151 */
								int BgL_auxz00_3375;

								BgL_auxz00_3375 = (int) (((long) 2));
								BgL_res2092z00_2532 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3375);
							} BgL_res2092z00_2532;
						}
						{	/* Reduce/cse.scm 151 */
							obj_t BgL_auxz00_3380;
							int BgL_auxz00_3378;

							BgL_auxz00_3380 = ((obj_t) BgL_nodez00_1429);
							BgL_auxz00_3378 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3378, BgL_auxz00_3380);
						}
						return BgL_resetz00_1434;
					}
				}
			}
		}
	}



/* &node-cse!-cast1886 */
	obj_t BGl_z62nodezd2csez12zd2cast1886z70zzreduce_csez00(obj_t BgL_envz00_2757,
		obj_t BgL_nodez00_2758, obj_t BgL_stackz00_2759)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 136 */
			{
				BgL_castz00_bglt BgL_nodez00_1418;
				obj_t BgL_stackz00_1419;

				BgL_nodez00_1418 = ((BgL_castz00_bglt) BgL_nodez00_2758);
				BgL_stackz00_1419 = BgL_stackz00_2759;
				{	/* Reduce/cse.scm 138 */
					obj_t BgL_resetz00_1423;

					BgL_resetz00_1423 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1418))->BgL_argz00),
						BgL_stackz00_1419);
					{	/* Reduce/cse.scm 139 */
						obj_t BgL_nargz00_1424;

						{	/* Reduce/cse.scm 140 */
							int BgL_auxz00_3386;

							BgL_auxz00_3386 = (int) (((long) 1));
							BgL_nargz00_1424 = BGL_MVALUES_VAL(BgL_auxz00_3386);
						}
						((((BgL_castz00_bglt) CREF(BgL_nodez00_1418))->BgL_argz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_1424)),
							BUNSPEC);
						{	/* Reduce/cse.scm 141 */
							int BgL_res2091z00_2527;

							{	/* Reduce/cse.scm 141 */
								int BgL_auxz00_3391;

								BgL_auxz00_3391 = (int) (((long) 2));
								BgL_res2091z00_2527 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3391);
							} BgL_res2091z00_2527;
						}
						{	/* Reduce/cse.scm 141 */
							obj_t BgL_auxz00_3396;
							int BgL_auxz00_3394;

							BgL_auxz00_3396 = ((obj_t) BgL_nodez00_1418);
							BgL_auxz00_3394 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_3394, BgL_auxz00_3396);
						}
						return BgL_resetz00_1423;
					}
				}
			}
		}
	}



/* &node-cse!-extern1884 */
	obj_t BGl_z62nodezd2csez12zd2extern1884z70zzreduce_csez00(obj_t
		BgL_envz00_2760, obj_t BgL_nodez00_2761, obj_t BgL_stackz00_2762)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 128 */
			{
				BgL_externz00_bglt BgL_nodez00_1408;
				obj_t BgL_stackz00_1409;

				BgL_nodez00_1408 = ((BgL_externz00_bglt) BgL_nodez00_2761);
				BgL_stackz00_1409 = BgL_stackz00_2762;
				{	/* Reduce/cse.scm 130 */
					obj_t BgL_resetz72z72_1413;

					BgL_resetz72z72_1413 =
						BGl_nodezd2cseza2z12z62zzreduce_csez00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1408))->BgL_exprza2za2),
						BgL_stackz00_1409);
					{	/* Reduce/cse.scm 131 */
						int BgL_res2090z00_2522;

						{	/* Reduce/cse.scm 131 */
							int BgL_auxz00_3402;

							BgL_auxz00_3402 = (int) (((long) 2));
							BgL_res2090z00_2522 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3402);
						} BgL_res2090z00_2522;
					}
					{	/* Reduce/cse.scm 131 */
						obj_t BgL_auxz00_3407;
						int BgL_auxz00_3405;

						BgL_auxz00_3407 = ((obj_t) BgL_nodez00_1408);
						BgL_auxz00_3405 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3405, BgL_auxz00_3407);
					}
					return BgL_resetz72z72_1413;
				}
			}
		}
	}



/* &node-cse!-funcall1882 */
	obj_t BGl_z62nodezd2csez12zd2funcall1882z70zzreduce_csez00(obj_t
		BgL_envz00_2763, obj_t BgL_nodez00_2764, obj_t BgL_stackz00_2765)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 120 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1398;
				obj_t BgL_stackz00_1399;

				BgL_nodez00_1398 = ((BgL_funcallz00_bglt) BgL_nodez00_2764);
				BgL_stackz00_1399 = BgL_stackz00_2765;
				{	/* Reduce/cse.scm 122 */
					obj_t BgL_resetz72z72_1403;

					BgL_resetz72z72_1403 =
						BGl_nodezd2cseza2z12z62zzreduce_csez00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1398))->BgL_argsz00),
						BgL_stackz00_1399);
					{	/* Reduce/cse.scm 123 */
						int BgL_res2089z00_2518;

						{	/* Reduce/cse.scm 123 */
							int BgL_auxz00_3413;

							BgL_auxz00_3413 = (int) (((long) 2));
							BgL_res2089z00_2518 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3413);
						} BgL_res2089z00_2518;
					}
					{	/* Reduce/cse.scm 123 */
						obj_t BgL_auxz00_3418;
						int BgL_auxz00_3416;

						BgL_auxz00_3418 = ((obj_t) BgL_nodez00_1398);
						BgL_auxz00_3416 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3416, BgL_auxz00_3418);
					}
					return BgL_resetz72z72_1403;
				}
			}
		}
	}



/* &node-cse!-app-ly1880 */
	obj_t BGl_z62nodezd2csez12zd2appzd2ly1880za2zzreduce_csez00(obj_t
		BgL_envz00_2766, obj_t BgL_nodez00_2767, obj_t BgL_stackz00_2768)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 107 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1382;
				obj_t BgL_stackz00_1383;

				BgL_nodez00_1382 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2767);
				BgL_stackz00_1383 = BgL_stackz00_2768;
				{	/* Reduce/cse.scm 109 */
					obj_t BgL_resetz00_1387;

					BgL_resetz00_1387 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1382))->BgL_funz00),
						BgL_stackz00_1383);
					{	/* Reduce/cse.scm 110 */
						obj_t BgL_nfunz00_1388;

						{	/* Reduce/cse.scm 111 */
							int BgL_auxz00_3424;

							BgL_auxz00_3424 = (int) (((long) 1));
							BgL_nfunz00_1388 = BGL_MVALUES_VAL(BgL_auxz00_3424);
						}
						((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1382))->BgL_funz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfunz00_1388)),
							BUNSPEC);
						{	/* Reduce/cse.scm 112 */
							obj_t BgL_resetz72z72_1389;

							{	/* Reduce/cse.scm 113 */
								BgL_nodez00_bglt BgL_arg1951z00_1394;
								obj_t BgL_arg1952z00_1395;

								BgL_arg1951z00_1394 =
									(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1382))->BgL_argz00);
								if (CBOOL(BgL_resetz00_1387))
									{	/* Reduce/cse.scm 113 */
										BgL_arg1952z00_1395 = BNIL;
									}
								else
									{	/* Reduce/cse.scm 113 */
										BgL_arg1952z00_1395 = BgL_stackz00_1383;
									}
								BgL_resetz72z72_1389 =
									BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg1951z00_1394,
									BgL_arg1952z00_1395);
							}
							{	/* Reduce/cse.scm 113 */
								obj_t BgL_nargz00_1390;

								{	/* Reduce/cse.scm 114 */
									int BgL_auxz00_3433;

									BgL_auxz00_3433 = (int) (((long) 1));
									BgL_nargz00_1390 = BGL_MVALUES_VAL(BgL_auxz00_3433);
								}
								((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1382))->BgL_argz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nargz00_1390)),
									BUNSPEC);
								{	/* Reduce/cse.scm 115 */
									obj_t BgL_val0_1823z00_1391;

									if (CBOOL(BgL_resetz00_1387))
										{	/* Reduce/cse.scm 115 */
											BgL_val0_1823z00_1391 = BgL_resetz00_1387;
										}
									else
										{	/* Reduce/cse.scm 115 */
											BgL_val0_1823z00_1391 = BgL_resetz72z72_1389;
										}
									{	/* Reduce/cse.scm 115 */
										int BgL_res2088z00_2514;

										{	/* Reduce/cse.scm 115 */
											int BgL_auxz00_3440;

											BgL_auxz00_3440 = (int) (((long) 2));
											BgL_res2088z00_2514 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3440);
										} BgL_res2088z00_2514;
									}
									{	/* Reduce/cse.scm 115 */
										obj_t BgL_auxz00_3445;
										int BgL_auxz00_3443;

										BgL_auxz00_3445 = ((obj_t) BgL_nodez00_1382);
										BgL_auxz00_3443 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3443, BgL_auxz00_3445);
									}
									return BgL_val0_1823z00_1391;
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-cse!-sync1878 */
	obj_t BGl_z62nodezd2csez12zd2sync1878z70zzreduce_csez00(obj_t BgL_envz00_2769,
		obj_t BgL_nodez00_2770, obj_t BgL_stackz00_2771)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 94 */
			{
				BgL_syncz00_bglt BgL_nodez00_1365;
				obj_t BgL_stackz00_1366;

				BgL_nodez00_1365 = ((BgL_syncz00_bglt) BgL_nodez00_2770);
				BgL_stackz00_1366 = BgL_stackz00_2771;
				{	/* Reduce/cse.scm 96 */
					obj_t BgL_resetmz00_1370;

					BgL_resetmz00_1370 =
						BGl_nodezd2csez12zc0zzreduce_csez00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1365))->BgL_mutexz00),
						BgL_stackz00_1366);
					{	/* Reduce/cse.scm 97 */
						obj_t BgL_nmutexz00_1371;

						{	/* Reduce/cse.scm 98 */
							int BgL_auxz00_3451;

							BgL_auxz00_3451 = (int) (((long) 1));
							BgL_nmutexz00_1371 = BGL_MVALUES_VAL(BgL_auxz00_3451);
						}
						((((BgL_syncz00_bglt) CREF(BgL_nodez00_1365))->BgL_mutexz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nmutexz00_1371)),
							BUNSPEC);
						{	/* Reduce/cse.scm 99 */
							obj_t BgL_resetpz00_1372;

							BgL_resetpz00_1372 =
								BGl_nodezd2csez12zc0zzreduce_csez00(
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_1365))->BgL_prelockz00),
								BgL_stackz00_1366);
							{	/* Reduce/cse.scm 100 */
								obj_t BgL_nprelockz00_1373;

								{	/* Reduce/cse.scm 101 */
									int BgL_auxz00_3458;

									BgL_auxz00_3458 = (int) (((long) 1));
									BgL_nprelockz00_1373 = BGL_MVALUES_VAL(BgL_auxz00_3458);
								}
								((((BgL_syncz00_bglt) CREF(BgL_nodez00_1365))->BgL_prelockz00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
											BgL_nprelockz00_1373)), BUNSPEC);
								{	/* Reduce/cse.scm 102 */
									obj_t BgL_val0_1821z00_1374;

									{	/* Reduce/cse.scm 102 */
										obj_t BgL__ortest_1103z00_1376;

										BgL__ortest_1103z00_1376 =
											BGl_nodezd2csez12zc0zzreduce_csez00(
											(((BgL_syncz00_bglt) CREF(BgL_nodez00_1365))->
												BgL_bodyz00), BgL_stackz00_1366);
										if (CBOOL(BgL__ortest_1103z00_1376))
											{	/* Reduce/cse.scm 102 */
												BgL_val0_1821z00_1374 = BgL__ortest_1103z00_1376;
											}
										else
											{	/* Reduce/cse.scm 102 */
												if (CBOOL(BgL_resetmz00_1370))
													{	/* Reduce/cse.scm 102 */
														BgL_val0_1821z00_1374 = BgL_resetmz00_1370;
													}
												else
													{	/* Reduce/cse.scm 102 */
														BgL_val0_1821z00_1374 = BgL_resetpz00_1372;
													}
											}
									}
									{	/* Reduce/cse.scm 102 */
										int BgL_res2087z00_2508;

										{	/* Reduce/cse.scm 102 */
											int BgL_auxz00_3469;

											BgL_auxz00_3469 = (int) (((long) 2));
											BgL_res2087z00_2508 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_3469);
										} BgL_res2087z00_2508;
									}
									{	/* Reduce/cse.scm 102 */
										obj_t BgL_auxz00_3474;
										int BgL_auxz00_3472;

										BgL_auxz00_3474 = ((obj_t) BgL_nodez00_1365);
										BgL_auxz00_3472 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_3472, BgL_auxz00_3474);
									}
									return BgL_val0_1821z00_1374;
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-cse!-sequence1876 */
	obj_t BGl_z62nodezd2csez12zd2sequence1876z70zzreduce_csez00(obj_t
		BgL_envz00_2772, obj_t BgL_nodez00_2773, obj_t BgL_stackz00_2774)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 87 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1356;
				obj_t BgL_stackz00_1357;

				BgL_nodez00_1356 = ((BgL_sequencez00_bglt) BgL_nodez00_2773);
				BgL_stackz00_1357 = BgL_stackz00_2774;
				{	/* Reduce/cse.scm 89 */
					obj_t BgL_val0_1819z00_1361;

					BgL_val0_1819z00_1361 =
						BGl_nodezd2cseza2z12z62zzreduce_csez00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1356))->BgL_nodesz00),
						BgL_stackz00_1357);
					{	/* Reduce/cse.scm 89 */
						int BgL_res2086z00_2502;

						{	/* Reduce/cse.scm 89 */
							int BgL_auxz00_3480;

							BgL_auxz00_3480 = (int) (((long) 2));
							BgL_res2086z00_2502 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3480);
						} BgL_res2086z00_2502;
					}
					{	/* Reduce/cse.scm 89 */
						obj_t BgL_auxz00_3485;
						int BgL_auxz00_3483;

						BgL_auxz00_3485 = ((obj_t) BgL_nodez00_1356);
						BgL_auxz00_3483 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_3483, BgL_auxz00_3485);
					}
					return BgL_val0_1819z00_1361;
				}
			}
		}
	}



/* &node-cse!-closure1874 */
	obj_t BGl_z62nodezd2csez12zd2closure1874z70zzreduce_csez00(obj_t
		BgL_envz00_2775, obj_t BgL_nodez00_2776, obj_t BgL_stackz00_2777)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 81 */
			{
				BgL_closurez00_bglt BgL_nodez00_1349;
				obj_t BgL_stackz00_1350;

				BgL_nodez00_1349 = ((BgL_closurez00_bglt) BgL_nodez00_2776);
				BgL_stackz00_1350 = BgL_stackz00_2777;
				{	/* Reduce/cse.scm 82 */
					int BgL_res2085z00_2498;

					{	/* Reduce/cse.scm 82 */
						int BgL_auxz00_3489;

						BgL_auxz00_3489 = (int) (((long) 2));
						BgL_res2085z00_2498 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3489);
					} BgL_res2085z00_2498;
				}
				{	/* Reduce/cse.scm 82 */
					obj_t BgL_auxz00_3494;
					int BgL_auxz00_3492;

					BgL_auxz00_3494 = ((obj_t) BgL_nodez00_1349);
					BgL_auxz00_3492 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_auxz00_3492, BgL_auxz00_3494);
				}
				return BFALSE;
			}
		}
	}



/* &node-cse!-var1872 */
	obj_t BGl_z62nodezd2csez12zd2var1872z70zzreduce_csez00(obj_t BgL_envz00_2778,
		obj_t BgL_nodez00_2779, obj_t BgL_stackz00_2780)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 75 */
			{
				BgL_varz00_bglt BgL_nodez00_1342;
				obj_t BgL_stackz00_1343;

				BgL_nodez00_1342 = ((BgL_varz00_bglt) BgL_nodez00_2779);
				BgL_stackz00_1343 = BgL_stackz00_2780;
				{	/* Reduce/cse.scm 76 */
					int BgL_res2084z00_2492;

					{	/* Reduce/cse.scm 76 */
						int BgL_auxz00_3498;

						BgL_auxz00_3498 = (int) (((long) 2));
						BgL_res2084z00_2492 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3498);
					} BgL_res2084z00_2492;
				}
				{	/* Reduce/cse.scm 76 */
					obj_t BgL_auxz00_3503;
					int BgL_auxz00_3501;

					BgL_auxz00_3503 = ((obj_t) BgL_nodez00_1342);
					BgL_auxz00_3501 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_auxz00_3501, BgL_auxz00_3503);
				}
				return BFALSE;
			}
		}
	}



/* &node-cse!-kwote1870 */
	obj_t BGl_z62nodezd2csez12zd2kwote1870z70zzreduce_csez00(obj_t
		BgL_envz00_2781, obj_t BgL_nodez00_2782, obj_t BgL_stackz00_2783)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 69 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1335;
				obj_t BgL_stackz00_1336;

				BgL_nodez00_1335 = ((BgL_kwotez00_bglt) BgL_nodez00_2782);
				BgL_stackz00_1336 = BgL_stackz00_2783;
				{	/* Reduce/cse.scm 70 */
					int BgL_res2083z00_2486;

					{	/* Reduce/cse.scm 70 */
						int BgL_auxz00_3507;

						BgL_auxz00_3507 = (int) (((long) 2));
						BgL_res2083z00_2486 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3507);
					} BgL_res2083z00_2486;
				}
				{	/* Reduce/cse.scm 70 */
					obj_t BgL_auxz00_3512;
					int BgL_auxz00_3510;

					BgL_auxz00_3512 = ((obj_t) BgL_nodez00_1335);
					BgL_auxz00_3510 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_auxz00_3510, BgL_auxz00_3512);
				}
				return BFALSE;
			}
		}
	}



/* &node-cse!-atom1868 */
	obj_t BGl_z62nodezd2csez12zd2atom1868z70zzreduce_csez00(obj_t BgL_envz00_2784,
		obj_t BgL_nodez00_2785, obj_t BgL_stackz00_2786)
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 63 */
			{
				BgL_atomz00_bglt BgL_nodez00_1328;
				obj_t BgL_stackz00_1329;

				BgL_nodez00_1328 = ((BgL_atomz00_bglt) BgL_nodez00_2785);
				BgL_stackz00_1329 = BgL_stackz00_2786;
				{	/* Reduce/cse.scm 64 */
					int BgL_res2082z00_2480;

					{	/* Reduce/cse.scm 64 */
						int BgL_auxz00_3516;

						BgL_auxz00_3516 = (int) (((long) 2));
						BgL_res2082z00_2480 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_3516);
					} BgL_res2082z00_2480;
				}
				{	/* Reduce/cse.scm 64 */
					obj_t BgL_auxz00_3521;
					int BgL_auxz00_3519;

					BgL_auxz00_3521 = ((obj_t) BgL_nodez00_1328);
					BgL_auxz00_3519 = (int) (((long) 1));
					BGL_MVALUES_VAL_SET(BgL_auxz00_3519, BgL_auxz00_3521);
				}
				return BFALSE;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_csez00()
	{
		AN_OBJECT;
		{	/* Reduce/cse.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_samez00(((long) 284483356),
				BSTRING_TO_STRING(BGl_string2149z00zzreduce_csez00));
		}
	}

#ifdef __cplusplus
}
#endif
