/*===========================================================================*/
/*   (Reduce/ftypec.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/ftypec.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1967za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1957z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21973z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1959z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1969za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1947z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz121944za2zzreduce_flowzd2typeczd2(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
		BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1982z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t, obj_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121977zb0zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1971z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1961z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1975za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1949z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1953z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1963z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2select1965z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1951za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1980za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1955z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72223za7,
		BGl_z62nodezd2typecz12zd2sequence1947z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72224za7,
		BGl_z62nodezd2typecz12zd2sync1949z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72225za7,
		BGl_z62nodezd2typecz12zd2appzd2ly1951za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72226za7,
		BGl_z62nodezd2typecz12zd2funcall1953z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72227za7,
		BGl_z62nodezd2typecz12zd2extern1955z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72228za7,
		BGl_z62nodezd2typecz12zd2cast1957z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72229za7,
		BGl_z62nodezd2typecz12zd2setq1959z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72230za7,
		BGl_z62nodezd2typecz12zd2conditio1961z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72231za7,
		BGl_z62nodezd2typecz12zd2fail1963z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72232za7,
		BGl_z62nodezd2typecz12zd2select1965z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72233za7,
		BGl_z62nodezd2typecz12zd2letzd2fun1967za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72234za7,
		BGl_z62nodezd2typecz12zd2letzd2var1969za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72235za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1971z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72236za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21973z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72237za7,
		BGl_z62nodezd2typecz12zd2makezd2box1975za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72238za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz121977zb0zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72239za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref1980za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72240za7,
		BGl_z62nodezd2typecz12zd2app1982z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2194z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2194za700za7za7r2241za7, "      flow type check        ", 29);
	      DEFINE_STRING(BGl_string2195z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2195za700za7za7r2242za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2196z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2196za700za7za7r2243za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string2197z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2197za700za7za7r2244za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string2199z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2199za700za7za7r2245za7, "node-typec!1944", 15);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72246za7,
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2201z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2201za700za7za7r2247za7, "node-typec!", 11);
	      DEFINE_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2219za700za7za7r2248za7, "reduce_flow-typec", 17);
	      DEFINE_STRING(BGl_string2220z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string2220za700za7za7r2249za7, "read done ", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza72250za7,
		BGl_z62nodezd2typecz121944za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2flowzd2typezd2checkz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762reduceza7d2flow2251z00,
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long
		BgL_checksumz00_2835, char *BgL_fromz00_2836)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2))
				{
					BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_flow-typec");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			{	/* Reduce/ftypec.scm 15 */
				obj_t BgL_cportz00_2825;

				BgL_cportz00_2825 =
					bgl_open_input_string(BGl_string2220z00zzreduce_flowzd2typeczd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_2826;

					BgL_iz00_2826 = ((long) 1);
				BgL_loopz00_2827:
					if ((BgL_iz00_2826 == ((long) -1)))
						{	/* Reduce/ftypec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/ftypec.scm 15 */
							{	/* Reduce/ftypec.scm 15 */
								obj_t BgL_arg2222z00_2829;

								{	/* Reduce/ftypec.scm 15 */

									{	/* Reduce/ftypec.scm 15 */
										obj_t BgL_locationz00_2831;

										BgL_locationz00_2831 = BBOOL(((bool_t) 0));
										{	/* Reduce/ftypec.scm 15 */

											BgL_arg2222z00_2829 =
												BGl_readz00zz__readerz00(BgL_cportz00_2825,
												BgL_locationz00_2831);
										}
									}
								}
								{	/* Reduce/ftypec.scm 15 */
									int BgL_auxz00_2857;

									BgL_auxz00_2857 = (int) (BgL_iz00_2826);
									CNST_TABLE_SET(BgL_auxz00_2857, BgL_arg2222z00_2829);
							}}
							{	/* Reduce/ftypec.scm 15 */
								int BgL_auxz00_2832;

								BgL_auxz00_2832 = (int) ((BgL_iz00_2826 - ((long) 1)));
								{
									long BgL_iz00_2862;

									BgL_iz00_2862 = (long) (BgL_auxz00_2832);
									BgL_iz00_2826 = BgL_iz00_2862;
									goto BgL_loopz00_2827;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2 =
				((long) 0);
			BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2 = ((long) 0);
			return BUNSPEC;
		}
	}



/* reduce-flow-type-check! */
	BGL_EXPORTED_DEF obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 54 */
			{	/* Reduce/ftypec.scm 55 */
				obj_t BgL_list1987z00_1470;

				BgL_list1987z00_1470 =
					MAKE_PAIR(BGl_string2194z00zzreduce_flowzd2typeczd2, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1987z00_1470);
			}
			{
				obj_t BgL_l1933z00_1472;

				BgL_l1933z00_1472 = BgL_globalsz00_3;
			BgL_zc3anonymousza31988ze3z83_1473:
				if (PAIRP(BgL_l1933z00_1472))
					{	/* Reduce/ftypec.scm 56 */
						{	/* Reduce/ftypec.scm 57 */
							obj_t BgL_globalz00_1475;

							BgL_globalz00_1475 = CAR(BgL_l1933z00_1472);
							{	/* Reduce/ftypec.scm 57 */
								BgL_valuez00_bglt BgL_funz00_1476;

								BgL_funz00_1476 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1475))))->
									BgL_valuez00);
								{	/* Reduce/ftypec.scm 57 */
									obj_t BgL_nodez00_1477;

									BgL_nodez00_1477 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1476)))->BgL_bodyz00);
									{	/* Reduce/ftypec.scm 58 */

										{	/* Reduce/ftypec.scm 59 */
											BgL_nodez00_bglt BgL_arg1990z00_1478;

											BgL_arg1990z00_1478 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_nodez00_1477), BNIL);
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1476)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1990z00_1478)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1933z00_2880;

							BgL_l1933z00_2880 = CDR(BgL_l1933z00_1472);
							BgL_l1933z00_1472 = BgL_l1933z00_2880;
							goto BgL_zc3anonymousza31988ze3z83_1473;
						}
					}
				else
					{	/* Reduce/ftypec.scm 56 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/ftypec.scm 62 */
				obj_t BgL_list1992z00_1481;

				{	/* Reduce/ftypec.scm 62 */
					obj_t BgL_arg1993z00_1482;

					{	/* Reduce/ftypec.scm 62 */
						obj_t BgL_arg1994z00_1483;

						{	/* Reduce/ftypec.scm 62 */
							obj_t BgL_arg1995z00_1484;

							{	/* Reduce/ftypec.scm 62 */
								obj_t BgL_arg1996z00_1485;

								BgL_arg1996z00_1485 =
									MAKE_PAIR(BGl_string2195z00zzreduce_flowzd2typeczd2, BNIL);
								BgL_arg1995z00_1484 =
									MAKE_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2),
									BgL_arg1996z00_1485);
							}
							BgL_arg1994z00_1483 =
								MAKE_PAIR(BGl_string2196z00zzreduce_flowzd2typeczd2,
								BgL_arg1995z00_1484);
						}
						BgL_arg1993z00_1482 =
							MAKE_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2),
							BgL_arg1994z00_1483);
					}
					BgL_list1992z00_1481 =
						MAKE_PAIR(BGl_string2197z00zzreduce_flowzd2typeczd2,
						BgL_arg1993z00_1482);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1992z00_1481);
			}
			return BgL_globalsz00_3;
		}
	}



/* &reduce-flow-type-check! */
	obj_t BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2744, obj_t BgL_globalsz00_2745)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 54 */
			return
				BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2
				(BgL_globalsz00_2745);
		}
	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t
		BgL_nodeza2za2_40, obj_t BgL_stackz00_41)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 303 */
			{
				obj_t BgL_nodeza2za2_1487;

				BgL_nodeza2za2_1487 = BgL_nodeza2za2_40;
			BgL_zc3anonymousza31997ze3z83_1488:
				if (NULLP(BgL_nodeza2za2_1487))
					{	/* Reduce/ftypec.scm 305 */
						return CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Reduce/ftypec.scm 305 */
						{	/* Reduce/ftypec.scm 308 */
							BgL_nodez00_bglt BgL_arg1999z00_1490;

							{	/* Reduce/ftypec.scm 308 */
								obj_t BgL_arg2000z00_1491;

								BgL_arg2000z00_1491 = CAR(BgL_nodeza2za2_1487);
								BgL_arg1999z00_1490 =
									BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
									((BgL_nodez00_bglt) BgL_arg2000z00_1491), BgL_stackz00_41);
							}
							{	/* Reduce/ftypec.scm 308 */
								obj_t BgL_auxz00_2898;

								BgL_auxz00_2898 = ((obj_t) BgL_arg1999z00_1490);
								SET_CAR(BgL_nodeza2za2_1487, BgL_auxz00_2898);
							}
						}
						{
							obj_t BgL_nodeza2za2_2901;

							BgL_nodeza2za2_2901 = CDR(BgL_nodeza2za2_1487);
							BgL_nodeza2za2_1487 = BgL_nodeza2za2_2901;
							goto BgL_zc3anonymousza31997ze3z83_1488;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_proc2198z00zzreduce_flowzd2typeczd2, BGl_nodez00zzast_nodez00,
				BGl_string2199z00zzreduce_flowzd2typeczd2);
		}
	}



/* &node-typec!1944 */
	BgL_nodez00_bglt BGl_z62nodezd2typecz121944za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2747, obj_t BgL_nodez00_2748, obj_t BgL_stackz00_2749)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			return ((BgL_nodez00_bglt) BgL_nodez00_2748);
		}
	}



/* node-typec! */
	BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			{	/* Reduce/ftypec.scm 76 */
				obj_t BgL_method1945z00_1499;

				{	/* Reduce/ftypec.scm 76 */
					obj_t BgL_res2176z00_2643;

					{	/* Reduce/ftypec.scm 76 */
						long BgL_objzd2classzd2numz00_2616;

						{	/* Reduce/ftypec.scm 76 */
							long BgL_res2170z00_2619;

							BgL_res2170z00_2619 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
							BgL_objzd2classzd2numz00_2616 = BgL_res2170z00_2619;
						}
						{	/* Reduce/ftypec.scm 76 */
							obj_t BgL_arg1769z00_2617;

							BgL_arg1769z00_2617 =
								PROCEDURE_REF
								(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
								(int) (((long) 1)));
							{	/* Reduce/ftypec.scm 76 */
								int BgL_offsetz00_2621;

								BgL_offsetz00_2621 = (int) (BgL_objzd2classzd2numz00_2616);
								{	/* Reduce/ftypec.scm 76 */
									long BgL_offsetz00_2622;

									BgL_offsetz00_2622 =
										((long) (BgL_offsetz00_2621) - OBJECT_TYPE);
									{	/* Reduce/ftypec.scm 76 */
										long BgL_modz00_2623;

										{	/* Reduce/ftypec.scm 76 */
											int BgL_arg1771z00_2624;

											BgL_arg1771z00_2624 = (int) (((long) 16));
											{	/* Reduce/ftypec.scm 76 */
												long BgL_res2173z00_2634;

												{	/* Reduce/ftypec.scm 76 */
													long BgL_auxz00_2913;

													BgL_auxz00_2913 = (long) (BgL_arg1771z00_2624);
													BgL_res2173z00_2634 =
														(BgL_offsetz00_2622 / BgL_auxz00_2913);
												}
												BgL_modz00_2623 = BgL_res2173z00_2634;
										}}
										{	/* Reduce/ftypec.scm 76 */
											long BgL_restz00_2625;

											{	/* Reduce/ftypec.scm 76 */
												int BgL_arg1770z00_2626;

												BgL_arg1770z00_2626 = (int) (((long) 16));
												{	/* Reduce/ftypec.scm 76 */
													long BgL_res2175z00_2638;

													{	/* Reduce/ftypec.scm 76 */
														long BgL_auxz00_2917;

														BgL_auxz00_2917 = (long) (BgL_arg1770z00_2626);
														BgL_res2175z00_2638 =
															(BgL_offsetz00_2622 % BgL_auxz00_2917);
													}
													BgL_restz00_2625 = BgL_res2175z00_2638;
											}}
											{	/* Reduce/ftypec.scm 76 */

												BgL_res2176z00_2643 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2617,
														(int) (BgL_modz00_2623)), (int) (BgL_restz00_2625));
					}}}}}}}
					BgL_method1945z00_1499 = BgL_res2176z00_2643;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1945z00_1499) (BgL_method1945z00_1499,
						((obj_t) BgL_nodez00_4), BgL_stackz00_5, BEOA));
			}
		}
	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2750, obj_t BgL_nodez00_2751, obj_t BgL_stackz00_2752)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 76 */
			return
				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
				((BgL_nodez00_bglt) BgL_nodez00_2751), BgL_stackz00_2752);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_sequencez00zzast_nodez00, BGl_proc2200z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_syncz00zzast_nodez00, BGl_proc2202z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2203z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_funcallz00zzast_nodez00, BGl_proc2204z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_externz00zzast_nodez00, BGl_proc2205z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_castz00zzast_nodez00, BGl_proc2206z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setqz00zzast_nodez00, BGl_proc2207z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc2208z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_failz00zzast_nodez00, BGl_proc2209z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_selectz00zzast_nodez00, BGl_proc2210z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2211z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2212z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc2213z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2214z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2215z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc2216z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2217z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appz00zzast_nodez00, BGl_proc2218z00zzreduce_flowzd2typeczd2,
				BGl_string2201z00zzreduce_flowzd2typeczd2);
		}
	}



/* &node-typec!-app1982 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1982z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2771, obj_t BgL_nodez00_2772, obj_t BgL_stackz00_2773)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 319 */
			{
				BgL_appz00_bglt BgL_nodez00_1742;
				obj_t BgL_stackz00_1743;

				BgL_nodez00_1742 = ((BgL_appz00_bglt) BgL_nodez00_2772);
				BgL_stackz00_1743 = BgL_stackz00_2773;
				BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1742))->BgL_argsz00),
					BgL_stackz00_1743);
				return ((BgL_nodez00_bglt) BgL_nodez00_1742);
			}
		}
	}



/* &node-typec!-box-ref1980 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1980za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2774, obj_t BgL_nodez00_2775, obj_t BgL_stackz00_2776)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 295 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1735;
				obj_t BgL_stackz00_1736;

				BgL_nodez00_1735 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2775);
				BgL_stackz00_1736 = BgL_stackz00_2776;
				{
					BgL_varz00_bglt BgL_auxz00_2955;

					{	/* Reduce/ftypec.scm 297 */
						BgL_varz00_bglt BgL_arg2100z00_2731;

						BgL_arg2100z00_2731 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1735))->BgL_varz00);
						BgL_auxz00_2955 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
								((BgL_nodez00_bglt) BgL_arg2100z00_2731), BgL_stackz00_1736));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1735))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2955), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1735);
			}
		}
	}



/* &node-typec!-box-set!1977 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121977zb0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2777, obj_t BgL_nodez00_2778, obj_t BgL_stackz00_2779)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 286 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1727;
				obj_t BgL_stackz00_1728;

				BgL_nodez00_1727 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2778);
				BgL_stackz00_1728 = BgL_stackz00_2779;
				{
					BgL_varz00_bglt BgL_auxz00_2963;

					{	/* Reduce/ftypec.scm 288 */
						BgL_varz00_bglt BgL_arg2098z00_1732;

						BgL_arg2098z00_1732 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1727))->BgL_varz00);
						BgL_auxz00_2963 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
								((BgL_nodez00_bglt) BgL_arg2098z00_1732), BgL_stackz00_1728));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1727))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2963), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2969;

					{	/* Reduce/ftypec.scm 289 */
						BgL_nodez00_bglt BgL_arg2099z00_1733;

						BgL_arg2099z00_1733 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1727))->
							BgL_valuez00);
						BgL_auxz00_2969 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2099z00_1733, BgL_stackz00_1728);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1727))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2969), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1727);
			}
		}
	}



/* &node-typec!-make-box1975 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1975za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2780, obj_t BgL_nodez00_2781, obj_t BgL_stackz00_2782)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 278 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1720;
				obj_t BgL_stackz00_1721;

				BgL_nodez00_1720 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2781);
				BgL_stackz00_1721 = BgL_stackz00_2782;
				{
					BgL_nodez00_bglt BgL_auxz00_2975;

					{	/* Reduce/ftypec.scm 280 */
						BgL_nodez00_bglt BgL_arg2097z00_2729;

						BgL_arg2097z00_2729 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1720))->BgL_valuez00);
						BgL_auxz00_2975 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2097z00_2729, BgL_stackz00_1721);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1720))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_2975), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1720);
			}
		}
	}



/* &node-typec!-jump-ex-1973 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21973z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2783, obj_t BgL_nodez00_2784, obj_t BgL_stackz00_2785)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 269 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1712;
				obj_t BgL_stackz00_1713;

				BgL_nodez00_1712 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2784);
				BgL_stackz00_1713 = BgL_stackz00_2785;
				{
					BgL_nodez00_bglt BgL_auxz00_2981;

					{	/* Reduce/ftypec.scm 271 */
						BgL_nodez00_bglt BgL_arg2095z00_1717;

						BgL_arg2095z00_1717 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1712))->
							BgL_exitz00);
						BgL_auxz00_2981 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2095z00_1717, BgL_stackz00_1713);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1712))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2981), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_2985;

					{	/* Reduce/ftypec.scm 272 */
						BgL_nodez00_bglt BgL_arg2096z00_1718;

						BgL_arg2096z00_1718 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1712))->
							BgL_valuez00);
						BgL_auxz00_2985 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2096z00_1718, BgL_stackz00_1713);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1712))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2985), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1712);
			}
		}
	}



/* &node-typec!-set-ex-i1971 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1971z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2786, obj_t BgL_nodez00_2787, obj_t BgL_stackz00_2788)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 260 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1704;
				obj_t BgL_stackz00_1705;

				BgL_nodez00_1704 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2787);
				BgL_stackz00_1705 = BgL_stackz00_2788;
				{
					BgL_nodez00_bglt BgL_auxz00_2991;

					{	/* Reduce/ftypec.scm 262 */
						BgL_nodez00_bglt BgL_arg2093z00_1709;

						BgL_arg2093z00_1709 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1704))->
							BgL_bodyz00);
						BgL_auxz00_2991 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2093z00_1709, BgL_stackz00_1705);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1704))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2991), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_2995;

					{	/* Reduce/ftypec.scm 263 */
						BgL_varz00_bglt BgL_arg2094z00_1710;

						BgL_arg2094z00_1710 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1704))->
							BgL_varz00);
						BgL_auxz00_2995 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(((BgL_nodez00_bglt)
									BgL_arg2094z00_1710), BgL_stackz00_1705));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1704))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_2995), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1704);
			}
		}
	}



/* &node-typec!-let-var1969 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1969za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2789, obj_t BgL_nodez00_2790, obj_t BgL_stackz00_2791)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 249 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1687;
				obj_t BgL_stackz00_1688;

				BgL_nodez00_1687 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2790);
				BgL_stackz00_1688 = BgL_stackz00_2791;
				{	/* Reduce/ftypec.scm 251 */
					obj_t BgL_g1943z00_1692;

					BgL_g1943z00_1692 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1687))->BgL_bindingsz00);
					{
						obj_t BgL_l1941z00_1694;

						BgL_l1941z00_1694 = BgL_g1943z00_1692;
					BgL_zc3anonymousza32086ze3z83_1695:
						if (PAIRP(BgL_l1941z00_1694))
							{	/* Reduce/ftypec.scm 251 */
								{	/* Reduce/ftypec.scm 252 */
									obj_t BgL_bindingz00_1697;

									BgL_bindingz00_1697 = CAR(BgL_l1941z00_1694);
									{	/* Reduce/ftypec.scm 252 */
										BgL_nodez00_bglt BgL_arg2089z00_1698;

										{	/* Reduce/ftypec.scm 252 */
											obj_t BgL_arg2090z00_1699;

											BgL_arg2090z00_1699 = CDR(BgL_bindingz00_1697);
											BgL_arg2089z00_1698 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_arg2090z00_1699),
												BgL_stackz00_1688);
										}
										{	/* Reduce/ftypec.scm 252 */
											obj_t BgL_auxz00_3010;

											BgL_auxz00_3010 = ((obj_t) BgL_arg2089z00_1698);
											SET_CDR(BgL_bindingz00_1697, BgL_auxz00_3010);
										}
									}
								}
								{
									obj_t BgL_l1941z00_3013;

									BgL_l1941z00_3013 = CDR(BgL_l1941z00_1694);
									BgL_l1941z00_1694 = BgL_l1941z00_3013;
									goto BgL_zc3anonymousza32086ze3z83_1695;
								}
							}
						else
							{	/* Reduce/ftypec.scm 251 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3015;

					{	/* Reduce/ftypec.scm 254 */
						BgL_nodez00_bglt BgL_arg2092z00_1702;

						BgL_arg2092z00_1702 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1687))->BgL_bodyz00);
						BgL_auxz00_3015 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2092z00_1702, BgL_stackz00_1688);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1687))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3015), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1687);
			}
		}
	}



/* &node-typec!-let-fun1967 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1967za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2792, obj_t BgL_nodez00_2793, obj_t BgL_stackz00_2794)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 237 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1669;
				obj_t BgL_stackz00_1670;

				BgL_nodez00_1669 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2793);
				BgL_stackz00_1670 = BgL_stackz00_2794;
				{	/* Reduce/ftypec.scm 239 */
					obj_t BgL_g1940z00_1674;

					BgL_g1940z00_1674 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1669))->BgL_localsz00);
					{
						obj_t BgL_l1938z00_1676;

						BgL_l1938z00_1676 = BgL_g1940z00_1674;
					BgL_zc3anonymousza32079ze3z83_1677:
						if (PAIRP(BgL_l1938z00_1676))
							{	/* Reduce/ftypec.scm 239 */
								{	/* Reduce/ftypec.scm 240 */
									obj_t BgL_localz00_1679;

									BgL_localz00_1679 = CAR(BgL_l1938z00_1676);
									{	/* Reduce/ftypec.scm 240 */
										BgL_valuez00_bglt BgL_funz00_1680;

										BgL_funz00_1680 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1679))))->
											BgL_valuez00);
										{	/* Reduce/ftypec.scm 241 */
											BgL_nodez00_bglt BgL_arg2081z00_1681;

											{	/* Reduce/ftypec.scm 241 */
												obj_t BgL_arg2083z00_1682;

												BgL_arg2083z00_1682 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1680)))->
													BgL_bodyz00);
												BgL_arg2081z00_1681 =
													BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2((
														(BgL_nodez00_bglt) BgL_arg2083z00_1682),
													BgL_stackz00_1670);
											}
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1680)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg2081z00_1681)), BUNSPEC);
										}
									}
								}
								{
									obj_t BgL_l1938z00_3035;

									BgL_l1938z00_3035 = CDR(BgL_l1938z00_1676);
									BgL_l1938z00_1676 = BgL_l1938z00_3035;
									goto BgL_zc3anonymousza32079ze3z83_1677;
								}
							}
						else
							{	/* Reduce/ftypec.scm 239 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3037;

					{	/* Reduce/ftypec.scm 243 */
						BgL_nodez00_bglt BgL_arg2085z00_1685;

						BgL_arg2085z00_1685 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1669))->BgL_bodyz00);
						BgL_auxz00_3037 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2085z00_1685, BgL_stackz00_1670);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1669))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3037), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1669);
			}
		}
	}



/* &node-typec!-select1965 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2select1965z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2795, obj_t BgL_nodez00_2796, obj_t BgL_stackz00_2797)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 226 */
			{
				BgL_selectz00_bglt BgL_nodez00_1652;
				obj_t BgL_stackz00_1653;

				BgL_nodez00_1652 = ((BgL_selectz00_bglt) BgL_nodez00_2796);
				BgL_stackz00_1653 = BgL_stackz00_2797;
				{
					BgL_nodez00_bglt BgL_auxz00_3043;

					{	/* Reduce/ftypec.scm 228 */
						BgL_nodez00_bglt BgL_arg2073z00_1657;

						BgL_arg2073z00_1657 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1652))->BgL_testz00);
						BgL_auxz00_3043 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2073z00_1657, BgL_stackz00_1653);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1652))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3043), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 229 */
					obj_t BgL_g1937z00_1658;

					BgL_g1937z00_1658 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1652))->BgL_clausesz00);
					{
						obj_t BgL_l1935z00_1660;

						BgL_l1935z00_1660 = BgL_g1937z00_1658;
					BgL_zc3anonymousza32074ze3z83_1661:
						if (PAIRP(BgL_l1935z00_1660))
							{	/* Reduce/ftypec.scm 229 */
								{	/* Reduce/ftypec.scm 230 */
									obj_t BgL_clausez00_1663;

									BgL_clausez00_1663 = CAR(BgL_l1935z00_1660);
									{	/* Reduce/ftypec.scm 230 */
										BgL_nodez00_bglt BgL_arg2076z00_1664;

										{	/* Reduce/ftypec.scm 230 */
											obj_t BgL_arg2077z00_1665;

											BgL_arg2077z00_1665 = CDR(BgL_clausez00_1663);
											BgL_arg2076z00_1664 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_arg2077z00_1665),
												BgL_stackz00_1653);
										}
										{	/* Reduce/ftypec.scm 230 */
											obj_t BgL_auxz00_3054;

											BgL_auxz00_3054 = ((obj_t) BgL_arg2076z00_1664);
											SET_CDR(BgL_clausez00_1663, BgL_auxz00_3054);
										}
									}
								}
								{
									obj_t BgL_l1935z00_3057;

									BgL_l1935z00_3057 = CDR(BgL_l1935z00_1660);
									BgL_l1935z00_1660 = BgL_l1935z00_3057;
									goto BgL_zc3anonymousza32074ze3z83_1661;
								}
							}
						else
							{	/* Reduce/ftypec.scm 229 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1652);
			}
		}
	}



/* &node-typec!-fail1963 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1963z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2798, obj_t BgL_nodez00_2799, obj_t BgL_stackz00_2800)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 216 */
			{
				BgL_failz00_bglt BgL_nodez00_1643;
				obj_t BgL_stackz00_1644;

				BgL_nodez00_1643 = ((BgL_failz00_bglt) BgL_nodez00_2799);
				BgL_stackz00_1644 = BgL_stackz00_2800;
				{
					BgL_nodez00_bglt BgL_auxz00_3061;

					{	/* Reduce/ftypec.scm 218 */
						BgL_nodez00_bglt BgL_arg2070z00_1648;

						BgL_arg2070z00_1648 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1643))->BgL_procz00);
						BgL_auxz00_3061 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2070z00_1648, BgL_stackz00_1644);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1643))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3061), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3065;

					{	/* Reduce/ftypec.scm 219 */
						BgL_nodez00_bglt BgL_arg2071z00_1649;

						BgL_arg2071z00_1649 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1643))->BgL_msgz00);
						BgL_auxz00_3065 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2071z00_1649, BgL_stackz00_1644);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1643))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3065), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3069;

					{	/* Reduce/ftypec.scm 220 */
						BgL_nodez00_bglt BgL_arg2072z00_1650;

						BgL_arg2072z00_1650 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1643))->BgL_objz00);
						BgL_auxz00_3069 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2072z00_1650, BgL_stackz00_1644);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1643))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3069), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1643);
			}
		}
	}



/* &node-typec!-conditio1961 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1961z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2801, obj_t BgL_nodez00_2802, obj_t BgL_stackz00_2803)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 143 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1554;
				obj_t BgL_stackz00_1555;

				BgL_nodez00_1554 = ((BgL_conditionalz00_bglt) BgL_nodez00_2802);
				BgL_stackz00_1555 = BgL_stackz00_2803;
				{
					BgL_nodez00_bglt BgL_nodez00_1613;

					{
						BgL_nodez00_bglt BgL_auxz00_3075;

						{	/* Reduce/ftypec.scm 187 */
							BgL_nodez00_bglt BgL_arg2019z00_1561;

							BgL_arg2019z00_1561 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1554))->
								BgL_testz00);
							BgL_auxz00_3075 =
								BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
								(BgL_arg2019z00_1561, BgL_stackz00_1555);
						}
						((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1554))->BgL_testz00) =
							((BgL_nodez00_bglt) BgL_auxz00_3075), BUNSPEC);
					}
					{	/* Reduce/ftypec.scm 188 */
						obj_t BgL_typecz00_1562;

						BgL_nodez00_1613 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1554))->BgL_testz00);
						{	/* Reduce/ftypec.scm 145 */
							bool_t BgL_testz00_3079;

							{	/* Reduce/ftypec.scm 145 */
								bool_t BgL_res2177z00_2651;

								BgL_res2177z00_2651 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_nodez00_1613), BGl_appz00zzast_nodez00);
								BgL_testz00_3079 = BgL_res2177z00_2651;
							}
							if (BgL_testz00_3079)
								{	/* Reduce/ftypec.scm 147 */
									obj_t BgL_g1109z00_1616;

									BgL_g1109z00_1616 =
										BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_1613);
									if (CBOOL(BgL_g1109z00_1616))
										{	/* Reduce/ftypec.scm 151 */
											bool_t BgL_testz00_3085;

											{	/* Reduce/ftypec.scm 151 */
												obj_t BgL_arg2058z00_1621;

												{	/* Reduce/ftypec.scm 151 */
													obj_t BgL_pairz00_2652;

													BgL_pairz00_2652 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_nodez00_1613)))->
														BgL_argsz00);
													BgL_arg2058z00_1621 = CAR(BgL_pairz00_2652);
												}
												BgL_testz00_3085 =
													BGl_isazf3zf3zz__objectz00(BgL_arg2058z00_1621,
													BGl_varz00zzast_nodez00);
											}
											if (BgL_testz00_3085)
												{	/* Reduce/ftypec.scm 151 */
													BgL_typecz00_1562 = BgL_g1109z00_1616;
												}
											else
												{	/* Reduce/ftypec.scm 151 */
													BgL_typecz00_1562 = BFALSE;
												}
										}
									else
										{	/* Reduce/ftypec.scm 155 */
											bool_t BgL_testz00_3090;

											{	/* Reduce/ftypec.scm 155 */
												obj_t BgL_auxz00_3091;

												BgL_auxz00_3091 =
													(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_nodez00_1613)))->
													BgL_argsz00);
												BgL_testz00_3090 = PAIRP(BgL_auxz00_3091);
											}
											if (BgL_testz00_3090)
												{	/* Reduce/ftypec.scm 156 */
													bool_t BgL_testz00_3095;

													{	/* Reduce/ftypec.scm 156 */
														obj_t BgL_auxz00_3096;

														{	/* Reduce/ftypec.scm 156 */
															obj_t BgL_pairz00_2657;

															BgL_pairz00_2657 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_nodez00_1613)))->
																BgL_argsz00);
															BgL_auxz00_3096 = CDR(BgL_pairz00_2657);
														}
														BgL_testz00_3095 = NULLP(BgL_auxz00_3096);
													}
													if (BgL_testz00_3095)
														{	/* Reduce/ftypec.scm 157 */
															bool_t BgL_testz00_3101;

															{	/* Reduce/ftypec.scm 157 */
																obj_t BgL_arg2065z00_1636;

																{	/* Reduce/ftypec.scm 157 */
																	obj_t BgL_pairz00_2660;

																	BgL_pairz00_2660 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_nodez00_1613)))->
																		BgL_argsz00);
																	BgL_arg2065z00_1636 = CAR(BgL_pairz00_2660);
																}
																BgL_testz00_3101 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2065z00_1636,
																	BGl_varz00zzast_nodez00);
															}
															if (BgL_testz00_3101)
																{	/* Reduce/ftypec.scm 158 */
																	bool_t BgL_testz00_3106;

																	{	/* Reduce/ftypec.scm 158 */
																		obj_t BgL_auxz00_3107;

																		{
																			BgL_variablez00_bglt BgL_auxz00_3108;

																			{
																				BgL_varz00_bglt BgL_auxz00_3109;

																				{	/* Reduce/ftypec.scm 158 */
																					obj_t BgL_pairz00_2663;

																					BgL_pairz00_2663 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_nodez00_1613)))->
																						BgL_argsz00);
																					BgL_auxz00_3109 =
																						((BgL_varz00_bglt)
																						CAR(BgL_pairz00_2663));
																				}
																				BgL_auxz00_3108 =
																					(((BgL_varz00_bglt)
																						CREF(BgL_auxz00_3109))->
																					BgL_variablez00);
																			}
																			BgL_auxz00_3107 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_3108))->
																				BgL_accessz00);
																		}
																		BgL_testz00_3106 =
																			(BgL_auxz00_3107 ==
																			CNST_TABLE_REF(((long) 1)));
																	}
																	if (BgL_testz00_3106)
																		{	/* Reduce/ftypec.scm 161 */

																			BgL_typecz00_1562 =
																				(((BgL_funz00_bglt) CREF(
																						((BgL_funz00_bglt)
																							(((BgL_variablez00_bglt) CREF(
																										(((BgL_varz00_bglt) CREF(
																													(((BgL_appz00_bglt)
																															CREF((
																																	(BgL_appz00_bglt)
																																	BgL_nodez00_1613)))->
																														BgL_funz00)))->
																											BgL_variablez00)))->
																								BgL_valuez00))))->
																				BgL_predicatezd2ofzd2);
																		}
																	else
																		{	/* Reduce/ftypec.scm 158 */
																			BgL_typecz00_1562 = BFALSE;
																		}
																}
															else
																{	/* Reduce/ftypec.scm 157 */
																	BgL_typecz00_1562 = BFALSE;
																}
														}
													else
														{	/* Reduce/ftypec.scm 156 */
															BgL_typecz00_1562 = BFALSE;
														}
												}
											else
												{	/* Reduce/ftypec.scm 155 */
													BgL_typecz00_1562 = BFALSE;
												}
										}
								}
							else
								{	/* Reduce/ftypec.scm 145 */
									BgL_typecz00_1562 = BFALSE;
								}
						}
						if (BGl_isazf3zf3zz__objectz00(BgL_typecz00_1562,
								BGl_typez00zztype_typez00))
							{	/* Reduce/ftypec.scm 194 */
								obj_t BgL_argsz00_1564;

								BgL_argsz00_1564 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt)
												(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1554))->
													BgL_testz00))))->BgL_argsz00);
								{	/* Reduce/ftypec.scm 194 */
									BgL_variablez00_bglt BgL_varz00_1565;

									BgL_varz00_1565 =
										(((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt)
													CAR(BgL_argsz00_1564))))->BgL_variablez00);
									{	/* Reduce/ftypec.scm 195 */
										obj_t BgL_typesz00_1566;

										BgL_typesz00_1566 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_varz00_1565), BgL_stackz00_1555);
										{	/* Reduce/ftypec.scm 196 */
											obj_t BgL_tzd2stackzd2_1567;

											{	/* Reduce/ftypec.scm 197 */
												obj_t BgL_arg2032z00_1579;

												{	/* Reduce/ftypec.scm 197 */
													obj_t BgL_arg2033z00_1580;

													BgL_arg2033z00_1580 =
														MAKE_PAIR(BgL_typecz00_1562, BTRUE);
													BgL_arg2032z00_1579 =
														MAKE_PAIR(
														((obj_t) BgL_varz00_1565), BgL_arg2033z00_1580);
												}
												BgL_tzd2stackzd2_1567 =
													MAKE_PAIR(BgL_arg2032z00_1579, BgL_stackz00_1555);
											}
											{	/* Reduce/ftypec.scm 197 */
												obj_t BgL_fzd2stackzd2_1568;

												{	/* Reduce/ftypec.scm 198 */
													obj_t BgL_arg2029z00_1577;

													{	/* Reduce/ftypec.scm 198 */
														obj_t BgL_arg2030z00_1578;

														BgL_arg2030z00_1578 =
															MAKE_PAIR(BgL_typecz00_1562, BFALSE);
														BgL_arg2029z00_1577 =
															MAKE_PAIR(
															((obj_t) BgL_varz00_1565), BgL_arg2030z00_1578);
													}
													BgL_fzd2stackzd2_1568 =
														MAKE_PAIR(BgL_arg2029z00_1577, BgL_stackz00_1555);
												}
												{	/* Reduce/ftypec.scm 198 */

													{	/* Reduce/ftypec.scm 199 */
														bool_t BgL_testz00_3143;

														if (CBOOL(BgL_typesz00_1566))
															{	/* Reduce/ftypec.scm 199 */
																if (
																	(CAR(CDR(BgL_typesz00_1566)) ==
																		BgL_typecz00_1562))
																	{	/* Reduce/ftypec.scm 199 */
																		BgL_testz00_3143 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/ftypec.scm 199 */
																		BgL_testz00_3143 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/ftypec.scm 199 */
																BgL_testz00_3143 = ((bool_t) 1);
															}
														if (BgL_testz00_3143)
															{	/* Reduce/ftypec.scm 199 */
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2);
																{
																	BgL_nodez00_bglt BgL_auxz00_3151;

																	{	/* Reduce/ftypec.scm 203 */
																		BgL_nodez00_bglt BgL_arg2022z00_1570;

																		BgL_arg2022z00_1570 =
																			(((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1554))->BgL_truez00);
																		BgL_auxz00_3151 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg2022z00_1570,
																			BgL_tzd2stackzd2_1567);
																	}
																	((((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1554))->BgL_truez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3151),
																		BUNSPEC);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_3155;

																	{	/* Reduce/ftypec.scm 204 */
																		BgL_nodez00_bglt BgL_arg2023z00_1571;

																		BgL_arg2023z00_1571 =
																			(((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1554))->BgL_falsez00);
																		BgL_auxz00_3155 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg2023z00_1571,
																			BgL_fzd2stackzd2_1568);
																	}
																	((((BgL_conditionalz00_bglt)
																				CREF(BgL_nodez00_1554))->BgL_falsez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3155),
																		BUNSPEC);
																}
																return ((BgL_nodez00_bglt) BgL_nodez00_1554);
															}
														else
															{	/* Reduce/ftypec.scm 199 */
																BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2
																	=
																	(((long) 1) +
																	BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2);
																{	/* Reduce/ftypec.scm 209 */
																	bool_t BgL_testz00_3161;

																	{	/* Reduce/ftypec.scm 209 */
																		obj_t BgL_pairz00_2701;

																		BgL_pairz00_2701 = CDR(BgL_typesz00_1566);
																		BgL_testz00_3161 =
																			CBOOL(CDR(BgL_pairz00_2701));
																	}
																	if (BgL_testz00_3161)
																		{	/* Reduce/ftypec.scm 209 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						CREF(BgL_nodez00_1554))->
																					BgL_truez00), BgL_tzd2stackzd2_1567);
																		}
																	else
																		{	/* Reduce/ftypec.scm 209 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						CREF(BgL_nodez00_1554))->
																					BgL_falsez00), BgL_fzd2stackzd2_1568);
																		}
																}
															}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Reduce/ftypec.scm 189 */
								{
									BgL_nodez00_bglt BgL_auxz00_3169;

									{	/* Reduce/ftypec.scm 191 */
										BgL_nodez00_bglt BgL_arg2036z00_1583;

										BgL_arg2036z00_1583 =
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1554))->
											BgL_truez00);
										BgL_auxz00_3169 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg2036z00_1583, BgL_stackz00_1555);
									}
									((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1554))->
											BgL_truez00) =
										((BgL_nodez00_bglt) BgL_auxz00_3169), BUNSPEC);
								}
								{
									BgL_nodez00_bglt BgL_auxz00_3173;

									{	/* Reduce/ftypec.scm 192 */
										BgL_nodez00_bglt BgL_arg2037z00_1584;

										BgL_arg2037z00_1584 =
											(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1554))->
											BgL_falsez00);
										BgL_auxz00_3173 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg2037z00_1584, BgL_stackz00_1555);
									}
									((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1554))->
											BgL_falsez00) =
										((BgL_nodez00_bglt) BgL_auxz00_3173), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_nodez00_1554);
							}
					}
				}
			}
		}
	}



/* &node-typec!-setq1959 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1959z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2804, obj_t BgL_nodez00_2805, obj_t BgL_stackz00_2806)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 134 */
			{
				BgL_setqz00_bglt BgL_nodez00_1546;
				obj_t BgL_stackz00_1547;

				BgL_nodez00_1546 = ((BgL_setqz00_bglt) BgL_nodez00_2805);
				BgL_stackz00_1547 = BgL_stackz00_2806;
				{
					BgL_nodez00_bglt BgL_auxz00_3179;

					{	/* Reduce/ftypec.scm 136 */
						BgL_nodez00_bglt BgL_arg2016z00_1551;

						BgL_arg2016z00_1551 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1546))->BgL_valuez00);
						BgL_auxz00_3179 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2016z00_1551, BgL_stackz00_1547);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1546))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3179), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_3183;

					{	/* Reduce/ftypec.scm 137 */
						BgL_varz00_bglt BgL_arg2017z00_1552;

						BgL_arg2017z00_1552 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1546))->BgL_varz00);
						BgL_auxz00_3183 =
							((BgL_varz00_bglt)
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
								((BgL_nodez00_bglt) BgL_arg2017z00_1552), BgL_stackz00_1547));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1546))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3183), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1546);
			}
		}
	}



/* &node-typec!-cast1957 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1957z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2807, obj_t BgL_nodez00_2808, obj_t BgL_stackz00_2809)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 126 */
			{
				BgL_castz00_bglt BgL_nodez00_1539;
				obj_t BgL_stackz00_1540;

				BgL_nodez00_1539 = ((BgL_castz00_bglt) BgL_nodez00_2808);
				BgL_stackz00_1540 = BgL_stackz00_2809;
				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1539))->BgL_argz00),
					BgL_stackz00_1540);
				return ((BgL_nodez00_bglt) BgL_nodez00_1539);
			}
		}
	}



/* &node-typec!-extern1955 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1955z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2810, obj_t BgL_nodez00_2811, obj_t BgL_stackz00_2812)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 118 */
			{
				BgL_externz00_bglt BgL_nodez00_1532;
				obj_t BgL_stackz00_1533;

				BgL_nodez00_1532 = ((BgL_externz00_bglt) BgL_nodez00_2811);
				BgL_stackz00_1533 = BgL_stackz00_2812;
				BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1532))->BgL_exprza2za2),
					BgL_stackz00_1533);
				return ((BgL_nodez00_bglt) BgL_nodez00_1532);
			}
		}
	}



/* &node-typec!-funcall1953 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1953z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2813, obj_t BgL_nodez00_2814, obj_t BgL_stackz00_2815)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 109 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1524;
				obj_t BgL_stackz00_1525;

				BgL_nodez00_1524 = ((BgL_funcallz00_bglt) BgL_nodez00_2814);
				BgL_stackz00_1525 = BgL_stackz00_2815;
				{
					BgL_nodez00_bglt BgL_auxz00_3199;

					{	/* Reduce/ftypec.scm 111 */
						BgL_nodez00_bglt BgL_arg2011z00_1529;

						BgL_arg2011z00_1529 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1524))->BgL_funz00);
						BgL_auxz00_3199 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2011z00_1529, BgL_stackz00_1525);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1524))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3199), BUNSPEC);
				}
				BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1524))->BgL_argsz00),
					BgL_stackz00_1525);
				return ((BgL_nodez00_bglt) BgL_nodez00_1524);
			}
		}
	}



/* &node-typec!-app-ly1951 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1951za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2816, obj_t BgL_nodez00_2817, obj_t BgL_stackz00_2818)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 100 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1516;
				obj_t BgL_stackz00_1517;

				BgL_nodez00_1516 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2817);
				BgL_stackz00_1517 = BgL_stackz00_2818;
				{
					BgL_nodez00_bglt BgL_auxz00_3207;

					{	/* Reduce/ftypec.scm 102 */
						BgL_nodez00_bglt BgL_arg2009z00_1521;

						BgL_arg2009z00_1521 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1516))->BgL_funz00);
						BgL_auxz00_3207 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2009z00_1521, BgL_stackz00_1517);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1516))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3207), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3211;

					{	/* Reduce/ftypec.scm 103 */
						BgL_nodez00_bglt BgL_arg2010z00_1522;

						BgL_arg2010z00_1522 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1516))->BgL_argz00);
						BgL_auxz00_3211 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2010z00_1522, BgL_stackz00_1517);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1516))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3211), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1516);
			}
		}
	}



/* &node-typec!-sync1949 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1949z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2819, obj_t BgL_nodez00_2820, obj_t BgL_stackz00_2821)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 90 */
			{
				BgL_syncz00_bglt BgL_nodez00_1507;
				obj_t BgL_stackz00_1508;

				BgL_nodez00_1507 = ((BgL_syncz00_bglt) BgL_nodez00_2820);
				BgL_stackz00_1508 = BgL_stackz00_2821;
				{
					BgL_nodez00_bglt BgL_auxz00_3217;

					{	/* Reduce/ftypec.scm 92 */
						BgL_nodez00_bglt BgL_arg2006z00_1512;

						BgL_arg2006z00_1512 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1507))->BgL_mutexz00);
						BgL_auxz00_3217 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2006z00_1512, BgL_stackz00_1508);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1507))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3217), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3221;

					{	/* Reduce/ftypec.scm 93 */
						BgL_nodez00_bglt BgL_arg2007z00_1513;

						BgL_arg2007z00_1513 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1507))->BgL_prelockz00);
						BgL_auxz00_3221 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2007z00_1513, BgL_stackz00_1508);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1507))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3221), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3225;

					{	/* Reduce/ftypec.scm 94 */
						BgL_nodez00_bglt BgL_arg2008z00_1514;

						BgL_arg2008z00_1514 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1507))->BgL_bodyz00);
						BgL_auxz00_3225 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg2008z00_1514, BgL_stackz00_1508);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1507))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3225), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1507);
			}
		}
	}



/* &node-typec!-sequence1947 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1947z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2822, obj_t BgL_nodez00_2823, obj_t BgL_stackz00_2824)
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 82 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1500;
				obj_t BgL_stackz00_1501;

				BgL_nodez00_1500 = ((BgL_sequencez00_bglt) BgL_nodez00_2823);
				BgL_stackz00_1501 = BgL_stackz00_2824;
				BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1500))->BgL_nodesz00),
					BgL_stackz00_1501);
				return ((BgL_nodez00_bglt) BgL_nodez00_1500);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2()
	{
		AN_OBJECT;
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2219z00zzreduce_flowzd2typeczd2));
		}
	}

#ifdef __cplusplus
}
#endif
