/*===========================================================================*/
/*   (Reduce/same.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Reduce/same.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2var1837z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2kwote1835z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_samez00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_samez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2valloc1857z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2condition1861z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2sequence1839z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2cast1859z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2letzd2var1865z43zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2appzd2ly1843z43zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2extern1849z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf31830z43zzreduce_samez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_samez00 = BUNSPEC;
	static obj_t BGl_z62samezd2nodezf3zd2getfield1853z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzreduce_samez00();
	static obj_t BGl_z62samezd2nodezf3zd2atom1833z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2pragma1851z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzreduce_samez00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2setfield1855z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2app1847z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2funcall1845z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2sync1841z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzreduce_samez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00();
	BGL_EXPORTED_DECL bool_t
		BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt, BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2fail1863z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2206za7,
		BGl_z62samezd2nodezf3zd2letzd2var1865z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2182z00zzreduce_samez00,
		BgL_bgl_string2182za700za7za7r2207za7, "same-node?1830", 14);
	      DEFINE_STRING(BGl_string2184z00zzreduce_samez00,
		BgL_bgl_string2184za700za7za7r2208za7, "same-node?", 10);
	      DEFINE_STRING(BGl_string2201z00zzreduce_samez00,
		BgL_bgl_string2201za700za7za7r2209za7, "reduce_same", 11);
	      DEFINE_STRING(BGl_string2202z00zzreduce_samez00,
		BgL_bgl_string2202za700za7za7r2210za7, "read ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2211za7,
		BGl_z62samezd2nodezf31830z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2212za7,
		BGl_z62samezd2nodezf3zd2atom1833z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2213za7,
		BGl_z62samezd2nodezf3zd2kwote1835z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2214za7,
		BGl_z62samezd2nodezf3zd2var1837z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2215za7,
		BGl_z62samezd2nodezf3zd2sequence1839z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2216za7,
		BGl_z62samezd2nodezf3zd2sync1841z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2217za7,
		BGl_z62samezd2nodezf3zd2appzd2ly1843z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2218za7,
		BGl_z62samezd2nodezf3zd2funcall1845z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2219za7,
		BGl_z62samezd2nodezf3zd2app1847z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2220za7,
		BGl_z62samezd2nodezf3zd2extern1849z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2221za7,
		BGl_z62samezd2nodezf3zd2pragma1851z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2222za7,
		BGl_z62samezd2nodezf3zd2getfield1853z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2223za7,
		BGl_z62samezd2nodezf3zd2setfield1855z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2224za7,
		BGl_z62samezd2nodezf3zd2valloc1857z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2225za7,
		BGl_z62samezd2nodezf3zd2cast1859z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2226za7,
		BGl_z62samezd2nodezf3zd2condition1861z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2227za7,
		BGl_z62samezd2nodezf3zd2fail1863z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2228za7,
		BGl_z62samezd2nodezf3z43zzreduce_samez00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long
		BgL_checksumz00_2825, char *BgL_fromz00_2826)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_samez00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_samez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
					BGl_cnstzd2initzd2zzreduce_samez00();
					BGl_importedzd2moduleszd2initz00zzreduce_samez00();
					BGl_genericzd2initzd2zzreduce_samez00();
					BGl_methodzd2initzd2zzreduce_samez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"reduce_same");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			{	/* Reduce/same.scm 15 */
				obj_t BgL_cportz00_2808;

				BgL_cportz00_2808 =
					bgl_open_input_string(BGl_string2202z00zzreduce_samez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2809;

					BgL_iz00_2809 = ((long) 0);
				BgL_loopz00_2810:
					if ((BgL_iz00_2809 == ((long) -1)))
						{	/* Reduce/same.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/same.scm 15 */
							{	/* Reduce/same.scm 15 */
								obj_t BgL_arg2204z00_2812;

								{	/* Reduce/same.scm 15 */

									{	/* Reduce/same.scm 15 */
										obj_t BgL_locationz00_2814;

										BgL_locationz00_2814 = BBOOL(((bool_t) 0));
										{	/* Reduce/same.scm 15 */

											BgL_arg2204z00_2812 =
												BGl_readz00zz__readerz00(BgL_cportz00_2808,
												BgL_locationz00_2814);
										}
									}
								}
								{	/* Reduce/same.scm 15 */
									int BgL_auxz00_2848;

									BgL_auxz00_2848 = (int) (BgL_iz00_2809);
									CNST_TABLE_SET(BgL_auxz00_2848, BgL_arg2204z00_2812);
							}}
							{	/* Reduce/same.scm 15 */
								int BgL_auxz00_2815;

								BgL_auxz00_2815 = (int) ((BgL_iz00_2809 - ((long) 1)));
								{
									long BgL_iz00_2853;

									BgL_iz00_2853 = (long) (BgL_auxz00_2815);
									BgL_iz00_2809 = BgL_iz00_2853;
									goto BgL_loopz00_2810;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			return BUNSPEC;
		}
	}



/* same-node*? */
	bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t BgL_node1z00_57,
		obj_t BgL_node2z00_58, obj_t BgL_aliasz00_59)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 222 */
		BGl_samezd2nodeza2zf3z83zzreduce_samez00:
			if (NULLP(BgL_node1z00_57))
				{	/* Reduce/same.scm 224 */
					return NULLP(BgL_node2z00_58);
				}
			else
				{	/* Reduce/same.scm 224 */
					if (NULLP(BgL_node2z00_58))
						{	/* Reduce/same.scm 226 */
							return ((bool_t) 0);
						}
					else
						{	/* Reduce/same.scm 228 */
							bool_t BgL_testz00_2860;

							{	/* Reduce/same.scm 228 */
								obj_t BgL_arg1874z00_1273;
								obj_t BgL_arg1875z00_1274;

								BgL_arg1874z00_1273 = CAR(BgL_node1z00_57);
								BgL_arg1875z00_1274 = CAR(BgL_node2z00_58);
								BgL_testz00_2860 =
									BGl_samezd2nodezf3z21zzreduce_samez00(
									((BgL_nodez00_bglt) BgL_arg1874z00_1273),
									((BgL_nodez00_bglt) BgL_arg1875z00_1274), BgL_aliasz00_59);
							}
							if (BgL_testz00_2860)
								{
									obj_t BgL_node2z00_2868;
									obj_t BgL_node1z00_2866;

									BgL_node1z00_2866 = CDR(BgL_node1z00_57);
									BgL_node2z00_2868 = CDR(BgL_node2z00_58);
									BgL_node2z00_58 = BgL_node2z00_2868;
									BgL_node1z00_57 = BgL_node1z00_2866;
									goto BGl_samezd2nodeza2zf3z83zzreduce_samez00;
								}
							else
								{	/* Reduce/same.scm 228 */
									return ((bool_t) 0);
								}
						}
				}
		}
	}



/* aliased? */
	bool_t BGl_aliasedzf3zf3zzreduce_samez00(BgL_variablez00_bglt BgL_var1z00_60,
		BgL_variablez00_bglt BgL_var2z00_61, obj_t BgL_aliasz00_62)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 236 */
			{
				obj_t BgL_aliasz00_1276;

				BgL_aliasz00_1276 = BgL_aliasz00_62;
			BgL_zc3anonymousza31876ze3z83_1277:
				if (NULLP(BgL_aliasz00_1276))
					{	/* Reduce/same.scm 239 */
						return ((bool_t) 0);
					}
				else
					{	/* Reduce/same.scm 239 */
						if ((CAR(CAR(BgL_aliasz00_1276)) == ((obj_t) BgL_var1z00_60)))
							{	/* Reduce/same.scm 241 */
								if ((CDR(CAR(BgL_aliasz00_1276)) == ((obj_t) BgL_var2z00_61)))
									{	/* Reduce/same.scm 242 */
										return ((bool_t) 1);
									}
								else
									{
										obj_t BgL_aliasz00_2882;

										BgL_aliasz00_2882 = CDR(BgL_aliasz00_1276);
										BgL_aliasz00_1276 = BgL_aliasz00_2882;
										goto BgL_zc3anonymousza31876ze3z83_1277;
									}
							}
						else
							{	/* Reduce/same.scm 241 */
								if ((CAR(CAR(BgL_aliasz00_1276)) == ((obj_t) BgL_var2z00_61)))
									{	/* Reduce/same.scm 245 */
										if (
											(CDR(CAR(BgL_aliasz00_1276)) == ((obj_t) BgL_var1z00_60)))
											{	/* Reduce/same.scm 246 */
												return ((bool_t) 1);
											}
										else
											{
												obj_t BgL_aliasz00_2894;

												BgL_aliasz00_2894 = CDR(BgL_aliasz00_1276);
												BgL_aliasz00_1276 = BgL_aliasz00_2894;
												goto BgL_zc3anonymousza31876ze3z83_1277;
											}
									}
								else
									{
										obj_t BgL_aliasz00_2896;

										BgL_aliasz00_2896 = CDR(BgL_aliasz00_1276);
										BgL_aliasz00_1276 = BgL_aliasz00_2896;
										goto BgL_zc3anonymousza31876ze3z83_1277;
									}
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_proc2181z00zzreduce_samez00, BGl_nodez00zzast_nodez00,
				BGl_string2182z00zzreduce_samez00);
		}
	}



/* &same-node?1830 */
	obj_t BGl_z62samezd2nodezf31830z43zzreduce_samez00(obj_t BgL_envz00_2715,
		obj_t BgL_node1z00_2716, obj_t BgL_node2z00_2717, obj_t BgL_aliasz00_2718)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 26 */
			return BBOOL(((bool_t) 0));
		}
	}



/* same-node? */
	BGL_EXPORTED_DEF bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt
		BgL_node1z00_3, BgL_nodez00_bglt BgL_node2z00_4, obj_t BgL_aliasz00_5)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 26 */
			{	/* Reduce/same.scm 26 */
				obj_t BgL_method1831z00_1301;

				{	/* Reduce/same.scm 26 */
					obj_t BgL_res2083z00_2354;

					{	/* Reduce/same.scm 26 */
						long BgL_objzd2classzd2numz00_2327;

						{	/* Reduce/same.scm 26 */
							long BgL_res2077z00_2330;

							BgL_res2077z00_2330 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_node1z00_3));
							BgL_objzd2classzd2numz00_2327 = BgL_res2077z00_2330;
						}
						{	/* Reduce/same.scm 26 */
							obj_t BgL_arg1769z00_2328;

							BgL_arg1769z00_2328 =
								PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
								(int) (((long) 1)));
							{	/* Reduce/same.scm 26 */
								int BgL_offsetz00_2332;

								BgL_offsetz00_2332 = (int) (BgL_objzd2classzd2numz00_2327);
								{	/* Reduce/same.scm 26 */
									long BgL_offsetz00_2333;

									BgL_offsetz00_2333 =
										((long) (BgL_offsetz00_2332) - OBJECT_TYPE);
									{	/* Reduce/same.scm 26 */
										long BgL_modz00_2334;

										{	/* Reduce/same.scm 26 */
											int BgL_arg1771z00_2335;

											BgL_arg1771z00_2335 = (int) (((long) 16));
											{	/* Reduce/same.scm 26 */
												long BgL_res2080z00_2345;

												{	/* Reduce/same.scm 26 */
													long BgL_auxz00_2908;

													BgL_auxz00_2908 = (long) (BgL_arg1771z00_2335);
													BgL_res2080z00_2345 =
														(BgL_offsetz00_2333 / BgL_auxz00_2908);
												}
												BgL_modz00_2334 = BgL_res2080z00_2345;
										}}
										{	/* Reduce/same.scm 26 */
											long BgL_restz00_2336;

											{	/* Reduce/same.scm 26 */
												int BgL_arg1770z00_2337;

												BgL_arg1770z00_2337 = (int) (((long) 16));
												{	/* Reduce/same.scm 26 */
													long BgL_res2082z00_2349;

													{	/* Reduce/same.scm 26 */
														long BgL_auxz00_2912;

														BgL_auxz00_2912 = (long) (BgL_arg1770z00_2337);
														BgL_res2082z00_2349 =
															(BgL_offsetz00_2333 % BgL_auxz00_2912);
													}
													BgL_restz00_2336 = BgL_res2082z00_2349;
											}}
											{	/* Reduce/same.scm 26 */

												BgL_res2083z00_2354 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2328,
														(int) (BgL_modz00_2334)), (int) (BgL_restz00_2336));
					}}}}}}}
					BgL_method1831z00_1301 = BgL_res2083z00_2354;
				}
				return
					CBOOL(PROCEDURE_ENTRY(BgL_method1831z00_1301) (BgL_method1831z00_1301,
						((obj_t) BgL_node1z00_3),
						((obj_t) BgL_node2z00_4), BgL_aliasz00_5, BEOA));
			}
		}
	}



/* &same-node? */
	obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t BgL_envz00_2719,
		obj_t BgL_node1z00_2720, obj_t BgL_node2z00_2721, obj_t BgL_aliasz00_2722)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 26 */
			return
				BBOOL(BGl_samezd2nodezf3z21zzreduce_samez00(
					((BgL_nodez00_bglt) BgL_node1z00_2720),
					((BgL_nodez00_bglt) BgL_node2z00_2721), BgL_aliasz00_2722));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_atomz00zzast_nodez00,
				BGl_proc2183z00zzreduce_samez00, BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2185z00zzreduce_samez00, BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_varz00zzast_nodez00,
				BGl_proc2186z00zzreduce_samez00, BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2187z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_syncz00zzast_nodez00,
				BGl_proc2188z00zzreduce_samez00, BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2189z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2190z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_appz00zzast_nodez00,
				BGl_proc2191z00zzreduce_samez00, BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_externz00zzast_nodez00, BGl_proc2192z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_pragmaz00zzast_nodez00, BGl_proc2193z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2194z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2195z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_vallocz00zzast_nodez00, BGl_proc2196z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_castz00zzast_nodez00,
				BGl_proc2197z00zzreduce_samez00, BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2198z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_failz00zzast_nodez00,
				BGl_proc2199z00zzreduce_samez00, BGl_string2184z00zzreduce_samez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2200z00zzreduce_samez00,
				BGl_string2184z00zzreduce_samez00);
		}
	}



/* &same-node?-let-var1865 */
	obj_t BGl_z62samezd2nodezf3zd2letzd2var1865z43zzreduce_samez00(obj_t
		BgL_envz00_2740, obj_t BgL_nodez00_2741, obj_t BgL_node2z00_2742,
		obj_t BgL_aliasz00_2743)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 188 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1520;
				BgL_nodez00_bglt BgL_node2z00_1521;
				obj_t BgL_aliasz00_1522;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_2949;

					BgL_nodez00_1520 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2741);
					BgL_node2z00_1521 = ((BgL_nodez00_bglt) BgL_node2z00_2742);
					BgL_aliasz00_1522 = BgL_aliasz00_2743;
					{	/* Reduce/same.scm 193 */
						bool_t BgL_testz00_2950;

						{	/* Reduce/same.scm 193 */
							bool_t BgL_res2171z00_2624;

							BgL_res2171z00_2624 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1521), BGl_letzd2varzd2zzast_nodez00);
							BgL_testz00_2950 = BgL_res2171z00_2624;
						}
						if (BgL_testz00_2950)
							{	/* Reduce/same.scm 193 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1520)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1521))->
												BgL_typez00))))
									{	/* Reduce/same.scm 194 */
										if (
											(bgl_list_length(
													(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1520))->
														BgL_bindingsz00)) ==
												bgl_list_length((((BgL_letzd2varzd2_bglt)
															CREF(((BgL_letzd2varzd2_bglt)
																	BgL_node2z00_1521)))->BgL_bindingsz00))))
											{	/* Reduce/same.scm 197 */
												obj_t BgL_newzd2aliaszd2_1528;

												{	/* Reduce/same.scm 197 */
													obj_t BgL_arg2003z00_1555;

													{	/* Reduce/same.scm 197 */
														obj_t BgL_ll1824z00_1556;
														obj_t BgL_ll1825z00_1557;

														BgL_ll1824z00_1556 =
															(((BgL_letzd2varzd2_bglt)
																CREF(BgL_nodez00_1520))->BgL_bindingsz00);
														BgL_ll1825z00_1557 =
															(((BgL_letzd2varzd2_bglt)
																CREF(((BgL_letzd2varzd2_bglt)
																		BgL_node2z00_1521)))->BgL_bindingsz00);
														if (NULLP(BgL_ll1824z00_1556))
															{	/* Reduce/same.scm 197 */
																BgL_arg2003z00_1555 = BNIL;
															}
														else
															{	/* Reduce/same.scm 197 */
																obj_t BgL_head1826z00_1559;

																{	/* Reduce/same.scm 197 */
																	obj_t BgL_res2175z00_2643;

																	BgL_res2175z00_2643 = MAKE_PAIR(BNIL, BNIL);
																	BgL_head1826z00_1559 = BgL_res2175z00_2643;
																}
																{
																	obj_t BgL_ll1824z00_1561;
																	obj_t BgL_ll1825z00_1562;
																	obj_t BgL_tail1827z00_1563;

																	BgL_ll1824z00_1561 = BgL_ll1824z00_1556;
																	BgL_ll1825z00_1562 = BgL_ll1825z00_1557;
																	BgL_tail1827z00_1563 = BgL_head1826z00_1559;
																BgL_zc3anonymousza32005ze3z83_1564:
																	if (NULLP(BgL_ll1824z00_1561))
																		{	/* Reduce/same.scm 197 */
																			BgL_arg2003z00_1555 =
																				CDR(BgL_head1826z00_1559);
																		}
																	else
																		{	/* Reduce/same.scm 197 */
																			obj_t BgL_newtail1828z00_1566;

																			{	/* Reduce/same.scm 197 */
																				obj_t BgL_arg2009z00_1569;

																				{	/* Reduce/same.scm 197 */
																					obj_t BgL_b1z00_1570;
																					obj_t BgL_b2z00_1571;

																					BgL_b1z00_1570 =
																						CAR(BgL_ll1824z00_1561);
																					BgL_b2z00_1571 =
																						CAR(BgL_ll1825z00_1562);
																					BgL_arg2009z00_1569 =
																						MAKE_PAIR(CAR(BgL_b1z00_1570),
																						CAR(BgL_b2z00_1571));
																				}
																				{	/* Reduce/same.scm 197 */
																					obj_t BgL_res2177z00_2653;

																					BgL_res2177z00_2653 =
																						MAKE_PAIR(BgL_arg2009z00_1569,
																						BNIL);
																					BgL_newtail1828z00_1566 =
																						BgL_res2177z00_2653;
																				}
																			}
																			SET_CDR(BgL_tail1827z00_1563,
																				BgL_newtail1828z00_1566);
																			{
																				obj_t BgL_tail1827z00_2987;
																				obj_t BgL_ll1825z00_2985;
																				obj_t BgL_ll1824z00_2983;

																				BgL_ll1824z00_2983 =
																					CDR(BgL_ll1824z00_1561);
																				BgL_ll1825z00_2985 =
																					CDR(BgL_ll1825z00_1562);
																				BgL_tail1827z00_2987 =
																					BgL_newtail1828z00_1566;
																				BgL_tail1827z00_1563 =
																					BgL_tail1827z00_2987;
																				BgL_ll1825z00_1562 = BgL_ll1825z00_2985;
																				BgL_ll1824z00_1561 = BgL_ll1824z00_2983;
																				goto BgL_zc3anonymousza32005ze3z83_1564;
																			}
																		}
																}
															}
													}
													BgL_newzd2aliaszd2_1528 =
														BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2003z00_1555, BgL_aliasz00_1522);
												}
												{	/* Reduce/same.scm 202 */
													bool_t BgL_testz00_2989;

													{	/* Reduce/same.scm 202 */
														BgL_nodez00_bglt BgL_arg2000z00_1553;
														BgL_nodez00_bglt BgL_arg2002z00_1554;

														BgL_arg2000z00_1553 =
															(((BgL_letzd2varzd2_bglt)
																CREF(BgL_nodez00_1520))->BgL_bodyz00);
														BgL_arg2002z00_1554 =
															(((BgL_letzd2varzd2_bglt)
																CREF(((BgL_letzd2varzd2_bglt)
																		BgL_node2z00_1521)))->BgL_bodyz00);
														BgL_testz00_2989 =
															BGl_samezd2nodezf3z21zzreduce_samez00
															(BgL_arg2000z00_1553, BgL_arg2002z00_1554,
															BgL_newzd2aliaszd2_1528);
													}
													if (BgL_testz00_2989)
														{	/* Reduce/same.scm 203 */
															obj_t BgL_g1147z00_1530;
															obj_t BgL_g1148z00_1531;

															BgL_g1147z00_1530 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodez00_1520))->BgL_bindingsz00);
															BgL_g1148z00_1531 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(((BgL_letzd2varzd2_bglt)
																			BgL_node2z00_1521)))->BgL_bindingsz00);
															{
																obj_t BgL_bindings1z00_1533;
																obj_t BgL_bindings2z00_1534;

																BgL_bindings1z00_1533 = BgL_g1147z00_1530;
																BgL_bindings2z00_1534 = BgL_g1148z00_1531;
															BgL_zc3anonymousza31981ze3z83_1535:
																if (NULLP(BgL_bindings1z00_1533))
																	{	/* Reduce/same.scm 206 */
																		BgL_auxz00_2949 = ((bool_t) 1);
																	}
																else
																	{	/* Reduce/same.scm 208 */
																		bool_t BgL_testz00_2999;

																		{	/* Reduce/same.scm 209 */
																			bool_t BgL_testz00_3000;

																			{	/* Reduce/same.scm 209 */
																				obj_t BgL_auxz00_3001;

																				{
																					BgL_variablez00_bglt BgL_auxz00_3002;

																					{
																						BgL_localz00_bglt BgL_auxz00_3003;

																						{	/* Reduce/same.scm 209 */
																							obj_t BgL_pairz00_2671;

																							BgL_pairz00_2671 =
																								CAR(BgL_bindings1z00_1533);
																							BgL_auxz00_3003 =
																								((BgL_localz00_bglt)
																								CAR(BgL_pairz00_2671));
																						}
																						BgL_auxz00_3002 =
																							((BgL_variablez00_bglt)
																							BgL_auxz00_3003);
																					}
																					BgL_auxz00_3001 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_auxz00_3002))->
																						BgL_accessz00);
																				}
																				BgL_testz00_3000 =
																					(BgL_auxz00_3001 ==
																					CNST_TABLE_REF(((long) 0)));
																			}
																			if (BgL_testz00_3000)
																				{	/* Reduce/same.scm 210 */
																					obj_t BgL_auxz00_3011;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_3012;
																						{
																							BgL_localz00_bglt BgL_auxz00_3013;

																							{	/* Reduce/same.scm 210 */
																								obj_t BgL_pairz00_2675;

																								BgL_pairz00_2675 =
																									CAR(BgL_bindings2z00_1534);
																								BgL_auxz00_3013 =
																									((BgL_localz00_bglt)
																									CAR(BgL_pairz00_2675));
																							}
																							BgL_auxz00_3012 =
																								((BgL_variablez00_bglt)
																								BgL_auxz00_3013);
																						}
																						BgL_auxz00_3011 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_3012))->
																							BgL_accessz00);
																					}
																					BgL_testz00_2999 =
																						(BgL_auxz00_3011 ==
																						CNST_TABLE_REF(((long) 0)));
																				}
																			else
																				{	/* Reduce/same.scm 209 */
																					BgL_testz00_2999 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_2999)
																			{	/* Reduce/same.scm 212 */
																				bool_t BgL_testz00_3021;

																				{	/* Reduce/same.scm 212 */
																					obj_t BgL_arg1988z00_1541;
																					obj_t BgL_arg1990z00_1542;

																					BgL_arg1988z00_1541 =
																						CDR(CAR(BgL_bindings1z00_1533));
																					BgL_arg1990z00_1542 =
																						CDR(CAR(BgL_bindings2z00_1534));
																					BgL_testz00_3021 =
																						BGl_samezd2nodezf3z21zzreduce_samez00
																						(((BgL_nodez00_bglt)
																							BgL_arg1988z00_1541),
																						((BgL_nodez00_bglt)
																							BgL_arg1990z00_1542),
																						BgL_aliasz00_1522);
																				}
																				if (BgL_testz00_3021)
																					{
																						obj_t BgL_bindings2z00_3031;
																						obj_t BgL_bindings1z00_3029;

																						BgL_bindings1z00_3029 =
																							CDR(BgL_bindings1z00_1533);
																						BgL_bindings2z00_3031 =
																							CDR(BgL_bindings2z00_1534);
																						BgL_bindings2z00_1534 =
																							BgL_bindings2z00_3031;
																						BgL_bindings1z00_1533 =
																							BgL_bindings1z00_3029;
																						goto
																							BgL_zc3anonymousza31981ze3z83_1535;
																					}
																				else
																					{	/* Reduce/same.scm 212 */
																						BgL_auxz00_2949 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Reduce/same.scm 208 */
																				BgL_auxz00_2949 = ((bool_t) 0);
																			}
																	}
															}
														}
													else
														{	/* Reduce/same.scm 202 */
															BgL_auxz00_2949 = ((bool_t) 0);
														}
												}
											}
										else
											{	/* Reduce/same.scm 195 */
												BgL_auxz00_2949 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 194 */
										BgL_auxz00_2949 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 193 */
								BgL_auxz00_2949 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2949);
				}
			}
		}
	}



/* &same-node?-fail1863 */
	obj_t BGl_z62samezd2nodezf3zd2fail1863z91zzreduce_samez00(obj_t
		BgL_envz00_2744, obj_t BgL_nodez00_2745, obj_t BgL_node2z00_2746,
		obj_t BgL_aliasz00_2747)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 175 */
			{
				BgL_failz00_bglt BgL_nodez00_1502;
				BgL_nodez00_bglt BgL_node2z00_1503;
				obj_t BgL_aliasz00_1504;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3036;

					BgL_nodez00_1502 = ((BgL_failz00_bglt) BgL_nodez00_2745);
					BgL_node2z00_1503 = ((BgL_nodez00_bglt) BgL_node2z00_2746);
					BgL_aliasz00_1504 = BgL_aliasz00_2747;
					{	/* Reduce/same.scm 179 */
						bool_t BgL_testz00_3037;

						{	/* Reduce/same.scm 179 */
							bool_t BgL_res2162z00_2598;

							BgL_res2162z00_2598 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1503), BGl_failz00zzast_nodez00);
							BgL_testz00_3037 = BgL_res2162z00_2598;
						}
						if (BgL_testz00_3037)
							{	/* Reduce/same.scm 179 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1502)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1503))->
												BgL_typez00))))
									{	/* Reduce/same.scm 181 */
										bool_t BgL_testz00_3047;

										{	/* Reduce/same.scm 181 */
											BgL_nodez00_bglt BgL_arg1977z00_1515;
											BgL_nodez00_bglt BgL_arg1978z00_1516;

											BgL_arg1977z00_1515 =
												(((BgL_failz00_bglt) CREF(BgL_nodez00_1502))->
												BgL_msgz00);
											BgL_arg1978z00_1516 =
												(((BgL_failz00_bglt) CREF(((BgL_failz00_bglt)
															BgL_node2z00_1503)))->BgL_msgz00);
											BgL_testz00_3047 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1977z00_1515, BgL_arg1978z00_1516,
												BgL_aliasz00_1504);
										}
										if (BgL_testz00_3047)
											{	/* Reduce/same.scm 182 */
												bool_t BgL_testz00_3052;

												{	/* Reduce/same.scm 182 */
													BgL_nodez00_bglt BgL_arg1975z00_1513;
													BgL_nodez00_bglt BgL_arg1976z00_1514;

													BgL_arg1975z00_1513 =
														(((BgL_failz00_bglt) CREF(BgL_nodez00_1502))->
														BgL_procz00);
													BgL_arg1976z00_1514 =
														(((BgL_failz00_bglt) CREF(((BgL_failz00_bglt)
																	BgL_node2z00_1503)))->BgL_procz00);
													BgL_testz00_3052 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1975z00_1513, BgL_arg1976z00_1514,
														BgL_aliasz00_1504);
												}
												if (BgL_testz00_3052)
													{	/* Reduce/same.scm 183 */
														BgL_nodez00_bglt BgL_arg1973z00_1511;
														BgL_nodez00_bglt BgL_arg1974z00_1512;

														BgL_arg1973z00_1511 =
															(((BgL_failz00_bglt) CREF(BgL_nodez00_1502))->
															BgL_objz00);
														BgL_arg1974z00_1512 =
															(((BgL_failz00_bglt) CREF(((BgL_failz00_bglt)
																		BgL_node2z00_1503)))->BgL_objz00);
														BgL_auxz00_3036 =
															BGl_samezd2nodezf3z21zzreduce_samez00
															(BgL_arg1973z00_1511, BgL_arg1974z00_1512,
															BgL_aliasz00_1504);
													}
												else
													{	/* Reduce/same.scm 182 */
														BgL_auxz00_3036 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/same.scm 181 */
												BgL_auxz00_3036 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 180 */
										BgL_auxz00_3036 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 179 */
								BgL_auxz00_3036 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3036);
				}
			}
		}
	}



/* &same-node?-condition1861 */
	obj_t BGl_z62samezd2nodezf3zd2condition1861z91zzreduce_samez00(obj_t
		BgL_envz00_2748, obj_t BgL_nodez00_2749, obj_t BgL_node2z00_2750,
		obj_t BgL_aliasz00_2751)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 162 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1484;
				BgL_nodez00_bglt BgL_node2z00_1485;
				obj_t BgL_aliasz00_1486;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3064;

					BgL_nodez00_1484 = ((BgL_conditionalz00_bglt) BgL_nodez00_2749);
					BgL_node2z00_1485 = ((BgL_nodez00_bglt) BgL_node2z00_2750);
					BgL_aliasz00_1486 = BgL_aliasz00_2751;
					{	/* Reduce/same.scm 166 */
						bool_t BgL_testz00_3065;

						{	/* Reduce/same.scm 166 */
							bool_t BgL_res2153z00_2572;

							BgL_res2153z00_2572 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1485), BGl_conditionalz00zzast_nodez00);
							BgL_testz00_3065 = BgL_res2153z00_2572;
						}
						if (BgL_testz00_3065)
							{	/* Reduce/same.scm 166 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1484)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1485))->
												BgL_typez00))))
									{	/* Reduce/same.scm 168 */
										bool_t BgL_testz00_3075;

										{	/* Reduce/same.scm 168 */
											BgL_nodez00_bglt BgL_arg1968z00_1497;
											BgL_nodez00_bglt BgL_arg1969z00_1498;

											BgL_arg1968z00_1497 =
												(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1484))->
												BgL_falsez00);
											BgL_arg1969z00_1498 =
												(((BgL_conditionalz00_bglt)
													CREF(((BgL_conditionalz00_bglt) BgL_node2z00_1485)))->
												BgL_falsez00);
											BgL_testz00_3075 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1968z00_1497, BgL_arg1969z00_1498,
												BgL_aliasz00_1486);
										}
										if (BgL_testz00_3075)
											{	/* Reduce/same.scm 169 */
												bool_t BgL_testz00_3080;

												{	/* Reduce/same.scm 169 */
													BgL_nodez00_bglt BgL_arg1965z00_1495;
													BgL_nodez00_bglt BgL_arg1966z00_1496;

													BgL_arg1965z00_1495 =
														(((BgL_conditionalz00_bglt)
															CREF(BgL_nodez00_1484))->BgL_truez00);
													BgL_arg1966z00_1496 =
														(((BgL_conditionalz00_bglt)
															CREF(((BgL_conditionalz00_bglt)
																	BgL_node2z00_1485)))->BgL_truez00);
													BgL_testz00_3080 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1965z00_1495, BgL_arg1966z00_1496,
														BgL_aliasz00_1486);
												}
												if (BgL_testz00_3080)
													{	/* Reduce/same.scm 170 */
														BgL_nodez00_bglt BgL_arg1961z00_1493;
														BgL_nodez00_bglt BgL_arg1964z00_1494;

														BgL_arg1961z00_1493 =
															(((BgL_conditionalz00_bglt)
																CREF(BgL_nodez00_1484))->BgL_testz00);
														BgL_arg1964z00_1494 =
															(((BgL_conditionalz00_bglt)
																CREF(((BgL_conditionalz00_bglt)
																		BgL_node2z00_1485)))->BgL_testz00);
														BgL_auxz00_3064 =
															BGl_samezd2nodezf3z21zzreduce_samez00
															(BgL_arg1961z00_1493, BgL_arg1964z00_1494,
															BgL_aliasz00_1486);
													}
												else
													{	/* Reduce/same.scm 169 */
														BgL_auxz00_3064 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/same.scm 168 */
												BgL_auxz00_3064 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 167 */
										BgL_auxz00_3064 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 166 */
								BgL_auxz00_3064 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3064);
				}
			}
		}
	}



/* &same-node?-cast1859 */
	obj_t BGl_z62samezd2nodezf3zd2cast1859z91zzreduce_samez00(obj_t
		BgL_envz00_2752, obj_t BgL_nodez00_2753, obj_t BgL_node2z00_2754,
		obj_t BgL_aliasz00_2755)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 154 */
			{
				BgL_castz00_bglt BgL_nodez00_1472;
				BgL_nodez00_bglt BgL_node2z00_1473;
				obj_t BgL_aliasz00_1474;

				{	/* Reduce/same.scm 155 */
					bool_t BgL_auxz00_3092;

					BgL_nodez00_1472 = ((BgL_castz00_bglt) BgL_nodez00_2753);
					BgL_node2z00_1473 = ((BgL_nodez00_bglt) BgL_node2z00_2754);
					BgL_aliasz00_1474 = BgL_aliasz00_2755;
					{	/* Reduce/same.scm 155 */
						bool_t BgL_testz00_3093;

						{	/* Reduce/same.scm 155 */
							bool_t BgL_res2148z00_2558;

							BgL_res2148z00_2558 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1473), BGl_castz00zzast_nodez00);
							BgL_testz00_3093 = BgL_res2148z00_2558;
						}
						if (BgL_testz00_3093)
							{	/* Reduce/same.scm 155 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1472)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1473))->
												BgL_typez00))))
									{	/* Reduce/same.scm 157 */
										BgL_nodez00_bglt BgL_arg1957z00_1479;
										BgL_nodez00_bglt BgL_arg1958z00_1480;

										BgL_arg1957z00_1479 =
											(((BgL_castz00_bglt) CREF(BgL_nodez00_1472))->BgL_argz00);
										BgL_arg1958z00_1480 =
											(((BgL_castz00_bglt) CREF(
													((BgL_castz00_bglt) BgL_node2z00_1473)))->BgL_argz00);
										BgL_auxz00_3092 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1957z00_1479,
											BgL_arg1958z00_1480, BgL_aliasz00_1474);
									}
								else
									{	/* Reduce/same.scm 156 */
										BgL_auxz00_3092 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 155 */
								BgL_auxz00_3092 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3092);
				}
			}
		}
	}



/* &same-node?-valloc1857 */
	obj_t BGl_z62samezd2nodezf3zd2valloc1857z91zzreduce_samez00(obj_t
		BgL_envz00_2756, obj_t BgL_nodez00_2757, obj_t BgL_node2z00_2758,
		obj_t BgL_aliasz00_2759)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 148 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &same-node?-setfield1855 */
	obj_t BGl_z62samezd2nodezf3zd2setfield1855z91zzreduce_samez00(obj_t
		BgL_envz00_2760, obj_t BgL_nodez00_2761, obj_t BgL_node2z00_2762,
		obj_t BgL_aliasz00_2763)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 140 */
			{
				BgL_setfieldz00_bglt BgL_nodez00_1456;
				BgL_nodez00_bglt BgL_node2z00_1457;
				obj_t BgL_aliasz00_1458;

				BgL_nodez00_1456 = ((BgL_setfieldz00_bglt) BgL_nodez00_2761);
				BgL_node2z00_1457 = ((BgL_nodez00_bglt) BgL_node2z00_2762);
				BgL_aliasz00_1458 = BgL_aliasz00_2763;
				{

					{	/* Reduce/same.scm 141 */
						bool_t BgL_testz00_3111;

						{	/* Reduce/same.scm 141 */
							bool_t BgL_res2144z00_2547;

							BgL_res2144z00_2547 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1457), BGl_setfieldz00zzast_nodez00);
							BgL_testz00_3111 = BgL_res2144z00_2547;
						}
						if (BgL_testz00_3111)
							{	/* Reduce/same.scm 141 */
								if (bigloo_strcmp(
										(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1456))->
											BgL_fnamez00),
										(((BgL_setfieldz00_bglt) CREF(((BgL_setfieldz00_bglt)
														BgL_node2z00_1457)))->BgL_fnamez00)))
									{	/* Reduce/same.scm 142 */
										{	/* Reduce/same.scm 140 */
											obj_t BgL_nextzd2method1854zd2_1465;

											BgL_nextzd2method1854zd2_1465 =
												BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
												((BgL_objectz00_bglt) BgL_nodez00_1456),
												BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
												BGl_setfieldz00zzast_nodez00);
											return
												PROCEDURE_ENTRY(BgL_nextzd2method1854zd2_1465)
												(BgL_nextzd2method1854zd2_1465,
												((obj_t) BgL_nodez00_1456), ((obj_t) BgL_node2z00_1457),
												BgL_aliasz00_1458, BEOA);
										}
									}
								else
									{	/* Reduce/same.scm 142 */
										return BFALSE;
									}
							}
						else
							{	/* Reduce/same.scm 141 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &same-node?-getfield1853 */
	obj_t BGl_z62samezd2nodezf3zd2getfield1853z91zzreduce_samez00(obj_t
		BgL_envz00_2764, obj_t BgL_nodez00_2765, obj_t BgL_node2z00_2766,
		obj_t BgL_aliasz00_2767)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 132 */
			{
				BgL_getfieldz00_bglt BgL_nodez00_1446;
				BgL_nodez00_bglt BgL_node2z00_1447;
				obj_t BgL_aliasz00_1448;

				BgL_nodez00_1446 = ((BgL_getfieldz00_bglt) BgL_nodez00_2765);
				BgL_node2z00_1447 = ((BgL_nodez00_bglt) BgL_node2z00_2766);
				BgL_aliasz00_1448 = BgL_aliasz00_2767;
				{

					{	/* Reduce/same.scm 133 */
						bool_t BgL_testz00_3131;

						{	/* Reduce/same.scm 133 */
							bool_t BgL_res2140z00_2536;

							BgL_res2140z00_2536 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1447), BGl_getfieldz00zzast_nodez00);
							BgL_testz00_3131 = BgL_res2140z00_2536;
						}
						if (BgL_testz00_3131)
							{	/* Reduce/same.scm 133 */
								if (bigloo_strcmp(
										(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1446))->
											BgL_fnamez00),
										(((BgL_getfieldz00_bglt) CREF(((BgL_getfieldz00_bglt)
														BgL_node2z00_1447)))->BgL_fnamez00)))
									{	/* Reduce/same.scm 134 */
										{	/* Reduce/same.scm 132 */
											obj_t BgL_nextzd2method1852zd2_1455;

											BgL_nextzd2method1852zd2_1455 =
												BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
												((BgL_objectz00_bglt) BgL_nodez00_1446),
												BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
												BGl_getfieldz00zzast_nodez00);
											return
												PROCEDURE_ENTRY(BgL_nextzd2method1852zd2_1455)
												(BgL_nextzd2method1852zd2_1455,
												((obj_t) BgL_nodez00_1446), ((obj_t) BgL_node2z00_1447),
												BgL_aliasz00_1448, BEOA);
										}
									}
								else
									{	/* Reduce/same.scm 134 */
										return BFALSE;
									}
							}
						else
							{	/* Reduce/same.scm 133 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &same-node?-pragma1851 */
	obj_t BGl_z62samezd2nodezf3zd2pragma1851z91zzreduce_samez00(obj_t
		BgL_envz00_2768, obj_t BgL_nodez00_2769, obj_t BgL_node2z00_2770,
		obj_t BgL_aliasz00_2771)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 123 */
			{
				BgL_pragmaz00_bglt BgL_nodez00_1431;
				BgL_nodez00_bglt BgL_node2z00_1432;
				obj_t BgL_aliasz00_1433;

				{	/* Reduce/same.scm 124 */
					bool_t BgL_auxz00_3151;

					BgL_nodez00_1431 = ((BgL_pragmaz00_bglt) BgL_nodez00_2769);
					BgL_node2z00_1432 = ((BgL_nodez00_bglt) BgL_node2z00_2770);
					BgL_aliasz00_1433 = BgL_aliasz00_2771;
					{	/* Reduce/same.scm 124 */
						bool_t BgL_testz00_3152;

						{	/* Reduce/same.scm 124 */
							bool_t BgL_res2132z00_2513;

							BgL_res2132z00_2513 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1432), BGl_pragmaz00zzast_nodez00);
							BgL_testz00_3152 = BgL_res2132z00_2513;
						}
						if (BgL_testz00_3152)
							{	/* Reduce/same.scm 124 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1431)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1432))->
												BgL_typez00))))
									{	/* Reduce/same.scm 125 */
										if (bigloo_strcmp(
												(((BgL_pragmaz00_bglt) CREF(BgL_nodez00_1431))->
													BgL_formatz00),
												(((BgL_pragmaz00_bglt) CREF(((BgL_pragmaz00_bglt)
																BgL_node2z00_1432)))->BgL_formatz00)))
											{	/* Reduce/same.scm 127 */
												obj_t BgL_arg1947z00_1439;
												obj_t BgL_arg1948z00_1440;

												BgL_arg1947z00_1439 =
													(((BgL_externz00_bglt) CREF(
															((BgL_externz00_bglt) BgL_nodez00_1431)))->
													BgL_exprza2za2);
												BgL_arg1948z00_1440 =
													(((BgL_externz00_bglt)
														CREF(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
																	BgL_node2z00_1432))))->BgL_exprza2za2);
												BgL_auxz00_3151 =
													BGl_samezd2nodeza2zf3z83zzreduce_samez00
													(BgL_arg1947z00_1439, BgL_arg1948z00_1440,
													BgL_aliasz00_1433);
											}
										else
											{	/* Reduce/same.scm 126 */
												BgL_auxz00_3151 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 125 */
										BgL_auxz00_3151 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 124 */
								BgL_auxz00_3151 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3151);
				}
			}
		}
	}



/* &same-node?-extern1849 */
	obj_t BGl_z62samezd2nodezf3zd2extern1849z91zzreduce_samez00(obj_t
		BgL_envz00_2772, obj_t BgL_nodez00_2773, obj_t BgL_node2z00_2774,
		obj_t BgL_aliasz00_2775)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 112 */
			{
				BgL_externz00_bglt BgL_nodez00_1419;
				BgL_nodez00_bglt BgL_node2z00_1420;
				obj_t BgL_aliasz00_1421;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3176;

					BgL_nodez00_1419 = ((BgL_externz00_bglt) BgL_nodez00_2773);
					BgL_node2z00_1420 = ((BgL_nodez00_bglt) BgL_node2z00_2774);
					BgL_aliasz00_1421 = BgL_aliasz00_2775;
					{	/* Reduce/same.scm 116 */
						bool_t BgL_testz00_3177;

						{	/* Reduce/same.scm 116 */
							bool_t BgL_res2127z00_2499;

							BgL_res2127z00_2499 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1420), BGl_externz00zzast_nodez00);
							BgL_testz00_3177 = BgL_res2127z00_2499;
						}
						if (BgL_testz00_3177)
							{	/* Reduce/same.scm 116 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1419)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1420))->
												BgL_typez00))))
									{	/* Reduce/same.scm 118 */
										obj_t BgL_arg1943z00_1426;
										obj_t BgL_arg1944z00_1427;

										BgL_arg1943z00_1426 =
											(((BgL_externz00_bglt) CREF(BgL_nodez00_1419))->
											BgL_exprza2za2);
										BgL_arg1944z00_1427 =
											(((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
														BgL_node2z00_1420)))->BgL_exprza2za2);
										BgL_auxz00_3176 =
											BGl_samezd2nodeza2zf3z83zzreduce_samez00
											(BgL_arg1943z00_1426, BgL_arg1944z00_1427,
											BgL_aliasz00_1421);
									}
								else
									{	/* Reduce/same.scm 117 */
										BgL_auxz00_3176 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 116 */
								BgL_auxz00_3176 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3176);
				}
			}
		}
	}



/* &same-node?-app1847 */
	obj_t BGl_z62samezd2nodezf3zd2app1847z91zzreduce_samez00(obj_t
		BgL_envz00_2776, obj_t BgL_nodez00_2777, obj_t BgL_node2z00_2778,
		obj_t BgL_aliasz00_2779)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 103 */
			{
				BgL_appz00_bglt BgL_nodez00_1404;
				BgL_nodez00_bglt BgL_node2z00_1405;
				obj_t BgL_aliasz00_1406;

				{	/* Reduce/same.scm 104 */
					bool_t BgL_auxz00_3194;

					BgL_nodez00_1404 = ((BgL_appz00_bglt) BgL_nodez00_2777);
					BgL_node2z00_1405 = ((BgL_nodez00_bglt) BgL_node2z00_2778);
					BgL_aliasz00_1406 = BgL_aliasz00_2779;
					{	/* Reduce/same.scm 104 */
						bool_t BgL_testz00_3195;

						{	/* Reduce/same.scm 104 */
							bool_t BgL_res2122z00_2481;

							BgL_res2122z00_2481 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1405), BGl_appz00zzast_nodez00);
							BgL_testz00_3195 = BgL_res2122z00_2481;
						}
						if (BgL_testz00_3195)
							{	/* Reduce/same.scm 104 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1404)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1405))->
												BgL_typez00))))
									{	/* Reduce/same.scm 106 */
										bool_t BgL_testz00_3205;

										{	/* Reduce/same.scm 106 */
											BgL_varz00_bglt BgL_arg1939z00_1414;
											BgL_varz00_bglt BgL_arg1940z00_1415;

											BgL_arg1939z00_1414 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1404))->
												BgL_funz00);
											BgL_arg1940z00_1415 =
												(((BgL_appz00_bglt) CREF(((BgL_appz00_bglt)
															BgL_node2z00_1405)))->BgL_funz00);
											BgL_testz00_3205 =
												BGl_samezd2nodezf3z21zzreduce_samez00((
													(BgL_nodez00_bglt) BgL_arg1939z00_1414),
												((BgL_nodez00_bglt) BgL_arg1940z00_1415),
												BgL_aliasz00_1406);
										}
										if (BgL_testz00_3205)
											{	/* Reduce/same.scm 107 */
												obj_t BgL_arg1937z00_1412;
												obj_t BgL_arg1938z00_1413;

												BgL_arg1937z00_1412 =
													(((BgL_appz00_bglt) CREF(BgL_nodez00_1404))->
													BgL_argsz00);
												BgL_arg1938z00_1413 =
													(((BgL_appz00_bglt) CREF(((BgL_appz00_bglt)
																BgL_node2z00_1405)))->BgL_argsz00);
												BgL_auxz00_3194 =
													BGl_samezd2nodeza2zf3z83zzreduce_samez00
													(BgL_arg1937z00_1412, BgL_arg1938z00_1413,
													BgL_aliasz00_1406);
											}
										else
											{	/* Reduce/same.scm 106 */
												BgL_auxz00_3194 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 105 */
										BgL_auxz00_3194 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 104 */
								BgL_auxz00_3194 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3194);
				}
			}
		}
	}



/* &same-node?-funcall1845 */
	obj_t BGl_z62samezd2nodezf3zd2funcall1845z91zzreduce_samez00(obj_t
		BgL_envz00_2780, obj_t BgL_nodez00_2781, obj_t BgL_node2z00_2782,
		obj_t BgL_aliasz00_2783)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 94 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1389;
				BgL_nodez00_bglt BgL_node2z00_1390;
				obj_t BgL_aliasz00_1391;

				{	/* Reduce/same.scm 95 */
					bool_t BgL_auxz00_3219;

					BgL_nodez00_1389 = ((BgL_funcallz00_bglt) BgL_nodez00_2781);
					BgL_node2z00_1390 = ((BgL_nodez00_bglt) BgL_node2z00_2782);
					BgL_aliasz00_1391 = BgL_aliasz00_2783;
					{	/* Reduce/same.scm 95 */
						bool_t BgL_testz00_3220;

						{	/* Reduce/same.scm 95 */
							bool_t BgL_res2117z00_2463;

							BgL_res2117z00_2463 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1390), BGl_funcallz00zzast_nodez00);
							BgL_testz00_3220 = BgL_res2117z00_2463;
						}
						if (BgL_testz00_3220)
							{	/* Reduce/same.scm 95 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1389)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1390))->
												BgL_typez00))))
									{	/* Reduce/same.scm 97 */
										bool_t BgL_testz00_3230;

										{	/* Reduce/same.scm 97 */
											BgL_nodez00_bglt BgL_arg1933z00_1399;
											BgL_nodez00_bglt BgL_arg1934z00_1400;

											BgL_arg1933z00_1399 =
												(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1389))->
												BgL_funz00);
											BgL_arg1934z00_1400 =
												(((BgL_funcallz00_bglt) CREF(((BgL_funcallz00_bglt)
															BgL_node2z00_1390)))->BgL_funz00);
											BgL_testz00_3230 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1933z00_1399, BgL_arg1934z00_1400,
												BgL_aliasz00_1391);
										}
										if (BgL_testz00_3230)
											{	/* Reduce/same.scm 98 */
												obj_t BgL_arg1931z00_1397;
												obj_t BgL_arg1932z00_1398;

												BgL_arg1931z00_1397 =
													(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1389))->
													BgL_argsz00);
												BgL_arg1932z00_1398 =
													(((BgL_funcallz00_bglt) CREF(((BgL_funcallz00_bglt)
																BgL_node2z00_1390)))->BgL_argsz00);
												BgL_auxz00_3219 =
													BGl_samezd2nodeza2zf3z83zzreduce_samez00
													(BgL_arg1931z00_1397, BgL_arg1932z00_1398,
													BgL_aliasz00_1391);
											}
										else
											{	/* Reduce/same.scm 97 */
												BgL_auxz00_3219 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 96 */
										BgL_auxz00_3219 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 95 */
								BgL_auxz00_3219 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3219);
				}
			}
		}
	}



/* &same-node?-app-ly1843 */
	obj_t BGl_z62samezd2nodezf3zd2appzd2ly1843z43zzreduce_samez00(obj_t
		BgL_envz00_2784, obj_t BgL_nodez00_2785, obj_t BgL_node2z00_2786,
		obj_t BgL_aliasz00_2787)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 85 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1374;
				BgL_nodez00_bglt BgL_node2z00_1375;
				obj_t BgL_aliasz00_1376;

				{	/* Reduce/same.scm 86 */
					bool_t BgL_auxz00_3242;

					BgL_nodez00_1374 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2785);
					BgL_node2z00_1375 = ((BgL_nodez00_bglt) BgL_node2z00_2786);
					BgL_aliasz00_1376 = BgL_aliasz00_2787;
					{	/* Reduce/same.scm 86 */
						bool_t BgL_testz00_3243;

						{	/* Reduce/same.scm 86 */
							bool_t BgL_res2110z00_2443;

							BgL_res2110z00_2443 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1375), BGl_appzd2lyzd2zzast_nodez00);
							BgL_testz00_3243 = BgL_res2110z00_2443;
						}
						if (BgL_testz00_3243)
							{	/* Reduce/same.scm 86 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1374)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1375))->
												BgL_typez00))))
									{	/* Reduce/same.scm 88 */
										bool_t BgL_testz00_3253;

										{	/* Reduce/same.scm 88 */
											BgL_nodez00_bglt BgL_arg1927z00_1384;
											BgL_nodez00_bglt BgL_arg1928z00_1385;

											BgL_arg1927z00_1384 =
												(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1374))->
												BgL_funz00);
											BgL_arg1928z00_1385 =
												(((BgL_appzd2lyzd2_bglt) CREF(((BgL_appzd2lyzd2_bglt)
															BgL_node2z00_1375)))->BgL_funz00);
											BgL_testz00_3253 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1927z00_1384, BgL_arg1928z00_1385,
												BgL_aliasz00_1376);
										}
										if (BgL_testz00_3253)
											{	/* Reduce/same.scm 89 */
												BgL_nodez00_bglt BgL_arg1925z00_1382;
												BgL_nodez00_bglt BgL_arg1926z00_1383;

												BgL_arg1925z00_1382 =
													(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1374))->
													BgL_argz00);
												BgL_arg1926z00_1383 =
													(((BgL_appzd2lyzd2_bglt) CREF(((BgL_appzd2lyzd2_bglt)
																BgL_node2z00_1375)))->BgL_argz00);
												BgL_auxz00_3242 =
													BGl_samezd2nodezf3z21zzreduce_samez00
													(BgL_arg1925z00_1382, BgL_arg1926z00_1383,
													BgL_aliasz00_1376);
											}
										else
											{	/* Reduce/same.scm 88 */
												BgL_auxz00_3242 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 87 */
										BgL_auxz00_3242 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 86 */
								BgL_auxz00_3242 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3242);
				}
			}
		}
	}



/* &same-node?-sync1841 */
	obj_t BGl_z62samezd2nodezf3zd2sync1841z91zzreduce_samez00(obj_t
		BgL_envz00_2788, obj_t BgL_nodez00_2789, obj_t BgL_node2z00_2790,
		obj_t BgL_aliasz00_2791)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 75 */
			{
				BgL_syncz00_bglt BgL_nodez00_1356;
				BgL_nodez00_bglt BgL_node2z00_1357;
				obj_t BgL_aliasz00_1358;

				{	/* Reduce/same.scm 76 */
					bool_t BgL_auxz00_3265;

					BgL_nodez00_1356 = ((BgL_syncz00_bglt) BgL_nodez00_2789);
					BgL_node2z00_1357 = ((BgL_nodez00_bglt) BgL_node2z00_2790);
					BgL_aliasz00_1358 = BgL_aliasz00_2791;
					{	/* Reduce/same.scm 76 */
						bool_t BgL_testz00_3266;

						{	/* Reduce/same.scm 76 */
							bool_t BgL_res2101z00_2417;

							BgL_res2101z00_2417 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1357), BGl_syncz00zzast_nodez00);
							BgL_testz00_3266 = BgL_res2101z00_2417;
						}
						if (BgL_testz00_3266)
							{	/* Reduce/same.scm 76 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1356)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1357))->
												BgL_typez00))))
									{	/* Reduce/same.scm 78 */
										bool_t BgL_testz00_3276;

										{	/* Reduce/same.scm 78 */
											BgL_nodez00_bglt BgL_arg1920z00_1369;
											BgL_nodez00_bglt BgL_arg1921z00_1370;

											BgL_arg1920z00_1369 =
												(((BgL_syncz00_bglt) CREF(BgL_nodez00_1356))->
												BgL_mutexz00);
											BgL_arg1921z00_1370 =
												(((BgL_syncz00_bglt) CREF(((BgL_syncz00_bglt)
															BgL_node2z00_1357)))->BgL_mutexz00);
											BgL_testz00_3276 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1920z00_1369, BgL_arg1921z00_1370,
												BgL_aliasz00_1358);
										}
										if (BgL_testz00_3276)
											{	/* Reduce/same.scm 79 */
												bool_t BgL_testz00_3281;

												{	/* Reduce/same.scm 79 */
													BgL_nodez00_bglt BgL_arg1918z00_1367;
													BgL_nodez00_bglt BgL_arg1919z00_1368;

													BgL_arg1918z00_1367 =
														(((BgL_syncz00_bglt) CREF(BgL_nodez00_1356))->
														BgL_prelockz00);
													BgL_arg1919z00_1368 =
														(((BgL_syncz00_bglt) CREF(((BgL_syncz00_bglt)
																	BgL_node2z00_1357)))->BgL_prelockz00);
													BgL_testz00_3281 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1918z00_1367, BgL_arg1919z00_1368,
														BgL_aliasz00_1358);
												}
												if (BgL_testz00_3281)
													{	/* Reduce/same.scm 80 */
														BgL_nodez00_bglt BgL_arg1915z00_1365;
														BgL_nodez00_bglt BgL_arg1916z00_1366;

														BgL_arg1915z00_1365 =
															(((BgL_syncz00_bglt) CREF(BgL_nodez00_1356))->
															BgL_bodyz00);
														BgL_arg1916z00_1366 =
															(((BgL_syncz00_bglt) CREF(((BgL_syncz00_bglt)
																		BgL_node2z00_1357)))->BgL_bodyz00);
														BgL_auxz00_3265 =
															BGl_samezd2nodeza2zf3z83zzreduce_samez00(((obj_t)
																BgL_arg1915z00_1365),
															((obj_t) BgL_arg1916z00_1366), BgL_aliasz00_1358);
													}
												else
													{	/* Reduce/same.scm 79 */
														BgL_auxz00_3265 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/same.scm 78 */
												BgL_auxz00_3265 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 77 */
										BgL_auxz00_3265 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 76 */
								BgL_auxz00_3265 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3265);
				}
			}
		}
	}



/* &same-node?-sequence1839 */
	obj_t BGl_z62samezd2nodezf3zd2sequence1839z91zzreduce_samez00(obj_t
		BgL_envz00_2792, obj_t BgL_nodez00_2793, obj_t BgL_node2z00_2794,
		obj_t BgL_aliasz00_2795)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 67 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1344;
				BgL_nodez00_bglt BgL_node2z00_1345;
				obj_t BgL_aliasz00_1346;

				{	/* Reduce/same.scm 68 */
					bool_t BgL_auxz00_3295;

					BgL_nodez00_1344 = ((BgL_sequencez00_bglt) BgL_nodez00_2793);
					BgL_node2z00_1345 = ((BgL_nodez00_bglt) BgL_node2z00_2794);
					BgL_aliasz00_1346 = BgL_aliasz00_2795;
					{	/* Reduce/same.scm 68 */
						bool_t BgL_testz00_3296;

						{	/* Reduce/same.scm 68 */
							bool_t BgL_res2098z00_2405;

							BgL_res2098z00_2405 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1345), BGl_sequencez00zzast_nodez00);
							BgL_testz00_3296 = BgL_res2098z00_2405;
						}
						if (BgL_testz00_3296)
							{	/* Reduce/same.scm 68 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1344)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1345))->
												BgL_typez00))))
									{	/* Reduce/same.scm 70 */
										obj_t BgL_arg1911z00_1351;
										obj_t BgL_arg1912z00_1352;

										BgL_arg1911z00_1351 =
											(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1344))->
											BgL_nodesz00);
										BgL_arg1912z00_1352 =
											(((BgL_sequencez00_bglt) CREF(((BgL_sequencez00_bglt)
														BgL_node2z00_1345)))->BgL_nodesz00);
										BgL_auxz00_3295 =
											BGl_samezd2nodeza2zf3z83zzreduce_samez00
											(BgL_arg1911z00_1351, BgL_arg1912z00_1352,
											BgL_aliasz00_1346);
									}
								else
									{	/* Reduce/same.scm 69 */
										BgL_auxz00_3295 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 68 */
								BgL_auxz00_3295 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3295);
				}
			}
		}
	}



/* &same-node?-var1837 */
	obj_t BGl_z62samezd2nodezf3zd2var1837z91zzreduce_samez00(obj_t
		BgL_envz00_2796, obj_t BgL_nodez00_2797, obj_t BgL_node2z00_2798,
		obj_t BgL_aliasz00_2799)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 54 */
			{
				BgL_varz00_bglt BgL_nodez00_1326;
				BgL_nodez00_bglt BgL_node2z00_1327;
				obj_t BgL_aliasz00_1328;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3313;

					BgL_nodez00_1326 = ((BgL_varz00_bglt) BgL_nodez00_2797);
					BgL_node2z00_1327 = ((BgL_nodez00_bglt) BgL_node2z00_2798);
					BgL_aliasz00_1328 = BgL_aliasz00_2799;
					{	/* Reduce/same.scm 58 */
						bool_t BgL_testz00_3314;

						{	/* Reduce/same.scm 58 */
							bool_t BgL_res2090z00_2380;

							BgL_res2090z00_2380 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1327), BGl_varz00zzast_nodez00);
							BgL_testz00_3314 = BgL_res2090z00_2380;
						}
						if (BgL_testz00_3314)
							{	/* Reduce/same.scm 58 */
								if (
									((((BgL_variablez00_bglt) CREF(
													(((BgL_varz00_bglt) CREF(BgL_nodez00_1326))->
														BgL_variablez00)))->BgL_accessz00) ==
										CNST_TABLE_REF(((long) 0))))
									{	/* Reduce/same.scm 59 */
										if (
											(((obj_t)
													(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1326)))->
														BgL_typez00)) ==
												((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1327))->
														BgL_typez00))))
											{	/* Reduce/same.scm 61 */
												bool_t BgL__ortest_1108z00_1334;

												BgL__ortest_1108z00_1334 =
													(
													((obj_t)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_1326))->
															BgL_variablez00)) ==
													((obj_t) (((BgL_varz00_bglt) CREF(((BgL_varz00_bglt)
																		BgL_node2z00_1327)))->BgL_variablez00)));
												if (BgL__ortest_1108z00_1334)
													{	/* Reduce/same.scm 61 */
														BgL_auxz00_3313 = BgL__ortest_1108z00_1334;
													}
												else
													{	/* Reduce/same.scm 61 */
														BgL_auxz00_3313 =
															BGl_aliasedzf3zf3zzreduce_samez00(
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1326))->
																BgL_variablez00),
															(((BgL_varz00_bglt) CREF(((BgL_varz00_bglt)
																			BgL_node2z00_1327)))->BgL_variablez00),
															BgL_aliasz00_1328);
													}
											}
										else
											{	/* Reduce/same.scm 60 */
												BgL_auxz00_3313 = ((bool_t) 0);
											}
									}
								else
									{	/* Reduce/same.scm 59 */
										BgL_auxz00_3313 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 58 */
								BgL_auxz00_3313 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3313);
				}
			}
		}
	}



/* &same-node?-kwote1835 */
	obj_t BGl_z62samezd2nodezf3zd2kwote1835z91zzreduce_samez00(obj_t
		BgL_envz00_2800, obj_t BgL_nodez00_2801, obj_t BgL_node2z00_2802,
		obj_t BgL_aliasz00_2803)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 43 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1314;
				BgL_nodez00_bglt BgL_node2z00_1315;
				obj_t BgL_aliasz00_1316;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3343;

					BgL_nodez00_1314 = ((BgL_kwotez00_bglt) BgL_nodez00_2801);
					BgL_node2z00_1315 = ((BgL_nodez00_bglt) BgL_node2z00_2802);
					BgL_aliasz00_1316 = BgL_aliasz00_2803;
					{	/* Reduce/same.scm 47 */
						bool_t BgL_testz00_3344;

						{	/* Reduce/same.scm 47 */
							bool_t BgL_res2087z00_2368;

							BgL_res2087z00_2368 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1315), BGl_kwotez00zzast_nodez00);
							BgL_testz00_3344 = BgL_res2087z00_2368;
						}
						if (BgL_testz00_3344)
							{	/* Reduce/same.scm 47 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1314)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1315))->
												BgL_typez00))))
									{	/* Reduce/same.scm 48 */
										BgL_auxz00_3343 =
											BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
											(((BgL_kwotez00_bglt) CREF(BgL_nodez00_1314))->
												BgL_valuez00),
											(((BgL_kwotez00_bglt) CREF(((BgL_kwotez00_bglt)
															BgL_node2z00_1315)))->BgL_valuez00));
									}
								else
									{	/* Reduce/same.scm 48 */
										BgL_auxz00_3343 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 47 */
								BgL_auxz00_3343 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3343);
				}
			}
		}
	}



/* &same-node?-atom1833 */
	obj_t BGl_z62samezd2nodezf3zd2atom1833z91zzreduce_samez00(obj_t
		BgL_envz00_2804, obj_t BgL_nodez00_2805, obj_t BgL_node2z00_2806,
		obj_t BgL_aliasz00_2807)
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 32 */
			{
				BgL_atomz00_bglt BgL_nodez00_1302;
				BgL_nodez00_bglt BgL_node2z00_1303;
				obj_t BgL_aliasz00_1304;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_auxz00_3361;

					BgL_nodez00_1302 = ((BgL_atomz00_bglt) BgL_nodez00_2805);
					BgL_node2z00_1303 = ((BgL_nodez00_bglt) BgL_node2z00_2806);
					BgL_aliasz00_1304 = BgL_aliasz00_2807;
					{	/* Reduce/same.scm 36 */
						bool_t BgL_testz00_3362;

						{	/* Reduce/same.scm 36 */
							bool_t BgL_res2084z00_2356;

							BgL_res2084z00_2356 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_node2z00_1303), BGl_atomz00zzast_nodez00);
							BgL_testz00_3362 = BgL_res2084z00_2356;
						}
						if (BgL_testz00_3362)
							{	/* Reduce/same.scm 36 */
								if (
									(((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1302)))->
												BgL_typez00)) ==
										((obj_t) (((BgL_nodez00_bglt) CREF(BgL_node2z00_1303))->
												BgL_typez00))))
									{	/* Reduce/same.scm 37 */
										BgL_auxz00_3361 =
											BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
											(((BgL_atomz00_bglt) CREF(BgL_nodez00_1302))->
												BgL_valuez00),
											(((BgL_atomz00_bglt) CREF(((BgL_atomz00_bglt)
															BgL_node2z00_1303)))->BgL_valuez00));
									}
								else
									{	/* Reduce/same.scm 37 */
										BgL_auxz00_3361 = ((bool_t) 0);
									}
							}
						else
							{	/* Reduce/same.scm 36 */
								BgL_auxz00_3361 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3361);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00()
	{
		AN_OBJECT;
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2201z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2201z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2201z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2201z00zzreduce_samez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2201z00zzreduce_samez00));
		}
	}

#ifdef __cplusplus
}
#endif
