/*===========================================================================*/
/*   (Sync/failsafe.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/failsafe.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsync_failsafez00();
	static obj_t BGl_z62failsafezd2funzf31981z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2cast1994z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2fun2003z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2setq1996z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2makezd2box2008z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2conditiona1998z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2setz122012z83zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf3zd2sfun1985z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2sequence1975z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2extern1989z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62failsafezf3zd2letzd2var2005z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2var1971z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2atom1969z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2kwote1973z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2pragma1992z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf3zd2cfun1987z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_failsafez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzsync_failsafez00();
	static obj_t BGl_genericzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sync1977z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf31966z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2select2000z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzsync_failsafez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_z62failsafezf3zd2boxzd2ref2010z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62failsafezf3zd2app1980z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2205za7,
		BGl_z62failsafezf3zd2boxzd2setz122012z83zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2177z00zzsync_failsafez00,
		BgL_bgl_string2177za700za7za7s2206za7, "failsafe?1966", 13);
	      DEFINE_STRING(BGl_string2179z00zzsync_failsafez00,
		BgL_bgl_string2179za700za7za7s2207za7, "failsafe-fun?1981", 17);
	      DEFINE_STRING(BGl_string2181z00zzsync_failsafez00,
		BgL_bgl_string2181za700za7za7s2208za7, "failsafe?", 9);
	      DEFINE_STRING(BGl_string2188z00zzsync_failsafez00,
		BgL_bgl_string2188za700za7za7s2209za7, "failsafe-fun?", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failsafezd2synczf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2sy2210z00,
		BGl_z62failsafezd2synczf3z43zzsync_failsafez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2201z00zzsync_failsafez00,
		BgL_bgl_string2201za700za7za7s2211za7, "sync_failsafe", 13);
	      DEFINE_STRING(BGl_string2202z00zzsync_failsafez00,
		BgL_bgl_string2202za700za7za7s2212za7, "fail-safe ", 10);
	      DEFINE_STATIC_BGL_GENERIC(BGl_failsafezf3zd2envz21zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za792213za7,
		BGl_z62failsafezf3z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu2214z00,
		BGl_z62failsafezd2funzf3z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3192215z00,
		BGl_z62failsafezf31966z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu2216z00,
		BGl_z62failsafezd2funzf31981z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2217za7,
		BGl_z62failsafezf3zd2atom1969z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2218za7,
		BGl_z62failsafezf3zd2var1971z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2219za7,
		BGl_z62failsafezf3zd2kwote1973z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2220za7,
		BGl_z62failsafezf3zd2sequence1975z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2221za7,
		BGl_z62failsafezf3zd2sync1977z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2222za7,
		BGl_z62failsafezf3zd2app1980z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu2223z00,
		BGl_z62failsafezd2funzf3zd2sfun1985z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu2224z00,
		BGl_z62failsafezd2funzf3zd2cfun1987z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2225za7,
		BGl_z62failsafezf3zd2extern1989z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2226za7,
		BGl_z62failsafezf3zd2pragma1992z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2227za7,
		BGl_z62failsafezf3zd2cast1994z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2228za7,
		BGl_z62failsafezf3zd2setq1996z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2229za7,
		BGl_z62failsafezf3zd2conditiona1998z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2230za7,
		BGl_z62failsafezf3zd2select2000z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2231za7,
		BGl_z62failsafezf3zd2letzd2fun2003z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2232za7,
		BGl_z62failsafezf3zd2letzd2var2005z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2233za7,
		BGl_z62failsafezf3zd2makezd2box2008z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2234za7,
		BGl_z62failsafezf3zd2boxzd2ref2010z91zzsync_failsafez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long
		BgL_checksumz00_2874, char *BgL_fromz00_2875)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_failsafez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_failsafez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
					BGl_cnstzd2initzd2zzsync_failsafez00();
					BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
					BGl_genericzd2initzd2zzsync_failsafez00();
					BGl_methodzd2initzd2zzsync_failsafez00();
					BGl_toplevelzd2initzd2zzsync_failsafez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"sync_failsafe");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			{	/* Sync/failsafe.scm 16 */
				obj_t BgL_cportz00_2851;

				BgL_cportz00_2851 =
					bgl_open_input_string(BGl_string2202z00zzsync_failsafez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2852;

					BgL_iz00_2852 = ((long) 0);
				BgL_loopz00_2853:
					if ((BgL_iz00_2852 == ((long) -1)))
						{	/* Sync/failsafe.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Sync/failsafe.scm 16 */
							{	/* Sync/failsafe.scm 16 */
								obj_t BgL_arg2204z00_2855;

								{	/* Sync/failsafe.scm 16 */

									{	/* Sync/failsafe.scm 16 */
										obj_t BgL_locationz00_2857;

										BgL_locationz00_2857 = BBOOL(((bool_t) 0));
										{	/* Sync/failsafe.scm 16 */

											BgL_arg2204z00_2855 =
												BGl_readz00zz__readerz00(BgL_cportz00_2851,
												BgL_locationz00_2857);
										}
									}
								}
								{	/* Sync/failsafe.scm 16 */
									int BgL_auxz00_2898;

									BgL_auxz00_2898 = (int) (BgL_iz00_2852);
									CNST_TABLE_SET(BgL_auxz00_2898, BgL_arg2204z00_2855);
							}}
							{	/* Sync/failsafe.scm 16 */
								int BgL_auxz00_2858;

								BgL_auxz00_2858 = (int) ((BgL_iz00_2852 - ((long) 1)));
								{
									long BgL_iz00_2903;

									BgL_iz00_2903 = (long) (BgL_auxz00_2858);
									BgL_iz00_2852 = BgL_iz00_2903;
									goto BgL_loopz00_2853;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
	}



/* failsafe-sync? */
	BGL_EXPORTED_DEF obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt BgL_nz00_17)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 45 */
			if (CBOOL(BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00))
				{	/* Sync/failsafe.scm 46 */
					return
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_syncz00_bglt) CREF(BgL_nz00_17))->BgL_bodyz00), BNIL);
				}
			else
				{	/* Sync/failsafe.scm 46 */
					return BFALSE;
				}
		}
	}



/* &failsafe-sync? */
	obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t BgL_envz00_2754,
		obj_t BgL_nz00_2755)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 45 */
			return
				BGl_failsafezd2synczf3z21zzsync_failsafez00(
				((BgL_syncz00_bglt) BgL_nz00_2755));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_proc2176z00zzsync_failsafez00, BGl_nodez00zzast_nodez00,
				BGl_string2177z00zzsync_failsafez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_proc2178z00zzsync_failsafez00, BGl_funz00zzast_varz00,
				BGl_string2179z00zzsync_failsafez00);
		}
	}



/* &failsafe-fun?1981 */
	obj_t BGl_z62failsafezd2funzf31981z43zzsync_failsafez00(obj_t BgL_envz00_2758,
		obj_t BgL_funz00_2759, obj_t BgL_varz00_2760, obj_t BgL_stkz00_2761)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 102 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &failsafe?1966 */
	obj_t BGl_z62failsafezf31966z91zzsync_failsafez00(obj_t BgL_envz00_2762,
		obj_t BgL_nz00_2763, obj_t BgL_stkz00_2764)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 53 */
			return BBOOL(((bool_t) 0));
		}
	}



/* failsafe? */
	obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt BgL_nz00_18,
		obj_t BgL_stkz00_19)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 53 */
			{	/* Sync/failsafe.scm 53 */
				obj_t BgL_method1967z00_1551;

				{	/* Sync/failsafe.scm 53 */
					obj_t BgL_res2153z00_2663;

					{	/* Sync/failsafe.scm 53 */
						long BgL_objzd2classzd2numz00_2636;

						{	/* Sync/failsafe.scm 53 */
							long BgL_res2147z00_2639;

							BgL_res2147z00_2639 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_18));
							BgL_objzd2classzd2numz00_2636 = BgL_res2147z00_2639;
						}
						{	/* Sync/failsafe.scm 53 */
							obj_t BgL_arg1769z00_2637;

							BgL_arg1769z00_2637 =
								PROCEDURE_REF(BGl_failsafezf3zd2envz21zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 53 */
								int BgL_offsetz00_2641;

								BgL_offsetz00_2641 = (int) (BgL_objzd2classzd2numz00_2636);
								{	/* Sync/failsafe.scm 53 */
									long BgL_offsetz00_2642;

									BgL_offsetz00_2642 =
										((long) (BgL_offsetz00_2641) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 53 */
										long BgL_modz00_2643;

										{	/* Sync/failsafe.scm 53 */
											int BgL_arg1771z00_2644;

											BgL_arg1771z00_2644 = (int) (((long) 16));
											{	/* Sync/failsafe.scm 53 */
												long BgL_res2150z00_2654;

												{	/* Sync/failsafe.scm 53 */
													long BgL_auxz00_2923;

													BgL_auxz00_2923 = (long) (BgL_arg1771z00_2644);
													BgL_res2150z00_2654 =
														(BgL_offsetz00_2642 / BgL_auxz00_2923);
												}
												BgL_modz00_2643 = BgL_res2150z00_2654;
										}}
										{	/* Sync/failsafe.scm 53 */
											long BgL_restz00_2645;

											{	/* Sync/failsafe.scm 53 */
												int BgL_arg1770z00_2646;

												BgL_arg1770z00_2646 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 53 */
													long BgL_res2152z00_2658;

													{	/* Sync/failsafe.scm 53 */
														long BgL_auxz00_2927;

														BgL_auxz00_2927 = (long) (BgL_arg1770z00_2646);
														BgL_res2152z00_2658 =
															(BgL_offsetz00_2642 % BgL_auxz00_2927);
													}
													BgL_restz00_2645 = BgL_res2152z00_2658;
											}}
											{	/* Sync/failsafe.scm 53 */

												BgL_res2153z00_2663 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2637,
														(int) (BgL_modz00_2643)), (int) (BgL_restz00_2645));
					}}}}}}}
					BgL_method1967z00_1551 = BgL_res2153z00_2663;
				}
				return
					PROCEDURE_ENTRY(BgL_method1967z00_1551) (BgL_method1967z00_1551,
					((obj_t) BgL_nz00_18), BgL_stkz00_19, BEOA);
			}
		}
	}



/* &failsafe? */
	obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t BgL_envz00_2765,
		obj_t BgL_nz00_2766, obj_t BgL_stkz00_2767)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 53 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				((BgL_nodez00_bglt) BgL_nz00_2766), BgL_stkz00_2767);
		}
	}



/* failsafe-fun? */
	obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt
		BgL_funz00_32, BgL_variablez00_bglt BgL_varz00_33, obj_t BgL_stkz00_34)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 102 */
			{	/* Sync/failsafe.scm 102 */
				obj_t BgL_method1983z00_1552;

				{	/* Sync/failsafe.scm 102 */
					obj_t BgL_res2160z00_2692;

					{	/* Sync/failsafe.scm 102 */
						long BgL_objzd2classzd2numz00_2665;

						{	/* Sync/failsafe.scm 102 */
							long BgL_res2154z00_2668;

							BgL_res2154z00_2668 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_32));
							BgL_objzd2classzd2numz00_2665 = BgL_res2154z00_2668;
						}
						{	/* Sync/failsafe.scm 102 */
							obj_t BgL_arg1769z00_2666;

							BgL_arg1769z00_2666 =
								PROCEDURE_REF(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
								(int) (((long) 1)));
							{	/* Sync/failsafe.scm 102 */
								int BgL_offsetz00_2670;

								BgL_offsetz00_2670 = (int) (BgL_objzd2classzd2numz00_2665);
								{	/* Sync/failsafe.scm 102 */
									long BgL_offsetz00_2671;

									BgL_offsetz00_2671 =
										((long) (BgL_offsetz00_2670) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 102 */
										long BgL_modz00_2672;

										{	/* Sync/failsafe.scm 102 */
											int BgL_arg1771z00_2673;

											BgL_arg1771z00_2673 = (int) (((long) 16));
											{	/* Sync/failsafe.scm 102 */
												long BgL_res2157z00_2683;

												{	/* Sync/failsafe.scm 102 */
													long BgL_auxz00_2950;

													BgL_auxz00_2950 = (long) (BgL_arg1771z00_2673);
													BgL_res2157z00_2683 =
														(BgL_offsetz00_2671 / BgL_auxz00_2950);
												}
												BgL_modz00_2672 = BgL_res2157z00_2683;
										}}
										{	/* Sync/failsafe.scm 102 */
											long BgL_restz00_2674;

											{	/* Sync/failsafe.scm 102 */
												int BgL_arg1770z00_2675;

												BgL_arg1770z00_2675 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 102 */
													long BgL_res2159z00_2687;

													{	/* Sync/failsafe.scm 102 */
														long BgL_auxz00_2954;

														BgL_auxz00_2954 = (long) (BgL_arg1770z00_2675);
														BgL_res2159z00_2687 =
															(BgL_offsetz00_2671 % BgL_auxz00_2954);
													}
													BgL_restz00_2674 = BgL_res2159z00_2687;
											}}
											{	/* Sync/failsafe.scm 102 */

												BgL_res2160z00_2692 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2666,
														(int) (BgL_modz00_2672)), (int) (BgL_restz00_2674));
					}}}}}}}
					BgL_method1983z00_1552 = BgL_res2160z00_2692;
				}
				return
					PROCEDURE_ENTRY(BgL_method1983z00_1552) (BgL_method1983z00_1552,
					((obj_t) BgL_funz00_32),
					((obj_t) BgL_varz00_33), BgL_stkz00_34, BEOA);
			}
		}
	}



/* &failsafe-fun? */
	obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t BgL_envz00_2768,
		obj_t BgL_funz00_2769, obj_t BgL_varz00_2770, obj_t BgL_stkz00_2771)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 102 */
			return
				BGl_failsafezd2funzf3z21zzsync_failsafez00(
				((BgL_funz00_bglt) BgL_funz00_2769),
				((BgL_variablez00_bglt) BgL_varz00_2770), BgL_stkz00_2771);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_atomz00zzast_nodez00,
				BGl_proc2180z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_varz00zzast_nodez00,
				BGl_proc2182z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2183z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2184z00zzsync_failsafez00,
				BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_syncz00zzast_nodez00,
				BGl_proc2185z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_appz00zzast_nodez00,
				BGl_proc2186z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_sfunz00zzast_varz00, BGl_proc2187z00zzsync_failsafez00,
				BGl_string2188z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_cfunz00zzast_varz00, BGl_proc2189z00zzsync_failsafez00,
				BGl_string2188z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_externz00zzast_nodez00,
				BGl_proc2190z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_pragmaz00zzast_nodez00,
				BGl_proc2191z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_castz00zzast_nodez00,
				BGl_proc2192z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_setqz00zzast_nodez00,
				BGl_proc2193z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2194z00zzsync_failsafez00,
				BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_selectz00zzast_nodez00,
				BGl_proc2195z00zzsync_failsafez00, BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2196z00zzsync_failsafez00,
				BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2197z00zzsync_failsafez00,
				BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2198z00zzsync_failsafez00,
				BGl_string2181z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2199z00zzsync_failsafez00,
				BGl_string2181z00zzsync_failsafez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2200z00zzsync_failsafez00,
				BGl_string2181z00zzsync_failsafez00);
		}
	}



/* &failsafe?-box-set!2012 */
	obj_t BGl_z62failsafezf3zd2boxzd2setz122012z83zzsync_failsafez00(obj_t
		BgL_envz00_2791, obj_t BgL_nz00_2792, obj_t BgL_stkz00_2793)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 216 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_1753;
				obj_t BgL_stkz00_1754;

				BgL_nz00_1753 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_2792);
				BgL_stkz00_1754 = BgL_stkz00_2793;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_1753))->BgL_valuez00),
					BgL_stkz00_1754);
			}
		}
	}



/* &failsafe?-box-ref2010 */
	obj_t BGl_z62failsafezf3zd2boxzd2ref2010z91zzsync_failsafez00(obj_t
		BgL_envz00_2794, obj_t BgL_nz00_2795, obj_t BgL_stkz00_2796)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 210 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &failsafe?-make-box2008 */
	obj_t BGl_z62failsafezf3zd2makezd2box2008z91zzsync_failsafez00(obj_t
		BgL_envz00_2797, obj_t BgL_nz00_2798, obj_t BgL_stkz00_2799)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 203 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_1741;
				obj_t BgL_stkz00_1742;

				BgL_nz00_1741 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_2798);
				BgL_stkz00_1742 = BgL_stkz00_2799;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_1741))->BgL_valuez00),
					BgL_stkz00_1742);
			}
		}
	}



/* &failsafe?-let-var2005 */
	obj_t BGl_z62failsafezf3zd2letzd2var2005z91zzsync_failsafez00(obj_t
		BgL_envz00_2800, obj_t BgL_nz00_2801, obj_t BgL_stkz00_2802)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 195 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_1722;
				obj_t BgL_stkz00_1723;

				{	/* Sync/failsafe.scm 196 */
					bool_t BgL_auxz00_2998;

					BgL_nz00_1722 = ((BgL_letzd2varzd2_bglt) BgL_nz00_2801);
					BgL_stkz00_1723 = BgL_stkz00_2802;
					{	/* Sync/failsafe.scm 197 */
						bool_t BgL_testz00_2999;

						{	/* Sync/failsafe.scm 197 */
							BgL_nodez00_bglt BgL_arg2077z00_1739;

							BgL_arg2077z00_1739 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_1722))->BgL_bodyz00);
							BgL_testz00_2999 =
								CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg2077z00_1739,
									BgL_stkz00_1723));
						}
						if (BgL_testz00_2999)
							{	/* Sync/failsafe.scm 198 */
								obj_t BgL_g1964z00_1728;

								BgL_g1964z00_1728 =
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_1722))->
									BgL_bindingsz00);
								{
									obj_t BgL_l1962z00_1730;

									BgL_l1962z00_1730 = BgL_g1964z00_1728;
								BgL_zc3anonymousza32073ze3z83_1731:
									if (NULLP(BgL_l1962z00_1730))
										{	/* Sync/failsafe.scm 198 */
											BgL_auxz00_2998 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 198 */
											obj_t BgL_nvz00_1733;

											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_bz00_1736;

												BgL_bz00_1736 = CAR(BgL_l1962z00_1730);
												{	/* Sync/failsafe.scm 198 */
													obj_t BgL_arg2076z00_1737;

													BgL_arg2076z00_1737 = CDR(BgL_bz00_1736);
													BgL_nvz00_1733 =
														BGl_failsafezf3zf3zzsync_failsafez00(
														((BgL_nodez00_bglt) BgL_arg2076z00_1737),
														BgL_stkz00_1723);
												}
											}
											if (CBOOL(BgL_nvz00_1733))
												{
													obj_t BgL_l1962z00_3012;

													BgL_l1962z00_3012 = CDR(BgL_l1962z00_1730);
													BgL_l1962z00_1730 = BgL_l1962z00_3012;
													goto BgL_zc3anonymousza32073ze3z83_1731;
												}
											else
												{	/* Sync/failsafe.scm 198 */
													BgL_auxz00_2998 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 197 */
								BgL_auxz00_2998 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_2998);
				}
			}
		}
	}



/* &failsafe?-let-fun2003 */
	obj_t BGl_z62failsafezf3zd2letzd2fun2003z91zzsync_failsafez00(obj_t
		BgL_envz00_2803, obj_t BgL_nz00_2804, obj_t BgL_stkz00_2805)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 187 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_1715;
				obj_t BgL_stkz00_1716;

				BgL_nz00_1715 = ((BgL_letzd2funzd2_bglt) BgL_nz00_2804);
				BgL_stkz00_1716 = BgL_stkz00_2805;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_1715))->BgL_bodyz00),
					BgL_stkz00_1716);
			}
		}
	}



/* &failsafe?-select2000 */
	obj_t BGl_z62failsafezf3zd2select2000z43zzsync_failsafez00(obj_t
		BgL_envz00_2806, obj_t BgL_nz00_2807, obj_t BgL_stkz00_2808)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 179 */
			{
				BgL_selectz00_bglt BgL_nz00_1696;
				obj_t BgL_stkz00_1697;

				{	/* Sync/failsafe.scm 180 */
					bool_t BgL_auxz00_3019;

					BgL_nz00_1696 = ((BgL_selectz00_bglt) BgL_nz00_2807);
					BgL_stkz00_1697 = BgL_stkz00_2808;
					{	/* Sync/failsafe.scm 181 */
						bool_t BgL_testz00_3020;

						{	/* Sync/failsafe.scm 181 */
							BgL_nodez00_bglt BgL_arg2070z00_1713;

							BgL_arg2070z00_1713 =
								(((BgL_selectz00_bglt) CREF(BgL_nz00_1696))->BgL_testz00);
							BgL_testz00_3020 =
								CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg2070z00_1713,
									BgL_stkz00_1697));
						}
						if (BgL_testz00_3020)
							{	/* Sync/failsafe.scm 182 */
								obj_t BgL_g1960z00_1702;

								BgL_g1960z00_1702 =
									(((BgL_selectz00_bglt) CREF(BgL_nz00_1696))->BgL_clausesz00);
								{
									obj_t BgL_l1958z00_1704;

									BgL_l1958z00_1704 = BgL_g1960z00_1702;
								BgL_zc3anonymousza32066ze3z83_1705:
									if (NULLP(BgL_l1958z00_1704))
										{	/* Sync/failsafe.scm 182 */
											BgL_auxz00_3019 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 182 */
											obj_t BgL_nvz00_1707;

											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_cz00_1710;

												BgL_cz00_1710 = CAR(BgL_l1958z00_1704);
												{	/* Sync/failsafe.scm 182 */
													obj_t BgL_arg2069z00_1711;

													BgL_arg2069z00_1711 = CDR(BgL_cz00_1710);
													BgL_nvz00_1707 =
														BGl_failsafezf3zf3zzsync_failsafez00(
														((BgL_nodez00_bglt) BgL_arg2069z00_1711),
														BgL_stkz00_1697);
												}
											}
											if (CBOOL(BgL_nvz00_1707))
												{
													obj_t BgL_l1958z00_3033;

													BgL_l1958z00_3033 = CDR(BgL_l1958z00_1704);
													BgL_l1958z00_1704 = BgL_l1958z00_3033;
													goto BgL_zc3anonymousza32066ze3z83_1705;
												}
											else
												{	/* Sync/failsafe.scm 182 */
													BgL_auxz00_3019 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 181 */
								BgL_auxz00_3019 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3019);
				}
			}
		}
	}



/* &failsafe?-conditiona1998 */
	obj_t BGl_z62failsafezf3zd2conditiona1998z43zzsync_failsafez00(obj_t
		BgL_envz00_2809, obj_t BgL_nz00_2810, obj_t BgL_stkz00_2811)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 172 */
			{
				BgL_conditionalz00_bglt BgL_nz00_1685;
				obj_t BgL_stkz00_1686;

				BgL_nz00_1685 = ((BgL_conditionalz00_bglt) BgL_nz00_2810);
				BgL_stkz00_1686 = BgL_stkz00_2811;
				{	/* Sync/failsafe.scm 174 */
					obj_t BgL__andtest_1119z00_1690;

					BgL__andtest_1119z00_1690 =
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_1685))->BgL_testz00),
						BgL_stkz00_1686);
					if (CBOOL(BgL__andtest_1119z00_1690))
						{	/* Sync/failsafe.scm 174 */
							obj_t BgL__andtest_1120z00_1691;

							BgL__andtest_1120z00_1691 =
								BGl_failsafezf3zf3zzsync_failsafez00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nz00_1685))->BgL_truez00),
								BgL_stkz00_1686);
							if (CBOOL(BgL__andtest_1120z00_1691))
								{	/* Sync/failsafe.scm 174 */
									return
										BGl_failsafezf3zf3zzsync_failsafez00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nz00_1685))->
											BgL_falsez00), BgL_stkz00_1686);
								}
							else
								{	/* Sync/failsafe.scm 174 */
									return BFALSE;
								}
						}
					else
						{	/* Sync/failsafe.scm 174 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &failsafe?-setq1996 */
	obj_t BGl_z62failsafezf3zd2setq1996z43zzsync_failsafez00(obj_t
		BgL_envz00_2812, obj_t BgL_nz00_2813, obj_t BgL_stkz00_2814)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 165 */
			{
				BgL_setqz00_bglt BgL_nz00_1678;
				obj_t BgL_stkz00_1679;

				BgL_nz00_1678 = ((BgL_setqz00_bglt) BgL_nz00_2813);
				BgL_stkz00_1679 = BgL_stkz00_2814;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_setqz00_bglt) CREF(BgL_nz00_1678))->BgL_valuez00),
					BgL_stkz00_1679);
			}
		}
	}



/* &failsafe?-cast1994 */
	obj_t BGl_z62failsafezf3zd2cast1994z43zzsync_failsafez00(obj_t
		BgL_envz00_2815, obj_t BgL_nz00_2816, obj_t BgL_stkz00_2817)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 158 */
			{
				BgL_castz00_bglt BgL_nz00_1671;
				obj_t BgL_stkz00_1672;

				BgL_nz00_1671 = ((BgL_castz00_bglt) BgL_nz00_2816);
				BgL_stkz00_1672 = BgL_stkz00_2817;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_castz00_bglt) CREF(BgL_nz00_1671))->BgL_argz00),
					BgL_stkz00_1672);
			}
		}
	}



/* &failsafe?-pragma1992 */
	obj_t BGl_z62failsafezf3zd2pragma1992z43zzsync_failsafez00(obj_t
		BgL_envz00_2818, obj_t BgL_nz00_2819, obj_t BgL_stkz00_2820)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 152 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &failsafe?-extern1989 */
	obj_t BGl_z62failsafezf3zd2extern1989z43zzsync_failsafez00(obj_t
		BgL_envz00_2821, obj_t BgL_nz00_2822, obj_t BgL_stkz00_2823)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 145 */
			{
				BgL_externz00_bglt BgL_nz00_1650;
				obj_t BgL_stkz00_1651;

				{	/* Sync/failsafe.scm 146 */
					bool_t BgL_auxz00_3055;

					BgL_nz00_1650 = ((BgL_externz00_bglt) BgL_nz00_2822);
					BgL_stkz00_1651 = BgL_stkz00_2823;
					{	/* Sync/failsafe.scm 147 */
						obj_t BgL_g1956z00_1655;

						BgL_g1956z00_1655 =
							(((BgL_externz00_bglt) CREF(BgL_nz00_1650))->BgL_exprza2za2);
						{
							obj_t BgL_l1954z00_1657;

							BgL_l1954z00_1657 = BgL_g1956z00_1655;
						BgL_zc3anonymousza32057ze3z83_1658:
							if (NULLP(BgL_l1954z00_1657))
								{	/* Sync/failsafe.scm 147 */
									BgL_auxz00_3055 = ((bool_t) 1);
								}
							else
								{	/* Sync/failsafe.scm 147 */
									obj_t BgL_nvz00_1660;

									{	/* Sync/failsafe.scm 147 */
										obj_t BgL_nz00_1663;

										BgL_nz00_1663 = CAR(BgL_l1954z00_1657);
										BgL_nvz00_1660 =
											BGl_failsafezf3zf3zzsync_failsafez00(
											((BgL_nodez00_bglt) BgL_nz00_1663), BgL_stkz00_1651);
									}
									if (CBOOL(BgL_nvz00_1660))
										{
											obj_t BgL_l1954z00_3064;

											BgL_l1954z00_3064 = CDR(BgL_l1954z00_1657);
											BgL_l1954z00_1657 = BgL_l1954z00_3064;
											goto BgL_zc3anonymousza32057ze3z83_1658;
										}
									else
										{	/* Sync/failsafe.scm 147 */
											BgL_auxz00_3055 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3055);
				}
			}
		}
	}



/* &failsafe-fun?-cfun1987 */
	obj_t BGl_z62failsafezd2funzf3zd2cfun1987z91zzsync_failsafez00(obj_t
		BgL_envz00_2824, obj_t BgL_funz00_2825, obj_t BgL_varz00_2826,
		obj_t BgL_stkz00_2827)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 130 */
			{
				BgL_cfunz00_bglt BgL_funz00_1637;
				BgL_variablez00_bglt BgL_varz00_1638;
				obj_t BgL_stkz00_1639;

				BgL_funz00_1637 = ((BgL_cfunz00_bglt) BgL_funz00_2825);
				BgL_varz00_1638 = ((BgL_variablez00_bglt) BgL_varz00_2826);
				BgL_stkz00_1639 = BgL_stkz00_2827;
				{	/* Sync/failsafe.scm 133 */
					bool_t BgL_testz00_3068;

					{	/* Sync/failsafe.scm 133 */
						obj_t BgL_auxz00_3069;

						BgL_auxz00_3069 =
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_funz00_1637)))->BgL_failsafez00);
						BgL_testz00_3068 = BOOLEANP(BgL_auxz00_3069);
					}
					if (BgL_testz00_3068)
						{	/* Sync/failsafe.scm 133 */
							return
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt) BgL_funz00_1637)))->BgL_failsafez00);
						}
					else
						{	/* Sync/failsafe.scm 135 */
							bool_t BgL_testz00_3075;

							{	/* Sync/failsafe.scm 135 */
								bool_t BgL_res2171z00_2723;

								BgL_res2171z00_2723 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_varz00_1638), BGl_globalz00zzast_varz00);
								BgL_testz00_3075 = BgL_res2171z00_2723;
							}
							if (BgL_testz00_3075)
								{	/* Sync/failsafe.scm 135 */
									{
										obj_t BgL_auxz00_3078;

										{	/* Sync/failsafe.scm 137 */
											bool_t BgL_auxz00_3080;

											{	/* Sync/failsafe.scm 137 */
												obj_t BgL_auxz00_3081;

												BgL_auxz00_3081 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 0)),
													(((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
																	BgL_varz00_1638)))->BgL_pragmaz00));
												BgL_auxz00_3080 = PAIRP(BgL_auxz00_3081);
											}
											BgL_auxz00_3078 = BBOOL(BgL_auxz00_3080);
										}
										((((BgL_funz00_bglt) CREF(
														((BgL_funz00_bglt) BgL_funz00_1637)))->
												BgL_failsafez00) = ((obj_t) BgL_auxz00_3078), BUNSPEC);
									}
									return
										(((BgL_funz00_bglt) CREF(
												((BgL_funz00_bglt) BgL_funz00_1637)))->BgL_failsafez00);
								}
							else
								{	/* Sync/failsafe.scm 135 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &failsafe-fun?-sfun1985 */
	obj_t BGl_z62failsafezd2funzf3zd2sfun1985z91zzsync_failsafez00(obj_t
		BgL_envz00_2828, obj_t BgL_funz00_2829, obj_t BgL_varz00_2830,
		obj_t BgL_stkz00_2831)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 108 */
			{
				BgL_sfunz00_bglt BgL_funz00_1615;
				BgL_variablez00_bglt BgL_varz00_1616;
				obj_t BgL_stkz00_1617;

				BgL_funz00_1615 = ((BgL_sfunz00_bglt) BgL_funz00_2829);
				BgL_varz00_1616 = ((BgL_variablez00_bglt) BgL_varz00_2830);
				BgL_stkz00_1617 = BgL_stkz00_2831;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_varz00_1616), BgL_stkz00_1617)))
					{	/* Sync/failsafe.scm 111 */
						return BTRUE;
					}
				else
					{	/* Sync/failsafe.scm 113 */
						bool_t BgL_testz00_3097;

						{	/* Sync/failsafe.scm 113 */
							obj_t BgL_auxz00_3098;

							BgL_auxz00_3098 =
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt) BgL_funz00_1615)))->BgL_failsafez00);
							BgL_testz00_3097 = BOOLEANP(BgL_auxz00_3098);
						}
						if (BgL_testz00_3097)
							{	/* Sync/failsafe.scm 113 */
								return
									(((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt) BgL_funz00_1615)))->BgL_failsafez00);
							}
						else
							{	/* Sync/failsafe.scm 115 */
								bool_t BgL_testz00_3104;

								{	/* Sync/failsafe.scm 115 */
									bool_t BgL_testz00_3105;

									{	/* Sync/failsafe.scm 115 */
										bool_t BgL_res2166z00_2710;

										BgL_res2166z00_2710 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_varz00_1616), BGl_globalz00zzast_varz00);
										BgL_testz00_3105 = BgL_res2166z00_2710;
									}
									if (BgL_testz00_3105)
										{	/* Sync/failsafe.scm 115 */
											bool_t BgL_testz00_3108;

											{	/* Sync/failsafe.scm 115 */
												obj_t BgL_arg2050z00_1634;

												BgL_arg2050z00_1634 =
													(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt) BgL_varz00_1616)))->
													BgL_modulez00);
												BgL_testz00_3108 =
													(BgL_arg2050z00_1634 ==
													BGl_za2moduleza2z00zzmodule_modulez00);
											}
											if (BgL_testz00_3108)
												{	/* Sync/failsafe.scm 115 */
													BgL_testz00_3104 = ((bool_t) 0);
												}
											else
												{	/* Sync/failsafe.scm 115 */
													BgL_testz00_3104 = ((bool_t) 1);
												}
										}
									else
										{	/* Sync/failsafe.scm 115 */
											BgL_testz00_3104 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3104)
									{	/* Sync/failsafe.scm 115 */
										{
											obj_t BgL_auxz00_3112;

											{	/* Sync/failsafe.scm 118 */
												bool_t BgL_auxz00_3114;

												{	/* Sync/failsafe.scm 118 */
													obj_t BgL_auxz00_3115;

													BgL_auxz00_3115 =
														BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 0)),
														(((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
																		BgL_varz00_1616)))->BgL_pragmaz00));
													BgL_auxz00_3114 = PAIRP(BgL_auxz00_3115);
												}
												BgL_auxz00_3112 = BBOOL(BgL_auxz00_3114);
											}
											((((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt) BgL_funz00_1615)))->
													BgL_failsafez00) =
												((obj_t) BgL_auxz00_3112), BUNSPEC);
										}
										return
											(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1615)))->
											BgL_failsafez00);
									}
								else
									{	/* Sync/failsafe.scm 122 */
										obj_t BgL_fsafez00_1628;

										{	/* Sync/failsafe.scm 122 */
											obj_t BgL_arg2046z00_1630;
											obj_t BgL_arg2047z00_1631;

											BgL_arg2046z00_1630 =
												(((BgL_sfunz00_bglt) CREF(BgL_funz00_1615))->
												BgL_bodyz00);
											BgL_arg2047z00_1631 =
												MAKE_PAIR(((obj_t) BgL_varz00_1616), BgL_stkz00_1617);
											BgL_fsafez00_1628 =
												BGl_failsafezf3zf3zzsync_failsafez00(((BgL_nodez00_bglt)
													BgL_arg2046z00_1630), BgL_arg2047z00_1631);
										}
										if (NULLP(BgL_stkz00_1617))
											{	/* Sync/failsafe.scm 124 */
												((((BgL_funz00_bglt) CREF(
																((BgL_funz00_bglt) BgL_funz00_1615)))->
														BgL_failsafez00) =
													((obj_t) BgL_fsafez00_1628), BUNSPEC);
											}
										else
											{	/* Sync/failsafe.scm 124 */
												BFALSE;
											}
										return BgL_fsafez00_1628;
									}
							}
					}
			}
		}
	}



/* &failsafe?-app1980 */
	obj_t BGl_z62failsafezf3zd2app1980z43zzsync_failsafez00(obj_t BgL_envz00_2832,
		obj_t BgL_nz00_2833, obj_t BgL_stkz00_2834)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 93 */
			{
				BgL_appz00_bglt BgL_nz00_1595;
				obj_t BgL_stkz00_1596;

				{	/* Sync/failsafe.scm 94 */
					bool_t BgL_auxz00_3136;

					BgL_nz00_1595 = ((BgL_appz00_bglt) BgL_nz00_2833);
					BgL_stkz00_1596 = BgL_stkz00_2834;
					{	/* Sync/failsafe.scm 95 */
						BgL_variablez00_bglt BgL_vz00_1600;

						BgL_vz00_1600 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nz00_1595))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Sync/failsafe.scm 96 */
							bool_t BgL_testz00_3139;

							{	/* Sync/failsafe.scm 96 */
								BgL_valuez00_bglt BgL_arg2038z00_1612;

								BgL_arg2038z00_1612 =
									(((BgL_variablez00_bglt) CREF(BgL_vz00_1600))->BgL_valuez00);
								BgL_testz00_3139 =
									CBOOL(BGl_failsafezd2funzf3z21zzsync_failsafez00(
										((BgL_funz00_bglt) BgL_arg2038z00_1612), BgL_vz00_1600,
										BgL_stkz00_1596));
							}
							if (BgL_testz00_3139)
								{	/* Sync/failsafe.scm 97 */
									obj_t BgL_g1952z00_1602;

									BgL_g1952z00_1602 =
										(((BgL_appz00_bglt) CREF(BgL_nz00_1595))->BgL_argsz00);
									{
										obj_t BgL_l1950z00_1604;

										BgL_l1950z00_1604 = BgL_g1952z00_1602;
									BgL_zc3anonymousza32035ze3z83_1605:
										if (NULLP(BgL_l1950z00_1604))
											{	/* Sync/failsafe.scm 97 */
												BgL_auxz00_3136 = ((bool_t) 1);
											}
										else
											{	/* Sync/failsafe.scm 97 */
												obj_t BgL_nvz00_1607;

												{	/* Sync/failsafe.scm 97 */
													obj_t BgL_nz00_1610;

													BgL_nz00_1610 = CAR(BgL_l1950z00_1604);
													BgL_nvz00_1607 =
														BGl_failsafezf3zf3zzsync_failsafez00(
														((BgL_nodez00_bglt) BgL_nz00_1610),
														BgL_stkz00_1596);
												}
												if (CBOOL(BgL_nvz00_1607))
													{
														obj_t BgL_l1950z00_3152;

														BgL_l1950z00_3152 = CDR(BgL_l1950z00_1604);
														BgL_l1950z00_1604 = BgL_l1950z00_3152;
														goto BgL_zc3anonymousza32035ze3z83_1605;
													}
												else
													{	/* Sync/failsafe.scm 97 */
														BgL_auxz00_3136 = ((bool_t) 0);
													}
											}
									}
								}
							else
								{	/* Sync/failsafe.scm 96 */
									BgL_auxz00_3136 = ((bool_t) 0);
								}
						}
					}
					return BBOOL(BgL_auxz00_3136);
				}
			}
		}
	}



/* &failsafe?-sync1977 */
	obj_t BGl_z62failsafezf3zd2sync1977z43zzsync_failsafez00(obj_t
		BgL_envz00_2835, obj_t BgL_nz00_2836, obj_t BgL_stkz00_2837)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 84 */
			{
				BgL_syncz00_bglt BgL_nz00_1584;
				obj_t BgL_stkz00_1585;

				BgL_nz00_1584 = ((BgL_syncz00_bglt) BgL_nz00_2836);
				BgL_stkz00_1585 = BgL_stkz00_2837;
				{	/* Sync/failsafe.scm 86 */
					obj_t BgL__andtest_1107z00_1589;

					BgL__andtest_1107z00_1589 =
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_syncz00_bglt) CREF(BgL_nz00_1584))->BgL_mutexz00),
						BgL_stkz00_1585);
					if (CBOOL(BgL__andtest_1107z00_1589))
						{	/* Sync/failsafe.scm 87 */
							obj_t BgL__andtest_1108z00_1590;

							BgL__andtest_1108z00_1590 =
								BGl_failsafezf3zf3zzsync_failsafez00(
								(((BgL_syncz00_bglt) CREF(BgL_nz00_1584))->BgL_prelockz00),
								BgL_stkz00_1585);
							if (CBOOL(BgL__andtest_1108z00_1590))
								{	/* Sync/failsafe.scm 87 */
									return
										BGl_failsafezf3zf3zzsync_failsafez00(
										(((BgL_syncz00_bglt) CREF(BgL_nz00_1584))->BgL_bodyz00),
										BgL_stkz00_1585);
								}
							else
								{	/* Sync/failsafe.scm 87 */
									return BFALSE;
								}
						}
					else
						{	/* Sync/failsafe.scm 86 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &failsafe?-sequence1975 */
	obj_t BGl_z62failsafezf3zd2sequence1975z43zzsync_failsafez00(obj_t
		BgL_envz00_2838, obj_t BgL_nz00_2839, obj_t BgL_stkz00_2840)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 77 */
			{
				BgL_sequencez00_bglt BgL_nz00_1568;
				obj_t BgL_stkz00_1569;

				{	/* Sync/failsafe.scm 78 */
					bool_t BgL_auxz00_3167;

					BgL_nz00_1568 = ((BgL_sequencez00_bglt) BgL_nz00_2839);
					BgL_stkz00_1569 = BgL_stkz00_2840;
					{	/* Sync/failsafe.scm 79 */
						obj_t BgL_g1948z00_1573;

						BgL_g1948z00_1573 =
							(((BgL_sequencez00_bglt) CREF(BgL_nz00_1568))->BgL_nodesz00);
						{
							obj_t BgL_l1946z00_1575;

							BgL_l1946z00_1575 = BgL_g1948z00_1573;
						BgL_zc3anonymousza32027ze3z83_1576:
							if (NULLP(BgL_l1946z00_1575))
								{	/* Sync/failsafe.scm 79 */
									BgL_auxz00_3167 = ((bool_t) 1);
								}
							else
								{	/* Sync/failsafe.scm 79 */
									obj_t BgL_nvz00_1578;

									{	/* Sync/failsafe.scm 79 */
										obj_t BgL_nz00_1581;

										BgL_nz00_1581 = CAR(BgL_l1946z00_1575);
										BgL_nvz00_1578 =
											BGl_failsafezf3zf3zzsync_failsafez00(
											((BgL_nodez00_bglt) BgL_nz00_1581), BgL_stkz00_1569);
									}
									if (CBOOL(BgL_nvz00_1578))
										{
											obj_t BgL_l1946z00_3176;

											BgL_l1946z00_3176 = CDR(BgL_l1946z00_1575);
											BgL_l1946z00_1575 = BgL_l1946z00_3176;
											goto BgL_zc3anonymousza32027ze3z83_1576;
										}
									else
										{	/* Sync/failsafe.scm 79 */
											BgL_auxz00_3167 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3167);
				}
			}
		}
	}



/* &failsafe?-kwote1973 */
	obj_t BGl_z62failsafezf3zd2kwote1973z43zzsync_failsafez00(obj_t
		BgL_envz00_2841, obj_t BgL_nz00_2842, obj_t BgL_stkz00_2843)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 71 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &failsafe?-var1971 */
	obj_t BGl_z62failsafezf3zd2var1971z43zzsync_failsafez00(obj_t BgL_envz00_2844,
		obj_t BgL_nz00_2845, obj_t BgL_stkz00_2846)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 65 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &failsafe?-atom1969 */
	obj_t BGl_z62failsafezf3zd2atom1969z43zzsync_failsafez00(obj_t
		BgL_envz00_2847, obj_t BgL_nz00_2848, obj_t BgL_stkz00_2849)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 59 */
			return BBOOL(((bool_t) 1));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2201z00zzsync_failsafez00));
		}
	}

#ifdef __cplusplus
}
#endif
