/*===========================================================================*/
/*   (Tailc/walk.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tailc/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_localzd2tailzd2_bgl
	{
	}                      *BgL_localzd2tailzd2_bglt;


	static obj_t BGl_globalzd2ze3localz12z23zztailc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda1952z62zztailc_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1955z62zztailc_walkz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda1958z62zztailc_walkz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zztailc_walkz00();
	static obj_t BGl_tailczd2globalzd2zztailc_walkz00(obj_t);
	static obj_t BGl_z62tailczd2walkz12za2zztailc_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztailc_walkz00();
	static obj_t BGl_z62getzd2tailzd2callszd2closu1873zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2app1879zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_localzd2tailzd2zztailc_walkz00 = BUNSPEC;
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t BGl_z62getzd2tailzd2callszd2seque1875zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2sync1877zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2calls1870z62zztailc_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2condi1881zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztailc_walkz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztailc_walkz00();
	static obj_t BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t BGl_z62getzd2tailzd2callszd2letzd2f1885z62zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztailc_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_z62getzd2tailzd2callszd2letzd2v1887z62zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zztailc_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztailc_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztailc_walkz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62getzd2tailzd2callszd2selec1883zb0zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza31957ze3ze1zztailc_walkz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2tailzd2callsz62zztailc_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string2121z00zztailc_walkz00,
		BgL_bgl_string2121za700za7za7t2128za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2122z00zztailc_walkz00,
		BgL_bgl_string2122za700za7za7t2129za7, "tailc_walk", 10);
	      DEFINE_STRING(BGl_string2123z00zztailc_walkz00,
		BgL_bgl_string2123za700za7za7t2130za7,
		"_ tailc_walk local-tail pass-started ", 37);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tailczd2walkz12zd2envz12zztailc_walkz00,
		BgL_bgl_za762tailcza7d2walkza72131za7,
		BGl_z62tailczd2walkz12za2zztailc_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22132za7,
		BGl_z62getzd2tailzd2callsz62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zztailc_walkz00,
		BgL_bgl_za762lambda1958za7622133z00, BGl_z62lambda1958z62zztailc_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zztailc_walkz00,
		BgL_bgl_za762za7c3anonymousza72134za7,
		BGl_z62zc3anonymousza31957ze3ze1zztailc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zztailc_walkz00,
		BgL_bgl_za762lambda1955za7622135z00, BGl_z62lambda1955z62zztailc_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zztailc_walkz00,
		BgL_bgl_za762lambda1952za7622136z00, BGl_z62lambda1952z62zztailc_walkz00,
		0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22137za7,
		BGl_z62getzd2tailzd2calls1870z62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22138za7,
		BGl_z62getzd2tailzd2callszd2closu1873zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22139za7,
		BGl_z62getzd2tailzd2callszd2seque1875zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22140za7,
		BGl_z62getzd2tailzd2callszd2sync1877zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22141za7,
		BGl_z62getzd2tailzd2callszd2app1879zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2117z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22142za7,
		BGl_z62getzd2tailzd2callszd2condi1881zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22143za7,
		BGl_z62getzd2tailzd2callszd2selec1883zb0zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2119z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22144za7,
		BGl_z62getzd2tailzd2callszd2letzd2f1885z62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zztailc_walkz00,
		BgL_bgl_za762getza7d2tailza7d22145za7,
		BGl_z62getzd2tailzd2callszd2letzd2v1887z62zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2100z00zztailc_walkz00,
		BgL_bgl_string2100za700za7za7t2146za7, "Tailc", 5);
	      DEFINE_STRING(BGl_string2101z00zztailc_walkz00,
		BgL_bgl_string2101za700za7za7t2147za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2102z00zztailc_walkz00,
		BgL_bgl_string2102za700za7za7t2148za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2103z00zztailc_walkz00,
		BgL_bgl_string2103za700za7za7t2149za7, " self tail call(s)", 18);
	      DEFINE_STRING(BGl_string2104z00zztailc_walkz00,
		BgL_bgl_string2104za700za7za7t2150za7, ": ", 2);
	      DEFINE_STRING(BGl_string2105z00zztailc_walkz00,
		BgL_bgl_string2105za700za7za7t2151za7, "        ", 8);
	      DEFINE_STRING(BGl_string2111z00zztailc_walkz00,
		BgL_bgl_string2111za700za7za7t2152za7, "get-tail-calls1870", 18);
	      DEFINE_STRING(BGl_string2113z00zztailc_walkz00,
		BgL_bgl_string2113za700za7za7t2153za7, "get-tail-calls", 14);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long
		BgL_checksumz00_2595, char *BgL_fromz00_2596)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztailc_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztailc_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztailc_walkz00();
					BGl_cnstzd2initzd2zztailc_walkz00();
					BGl_importedzd2moduleszd2initz00zztailc_walkz00();
					BGl_objectzd2initzd2zztailc_walkz00();
					BGl_genericzd2initzd2zztailc_walkz00();
					BGl_methodzd2initzd2zztailc_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tailc_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"tailc_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			{	/* Tailc/walk.scm 15 */
				obj_t BgL_cportz00_2580;

				BgL_cportz00_2580 =
					bgl_open_input_string(BGl_string2123z00zztailc_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2581;

					BgL_iz00_2581 = ((long) 3);
				BgL_loopz00_2582:
					if ((BgL_iz00_2581 == ((long) -1)))
						{	/* Tailc/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tailc/walk.scm 15 */
							{	/* Tailc/walk.scm 15 */
								obj_t BgL_arg2126z00_2584;

								{	/* Tailc/walk.scm 15 */

									{	/* Tailc/walk.scm 15 */
										obj_t BgL_locationz00_2586;

										BgL_locationz00_2586 = BBOOL(((bool_t) 0));
										{	/* Tailc/walk.scm 15 */

											BgL_arg2126z00_2584 =
												BGl_readz00zz__readerz00(BgL_cportz00_2580,
												BgL_locationz00_2586);
										}
									}
								}
								{	/* Tailc/walk.scm 15 */
									int BgL_auxz00_2617;

									BgL_auxz00_2617 = (int) (BgL_iz00_2581);
									CNST_TABLE_SET(BgL_auxz00_2617, BgL_arg2126z00_2584);
							}}
							{	/* Tailc/walk.scm 15 */
								int BgL_auxz00_2587;

								BgL_auxz00_2587 = (int) ((BgL_iz00_2581 - ((long) 1)));
								{
									long BgL_iz00_2622;

									BgL_iz00_2622 = (long) (BgL_auxz00_2587);
									BgL_iz00_2581 = BgL_iz00_2622;
									goto BgL_loopz00_2582;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* tailc-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t
		BgL_globalsz00_48)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 32 */
			{	/* Tailc/walk.scm 33 */
				obj_t BgL_list1893z00_1312;

				{	/* Tailc/walk.scm 33 */
					obj_t BgL_arg1894z00_1313;

					{	/* Tailc/walk.scm 33 */
						obj_t BgL_arg1895z00_1314;

						BgL_arg1895z00_1314 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1894z00_1313 =
							MAKE_PAIR(BGl_string2100z00zztailc_walkz00, BgL_arg1895z00_1314);
					}
					BgL_list1893z00_1312 =
						MAKE_PAIR(BGl_string2101z00zztailc_walkz00, BgL_arg1894z00_1313);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1893z00_1312);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2100z00zztailc_walkz00;
			{
				obj_t BgL_hooksz00_1318;
				obj_t BgL_hnamesz00_1319;

				BgL_hooksz00_1318 = BNIL;
				BgL_hnamesz00_1319 = BNIL;
			BgL_zc3anonymousza31896ze3z83_1320:
				if (NULLP(BgL_hooksz00_1318))
					{	/* Tailc/walk.scm 33 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Tailc/walk.scm 33 */
						bool_t BgL_testz00_2634;

						{	/* Tailc/walk.scm 33 */
							obj_t BgL_fun1903z00_1326;

							BgL_fun1903z00_1326 = CAR(BgL_hooksz00_1318);
							BgL_testz00_2634 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1903z00_1326) (BgL_fun1903z00_1326,
									BEOA));
						}
						if (BgL_testz00_2634)
							{
								obj_t BgL_hnamesz00_2642;
								obj_t BgL_hooksz00_2640;

								BgL_hooksz00_2640 = CDR(BgL_hooksz00_1318);
								BgL_hnamesz00_2642 = CDR(BgL_hnamesz00_1319);
								BgL_hnamesz00_1319 = BgL_hnamesz00_2642;
								BgL_hooksz00_1318 = BgL_hooksz00_2640;
								goto BgL_zc3anonymousza31896ze3z83_1320;
							}
						else
							{	/* Tailc/walk.scm 33 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2100z00zztailc_walkz00,
									BGl_string2102z00zztailc_walkz00, CAR(BgL_hnamesz00_1319));
							}
					}
			}
			{
				obj_t BgL_l1854z00_1330;

				BgL_l1854z00_1330 = BgL_globalsz00_48;
			BgL_zc3anonymousza31905ze3z83_1331:
				if (PAIRP(BgL_l1854z00_1330))
					{	/* Tailc/walk.scm 34 */
						BGl_tailczd2globalzd2zztailc_walkz00(CAR(BgL_l1854z00_1330));
						{
							obj_t BgL_l1854z00_2650;

							BgL_l1854z00_2650 = CDR(BgL_l1854z00_1330);
							BgL_l1854z00_1330 = BgL_l1854z00_2650;
							goto BgL_zc3anonymousza31905ze3z83_1331;
						}
					}
				else
					{	/* Tailc/walk.scm 34 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_48;
		}
	}



/* &tailc-walk! */
	obj_t BGl_z62tailczd2walkz12za2zztailc_walkz00(obj_t BgL_envz00_2507,
		obj_t BgL_globalsz00_2508)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 32 */
			return BGl_tailczd2walkz12zc0zztailc_walkz00(BgL_globalsz00_2508);
		}
	}



/* tailc-global */
	obj_t BGl_tailczd2globalzd2zztailc_walkz00(obj_t BgL_globalz00_49)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 40 */
			{	/* Tailc/walk.scm 41 */
				obj_t BgL_arg1909z00_1336;

				BgL_arg1909z00_1336 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_49))))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1909z00_1336);
			}
			{	/* Tailc/walk.scm 42 */
				obj_t BgL_callsz00_1337;

				{	/* Tailc/walk.scm 42 */
					obj_t BgL_arg1920z00_1347;

					BgL_arg1920z00_1347 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_49))))->
										BgL_valuez00))))->BgL_bodyz00);
					BgL_callsz00_1337 =
						BGl_getzd2tailzd2callsz00zztailc_walkz00(((BgL_nodez00_bglt)
							BgL_arg1920z00_1347), ((BgL_variablez00_bglt) BgL_globalz00_49),
						BNIL);
				}
				if (NULLP(BgL_callsz00_1337))
					{	/* Tailc/walk.scm 43 */
						BFALSE;
					}
				else
					{	/* Tailc/walk.scm 43 */
						{	/* Tailc/walk.scm 44 */
							obj_t BgL_arg1911z00_1339;
							long BgL_arg1912z00_1340;

							BgL_arg1911z00_1339 =
								BGl_shapez00zztools_shapez00(BgL_globalz00_49);
							BgL_arg1912z00_1340 = bgl_list_length(BgL_callsz00_1337);
							{	/* Tailc/walk.scm 44 */
								obj_t BgL_list1913z00_1341;

								{	/* Tailc/walk.scm 44 */
									obj_t BgL_arg1914z00_1342;

									{	/* Tailc/walk.scm 44 */
										obj_t BgL_arg1915z00_1343;

										{	/* Tailc/walk.scm 44 */
											obj_t BgL_arg1916z00_1344;

											{	/* Tailc/walk.scm 44 */
												obj_t BgL_arg1918z00_1345;

												{	/* Tailc/walk.scm 44 */
													obj_t BgL_arg1919z00_1346;

													BgL_arg1919z00_1346 =
														MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
													BgL_arg1918z00_1345 =
														MAKE_PAIR(BGl_string2103z00zztailc_walkz00,
														BgL_arg1919z00_1346);
												}
												BgL_arg1916z00_1344 =
													MAKE_PAIR(BINT(BgL_arg1912z00_1340),
													BgL_arg1918z00_1345);
											}
											BgL_arg1915z00_1343 =
												MAKE_PAIR(BGl_string2104z00zztailc_walkz00,
												BgL_arg1916z00_1344);
										}
										BgL_arg1914z00_1342 =
											MAKE_PAIR(BgL_arg1911z00_1339, BgL_arg1915z00_1343);
									}
									BgL_list1913z00_1341 =
										MAKE_PAIR(BGl_string2105z00zztailc_walkz00,
										BgL_arg1914z00_1342);
								}
								BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
									BgL_list1913z00_1341);
						}}
						BGl_globalzd2ze3localz12z23zztailc_walkz00(BgL_globalz00_49,
							BgL_callsz00_1337);
			}}
			return BGl_leavezd2functionzd2zztools_errorz00();
		}
	}



/* global->local! */
	obj_t BGl_globalzd2ze3localz12z23zztailc_walkz00(obj_t BgL_globalz00_50,
		obj_t BgL_callsz00_51)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 52 */
			{	/* Tailc/walk.scm 53 */
				BgL_valuez00_bglt BgL_gfunz00_1349;

				BgL_gfunz00_1349 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_50))))->BgL_valuez00);
				{	/* Tailc/walk.scm 53 */
					BgL_typez00_bglt BgL_gtypez00_1350;

					BgL_gtypez00_1350 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_globalz00_50))))->BgL_typez00);
					{	/* Tailc/walk.scm 54 */
						obj_t BgL_lbodyz00_1351;

						BgL_lbodyz00_1351 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_gfunz00_1349)))->BgL_bodyz00);
						{	/* Tailc/walk.scm 55 */
							obj_t BgL_largsz00_1352;

							BgL_largsz00_1352 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt) BgL_gfunz00_1349)))->BgL_argsz00);
							{	/* Tailc/walk.scm 56 */
								obj_t BgL_gargsz00_1353;

								if (NULLP(BgL_largsz00_1352))
									{	/* Tailc/walk.scm 57 */
										BgL_gargsz00_1353 = BNIL;
									}
								else
									{	/* Tailc/walk.scm 57 */
										obj_t BgL_head1858z00_1404;

										{	/* Tailc/walk.scm 57 */
											obj_t BgL_res2059z00_2315;

											BgL_res2059z00_2315 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1858z00_1404 = BgL_res2059z00_2315;
										}
										{
											obj_t BgL_l1856z00_1406;
											obj_t BgL_tail1859z00_1407;

											BgL_l1856z00_1406 = BgL_largsz00_1352;
											BgL_tail1859z00_1407 = BgL_head1858z00_1404;
										BgL_zc3anonymousza31940ze3z83_1408:
											if (NULLP(BgL_l1856z00_1406))
												{	/* Tailc/walk.scm 57 */
													BgL_gargsz00_1353 = CDR(BgL_head1858z00_1404);
												}
											else
												{	/* Tailc/walk.scm 57 */
													obj_t BgL_newtail1860z00_1410;

													{	/* Tailc/walk.scm 57 */
														BgL_localz00_bglt BgL_arg1943z00_1412;

														{	/* Tailc/walk.scm 57 */
															obj_t BgL_oldz00_1413;

															BgL_oldz00_1413 = CAR(BgL_l1856z00_1406);
															{	/* Tailc/walk.scm 59 */
																BgL_svarz00_bglt BgL_arg1944z00_1414;

																{	/* Tailc/walk.scm 59 */
																	BgL_svarz00_bglt BgL_duplicated1147z00_1415;
																	BgL_svarz00_bglt BgL_new1146z00_1416;

																	BgL_duplicated1147z00_1415 =
																		((BgL_svarz00_bglt)
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_oldz00_1413))))->
																			BgL_valuez00));
																	{	/* Tailc/walk.scm 59 */
																		BgL_svarz00_bglt BgL_new1148z00_1417;

																		BgL_new1148z00_1417 =
																			((BgL_svarz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_svarz00_bgl))));
																		{	/* Tailc/walk.scm 59 */
																			long BgL_arg1945z00_1418;

																			{	/* Tailc/walk.scm 59 */
																				long BgL_res2062z00_2324;

																				BgL_res2062z00_2324 =
																					BGL_CLASS_INDEX
																					(BGl_svarz00zzast_varz00);
																				BgL_arg1945z00_1418 =
																					BgL_res2062z00_2324;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1148z00_1417),
																				BgL_arg1945z00_1418);
																		}
																		{	/* Tailc/walk.scm 59 */
																			BgL_objectz00_bglt BgL_auxz00_2706;

																			BgL_auxz00_2706 =
																				((BgL_objectz00_bglt)
																				BgL_new1148z00_1417);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_2706,
																				BFALSE);
																		}
																		BgL_new1146z00_1416 = BgL_new1148z00_1417;
																	}
																	((((BgL_svarz00_bglt)
																				CREF(BgL_new1146z00_1416))->
																			BgL_locz00) =
																		((obj_t) (((BgL_svarz00_bglt)
																					CREF(BgL_duplicated1147z00_1415))->
																				BgL_locz00)), BUNSPEC);
																	BgL_arg1944z00_1414 = BgL_new1146z00_1416;
																}
																BgL_arg1943z00_1412 =
																	BGl_clonezd2localzd2zzast_localz00(
																	((BgL_localz00_bglt) BgL_oldz00_1413),
																	((BgL_valuez00_bglt) BgL_arg1944z00_1414));
														}}
														{	/* Tailc/walk.scm 57 */
															obj_t BgL_res2063z00_2329;

															BgL_res2063z00_2329 =
																MAKE_PAIR(((obj_t) BgL_arg1943z00_1412), BNIL);
															BgL_newtail1860z00_1410 = BgL_res2063z00_2329;
													}}
													SET_CDR(BgL_tail1859z00_1407,
														BgL_newtail1860z00_1410);
													{
														obj_t BgL_tail1859z00_2719;
														obj_t BgL_l1856z00_2717;

														BgL_l1856z00_2717 = CDR(BgL_l1856z00_1406);
														BgL_tail1859z00_2719 = BgL_newtail1860z00_1410;
														BgL_tail1859z00_1407 = BgL_tail1859z00_2719;
														BgL_l1856z00_1406 = BgL_l1856z00_2717;
														goto BgL_zc3anonymousza31940ze3z83_1408;
													}
												}
										}
									}
								{	/* Tailc/walk.scm 57 */
									BgL_sfunz00_bglt BgL_lfunz00_1354;

									{	/* Tailc/walk.scm 62 */
										BgL_sfunz00_bglt BgL_new1149z00_1399;

										{	/* Tailc/walk.scm 63 */
											BgL_sfunz00_bglt BgL_new1151z00_1400;

											BgL_new1151z00_1400 =
												((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_sfunz00_bgl))));
											{	/* Tailc/walk.scm 63 */
												long BgL_arg1938z00_1401;

												{	/* Tailc/walk.scm 63 */
													long BgL_res2064z00_2334;

													BgL_res2064z00_2334 =
														BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
													BgL_arg1938z00_1401 = BgL_res2064z00_2334;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1151z00_1400),
													BgL_arg1938z00_1401);
											}
											{	/* Tailc/walk.scm 63 */
												BgL_objectz00_bglt BgL_auxz00_2724;

												BgL_auxz00_2724 =
													((BgL_objectz00_bglt) BgL_new1151z00_1400);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_2724, BFALSE);
											}
											BgL_new1149z00_1399 = BgL_new1151z00_1400;
										}
										((((BgL_funz00_bglt) CREF(
														((BgL_funz00_bglt) BgL_new1149z00_1399)))->
												BgL_arityz00) =
											((long) (((BgL_funz00_bglt)
														CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1349))))->BgL_arityz00)),
											BUNSPEC);
										((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_new1149z00_1399)))->BgL_sidezd2effectzd2) =
											((obj_t) (((BgL_funz00_bglt)
														CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1349))))->BgL_sidezd2effectzd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_new1149z00_1399)))->BgL_predicatezd2ofzd2) =
											((obj_t) (((BgL_funz00_bglt)
														CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1349))))->BgL_predicatezd2ofzd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_new1149z00_1399)))->
												BgL_stackzd2allocatorzd2) =
											((obj_t) (((BgL_funz00_bglt)
														CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1349))))->
													BgL_stackzd2allocatorzd2)), BUNSPEC);
										((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_new1149z00_1399)))->BgL_topzf3zf3) =
											((bool_t) (((BgL_funz00_bglt)
														CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1349))))->BgL_topzf3zf3)),
											BUNSPEC);
										((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_new1149z00_1399)))->BgL_thezd2closurezd2) =
											((obj_t) (((BgL_funz00_bglt)
														CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1349))))->BgL_thezd2closurezd2)),
											BUNSPEC);
										((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_new1149z00_1399)))->BgL_effectz00) =
											((obj_t) (((BgL_funz00_bglt)
														CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1349))))->BgL_effectz00)),
											BUNSPEC);
										((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_new1149z00_1399)))->BgL_failsafez00) =
											((obj_t) (((BgL_funz00_bglt)
														CREF(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
																	BgL_gfunz00_1349))))->BgL_failsafez00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_propertyz00) =
											((obj_t) (((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																BgL_gfunz00_1349)))->BgL_propertyz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_argsz00) = ((obj_t) BgL_largsz00_1352), BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_argszd2namezd2) =
											((obj_t) (((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																BgL_gfunz00_1349)))->BgL_argszd2namezd2)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_bodyz00) = ((obj_t) BgL_lbodyz00_1351), BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_classz00) =
											((obj_t) (((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																BgL_gfunz00_1349)))->BgL_classz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_dssslzd2keywordszd2) =
											((obj_t) (((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																BgL_gfunz00_1349)))->BgL_dssslzd2keywordszd2)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_locz00) =
											((obj_t) (((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																BgL_gfunz00_1349)))->BgL_locz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_optionalsz00) =
											((obj_t) (((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																BgL_gfunz00_1349)))->BgL_optionalsz00)),
											BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_keysz00) =
											((obj_t) (((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																BgL_gfunz00_1349)))->BgL_keysz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_thezd2closurezd2globalz00) =
											((obj_t) (((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																BgL_gfunz00_1349)))->
													BgL_thezd2closurezd2globalz00)), BUNSPEC);
										((((BgL_sfunz00_bglt) CREF(BgL_new1149z00_1399))->
												BgL_strengthz00) =
											((obj_t) (((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																BgL_gfunz00_1349)))->BgL_strengthz00)),
											BUNSPEC);
										BgL_lfunz00_1354 = BgL_new1149z00_1399;
									}
									{	/* Tailc/walk.scm 62 */
										BgL_localz00_bglt BgL_localz00_1355;

										{	/* Tailc/walk.scm 66 */
											obj_t BgL_arg1937z00_1397;

											BgL_arg1937z00_1397 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_50))))->
												BgL_idz00);
											BgL_localz00_1355 =
												BGl_makezd2localzd2sfunz00zzast_localz00
												(BgL_arg1937z00_1397, BgL_gtypez00_1350,
												BgL_lfunz00_1354);
										}
										{	/* Tailc/walk.scm 66 */
											obj_t BgL_locz00_1356;

											BgL_locz00_1356 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_lbodyz00_1351)))->
												BgL_locz00);
											{	/* Tailc/walk.scm 67 */
												BgL_letzd2funzd2_bglt BgL_gbodyz00_1357;

												{	/* Tailc/walk.scm 68 */
													BgL_letzd2funzd2_bglt BgL_new1153z00_1371;

													{	/* Tailc/walk.scm 69 */
														BgL_letzd2funzd2_bglt BgL_new1152z00_1395;

														BgL_new1152z00_1395 =
															((BgL_letzd2funzd2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_letzd2funzd2_bgl))));
														{	/* Tailc/walk.scm 69 */
															long BgL_arg1936z00_1396;

															{	/* Tailc/walk.scm 69 */
																long BgL_res2067z00_2346;

																BgL_res2067z00_2346 =
																	BGL_CLASS_INDEX
																	(BGl_letzd2funzd2zzast_nodez00);
																BgL_arg1936z00_1396 = BgL_res2067z00_2346;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1152z00_1395),
																BgL_arg1936z00_1396);
														}
														{	/* Tailc/walk.scm 69 */
															BgL_objectz00_bglt BgL_auxz00_2806;

															BgL_auxz00_2806 =
																((BgL_objectz00_bglt) BgL_new1152z00_1395);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2806, BFALSE);
														}
														BgL_new1153z00_1371 = BgL_new1152z00_1395;
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1153z00_1371)))->
															BgL_locz00) = ((obj_t) BgL_locz00_1356), BUNSPEC);
													((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_new1153z00_1371)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_gtypez00_1350), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1153z00_1371)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1153z00_1371)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_2818;

														{	/* Tailc/walk.scm 71 */
															obj_t BgL_list1927z00_1372;

															BgL_list1927z00_1372 =
																MAKE_PAIR(((obj_t) BgL_localz00_1355), BNIL);
															BgL_auxz00_2818 = BgL_list1927z00_1372;
														}
														((((BgL_letzd2funzd2_bglt)
																	CREF(BgL_new1153z00_1371))->BgL_localsz00) =
															((obj_t) BgL_auxz00_2818), BUNSPEC);
													}
													{
														BgL_nodez00_bglt BgL_auxz00_2822;

														{	/* Tailc/walk.scm 72 */
															BgL_appz00_bglt BgL_new1155z00_1373;

															{	/* Tailc/walk.scm 73 */
																BgL_appz00_bglt BgL_new1154z00_1393;

																BgL_new1154z00_1393 =
																	((BgL_appz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_appz00_bgl))));
																{	/* Tailc/walk.scm 73 */
																	long BgL_arg1935z00_1394;

																	{	/* Tailc/walk.scm 73 */
																		long BgL_res2069z00_2352;

																		{	/* Tailc/walk.scm 73 */
																			obj_t BgL_classz00_2351;

																			BgL_classz00_2351 =
																				BGl_appz00zzast_nodez00;
																			BgL_res2069z00_2352 =
																				BGL_CLASS_INDEX(BgL_classz00_2351);
																		}
																		BgL_arg1935z00_1394 = BgL_res2069z00_2352;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1154z00_1393),
																		BgL_arg1935z00_1394);
																}
																{	/* Tailc/walk.scm 73 */
																	BgL_objectz00_bglt BgL_auxz00_2827;

																	BgL_auxz00_2827 =
																		((BgL_objectz00_bglt) BgL_new1154z00_1393);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_2827,
																		BFALSE);
																}
																BgL_new1155z00_1373 = BgL_new1154z00_1393;
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1155z00_1373)))->BgL_locz00) =
																((obj_t) BgL_locz00_1356), BUNSPEC);
															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																				BgL_new1155z00_1373)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_gtypez00_1350),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1155z00_1373)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1155z00_1373)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																BgL_varz00_bglt BgL_auxz00_2839;

																{	/* Tailc/walk.scm 75 */
																	BgL_varz00_bglt BgL_new1157z00_1374;

																	{	/* Tailc/walk.scm 76 */
																		BgL_varz00_bglt BgL_new1156z00_1375;

																		BgL_new1156z00_1375 =
																			((BgL_varz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_varz00_bgl))));
																		{	/* Tailc/walk.scm 76 */
																			long BgL_arg1928z00_1376;

																			{	/* Tailc/walk.scm 76 */
																				long BgL_res2070z00_2356;

																				{	/* Tailc/walk.scm 76 */
																					obj_t BgL_classz00_2355;

																					BgL_classz00_2355 =
																						BGl_varz00zzast_nodez00;
																					BgL_res2070z00_2356 =
																						BGL_CLASS_INDEX(BgL_classz00_2355);
																				}
																				BgL_arg1928z00_1376 =
																					BgL_res2070z00_2356;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1156z00_1375),
																				BgL_arg1928z00_1376);
																		}
																		{	/* Tailc/walk.scm 76 */
																			BgL_objectz00_bglt BgL_auxz00_2844;

																			BgL_auxz00_2844 =
																				((BgL_objectz00_bglt)
																				BgL_new1156z00_1375);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_2844,
																				BFALSE);
																		}
																		BgL_new1157z00_1374 = BgL_new1156z00_1375;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1157z00_1374)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1356), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1157z00_1374)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_gtypez00_1350),
																		BUNSPEC);
																	((((BgL_varz00_bglt)
																				CREF(BgL_new1157z00_1374))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_localz00_1355)), BUNSPEC);
																	BgL_auxz00_2839 = BgL_new1157z00_1374;
																}
																((((BgL_appz00_bglt)
																			CREF(BgL_new1155z00_1373))->BgL_funz00) =
																	((BgL_varz00_bglt) BgL_auxz00_2839), BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2854;

																if (NULLP(BgL_gargsz00_1353))
																	{	/* Tailc/walk.scm 79 */
																		BgL_auxz00_2854 = BNIL;
																	}
																else
																	{	/* Tailc/walk.scm 79 */
																		obj_t BgL_head1863z00_1379;

																		{	/* Tailc/walk.scm 79 */
																			obj_t BgL_res2072z00_2363;

																			BgL_res2072z00_2363 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_head1863z00_1379 =
																				BgL_res2072z00_2363;
																		}
																		{
																			obj_t BgL_l1861z00_1381;
																			obj_t BgL_tail1864z00_1382;

																			BgL_l1861z00_1381 = BgL_gargsz00_1353;
																			BgL_tail1864z00_1382 =
																				BgL_head1863z00_1379;
																		BgL_zc3anonymousza31930ze3z83_1383:
																			if (NULLP(BgL_l1861z00_1381))
																				{	/* Tailc/walk.scm 79 */
																					BgL_auxz00_2854 =
																						CDR(BgL_head1863z00_1379);
																				}
																			else
																				{	/* Tailc/walk.scm 79 */
																					obj_t BgL_newtail1865z00_1385;

																					{	/* Tailc/walk.scm 79 */
																						BgL_varz00_bglt BgL_arg1933z00_1387;

																						{	/* Tailc/walk.scm 79 */
																							obj_t BgL_vz00_1388;

																							BgL_vz00_1388 =
																								CAR(BgL_l1861z00_1381);
																							{	/* Tailc/walk.scm 80 */
																								BgL_varz00_bglt
																									BgL_new1159z00_1389;
																								{	/* Tailc/walk.scm 83 */
																									BgL_varz00_bglt
																										BgL_new1158z00_1390;
																									BgL_new1158z00_1390 =
																										((BgL_varz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_varz00_bgl))));
																									{	/* Tailc/walk.scm 83 */
																										long BgL_arg1934z00_1391;

																										{	/* Tailc/walk.scm 83 */
																											long BgL_res2074z00_2369;

																											{	/* Tailc/walk.scm 83 */
																												obj_t BgL_classz00_2368;

																												BgL_classz00_2368 =
																													BGl_varz00zzast_nodez00;
																												BgL_res2074z00_2369 =
																													BGL_CLASS_INDEX
																													(BgL_classz00_2368);
																											}
																											BgL_arg1934z00_1391 =
																												BgL_res2074z00_2369;
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1158z00_1390),
																											BgL_arg1934z00_1391);
																									}
																									{	/* Tailc/walk.scm 83 */
																										BgL_objectz00_bglt
																											BgL_auxz00_2866;
																										BgL_auxz00_2866 =
																											((BgL_objectz00_bglt)
																											BgL_new1158z00_1390);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_auxz00_2866, BFALSE);
																									}
																									BgL_new1159z00_1389 =
																										BgL_new1158z00_1390;
																								}
																								((((BgL_nodez00_bglt) CREF(
																												((BgL_nodez00_bglt)
																													BgL_new1159z00_1389)))->
																										BgL_locz00) =
																									((obj_t) BgL_locz00_1356),
																									BUNSPEC);
																								((((BgL_nodez00_bglt)
																											CREF(((BgL_nodez00_bglt)
																													BgL_new1159z00_1389)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) ((
																												(BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_vz00_1388))))->
																											BgL_typez00)), BUNSPEC);
																								((((BgL_varz00_bglt)
																											CREF
																											(BgL_new1159z00_1389))->
																										BgL_variablez00) =
																									((BgL_variablez00_bglt) (
																											(BgL_variablez00_bglt)
																											BgL_vz00_1388)), BUNSPEC);
																								BgL_arg1933z00_1387 =
																									BgL_new1159z00_1389;
																						}}
																						{	/* Tailc/walk.scm 79 */
																							obj_t BgL_res2076z00_2377;

																							BgL_res2076z00_2377 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg1933z00_1387),
																								BNIL);
																							BgL_newtail1865z00_1385 =
																								BgL_res2076z00_2377;
																					}}
																					SET_CDR(BgL_tail1864z00_1382,
																						BgL_newtail1865z00_1385);
																					{	/* Tailc/walk.scm 79 */
																						obj_t BgL_arg1932z00_1386;

																						BgL_arg1932z00_1386 =
																							CDR(BgL_l1861z00_1381);
																						{
																							obj_t BgL_tail1864z00_2883;
																							obj_t BgL_l1861z00_2882;

																							BgL_l1861z00_2882 =
																								BgL_arg1932z00_1386;
																							BgL_tail1864z00_2883 =
																								BgL_newtail1865z00_1385;
																							BgL_tail1864z00_1382 =
																								BgL_tail1864z00_2883;
																							BgL_l1861z00_1381 =
																								BgL_l1861z00_2882;
																							goto
																								BgL_zc3anonymousza31930ze3z83_1383;
																						}
																					}
																				}
																		}
																	}
																((((BgL_appz00_bglt)
																			CREF(BgL_new1155z00_1373))->BgL_argsz00) =
																	((obj_t) BgL_auxz00_2854), BUNSPEC);
															}
															BgL_auxz00_2822 =
																((BgL_nodez00_bglt) BgL_new1155z00_1373);
														}
														((((BgL_letzd2funzd2_bglt)
																	CREF(BgL_new1153z00_1371))->BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_auxz00_2822), BUNSPEC);
													}
													BgL_gbodyz00_1357 = BgL_new1153z00_1371;
												}
												{	/* Tailc/walk.scm 68 */

													((((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_gfunz00_1349)))->
															BgL_argsz00) =
														((obj_t) BgL_gargsz00_1353), BUNSPEC);
													((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																		BgL_gfunz00_1349)))->BgL_bodyz00) =
														((obj_t) ((obj_t) BgL_gbodyz00_1357)), BUNSPEC);
													{
														obj_t BgL_l1866z00_1359;

														BgL_l1866z00_1359 = BgL_callsz00_51;
													BgL_zc3anonymousza31922ze3z83_1360:
														if (PAIRP(BgL_l1866z00_1359))
															{	/* Tailc/walk.scm 89 */
																{	/* Tailc/walk.scm 90 */
																	obj_t BgL_callz00_1362;

																	BgL_callz00_1362 = CAR(BgL_l1866z00_1359);
																	{	/* Tailc/walk.scm 90 */
																		obj_t BgL_locz00_1363;

																		BgL_locz00_1363 =
																			(((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_callz00_1362)))->BgL_locz00);
																		{	/* Tailc/walk.scm 90 */
																			BgL_varz00_bglt BgL_varz00_1364;

																			{	/* Tailc/walk.scm 91 */
																				BgL_varz00_bglt BgL_new1161z00_1366;

																				{	/* Tailc/walk.scm 94 */
																					BgL_varz00_bglt BgL_new1160z00_1367;

																					BgL_new1160z00_1367 =
																						((BgL_varz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_varz00_bgl))));
																					{	/* Tailc/walk.scm 94 */
																						long BgL_arg1925z00_1368;

																						{	/* Tailc/walk.scm 94 */
																							long BgL_res2078z00_2393;

																							BgL_res2078z00_2393 =
																								BGL_CLASS_INDEX
																								(BGl_varz00zzast_nodez00);
																							BgL_arg1925z00_1368 =
																								BgL_res2078z00_2393;
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1160z00_1367),
																							BgL_arg1925z00_1368);
																					}
																					{	/* Tailc/walk.scm 94 */
																						BgL_objectz00_bglt BgL_auxz00_2901;

																						BgL_auxz00_2901 =
																							((BgL_objectz00_bglt)
																							BgL_new1160z00_1367);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_auxz00_2901, BFALSE);
																					}
																					BgL_new1161z00_1366 =
																						BgL_new1160z00_1367;
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1161z00_1366)))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_1363), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_new1161z00_1366)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_variablez00_bglt)
																								CREF(((BgL_variablez00_bglt)
																										BgL_localz00_1355)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_varz00_bglt)
																							CREF(BgL_new1161z00_1366))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BgL_localz00_1355)), BUNSPEC);
																				BgL_varz00_1364 = BgL_new1161z00_1366;
																			}
																			{	/* Tailc/walk.scm 91 */

																				((((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_callz00_1362)))->
																						BgL_funz00) =
																					((BgL_varz00_bglt) BgL_varz00_1364),
																					BUNSPEC);
																}}}}
																{
																	obj_t BgL_l1866z00_2914;

																	BgL_l1866z00_2914 = CDR(BgL_l1866z00_1359);
																	BgL_l1866z00_1359 = BgL_l1866z00_2914;
																	goto BgL_zc3anonymousza31922ze3z83_1360;
																}
															}
														else
															{	/* Tailc/walk.scm 89 */
																((bool_t) 1);
															}
													}
													return BGl_funz00zzast_varz00;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			{	/* Tailc/walk.scm 26 */
				obj_t BgL_arg1950z00_1424;
				obj_t BgL_arg1951z00_1425;

				{	/* Tailc/walk.scm 26 */
					obj_t BgL_v1868z00_1457;

					BgL_v1868z00_1457 = create_vector((int) (((long) 0)));
					BgL_arg1950z00_1424 = BgL_v1868z00_1457;
				}
				{	/* Tailc/walk.scm 26 */
					obj_t BgL_v1869z00_1458;

					BgL_v1869z00_1458 = create_vector((int) (((long) 0)));
					BgL_arg1951z00_1425 = BgL_v1869z00_1458;
				}
				return (BGl_localzd2tailzd2zztailc_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 1)),
						CNST_TABLE_REF(((long) 2)), BGl_localz00zzast_varz00,
						((long) 43644), BGl_proc2109z00zztailc_walkz00,
						BGl_proc2108z00zztailc_walkz00, BFALSE,
						BGl_proc2107z00zztailc_walkz00, BGl_proc2106z00zztailc_walkz00,
						BgL_arg1950z00_1424, BgL_arg1951z00_1425), BUNSPEC);
		}}
	}



/* &lambda1958 */
	BgL_localz00_bglt BGl_z62lambda1958z62zztailc_walkz00(obj_t BgL_envz00_2513,
		obj_t BgL_o1110z00_2514)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 26 */
			{
				BgL_localz00_bglt BgL_o1110z00_1451;

				BgL_o1110z00_1451 = ((BgL_localz00_bglt) BgL_o1110z00_2514);
				{	/* Tailc/walk.scm 26 */
					long BgL_arg1959z00_1454;

					{	/* Tailc/walk.scm 26 */
						obj_t BgL_arg1960z00_1455;

						{	/* Tailc/walk.scm 26 */
							obj_t BgL_arg1961z00_1456;

							{	/* Tailc/walk.scm 26 */
								long BgL_arg1772z00_2417;

								{	/* Tailc/walk.scm 26 */
									long BgL_arg1773z00_2418;

									{	/* Tailc/walk.scm 26 */
										long BgL_res2083z00_2420;

										BgL_res2083z00_2420 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_o1110z00_1451));
										BgL_arg1773z00_2418 = BgL_res2083z00_2420;
									}
									BgL_arg1772z00_2417 = (BgL_arg1773z00_2418 - OBJECT_TYPE);
								}
								BgL_arg1961z00_1456 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									(int) (BgL_arg1772z00_2417));
							}
							BgL_arg1960z00_1455 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1961z00_1456);
						}
						{	/* Tailc/walk.scm 26 */
							long BgL_res2085z00_2427;

							BgL_res2085z00_2427 = BGL_CLASS_INDEX(BgL_arg1960z00_1455);
							BgL_arg1959z00_1454 = BgL_res2085z00_2427;
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_o1110z00_1451), BgL_arg1959z00_1454);
				}
				{	/* Tailc/walk.scm 26 */
					BgL_objectz00_bglt BgL_auxz00_2932;

					BgL_auxz00_2932 = ((BgL_objectz00_bglt) BgL_o1110z00_1451);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2932, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1110z00_1451);
			}
		}
	}



/* &<anonymous:1957> */
	BgL_localz00_bglt BGl_z62zc3anonymousza31957ze3ze1zztailc_walkz00(obj_t
		BgL_envz00_2515, obj_t BgL_new1109z00_2516)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 26 */
			{
				BgL_localz00_bglt BgL_new1109z00_1449;

				BgL_new1109z00_1449 = ((BgL_localz00_bglt) BgL_new1109z00_2516);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1109z00_1449)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1449)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_2942;

					{	/* Tailc/walk.scm 26 */
						obj_t BgL_classz00_2412;

						BgL_classz00_2412 = BGl_typez00zztype_typez00;
						{	/* Tailc/walk.scm 26 */
							obj_t BgL__ortest_1092z00_2413;

							BgL__ortest_1092z00_2413 = BGL_CLASS_NIL(BgL_classz00_2412);
							if (CBOOL(BgL__ortest_1092z00_2413))
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2942 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_2413);
								}
							else
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2942 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2412));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1109z00_1449)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_2942), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_2951;

					{	/* Tailc/walk.scm 26 */
						obj_t BgL_classz00_2414;

						BgL_classz00_2414 = BGl_valuez00zzast_varz00;
						{	/* Tailc/walk.scm 26 */
							obj_t BgL__ortest_1092z00_2415;

							BgL__ortest_1092z00_2415 = BGL_CLASS_NIL(BgL_classz00_2414);
							if (CBOOL(BgL__ortest_1092z00_2415))
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2951 =
										((BgL_valuez00_bglt) BgL__ortest_1092z00_2415);
								}
							else
								{	/* Tailc/walk.scm 26 */
									BgL_auxz00_2951 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2414));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1109z00_1449)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_2951), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1109z00_1449)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1449)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1449)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1449)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1449)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1109z00_1449)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1109z00_1449)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				return BgL_new1109z00_1449;
			}
		}
	}



/* &lambda1955 */
	BgL_localz00_bglt BGl_z62lambda1955z62zztailc_walkz00(obj_t BgL_envz00_2517,
		obj_t BgL_o1106z00_2518)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 26 */
			{
				BgL_localz00_bglt BgL_o1106z00_1444;

				BgL_o1106z00_1444 = ((BgL_localz00_bglt) BgL_o1106z00_2518);
				{	/* Tailc/walk.scm 26 */
					BgL_localzd2tailzd2_bglt BgL_wide1108z00_1447;

					BgL_wide1108z00_1447 =
						((BgL_localzd2tailzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzd2tailzd2_bgl))));
					{	/* Tailc/walk.scm 26 */
						obj_t BgL_auxz00_2979;
						BgL_objectz00_bglt BgL_auxz00_2976;

						BgL_auxz00_2979 = ((obj_t) BgL_wide1108z00_1447);
						BgL_auxz00_2976 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1106z00_1444));
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2976, BgL_auxz00_2979);
					}
					{	/* Tailc/walk.scm 26 */
						long BgL_arg1956z00_1448;

						{	/* Tailc/walk.scm 26 */
							long BgL_res2082z00_2409;

							BgL_res2082z00_2409 =
								BGL_CLASS_INDEX(BGl_localzd2tailzd2zztailc_walkz00);
							BgL_arg1956z00_1448 = BgL_res2082z00_2409;
						}
						((BgL_localz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_o1106z00_1444)),
								BgL_arg1956z00_1448));
					}
					return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1106z00_1444));
				}
			}
		}
	}



/* &lambda1952 */
	BgL_localz00_bglt BGl_z62lambda1952z62zztailc_walkz00(obj_t BgL_envz00_2519,
		obj_t BgL_id1095z00_2520, obj_t BgL_name1096z00_2521,
		obj_t BgL_type1097z00_2522, obj_t BgL_value1098z00_2523,
		obj_t BgL_access1099z00_2524, obj_t BgL_fastzd2alpha1100zd2_2525,
		obj_t BgL_removable1101z00_2526, obj_t BgL_occurrence1102z00_2527,
		obj_t BgL_occurrencew1103z00_2528, obj_t BgL_userzf31104zf3_2529,
		obj_t BgL_key1105z00_2530)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 26 */
			{
				obj_t BgL_id1095z00_1426;
				obj_t BgL_name1096z00_1427;
				BgL_typez00_bglt BgL_type1097z00_1428;
				BgL_valuez00_bglt BgL_value1098z00_1429;
				obj_t BgL_access1099z00_1430;
				obj_t BgL_fastzd2alpha1100zd2_1431;
				obj_t BgL_removable1101z00_1432;
				long BgL_occurrence1102z00_1433;
				long BgL_occurrencew1103z00_1434;
				bool_t BgL_userzf31104zf3_1435;
				long BgL_key1105z00_1436;

				BgL_id1095z00_1426 = BgL_id1095z00_2520;
				BgL_name1096z00_1427 = BgL_name1096z00_2521;
				BgL_type1097z00_1428 = ((BgL_typez00_bglt) BgL_type1097z00_2522);
				BgL_value1098z00_1429 = ((BgL_valuez00_bglt) BgL_value1098z00_2523);
				BgL_access1099z00_1430 = BgL_access1099z00_2524;
				BgL_fastzd2alpha1100zd2_1431 = BgL_fastzd2alpha1100zd2_2525;
				BgL_removable1101z00_1432 = BgL_removable1101z00_2526;
				BgL_occurrence1102z00_1433 = (long) CINT(BgL_occurrence1102z00_2527);
				BgL_occurrencew1103z00_1434 = (long) CINT(BgL_occurrencew1103z00_2528);
				BgL_userzf31104zf3_1435 = CBOOL(BgL_userzf31104zf3_2529);
				BgL_key1105z00_1436 = (long) CINT(BgL_key1105z00_2530);
				{	/* Tailc/walk.scm 26 */
					BgL_localz00_bglt BgL_new1179z00_1438;

					{	/* Tailc/walk.scm 26 */
						BgL_localz00_bglt BgL_tmp1176z00_1439;
						BgL_localzd2tailzd2_bglt BgL_wide1177z00_1440;

						{
							BgL_localz00_bglt BgL_auxz00_2990;

							{	/* Tailc/walk.scm 26 */
								BgL_localz00_bglt BgL_new1175z00_1442;

								BgL_new1175z00_1442 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Tailc/walk.scm 26 */
									long BgL_arg1954z00_1443;

									{	/* Tailc/walk.scm 26 */
										long BgL_res2080z00_2401;

										BgL_res2080z00_2401 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg1954z00_1443 = BgL_res2080z00_2401;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1175z00_1442),
										BgL_arg1954z00_1443);
								}
								{	/* Tailc/walk.scm 26 */
									BgL_objectz00_bglt BgL_auxz00_2995;

									BgL_auxz00_2995 = ((BgL_objectz00_bglt) BgL_new1175z00_1442);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2995, BFALSE);
								}
								BgL_auxz00_2990 = BgL_new1175z00_1442;
							}
							BgL_tmp1176z00_1439 = ((BgL_localz00_bglt) BgL_auxz00_2990);
						}
						BgL_wide1177z00_1440 =
							((BgL_localzd2tailzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzd2tailzd2_bgl))));
						{	/* Tailc/walk.scm 26 */
							obj_t BgL_auxz00_3002;
							BgL_objectz00_bglt BgL_auxz00_3000;

							BgL_auxz00_3002 = ((obj_t) BgL_wide1177z00_1440);
							BgL_auxz00_3000 = ((BgL_objectz00_bglt) BgL_tmp1176z00_1439);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3000, BgL_auxz00_3002);
						}
						{	/* Tailc/walk.scm 26 */
							long BgL_arg1953z00_1441;

							{	/* Tailc/walk.scm 26 */
								long BgL_res2081z00_2405;

								BgL_res2081z00_2405 =
									BGL_CLASS_INDEX(BGl_localzd2tailzd2zztailc_walkz00);
								BgL_arg1953z00_1441 = BgL_res2081z00_2405;
							}
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1176z00_1439),
									BgL_arg1953z00_1441));
						}
						BgL_new1179z00_1438 = ((BgL_localz00_bglt) BgL_tmp1176z00_1439);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1179z00_1438)))->BgL_idz00) =
						((obj_t) BgL_id1095z00_1426), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_1438)))->BgL_namez00) =
						((obj_t) BgL_name1096z00_1427), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_1438)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1097z00_1428), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_1438)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1098z00_1429), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_1438)))->BgL_accessz00) =
						((obj_t) BgL_access1099z00_1430), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_1438)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1100zd2_1431), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_1438)))->BgL_removablez00) =
						((obj_t) BgL_removable1101z00_1432), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_1438)))->BgL_occurrencez00) =
						((long) BgL_occurrence1102z00_1433), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_1438)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1103z00_1434), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_1438)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31104zf3_1435), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1179z00_1438)))->BgL_keyz00) =
						((long) BgL_key1105z00_1436), BUNSPEC);
					return BgL_new1179z00_1438;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_proc2110z00zztailc_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2111z00zztailc_walkz00);
		}
	}



/* &get-tail-calls1870 */
	obj_t BGl_z62getzd2tailzd2calls1870z62zztailc_walkz00(obj_t BgL_envz00_2532,
		obj_t BgL_nz00_2533, obj_t BgL_hz00_2534, obj_t BgL_tailsz00_2535)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 106 */
			return BgL_tailsz00_2535;
		}
	}



/* get-tail-calls */
	obj_t BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_nodez00_bglt BgL_nz00_52,
		BgL_variablez00_bglt BgL_hz00_53, obj_t BgL_tailsz00_54)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 106 */
			{	/* Tailc/walk.scm 106 */
				obj_t BgL_method1871z00_1469;

				{	/* Tailc/walk.scm 106 */
					obj_t BgL_res2092z00_2458;

					{	/* Tailc/walk.scm 106 */
						long BgL_objzd2classzd2numz00_2431;

						{	/* Tailc/walk.scm 106 */
							long BgL_res2086z00_2434;

							BgL_res2086z00_2434 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_52));
							BgL_objzd2classzd2numz00_2431 = BgL_res2086z00_2434;
						}
						{	/* Tailc/walk.scm 106 */
							obj_t BgL_arg1769z00_2432;

							BgL_arg1769z00_2432 =
								PROCEDURE_REF(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
								(int) (((long) 1)));
							{	/* Tailc/walk.scm 106 */
								int BgL_offsetz00_2436;

								BgL_offsetz00_2436 = (int) (BgL_objzd2classzd2numz00_2431);
								{	/* Tailc/walk.scm 106 */
									long BgL_offsetz00_2437;

									BgL_offsetz00_2437 =
										((long) (BgL_offsetz00_2436) - OBJECT_TYPE);
									{	/* Tailc/walk.scm 106 */
										long BgL_modz00_2438;

										{	/* Tailc/walk.scm 106 */
											int BgL_arg1771z00_2439;

											BgL_arg1771z00_2439 = (int) (((long) 16));
											{	/* Tailc/walk.scm 106 */
												long BgL_res2089z00_2449;

												{	/* Tailc/walk.scm 106 */
													long BgL_auxz00_3047;

													BgL_auxz00_3047 = (long) (BgL_arg1771z00_2439);
													BgL_res2089z00_2449 =
														(BgL_offsetz00_2437 / BgL_auxz00_3047);
												}
												BgL_modz00_2438 = BgL_res2089z00_2449;
										}}
										{	/* Tailc/walk.scm 106 */
											long BgL_restz00_2440;

											{	/* Tailc/walk.scm 106 */
												int BgL_arg1770z00_2441;

												BgL_arg1770z00_2441 = (int) (((long) 16));
												{	/* Tailc/walk.scm 106 */
													long BgL_res2091z00_2453;

													{	/* Tailc/walk.scm 106 */
														long BgL_auxz00_3051;

														BgL_auxz00_3051 = (long) (BgL_arg1770z00_2441);
														BgL_res2091z00_2453 =
															(BgL_offsetz00_2437 % BgL_auxz00_3051);
													}
													BgL_restz00_2440 = BgL_res2091z00_2453;
											}}
											{	/* Tailc/walk.scm 106 */

												BgL_res2092z00_2458 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2432,
														(int) (BgL_modz00_2438)), (int) (BgL_restz00_2440));
					}}}}}}}
					BgL_method1871z00_1469 = BgL_res2092z00_2458;
				}
				return
					PROCEDURE_ENTRY(BgL_method1871z00_1469) (BgL_method1871z00_1469,
					((obj_t) BgL_nz00_52), ((obj_t) BgL_hz00_53), BgL_tailsz00_54, BEOA);
			}
		}
	}



/* &get-tail-calls */
	obj_t BGl_z62getzd2tailzd2callsz62zztailc_walkz00(obj_t BgL_envz00_2536,
		obj_t BgL_nz00_2537, obj_t BgL_hz00_2538, obj_t BgL_tailsz00_2539)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 106 */
			return
				BGl_getzd2tailzd2callsz00zztailc_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_2537),
				((BgL_variablez00_bglt) BgL_hz00_2538), BgL_tailsz00_2539);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2112z00zztailc_walkz00,
				BGl_string2113z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2114z00zztailc_walkz00,
				BGl_string2113z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2115z00zztailc_walkz00,
				BGl_string2113z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2116z00zztailc_walkz00,
				BGl_string2113z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2117z00zztailc_walkz00,
				BGl_string2113z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2118z00zztailc_walkz00,
				BGl_string2113z00zztailc_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2119z00zztailc_walkz00,
				BGl_string2113z00zztailc_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2120z00zztailc_walkz00,
				BGl_string2113z00zztailc_walkz00);
		}
	}



/* &get-tail-calls-let-v1887 */
	obj_t BGl_z62getzd2tailzd2callszd2letzd2v1887z62zztailc_walkz00(obj_t
		BgL_envz00_2548, obj_t BgL_nodez00_2549, obj_t BgL_hostz00_2550,
		obj_t BgL_tailsz00_2551)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 179 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1550;
				obj_t BgL_hostz00_1551;
				obj_t BgL_tailsz00_1552;

				BgL_nodez00_1550 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2549);
				BgL_hostz00_1551 = BgL_hostz00_2550;
				BgL_tailsz00_1552 = BgL_tailsz00_2551;
				{	/* Tailc/walk.scm 181 */
					BgL_nodez00_bglt BgL_arg1992z00_2493;

					BgL_arg1992z00_2493 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1550))->BgL_bodyz00);
					return
						BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1992z00_2493,
						((BgL_variablez00_bglt) BgL_hostz00_1551), BgL_tailsz00_1552);
				}
			}
		}
	}



/* &get-tail-calls-let-f1885 */
	obj_t BGl_z62getzd2tailzd2callszd2letzd2f1885z62zztailc_walkz00(obj_t
		BgL_envz00_2552, obj_t BgL_nodez00_2553, obj_t BgL_hostz00_2554,
		obj_t BgL_tailsz00_2555)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 169 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1542;
				obj_t BgL_hostz00_1543;
				obj_t BgL_tailsz00_1544;

				BgL_nodez00_1542 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2553);
				BgL_hostz00_1543 = BgL_hostz00_2554;
				BgL_tailsz00_1544 = BgL_tailsz00_2555;
				{	/* Tailc/walk.scm 174 */
					BgL_nodez00_bglt BgL_arg1991z00_2491;

					BgL_arg1991z00_2491 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1542))->BgL_bodyz00);
					return
						BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1991z00_2491,
						((BgL_variablez00_bglt) BgL_hostz00_1543), BgL_tailsz00_1544);
				}
			}
		}
	}



/* &get-tail-calls-selec1883 */
	obj_t BGl_z62getzd2tailzd2callszd2selec1883zb0zztailc_walkz00(obj_t
		BgL_envz00_2556, obj_t BgL_nodez00_2557, obj_t BgL_hostz00_2558,
		obj_t BgL_tailsz00_2559)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 157 */
			{
				BgL_selectz00_bglt BgL_nodez00_1524;
				obj_t BgL_hostz00_1525;
				obj_t BgL_tailsz00_1526;

				BgL_nodez00_1524 = ((BgL_selectz00_bglt) BgL_nodez00_2557);
				BgL_hostz00_1525 = BgL_hostz00_2558;
				BgL_tailsz00_1526 = BgL_tailsz00_2559;
				{	/* Tailc/walk.scm 159 */
					obj_t BgL_g1172z00_1530;

					BgL_g1172z00_1530 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1524))->BgL_clausesz00);
					{
						obj_t BgL_clausesz00_1532;
						obj_t BgL_tailsz00_1533;

						BgL_clausesz00_1532 = BgL_g1172z00_1530;
						BgL_tailsz00_1533 = BgL_tailsz00_1526;
					BgL_zc3anonymousza31983ze3z83_1534:
						if (NULLP(BgL_clausesz00_1532))
							{	/* Tailc/walk.scm 161 */
								return BgL_tailsz00_1533;
							}
						else
							{	/* Tailc/walk.scm 163 */
								obj_t BgL_arg1986z00_1536;
								obj_t BgL_arg1987z00_1537;

								BgL_arg1986z00_1536 = CDR(BgL_clausesz00_1532);
								{	/* Tailc/walk.scm 164 */
									obj_t BgL_arg1988z00_1538;

									BgL_arg1988z00_1538 = CDR(CAR(BgL_clausesz00_1532));
									BgL_arg1987z00_1537 =
										BGl_getzd2tailzd2callsz00zztailc_walkz00(
										((BgL_nodez00_bglt) BgL_arg1988z00_1538),
										((BgL_variablez00_bglt) BgL_hostz00_1525),
										BgL_tailsz00_1533);
								}
								{
									obj_t BgL_tailsz00_3095;
									obj_t BgL_clausesz00_3094;

									BgL_clausesz00_3094 = BgL_arg1986z00_1536;
									BgL_tailsz00_3095 = BgL_arg1987z00_1537;
									BgL_tailsz00_1533 = BgL_tailsz00_3095;
									BgL_clausesz00_1532 = BgL_clausesz00_3094;
									goto BgL_zc3anonymousza31983ze3z83_1534;
								}
							}
					}
				}
			}
		}
	}



/* &get-tail-calls-condi1881 */
	obj_t BGl_z62getzd2tailzd2callszd2condi1881zb0zztailc_walkz00(obj_t
		BgL_envz00_2560, obj_t BgL_nodez00_2561, obj_t BgL_hostz00_2562,
		obj_t BgL_tailsz00_2563)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 150 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1514;
				obj_t BgL_hostz00_1515;
				obj_t BgL_tailsz00_1516;

				BgL_nodez00_1514 = ((BgL_conditionalz00_bglt) BgL_nodez00_2561);
				BgL_hostz00_1515 = BgL_hostz00_2562;
				BgL_tailsz00_1516 = BgL_tailsz00_2563;
				{	/* Tailc/walk.scm 152 */
					BgL_nodez00_bglt BgL_arg1980z00_2480;
					obj_t BgL_arg1981z00_2481;

					BgL_arg1980z00_2480 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1514))->BgL_truez00);
					{	/* Tailc/walk.scm 152 */
						BgL_nodez00_bglt BgL_arg1982z00_2482;

						BgL_arg1982z00_2482 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1514))->
							BgL_falsez00);
						BgL_arg1981z00_2481 =
							BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1982z00_2482,
							((BgL_variablez00_bglt) BgL_hostz00_1515), BgL_tailsz00_1516);
					}
					return
						BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_arg1980z00_2480,
						((BgL_variablez00_bglt) BgL_hostz00_1515), BgL_arg1981z00_2481);
				}
			}
		}
	}



/* &get-tail-calls-app1879 */
	obj_t BGl_z62getzd2tailzd2callszd2app1879zb0zztailc_walkz00(obj_t
		BgL_envz00_2564, obj_t BgL_nodez00_2565, obj_t BgL_hostz00_2566,
		obj_t BgL_tailsz00_2567)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 133 */
			{
				BgL_appz00_bglt BgL_nodez00_1495;
				obj_t BgL_hostz00_1496;
				obj_t BgL_tailsz00_1497;

				BgL_nodez00_1495 = ((BgL_appz00_bglt) BgL_nodez00_2565);
				BgL_hostz00_1496 = BgL_hostz00_2566;
				BgL_tailsz00_1497 = BgL_tailsz00_2567;
				{	/* Tailc/walk.scm 135 */
					BgL_variablez00_bglt BgL_calleez00_1501;

					BgL_calleez00_1501 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1495))->BgL_funz00)))->
						BgL_variablez00);
					if ((((obj_t) BgL_calleez00_1501) == BgL_hostz00_1496))
						{	/* Tailc/walk.scm 137 */
							return MAKE_PAIR(((obj_t) BgL_nodez00_1495), BgL_tailsz00_1497);
						}
					else
						{	/* Tailc/walk.scm 139 */
							bool_t BgL_testz00_3111;

							{	/* Tailc/walk.scm 139 */
								bool_t BgL_res2095z00_2467;

								BgL_res2095z00_2467 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_calleez00_1501),
									BGl_localzd2tailzd2zztailc_walkz00);
								BgL_testz00_3111 = BgL_res2095z00_2467;
							}
							if (BgL_testz00_3111)
								{	/* Tailc/walk.scm 139 */
									return BgL_tailsz00_1497;
								}
							else
								{	/* Tailc/walk.scm 141 */
									bool_t BgL_testz00_3114;

									{	/* Tailc/walk.scm 141 */
										bool_t BgL_res2096z00_2469;

										BgL_res2096z00_2469 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_calleez00_1501), BGl_localz00zzast_varz00);
										BgL_testz00_3114 = BgL_res2096z00_2469;
									}
									if (BgL_testz00_3114)
										{	/* Tailc/walk.scm 141 */
											{	/* Tailc/walk.scm 142 */
												BgL_localzd2tailzd2_bglt BgL_wide1167z00_1507;

												BgL_wide1167z00_1507 =
													((BgL_localzd2tailzd2_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_localzd2tailzd2_bgl))));
												{	/* Tailc/walk.scm 142 */
													obj_t BgL_auxz00_3122;
													BgL_objectz00_bglt BgL_auxz00_3118;

													BgL_auxz00_3122 = ((obj_t) BgL_wide1167z00_1507);
													BgL_auxz00_3118 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_calleez00_1501)));
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_3118,
														BgL_auxz00_3122);
												}
												{	/* Tailc/walk.scm 142 */
													long BgL_arg1976z00_1508;

													{	/* Tailc/walk.scm 142 */
														long BgL_res2097z00_2471;

														BgL_res2097z00_2471 =
															BGL_CLASS_INDEX
															(BGl_localzd2tailzd2zztailc_walkz00);
														BgL_arg1976z00_1508 = BgL_res2097z00_2471;
													}
													((BgL_localz00_bglt)
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_calleez00_1501))),
															BgL_arg1976z00_1508));
												}
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_calleez00_1501));
											}
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_calleez00_1501));
											{	/* Tailc/walk.scm 143 */
												obj_t BgL_arg1977z00_1510;

												BgL_arg1977z00_1510 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_calleez00_1501))))->
																	BgL_valuez00))))->BgL_bodyz00);
												return
													BGl_getzd2tailzd2callsz00zztailc_walkz00((
														(BgL_nodez00_bglt) BgL_arg1977z00_1510),
													((BgL_variablez00_bglt) BgL_hostz00_1496),
													BgL_tailsz00_1497);
											}
										}
									else
										{	/* Tailc/walk.scm 141 */
											return BgL_tailsz00_1497;
										}
								}
						}
				}
			}
		}
	}



/* &get-tail-calls-sync1877 */
	obj_t BGl_z62getzd2tailzd2callszd2sync1877zb0zztailc_walkz00(obj_t
		BgL_envz00_2568, obj_t BgL_nodez00_2569, obj_t BgL_hostz00_2570,
		obj_t BgL_tailsz00_2571)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 127 */
			return BgL_tailsz00_2571;
		}
	}



/* &get-tail-calls-seque1875 */
	obj_t BGl_z62getzd2tailzd2callszd2seque1875zb0zztailc_walkz00(obj_t
		BgL_envz00_2572, obj_t BgL_nodez00_2573, obj_t BgL_hostz00_2574,
		obj_t BgL_tailsz00_2575)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 118 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1477;
				obj_t BgL_hostz00_1478;
				obj_t BgL_tailsz00_1479;

				BgL_nodez00_1477 = ((BgL_sequencez00_bglt) BgL_nodez00_2573);
				BgL_hostz00_1478 = BgL_hostz00_2574;
				BgL_tailsz00_1479 = BgL_tailsz00_2575;
				if (NULLP(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1477))->BgL_nodesz00)))
					{	/* Tailc/walk.scm 120 */
						return BgL_tailsz00_1479;
					}
				else
					{	/* Tailc/walk.scm 122 */
						obj_t BgL_arg1968z00_1484;

						BgL_arg1968z00_1484 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1477))->
									BgL_nodesz00)));
						return BGl_getzd2tailzd2callsz00zztailc_walkz00(((BgL_nodez00_bglt)
								BgL_arg1968z00_1484), ((BgL_variablez00_bglt) BgL_hostz00_1478),
							BgL_tailsz00_1479);
					}
			}
		}
	}



/* &get-tail-calls-closu1873 */
	obj_t BGl_z62getzd2tailzd2callszd2closu1873zb0zztailc_walkz00(obj_t
		BgL_envz00_2576, obj_t BgL_nodez00_2577, obj_t BgL_hostz00_2578,
		obj_t BgL_tailsz00_2579)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 112 */
			{
				BgL_closurez00_bglt BgL_nodez00_1470;
				obj_t BgL_hostz00_1471;
				obj_t BgL_tailsz00_1472;

				BgL_nodez00_1470 = ((BgL_closurez00_bglt) BgL_nodez00_2577);
				BgL_hostz00_1471 = BgL_hostz00_2578;
				BgL_tailsz00_1472 = BgL_tailsz00_2579;
				{	/* Tailc/walk.scm 113 */
					obj_t BgL_arg1965z00_2459;

					BgL_arg1965z00_2459 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1470));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2113z00zztailc_walkz00, BGl_string2121z00zztailc_walkz00,
						BgL_arg1965z00_2459);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2122z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2122z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2122z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2122z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2122z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2122z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string2122z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2122z00zztailc_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2122z00zztailc_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
