/*===========================================================================*/
/*   (Type/typeof.scm)                                                       */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/typeof.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;


	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_typez00_bglt BGl_z62getzd2typezd2atomz62zztype_typeofz00(obj_t,
		obj_t);
	static obj_t BGl_z62iszd2subtypezf3z43zztype_typeofz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zztype_typeofz00();
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	static BgL_typez00_bglt BGl_z62getzd2type1919zb0zztype_typeofz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62getzd2typezd2var1922z62zztype_typeofz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztype_typeofz00();
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62getzd2typezd2kwotez62zztype_typeofz00(obj_t,
		obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2select1931z62zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2nilza2z00zz__evalz00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zztype_typeofz00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static bool_t BGl_pairzd2nilzf3z21zztype_typeofz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztype_typeofz00();
	static BgL_typez00_bglt BGl_z62getzd2typezb0zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztype_typeofz00();
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2letzd2fun1933zb0zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2sequence1925z62zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_typez00_bglt BGl_z62getzd2typezd2app1937z62zztype_typeofz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62getzd2typezd2sync1927z62zztype_typeofz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2letzd2var1935zb0zztype_typeofz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2conditional1929z62zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztype_typeofz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00();
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2typezd2atomzd2envzd2zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22163za7,
		BGl_z62getzd2typezd2atomz62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2149z00zztype_typeofz00,
		BgL_bgl_string2149za700za7za7t2164za7, "get-type1919", 12);
	      DEFINE_STRING(BGl_string2151z00zztype_typeofz00,
		BgL_bgl_string2151za700za7za7t2165za7, "get-type", 8);
	      DEFINE_STRING(BGl_string2159z00zztype_typeofz00,
		BgL_bgl_string2159za700za7za7t2166za7, "type_typeof", 11);
	      DEFINE_STRING(BGl_string2160z00zztype_typeofz00,
		BgL_bgl_string2160za700za7za7t2167za7, "a-tvector ", 10);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_getzd2typezd2envz00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7b02168za7, BGl_z62getzd2typezb0zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zztype_typeofz00,
		BgL_bgl_za762getza7d2type1912169z00,
		BGl_z62getzd2type1919zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22170za7,
		BGl_z62getzd2typezd2var1922z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22171za7,
		BGl_z62getzd2typezd2sequence1925z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22172za7,
		BGl_z62getzd2typezd2sync1927z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22173za7,
		BGl_z62getzd2typezd2conditional1929z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22174za7,
		BGl_z62getzd2typezd2select1931z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22175za7,
		BGl_z62getzd2typezd2letzd2fun1933zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22176za7,
		BGl_z62getzd2typezd2letzd2var1935zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22177za7,
		BGl_z62getzd2typezd2app1937z62zztype_typeofz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_iszd2subtypezf3zd2envzf3zztype_typeofz00,
		BgL_bgl_za762isza7d2subtypeza72178za7,
		BGl_z62iszd2subtypezf3z43zztype_typeofz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2typezd2kwotezd2envzd2zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22179za7,
		BGl_z62getzd2typezd2kwotez62zztype_typeofz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long
		BgL_checksumz00_2643, char *BgL_fromz00_2644)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_typeofz00))
				{
					BGl_requirezd2initializa7ationz75zztype_typeofz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
					BGl_cnstzd2initzd2zztype_typeofz00();
					BGl_importedzd2moduleszd2initz00zztype_typeofz00();
					BGl_genericzd2initzd2zztype_typeofz00();
					BGl_methodzd2initzd2zztype_typeofz00();
					BGl_toplevelzd2initzd2zztype_typeofz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "type_typeof");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			{	/* Type/typeof.scm 15 */
				obj_t BgL_cportz00_2634;

				BgL_cportz00_2634 =
					bgl_open_input_string(BGl_string2160z00zztype_typeofz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2635;

					BgL_iz00_2635 = ((long) 0);
				BgL_loopz00_2636:
					if ((BgL_iz00_2635 == ((long) -1)))
						{	/* Type/typeof.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/typeof.scm 15 */
							{	/* Type/typeof.scm 15 */
								obj_t BgL_arg2162z00_2638;

								{	/* Type/typeof.scm 15 */

									{	/* Type/typeof.scm 15 */
										obj_t BgL_locationz00_2640;

										BgL_locationz00_2640 = BBOOL(((bool_t) 0));
										{	/* Type/typeof.scm 15 */

											BgL_arg2162z00_2638 =
												BGl_readz00zz__readerz00(BgL_cportz00_2634,
												BgL_locationz00_2640);
										}
									}
								}
								{	/* Type/typeof.scm 15 */
									int BgL_auxz00_2673;

									BgL_auxz00_2673 = (int) (BgL_iz00_2635);
									CNST_TABLE_SET(BgL_auxz00_2673, BgL_arg2162z00_2638);
							}}
							{	/* Type/typeof.scm 15 */
								int BgL_auxz00_2641;

								BgL_auxz00_2641 = (int) ((BgL_iz00_2635 - ((long) 1)));
								{
									long BgL_iz00_2678;

									BgL_iz00_2678 = (long) (BgL_auxz00_2641);
									BgL_iz00_2635 = BgL_iz00_2678;
									goto BgL_loopz00_2636;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return BUNSPEC;
		}
	}



/* get-type-atom */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t BgL_atomz00_13)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 35 */
			if (NULLP(BgL_atomz00_13))
				{	/* Type/typeof.scm 37 */
					return ((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00);
				}
			else
				{	/* Type/typeof.scm 37 */
					if (INTEGERP(BgL_atomz00_13))
						{	/* Type/typeof.scm 39 */
							return ((BgL_typez00_bglt) BGl_za2longza2z00zztype_cachez00);
						}
					else
						{	/* Type/typeof.scm 39 */
							if (BIGNUMP(BgL_atomz00_13))
								{	/* Type/typeof.scm 41 */
									return
										((BgL_typez00_bglt) BGl_za2bignumza2z00zztype_cachez00);
								}
							else
								{	/* Type/typeof.scm 43 */
									bool_t BgL_testz00_2689;

									if (INTEGERP(BgL_atomz00_13))
										{	/* Type/typeof.scm 43 */
											BgL_testz00_2689 = ((bool_t) 1);
										}
									else
										{	/* Type/typeof.scm 43 */
											BgL_testz00_2689 = REALP(BgL_atomz00_13);
										}
									if (BgL_testz00_2689)
										{	/* Type/typeof.scm 43 */
											return
												((BgL_typez00_bglt) BGl_za2realza2z00zztype_cachez00);
										}
									else
										{	/* Type/typeof.scm 43 */
											if (BOOLEANP(BgL_atomz00_13))
												{	/* Type/typeof.scm 45 */
													return
														((BgL_typez00_bglt)
														BGl_za2boolza2z00zztype_cachez00);
												}
											else
												{	/* Type/typeof.scm 45 */
													if (CHARP(BgL_atomz00_13))
														{	/* Type/typeof.scm 47 */
															return
																((BgL_typez00_bglt)
																BGl_za2charza2z00zztype_cachez00);
														}
													else
														{	/* Type/typeof.scm 47 */
															if (STRINGP(BgL_atomz00_13))
																{	/* Type/typeof.scm 49 */
																	return
																		((BgL_typez00_bglt)
																		BGl_za2bstringza2z00zztype_cachez00);
																}
															else
																{	/* Type/typeof.scm 49 */
																	if ((BgL_atomz00_13 == BUNSPEC))
																		{	/* Type/typeof.scm 51 */
																			return
																				((BgL_typez00_bglt)
																				BGl_za2unspecza2z00zztype_cachez00);
																		}
																	else
																		{	/* Type/typeof.scm 51 */
																			if (ELONGP(BgL_atomz00_13))
																				{	/* Type/typeof.scm 53 */
																					return
																						((BgL_typez00_bglt)
																						BGl_za2elongza2z00zztype_cachez00);
																				}
																			else
																				{	/* Type/typeof.scm 53 */
																					if (LLONGP(BgL_atomz00_13))
																						{	/* Type/typeof.scm 55 */
																							return
																								((BgL_typez00_bglt)
																								BGl_za2llongza2z00zztype_cachez00);
																						}
																					else
																						{	/* Type/typeof.scm 55 */
																							if (KEYWORDP(BgL_atomz00_13))
																								{	/* Type/typeof.scm 57 */
																									return
																										((BgL_typez00_bglt)
																										BGl_za2keywordza2z00zztype_cachez00);
																								}
																							else
																								{	/* Type/typeof.scm 57 */
																									return
																										((BgL_typez00_bglt)
																										BGl_za2objza2z00zztype_cachez00);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &get-type-atom */
	BgL_typez00_bglt BGl_z62getzd2typezd2atomz62zztype_typeofz00(obj_t
		BgL_envz00_2597, obj_t BgL_atomz00_2598)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 35 */
			return BGl_getzd2typezd2atomz00zztype_typeofz00(BgL_atomz00_2598);
		}
	}



/* get-type-kwote */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t BgL_kwotez00_14)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 65 */
			if (SYMBOLP(BgL_kwotez00_14))
				{	/* Type/typeof.scm 67 */
					return ((BgL_typez00_bglt) BGl_za2symbolza2z00zztype_cachez00);
				}
			else
				{	/* Type/typeof.scm 67 */
					if (KEYWORDP(BgL_kwotez00_14))
						{	/* Type/typeof.scm 69 */
							return ((BgL_typez00_bglt) BGl_za2keywordza2z00zztype_cachez00);
						}
					else
						{	/* Type/typeof.scm 69 */
							if (PAIRP(BgL_kwotez00_14))
								{	/* Type/typeof.scm 71 */
									return ((BgL_typez00_bglt) BGl_za2pairza2z00zztype_cachez00);
								}
							else
								{	/* Type/typeof.scm 71 */
									if (NULLP(BgL_kwotez00_14))
										{	/* Type/typeof.scm 73 */
											return
												((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00);
										}
									else
										{	/* Type/typeof.scm 73 */
											if (VECTORP(BgL_kwotez00_14))
												{	/* Type/typeof.scm 75 */
													return
														((BgL_typez00_bglt)
														BGl_za2vectorza2z00zztype_cachez00);
												}
											else
												{	/* Type/typeof.scm 77 */
													bool_t BgL_testz00_2732;

													if (STRUCTP(BgL_kwotez00_14))
														{	/* Type/typeof.scm 77 */
															BgL_testz00_2732 =
																(STRUCT_KEY(BgL_kwotez00_14) ==
																CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Type/typeof.scm 77 */
															BgL_testz00_2732 = ((bool_t) 0);
														}
													if (BgL_testz00_2732)
														{	/* Type/typeof.scm 77 */
															return
																((BgL_typez00_bglt)
																STRUCT_REF(BgL_kwotez00_14,
																	(int) (((long) 0))));
														}
													else
														{	/* Type/typeof.scm 77 */
															return
																((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00);
														}
												}
										}
								}
						}
				}
		}
	}



/* &get-type-kwote */
	BgL_typez00_bglt BGl_z62getzd2typezd2kwotez62zztype_typeofz00(obj_t
		BgL_envz00_2599, obj_t BgL_kwotez00_2600)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 65 */
			return BGl_getzd2typezd2kwotez00zztype_typeofz00(BgL_kwotez00_2600);
		}
	}



/* pair-nil? */
	bool_t BGl_pairzd2nilzf3z21zztype_typeofz00(obj_t BgL_tz00_15)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 85 */
			{	/* Type/typeof.scm 86 */
				bool_t BgL__ortest_1097z00_1477;

				BgL__ortest_1097z00_1477 =
					(BgL_tz00_15 == BGl_za2pairza2z00zztype_cachez00);
				if (BgL__ortest_1097z00_1477)
					{	/* Type/typeof.scm 86 */
						return BgL__ortest_1097z00_1477;
					}
				else
					{	/* Type/typeof.scm 86 */
						bool_t BgL__ortest_1098z00_1478;

						BgL__ortest_1098z00_1478 =
							(BgL_tz00_15 == BGl_za2epairza2z00zztype_cachez00);
						if (BgL__ortest_1098z00_1478)
							{	/* Type/typeof.scm 86 */
								return BgL__ortest_1098z00_1478;
							}
						else
							{	/* Type/typeof.scm 86 */
								bool_t BgL__ortest_1099z00_1479;

								BgL__ortest_1099z00_1479 =
									(BgL_tz00_15 == BGl_za2bnilza2z00zztype_cachez00);
								if (BgL__ortest_1099z00_1479)
									{	/* Type/typeof.scm 86 */
										return BgL__ortest_1099z00_1479;
									}
								else
									{	/* Type/typeof.scm 86 */
										return
											(BgL_tz00_15 == BGl_za2pairzd2nilza2zd2zztype_cachez00);
									}
							}
					}
			}
		}
	}



/* is-subtype? */
	BGL_EXPORTED_DEF obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t
		BgL_t1z00_21, obj_t BgL_t2z00_22)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 183 */
			if ((BgL_t1z00_21 == BgL_t2z00_22))
				{	/* Type/typeof.scm 185 */
					return BTRUE;
				}
			else
				{	/* Type/typeof.scm 187 */
					bool_t BgL_testz00_2752;

					if ((BgL_t1z00_21 == BGl_za2magicza2z00zztype_cachez00))
						{	/* Type/typeof.scm 187 */
							BgL_testz00_2752 = ((bool_t) 1);
						}
					else
						{	/* Type/typeof.scm 187 */
							BgL_testz00_2752 =
								(BgL_t2z00_22 == BGl_za2magicza2z00zztype_cachez00);
						}
					if (BgL_testz00_2752)
						{	/* Type/typeof.scm 187 */
							return BTRUE;
						}
					else
						{	/* Type/typeof.scm 189 */
							bool_t BgL_testz00_2756;

							if ((BgL_t2z00_22 == BGl_za2_za2z00zztype_cachez00))
								{	/* Type/typeof.scm 189 */
									BgL_testz00_2756 = ((bool_t) 1);
								}
							else
								{	/* Type/typeof.scm 189 */
									BgL_testz00_2756 =
										(BgL_t1z00_21 == BGl_za2_za2z00zztype_cachez00);
								}
							if (BgL_testz00_2756)
								{	/* Type/typeof.scm 189 */
									return BTRUE;
								}
							else
								{	/* Type/typeof.scm 189 */
									if ((BgL_t2z00_22 == BGl_za2pairzd2nilza2zd2zztype_cachez00))
										{	/* Type/typeof.scm 192 */
											bool_t BgL__ortest_1115z00_1484;

											BgL__ortest_1115z00_1484 =
												(BgL_t1z00_21 == BGl_za2pairza2z00zztype_cachez00);
											if (BgL__ortest_1115z00_1484)
												{	/* Type/typeof.scm 192 */
													return BBOOL(BgL__ortest_1115z00_1484);
												}
											else
												{	/* Type/typeof.scm 192 */
													bool_t BgL__ortest_1116z00_1485;

													BgL__ortest_1116z00_1485 =
														(BgL_t1z00_21 == BGl_za2epairza2z00zztype_cachez00);
													if (BgL__ortest_1116z00_1485)
														{	/* Type/typeof.scm 192 */
															return BBOOL(BgL__ortest_1116z00_1485);
														}
													else
														{	/* Type/typeof.scm 192 */
															return
																BBOOL(
																(BgL_t1z00_21 == BGl_za2nilza2z00zz__evalz00));
														}
												}
										}
									else
										{	/* Type/typeof.scm 193 */
											bool_t BgL_testz00_2770;

											if (BGl_isazf3zf3zz__objectz00(BgL_t1z00_21,
													BGl_tclassz00zzobject_classz00))
												{	/* Type/typeof.scm 193 */
													BgL_testz00_2770 = ((bool_t) 1);
												}
											else
												{	/* Type/typeof.scm 193 */
													BgL_testz00_2770 =
														BGl_isazf3zf3zz__objectz00(BgL_t2z00_22,
														BGl_tclassz00zzobject_classz00);
												}
											if (BgL_testz00_2770)
												{	/* Type/typeof.scm 193 */
													return
														BBOOL(BGl_typezd2subclasszf3z21zzobject_classz00(
															((BgL_typez00_bglt) BgL_t1z00_21),
															((BgL_typez00_bglt) BgL_t2z00_22)));
												}
											else
												{	/* Type/typeof.scm 195 */
													bool_t BgL_testz00_2778;

													if (BGl_bigloozd2typezf3z21zztype_typez00(
															((BgL_typez00_bglt) BgL_t1z00_21)))
														{	/* Type/typeof.scm 195 */
															BgL_testz00_2778 = ((bool_t) 0);
														}
													else
														{	/* Type/typeof.scm 195 */
															if (BGl_bigloozd2typezf3z21zztype_typez00(
																	((BgL_typez00_bglt) BgL_t2z00_22)))
																{	/* Type/typeof.scm 195 */
																	BgL_testz00_2778 = ((bool_t) 0);
																}
															else
																{	/* Type/typeof.scm 195 */
																	BgL_testz00_2778 = ((bool_t) 1);
																}
														}
													if (BgL_testz00_2778)
														{	/* Type/typeof.scm 195 */
															return
																BBOOL(BGl_czd2subtypezf3z21zztype_miscz00(
																	((BgL_typez00_bglt) BgL_t1z00_21),
																	((BgL_typez00_bglt) BgL_t2z00_22)));
														}
													else
														{	/* Type/typeof.scm 197 */
															bool_t BgL_testz00_2789;

															if (
																(BgL_t2z00_22 ==
																	BGl_za2bintza2z00zztype_cachez00))
																{	/* Type/typeof.scm 197 */
																	bool_t BgL__ortest_1117z00_1490;

																	BgL__ortest_1117z00_1490 =
																		(BGl_typez00zztype_typez00 ==
																		BGl_za2intza2z00zztype_cachez00);
																	if (BgL__ortest_1117z00_1490)
																		{	/* Type/typeof.scm 197 */
																			BgL_testz00_2789 =
																				BgL__ortest_1117z00_1490;
																		}
																	else
																		{	/* Type/typeof.scm 197 */
																			BgL_testz00_2789 =
																				(BGl_typez00zztype_typez00 ==
																				BGl_za2longza2z00zztype_cachez00);
																		}
																}
															else
																{	/* Type/typeof.scm 197 */
																	BgL_testz00_2789 = ((bool_t) 0);
																}
															if (BgL_testz00_2789)
																{	/* Type/typeof.scm 197 */
																	return BTRUE;
																}
															else
																{	/* Type/typeof.scm 197 */
																	return
																		BBOOL(
																		(BgL_t2z00_22 ==
																			BGl_za2objza2z00zztype_cachez00));
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &is-subtype? */
	obj_t BGl_z62iszd2subtypezf3z43zztype_typeofz00(obj_t BgL_envz00_2601,
		obj_t BgL_t1z00_2602, obj_t BgL_t2z00_2603)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 183 */
			return
				BGl_iszd2subtypezf3z21zztype_typeofz00(BgL_t1z00_2602, BgL_t2z00_2603);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_proc2148z00zztype_typeofz00, BGl_nodez00zzast_nodez00,
				BGl_string2149z00zztype_typeofz00);
		}
	}



/* &get-type1919 */
	BgL_typez00_bglt BGl_z62getzd2type1919zb0zztype_typeofz00(obj_t
		BgL_envz00_2605, obj_t BgL_nodez00_2606)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 97 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_nodez00_2606)))->BgL_typez00);
		}
	}



/* get-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt BgL_nodez00_16)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 97 */
			{	/* Type/typeof.scm 97 */
				obj_t BgL_method1920z00_1500;

				{	/* Type/typeof.scm 97 */
					obj_t BgL_res2143z00_2573;

					{	/* Type/typeof.scm 97 */
						long BgL_objzd2classzd2numz00_2546;

						{	/* Type/typeof.scm 97 */
							long BgL_res2137z00_2549;

							BgL_res2137z00_2549 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_16));
							BgL_objzd2classzd2numz00_2546 = BgL_res2137z00_2549;
						}
						{	/* Type/typeof.scm 97 */
							obj_t BgL_arg1769z00_2547;

							BgL_arg1769z00_2547 =
								PROCEDURE_REF(BGl_getzd2typezd2envz00zztype_typeofz00,
								(int) (((long) 1)));
							{	/* Type/typeof.scm 97 */
								int BgL_offsetz00_2551;

								BgL_offsetz00_2551 = (int) (BgL_objzd2classzd2numz00_2546);
								{	/* Type/typeof.scm 97 */
									long BgL_offsetz00_2552;

									BgL_offsetz00_2552 =
										((long) (BgL_offsetz00_2551) - OBJECT_TYPE);
									{	/* Type/typeof.scm 97 */
										long BgL_modz00_2553;

										{	/* Type/typeof.scm 97 */
											int BgL_arg1771z00_2554;

											BgL_arg1771z00_2554 = (int) (((long) 16));
											{	/* Type/typeof.scm 97 */
												long BgL_res2140z00_2564;

												{	/* Type/typeof.scm 97 */
													long BgL_auxz00_2809;

													BgL_auxz00_2809 = (long) (BgL_arg1771z00_2554);
													BgL_res2140z00_2564 =
														(BgL_offsetz00_2552 / BgL_auxz00_2809);
												}
												BgL_modz00_2553 = BgL_res2140z00_2564;
										}}
										{	/* Type/typeof.scm 97 */
											long BgL_restz00_2555;

											{	/* Type/typeof.scm 97 */
												int BgL_arg1770z00_2556;

												BgL_arg1770z00_2556 = (int) (((long) 16));
												{	/* Type/typeof.scm 97 */
													long BgL_res2142z00_2568;

													{	/* Type/typeof.scm 97 */
														long BgL_auxz00_2813;

														BgL_auxz00_2813 = (long) (BgL_arg1770z00_2556);
														BgL_res2142z00_2568 =
															(BgL_offsetz00_2552 % BgL_auxz00_2813);
													}
													BgL_restz00_2555 = BgL_res2142z00_2568;
											}}
											{	/* Type/typeof.scm 97 */

												BgL_res2143z00_2573 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2547,
														(int) (BgL_modz00_2553)), (int) (BgL_restz00_2555));
					}}}}}}}
					BgL_method1920z00_1500 = BgL_res2143z00_2573;
				}
				return
					((BgL_typez00_bglt)
					PROCEDURE_ENTRY(BgL_method1920z00_1500) (BgL_method1920z00_1500,
						((obj_t) BgL_nodez00_16), BEOA));
			}
		}
	}



/* &get-type */
	BgL_typez00_bglt BGl_z62getzd2typezb0zztype_typeofz00(obj_t BgL_envz00_2607,
		obj_t BgL_nodez00_2608)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 97 */
			return
				BGl_getzd2typezd2zztype_typeofz00(
				((BgL_nodez00_bglt) BgL_nodez00_2608));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_varz00zzast_nodez00,
				BGl_proc2150z00zztype_typeofz00, BGl_string2151z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2152z00zztype_typeofz00, BGl_string2151z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_syncz00zzast_nodez00,
				BGl_proc2153z00zztype_typeofz00, BGl_string2151z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2154z00zztype_typeofz00,
				BGl_string2151z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_selectz00zzast_nodez00,
				BGl_proc2155z00zztype_typeofz00, BGl_string2151z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2156z00zztype_typeofz00, BGl_string2151z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2157z00zztype_typeofz00, BGl_string2151z00zztype_typeofz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_appz00zzast_nodez00,
				BGl_proc2158z00zztype_typeofz00, BGl_string2151z00zztype_typeofz00);
		}
	}



/* &get-type-app1937 */
	BgL_typez00_bglt BGl_z62getzd2typezd2app1937z62zztype_typeofz00(obj_t
		BgL_envz00_2617, obj_t BgL_nodez00_2618)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 246 */
			{
				BgL_appz00_bglt BgL_nodez00_1631;

				BgL_nodez00_1631 = ((BgL_appz00_bglt) BgL_nodez00_2618);
				{	/* Type/typeof.scm 248 */
					bool_t BgL_testz00_2836;

					{	/* Type/typeof.scm 248 */
						BgL_typez00_bglt BgL_arg2054z00_1638;

						BgL_arg2054z00_1638 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1631)))->BgL_typez00);
						BgL_testz00_2836 =
							(((obj_t) BgL_arg2054z00_1638) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2836)
						{	/* Type/typeof.scm 248 */
							return
								(((BgL_variablez00_bglt) CREF(
										(((BgL_varz00_bglt) CREF(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_1631))->
														BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
						}
					else
						{	/* Type/typeof.scm 248 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1631)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-let-var1935 */
	BgL_typez00_bglt BGl_z62getzd2typezd2letzd2var1935zb0zztype_typeofz00(obj_t
		BgL_envz00_2619, obj_t BgL_nodez00_2620)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 237 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1623;

				BgL_nodez00_1623 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2620);
				{	/* Type/typeof.scm 239 */
					bool_t BgL_testz00_2847;

					{	/* Type/typeof.scm 239 */
						BgL_typez00_bglt BgL_arg2050z00_1629;

						BgL_arg2050z00_1629 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1623)))->BgL_typez00);
						BgL_testz00_2847 =
							(((obj_t) BgL_arg2050z00_1629) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2847)
						{	/* Type/typeof.scm 239 */
							return
								BGl_getzd2typezd2zztype_typeofz00(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1623))->
									BgL_bodyz00));
						}
					else
						{	/* Type/typeof.scm 239 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1623)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-let-fun1933 */
	BgL_typez00_bglt BGl_z62getzd2typezd2letzd2fun1933zb0zztype_typeofz00(obj_t
		BgL_envz00_2621, obj_t BgL_nodez00_2622)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 228 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1615;

				BgL_nodez00_1615 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2622);
				{	/* Type/typeof.scm 230 */
					bool_t BgL_testz00_2857;

					{	/* Type/typeof.scm 230 */
						BgL_typez00_bglt BgL_arg2047z00_1621;

						BgL_arg2047z00_1621 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1615)))->BgL_typez00);
						BgL_testz00_2857 =
							(((obj_t) BgL_arg2047z00_1621) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2857)
						{	/* Type/typeof.scm 230 */
							return
								BGl_getzd2typezd2zztype_typeofz00(
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1615))->
									BgL_bodyz00));
						}
					else
						{	/* Type/typeof.scm 230 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1615)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-select1931 */
	BgL_typez00_bglt BGl_z62getzd2typezd2select1931z62zztype_typeofz00(obj_t
		BgL_envz00_2623, obj_t BgL_nodez00_2624)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 205 */
			{
				BgL_selectz00_bglt BgL_nodez00_1583;

				BgL_nodez00_1583 = ((BgL_selectz00_bglt) BgL_nodez00_2624);
				{	/* Type/typeof.scm 207 */
					bool_t BgL_testz00_2867;

					{	/* Type/typeof.scm 207 */
						BgL_typez00_bglt BgL_arg2044z00_1613;

						BgL_arg2044z00_1613 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1583)))->BgL_typez00);
						BgL_testz00_2867 =
							(((obj_t) BgL_arg2044z00_1613) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2867)
						{	/* Type/typeof.scm 208 */
							obj_t BgL_g1120z00_1588;
							BgL_typez00_bglt BgL_g1121z00_1589;

							BgL_g1120z00_1588 =
								CDR(
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1583))->
									BgL_clausesz00));
							{	/* Type/typeof.scm 209 */
								obj_t BgL_arg2040z00_1610;

								BgL_arg2040z00_1610 =
									CDR(CAR(
										(((BgL_selectz00_bglt) CREF(BgL_nodez00_1583))->
											BgL_clausesz00)));
								BgL_g1121z00_1589 =
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
										BgL_arg2040z00_1610));
							}
							{
								obj_t BgL_clausesz00_1591;
								obj_t BgL_typez00_1592;

								{
									obj_t BgL_auxz00_2879;

									BgL_clausesz00_1591 = BgL_g1120z00_1588;
									BgL_typez00_1592 = ((obj_t) BgL_g1121z00_1589);
								BgL_zc3anonymousza32024ze3z83_1593:
									if (NULLP(BgL_clausesz00_1591))
										{	/* Type/typeof.scm 210 */
											BgL_auxz00_2879 = BgL_typez00_1592;
										}
									else
										{	/* Type/typeof.scm 212 */
											BgL_typez00_bglt BgL_ntypez00_1595;

											{	/* Type/typeof.scm 212 */
												obj_t BgL_arg2037z00_1606;

												BgL_arg2037z00_1606 = CDR(CAR(BgL_clausesz00_1591));
												BgL_ntypez00_1595 =
													BGl_getzd2typezd2zztype_typeofz00(
													((BgL_nodez00_bglt) BgL_arg2037z00_1606));
											}
											if ((((obj_t) BgL_ntypez00_1595) == BgL_typez00_1592))
												{
													obj_t BgL_clausesz00_2889;

													BgL_clausesz00_2889 = CDR(BgL_clausesz00_1591);
													BgL_clausesz00_1591 = BgL_clausesz00_2889;
													goto BgL_zc3anonymousza32024ze3z83_1593;
												}
											else
												{	/* Type/typeof.scm 214 */
													if (
														(BgL_typez00_1592 ==
															BGl_za2magicza2z00zztype_cachez00))
														{	/* Type/typeof.scm 217 */
															obj_t BgL_arg2029z00_1599;

															BgL_arg2029z00_1599 = CDR(BgL_clausesz00_1591);
															{
																obj_t BgL_typez00_2895;
																obj_t BgL_clausesz00_2894;

																BgL_clausesz00_2894 = BgL_arg2029z00_1599;
																BgL_typez00_2895 = ((obj_t) BgL_ntypez00_1595);
																BgL_typez00_1592 = BgL_typez00_2895;
																BgL_clausesz00_1591 = BgL_clausesz00_2894;
																goto BgL_zc3anonymousza32024ze3z83_1593;
															}
														}
													else
														{	/* Type/typeof.scm 218 */
															bool_t BgL_testz00_2897;

															if (
																(((obj_t) BgL_ntypez00_1595) ==
																	BgL_typez00_1592))
																{	/* Type/typeof.scm 218 */
																	BgL_testz00_2897 = ((bool_t) 1);
																}
															else
																{	/* Type/typeof.scm 218 */
																	BgL_testz00_2897 =
																		(
																		((obj_t) BgL_ntypez00_1595) ==
																		BGl_za2magicza2z00zztype_cachez00);
																}
															if (BgL_testz00_2897)
																{
																	obj_t BgL_clausesz00_2903;

																	BgL_clausesz00_2903 =
																		CDR(BgL_clausesz00_1591);
																	BgL_clausesz00_1591 = BgL_clausesz00_2903;
																	goto BgL_zc3anonymousza32024ze3z83_1593;
																}
															else
																{	/* Type/typeof.scm 220 */
																	bool_t BgL_testz00_2905;

																	if (BGl_pairzd2nilzf3z21zztype_typeofz00
																		(BgL_typez00_1592))
																		{	/* Type/typeof.scm 220 */
																			BgL_testz00_2905 =
																				BGl_pairzd2nilzf3z21zztype_typeofz00(
																				((obj_t) BgL_ntypez00_1595));
																		}
																	else
																		{	/* Type/typeof.scm 220 */
																			BgL_testz00_2905 = ((bool_t) 0);
																		}
																	if (BgL_testz00_2905)
																		{	/* Type/typeof.scm 221 */
																			obj_t BgL_arg2034z00_1603;

																			BgL_arg2034z00_1603 =
																				CDR(BgL_clausesz00_1591);
																			{
																				obj_t BgL_typez00_2912;
																				obj_t BgL_clausesz00_2911;

																				BgL_clausesz00_2911 =
																					BgL_arg2034z00_1603;
																				BgL_typez00_2912 =
																					BGl_za2pairzd2nilza2zd2zztype_cachez00;
																				BgL_typez00_1592 = BgL_typez00_2912;
																				BgL_clausesz00_1591 =
																					BgL_clausesz00_2911;
																				goto BgL_zc3anonymousza32024ze3z83_1593;
																			}
																		}
																	else
																		{	/* Type/typeof.scm 220 */
																			BgL_auxz00_2879 =
																				BGl_za2objza2z00zztype_cachez00;
																		}
																}
														}
												}
										}
									return ((BgL_typez00_bglt) BgL_auxz00_2879);
								}
							}
						}
					else
						{	/* Type/typeof.scm 207 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1583)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-conditional1929 */
	BgL_typez00_bglt BGl_z62getzd2typezd2conditional1929z62zztype_typeofz00(obj_t
		BgL_envz00_2625, obj_t BgL_nodez00_2626)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 163 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1564;

				BgL_nodez00_1564 = ((BgL_conditionalz00_bglt) BgL_nodez00_2626);
				{	/* Type/typeof.scm 165 */
					bool_t BgL_testz00_2918;

					{	/* Type/typeof.scm 165 */
						BgL_typez00_bglt BgL_arg2022z00_1581;

						BgL_arg2022z00_1581 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1564)))->BgL_typez00);
						BgL_testz00_2918 =
							(((obj_t) BgL_arg2022z00_1581) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2918)
						{	/* Type/typeof.scm 167 */
							BgL_typez00_bglt BgL_ttruez00_1570;
							BgL_typez00_bglt BgL_tfalsez00_1571;

							BgL_ttruez00_1570 =
								BGl_getzd2typezd2zztype_typeofz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1564))->
									BgL_truez00));
							BgL_tfalsez00_1571 =
								BGl_getzd2typezd2zztype_typeofz00((((BgL_conditionalz00_bglt)
										CREF(BgL_nodez00_1564))->BgL_falsez00));
							{	/* Type/typeof.scm 170 */
								bool_t BgL_testz00_2927;

								if (
									(((obj_t) BgL_ttruez00_1570) == ((obj_t) BgL_tfalsez00_1571)))
									{	/* Type/typeof.scm 170 */
										BgL_testz00_2927 = ((bool_t) 1);
									}
								else
									{	/* Type/typeof.scm 170 */
										BgL_testz00_2927 =
											(
											((obj_t) BgL_tfalsez00_1571) ==
											BGl_za2magicza2z00zztype_cachez00);
									}
								if (BgL_testz00_2927)
									{	/* Type/typeof.scm 170 */
										return BgL_ttruez00_1570;
									}
								else
									{	/* Type/typeof.scm 170 */
										if (
											(((obj_t) BgL_ttruez00_1570) ==
												BGl_za2magicza2z00zztype_cachez00))
											{	/* Type/typeof.scm 171 */
												return BgL_tfalsez00_1571;
											}
										else
											{	/* Type/typeof.scm 172 */
												bool_t BgL_testz00_2937;

												if (BGl_pairzd2nilzf3z21zztype_typeofz00(
														((obj_t) BgL_ttruez00_1570)))
													{	/* Type/typeof.scm 172 */
														BgL_testz00_2937 =
															BGl_pairzd2nilzf3z21zztype_typeofz00(
															((obj_t) BgL_tfalsez00_1571));
													}
												else
													{	/* Type/typeof.scm 172 */
														BgL_testz00_2937 = ((bool_t) 0);
													}
												if (BgL_testz00_2937)
													{	/* Type/typeof.scm 172 */
														return
															((BgL_typez00_bglt)
															BGl_za2pairzd2nilza2zd2zztype_cachez00);
													}
												else
													{	/* Type/typeof.scm 172 */
														if (CBOOL(BGl_iszd2subtypezf3z21zztype_typeofz00(
																	((obj_t) BgL_ttruez00_1570),
																	((obj_t) BgL_tfalsez00_1571))))
															{	/* Type/typeof.scm 173 */
																return BgL_tfalsez00_1571;
															}
														else
															{	/* Type/typeof.scm 173 */
																if (CBOOL(BGl_iszd2subtypezf3z21zztype_typeofz00
																		(((obj_t) BgL_tfalsez00_1571),
																			((obj_t) BgL_ttruez00_1570))))
																	{	/* Type/typeof.scm 174 */
																		return BgL_ttruez00_1570;
																	}
																else
																	{	/* Type/typeof.scm 174 */
																		return
																			((BgL_typez00_bglt)
																			BGl_za2objza2z00zztype_cachez00);
																	}
															}
													}
											}
									}
							}
						}
					else
						{	/* Type/typeof.scm 165 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1564)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-sync1927 */
	BgL_typez00_bglt BGl_z62getzd2typezd2sync1927z62zztype_typeofz00(obj_t
		BgL_envz00_2627, obj_t BgL_nodez00_2628)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 153 */
			{
				BgL_syncz00_bglt BgL_nodez00_1555;

				BgL_nodez00_1555 = ((BgL_syncz00_bglt) BgL_nodez00_2628);
				{	/* Type/typeof.scm 155 */
					bool_t BgL_testz00_2958;

					{	/* Type/typeof.scm 155 */
						BgL_typez00_bglt BgL_arg2009z00_1562;

						BgL_arg2009z00_1562 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1555)))->BgL_typez00);
						BgL_testz00_2958 =
							(((obj_t) BgL_arg2009z00_1562) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2958)
						{	/* Type/typeof.scm 155 */
							return
								BGl_getzd2typezd2zztype_typeofz00(
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_1555))->BgL_bodyz00));
						}
					else
						{	/* Type/typeof.scm 155 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1555)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-sequence1925 */
	BgL_typez00_bglt BGl_z62getzd2typezd2sequence1925z62zztype_typeofz00(obj_t
		BgL_envz00_2629, obj_t BgL_nodez00_2630)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 143 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1544;

				BgL_nodez00_1544 = ((BgL_sequencez00_bglt) BgL_nodez00_2630);
				{	/* Type/typeof.scm 145 */
					bool_t BgL_testz00_2968;

					{	/* Type/typeof.scm 145 */
						BgL_typez00_bglt BgL_arg2006z00_1553;

						BgL_arg2006z00_1553 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1544)))->BgL_typez00);
						BgL_testz00_2968 =
							(((obj_t) BgL_arg2006z00_1553) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2968)
						{	/* Type/typeof.scm 147 */
							obj_t BgL_arg2002z00_1550;

							BgL_arg2002z00_1550 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1544))->
										BgL_nodesz00)));
							return BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
									BgL_arg2002z00_1550));
						}
					else
						{	/* Type/typeof.scm 145 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1544)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-var1922 */
	BgL_typez00_bglt BGl_z62getzd2typezd2var1922z62zztype_typeofz00(obj_t
		BgL_envz00_2631, obj_t BgL_nodez00_2632)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 119 */
			{
				BgL_varz00_bglt BgL_nodez00_1501;

				BgL_nodez00_1501 = ((BgL_varz00_bglt) BgL_nodez00_2632);
				{	/* Type/typeof.scm 134 */
					BgL_variablez00_bglt BgL_i1108z00_1507;

					BgL_i1108z00_1507 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1501))->BgL_variablez00);
					{	/* Type/typeof.scm 136 */
						bool_t BgL_testz00_2982;

						{	/* Type/typeof.scm 136 */
							BgL_typez00_bglt BgL_arg1984z00_1514;

							BgL_arg1984z00_1514 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1501)))->BgL_typez00);
							BgL_testz00_2982 =
								(
								((obj_t) BgL_arg1984z00_1514) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_2982)
							{	/* Type/typeof.scm 136 */
								return
									(((BgL_variablez00_bglt) CREF(BgL_i1108z00_1507))->
									BgL_typez00);
							}
						else
							{	/* Type/typeof.scm 137 */
								bool_t BgL_testz00_2988;

								{	/* Type/typeof.scm 137 */
									bool_t BgL_testz00_2989;

									{	/* Type/typeof.scm 137 */
										BgL_typez00_bglt BgL_arg1983z00_1513;

										BgL_arg1983z00_1513 =
											(((BgL_variablez00_bglt) CREF(BgL_i1108z00_1507))->
											BgL_typez00);
										{	/* Type/typeof.scm 137 */
											bool_t BgL_res2144z00_2575;

											BgL_res2144z00_2575 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1983z00_1513),
												BGl_tclassz00zzobject_classz00);
											BgL_testz00_2989 = BgL_res2144z00_2575;
										}
									}
									if (BgL_testz00_2989)
										{	/* Type/typeof.scm 137 */
											BgL_typez00_bglt BgL_arg1981z00_1511;
											BgL_typez00_bglt BgL_arg1982z00_1512;

											BgL_arg1981z00_1511 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1501)))->
												BgL_typez00);
											BgL_arg1982z00_1512 =
												(((BgL_variablez00_bglt) CREF(BgL_i1108z00_1507))->
												BgL_typez00);
											BgL_testz00_2988 =
												BGl_typezd2subclasszf3z21zzobject_classz00
												(BgL_arg1981z00_1511, BgL_arg1982z00_1512);
										}
									else
										{	/* Type/typeof.scm 137 */
											BgL_testz00_2988 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2988)
									{	/* Type/typeof.scm 137 */
										return
											(((BgL_variablez00_bglt) CREF(BgL_i1108z00_1507))->
											BgL_typez00);
									}
								else
									{	/* Type/typeof.scm 137 */
										return
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1501)))->BgL_typez00);
									}
							}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2159z00zztype_typeofz00));
		}
	}

#ifdef __cplusplus
}
#endif
