/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol1836z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncomp1178z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1862z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1864z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1866z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1868z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1872z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1874z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1876z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_symbol1878z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1880z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1882z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_let1212zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1884z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1886z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1888z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1890z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1892z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_symbol1894z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_goto1220zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_recz00zz__evaluate_uncompz00(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_app1222zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_synchroniza71210z17zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_abs1224zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1218zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21214z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1216zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t bstring_to_keyword(obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_keyword1870z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za71897za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1831z00zz__evaluate_uncompz00,
		BgL_bgl_string1831za700za7za7_1898za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1832z00zz__evaluate_uncompz00,
		BgL_bgl_string1832za700za7za7_1899za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1833z00zz__evaluate_uncompz00,
		BgL_bgl_string1833za700za7za7_1900za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1835z00zz__evaluate_uncompz00,
		BgL_bgl_string1835za700za7za7_1901za7, "uncomp1178", 10);
	      DEFINE_STRING(BGl_string1837z00zz__evaluate_uncompz00,
		BgL_bgl_string1837za700za7za7_1902za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1838z00zz__evaluate_uncompz00,
		BgL_bgl_string1838za700za7za7_1903za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string1840z00zz__evaluate_uncompz00,
		BgL_bgl_string1840za700za7za7_1904za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1178za7621905z00,
		BGl_z62uncomp1178z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v1906z00,
		BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1907z00,
		BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1908z00,
		BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1843z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i1909z00,
		BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o1910z00,
		BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1911z00,
		BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p1912z00,
		BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t1913z00,
		BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1848z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1914z00,
		BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1849z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d1915z00,
		BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1916z00,
		BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b1917z00,
		BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u1918z00,
		BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w1919z00,
		BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1920z00,
		BGl_z62uncompzd2ev_synchroniza71210z17zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1921z00,
		BGl_z62uncompzd2ev_let1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1922z00,
		BGl_z62uncompzd2ev_letza21214z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1863z00zz__evaluate_uncompz00,
		BgL_bgl_string1863za700za7za7_1923za7, "lambda", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1924z00,
		BGl_z62uncompzd2ev_letrec1216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1925z00,
		BGl_z62uncompzd2ev_labels1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1865z00zz__evaluate_uncompz00,
		BgL_bgl_string1865za700za7za7_1926za7, "letrec", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1927z00,
		BGl_z62uncompzd2ev_goto1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1867z00zz__evaluate_uncompz00,
		BgL_bgl_string1867za700za7za7_1928za7, "let*", 4);
	      DEFINE_STRING(BGl_string1869z00zz__evaluate_uncompz00,
		BgL_bgl_string1869za700za7za7_1929za7, "let", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1930z00,
		BGl_z62uncompzd2ev_app1222zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1931z00,
		BGl_z62uncompzd2ev_abs1224zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1871z00zz__evaluate_uncompz00,
		BgL_bgl_string1871za700za7za7_1932za7, "prelock", 7);
	      DEFINE_STRING(BGl_string1873z00zz__evaluate_uncompz00,
		BgL_bgl_string1873za700za7za7_1933za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string1875z00zz__evaluate_uncompz00,
		BgL_bgl_string1875za700za7za7_1934za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1877z00zz__evaluate_uncompz00,
		BgL_bgl_string1877za700za7za7_1935za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1879z00zz__evaluate_uncompz00,
		BgL_bgl_string1879za700za7za7_1936za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string1881z00zz__evaluate_uncompz00,
		BgL_bgl_string1881za700za7za7_1937za7, "set!", 4);
	      DEFINE_STRING(BGl_string1883z00zz__evaluate_uncompz00,
		BgL_bgl_string1883za700za7za7_1938za7, "define", 6);
	      DEFINE_STRING(BGl_string1885z00zz__evaluate_uncompz00,
		BgL_bgl_string1885za700za7za7_1939za7, "trap", 4);
	      DEFINE_STRING(BGl_string1887z00zz__evaluate_uncompz00,
		BgL_bgl_string1887za700za7za7_1940za7, "begin", 5);
	      DEFINE_STRING(BGl_string1889z00zz__evaluate_uncompz00,
		BgL_bgl_string1889za700za7za7_1941za7, "and", 3);
	      DEFINE_STRING(BGl_string1891z00zz__evaluate_uncompz00,
		BgL_bgl_string1891za700za7za7_1942za7, "or", 2);
	      DEFINE_STRING(BGl_string1893z00zz__evaluate_uncompz00,
		BgL_bgl_string1893za700za7za7_1943za7, "if", 2);
	      DEFINE_STRING(BGl_string1895z00zz__evaluate_uncompz00,
		BgL_bgl_string1895za700za7za7_1944za7, "quote", 5);
	      DEFINE_STRING(BGl_string1896z00zz__evaluate_uncompz00,
		BgL_bgl_string1896za700za7za7_1945za7, "__evaluate_uncomp", 17);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__1946z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2115, char *BgL_fromz00_2116)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1836z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1835z00zz__evaluate_uncompz00);
			BGl_symbol1862z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1863z00zz__evaluate_uncompz00);
			BGl_symbol1864z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1865z00zz__evaluate_uncompz00);
			BGl_symbol1866z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1867z00zz__evaluate_uncompz00);
			BGl_symbol1868z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1869z00zz__evaluate_uncompz00);
			BGl_keyword1870z00zz__evaluate_uncompz00 =
				bstring_to_keyword(BGl_string1871z00zz__evaluate_uncompz00);
			BGl_symbol1872z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1873z00zz__evaluate_uncompz00);
			BGl_symbol1874z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1875z00zz__evaluate_uncompz00);
			BGl_symbol1876z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1877z00zz__evaluate_uncompz00);
			BGl_symbol1878z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1879z00zz__evaluate_uncompz00);
			BGl_symbol1880z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1881z00zz__evaluate_uncompz00);
			BGl_symbol1882z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1883z00zz__evaluate_uncompz00);
			BGl_symbol1884z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1885z00zz__evaluate_uncompz00);
			BGl_symbol1886z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1887z00zz__evaluate_uncompz00);
			BGl_symbol1888z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1889z00zz__evaluate_uncompz00);
			BGl_symbol1890z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1891z00zz__evaluate_uncompz00);
			BGl_symbol1892z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1893z00zz__evaluate_uncompz00);
			return (BGl_symbol1894z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1895z00zz__evaluate_uncompz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2033,
		obj_t BgL_ez00_2034)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_ez00_2112;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2034,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_ez00_2112 = ((BgL_ev_exprz00_bglt) BgL_ez00_2034);
					}
				else
					{
						obj_t BgL_auxz00_2146;

						BgL_auxz00_2146 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1831z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string1832z00zz__evaluate_uncompz00,
							BGl_string1833z00zz__evaluate_uncompz00, BgL_ez00_2034);
						FAILURE(BgL_auxz00_2146, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_2112);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1834z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1835z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp1178 */
	obj_t BGl_z62uncomp1178z62zz__evaluate_uncompz00(obj_t BgL_envz00_2036,
		obj_t BgL_ez00_2037)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_656;

				BgL_ez00_656 = ((BgL_ev_exprz00_bglt) BgL_ez00_2037);
				return
					BGl_errorz00zz__errorz00(BGl_symbol1836z00zz__evaluate_uncompz00,
					BGl_string1837z00zz__evaluate_uncompz00, ((obj_t) BgL_ez00_656));
			}
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1180z00_659;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1708z00_1336;

					{	/* Eval/evaluate_uncomp.scm 65 */
						long BgL_objzd2classzd2numz00_1309;

						{	/* Eval/evaluate_uncomp.scm 65 */
							long BgL_res1702z00_1312;

							BgL_res1702z00_1312 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_4));
							BgL_objzd2classzd2numz00_1309 = BgL_res1702z00_1312;
						}
						{	/* Eval/evaluate_uncomp.scm 65 */
							obj_t BgL_arg1696z00_1310;

							BgL_arg1696z00_1310 =
								PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_uncomp.scm 65 */
								int BgL_offsetz00_1314;

								BgL_offsetz00_1314 = (int) (BgL_objzd2classzd2numz00_1309);
								{	/* Eval/evaluate_uncomp.scm 65 */
									long BgL_offsetz00_1315;

									BgL_offsetz00_1315 =
										((long) (BgL_offsetz00_1314) - OBJECT_TYPE);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_modz00_1316;

										{	/* Eval/evaluate_uncomp.scm 65 */
											int BgL_arg1698z00_1317;

											BgL_arg1698z00_1317 = (int) (((long) 16));
											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_res1705z00_1327;

												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_auxz00_2163;

													BgL_auxz00_2163 = (long) (BgL_arg1698z00_1317);
													BgL_res1705z00_1327 =
														(BgL_offsetz00_1315 / BgL_auxz00_2163);
												}
												BgL_modz00_1316 = BgL_res1705z00_1327;
										}}
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_restz00_1318;

											{	/* Eval/evaluate_uncomp.scm 65 */
												int BgL_arg1697z00_1319;

												BgL_arg1697z00_1319 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_res1707z00_1331;

													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_auxz00_2167;

														BgL_auxz00_2167 = (long) (BgL_arg1697z00_1319);
														BgL_res1707z00_1331 =
															(BgL_offsetz00_1315 % BgL_auxz00_2167);
													}
													BgL_restz00_1318 = BgL_res1707z00_1331;
											}}
											{	/* Eval/evaluate_uncomp.scm 65 */

												BgL_res1708z00_1336 =
													VECTOR_REF(VECTOR_REF(BgL_arg1696z00_1310,
														(int) (BgL_modz00_1316)), (int) (BgL_restz00_1318));
					}}}}}}}
					BgL_method1180z00_659 = BgL_res1708z00_1336;
				}
				return
					PROCEDURE_ENTRY(BgL_method1180z00_659) (BgL_method1180z00_659,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2038,
		obj_t BgL_ez00_2039)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2179;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2039,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_auxz00_2179 = ((BgL_ev_exprz00_bglt) BgL_ez00_2039);
					}
				else
					{
						obj_t BgL_auxz00_2183;

						BgL_auxz00_2183 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1831z00zz__evaluate_uncompz00, BINT(((long) 1830)),
							BGl_string1838z00zz__evaluate_uncompz00,
							BGl_string1833z00zz__evaluate_uncompz00, BgL_ez00_2039);
						FAILURE(BgL_auxz00_2183, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2179);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1839z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1841z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1842z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1843z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1844z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1845z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1846z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1847z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1848z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1849z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1850z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1851z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1852z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1853z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1854z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1855z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1856z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1857z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1858z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1859z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1860z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1861z00zz__evaluate_uncompz00,
				BGl_string1840z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp-ev_abs1224 */
	obj_t BGl_z62uncompzd2ev_abs1224zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2062, obj_t BgL_ez00_2063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 157 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1033;

				BgL_ez00_1033 = ((BgL_ev_absz00_bglt) BgL_ez00_2063);
				{	/* Eval/evaluate_uncomp.scm 166 */
					obj_t BgL_arg1498z00_1038;

					{	/* Eval/evaluate_uncomp.scm 166 */
						obj_t BgL_arg1499z00_1039;
						obj_t BgL_arg1501z00_1040;

						{	/* Eval/evaluate_uncomp.scm 166 */
							obj_t BgL_arg1502z00_1041;
							obj_t BgL_arg1503z00_1042;

							BgL_arg1502z00_1041 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1033))->BgL_arityz00);
							{	/* Eval/evaluate_uncomp.scm 166 */
								obj_t BgL_l1163z00_1043;

								BgL_l1163z00_1043 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1033))->BgL_varsz00);
								if (NULLP(BgL_l1163z00_1043))
									{	/* Eval/evaluate_uncomp.scm 166 */
										BgL_arg1503z00_1042 = BNIL;
									}
								else
									{	/* Eval/evaluate_uncomp.scm 166 */
										obj_t BgL_head1165z00_1045;

										{	/* Eval/evaluate_uncomp.scm 166 */
											obj_t BgL_res1769z00_1728;

											BgL_res1769z00_1728 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1165z00_1045 = BgL_res1769z00_1728;
										}
										{
											obj_t BgL_l1163z00_1764;
											obj_t BgL_tail1166z00_1765;

											BgL_l1163z00_1764 = BgL_l1163z00_1043;
											BgL_tail1166z00_1765 = BgL_head1165z00_1045;
										BgL_zc3anonymousza31505ze3z83_1763:
											if (NULLP(BgL_l1163z00_1764))
												{	/* Eval/evaluate_uncomp.scm 166 */
													BgL_arg1503z00_1042 = CDR(BgL_head1165z00_1045);
												}
											else
												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_newtail1167z00_1773;

													{	/* Eval/evaluate_uncomp.scm 166 */
														obj_t BgL_arg1509z00_1774;

														BgL_arg1509z00_1774 =
															(((BgL_ev_varz00_bglt) CREF(
																	((BgL_ev_varz00_bglt)
																		CAR(BgL_l1163z00_1764))))->BgL_namez00);
														{	/* Eval/evaluate_uncomp.scm 166 */
															obj_t BgL_res1777z00_1784;

															BgL_res1777z00_1784 =
																MAKE_PAIR(BgL_arg1509z00_1774, BNIL);
															BgL_newtail1167z00_1773 = BgL_res1777z00_1784;
														}
													}
													SET_CDR(BgL_tail1166z00_1765,
														BgL_newtail1167z00_1773);
													{
														obj_t BgL_tail1166z00_2225;
														obj_t BgL_l1163z00_2223;

														BgL_l1163z00_2223 = CDR(BgL_l1163z00_1764);
														BgL_tail1166z00_2225 = BgL_newtail1167z00_1773;
														BgL_tail1166z00_1765 = BgL_tail1166z00_2225;
														BgL_l1163z00_1764 = BgL_l1163z00_2223;
														goto BgL_zc3anonymousza31505ze3z83_1763;
													}
												}
										}
									}
							}
							BgL_arg1499z00_1039 =
								BGl_redovarsz00zz__evaluate_uncompz00(BgL_arg1502z00_1041,
								BgL_arg1503z00_1042);
						}
						BgL_arg1501z00_1040 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1033))->BgL_bodyz00)),
							BNIL);
						BgL_arg1498z00_1038 =
							MAKE_PAIR(BgL_arg1499z00_1039, BgL_arg1501z00_1040);
					}
					return
						MAKE_PAIR(BGl_symbol1862z00zz__evaluate_uncompz00,
						BgL_arg1498z00_1038);
				}
			}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_uncompz00(obj_t BgL_lz00_1064)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (NULLP(CDR(BgL_lz00_1064)))
				{	/* Eval/evaluate_uncomp.scm 163 */
					return CAR(BgL_lz00_1064);
				}
			else
				{	/* Eval/evaluate_uncomp.scm 163 */
					return
						MAKE_PAIR(CAR(BgL_lz00_1064),
						BGl_recz00zz__evaluate_uncompz00(CDR(BgL_lz00_1064)));
				}
		}
	}



/* redovars */
	obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t BgL_nz00_1059,
		obj_t BgL_lz00_1060)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 165 */
			if (((long) CINT(BgL_nz00_1059) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BgL_lz00_1060;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BGl_recz00zz__evaluate_uncompz00(BgL_lz00_1060);
				}
		}
	}



/* &uncomp-ev_app1222 */
	obj_t BGl_z62uncompzd2ev_app1222zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2064, obj_t BgL_ez00_2065)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 153 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1008;

				BgL_ez00_1008 = ((BgL_ev_appz00_bglt) BgL_ez00_2065);
				{	/* Eval/evaluate_uncomp.scm 155 */
					obj_t BgL_arg1483z00_1012;
					obj_t BgL_arg1484z00_1013;

					BgL_arg1483z00_1012 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1008))->BgL_funz00));
					{	/* Eval/evaluate_uncomp.scm 155 */
						obj_t BgL_arg1486z00_1015;

						{	/* Eval/evaluate_uncomp.scm 155 */
							obj_t BgL_l1157z00_1016;

							BgL_l1157z00_1016 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1008))->BgL_argsz00);
							if (NULLP(BgL_l1157z00_1016))
								{	/* Eval/evaluate_uncomp.scm 155 */
									BgL_arg1486z00_1015 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_head1159z00_1018;

									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_arg1493z00_1030;

										{	/* Eval/evaluate_uncomp.scm 155 */
											obj_t BgL_arg1494z00_1031;

											BgL_arg1494z00_1031 = CAR(BgL_l1157z00_1016);
											BgL_arg1493z00_1030 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1494z00_1031));
										}
										{	/* Eval/evaluate_uncomp.scm 155 */
											obj_t BgL_res1759z00_1661;

											BgL_res1759z00_1661 =
												MAKE_PAIR(BgL_arg1493z00_1030, BNIL);
											BgL_head1159z00_1018 = BgL_res1759z00_1661;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_g1162z00_1019;

										BgL_g1162z00_1019 = CDR(BgL_l1157z00_1016);
										{
											obj_t BgL_l1157z00_1694;
											obj_t BgL_tail1160z00_1695;

											BgL_l1157z00_1694 = BgL_g1162z00_1019;
											BgL_tail1160z00_1695 = BgL_head1159z00_1018;
										BgL_zc3anonymousza31488ze3z83_1693:
											if (NULLP(BgL_l1157z00_1694))
												{	/* Eval/evaluate_uncomp.scm 155 */
													BgL_arg1486z00_1015 = BgL_head1159z00_1018;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_newtail1161z00_1702;

													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_arg1491z00_1703;

														{	/* Eval/evaluate_uncomp.scm 155 */
															obj_t BgL_arg1492z00_1704;

															BgL_arg1492z00_1704 = CAR(BgL_l1157z00_1694);
															BgL_arg1491z00_1703 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1492z00_1704));
														}
														{	/* Eval/evaluate_uncomp.scm 155 */
															obj_t BgL_res1765z00_1711;

															BgL_res1765z00_1711 =
																MAKE_PAIR(BgL_arg1491z00_1703, BNIL);
															BgL_newtail1161z00_1702 = BgL_res1765z00_1711;
														}
													}
													SET_CDR(BgL_tail1160z00_1695,
														BgL_newtail1161z00_1702);
													{
														obj_t BgL_tail1160z00_2264;
														obj_t BgL_l1157z00_2262;

														BgL_l1157z00_2262 = CDR(BgL_l1157z00_1694);
														BgL_tail1160z00_2264 = BgL_newtail1161z00_1702;
														BgL_tail1160z00_1695 = BgL_tail1160z00_2264;
														BgL_l1157z00_1694 = BgL_l1157z00_2262;
														goto BgL_zc3anonymousza31488ze3z83_1693;
													}
												}
										}
									}
								}
						}
						BgL_arg1484z00_1013 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1486z00_1015, BNIL);
					}
					return MAKE_PAIR(BgL_arg1483z00_1012, BgL_arg1484z00_1013);
				}
			}
		}
	}



/* &uncomp-ev_goto1220 */
	obj_t BGl_z62uncompzd2ev_goto1220zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2066, obj_t BgL_ez00_2067)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 149 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_983;

				BgL_ez00_983 = ((BgL_ev_gotoz00_bglt) BgL_ez00_2067);
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1468z00_987;
					obj_t BgL_arg1469z00_988;

					{	/* Eval/evaluate_uncomp.scm 151 */
						BgL_ev_varz00_bglt BgL_arg1470z00_989;

						BgL_arg1470z00_989 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_983))->BgL_labelz00);
						BgL_arg1468z00_987 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1470z00_989));
					}
					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_arg1471z00_990;

						{	/* Eval/evaluate_uncomp.scm 151 */
							obj_t BgL_l1151z00_991;

							BgL_l1151z00_991 =
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_983))->BgL_argsz00);
							if (NULLP(BgL_l1151z00_991))
								{	/* Eval/evaluate_uncomp.scm 151 */
									BgL_arg1471z00_990 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_head1153z00_993;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1481z00_1005;

										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_arg1482z00_1006;

											BgL_arg1482z00_1006 = CAR(BgL_l1151z00_991);
											BgL_arg1481z00_1005 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1482z00_1006));
										}
										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_res1751z00_1602;

											BgL_res1751z00_1602 =
												MAKE_PAIR(BgL_arg1481z00_1005, BNIL);
											BgL_head1153z00_993 = BgL_res1751z00_1602;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_g1156z00_994;

										BgL_g1156z00_994 = CDR(BgL_l1151z00_991);
										{
											obj_t BgL_l1151z00_1635;
											obj_t BgL_tail1154z00_1636;

											BgL_l1151z00_1635 = BgL_g1156z00_994;
											BgL_tail1154z00_1636 = BgL_head1153z00_993;
										BgL_zc3anonymousza31473ze3z83_1634:
											if (NULLP(BgL_l1151z00_1635))
												{	/* Eval/evaluate_uncomp.scm 151 */
													BgL_arg1471z00_990 = BgL_head1153z00_993;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_newtail1155z00_1643;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1477z00_1644;

														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_arg1478z00_1645;

															BgL_arg1478z00_1645 = CAR(BgL_l1151z00_1635);
															BgL_arg1477z00_1644 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1478z00_1645));
														}
														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_res1757z00_1652;

															BgL_res1757z00_1652 =
																MAKE_PAIR(BgL_arg1477z00_1644, BNIL);
															BgL_newtail1155z00_1643 = BgL_res1757z00_1652;
														}
													}
													SET_CDR(BgL_tail1154z00_1636,
														BgL_newtail1155z00_1643);
													{
														obj_t BgL_tail1154z00_2288;
														obj_t BgL_l1151z00_2286;

														BgL_l1151z00_2286 = CDR(BgL_l1151z00_1635);
														BgL_tail1154z00_2288 = BgL_newtail1155z00_1643;
														BgL_tail1154z00_1636 = BgL_tail1154z00_2288;
														BgL_l1151z00_1635 = BgL_l1151z00_2286;
														goto BgL_zc3anonymousza31473ze3z83_1634;
													}
												}
										}
									}
								}
						}
						BgL_arg1469z00_988 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1471z00_990, BNIL);
					}
					return MAKE_PAIR(BgL_arg1468z00_987, BgL_arg1469z00_988);
				}
			}
		}
	}



/* &uncomp-ev_labels1218 */
	obj_t BGl_z62uncompzd2ev_labels1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2068, obj_t BgL_ez00_2069)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 142 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_932;

				BgL_ez00_932 = ((BgL_ev_labelsz00_bglt) BgL_ez00_2069);
				{	/* Eval/evaluate_uncomp.scm 144 */
					obj_t BgL_arg1429z00_936;

					{	/* Eval/evaluate_uncomp.scm 144 */
						obj_t BgL_arg1430z00_937;
						obj_t BgL_arg1431z00_938;

						{	/* Eval/evaluate_uncomp.scm 144 */
							obj_t BgL_ll1145z00_939;
							obj_t BgL_ll1146z00_940;

							BgL_ll1145z00_939 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_932))->BgL_varsz00);
							BgL_ll1146z00_940 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_932))->BgL_valsz00);
							if (NULLP(BgL_ll1145z00_939))
								{	/* Eval/evaluate_uncomp.scm 144 */
									BgL_arg1430z00_937 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 144 */
									obj_t BgL_head1147z00_942;

									{	/* Eval/evaluate_uncomp.scm 144 */
										obj_t BgL_res1739z00_1523;

										BgL_res1739z00_1523 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1147z00_942 = BgL_res1739z00_1523;
									}
									{
										obj_t BgL_ll1145z00_944;
										obj_t BgL_ll1146z00_945;
										obj_t BgL_tail1148z00_946;

										BgL_ll1145z00_944 = BgL_ll1145z00_939;
										BgL_ll1146z00_945 = BgL_ll1146z00_940;
										BgL_tail1148z00_946 = BgL_head1147z00_942;
									BgL_zc3anonymousza31433ze3z83_947:
										if (NULLP(BgL_ll1145z00_944))
											{	/* Eval/evaluate_uncomp.scm 144 */
												BgL_arg1430z00_937 = CDR(BgL_head1147z00_942);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_newtail1149z00_949;

												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_arg1438z00_952;

													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_vz00_953;
														obj_t BgL_az00_954;

														BgL_vz00_953 = CAR(BgL_ll1145z00_944);
														BgL_az00_954 = CAR(BgL_ll1146z00_945);
														{	/* Eval/evaluate_uncomp.scm 144 */
															obj_t BgL_arg1439z00_955;
															obj_t BgL_arg1440z00_956;

															BgL_arg1439z00_955 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_953));
															{	/* Eval/evaluate_uncomp.scm 144 */
																obj_t BgL_arg1441z00_957;

																{	/* Eval/evaluate_uncomp.scm 144 */
																	obj_t BgL_arg1443z00_958;

																	{	/* Eval/evaluate_uncomp.scm 144 */
																		obj_t BgL_arg1444z00_959;
																		obj_t BgL_arg1450z00_960;

																		{	/* Eval/evaluate_uncomp.scm 144 */
																			obj_t BgL_l1139z00_961;

																			BgL_l1139z00_961 = CAR(BgL_az00_954);
																			if (NULLP(BgL_l1139z00_961))
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					BgL_arg1444z00_959 = BNIL;
																				}
																			else
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_head1141z00_963;

																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_arg1462z00_975;

																						{	/* Eval/evaluate_uncomp.scm 144 */
																							obj_t BgL_arg1463z00_976;

																							BgL_arg1463z00_976 =
																								CAR(BgL_l1139z00_961);
																							BgL_arg1462z00_975 =
																								BGl_uncompz00zz__evaluate_uncompz00
																								(((BgL_ev_exprz00_bglt)
																									BgL_arg1463z00_976));
																						}
																						{	/* Eval/evaluate_uncomp.scm 144 */
																							obj_t BgL_res1742z00_1535;

																							BgL_res1742z00_1535 =
																								MAKE_PAIR(BgL_arg1462z00_975,
																								BNIL);
																							BgL_head1141z00_963 =
																								BgL_res1742z00_1535;
																						}
																					}
																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_g1144z00_964;

																						BgL_g1144z00_964 =
																							CDR(BgL_l1139z00_961);
																						{
																							obj_t BgL_l1139z00_1568;
																							obj_t BgL_tail1142z00_1569;

																							BgL_l1139z00_1568 =
																								BgL_g1144z00_964;
																							BgL_tail1142z00_1569 =
																								BgL_head1141z00_963;
																						BgL_zc3anonymousza31452ze3z83_1567:
																							if (NULLP(BgL_l1139z00_1568))
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									BgL_arg1444z00_959 =
																										BgL_head1141z00_963;
																								}
																							else
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_newtail1143z00_1576;

																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_arg1459z00_1577;

																										{	/* Eval/evaluate_uncomp.scm 144 */
																											obj_t BgL_arg1461z00_1578;

																											BgL_arg1461z00_1578 =
																												CAR(BgL_l1139z00_1568);
																											BgL_arg1459z00_1577 =
																												BGl_uncompz00zz__evaluate_uncompz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_arg1461z00_1578));
																										}
																										{	/* Eval/evaluate_uncomp.scm 144 */
																											obj_t BgL_res1748z00_1585;

																											BgL_res1748z00_1585 =
																												MAKE_PAIR
																												(BgL_arg1459z00_1577,
																												BNIL);
																											BgL_newtail1143z00_1576 =
																												BgL_res1748z00_1585;
																										}
																									}
																									SET_CDR(BgL_tail1142z00_1569,
																										BgL_newtail1143z00_1576);
																									{
																										obj_t BgL_tail1142z00_2321;
																										obj_t BgL_l1139z00_2319;

																										BgL_l1139z00_2319 =
																											CDR(BgL_l1139z00_1568);
																										BgL_tail1142z00_2321 =
																											BgL_newtail1143z00_1576;
																										BgL_tail1142z00_1569 =
																											BgL_tail1142z00_2321;
																										BgL_l1139z00_1568 =
																											BgL_l1139z00_2319;
																										goto
																											BgL_zc3anonymousza31452ze3z83_1567;
																									}
																								}
																						}
																					}
																				}
																		}
																		{	/* Eval/evaluate_uncomp.scm 145 */
																			obj_t BgL_arg1464z00_977;

																			{	/* Eval/evaluate_uncomp.scm 145 */
																				obj_t BgL_arg1465z00_978;

																				BgL_arg1465z00_978 = CDR(BgL_az00_954);
																				BgL_arg1464z00_977 =
																					BGl_uncompz00zz__evaluate_uncompz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg1465z00_978));
																			}
																			BgL_arg1450z00_960 =
																				MAKE_PAIR(BgL_arg1464z00_977, BNIL);
																		}
																		BgL_arg1443z00_958 =
																			MAKE_PAIR(BgL_arg1444z00_959,
																			BgL_arg1450z00_960);
																	}
																	BgL_arg1441z00_957 =
																		MAKE_PAIR
																		(BGl_symbol1862z00zz__evaluate_uncompz00,
																		BgL_arg1443z00_958);
																}
																BgL_arg1440z00_956 =
																	MAKE_PAIR(BgL_arg1441z00_957, BNIL);
															}
															BgL_arg1438z00_952 =
																MAKE_PAIR(BgL_arg1439z00_955,
																BgL_arg1440z00_956);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_res1749z00_1592;

														BgL_res1749z00_1592 =
															MAKE_PAIR(BgL_arg1438z00_952, BNIL);
														BgL_newtail1149z00_949 = BgL_res1749z00_1592;
													}
												}
												SET_CDR(BgL_tail1148z00_946, BgL_newtail1149z00_949);
												{
													obj_t BgL_tail1148z00_2336;
													obj_t BgL_ll1146z00_2334;
													obj_t BgL_ll1145z00_2332;

													BgL_ll1145z00_2332 = CDR(BgL_ll1145z00_944);
													BgL_ll1146z00_2334 = CDR(BgL_ll1146z00_945);
													BgL_tail1148z00_2336 = BgL_newtail1149z00_949;
													BgL_tail1148z00_946 = BgL_tail1148z00_2336;
													BgL_ll1146z00_945 = BgL_ll1146z00_2334;
													BgL_ll1145z00_944 = BgL_ll1145z00_2332;
													goto BgL_zc3anonymousza31433ze3z83_947;
												}
											}
									}
								}
						}
						BgL_arg1431z00_938 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_932))->BgL_bodyz00)),
							BNIL);
						BgL_arg1429z00_936 =
							MAKE_PAIR(BgL_arg1430z00_937, BgL_arg1431z00_938);
					}
					return
						MAKE_PAIR(BGl_symbol1864z00zz__evaluate_uncompz00,
						BgL_arg1429z00_936);
				}
			}
		}
	}



/* &uncomp-ev_letrec1216 */
	obj_t BGl_z62uncompzd2ev_letrec1216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2070, obj_t BgL_ez00_2071)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 138 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_902;

				BgL_ez00_902 = ((BgL_ev_letrecz00_bglt) BgL_ez00_2071);
				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1414z00_906;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1415z00_907;
						obj_t BgL_arg1416z00_908;

						{	/* Eval/evaluate_uncomp.scm 140 */
							obj_t BgL_ll1133z00_909;
							obj_t BgL_ll1134z00_910;

							BgL_ll1133z00_909 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_902)))->BgL_varsz00);
							BgL_ll1134z00_910 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_902)))->BgL_valsz00);
							if (NULLP(BgL_ll1133z00_909))
								{	/* Eval/evaluate_uncomp.scm 140 */
									BgL_arg1415z00_907 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 140 */
									obj_t BgL_head1135z00_912;

									{	/* Eval/evaluate_uncomp.scm 140 */
										obj_t BgL_res1735z00_1506;

										BgL_res1735z00_1506 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1135z00_912 = BgL_res1735z00_1506;
									}
									{
										obj_t BgL_ll1133z00_914;
										obj_t BgL_ll1134z00_915;
										obj_t BgL_tail1136z00_916;

										BgL_ll1133z00_914 = BgL_ll1133z00_909;
										BgL_ll1134z00_915 = BgL_ll1134z00_910;
										BgL_tail1136z00_916 = BgL_head1135z00_912;
									BgL_zc3anonymousza31418ze3z83_917:
										if (NULLP(BgL_ll1133z00_914))
											{	/* Eval/evaluate_uncomp.scm 140 */
												BgL_arg1415z00_907 = CDR(BgL_head1135z00_912);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_newtail1137z00_919;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_arg1423z00_922;

													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_vz00_923;
														obj_t BgL_az00_924;

														BgL_vz00_923 = CAR(BgL_ll1133z00_914);
														BgL_az00_924 = CAR(BgL_ll1134z00_915);
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1424z00_925;
															obj_t BgL_arg1425z00_926;

															BgL_arg1424z00_925 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_923));
															{	/* Eval/evaluate_uncomp.scm 140 */
																obj_t BgL_arg1426z00_927;

																BgL_arg1426z00_927 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_924));
																BgL_arg1425z00_926 =
																	MAKE_PAIR(BgL_arg1426z00_927, BNIL);
															}
															BgL_arg1423z00_922 =
																MAKE_PAIR(BgL_arg1424z00_925,
																BgL_arg1425z00_926);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_res1737z00_1514;

														BgL_res1737z00_1514 =
															MAKE_PAIR(BgL_arg1423z00_922, BNIL);
														BgL_newtail1137z00_919 = BgL_res1737z00_1514;
													}
												}
												SET_CDR(BgL_tail1136z00_916, BgL_newtail1137z00_919);
												{
													obj_t BgL_tail1136z00_2367;
													obj_t BgL_ll1134z00_2365;
													obj_t BgL_ll1133z00_2363;

													BgL_ll1133z00_2363 = CDR(BgL_ll1133z00_914);
													BgL_ll1134z00_2365 = CDR(BgL_ll1134z00_915);
													BgL_tail1136z00_2367 = BgL_newtail1137z00_919;
													BgL_tail1136z00_916 = BgL_tail1136z00_2367;
													BgL_ll1134z00_915 = BgL_ll1134z00_2365;
													BgL_ll1133z00_914 = BgL_ll1133z00_2363;
													goto BgL_zc3anonymousza31418ze3z83_917;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 140 */
							obj_t BgL_arg1427z00_929;

							{	/* Eval/evaluate_uncomp.scm 140 */
								BgL_ev_exprz00_bglt BgL_arg1428z00_930;

								BgL_arg1428z00_930 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_902)))->BgL_bodyz00);
								BgL_arg1427z00_929 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1428z00_930);
							}
							BgL_arg1416z00_908 = MAKE_PAIR(BgL_arg1427z00_929, BNIL);
						}
						BgL_arg1414z00_906 =
							MAKE_PAIR(BgL_arg1415z00_907, BgL_arg1416z00_908);
					}
					return
						MAKE_PAIR(BGl_symbol1864z00zz__evaluate_uncompz00,
						BgL_arg1414z00_906);
				}
			}
		}
	}



/* &uncomp-ev_let*1214 */
	obj_t BGl_z62uncompzd2ev_letza21214z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2072, obj_t BgL_ez00_2073)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 134 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_872;

				BgL_ez00_872 = ((BgL_ev_letza2za2_bglt) BgL_ez00_2073);
				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1400z00_876;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1401z00_877;
						obj_t BgL_arg1402z00_878;

						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_ll1127z00_879;
							obj_t BgL_ll1128z00_880;

							BgL_ll1127z00_879 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_872)))->BgL_varsz00);
							BgL_ll1128z00_880 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_872)))->BgL_valsz00);
							if (NULLP(BgL_ll1127z00_879))
								{	/* Eval/evaluate_uncomp.scm 136 */
									BgL_arg1401z00_877 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 136 */
									obj_t BgL_head1129z00_882;

									{	/* Eval/evaluate_uncomp.scm 136 */
										obj_t BgL_res1731z00_1489;

										BgL_res1731z00_1489 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1129z00_882 = BgL_res1731z00_1489;
									}
									{
										obj_t BgL_ll1127z00_884;
										obj_t BgL_ll1128z00_885;
										obj_t BgL_tail1130z00_886;

										BgL_ll1127z00_884 = BgL_ll1127z00_879;
										BgL_ll1128z00_885 = BgL_ll1128z00_880;
										BgL_tail1130z00_886 = BgL_head1129z00_882;
									BgL_zc3anonymousza31404ze3z83_887:
										if (NULLP(BgL_ll1127z00_884))
											{	/* Eval/evaluate_uncomp.scm 136 */
												BgL_arg1401z00_877 = CDR(BgL_head1129z00_882);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_newtail1131z00_889;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_arg1408z00_892;

													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_vz00_893;
														obj_t BgL_az00_894;

														BgL_vz00_893 = CAR(BgL_ll1127z00_884);
														BgL_az00_894 = CAR(BgL_ll1128z00_885);
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1409z00_895;
															obj_t BgL_arg1410z00_896;

															BgL_arg1409z00_895 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_893));
															{	/* Eval/evaluate_uncomp.scm 136 */
																obj_t BgL_arg1411z00_897;

																BgL_arg1411z00_897 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_894));
																BgL_arg1410z00_896 =
																	MAKE_PAIR(BgL_arg1411z00_897, BNIL);
															}
															BgL_arg1408z00_892 =
																MAKE_PAIR(BgL_arg1409z00_895,
																BgL_arg1410z00_896);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_res1733z00_1497;

														BgL_res1733z00_1497 =
															MAKE_PAIR(BgL_arg1408z00_892, BNIL);
														BgL_newtail1131z00_889 = BgL_res1733z00_1497;
													}
												}
												SET_CDR(BgL_tail1130z00_886, BgL_newtail1131z00_889);
												{
													obj_t BgL_tail1130z00_2399;
													obj_t BgL_ll1128z00_2397;
													obj_t BgL_ll1127z00_2395;

													BgL_ll1127z00_2395 = CDR(BgL_ll1127z00_884);
													BgL_ll1128z00_2397 = CDR(BgL_ll1128z00_885);
													BgL_tail1130z00_2399 = BgL_newtail1131z00_889;
													BgL_tail1130z00_886 = BgL_tail1130z00_2399;
													BgL_ll1128z00_885 = BgL_ll1128z00_2397;
													BgL_ll1127z00_884 = BgL_ll1127z00_2395;
													goto BgL_zc3anonymousza31404ze3z83_887;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_arg1412z00_899;

							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_ev_exprz00_bglt BgL_arg1413z00_900;

								BgL_arg1413z00_900 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_872)))->BgL_bodyz00);
								BgL_arg1412z00_899 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1413z00_900);
							}
							BgL_arg1402z00_878 = MAKE_PAIR(BgL_arg1412z00_899, BNIL);
						}
						BgL_arg1400z00_876 =
							MAKE_PAIR(BgL_arg1401z00_877, BgL_arg1402z00_878);
					}
					return
						MAKE_PAIR(BGl_symbol1866z00zz__evaluate_uncompz00,
						BgL_arg1400z00_876);
				}
			}
		}
	}



/* &uncomp-ev_let1212 */
	obj_t BGl_z62uncompzd2ev_let1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2074, obj_t BgL_ez00_2075)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 130 */
			{
				BgL_ev_letz00_bglt BgL_ez00_842;

				BgL_ez00_842 = ((BgL_ev_letz00_bglt) BgL_ez00_2075);
				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1386z00_846;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1387z00_847;
						obj_t BgL_arg1388z00_848;

						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_ll1121z00_849;
							obj_t BgL_ll1122z00_850;

							BgL_ll1121z00_849 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_842)))->BgL_varsz00);
							BgL_ll1122z00_850 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_842)))->BgL_valsz00);
							if (NULLP(BgL_ll1121z00_849))
								{	/* Eval/evaluate_uncomp.scm 132 */
									BgL_arg1387z00_847 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 132 */
									obj_t BgL_head1123z00_852;

									{	/* Eval/evaluate_uncomp.scm 132 */
										obj_t BgL_res1727z00_1472;

										BgL_res1727z00_1472 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1123z00_852 = BgL_res1727z00_1472;
									}
									{
										obj_t BgL_ll1121z00_854;
										obj_t BgL_ll1122z00_855;
										obj_t BgL_tail1124z00_856;

										BgL_ll1121z00_854 = BgL_ll1121z00_849;
										BgL_ll1122z00_855 = BgL_ll1122z00_850;
										BgL_tail1124z00_856 = BgL_head1123z00_852;
									BgL_zc3anonymousza31390ze3z83_857:
										if (NULLP(BgL_ll1121z00_854))
											{	/* Eval/evaluate_uncomp.scm 132 */
												BgL_arg1387z00_847 = CDR(BgL_head1123z00_852);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_newtail1125z00_859;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_arg1394z00_862;

													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_vz00_863;
														obj_t BgL_az00_864;

														BgL_vz00_863 = CAR(BgL_ll1121z00_854);
														BgL_az00_864 = CAR(BgL_ll1122z00_855);
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1395z00_865;
															obj_t BgL_arg1396z00_866;

															BgL_arg1395z00_865 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_863));
															{	/* Eval/evaluate_uncomp.scm 132 */
																obj_t BgL_arg1397z00_867;

																BgL_arg1397z00_867 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_864));
																BgL_arg1396z00_866 =
																	MAKE_PAIR(BgL_arg1397z00_867, BNIL);
															}
															BgL_arg1394z00_862 =
																MAKE_PAIR(BgL_arg1395z00_865,
																BgL_arg1396z00_866);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_res1729z00_1480;

														BgL_res1729z00_1480 =
															MAKE_PAIR(BgL_arg1394z00_862, BNIL);
														BgL_newtail1125z00_859 = BgL_res1729z00_1480;
													}
												}
												SET_CDR(BgL_tail1124z00_856, BgL_newtail1125z00_859);
												{
													obj_t BgL_tail1124z00_2431;
													obj_t BgL_ll1122z00_2429;
													obj_t BgL_ll1121z00_2427;

													BgL_ll1121z00_2427 = CDR(BgL_ll1121z00_854);
													BgL_ll1122z00_2429 = CDR(BgL_ll1122z00_855);
													BgL_tail1124z00_2431 = BgL_newtail1125z00_859;
													BgL_tail1124z00_856 = BgL_tail1124z00_2431;
													BgL_ll1122z00_855 = BgL_ll1122z00_2429;
													BgL_ll1121z00_854 = BgL_ll1121z00_2427;
													goto BgL_zc3anonymousza31390ze3z83_857;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_arg1398z00_869;

							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_ev_exprz00_bglt BgL_arg1399z00_870;

								BgL_arg1399z00_870 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_842)))->BgL_bodyz00);
								BgL_arg1398z00_869 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1399z00_870);
							}
							BgL_arg1388z00_848 = MAKE_PAIR(BgL_arg1398z00_869, BNIL);
						}
						BgL_arg1386z00_846 =
							MAKE_PAIR(BgL_arg1387z00_847, BgL_arg1388z00_848);
					}
					return
						MAKE_PAIR(BGl_symbol1868z00zz__evaluate_uncompz00,
						BgL_arg1386z00_846);
				}
			}
		}
	}



/* &uncomp-ev_synchroniz1210 */
	obj_t BGl_z62uncompzd2ev_synchroniza71210z17zz__evaluate_uncompz00(obj_t
		BgL_envz00_2076, obj_t BgL_ez00_2077)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 126 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_827;

				BgL_ez00_827 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2077);
				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1376z00_831;

					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1377z00_832;
						obj_t BgL_arg1378z00_833;

						BgL_arg1377z00_832 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_827))->
								BgL_mutexz00));
						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1380z00_835;

							{	/* Eval/evaluate_uncomp.scm 128 */
								obj_t BgL_arg1381z00_836;
								obj_t BgL_arg1382z00_837;

								BgL_arg1381z00_836 =
									BGl_uncompz00zz__evaluate_uncompz00(
									(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_827))->
										BgL_prelockz00));
								BgL_arg1382z00_837 =
									MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
												(BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_827))->
											BgL_bodyz00)), BNIL);
								BgL_arg1380z00_835 =
									MAKE_PAIR(BgL_arg1381z00_836, BgL_arg1382z00_837);
							}
							BgL_arg1378z00_833 =
								MAKE_PAIR(BGl_keyword1870z00zz__evaluate_uncompz00,
								BgL_arg1380z00_835);
						}
						BgL_arg1376z00_831 =
							MAKE_PAIR(BgL_arg1377z00_832, BgL_arg1378z00_833);
					}
					return
						MAKE_PAIR(BGl_symbol1872z00zz__evaluate_uncompz00,
						BgL_arg1376z00_831);
				}
			}
		}
	}



/* &uncomp-ev_with-handl1208 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2078, obj_t BgL_ez00_2079)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 122 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_816;

				BgL_ez00_816 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2079);
				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1370z00_820;

					{	/* Eval/evaluate_uncomp.scm 124 */
						obj_t BgL_arg1371z00_821;
						obj_t BgL_arg1372z00_822;

						BgL_arg1371z00_821 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_816))->
								BgL_handlerz00));
						BgL_arg1372z00_822 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_816))->
									BgL_bodyz00)), BNIL);
						BgL_arg1370z00_820 =
							MAKE_PAIR(BgL_arg1371z00_821, BgL_arg1372z00_822);
					}
					return
						MAKE_PAIR(BGl_symbol1874z00zz__evaluate_uncompz00,
						BgL_arg1370z00_820);
				}
			}
		}
	}



/* &uncomp-ev_unwind-pro1206 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2080, obj_t BgL_ez00_2081)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 118 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_805;

				BgL_ez00_805 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2081);
				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1362z00_809;

					{	/* Eval/evaluate_uncomp.scm 120 */
						obj_t BgL_arg1363z00_810;
						obj_t BgL_arg1364z00_811;

						BgL_arg1363z00_810 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_805))->
								BgL_ez00));
						BgL_arg1364z00_811 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_805))->
									BgL_bodyz00)), BNIL);
						BgL_arg1362z00_809 =
							MAKE_PAIR(BgL_arg1363z00_810, BgL_arg1364z00_811);
					}
					return
						MAKE_PAIR(BGl_symbol1876z00zz__evaluate_uncompz00,
						BgL_arg1362z00_809);
				}
			}
		}
	}



/* &uncomp-ev_bind-exit1204 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2082, obj_t BgL_ez00_2083)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 114 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_793;

				BgL_ez00_793 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2083);
				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1349z00_797;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1351z00_798;
						obj_t BgL_arg1354z00_799;

						{	/* Eval/evaluate_uncomp.scm 116 */
							obj_t BgL_arg1357z00_800;

							{	/* Eval/evaluate_uncomp.scm 116 */
								BgL_ev_varz00_bglt BgL_arg1359z00_801;

								BgL_arg1359z00_801 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_793))->
									BgL_varz00);
								BgL_arg1357z00_800 =
									BGl_uncompz00zz__evaluate_uncompz00(((BgL_ev_exprz00_bglt)
										BgL_arg1359z00_801));
							}
							BgL_arg1351z00_798 = MAKE_PAIR(BgL_arg1357z00_800, BNIL);
						}
						BgL_arg1354z00_799 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_793))->
									BgL_bodyz00)), BNIL);
						BgL_arg1349z00_797 =
							MAKE_PAIR(BgL_arg1351z00_798, BgL_arg1354z00_799);
					}
					return
						MAKE_PAIR(BGl_symbol1878z00zz__evaluate_uncompz00,
						BgL_arg1349z00_797);
				}
			}
		}
	}



/* &uncomp-ev_setlocal1202 */
	obj_t BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2084, obj_t BgL_ez00_2085)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 110 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_782;

				BgL_ez00_782 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_2085);
				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1341z00_786;

					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1342z00_787;
						obj_t BgL_arg1343z00_788;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_varz00_bglt BgL_arg1344z00_789;

							BgL_arg1344z00_789 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_782))->BgL_vz00);
							BgL_arg1342z00_787 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1344z00_789));
						}
						{	/* Eval/evaluate_uncomp.scm 112 */
							obj_t BgL_arg1347z00_790;

							{	/* Eval/evaluate_uncomp.scm 112 */
								BgL_ev_exprz00_bglt BgL_arg1348z00_791;

								BgL_arg1348z00_791 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_782)))->BgL_ez00);
								BgL_arg1347z00_790 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1348z00_791);
							}
							BgL_arg1343z00_788 = MAKE_PAIR(BgL_arg1347z00_790, BNIL);
						}
						BgL_arg1341z00_786 =
							MAKE_PAIR(BgL_arg1342z00_787, BgL_arg1343z00_788);
					}
					return
						MAKE_PAIR(BGl_symbol1880z00zz__evaluate_uncompz00,
						BgL_arg1341z00_786);
				}
			}
		}
	}



/* &uncomp-ev_defglobal1200 */
	obj_t BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2086, obj_t BgL_ez00_2087)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 106 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_772;

				BgL_ez00_772 = ((BgL_ev_defglobalz00_bglt) BgL_ez00_2087);
				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1336z00_776;

					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1337z00_777;
						obj_t BgL_arg1338z00_778;

						BgL_arg1337z00_777 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((BgL_ev_setglobalz00_bglt) BgL_ez00_772)))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 108 */
							obj_t BgL_arg1339z00_779;

							{	/* Eval/evaluate_uncomp.scm 108 */
								BgL_ev_exprz00_bglt BgL_arg1340z00_780;

								BgL_arg1340z00_780 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_772)))->BgL_ez00);
								BgL_arg1339z00_779 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1340z00_780);
							}
							BgL_arg1338z00_778 = MAKE_PAIR(BgL_arg1339z00_779, BNIL);
						}
						BgL_arg1336z00_776 =
							MAKE_PAIR(BgL_arg1337z00_777, BgL_arg1338z00_778);
					}
					return
						MAKE_PAIR(BGl_symbol1882z00zz__evaluate_uncompz00,
						BgL_arg1336z00_776);
				}
			}
		}
	}



/* &uncomp-ev_setglobal1198 */
	obj_t BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2088, obj_t BgL_ez00_2089)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 102 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_762;

				BgL_ez00_762 = ((BgL_ev_setglobalz00_bglt) BgL_ez00_2089);
				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1330z00_766;

					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1332z00_767;
						obj_t BgL_arg1333z00_768;

						BgL_arg1332z00_767 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_762))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 104 */
							obj_t BgL_arg1334z00_769;

							{	/* Eval/evaluate_uncomp.scm 104 */
								BgL_ev_exprz00_bglt BgL_arg1335z00_770;

								BgL_arg1335z00_770 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_762)))->BgL_ez00);
								BgL_arg1334z00_769 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1335z00_770);
							}
							BgL_arg1333z00_768 = MAKE_PAIR(BgL_arg1334z00_769, BNIL);
						}
						BgL_arg1330z00_766 =
							MAKE_PAIR(BgL_arg1332z00_767, BgL_arg1333z00_768);
					}
					return
						MAKE_PAIR(BGl_symbol1880z00zz__evaluate_uncompz00,
						BgL_arg1330z00_766);
				}
			}
		}
	}



/* &uncomp-ev_trap1196 */
	obj_t BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2090, obj_t BgL_ez00_2091)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 98 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_754;

				BgL_ez00_754 = ((BgL_ev_trapz00_bglt) BgL_ez00_2091);
				{	/* Eval/evaluate_uncomp.scm 100 */
					obj_t BgL_arg1327z00_1465;

					{	/* Eval/evaluate_uncomp.scm 100 */
						obj_t BgL_arg1328z00_1466;

						{	/* Eval/evaluate_uncomp.scm 100 */
							BgL_ev_exprz00_bglt BgL_arg1329z00_1467;

							BgL_arg1329z00_1467 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_754)))->BgL_ez00);
							BgL_arg1328z00_1466 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1329z00_1467);
						}
						BgL_arg1327z00_1465 = MAKE_PAIR(BgL_arg1328z00_1466, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1884z00zz__evaluate_uncompz00,
						BgL_arg1327z00_1465);
				}
			}
		}
	}



/* &uncomp-ev_prog21194 */
	obj_t BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2092, obj_t BgL_ez00_2093)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_737;

				BgL_ez00_737 = ((BgL_ev_prog2z00_bglt) BgL_ez00_2093);
				{	/* Eval/evaluate_uncomp.scm 93 */
					obj_t BgL_e1z00_741;
					obj_t BgL_e2z00_742;

					BgL_e1z00_741 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_737))->BgL_e1z00));
					BgL_e2z00_742 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_737))->BgL_e2z00));
					{	/* Eval/evaluate_uncomp.scm 94 */
						bool_t BgL_testz00_2514;

						if (PAIRP(BgL_e2z00_742))
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2514 =
									(CAR(BgL_e2z00_742) ==
									BGl_symbol1886z00zz__evaluate_uncompz00);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2514 = ((bool_t) 0);
							}
						if (BgL_testz00_2514)
							{	/* Eval/evaluate_uncomp.scm 95 */
								obj_t BgL_arg1316z00_744;

								BgL_arg1316z00_744 =
									MAKE_PAIR(BgL_e1z00_741,
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
										(BgL_e2z00_742), BNIL));
								return MAKE_PAIR(BGl_symbol1886z00zz__evaluate_uncompz00,
									BgL_arg1316z00_744);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1320z00_747;

								{	/* Eval/evaluate_uncomp.scm 96 */
									obj_t BgL_arg1321z00_748;

									BgL_arg1321z00_748 = MAKE_PAIR(BgL_e2z00_742, BNIL);
									BgL_arg1320z00_747 =
										MAKE_PAIR(BgL_e1z00_741, BgL_arg1321z00_748);
								}
								return
									MAKE_PAIR(BGl_symbol1886z00zz__evaluate_uncompz00,
									BgL_arg1320z00_747);
							}
					}
				}
			}
		}
	}



/* &uncomp-ev_and1192 */
	obj_t BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2094, obj_t BgL_ez00_2095)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 87 */
			{
				BgL_ev_andz00_bglt BgL_ez00_714;

				BgL_ez00_714 = ((BgL_ev_andz00_bglt) BgL_ez00_2095);
				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1298z00_718;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_arg1306z00_719;

						{	/* Eval/evaluate_uncomp.scm 89 */
							obj_t BgL_l1115z00_720;

							BgL_l1115z00_720 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_714)))->BgL_argsz00);
							if (NULLP(BgL_l1115z00_720))
								{	/* Eval/evaluate_uncomp.scm 89 */
									BgL_arg1306z00_719 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_head1117z00_722;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1313z00_734;

										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_arg1314z00_735;

											BgL_arg1314z00_735 = CAR(BgL_l1115z00_720);
											BgL_arg1313z00_734 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1314z00_735));
										}
										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_res1718z00_1406;

											BgL_res1718z00_1406 = MAKE_PAIR(BgL_arg1313z00_734, BNIL);
											BgL_head1117z00_722 = BgL_res1718z00_1406;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_g1120z00_723;

										BgL_g1120z00_723 = CDR(BgL_l1115z00_720);
										{
											obj_t BgL_l1115z00_1439;
											obj_t BgL_tail1118z00_1440;

											BgL_l1115z00_1439 = BgL_g1120z00_723;
											BgL_tail1118z00_1440 = BgL_head1117z00_722;
										BgL_zc3anonymousza31308ze3z83_1438:
											if (NULLP(BgL_l1115z00_1439))
												{	/* Eval/evaluate_uncomp.scm 89 */
													BgL_arg1306z00_719 = BgL_head1117z00_722;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_newtail1119z00_1447;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1311z00_1448;

														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_arg1312z00_1449;

															BgL_arg1312z00_1449 = CAR(BgL_l1115z00_1439);
															BgL_arg1311z00_1448 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1312z00_1449));
														}
														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_res1724z00_1456;

															BgL_res1724z00_1456 =
																MAKE_PAIR(BgL_arg1311z00_1448, BNIL);
															BgL_newtail1119z00_1447 = BgL_res1724z00_1456;
														}
													}
													SET_CDR(BgL_tail1118z00_1440,
														BgL_newtail1119z00_1447);
													{
														obj_t BgL_tail1118z00_2545;
														obj_t BgL_l1115z00_2543;

														BgL_l1115z00_2543 = CDR(BgL_l1115z00_1439);
														BgL_tail1118z00_2545 = BgL_newtail1119z00_1447;
														BgL_tail1118z00_1440 = BgL_tail1118z00_2545;
														BgL_l1115z00_1439 = BgL_l1115z00_2543;
														goto BgL_zc3anonymousza31308ze3z83_1438;
													}
												}
										}
									}
								}
						}
						BgL_arg1298z00_718 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1306z00_719, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1888z00zz__evaluate_uncompz00,
						BgL_arg1298z00_718);
				}
			}
		}
	}



/* &uncomp-ev_or1190 */
	obj_t BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2096, obj_t BgL_ez00_2097)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 83 */
			{
				BgL_ev_orz00_bglt BgL_ez00_691;

				BgL_ez00_691 = ((BgL_ev_orz00_bglt) BgL_ez00_2097);
				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1287z00_695;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_arg1288z00_696;

						{	/* Eval/evaluate_uncomp.scm 85 */
							obj_t BgL_l1109z00_697;

							BgL_l1109z00_697 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_691)))->BgL_argsz00);
							if (NULLP(BgL_l1109z00_697))
								{	/* Eval/evaluate_uncomp.scm 85 */
									BgL_arg1288z00_696 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_head1111z00_699;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1295z00_711;

										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_arg1296z00_712;

											BgL_arg1296z00_712 = CAR(BgL_l1109z00_697);
											BgL_arg1295z00_711 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1296z00_712));
										}
										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_res1710z00_1347;

											BgL_res1710z00_1347 = MAKE_PAIR(BgL_arg1295z00_711, BNIL);
											BgL_head1111z00_699 = BgL_res1710z00_1347;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_g1114z00_700;

										BgL_g1114z00_700 = CDR(BgL_l1109z00_697);
										{
											obj_t BgL_l1109z00_1380;
											obj_t BgL_tail1112z00_1381;

											BgL_l1109z00_1380 = BgL_g1114z00_700;
											BgL_tail1112z00_1381 = BgL_head1111z00_699;
										BgL_zc3anonymousza31290ze3z83_1379:
											if (NULLP(BgL_l1109z00_1380))
												{	/* Eval/evaluate_uncomp.scm 85 */
													BgL_arg1288z00_696 = BgL_head1111z00_699;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_newtail1113z00_1388;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1293z00_1389;

														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_arg1294z00_1390;

															BgL_arg1294z00_1390 = CAR(BgL_l1109z00_1380);
															BgL_arg1293z00_1389 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1294z00_1390));
														}
														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_res1716z00_1397;

															BgL_res1716z00_1397 =
																MAKE_PAIR(BgL_arg1293z00_1389, BNIL);
															BgL_newtail1113z00_1388 = BgL_res1716z00_1397;
														}
													}
													SET_CDR(BgL_tail1112z00_1381,
														BgL_newtail1113z00_1388);
													{
														obj_t BgL_tail1112z00_2567;
														obj_t BgL_l1109z00_2565;

														BgL_l1109z00_2565 = CDR(BgL_l1109z00_1380);
														BgL_tail1112z00_2567 = BgL_newtail1113z00_1388;
														BgL_tail1112z00_1381 = BgL_tail1112z00_2567;
														BgL_l1109z00_1380 = BgL_l1109z00_2565;
														goto BgL_zc3anonymousza31290ze3z83_1379;
													}
												}
										}
									}
								}
						}
						BgL_arg1287z00_695 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1288z00_696, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1890z00zz__evaluate_uncompz00,
						BgL_arg1287z00_695);
				}
			}
		}
	}



/* &uncomp-ev_if1188 */
	obj_t BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2098, obj_t BgL_ez00_2099)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_677;

				BgL_ez00_677 = ((BgL_ev_ifz00_bglt) BgL_ez00_2099);
				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1271z00_681;

					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1274z00_682;
						obj_t BgL_arg1276z00_683;

						BgL_arg1274z00_682 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_677))->BgL_pz00));
						{	/* Eval/evaluate_uncomp.scm 81 */
							obj_t BgL_arg1281z00_685;
							obj_t BgL_arg1283z00_686;

							BgL_arg1281z00_685 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_677))->BgL_tz00));
							BgL_arg1283z00_686 =
								MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
									(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_677))->BgL_ez00)), BNIL);
							BgL_arg1276z00_683 =
								MAKE_PAIR(BgL_arg1281z00_685, BgL_arg1283z00_686);
						}
						BgL_arg1271z00_681 =
							MAKE_PAIR(BgL_arg1274z00_682, BgL_arg1276z00_683);
					}
					return
						MAKE_PAIR(BGl_symbol1892z00zz__evaluate_uncompz00,
						BgL_arg1271z00_681);
				}
			}
		}
	}



/* &uncomp-ev_litt1186 */
	obj_t BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2100, obj_t BgL_ez00_2101)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 75 */
			{
				BgL_ev_littz00_bglt BgL_ez00_670;

				BgL_ez00_670 = ((BgL_ev_littz00_bglt) BgL_ez00_2101);
				{	/* Eval/evaluate_uncomp.scm 77 */
					obj_t BgL_arg1261z00_1340;

					BgL_arg1261z00_1340 =
						MAKE_PAIR(
						(((BgL_ev_littz00_bglt) CREF(BgL_ez00_670))->BgL_valuez00), BNIL);
					return
						MAKE_PAIR(BGl_symbol1894z00zz__evaluate_uncompz00,
						BgL_arg1261z00_1340);
				}
			}
		}
	}



/* &uncomp-ev_global1184 */
	obj_t BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2102, obj_t BgL_varz00_2103)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_varz00_2103)))->BgL_namez00);
		}
	}



/* &uncomp-ev_var1182 */
	obj_t BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2104, obj_t BgL_varz00_2105)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_varz00_2105)))->BgL_namez00);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 189425161),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 368290641),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 231561374),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1896z00zz__evaluate_uncompz00));
		}
	}

#ifdef __cplusplus
}
#endif
