/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_use.scm -indent -o objs/obj_u/Eval/evaluate_use.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
	static obj_t BGl_z62use1111z62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_hook1126zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_withzd2handler1134z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_unwindzd2protec1132z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_global1116zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_goto1144zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_bindzd2exit1130z62zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_var1114zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62usezd2ev_labels1142zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_setlocal1128zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_app1146zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_list1122zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_binder1138zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
	static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_binder1140zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62usezd2ev_abs1148zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_litt1118zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_if1120zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_symbol1563z00zz__evaluate_usez00 = BUNSPEC;
	static obj_t BGl_z62usezd2ev_synchroniza7e1136z17zz__evaluate_usez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_prog21124zb0zz__evaluate_usez00(obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1562z00zz__evaluate_usez00,
		BgL_bgl_string1562za700za7za7_1588za7, "use1111", 7);
	      DEFINE_STRING(BGl_string1564z00zz__evaluate_usez00,
		BgL_bgl_string1564za700za7za7_1589za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1565z00zz__evaluate_usez00,
		BgL_bgl_string1565za700za7za7_1590za7,
		"/tmp/bigloo/runtime/Eval/evaluate_use.scm", 41);
	      DEFINE_STRING(BGl_string1566z00zz__evaluate_usez00,
		BgL_bgl_string1566za700za7za7_1591za7, "&use", 4);
	      DEFINE_STRING(BGl_string1567z00zz__evaluate_usez00,
		BgL_bgl_string1567za700za7za7_1592za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1569z00zz__evaluate_usez00,
		BgL_bgl_string1569za700za7za7_1593za7, "use", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1561z00zz__evaluate_usez00,
		BgL_bgl_za762use1111za762za7za7_1594z00,
		BGl_z62use1111z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1568z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_var11595z00,
		BGl_z62usezd2ev_var1114zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1570z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_glob1596z00,
		BGl_z62usezd2ev_global1116zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1571z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_litt1597z00,
		BGl_z62usezd2ev_litt1118zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1572z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_if111598z00,
		BGl_z62usezd2ev_if1120zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1573z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_list1599z00,
		BGl_z62usezd2ev_list1122zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1574z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_prog1600z00,
		BGl_z62usezd2ev_prog21124zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1575z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_hook1601z00,
		BGl_z62usezd2ev_hook1126zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1576z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_setl1602z00,
		BGl_z62usezd2ev_setlocal1128zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1577z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1603z00,
		BGl_z62usezd2ev_bindzd2exit1130z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1578z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_unwi1604z00,
		BGl_z62usezd2ev_unwindzd2protec1132z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1579z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_with1605z00,
		BGl_z62usezd2ev_withzd2handler1134z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1587z00zz__evaluate_usez00,
		BgL_bgl_string1587za700za7za7_1606za7, "__evaluate_use", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1580z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_sync1607z00,
		BGl_z62usezd2ev_synchroniza7e1136z17zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1581z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1608z00,
		BGl_z62usezd2ev_binder1138zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1582z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1609z00,
		BGl_z62usezd2ev_binder1140zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1583z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_labe1610z00,
		BGl_z62usezd2ev_labels1142zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1584z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_goto1611z00,
		BGl_z62usezd2ev_goto1144zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1585z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_app11612z00,
		BGl_z62usezd2ev_app1146zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1586z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_abs11613z00,
		BGl_z62usezd2ev_abs1148zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_usezd2envzd2zz__evaluate_usez00,
		BgL_bgl_za762useza762za7za7__eva1614z00, BGl_z62usez62zz__evaluate_usez00,
		0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long
		BgL_checksumz00_1623, char *BgL_fromz00_1624)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_usez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_usez00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
					BGl_genericzd2initzd2zz__evaluate_usez00();
					BGl_methodzd2initzd2zz__evaluate_usez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return (BGl_symbol1563z00zz__evaluate_usez00 =
				bstring_to_symbol(BGl_string1562z00zz__evaluate_usez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_proc1561z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1562z00zz__evaluate_usez00);
		}
	}



/* &use1111 */
	obj_t BGl_z62use1111z62zz__evaluate_usez00(obj_t BgL_envz00_1538,
		obj_t BgL_ez00_1539, obj_t BgL_donez00_1540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_676;
				obj_t BgL_donez00_677;

				BgL_ez00_676 = ((BgL_ev_exprz00_bglt) BgL_ez00_1539);
				BgL_donez00_677 = BgL_donez00_1540;
				return
					BGl_errorz00zz__errorz00(BGl_symbol1563z00zz__evaluate_usez00,
					BGl_string1564z00zz__evaluate_usez00, ((obj_t) BgL_ez00_676));
			}
		}
	}



/* use */
	BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt
		BgL_ez00_3, obj_t BgL_donez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				obj_t BgL_method1112z00_680;

				{	/* Eval/evaluate_use.scm 62 */
					obj_t BgL_res1503z00_1115;

					{	/* Eval/evaluate_use.scm 62 */
						long BgL_objzd2classzd2numz00_1088;

						{	/* Eval/evaluate_use.scm 62 */
							long BgL_res1497z00_1091;

							BgL_res1497z00_1091 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_3));
							BgL_objzd2classzd2numz00_1088 = BgL_res1497z00_1091;
						}
						{	/* Eval/evaluate_use.scm 62 */
							obj_t BgL_arg1489z00_1089;

							BgL_arg1489z00_1089 =
								PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_use.scm 62 */
								int BgL_offsetz00_1093;

								BgL_offsetz00_1093 = (int) (BgL_objzd2classzd2numz00_1088);
								{	/* Eval/evaluate_use.scm 62 */
									long BgL_offsetz00_1094;

									BgL_offsetz00_1094 =
										((long) (BgL_offsetz00_1093) - OBJECT_TYPE);
									{	/* Eval/evaluate_use.scm 62 */
										long BgL_modz00_1095;

										{	/* Eval/evaluate_use.scm 62 */
											int BgL_arg1491z00_1096;

											BgL_arg1491z00_1096 = (int) (((long) 16));
											{	/* Eval/evaluate_use.scm 62 */
												long BgL_res1500z00_1106;

												{	/* Eval/evaluate_use.scm 62 */
													long BgL_auxz00_1645;

													BgL_auxz00_1645 = (long) (BgL_arg1491z00_1096);
													BgL_res1500z00_1106 =
														(BgL_offsetz00_1094 / BgL_auxz00_1645);
												}
												BgL_modz00_1095 = BgL_res1500z00_1106;
										}}
										{	/* Eval/evaluate_use.scm 62 */
											long BgL_restz00_1097;

											{	/* Eval/evaluate_use.scm 62 */
												int BgL_arg1490z00_1098;

												BgL_arg1490z00_1098 = (int) (((long) 16));
												{	/* Eval/evaluate_use.scm 62 */
													long BgL_res1502z00_1110;

													{	/* Eval/evaluate_use.scm 62 */
														long BgL_auxz00_1649;

														BgL_auxz00_1649 = (long) (BgL_arg1490z00_1098);
														BgL_res1502z00_1110 =
															(BgL_offsetz00_1094 % BgL_auxz00_1649);
													}
													BgL_restz00_1097 = BgL_res1502z00_1110;
											}}
											{	/* Eval/evaluate_use.scm 62 */

												BgL_res1503z00_1115 =
													VECTOR_REF(VECTOR_REF(BgL_arg1489z00_1089,
														(int) (BgL_modz00_1095)), (int) (BgL_restz00_1097));
					}}}}}}}
					BgL_method1112z00_680 = BgL_res1503z00_1115;
				}
				return
					PROCEDURE_ENTRY(BgL_method1112z00_680) (BgL_method1112z00_680,
					((obj_t) BgL_ez00_3), BgL_donez00_4, BEOA);
			}
		}
	}



/* &use */
	obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_1541,
		obj_t BgL_ez00_1542, obj_t BgL_donez00_1543)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				BgL_ev_exprz00_bglt BgL_auxz00_1662;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_1542,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_use.scm 62 */
						BgL_auxz00_1662 = ((BgL_ev_exprz00_bglt) BgL_ez00_1542);
					}
				else
					{
						obj_t BgL_auxz00_1666;

						BgL_auxz00_1666 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1565z00zz__evaluate_usez00, BINT(((long) 1786)),
							BGl_string1566z00zz__evaluate_usez00,
							BGl_string1567z00zz__evaluate_usez00, BgL_ez00_1542);
						FAILURE(BgL_auxz00_1666, BFALSE, BFALSE);
					}
				return BGl_usez00zz__evaluate_usez00(BgL_auxz00_1662, BgL_donez00_1543);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1568z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1570z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1571z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1572z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1573z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1574z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1575z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1576z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1577z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1578z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1579z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1580z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1581z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1582z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1583z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1584z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1585z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1586z00zz__evaluate_usez00,
				BGl_string1569z00zz__evaluate_usez00);
		}
	}



/* &use-ev_abs1148 */
	obj_t BGl_z62usezd2ev_abs1148zb0zz__evaluate_usez00(obj_t BgL_envz00_1562,
		obj_t BgL_ez00_1563, obj_t BgL_donez00_1564)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 139 */
			{
				BgL_ev_absz00_bglt BgL_ez00_828;
				obj_t BgL_donez00_829;

				BgL_ez00_828 = ((BgL_ev_absz00_bglt) BgL_ez00_1563);
				BgL_donez00_829 = BgL_donez00_1564;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_828))->BgL_bodyz00),
					BgL_donez00_829);
			}
		}
	}



/* &use-ev_app1146 */
	obj_t BGl_z62usezd2ev_app1146zb0zz__evaluate_usez00(obj_t BgL_envz00_1565,
		obj_t BgL_ez00_1566, obj_t BgL_donez00_1567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 135 */
			{
				BgL_ev_appz00_bglt BgL_ez00_819;
				obj_t BgL_donez00_820;

				BgL_ez00_819 = ((BgL_ev_appz00_bglt) BgL_ez00_1566);
				BgL_donez00_820 = BgL_donez00_1567;
				{	/* Eval/evaluate_use.scm 137 */
					BgL_ev_exprz00_bglt BgL_arg1294z00_1269;
					obj_t BgL_arg1295z00_1270;

					BgL_arg1294z00_1269 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_819))->BgL_funz00);
					{	/* Eval/evaluate_use.scm 137 */
						obj_t BgL_arg1296z00_1271;

						BgL_arg1296z00_1271 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_819))->BgL_argsz00);
						{
							obj_t BgL_lz00_1273;
							obj_t BgL_donez00_1274;

							BgL_lz00_1273 = BgL_arg1296z00_1271;
							BgL_donez00_1274 = BgL_donez00_820;
						BgL_useza2za2_1272:
							if (NULLP(BgL_lz00_1273))
								{	/* Eval/evaluate_use.scm 65 */
									BgL_arg1295z00_1270 = BgL_donez00_1274;
								}
							else
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1187z00_1280;
									obj_t BgL_arg1189z00_1281;

									BgL_arg1187z00_1280 = CDR(BgL_lz00_1273);
									{	/* Eval/evaluate_use.scm 67 */
										obj_t BgL_arg1204z00_1282;

										BgL_arg1204z00_1282 = CAR(BgL_lz00_1273);
										BgL_arg1189z00_1281 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1204z00_1282),
											BgL_donez00_1274);
									}
									{
										obj_t BgL_donez00_1701;
										obj_t BgL_lz00_1700;

										BgL_lz00_1700 = BgL_arg1187z00_1280;
										BgL_donez00_1701 = BgL_arg1189z00_1281;
										BgL_donez00_1274 = BgL_donez00_1701;
										BgL_lz00_1273 = BgL_lz00_1700;
										goto BgL_useza2za2_1272;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1294z00_1269,
						BgL_arg1295z00_1270);
				}
			}
		}
	}



/* &use-ev_goto1144 */
	obj_t BGl_z62usezd2ev_goto1144zb0zz__evaluate_usez00(obj_t BgL_envz00_1568,
		obj_t BgL_ez00_1569, obj_t BgL_donez00_1570)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 131 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_812;
				obj_t BgL_donez00_813;

				BgL_ez00_812 = ((BgL_ev_gotoz00_bglt) BgL_ez00_1569);
				BgL_donez00_813 = BgL_donez00_1570;
				{	/* Eval/evaluate_use.scm 133 */
					obj_t BgL_arg1293z00_1252;

					BgL_arg1293z00_1252 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_812))->BgL_argsz00);
					{
						obj_t BgL_lz00_1254;
						obj_t BgL_donez00_1255;

						BgL_lz00_1254 = BgL_arg1293z00_1252;
						BgL_donez00_1255 = BgL_donez00_813;
					BgL_useza2za2_1253:
						if (NULLP(BgL_lz00_1254))
							{	/* Eval/evaluate_use.scm 65 */
								return BgL_donez00_1255;
							}
						else
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1187z00_1261;
								obj_t BgL_arg1189z00_1262;

								BgL_arg1187z00_1261 = CDR(BgL_lz00_1254);
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1204z00_1263;

									BgL_arg1204z00_1263 = CAR(BgL_lz00_1254);
									BgL_arg1189z00_1262 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1204z00_1263),
										BgL_donez00_1255);
								}
								{
									obj_t BgL_donez00_1712;
									obj_t BgL_lz00_1711;

									BgL_lz00_1711 = BgL_arg1187z00_1261;
									BgL_donez00_1712 = BgL_arg1189z00_1262;
									BgL_donez00_1255 = BgL_donez00_1712;
									BgL_lz00_1254 = BgL_lz00_1711;
									goto BgL_useza2za2_1253;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_labels1142 */
	obj_t BGl_z62usezd2ev_labels1142zb0zz__evaluate_usez00(obj_t BgL_envz00_1571,
		obj_t BgL_ez00_1572, obj_t BgL_donez00_1573)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 124 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_795;
				obj_t BgL_donez00_796;

				BgL_ez00_795 = ((BgL_ev_labelsz00_bglt) BgL_ez00_1572);
				BgL_donez00_796 = BgL_donez00_1573;
				{	/* Eval/evaluate_use.scm 126 */
					obj_t BgL_arg1286z00_801;

					BgL_arg1286z00_801 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_795))->BgL_valsz00);
					{
						obj_t BgL_lz00_1232;
						obj_t BgL_donez00_1233;

						BgL_lz00_1232 = BgL_arg1286z00_801;
						BgL_donez00_1233 = BgL_donez00_796;
					BgL_recz00_1231:
						if (NULLP(BgL_lz00_1232))
							{	/* Eval/evaluate_use.scm 127 */
								return
									BGl_usez00zz__evaluate_usez00(
									(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_795))->BgL_bodyz00),
									BgL_donez00_1233);
							}
						else
							{	/* Eval/evaluate_use.scm 129 */
								obj_t BgL_arg1290z00_1241;
								obj_t BgL_arg1291z00_1242;

								BgL_arg1290z00_1241 = CDR(BgL_lz00_1232);
								{	/* Eval/evaluate_use.scm 129 */
									obj_t BgL_arg1292z00_1243;

									BgL_arg1292z00_1243 = CDR(CAR(BgL_lz00_1232));
									BgL_arg1291z00_1242 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1292z00_1243),
										BgL_donez00_1233);
								}
								{
									obj_t BgL_donez00_1725;
									obj_t BgL_lz00_1724;

									BgL_lz00_1724 = BgL_arg1290z00_1241;
									BgL_donez00_1725 = BgL_arg1291z00_1242;
									BgL_donez00_1233 = BgL_donez00_1725;
									BgL_lz00_1232 = BgL_lz00_1724;
									goto BgL_recz00_1231;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_binder1140 */
	obj_t BGl_z62usezd2ev_binder1140zb0zz__evaluate_usez00(obj_t BgL_envz00_1574,
		obj_t BgL_ez00_1575, obj_t BgL_donez00_1576)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 120 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_786;
				obj_t BgL_donez00_787;

				BgL_ez00_786 = ((BgL_ev_binderz00_bglt) BgL_ez00_1575);
				BgL_donez00_787 = BgL_donez00_1576;
				{	/* Eval/evaluate_use.scm 122 */
					BgL_ev_exprz00_bglt BgL_arg1283z00_1187;
					obj_t BgL_arg1284z00_1188;

					BgL_arg1283z00_1187 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_786))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 122 */
						obj_t BgL_arg1285z00_1189;

						BgL_arg1285z00_1189 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_786))->BgL_valsz00);
						{
							obj_t BgL_lz00_1191;
							obj_t BgL_donez00_1192;

							BgL_lz00_1191 = BgL_arg1285z00_1189;
							BgL_donez00_1192 = BgL_donez00_787;
						BgL_useza2za2_1190:
							if (NULLP(BgL_lz00_1191))
								{	/* Eval/evaluate_use.scm 65 */
									BgL_arg1284z00_1188 = BgL_donez00_1192;
								}
							else
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1187z00_1198;
									obj_t BgL_arg1189z00_1199;

									BgL_arg1187z00_1198 = CDR(BgL_lz00_1191);
									{	/* Eval/evaluate_use.scm 67 */
										obj_t BgL_arg1204z00_1200;

										BgL_arg1204z00_1200 = CAR(BgL_lz00_1191);
										BgL_arg1189z00_1199 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1204z00_1200),
											BgL_donez00_1192);
									}
									{
										obj_t BgL_donez00_1736;
										obj_t BgL_lz00_1735;

										BgL_lz00_1735 = BgL_arg1187z00_1198;
										BgL_donez00_1736 = BgL_arg1189z00_1199;
										BgL_donez00_1192 = BgL_donez00_1736;
										BgL_lz00_1191 = BgL_lz00_1735;
										goto BgL_useza2za2_1190;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1283z00_1187,
						BgL_arg1284z00_1188);
				}
			}
		}
	}



/* &use-ev_binder1138 */
	obj_t BGl_z62usezd2ev_binder1138zb0zz__evaluate_usez00(obj_t BgL_envz00_1577,
		obj_t BgL_ez00_1578, obj_t BgL_donez00_1579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 116 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_777;
				obj_t BgL_donez00_778;

				BgL_ez00_777 = ((BgL_ev_binderz00_bglt) BgL_ez00_1578);
				BgL_donez00_778 = BgL_donez00_1579;
				{	/* Eval/evaluate_use.scm 118 */
					BgL_ev_exprz00_bglt BgL_arg1276z00_1168;
					obj_t BgL_arg1279z00_1169;

					BgL_arg1276z00_1168 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_777))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 118 */
						obj_t BgL_arg1281z00_1170;

						BgL_arg1281z00_1170 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_777))->BgL_valsz00);
						{
							obj_t BgL_lz00_1172;
							obj_t BgL_donez00_1173;

							BgL_lz00_1172 = BgL_arg1281z00_1170;
							BgL_donez00_1173 = BgL_donez00_778;
						BgL_useza2za2_1171:
							if (NULLP(BgL_lz00_1172))
								{	/* Eval/evaluate_use.scm 65 */
									BgL_arg1279z00_1169 = BgL_donez00_1173;
								}
							else
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1187z00_1179;
									obj_t BgL_arg1189z00_1180;

									BgL_arg1187z00_1179 = CDR(BgL_lz00_1172);
									{	/* Eval/evaluate_use.scm 67 */
										obj_t BgL_arg1204z00_1181;

										BgL_arg1204z00_1181 = CAR(BgL_lz00_1172);
										BgL_arg1189z00_1180 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1204z00_1181),
											BgL_donez00_1173);
									}
									{
										obj_t BgL_donez00_1748;
										obj_t BgL_lz00_1747;

										BgL_lz00_1747 = BgL_arg1187z00_1179;
										BgL_donez00_1748 = BgL_arg1189z00_1180;
										BgL_donez00_1173 = BgL_donez00_1748;
										BgL_lz00_1172 = BgL_lz00_1747;
										goto BgL_useza2za2_1171;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1276z00_1168,
						BgL_arg1279z00_1169);
				}
			}
		}
	}



/* &use-ev_synchronize1136 */
	obj_t BGl_z62usezd2ev_synchroniza7e1136z17zz__evaluate_usez00(obj_t
		BgL_envz00_1580, obj_t BgL_ez00_1581, obj_t BgL_donez00_1582)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 112 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_766;
				obj_t BgL_donez00_767;

				BgL_ez00_766 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_1581);
				BgL_donez00_767 = BgL_donez00_1582;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_766))->BgL_mutexz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_766))->
							BgL_prelockz00),
						BGl_usez00zz__evaluate_usez00((((BgL_ev_synchroniza7eza7_bglt)
									CREF(BgL_ez00_766))->BgL_bodyz00), BgL_donez00_767)));
			}
		}
	}



/* &use-ev_with-handler1134 */
	obj_t BGl_z62usezd2ev_withzd2handler1134z62zz__evaluate_usez00(obj_t
		BgL_envz00_1583, obj_t BgL_ez00_1584, obj_t BgL_donez00_1585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 108 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_757;
				obj_t BgL_donez00_758;

				BgL_ez00_757 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_1584);
				BgL_donez00_758 = BgL_donez00_1585;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_757))->
						BgL_handlerz00),
					BGl_usez00zz__evaluate_usez00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_757))->BgL_bodyz00), BgL_donez00_758));
			}
		}
	}



/* &use-ev_unwind-protec1132 */
	obj_t BGl_z62usezd2ev_unwindzd2protec1132z62zz__evaluate_usez00(obj_t
		BgL_envz00_1586, obj_t BgL_ez00_1587, obj_t BgL_donez00_1588)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 104 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_748;
				obj_t BgL_donez00_749;

				BgL_ez00_748 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_1587);
				BgL_donez00_749 = BgL_donez00_1588;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_748))->BgL_ez00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_748))->
							BgL_bodyz00), BgL_donez00_749));
			}
		}
	}



/* &use-ev_bind-exit1130 */
	obj_t BGl_z62usezd2ev_bindzd2exit1130z62zz__evaluate_usez00(obj_t
		BgL_envz00_1589, obj_t BgL_ez00_1590, obj_t BgL_donez00_1591)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 100 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_741;
				obj_t BgL_donez00_742;

				BgL_ez00_741 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_1590);
				BgL_donez00_742 = BgL_donez00_1591;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_741))->BgL_bodyz00),
					BgL_donez00_742);
			}
		}
	}



/* &use-ev_setlocal1128 */
	obj_t BGl_z62usezd2ev_setlocal1128zb0zz__evaluate_usez00(obj_t
		BgL_envz00_1592, obj_t BgL_ez00_1593, obj_t BgL_donez00_1594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 95 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_731;
				obj_t BgL_donez00_732;

				BgL_ez00_731 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_1593);
				BgL_donez00_732 = BgL_donez00_1594;
				{	/* Eval/evaluate_use.scm 97 */
					bool_t BgL_testz00_1771;

					{	/* Eval/evaluate_use.scm 97 */
						BgL_ev_varz00_bglt BgL_arg1227z00_1148;

						BgL_arg1227z00_1148 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_731))->BgL_vz00);
						BgL_testz00_1771 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_arg1227z00_1148), BgL_donez00_732));
					}
					if (BgL_testz00_1771)
						{	/* Eval/evaluate_use.scm 97 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_use.scm 97 */
							BgL_ev_varz00_bglt BgL_arg1225z00_1149;

							BgL_arg1225z00_1149 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_731))->BgL_vz00);
							BgL_donez00_732 =
								MAKE_PAIR(((obj_t) BgL_arg1225z00_1149), BgL_donez00_732);
						}
				}
				{	/* Eval/evaluate_use.scm 98 */
					BgL_ev_exprz00_bglt BgL_arg1229z00_1150;

					BgL_arg1229z00_1150 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_731)))->BgL_ez00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1229z00_1150, BgL_donez00_732);
				}
			}
		}
	}



/* &use-ev_hook1126 */
	obj_t BGl_z62usezd2ev_hook1126zb0zz__evaluate_usez00(obj_t BgL_envz00_1595,
		obj_t BgL_ez00_1596, obj_t BgL_donez00_1597)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 91 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_724;
				obj_t BgL_donez00_725;

				BgL_ez00_724 = ((BgL_ev_hookz00_bglt) BgL_ez00_1596);
				BgL_donez00_725 = BgL_donez00_1597;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_724))->BgL_ez00),
					BgL_donez00_725);
			}
		}
	}



/* &use-ev_prog21124 */
	obj_t BGl_z62usezd2ev_prog21124zb0zz__evaluate_usez00(obj_t BgL_envz00_1598,
		obj_t BgL_ez00_1599, obj_t BgL_donez00_1600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 87 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_715;
				obj_t BgL_donez00_716;

				BgL_ez00_715 = ((BgL_ev_prog2z00_bglt) BgL_ez00_1599);
				BgL_donez00_716 = BgL_donez00_1600;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_715))->BgL_e1z00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_715))->BgL_e2z00),
						BgL_donez00_716));
			}
		}
	}



/* &use-ev_list1122 */
	obj_t BGl_z62usezd2ev_list1122zb0zz__evaluate_usez00(obj_t BgL_envz00_1601,
		obj_t BgL_ez00_1602, obj_t BgL_donez00_1603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 83 */
			{
				BgL_ev_listz00_bglt BgL_ez00_708;
				obj_t BgL_donez00_709;

				BgL_ez00_708 = ((BgL_ev_listz00_bglt) BgL_ez00_1602);
				BgL_donez00_709 = BgL_donez00_1603;
				{	/* Eval/evaluate_use.scm 85 */
					obj_t BgL_arg1219z00_1124;

					BgL_arg1219z00_1124 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_708))->BgL_argsz00);
					{
						obj_t BgL_lz00_1126;
						obj_t BgL_donez00_1127;

						BgL_lz00_1126 = BgL_arg1219z00_1124;
						BgL_donez00_1127 = BgL_donez00_709;
					BgL_useza2za2_1125:
						if (NULLP(BgL_lz00_1126))
							{	/* Eval/evaluate_use.scm 65 */
								return BgL_donez00_1127;
							}
						else
							{	/* Eval/evaluate_use.scm 67 */
								obj_t BgL_arg1187z00_1133;
								obj_t BgL_arg1189z00_1134;

								BgL_arg1187z00_1133 = CDR(BgL_lz00_1126);
								{	/* Eval/evaluate_use.scm 67 */
									obj_t BgL_arg1204z00_1135;

									BgL_arg1204z00_1135 = CAR(BgL_lz00_1126);
									BgL_arg1189z00_1134 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1204z00_1135),
										BgL_donez00_1127);
								}
								{
									obj_t BgL_donez00_1799;
									obj_t BgL_lz00_1798;

									BgL_lz00_1798 = BgL_arg1187z00_1133;
									BgL_donez00_1799 = BgL_arg1189z00_1134;
									BgL_donez00_1127 = BgL_donez00_1799;
									BgL_lz00_1126 = BgL_lz00_1798;
									goto BgL_useza2za2_1125;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_if1120 */
	obj_t BGl_z62usezd2ev_if1120zb0zz__evaluate_usez00(obj_t BgL_envz00_1604,
		obj_t BgL_ez00_1605, obj_t BgL_donez00_1606)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_697;
				obj_t BgL_donez00_698;

				BgL_ez00_697 = ((BgL_ev_ifz00_bglt) BgL_ez00_1605);
				BgL_donez00_698 = BgL_donez00_1606;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_697))->BgL_pz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_697))->BgL_tz00),
						BGl_usez00zz__evaluate_usez00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_697))->BgL_ez00),
							BgL_donez00_698)));
			}
		}
	}



/* &use-ev_litt1118 */
	obj_t BGl_z62usezd2ev_litt1118zb0zz__evaluate_usez00(obj_t BgL_envz00_1607,
		obj_t BgL_ez00_1608, obj_t BgL_donez00_1609)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 76 */
			return BgL_donez00_1609;
		}
	}



/* &use-ev_global1116 */
	obj_t BGl_z62usezd2ev_global1116zb0zz__evaluate_usez00(obj_t BgL_envz00_1610,
		obj_t BgL_varz00_1611, obj_t BgL_donez00_1612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 73 */
			return BgL_donez00_1612;
		}
	}



/* &use-ev_var1114 */
	obj_t BGl_z62usezd2ev_var1114zb0zz__evaluate_usez00(obj_t BgL_envz00_1613,
		obj_t BgL_varz00_1614, obj_t BgL_donez00_1615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 69 */
			{
				BgL_ev_varz00_bglt BgL_varz00_681;
				obj_t BgL_donez00_682;

				BgL_varz00_681 = ((BgL_ev_varz00_bglt) BgL_varz00_1614);
				BgL_donez00_682 = BgL_donez00_1615;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_varz00_681), BgL_donez00_682)))
					{	/* Eval/evaluate_use.scm 70 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate_use.scm 70 */
						BgL_donez00_682 =
							MAKE_PAIR(((obj_t) BgL_varz00_681), BgL_donez00_682);
					}
				return BgL_donez00_682;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 189425161),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 368290641),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 231561374),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1587z00zz__evaluate_usez00));
		}
	}

#ifdef __cplusplus
}
#endif
