/*===========================================================================*/
/*   (Ast/node.scm)                                                          */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/node.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_appzd2lyzd2_bglt BGl_z62lambda2659z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static BgL_wideningz00_bglt BGl_z62lambda2820z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2822z62zzast_nodez00(obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2661z62zzast_nodez00(obj_t);
	static obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2828z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2667z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2829z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2668z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
	static BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00();
	static obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_selectz00_bglt BGl_z62makezd2selectzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2672z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62lambda2673z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2835z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt);
	static BgL_newz00_bglt BGl_z62lambda2837z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62selectzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_closurez00zzast_nodez00 = BUNSPEC;
	static BgL_funcallz00_bglt BGl_z62lambda2679z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00();
	static BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00();
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2681z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2844z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2845z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32885ze3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_syncz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62lambda2688z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2689z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		obj_t);
	static obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2conditiona2442z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	static BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2852z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2854z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2695z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2696z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_makezd2funcallzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static BgL_typez00_bglt BGl_z62lambda2860z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62lambda2861z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sequencez00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62lambda2865z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setqzf3zf3zzast_nodez00(obj_t);
	static BgL_setfieldz00_bglt
		BGl_z62zc3anonymousza32798ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2866z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62makezd2atomzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2testzd2setz12z12zzast_nodez00(BgL_selectz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt);
	static BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2872z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2varzd2zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_closurezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failz00zzast_nodez00 = BUNSPEC;
	static BgL_vrefz00_bglt BGl_z62lambda2875z62zzast_nodez00(obj_t);
	static BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t);
	static BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62nodezd2walkzd2setzd2exzd2it2458z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt, obj_t);
	static obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62zc3anonymousza33053ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62zc3anonymousza33215ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_objectzd2initzd2zzast_nodez00();
	static obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2883z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2884z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walk2417zb0zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2891z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62lambda2892z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2896z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2897z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	static obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL BgL_closurez00_bglt
		BGl_makezd2closurezd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_selectzd2itemzd2typez00zzast_nodez00(BgL_selectz00_bglt);
	static BgL_letzd2varzd2_bglt
		BGl_z62zc3anonymousza33160ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_externzf3zf3zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_failzf3zf3zzast_nodez00(obj_t);
	static BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_selectz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzd2nilz00zzast_nodez00();
	static BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt);
	static BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2letzd2var2456zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62synczf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_nodez00();
	static obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62nodezd2walkzd2cast2438z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_externz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2makezd2box2448zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62nodezd2walkzd2boxzd2setz122452za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt,
		obj_t);
	static obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_syncz00_bglt BGl_z62zc3anonymousza33343ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2setq2440z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_varz00_bglt, BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt);
	static BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it2460z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62selectzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt
		BGl_makezd2vsetz12zc0zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt,
		bool_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62zc3anonymousza33272ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3anonymousza33167ze3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_pragmaz00zzast_nodez00 = BUNSPEC;
	static BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62selectzd2clauseszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32528ze3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3006z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3007z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32545ze3ze1zzast_nodez00(obj_t);
	static BgL_sequencez00_bglt
		BGl_z62zc3anonymousza32618ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt);
	static obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt);
	static BgL_setqz00_bglt BGl_z62lambda3016z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt);
	static BgL_setqz00_bglt BGl_z62lambda3018z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t);
	static obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt);
	static obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3024z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3025z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_atomz00_bglt BGl_z62zc3anonymousza32563ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32725ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_wideningz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_typez00_bglt);
	static BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walkzd2var2422z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2typezd2setz12z12zzast_nodez00(BgL_selectz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_pragmaz00_bglt BGl_z62zc3anonymousza32742ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62zc3anonymousza33188ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62selectzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda3200z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_varz00_bglt BGl_z62lambda3040z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3041z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_varz00_bglt);
	static obj_t BGl_z62zc3anonymousza32921ze3ze1zzast_nodez00(obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3049z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00();
	static BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt);
	static BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, bool_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3211z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t);
	static BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3051z62zzast_nodez00(obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3213z62zzast_nodez00(obj_t);
	static BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00();
	static BgL_nodez00_bglt BGl_z62lambda3058z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3059z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vallocz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_nodez00_bglt BGl_z62lambda3220z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3221z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda3225z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3064z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3226z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda3065z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_selectzd2typezd2zzast_nodez00(BgL_selectz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda3070z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3071z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3236z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt);
	static BgL_failz00_bglt BGl_z62lambda3077z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_failz00_bglt BGl_z62lambda3079z62zzast_nodez00(obj_t);
	static obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62zc3anonymousza33000ze3ze1zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_castzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62selectzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2512z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2514z62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3anonymousza32690ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3246z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3085z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3086z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2520z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2521z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_castzd2nullzd2zzast_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62lambda3091z62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda3253z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3092z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3254z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2526z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2527z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3097z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_privatezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda3098z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_appzf3zf3zzast_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL bool_t BGl_atomzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda3260z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3261z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda2534z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda2536z62zzast_nodez00(obj_t);
	static obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3268z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2varzd2_bglt, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		obj_t);
	static obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt);
	static BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2sidezd2effectz00zzast_nodez00(BgL_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62varzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2701z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2702z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3270z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_conditionalz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2543z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2544z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2706z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2707z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	static BgL_newz00_bglt BGl_z62zc3anonymousza32839ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda3276z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3277z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_setqz00_bglt BGl_z62zc3anonymousza33020ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2550z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2551z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62lambda2714z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda3281z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62lambda3282z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt,
		BgL_variablez00_bglt);
	static BgL_externz00_bglt BGl_z62lambda2716z62zzast_nodez00(obj_t);
	static BgL_vallocz00_bglt BGl_z62zc3anonymousza32856ze3ze1zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00();
	static BgL_atomz00_bglt BGl_z62lambda2559z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_selectz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2atom2420z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt, BgL_typez00_bglt);
	static BgL_atomz00_bglt BGl_z62lambda2561z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2723z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62lambda2724z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62selectzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2567z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62lambda2568z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt BGl_boxzd2refzd2nilz00zzast_nodez00();
	static obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_selectz00_bglt BGl_z62zc3anonymousza33111ze3ze1zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt);
	static obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2730z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_varz00_bglt);
	static obj_t BGl_z62lambda2731z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt);
	static BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_varz00_bglt BGl_z62lambda2574z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2576z62zzast_nodez00(obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2738z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		obj_t);
	static obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2901z62zzast_nodez00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2740z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2902z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62selectzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt);
	static BgL_variablez00_bglt BGl_z62lambda2582z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2583z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2746z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32697ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2747z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2909z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_setqz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static BgL_closurez00_bglt BGl_z62lambda2589z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodezf2effectzf2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzd2select2446z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzd2appzd2ly2432zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2911z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static BgL_closurez00_bglt BGl_z62lambda2591z62zzast_nodez00(obj_t);
	static BgL_privatez00_bglt BGl_z62lambda2754z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_privatez00_bglt BGl_z62lambda2756z62zzast_nodez00(obj_t);
	static BgL_vlengthz00_bglt
		BGl_z62zc3anonymousza32949ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2919z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt,
		bool_t);
	static BgL_kwotez00_bglt BGl_z62lambda2599z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_newz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62lambda2920z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2762z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vlengthz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2763z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_typez00_bglt BGl_z62lambda2926z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	static BgL_vrefz00_bglt BGl_z62zc3anonymousza32877ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2927z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2769z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_atomz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2931z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2932z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2771z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62zc3anonymousza32983ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt,
		BgL_typez00_bglt);
	static BgL_instanceofz00_bglt
		BGl_z62zc3anonymousza32967ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2937z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2938z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2777z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2778z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_nodez00();
	static BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2782z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2783z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2945z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2947z62zzast_nodez00(obj_t);
	static obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2787z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_selectzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2788z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2extern2436z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2953z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2954z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2794z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt,
		obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2796z62zzast_nodez00(obj_t);
	static obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_getfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_nodez00_bglt);
	static BgL_instanceofz00_bglt BGl_z62lambda2962z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_synczf3zf3zzast_nodez00(obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2965z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	static obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_castz00zzast_nodez00 = BUNSPEC;
	static BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2971z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2972z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2979z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62zc3anonymousza33314ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00();
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2981z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt
		BGl_makezd2vlengthzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2funcall2434z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walkzd2kwote2424z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL BgL_selectz00_bglt BGl_selectzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62lambda2992z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_castz00_bglt BGl_z62lambda2994z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62zc3anonymousza32603ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static BgL_failz00_bglt BGl_z62zc3anonymousza33081ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt);
	static BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t, obj_t);
	static obj_t
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00();
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_selectzd2loczd2zzast_nodez00(BgL_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62selectzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_letzd2funzd2_bglt
		BGl_z62zc3anonymousza33139ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt);
	static BgL_selectz00_bglt BGl_z62selectzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_instanceofzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza32516ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2boxzd2ref2450zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62failzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62selectzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2sync2428z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_varz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
	static BgL_typez00_bglt BGl_z62selectzd2itemzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzd2zzast_nodez00 = BUNSPEC;
	static BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2fail2444z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt,
		obj_t);
	static BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt);
	static BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62zc3anonymousza32552ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62zc3anonymousza33249ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt BGl_letzd2funzd2nilz00zzast_nodez00();
	static BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62zc3anonymousza32642ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32626ze3ze1zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00();
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zc0zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32732ze3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62zc3anonymousza32538ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	static BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DEF obj_t BGl_appz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt BGl_wideningzd2nilzd2zzast_nodez00();
	static obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt,
		obj_t);
	static BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_newzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_selectzd2testzd2zzast_nodez00(BgL_selectz00_bglt);
	static BgL_selectz00_bglt BGl_z62lambda3106z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		obj_t);
	static BgL_selectz00_bglt BGl_z62lambda3108z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2sequence2426z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt);
	static obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda3115z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3116z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00();
	BGL_EXPORTED_DECL bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vrefz00zzast_nodez00 = BUNSPEC;
	static BgL_externz00_bglt BGl_z62zc3anonymousza32718ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt);
	static BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_kwotez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda3122z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3123z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	static BgL_vsetz12z12_bglt
		BGl_z62zc3anonymousza32913ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt
		BGl_z62zc3anonymousza32824ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3128z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3129z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2clauseszd2zzast_nodez00(BgL_selectz00_bglt);
	static BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3135z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62zc3anonymousza32663ze3ze1zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3137z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00
		(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3144z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda3145z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda3149z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00();
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_instanceofz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt, BgL_varz00_bglt);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3310z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3150z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3312z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt);
	static BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3156z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda3318z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3319z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3158z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt);
	static obj_t BGl_z62externzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_privatez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_selectz00_bglt BGl_makezd2selectzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt, obj_t);
	static obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3324z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3325z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_closurez00_bglt
		BGl_z62zc3anonymousza32593ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3165z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3166z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda3329z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_letzd2funzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2app2430z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62selectzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2601z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda3330z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setfieldz00zzast_nodez00 = BUNSPEC;
	static BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3171z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3172z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt, obj_t);
	static obj_t BGl_z62lambda2607z62zzast_nodez00(obj_t, obj_t);
	static BgL_funcallz00_bglt
		BGl_z62zc3anonymousza32683ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2608z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62lambda3176z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62zc3anonymousza32578ze3ze1zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3177z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3339z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00();
	static obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3341z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static BgL_nodez00_bglt BGl_z62selectzd2testzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2614z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2616z62zzast_nodez00(obj_t);
	static BgL_getfieldz00_bglt
		BGl_z62zc3anonymousza32773ze3ze1zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32846ze3ze1zzast_nodez00(obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda3184z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda3186z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3349z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	static obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static obj_t BGl_z62lambda3350z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2624z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2625z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3354z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda3193z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda3355z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62lambda3194z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_privatez00_bglt
		BGl_z62zc3anonymousza32758ze3ze1zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda3359z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static BgL_varz00_bglt BGl_z62lambda3199z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt,
		obj_t);
	static obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt BGl_letzd2varzd2nilz00zzast_nodez00();
	static obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62castzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2630z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2631z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3360z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2638z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_funcallz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_varzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_selectzd2keyzd2setz12z12zzast_nodez00(BgL_selectz00_bglt, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2640z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2802z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2803z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2807z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	static obj_t BGl_z62lambda2646z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2808z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2647z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62makezd2varzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2letzd2fun2454zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_valloczf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vsetz12z12zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_privatez00_bglt
		BGl_makezd2privatezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2813z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62lambda2652z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2814z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_selectzd2keyzd2zzast_nodez00(BgL_selectz00_bglt);
	static obj_t BGl_z62lambda2653z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t __cnst[82];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_selectzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762selectza7d2side3892z00,
		BGl_z62selectzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_selectzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762selectza7d2test3893z00,
		BGl_z62selectzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid3894za7,
		BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot3895z00,
		BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3896z00,
		BGl_z62privatezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3897z00, BGl_z62funcallzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3898za7,
		BGl_z62boxzd2refzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2argzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar3899za7,
		BGl_z62appzd2lyzd2argz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3900z00, BGl_z62privatezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2valloczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2valloc3901z00, BGl_z62makezd2valloczb0zzast_nodez00,
		0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr3902z00,
		BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2nilzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2nil3903za7, BGl_z62vsetz12zd2nilza2zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2loc3904z00, BGl_z62closurezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2typezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3905za7,
		BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect3906z00, BGl_z62vrefzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7d3907za7,
		BGl_z62nodezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b3908za7,
		BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2funza7f3za73909z00,
		BGl_z62letzd2funzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex3910z00,
		BGl_z62getfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23911z00,
		BGl_z62instanceofzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d23912za7,
		BGl_z62makezd2letzd2varz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s3913za7,
		BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza73914za7, BGl_z62setqzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2locza7b03915za7, BGl_z62synczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2effe3916z00,
		BGl_z62externzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza73917za7,
		BGl_z62valloczd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2unsafezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2uns3918za7,
		BGl_z62vsetz12zd2unsafeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7b3919za7, BGl_z62makezd2castzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2locza7b03920za7, BGl_z62atomzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2procza7b3921za7, BGl_z62failzd2proczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2lo3922za7,
		BGl_z62appzd2lyzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2wideningzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2wideni3923z00, BGl_z62makezd2wideningzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke3924z00,
		BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k3925za7,
		BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2selectzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2select3926z00, BGl_z62makezd2selectzb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza73927za7, BGl_z62kwotezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s3928za7,
		BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sequencezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2sequen3929z00, BGl_z62makezd2sequencezb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setqzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setqza7b3930za7, BGl_z62makezd2setqzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2funza7d2s3931za7,
		BGl_z62appzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7d23932za7,
		BGl_z62varzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2keyzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key3933za7,
		BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2lyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7d23934za7,
		BGl_z62makezd2appzd2lyz62zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3935z00,
		BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty3936z00, BGl_z62wideningzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2test3937z00, BGl_z62selectzd2testzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2effectzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff3938za7,
		BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7d3939za7,
		BGl_z62failzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2type3940z00, BGl_z62externzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2closurezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2closur3941z00, BGl_z62makezd2closurezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3942za7,
		BGl_z62vrefzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3943z00,
		BGl_z62setfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3944z00,
		BGl_z62vlengthzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3945za7,
		BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff3946z00,
		BGl_z62vlengthzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2exprza2zd2setz12zd2envz70zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp3947za7,
		BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3948za7,
		BGl_z62letzd2varzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jumpzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2jumpza7d3949za7,
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si3950z00,
		BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2n3951za7,
		BGl_z62letzd2varzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2nilza73952za7, BGl_z62selectzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7b03953za7, BGl_z62failzd2msgzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2clauseszd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2clau3954z00,
		BGl_z62selectzd2clauseszb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2walkzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7b3955za7, BGl_z62nodezd2walkzb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2unsafe3956z00, BGl_z62vrefzd2unsafezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73957za7,
		BGl_z62externzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke3958z00,
		BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3959z00,
		BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2loczd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3960z00,
		BGl_z62nodezf2effectzd2locz42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2nilza73961za7, BGl_z62valloczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazf3zd2envz21zzast_nodez00,
		BgL_bgl_za762pragmaza7f3za791za73962z00, BGl_z62pragmazf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2keyzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3963z00,
		BGl_z62nodezf2effectzd2keyz42zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3964z00,
		BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3965z00,
		BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2externzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2extern3966z00, BGl_z62makezd2externzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2n3967za7,
		BGl_z62boxzd2refzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2valuezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73968z00,
		BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23969za7,
		BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2varzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73970z00,
		BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2locza7b0za73971z00, BGl_z62newzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3972za7,
		BGl_z62castzd2nullzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7b0za73973z00, BGl_z62newzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2objza7b03974za7, BGl_z62failzd2objzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2vtypezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73975z00,
		BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3976za7,
		BGl_z62castzd2nullzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7d23977za7,
		BGl_z62setqzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3978za7,
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2vtypezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73979z00,
		BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3980z00,
		BGl_z62privatezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762instanceofza7f33981z00, BGl_z62instanceofzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7d23982za7,
		BGl_z62appzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7b03983za7, BGl_z62appzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3984za7,
		BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3985za7,
		BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2nil3986z00, BGl_z62vlengthzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2setz12zd2envze0zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3987z00,
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3988za7,
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3989za7,
		BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza73990za7, BGl_z62atomzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3700z00zzast_nodez00,
		BgL_bgl_za762lambda2813za7623991z00, BGl_z62lambda2813z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3701z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73992za7,
		BGl_z62zc3anonymousza32798ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3702z00zzast_nodez00,
		BgL_bgl_za762lambda2796za7623993z00, BGl_z62lambda2796z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3703z00zzast_nodez00,
		BgL_bgl_za762lambda2794za7623994z00, BGl_z62lambda2794z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3704z00zzast_nodez00,
		BgL_bgl_za762lambda2829za7623995z00, BGl_z62lambda2829z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3705z00zzast_nodez00,
		BgL_bgl_za762lambda2828za7623996z00, BGl_z62lambda2828z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3706z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza73997za7,
		BGl_z62zc3anonymousza32824ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2envz20zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3998z00,
		BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3707z00zzast_nodez00,
		BgL_bgl_za762lambda2822za7623999z00, BGl_z62lambda2822z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3708z00zzast_nodez00,
		BgL_bgl_za762lambda2820za7624000z00, BGl_z62lambda2820z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4001za7,
		BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d24002z00,
		BGl_z62instanceofzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3709z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74003za7,
		BGl_z62zc3anonymousza32846ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2locza7b0za74004z00, BGl_z62varzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4005za7,
		BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2varza7f3za74006z00,
		BGl_z62letzd2varzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762wideningza7d2si4007z00,
		BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2functionszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4008z00,
		BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex4009z00,
		BGl_z62setfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3710z00zzast_nodez00,
		BgL_bgl_za762lambda2845za7624010z00, BGl_z62lambda2845z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3711z00zzast_nodez00,
		BgL_bgl_za762lambda2844za7624011z00, BGl_z62lambda2844z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3712z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74012za7,
		BGl_z62zc3anonymousza32839ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3713z00zzast_nodez00,
		BgL_bgl_za762lambda2837za7624013z00, BGl_z62lambda2837z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3714z00zzast_nodez00,
		BgL_bgl_za762lambda2835za7624014z00, BGl_z62lambda2835z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3715z00zzast_nodez00,
		BgL_bgl_za762lambda2861za7624015z00, BGl_z62lambda2861z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3716z00zzast_nodez00,
		BgL_bgl_za762lambda2860za7624016z00, BGl_z62lambda2860z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3717z00zzast_nodez00,
		BgL_bgl_za762lambda2866za7624017z00, BGl_z62lambda2866z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3718z00zzast_nodez00,
		BgL_bgl_za762lambda2865za7624018z00, BGl_z62lambda2865z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3719z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74019za7,
		BGl_z62zc3anonymousza32856ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2typezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ4020za7,
		BGl_z62vsetz12zd2typeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d24021za7,
		BGl_z62newzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2nilza7b04022za7, BGl_z62nodezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg4023z00,
		BGl_z62funcallzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zf3zd2envz33zzast_nodez00,
		BgL_bgl_za762vsetza712za7f3za7834024z00, BGl_z62vsetz12zf3z83zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2varzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v4025za7,
		BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2funzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu4026za7,
		BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7d4027za7,
		BGl_z62setqzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ4028z00, BGl_z62vlengthzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3720z00zzast_nodez00,
		BgL_bgl_za762lambda2854za7624029z00, BGl_z62lambda2854z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2var4030z00,
		BGl_z62closurezd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3721z00zzast_nodez00,
		BgL_bgl_za762lambda2852za7624031z00, BGl_z62lambda2852z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3722z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74032za7,
		BGl_z62zc3anonymousza32885ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2nilza7b04033za7, BGl_z62failzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3723z00zzast_nodez00,
		BgL_bgl_za762lambda2884za7624034z00, BGl_z62lambda2884z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2valuezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74035z00,
		BGl_z62boxzd2setz12zd2valuez70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d24036za7,
		BGl_z62appzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3724z00zzast_nodez00,
		BgL_bgl_za762lambda2883za7624037z00, BGl_z62lambda2883z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3725z00zzast_nodez00,
		BgL_bgl_za762lambda2892za7624038z00, BGl_z62lambda2892z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3726z00zzast_nodez00,
		BgL_bgl_za762lambda2891za7624039z00, BGl_z62lambda2891z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3727z00zzast_nodez00,
		BgL_bgl_za762lambda2897za7624040z00, BGl_z62lambda2897z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2exitzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4041za7,
		BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3728z00zzast_nodez00,
		BgL_bgl_za762lambda2896za7624042z00, BGl_z62lambda2896z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3729z00zzast_nodez00,
		BgL_bgl_za762lambda2902za7624043z00, BGl_z62lambda2902z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4044za7,
		BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2nil4045z00, BGl_z62funcallzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762instanceofza7d24046z00,
		BGl_z62instanceofzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4047za7,
		BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762externza7d2expr4048z00,
		BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7d24049za7,
		BGl_z62failzd2msgzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3730z00zzast_nodez00,
		BgL_bgl_za762lambda2901za7624050z00, BGl_z62lambda2901z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3731z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74051za7,
		BGl_z62zc3anonymousza32877ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3732z00zzast_nodez00,
		BgL_bgl_za762lambda2875za7624052z00, BGl_z62lambda2875z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3733z00zzast_nodez00,
		BgL_bgl_za762lambda2872za7624053z00, BGl_z62lambda2872z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3734z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74054za7,
		BGl_z62zc3anonymousza32921ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3735z00zzast_nodez00,
		BgL_bgl_za762lambda2920za7624055z00, BGl_z62lambda2920z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3736z00zzast_nodez00,
		BgL_bgl_za762lambda2919za7624056z00, BGl_z62lambda2919z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3737z00zzast_nodez00,
		BgL_bgl_za762lambda2927za7624057z00, BGl_z62lambda2927z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3738z00zzast_nodez00,
		BgL_bgl_za762lambda2926za7624058z00, BGl_z62lambda2926z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3739z00zzast_nodez00,
		BgL_bgl_za762lambda2932za7624059z00, BGl_z62lambda2932z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4060za7,
		BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24061za7,
		BGl_z62makezd2boxzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7b04062za7, BGl_z62newzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762privateza7d2sid4063z00,
		BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef4064z00,
		BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3740z00zzast_nodez00,
		BgL_bgl_za762lambda2931za7624065z00, BGl_z62lambda2931z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3741z00zzast_nodez00,
		BgL_bgl_za762lambda2938za7624066z00, BGl_z62lambda2938z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3742z00zzast_nodez00,
		BgL_bgl_za762lambda2937za7624067z00, BGl_z62lambda2937z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3743z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74068za7,
		BGl_z62zc3anonymousza32913ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2getfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2getfie4069z00, BGl_z62makezd2getfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3744z00zzast_nodez00,
		BgL_bgl_za762lambda2911za7624070z00, BGl_z62lambda2911z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3745z00zzast_nodez00,
		BgL_bgl_za762lambda2909za7624071z00, BGl_z62lambda2909z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3746z00zzast_nodez00,
		BgL_bgl_za762lambda2954za7624072z00, BGl_z62lambda2954z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3747z00zzast_nodez00,
		BgL_bgl_za762lambda2953za7624073z00, BGl_z62lambda2953z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3748z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74074za7,
		BGl_z62zc3anonymousza32949ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3749z00zzast_nodez00,
		BgL_bgl_za762lambda2947za7624075z00, BGl_z62lambda2947z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2truezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4076z00,
		BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2lo4077z00, BGl_z62setfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty4078z00,
		BGl_z62wideningzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke4079z00, BGl_z62setfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2itemzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762selectza7d2item4080z00,
		BGl_z62selectzd2itemzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2locza7b0za74081z00, BGl_z62appzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3750z00zzast_nodez00,
		BgL_bgl_za762lambda2945za7624082z00, BGl_z62lambda2945z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3751z00zzast_nodez00,
		BgL_bgl_za762lambda2972za7624083z00, BGl_z62lambda2972z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3752z00zzast_nodez00,
		BgL_bgl_za762lambda2971za7624084z00, BGl_z62lambda2971z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3753z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74085za7,
		BGl_z62zc3anonymousza32967ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3754z00zzast_nodez00,
		BgL_bgl_za762lambda2965za7624086z00, BGl_z62lambda2965z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3755z00zzast_nodez00,
		BgL_bgl_za762lambda2962za7624087z00, BGl_z62lambda2962z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3756z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74088za7,
		BGl_z62zc3anonymousza32983ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7b04089za7, BGl_z62setqzd2varzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3757z00zzast_nodez00,
		BgL_bgl_za762lambda2981za7624090z00, BGl_z62lambda2981z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3758z00zzast_nodez00,
		BgL_bgl_za762lambda2979za7624091z00, BGl_z62lambda2979z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3759z00zzast_nodez00,
		BgL_bgl_za762lambda3007za7624092z00, BGl_z62lambda3007z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3597z00zzast_nodez00,
		BgL_bgl_za762lambda2521za7624093z00, BGl_z62lambda2521z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3598z00zzast_nodez00,
		BgL_bgl_za762lambda2520za7624094z00, BGl_z62lambda2520z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7b0za74095z00, BGl_z62appzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3599z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74096za7,
		BGl_z62zc3anonymousza32528ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty4097z00,
		BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a24098za7,
		BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762failza7f3za791za7za7a4099za7, BGl_z62failzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setqza7f3za791za7za7a4100za7, BGl_z62setqzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot4101z00,
		BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2lo4102z00, BGl_z62wideningzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2locza74103za7, BGl_z62externzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vlengthzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vlengt4104z00, BGl_z62makezd2vlengthzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke4105z00, BGl_z62wideningzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2keyza74106za7, BGl_z62externzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2nil4107z00, BGl_z62closurezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3760z00zzast_nodez00,
		BgL_bgl_za762lambda3006za7624108z00, BGl_z62lambda3006z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3761z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74109za7,
		BGl_z62zc3anonymousza33000ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3762z00zzast_nodez00,
		BgL_bgl_za762lambda2994za7624110z00, BGl_z62lambda2994z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3763z00zzast_nodez00,
		BgL_bgl_za762lambda2992za7624111z00, BGl_z62lambda2992z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3764z00zzast_nodez00,
		BgL_bgl_za762lambda3025za7624112z00, BGl_z62lambda3025z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2argza7b04113za7, BGl_z62castzd2argzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe4114z00, BGl_z62pragmazd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3765z00zzast_nodez00,
		BgL_bgl_za762lambda3024za7624115z00, BGl_z62lambda3024z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3766z00zzast_nodez00,
		BgL_bgl_za762lambda3041za7624116z00, BGl_z62lambda3041z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3767z00zzast_nodez00,
		BgL_bgl_za762lambda3040za7624117z00, BGl_z62lambda3040z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3768z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74118za7,
		BGl_z62zc3anonymousza33020ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_varzd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2variabl4119z00,
		BGl_z62varzd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3769z00zzast_nodez00,
		BgL_bgl_za762lambda3018za7624120z00, BGl_z62lambda3018z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7b04121za7, BGl_z62varzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2varzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74122z00,
		BGl_z62boxzd2setz12zd2varz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2strengthzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2str4123z00,
		BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762closureza7f3za7914124za7, BGl_z62closurezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4125z00,
		BGl_z62conditionalzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762nodeza7f3za791za7za7a4126za7, BGl_z62nodezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4127z00,
		BGl_z62conditionalzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2nilza7b04128za7, BGl_z62synczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3770z00zzast_nodez00,
		BgL_bgl_za762lambda3016za7624129z00, BGl_z62lambda3016z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3771z00zzast_nodez00,
		BgL_bgl_za762lambda3059za7624130z00, BGl_z62lambda3059z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2type4131z00, BGl_z62valloczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3772z00zzast_nodez00,
		BgL_bgl_za762lambda3058za7624132z00, BGl_z62lambda3058z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3773z00zzast_nodez00,
		BgL_bgl_za762lambda3065za7624133z00, BGl_z62lambda3065z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3861z00zzast_nodez00,
		BgL_bgl_string3861za700za7za7a4134za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3774z00zzast_nodez00,
		BgL_bgl_za762lambda3064za7624135z00, BGl_z62lambda3064z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3775z00zzast_nodez00,
		BgL_bgl_za762lambda3071za7624136z00, BGl_z62lambda3071z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3863z00zzast_nodez00,
		BgL_bgl_string3863za700za7za7a4137za7, "node-walk2417", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3776z00zzast_nodez00,
		BgL_bgl_za762lambda3070za7624138z00, BGl_z62lambda3070z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3864z00zzast_nodez00,
		BgL_bgl_string3864za700za7za7a4139za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3777z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74140za7,
		BGl_z62zc3anonymousza33053ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3778z00zzast_nodez00,
		BgL_bgl_za762lambda3051za7624141z00, BGl_z62lambda3051z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3866z00zzast_nodez00,
		BgL_bgl_string3866za700za7za7a4142za7, "node-walk", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3779z00zzast_nodez00,
		BgL_bgl_za762lambda3049za7624143z00, BGl_z62lambda3049z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza74144za7, BGl_z62synczd2mutexzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2nilza7b04145za7, BGl_z62atomzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2pragmazd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2pragma4146z00, BGl_z62makezd2pragmazb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ni4147za7,
		BGl_z62appzd2lyzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3780z00zzast_nodez00,
		BgL_bgl_za762lambda3086za7624148z00, BGl_z62lambda3086z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d24149za7,
		BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3781z00zzast_nodez00,
		BgL_bgl_za762lambda3085za7624150z00, BGl_z62lambda3085z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3782z00zzast_nodez00,
		BgL_bgl_za762lambda3092za7624151z00, BGl_z62lambda3092z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3783z00zzast_nodez00,
		BgL_bgl_za762lambda3091za7624152z00, BGl_z62lambda3091z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3784z00zzast_nodez00,
		BgL_bgl_za762lambda3098za7624153z00, BGl_z62lambda3098z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3785z00zzast_nodez00,
		BgL_bgl_za762lambda3097za7624154z00, BGl_z62lambda3097z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3786z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74155za7,
		BGl_z62zc3anonymousza33081ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3787z00zzast_nodez00,
		BgL_bgl_za762lambda3079za7624156z00, BGl_z62lambda3079z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3788z00zzast_nodez00,
		BgL_bgl_za762lambda3077za7624157z00, BGl_z62lambda3077z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3789z00zzast_nodez00,
		BgL_bgl_za762lambda3116za7624158z00, BGl_z62lambda3116z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4159z00,
		BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setfie4160z00, BGl_z62makezd2setfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2valuezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24161za7,
		BGl_z62makezd2boxzd2valuez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_selectzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762selectza7d2type4162z00,
		BGl_z62selectzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2key4163z00,
		BGl_z62privatezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty4164z00,
		BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef4165z00,
		BGl_z62wideningzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3790z00zzast_nodez00,
		BgL_bgl_za762lambda3115za7624166z00, BGl_z62lambda3115z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3791z00zzast_nodez00,
		BgL_bgl_za762lambda3123za7624167z00, BGl_z62lambda3123z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3792z00zzast_nodez00,
		BgL_bgl_za762lambda3122za7624168z00, BGl_z62lambda3122z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3793z00zzast_nodez00,
		BgL_bgl_za762lambda3129za7624169z00, BGl_z62lambda3129z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3794z00zzast_nodez00,
		BgL_bgl_za762lambda3128za7624170z00, BGl_z62lambda3128z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3795z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74171za7,
		BGl_z62zc3anonymousza33111ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2locza7b04172za7, BGl_z62castzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3796z00zzast_nodez00,
		BgL_bgl_za762lambda3108za7624173z00, BGl_z62lambda3108z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty4174z00,
		BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3797z00zzast_nodez00,
		BgL_bgl_za762lambda3106za7624175z00, BGl_z62lambda3106z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2ftypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty4176za7,
		BGl_z62vsetz12zd2ftypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3798z00zzast_nodez00,
		BgL_bgl_za762lambda3145za7624177z00, BGl_z62lambda3145z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp4178z00,
		BGl_z62valloczd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3799z00zzast_nodez00,
		BgL_bgl_za762lambda3144za7624179z00, BGl_z62lambda3144z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3887z00zzast_nodez00,
		BgL_bgl_string3887za700za7za7a4180za7, "ast_node", 8);
	      DEFINE_STRING(BGl_string3888z00zzast_nodez00,
		BgL_bgl_string3888za700za7za7a4181za7,
		"node-walk2417 \077\077? _ sync mutex prelock box-set! box-ref make-box jump-ex-it exit set-ex-it let-var bindings removable? let-fun locals body select clauses item-type fail proc msg conditional test true false setq cast cast-null instanceof class vlength vset! vref vtype valloc new args-type widening setfield getfield fname ftype otype private c-format pragma bstring format extern pair-nil expr* effect funcall symbol strength functions app-ly arg app fun args sequence nodes bool unsafe kwote closure var variable atom value node/effect side-effect key ast_node node obj loc type ",
		580);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7d4182za7,
		BGl_z62vrefzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2atomzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2atomza7b4183za7, BGl_z62makezd2atomzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4184za7,
		BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2cza7d24185za7,
		BGl_z62valloczd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2vtypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty4186za7,
		BGl_z62vsetz12zd2vtypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4187za7,
		BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bindingszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4188za7,
		BGl_z62letzd2varzd2bindingsz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s4189za7,
		BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2cza74190za7,
		BGl_z62wideningzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nodeszd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2no4191z00,
		BGl_z62sequencezd2nodeszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type4192z00,
		BGl_z62pragmazd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t4193za7,
		BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke4194z00,
		BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2effectza74195za7,
		BGl_z62newzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2localszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l4196za7,
		BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key4197z00,
		BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2czd2formatzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2cza7d4198z00,
		BGl_z62vsetz12zd2czd2formatz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7d24199za7,
		BGl_z62appzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24200za7,
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2keyzd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4201z00,
		BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7d4202za7,
		BGl_z62castzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_strictzd2nodezd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762strictza7d2node4203z00,
		BGl_z62strictzd2nodezd2typez62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2makezd2boxzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2makeza7d4204za7,
		BGl_z62makezd2makezd2boxz62zzast_nodez00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4205za7,
		BGl_z62castzd2nullzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2un4206z00,
		BGl_z62sequencezd2unsafezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762privateza7d2exp4207z00,
		BGl_z62privatezd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7f4208za7,
		BGl_z62castzd2nullzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2nilzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4209z00,
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_synczd2prelockzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc4210z00,
		BGl_z62synczd2prelockzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp4211z00, BGl_z62valloczd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762externza7d2side4212z00,
		BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg4213z00, BGl_z62funcallzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762getfieldza7f3za794214za7, BGl_z62getfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot4215z00,
		BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4216za7,
		BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si4217z00,
		BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762externza7d2expr4218z00,
		BGl_z62externzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7b04219za7, BGl_z62makezd2appzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2nilza7b0za74220z00, BGl_z62newzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4221za7,
		BGl_z62castzd2nullzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side4222z00,
		BGl_z62pragmazd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type4223z00, BGl_z62pragmazd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7b4224za7, BGl_z62synczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2classzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24225z00,
		BGl_z62instanceofzd2classzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ4226z00,
		BGl_z62funcallzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762selectza7d2keyza74227za7,
		BGl_z62selectzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2locza7b4228za7, BGl_z62kwotezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2otypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty4229za7,
		BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vallocza7f3za791za74230z00, BGl_z62valloczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k4231za7,
		BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2lo4232z00, BGl_z62getfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft4233z00,
		BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2eff4234z00,
		BGl_z62privatezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2cza74235za7,
		BGl_z62setfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2fn4236z00,
		BGl_z62getfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke4237z00, BGl_z62getfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7d2s4238za7,
		BGl_z62appzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty4239z00, BGl_z62getfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty4240z00, BGl_z62setfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4241za7,
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2otypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty4242za7,
		BGl_z62vsetz12zd2otypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4243z00,
		BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762castza7f3za791za7za7a4244za7, BGl_z62castzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2form4245z00, BGl_z62pragmazd2formatzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24246z00,
		BGl_z62instanceofzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7b4247za7, BGl_z62nodezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2nilza7b0za74248z00, BGl_z62varzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2prelockzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc4249z00, BGl_z62synczd2prelockzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24250z00,
		BGl_z62instanceofzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2locza7b04251za7, BGl_z62setqzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762privateza7f3za7914252za7, BGl_z62privatezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si4253z00,
		BGl_z62sequencezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4254za7,
		BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t4255za7,
		BGl_z62letzd2funzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2loczd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74256z00,
		BGl_z62boxzd2setz12zd2locz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp4257z00,
		BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2typezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74258z00,
		BGl_z62boxzd2setz12zd2typez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762conditionalza7f4259z00, BGl_z62conditionalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762conditionalza7d4260z00,
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zf3zd2envze1zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74261z00,
		BGl_z62boxzd2setz12zf3z51zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2localszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l4262za7,
		BGl_z62letzd2funzd2localsz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza74263za7,
		BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2funcallzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2funcal4264z00, BGl_z62makezd2funcallzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762sequenceza7f3za794265za7, BGl_z62sequencezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7d2s4266za7,
		BGl_z62newzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp4267z00, BGl_z62valloczd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4268z00,
		BGl_z62funcallzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2exitzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4269za7,
		BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4270z00, BGl_z62funcallzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2refzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24271za7,
		BGl_z62makezd2boxzd2refz62zzast_nodez00, 0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2locza7b04272za7, BGl_z62vrefzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4273za7,
		BGl_z62setzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ni4274z00, BGl_z62setfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2lo4275z00, BGl_z62sequencezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7b04276za7, BGl_z62vrefzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke4277z00, BGl_z62sequencezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2nilza7b0za74278z00, BGl_z62appzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d24279z00,
		BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2valuezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24280za7,
		BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2czd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4281za7,
		BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d4282za7,
		BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4283z00,
		BGl_z62conditionalzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ni4284z00, BGl_z62wideningzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2nilza74285za7, BGl_z62externzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2failzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2failza7b4286za7, BGl_z62makezd2failzb0zzast_nodez00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp4287z00,
		BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezf2effectzd2envzf2zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7f4288za7,
		BGl_z62makezd2nodezf2effectz42zzast_nodez00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vsetz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2vsetza714289za7,
		BGl_z62makezd2vsetz12za2zzast_nodez00, 0L, BUNSPEC, 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24290za7,
		BGl_z62makezd2boxzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft4291z00,
		BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4292z00,
		BGl_z62conditionalzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2synczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2syncza7b4293za7, BGl_z62makezd2synczb0zzast_nodez00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza74294za7,
		BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24295za7,
		BGl_z62makezd2boxzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2argza7d24296za7,
		BGl_z62castzd2argzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe4297z00,
		BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2var4298z00,
		BGl_z62closurezd2variablezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7d4299za7,
		BGl_z62synczd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24300za7,
		BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7d24301za7,
		BGl_z62newzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24302z00,
		BGl_z62instanceofzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t4303za7,
		BGl_z62boxzd2refzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2locza74304za7, BGl_z62pragmazd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4305za7,
		BGl_z62castzd2nullzd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza74306za7, BGl_z62pragmazd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2typezd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4307z00,
		BGl_z62nodezf2effectzd2typez42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7f3za74308z00,
		BGl_z62boxzd2refzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2ftypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty4309za7,
		BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot4310z00,
		BGl_z62wideningzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft4311z00,
		BGl_z62getfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2loc4312z00, BGl_z62privatezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762kwoteza7f3za791za7za74313za7, BGl_z62kwotezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2key4314z00, BGl_z62privatezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762instanceofza7d24315z00,
		BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nilza7b04316za7, BGl_z62castzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2conditionalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2condit4317z00,
		BGl_z62makezd2conditionalzb0zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762conditionalza7d4318z00,
		BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4319z00,
		BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l4320za7,
		BGl_z62letzd2funzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v4321za7,
		BGl_z62boxzd2refzd2varz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu4322za7,
		BGl_z62appzd2lyzd2funz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setza7d24323za7,
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k4324za7,
		BGl_z62letzd2funzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7d4325za7,
		BGl_z62atomzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t4326za7,
		BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7d24327za7,
		BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2fn4328z00,
		BGl_z62setfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_selectzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762selectza7d2side4329z00,
		BGl_z62selectzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ4330z00,
		BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2cza7d4331za7,
		BGl_z62privatezd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4332za7,
		BGl_z62letzd2varzd2removablezf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3600z00zzast_nodez00,
		BgL_bgl_za762lambda2527za7624333z00, BGl_z62lambda2527z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3601z00zzast_nodez00,
		BgL_bgl_za762lambda2526za7624334z00, BGl_z62lambda2526z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3602z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74335za7,
		BGl_z62zc3anonymousza32516ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3603z00zzast_nodez00,
		BgL_bgl_za762lambda2514za7624336z00, BGl_z62lambda2514z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3604z00zzast_nodez00,
		BgL_bgl_za762lambda2512za7624337z00, BGl_z62lambda2512z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3605z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74338za7,
		BGl_z62zc3anonymousza32545ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3606z00zzast_nodez00,
		BgL_bgl_za762lambda2544za7624339z00, BGl_z62lambda2544z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3607z00zzast_nodez00,
		BgL_bgl_za762lambda2543za7624340z00, BGl_z62lambda2543z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3608z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74341za7,
		BGl_z62zc3anonymousza32552ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setfieldza7f3za794342za7, BGl_z62setfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3609z00zzast_nodez00,
		BgL_bgl_za762lambda2551za7624343z00, BGl_z62lambda2551z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762instanceofza7d24344z00,
		BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si4345z00,
		BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzf3zd2envzd3zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4346z00,
		BGl_z62nodezf2effectzf3z63zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2effectza74347za7, BGl_z62newzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3610z00zzast_nodez00,
		BgL_bgl_za762lambda2550za7624348z00, BGl_z62lambda2550z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza74349za7, BGl_z62vrefzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3611z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74350za7,
		BGl_z62zc3anonymousza32538ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2exprza2zd2envz70zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4351za7,
		BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3612z00zzast_nodez00,
		BgL_bgl_za762lambda2536za7624352z00, BGl_z62lambda2536z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3613z00zzast_nodez00,
		BgL_bgl_za762lambda2534za7624353z00, BGl_z62lambda2534z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3614z00zzast_nodez00,
		BgL_bgl_za762lambda2568za7624354z00, BGl_z62lambda2568z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3615z00zzast_nodez00,
		BgL_bgl_za762lambda2567za7624355z00, BGl_z62lambda2567z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3616z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74356za7,
		BGl_z62zc3anonymousza32563ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3617z00zzast_nodez00,
		BgL_bgl_za762lambda2561za7624357z00, BGl_z62lambda2561z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3618z00zzast_nodez00,
		BgL_bgl_za762lambda2559za7624358z00, BGl_z62lambda2559z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3619z00zzast_nodez00,
		BgL_bgl_za762lambda2583za7624359z00, BGl_z62lambda2583z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza74360za7,
		BGl_z62atomzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4361za7,
		BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2procza7d4362za7,
		BGl_z62failzd2proczd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza74363za7, BGl_z62vrefzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4364z00,
		BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty4365z00, BGl_z62vlengthzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2nullzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7d4366za7,
		BGl_z62makezd2castzd2nullz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza74367za7,
		BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4368z00,
		BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3620z00zzast_nodez00,
		BgL_bgl_za762lambda2582za7624369z00, BGl_z62lambda2582z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3621z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74370za7,
		BGl_z62zc3anonymousza32578ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t4371za7,
		BGl_z62letzd2varzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2cza74372za7,
		BGl_z62getfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3622z00zzast_nodez00,
		BgL_bgl_za762lambda2576za7624373z00, BGl_z62lambda2576z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3623z00zzast_nodez00,
		BgL_bgl_za762lambda2574za7624374z00, BGl_z62lambda2574z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3624z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74375za7,
		BGl_z62zc3anonymousza32593ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3625z00zzast_nodez00,
		BgL_bgl_za762lambda2591za7624376z00, BGl_z62lambda2591z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3626z00zzast_nodez00,
		BgL_bgl_za762lambda2589za7624377z00, BGl_z62lambda2589z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3627z00zzast_nodez00,
		BgL_bgl_za762lambda2608za7624378z00, BGl_z62lambda2608z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3628z00zzast_nodez00,
		BgL_bgl_za762lambda2607za7624379z00, BGl_z62lambda2607z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3629z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74380za7,
		BGl_z62zc3anonymousza32603ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2cza7d4381za7,
		BGl_z62vlengthzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4382z00,
		BGl_z62getfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2falsezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4383z00,
		BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3630z00zzast_nodez00,
		BgL_bgl_za762lambda2601za7624384z00, BGl_z62lambda2601z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3631z00zzast_nodez00,
		BgL_bgl_za762lambda2599za7624385z00, BGl_z62lambda2599z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3632z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74386za7,
		BGl_z62zc3anonymousza32626ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3633z00zzast_nodez00,
		BgL_bgl_za762lambda2625za7624387z00, BGl_z62lambda2625z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2argszd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24388za7,
		BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3634z00zzast_nodez00,
		BgL_bgl_za762lambda2624za7624389z00, BGl_z62lambda2624z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2loczd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2loc4390za7, BGl_z62vsetz12zd2locza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3635z00zzast_nodez00,
		BgL_bgl_za762lambda2631za7624391z00, BGl_z62lambda2631z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3636z00zzast_nodez00,
		BgL_bgl_za762lambda2630za7624392z00, BGl_z62lambda2630z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3637z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74393za7,
		BGl_z62zc3anonymousza32618ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3638z00zzast_nodez00,
		BgL_bgl_za762lambda2616za7624394z00, BGl_z62lambda2616z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3639z00zzast_nodez00,
		BgL_bgl_za762lambda2614za7624395z00, BGl_z62lambda2614z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2newzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2newza7b04396za7, BGl_z62makezd2newzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2keyzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key4397za7, BGl_z62vsetz12zd2keyza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2nilza7b4398za7, BGl_z62kwotezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2variabl4399z00, BGl_z62varzd2variablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24400z00,
		BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4401z00,
		BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3800z00zzast_nodez00,
		BgL_bgl_za762lambda3150za7624402z00, BGl_z62lambda3150z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3801z00zzast_nodez00,
		BgL_bgl_za762lambda3149za7624403z00, BGl_z62lambda3149z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3802z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74404za7,
		BGl_z62zc3anonymousza33139ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3640z00zzast_nodez00,
		BgL_bgl_za762lambda2647za7624405z00, BGl_z62lambda2647z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3803z00zzast_nodez00,
		BgL_bgl_za762lambda3137za7624406z00, BGl_z62lambda3137z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3641z00zzast_nodez00,
		BgL_bgl_za762lambda2646za7624407z00, BGl_z62lambda2646z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3804z00zzast_nodez00,
		BgL_bgl_za762lambda3135za7624408z00, BGl_z62lambda3135z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3642z00zzast_nodez00,
		BgL_bgl_za762lambda2653za7624409z00, BGl_z62lambda2653z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3805z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74410za7,
		BGl_z62zc3anonymousza33167ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3643z00zzast_nodez00,
		BgL_bgl_za762lambda2652za7624411z00, BGl_z62lambda2652z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3806z00zzast_nodez00,
		BgL_bgl_za762lambda3166za7624412z00, BGl_z62lambda3166z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3644z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74413za7,
		BGl_z62zc3anonymousza32642ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3807z00zzast_nodez00,
		BgL_bgl_za762lambda3165za7624414z00, BGl_z62lambda3165z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3645z00zzast_nodez00,
		BgL_bgl_za762lambda2640za7624415z00, BGl_z62lambda2640z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3808z00zzast_nodez00,
		BgL_bgl_za762lambda3172za7624416z00, BGl_z62lambda3172z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3646z00zzast_nodez00,
		BgL_bgl_za762lambda2638za7624417z00, BGl_z62lambda2638z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3809z00zzast_nodez00,
		BgL_bgl_za762lambda3171za7624418z00, BGl_z62lambda3171z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3647z00zzast_nodez00,
		BgL_bgl_za762lambda2668za7624419z00, BGl_z62lambda2668z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3648z00zzast_nodez00,
		BgL_bgl_za762lambda2667za7624420z00, BGl_z62lambda2667z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3649z00zzast_nodez00,
		BgL_bgl_za762lambda2673za7624421z00, BGl_z62lambda2673z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ni4422z00, BGl_z62getfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vrefzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vrefza7b4423za7, BGl_z62makezd2vrefzb0zzast_nodez00,
		0L, BUNSPEC, 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2si4424z00,
		BGl_z62wideningzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot4425z00,
		BGl_z62getfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4426z00,
		BGl_z62closurezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3810z00zzast_nodez00,
		BgL_bgl_za762lambda3177za7624427z00, BGl_z62lambda3177z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3811z00zzast_nodez00,
		BgL_bgl_za762lambda3176za7624428z00, BGl_z62lambda3176z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3812z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74429za7,
		BGl_z62zc3anonymousza33160ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3650z00zzast_nodez00,
		BgL_bgl_za762lambda2672za7624430z00, BGl_z62lambda2672z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3813z00zzast_nodez00,
		BgL_bgl_za762lambda3158za7624431z00, BGl_z62lambda3158z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3651z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74432za7,
		BGl_z62zc3anonymousza32663ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3814z00zzast_nodez00,
		BgL_bgl_za762lambda3156za7624433z00, BGl_z62lambda3156z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3652z00zzast_nodez00,
		BgL_bgl_za762lambda2661za7624434z00, BGl_z62lambda2661z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3815z00zzast_nodez00,
		BgL_bgl_za762lambda3194za7624435z00, BGl_z62lambda3194z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3653z00zzast_nodez00,
		BgL_bgl_za762lambda2659za7624436z00, BGl_z62lambda2659z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3816z00zzast_nodez00,
		BgL_bgl_za762lambda3193za7624437z00, BGl_z62lambda3193z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3654z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74438za7,
		BGl_z62zc3anonymousza32690ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7b04439za7, BGl_z62appzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3817z00zzast_nodez00,
		BgL_bgl_za762lambda3200za7624440z00, BGl_z62lambda3200z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3655z00zzast_nodez00,
		BgL_bgl_za762lambda2689za7624441z00, BGl_z62lambda2689z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3818z00zzast_nodez00,
		BgL_bgl_za762lambda3199za7624442z00, BGl_z62lambda3199z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3656z00zzast_nodez00,
		BgL_bgl_za762lambda2688za7624443z00, BGl_z62lambda2688z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v4444za7,
		BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3819z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74445za7,
		BGl_z62zc3anonymousza33188ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3657z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74446za7,
		BGl_z62zc3anonymousza32697ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3658z00zzast_nodez00,
		BgL_bgl_za762lambda2696za7624447z00, BGl_z62lambda2696z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3659z00zzast_nodez00,
		BgL_bgl_za762lambda2695za7624448z00, BGl_z62lambda2695z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2exprza2zd2envzb0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp4449za7,
		BGl_z62vsetz12zd2exprza2z00zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4450za7,
		BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d4451za7,
		BGl_z62vrefzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7b4452za7, BGl_z62atomzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24453za7,
		BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7d4454za7,
		BGl_z62synczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3820z00zzast_nodez00,
		BgL_bgl_za762lambda3186za7624455z00, BGl_z62lambda3186z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3821z00zzast_nodez00,
		BgL_bgl_za762lambda3184za7624456z00, BGl_z62lambda3184z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3822z00zzast_nodez00,
		BgL_bgl_za762lambda3221za7624457z00, BGl_z62lambda3221z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3660z00zzast_nodez00,
		BgL_bgl_za762lambda2702za7624458z00, BGl_z62lambda2702z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3823z00zzast_nodez00,
		BgL_bgl_za762lambda3220za7624459z00, BGl_z62lambda3220z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3661z00zzast_nodez00,
		BgL_bgl_za762lambda2701za7624460z00, BGl_z62lambda2701z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3824z00zzast_nodez00,
		BgL_bgl_za762lambda3226za7624461z00, BGl_z62lambda3226z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3662z00zzast_nodez00,
		BgL_bgl_za762lambda2707za7624462z00, BGl_z62lambda2707z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3825z00zzast_nodez00,
		BgL_bgl_za762lambda3225za7624463z00, BGl_z62lambda3225z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3663z00zzast_nodez00,
		BgL_bgl_za762lambda2706za7624464z00, BGl_z62lambda2706z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3826z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74465za7,
		BGl_z62zc3anonymousza33215ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3664z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74466za7,
		BGl_z62zc3anonymousza32683ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3827z00zzast_nodez00,
		BgL_bgl_za762lambda3213za7624467z00, BGl_z62lambda3213z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3665z00zzast_nodez00,
		BgL_bgl_za762lambda2681za7624468z00, BGl_z62lambda2681z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3828z00zzast_nodez00,
		BgL_bgl_za762lambda3211za7624469z00, BGl_z62lambda3211z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3666z00zzast_nodez00,
		BgL_bgl_za762lambda2679za7624470z00, BGl_z62lambda2679z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3829z00zzast_nodez00,
		BgL_bgl_za762lambda3254za7624471z00, BGl_z62lambda3254z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3667z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74472za7,
		BGl_z62zc3anonymousza32725ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3668z00zzast_nodez00,
		BgL_bgl_za762lambda2724za7624473z00, BGl_z62lambda2724z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2instanceofzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2instan4474z00,
		BGl_z62makezd2instanceofzb0zzast_nodez00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3669z00zzast_nodez00,
		BgL_bgl_za762lambda2723za7624475z00, BGl_z62lambda2723z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24476z00,
		BGl_z62instanceofzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4477za7,
		BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2exprza2zd2setz12zd2envzb0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4478za7,
		BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr4479z00,
		BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3830z00zzast_nodez00,
		BgL_bgl_za762lambda3253za7624480z00, BGl_z62lambda3253z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3831z00zzast_nodez00,
		BgL_bgl_za762lambda3261za7624481z00, BGl_z62lambda3261z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2nilza7b04482za7, BGl_z62setqzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3832z00zzast_nodez00,
		BgL_bgl_za762lambda3260za7624483z00, BGl_z62lambda3260z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3670z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74484za7,
		BGl_z62zc3anonymousza32732ze3ze1zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3833z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74485za7,
		BGl_z62zc3anonymousza33249ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3671z00zzast_nodez00,
		BgL_bgl_za762lambda2731za7624486z00, BGl_z62lambda2731z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2type4487z00, BGl_z62selectzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3834z00zzast_nodez00,
		BgL_bgl_za762lambda3246za7624488z00, BGl_z62lambda3246z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3672z00zzast_nodez00,
		BgL_bgl_za762lambda2730za7624489z00, BGl_z62lambda2730z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si4490z00,
		BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3835z00zzast_nodez00,
		BgL_bgl_za762lambda3236za7624491z00, BGl_z62lambda3236z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3673z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74492za7,
		BGl_z62zc3anonymousza32718ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3836z00zzast_nodez00,
		BgL_bgl_za762lambda3277za7624493z00, BGl_z62lambda3277z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3674z00zzast_nodez00,
		BgL_bgl_za762lambda2716za7624494z00, BGl_z62lambda2716z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3837z00zzast_nodez00,
		BgL_bgl_za762lambda3276za7624495z00, BGl_z62lambda3276z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3675z00zzast_nodez00,
		BgL_bgl_za762lambda2714za7624496z00, BGl_z62lambda2714z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3838z00zzast_nodez00,
		BgL_bgl_za762lambda3282za7624497z00, BGl_z62lambda3282z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3676z00zzast_nodez00,
		BgL_bgl_za762lambda2747za7624498z00, BGl_z62lambda2747z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3839z00zzast_nodez00,
		BgL_bgl_za762lambda3281za7624499z00, BGl_z62lambda3281z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3677z00zzast_nodez00,
		BgL_bgl_za762lambda2746za7624500z00, BGl_z62lambda2746z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3678z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74501za7,
		BGl_z62zc3anonymousza32742ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3679z00zzast_nodez00,
		BgL_bgl_za762lambda2740za7624502z00, BGl_z62lambda2740z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si4503z00,
		BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4504za7,
		BGl_z62appzd2lyzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3840z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74505za7,
		BGl_z62zc3anonymousza33272ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4506z00,
		BGl_z62valloczd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3841z00zzast_nodez00,
		BgL_bgl_za762lambda3270za7624507z00, BGl_z62lambda3270z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr4508z00,
		BGl_z62pragmazd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3842z00zzast_nodez00,
		BgL_bgl_za762lambda3268za7624509z00, BGl_z62lambda3268z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3680z00zzast_nodez00,
		BgL_bgl_za762lambda2738za7624510z00, BGl_z62lambda2738z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3843z00zzast_nodez00,
		BgL_bgl_za762lambda3319za7624511z00, BGl_z62lambda3319z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3681z00zzast_nodez00,
		BgL_bgl_za762lambda2763za7624512z00, BGl_z62lambda2763z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4513za7,
		BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3844z00zzast_nodez00,
		BgL_bgl_za762lambda3318za7624514z00, BGl_z62lambda3318z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3682z00zzast_nodez00,
		BgL_bgl_za762lambda2762za7624515z00, BGl_z62lambda2762z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3845z00zzast_nodez00,
		BgL_bgl_za762lambda3325za7624516z00, BGl_z62lambda3325z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3683z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74517za7,
		BGl_z62zc3anonymousza32758ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7f3za744518z00, BGl_z62appzd2lyzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3846z00zzast_nodez00,
		BgL_bgl_za762lambda3324za7624519z00, BGl_z62lambda3324z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3684z00zzast_nodez00,
		BgL_bgl_za762lambda2756za7624520z00, BGl_z62lambda2756z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2nilzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74521z00,
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7f34522za7, BGl_z62makezd2boxzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3847z00zzast_nodez00,
		BgL_bgl_za762lambda3330za7624523z00, BGl_z62lambda3330z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3685z00zzast_nodez00,
		BgL_bgl_za762lambda2754za7624524z00, BGl_z62lambda2754z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3848z00zzast_nodez00,
		BgL_bgl_za762lambda3329za7624525z00, BGl_z62lambda3329z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3686z00zzast_nodez00,
		BgL_bgl_za762lambda2778za7624526z00, BGl_z62lambda2778z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3849z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74527za7,
		BGl_z62zc3anonymousza33314ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3687z00zzast_nodez00,
		BgL_bgl_za762lambda2777za7624528z00, BGl_z62lambda2777z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3688z00zzast_nodez00,
		BgL_bgl_za762lambda2783za7624529z00, BGl_z62lambda2783z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3689z00zzast_nodez00,
		BgL_bgl_za762lambda2782za7624530z00, BGl_z62lambda2782z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24531za7,
		BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2truezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4532z00,
		BGl_z62conditionalzd2truezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7b4533za7, BGl_z62vrefzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft4534z00,
		BGl_z62setfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2typezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74535z00,
		BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3850z00zzast_nodez00,
		BgL_bgl_za762lambda3312za7624536z00, BGl_z62lambda3312z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3851z00zzast_nodez00,
		BgL_bgl_za762lambda3310za7624537z00, BGl_z62lambda3310z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3852z00zzast_nodez00,
		BgL_bgl_za762lambda3350za7624538z00, BGl_z62lambda3350z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3690z00zzast_nodez00,
		BgL_bgl_za762lambda2788za7624539z00, BGl_z62lambda2788z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3853z00zzast_nodez00,
		BgL_bgl_za762lambda3349za7624540z00, BGl_z62lambda3349z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3691z00zzast_nodez00,
		BgL_bgl_za762lambda2787za7624541z00, BGl_z62lambda2787z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza74542za7, BGl_z62vrefzd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3854z00zzast_nodez00,
		BgL_bgl_za762lambda3355za7624543z00, BGl_z62lambda3355z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3692z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74544za7,
		BGl_z62zc3anonymousza32773ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vrefza7f3za791za7za7a4545za7, BGl_z62vrefzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3855z00zzast_nodez00,
		BgL_bgl_za762lambda3354za7624546z00, BGl_z62lambda3354z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3693z00zzast_nodez00,
		BgL_bgl_za762lambda2771za7624547z00, BGl_z62lambda2771z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3856z00zzast_nodez00,
		BgL_bgl_za762lambda3360za7624548z00, BGl_z62lambda3360z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3694z00zzast_nodez00,
		BgL_bgl_za762lambda2769za7624549z00, BGl_z62lambda2769z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3857z00zzast_nodez00,
		BgL_bgl_za762lambda3359za7624550z00, BGl_z62lambda3359z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3695z00zzast_nodez00,
		BgL_bgl_za762lambda2803za7624551z00, BGl_z62lambda2803z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3858z00zzast_nodez00,
		BgL_bgl_za762za7c3anonymousza74552za7,
		BGl_z62zc3anonymousza33343ze3ze1zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3696z00zzast_nodez00,
		BgL_bgl_za762lambda2802za7624553z00, BGl_z62lambda2802z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3859z00zzast_nodez00,
		BgL_bgl_za762lambda3341za7624554z00, BGl_z62lambda3341z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3697z00zzast_nodez00,
		BgL_bgl_za762lambda2808za7624555z00, BGl_z62lambda2808z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr4556z00,
		BGl_z62valloczd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3698z00zzast_nodez00,
		BgL_bgl_za762lambda2807za7624557z00, BGl_z62lambda2807z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3699z00zzast_nodez00,
		BgL_bgl_za762lambda2814za7624558z00, BGl_z62lambda2814z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4559za7,
		BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762syncza7f3za791za7za7a4560za7, BGl_z62synczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2l4561za7,
		BGl_z62letzd2varzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2privatezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2privat4562z00, BGl_z62makezd2privatezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2sid4563z00,
		BGl_z62privatezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762newza7f3za791za7za7as4564za7, BGl_z62newzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2locza74565za7, BGl_z62selectzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2typezd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4566z00,
		BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3860z00zzast_nodez00,
		BgL_bgl_za762lambda3339za7624567z00, BGl_z62lambda3339z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3862z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walk244568z00, BGl_z62nodezd2walk2417zb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k4569za7,
		BGl_z62letzd2varzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3865z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4570za7,
		BGl_z62nodezd2walkzd2atom2420z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3867z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4571za7,
		BGl_z62nodezd2walkzd2var2422z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762selectza7d2keyza74572za7, BGl_z62selectzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3868z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4573za7,
		BGl_z62nodezd2walkzd2kwote2424z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3869z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4574za7,
		BGl_z62nodezd2walkzd2sequence2426z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7b4575za7, BGl_z62synczd2bodyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4576za7,
		BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2strengthzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2str4577z00,
		BGl_z62funcallzd2strengthzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2nilza7b04578za7, BGl_z62vrefzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d24579za7,
		BGl_z62makezd2letzd2funz62zzast_nodez00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4580za7,
		BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2classzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24581z00,
		BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ni4582z00, BGl_z62sequencezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7b4583za7, BGl_z62failzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2locza74584za7, BGl_z62valloczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3870z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4585za7,
		BGl_z62nodezd2walkzd2sync2428z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3871z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4586za7,
		BGl_z62nodezd2walkzd2app2430z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3872z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4587za7,
		BGl_z62nodezd2walkzd2appzd2ly2432zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3873z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4588za7,
		BGl_z62nodezd2walkzd2funcall2434z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2argszd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24589za7,
		BGl_z62newzd2argszd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3874z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4590za7,
		BGl_z62nodezd2walkzd2extern2436z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2varza7b04591za7, BGl_z62makezd2varzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3875z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4592za7,
		BGl_z62nodezd2walkzd2cast2438z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3876z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4593za7,
		BGl_z62nodezd2walkzd2setq2440z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3877z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4594za7,
		BGl_z62nodezd2walkzd2conditiona2442z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza74595za7, BGl_z62valloczd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3878z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4596za7,
		BGl_z62nodezd2walkzd2fail2444z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3879z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4597za7,
		BGl_z62nodezd2walkzd2select2446z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2l4598za7,
		BGl_z62boxzd2refzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2objza7d24599za7,
		BGl_z62failzd2objzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24600za7,
		BGl_z62makezd2boxzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k4601za7,
		BGl_z62boxzd2refzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k4602za7,
		BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2cza7d2for4603za7,
		BGl_z62newzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3880z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4604za7,
		BGl_z62nodezd2walkzd2makezd2box2448zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3881z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4605za7,
		BGl_z62nodezd2walkzd2boxzd2ref2450zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3882z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4606za7,
		BGl_z62nodezd2walkzd2boxzd2setz122452za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3883z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4607za7,
		BGl_z62nodezd2walkzd2letzd2fun2454zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3884z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4608za7,
		BGl_z62nodezd2walkzd2letzd2var2456zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2kwoteza74609za7, BGl_z62makezd2kwotezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3885z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4610za7,
		BGl_z62nodezd2walkzd2setzd2exzd2it2458z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3886z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4611za7,
		BGl_z62nodezd2walkzd2jumpzd2exzd2it2460z62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2setz12zd2envze1zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4612za7,
		BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2type4613z00,
		BGl_z62externzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4614z00,
		BGl_z62conditionalzd2testzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2vtypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty4615za7,
		BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762externza7d2side4616z00,
		BGl_z62externzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24617za7,
		BGl_z62makezd2boxzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762funcallza7f3za7914618za7, BGl_z62funcallzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2value4619z00, BGl_z62kwotezd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2funza7b0za74620z00, BGl_z62appzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24621z00,
		BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762appza7f3za791za7za7as4622za7, BGl_z62appzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2nilza74623za7, BGl_z62pragmazd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4624z00,
		BGl_z62wideningzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2falsezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4625z00,
		BGl_z62conditionalzd2falsezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff4626z00,
		BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2effe4627z00, BGl_z62externzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762atomza7f3za791za7za7a4628za7, BGl_z62atomzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza74629za7,
		BGl_z62kwotezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4630za7,
		BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a24631za7, BGl_z62newzd2exprza2z12zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2loc4632z00, BGl_z62vlengthzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4633z00, BGl_z62sequencezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef4634z00,
		BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4635za7,
		BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2nil4636z00, BGl_z62privatezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7b4637za7, BGl_z62setqzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key4638z00, BGl_z62vlengthzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2argzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar4639za7,
		BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762externza7f3za791za74640z00, BGl_z62externzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b4641za7,
		BGl_z62letzd2funzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24642za7,
		BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4643z00,
		BGl_z62sequencezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect4644z00,
		BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2n4645za7,
		BGl_z62letzd2funzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4646z00, BGl_z62closurezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid4647za7,
		BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vlengthza7f3za7914648za7, BGl_z62vlengthzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2effectzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff4649za7,
		BGl_z62vsetz12zd2effectza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4650z00,
		BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762varza7f3za791za7za7as4651za7, BGl_z62varzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot4652z00,
		BGl_z62setfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2locza7b04653za7, BGl_z62nodezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7b4654za7, BGl_z62makezd2nodezb0zzast_nodez00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24655z00,
		BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex4656z00,
		BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4657z00,
		BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4658za7,
		BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2locza7b04659za7, BGl_z62failzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2type4660z00,
		BGl_z62valloczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2loc4661z00, BGl_z62funcallzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza74662za7,
		BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762wideningza7f3za794663za7, BGl_z62wideningzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4664z00,
		BGl_z62valloczd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4665z00, BGl_z62valloczd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s4666za7,
		BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza74667za7,
		BGl_z62setqzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2functionszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4668z00,
		BGl_z62funcallzd2functionszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bindingszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4669za7,
		BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza74670za7,
		BGl_z62synczd2mutexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2cza7d2fo4671za7,
		BGl_z62vrefzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7b4672za7, BGl_z62castzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24673za7,
		BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_selectzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762selectza7f3za791za74674z00, BGl_z62selectzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long
		BgL_checksumz00_9497, char *BgL_fromz00_9498)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzast_nodez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_nodez00();
					BGl_cnstzd2initzd2zzast_nodez00();
					BGl_importedzd2moduleszd2initz00zzast_nodez00();
					BGl_objectzd2initzd2zzast_nodez00();
					BGl_genericzd2initzd2zzast_nodez00();
					BGl_methodzd2initzd2zzast_nodez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_node");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 14 */
				obj_t BgL_cportz00_8185;

				BgL_cportz00_8185 =
					bgl_open_input_string(BGl_string3888z00zzast_nodez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_8186;

					BgL_iz00_8186 = ((long) 81);
				BgL_loopz00_8187:
					if ((BgL_iz00_8186 == ((long) -1)))
						{	/* Ast/node.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/node.scm 14 */
							{	/* Ast/node.scm 14 */
								obj_t BgL_arg3891z00_8189;

								{	/* Ast/node.scm 14 */

									{	/* Ast/node.scm 14 */
										obj_t BgL_locationz00_8191;

										BgL_locationz00_8191 = BBOOL(((bool_t) 0));
										{	/* Ast/node.scm 14 */

											BgL_arg3891z00_8189 =
												BGl_readz00zz__readerz00(BgL_cportz00_8185,
												BgL_locationz00_8191);
										}
									}
								}
								{	/* Ast/node.scm 14 */
									int BgL_auxz00_9520;

									BgL_auxz00_9520 = (int) (BgL_iz00_8186);
									CNST_TABLE_SET(BgL_auxz00_9520, BgL_arg3891z00_8189);
							}}
							{	/* Ast/node.scm 14 */
								int BgL_auxz00_8192;

								BgL_auxz00_8192 = (int) ((BgL_iz00_8186 - ((long) 1)));
								{
									long BgL_iz00_9525;

									BgL_iz00_9525 = (long) (BgL_auxz00_8192);
									BgL_iz00_8186 = BgL_iz00_9525;
									goto BgL_loopz00_8187;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			return BUNSPEC;
		}
	}



/* make-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t
		BgL_loc1653z00_3, BgL_typez00_bglt BgL_type1654z00_4)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 647 */
			{	/* Ast/nodetype.sch 647 */
				BgL_nodez00_bglt BgL_new1387z00_8193;

				{	/* Ast/nodetype.sch 647 */
					BgL_nodez00_bglt BgL_new1386z00_8194;

					BgL_new1386z00_8194 =
						((BgL_nodez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/nodetype.sch 647 */
						long BgL_arg2465z00_8195;

						{	/* Ast/nodetype.sch 647 */
							long BgL_res3453z00_8196;

							BgL_res3453z00_8196 = BGL_CLASS_INDEX(BGl_nodez00zzast_nodez00);
							BgL_arg2465z00_8195 = BgL_res3453z00_8196;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1386z00_8194), BgL_arg2465z00_8195);
					}
					{	/* Ast/nodetype.sch 647 */
						BgL_objectz00_bglt BgL_auxz00_9531;

						BgL_auxz00_9531 = ((BgL_objectz00_bglt) BgL_new1386z00_8194);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9531, BFALSE);
					}
					BgL_new1387z00_8193 = BgL_new1386z00_8194;
				}
				((((BgL_nodez00_bglt) CREF(BgL_new1387z00_8193))->BgL_locz00) =
					((obj_t) BgL_loc1653z00_3), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(BgL_new1387z00_8193))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1654z00_4), BUNSPEC);
				return BgL_new1387z00_8193;
			}
		}
	}



/* &make-node */
	BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t BgL_envz00_5805,
		obj_t BgL_loc1653z00_5806, obj_t BgL_type1654z00_5807)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 647 */
			{	/* Ast/nodetype.sch 647 */
				BgL_nodez00_bglt BgL_new1387z00_8199;

				{	/* Ast/nodetype.sch 647 */
					BgL_nodez00_bglt BgL_new1386z00_8200;

					BgL_new1386z00_8200 =
						((BgL_nodez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/nodetype.sch 647 */
						long BgL_arg2465z00_8201;

						{	/* Ast/nodetype.sch 647 */
							long BgL_res3453z00_8202;

							BgL_res3453z00_8202 = BGL_CLASS_INDEX(BGl_nodez00zzast_nodez00);
							BgL_arg2465z00_8201 = BgL_res3453z00_8202;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1386z00_8200), BgL_arg2465z00_8201);
					}
					{	/* Ast/nodetype.sch 647 */
						BgL_objectz00_bglt BgL_auxz00_9540;

						BgL_auxz00_9540 = ((BgL_objectz00_bglt) BgL_new1386z00_8200);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9540, BFALSE);
					}
					BgL_new1387z00_8199 = BgL_new1386z00_8200;
				}
				((((BgL_nodez00_bglt) CREF(BgL_new1387z00_8199))->BgL_locz00) =
					((obj_t) BgL_loc1653z00_5806), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(BgL_new1387z00_8199))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1654z00_5807)),
					BUNSPEC);
				return BgL_new1387z00_8199;
			}
		}
	}



/* node? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf3zf3zzast_nodez00(obj_t BgL_objz00_5)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 648 */
			return BGl_isazf3zf3zz__objectz00(BgL_objz00_5, BGl_nodez00zzast_nodez00);
		}
	}



/* &node? */
	obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t BgL_envz00_5808,
		obj_t BgL_objz00_5809)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 648 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5809,
					BGl_nodez00zzast_nodez00));
		}
	}



/* node-nil */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 649 */
			{	/* Ast/nodetype.sch 649 */
				obj_t BgL_classz00_4135;

				BgL_classz00_4135 = BGl_nodez00zzast_nodez00;
				{	/* Ast/nodetype.sch 649 */
					obj_t BgL__ortest_1092z00_4136;

					BgL__ortest_1092z00_4136 = BGL_CLASS_NIL(BgL_classz00_4135);
					if (CBOOL(BgL__ortest_1092z00_4136))
						{	/* Ast/nodetype.sch 649 */
							return ((BgL_nodez00_bglt) BgL__ortest_1092z00_4136);
						}
					else
						{	/* Ast/nodetype.sch 649 */
							return
								((BgL_nodez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4135));
						}
				}
			}
		}
	}



/* &node-nil */
	BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t BgL_envz00_5810)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 649 */
			return BGl_nodezd2nilzd2zzast_nodez00();
		}
	}



/* node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt BgL_oz00_6)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 650 */
			return (((BgL_nodez00_bglt) CREF(BgL_oz00_6))->BgL_typez00);
		}
	}



/* &node-type */
	BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t BgL_envz00_5811,
		obj_t BgL_oz00_5812)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 650 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_5812)))->BgL_typez00);
		}
	}



/* node-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt BgL_oz00_7,
		BgL_typez00_bglt BgL_vz00_8)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 651 */
			return
				((((BgL_nodez00_bglt) CREF(BgL_oz00_7))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_8), BUNSPEC);
		}
	}



/* &node-type-set! */
	obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5813,
		obj_t BgL_oz00_5814, obj_t BgL_vz00_5815)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 651 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_5814)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_5815)), BUNSPEC);
		}
	}



/* node-loc */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt
		BgL_oz00_9)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 652 */
			return (((BgL_nodez00_bglt) CREF(BgL_oz00_9))->BgL_locz00);
		}
	}



/* &node-loc */
	obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t BgL_envz00_5816,
		obj_t BgL_oz00_5817)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 652 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_5817)))->BgL_locz00);
		}
	}



/* make-node/effect */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t BgL_loc1647z00_12,
		BgL_typez00_bglt BgL_type1648z00_13, obj_t BgL_sidezd2effect1649zd2_14,
		obj_t BgL_key1650z00_15)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 656 */
			{	/* Ast/nodetype.sch 656 */
				BgL_nodezf2effectzf2_bglt BgL_new1393z00_8208;

				{	/* Ast/nodetype.sch 656 */
					BgL_nodezf2effectzf2_bglt BgL_new1392z00_8209;

					BgL_new1392z00_8209 =
						((BgL_nodezf2effectzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/nodetype.sch 656 */
						long BgL_arg2466z00_8210;

						{	/* Ast/nodetype.sch 656 */
							long BgL_res3454z00_8211;

							BgL_res3454z00_8211 =
								BGL_CLASS_INDEX(BGl_nodezf2effectzf2zzast_nodez00);
							BgL_arg2466z00_8210 = BgL_res3454z00_8211;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1392z00_8209), BgL_arg2466z00_8210);
					}
					{	/* Ast/nodetype.sch 656 */
						BgL_objectz00_bglt BgL_auxz00_9570;

						BgL_auxz00_9570 = ((BgL_objectz00_bglt) BgL_new1392z00_8209);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9570, BFALSE);
					}
					BgL_new1393z00_8208 = BgL_new1392z00_8209;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1393z00_8208)))->BgL_locz00) =
					((obj_t) BgL_loc1647z00_12), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1393z00_8208)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1648z00_13), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1393z00_8208))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1649zd2_14), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1393z00_8208))->BgL_keyz00) =
					((obj_t) BgL_key1650z00_15), BUNSPEC);
				return BgL_new1393z00_8208;
			}
		}
	}



/* &make-node/effect */
	BgL_nodezf2effectzf2_bglt BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t
		BgL_envz00_5818, obj_t BgL_loc1647z00_5819, obj_t BgL_type1648z00_5820,
		obj_t BgL_sidezd2effect1649zd2_5821, obj_t BgL_key1650z00_5822)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 656 */
			{	/* Ast/nodetype.sch 656 */
				BgL_nodezf2effectzf2_bglt BgL_new1393z00_8216;

				{	/* Ast/nodetype.sch 656 */
					BgL_nodezf2effectzf2_bglt BgL_new1392z00_8217;

					BgL_new1392z00_8217 =
						((BgL_nodezf2effectzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/nodetype.sch 656 */
						long BgL_arg2466z00_8218;

						{	/* Ast/nodetype.sch 656 */
							long BgL_res3454z00_8219;

							BgL_res3454z00_8219 =
								BGL_CLASS_INDEX(BGl_nodezf2effectzf2zzast_nodez00);
							BgL_arg2466z00_8218 = BgL_res3454z00_8219;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1392z00_8217), BgL_arg2466z00_8218);
					}
					{	/* Ast/nodetype.sch 656 */
						BgL_objectz00_bglt BgL_auxz00_9583;

						BgL_auxz00_9583 = ((BgL_objectz00_bglt) BgL_new1392z00_8217);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9583, BFALSE);
					}
					BgL_new1393z00_8216 = BgL_new1392z00_8217;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1393z00_8216)))->BgL_locz00) =
					((obj_t) BgL_loc1647z00_5819), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1393z00_8216)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1648z00_5820)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1393z00_8216))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1649zd2_5821), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1393z00_8216))->BgL_keyz00) =
					((obj_t) BgL_key1650z00_5822), BUNSPEC);
				return BgL_new1393z00_8216;
			}
		}
	}



/* node/effect? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t
		BgL_objz00_16)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 657 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_16,
				BGl_nodezf2effectzf2zzast_nodez00);
		}
	}



/* &node/effect? */
	obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t BgL_envz00_5823,
		obj_t BgL_objz00_5824)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 657 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5824,
					BGl_nodezf2effectzf2zzast_nodez00));
		}
	}



/* node/effect-nil */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 658 */
			{	/* Ast/nodetype.sch 658 */
				obj_t BgL_classz00_4147;

				BgL_classz00_4147 = BGl_nodezf2effectzf2zzast_nodez00;
				{	/* Ast/nodetype.sch 658 */
					obj_t BgL__ortest_1092z00_4148;

					BgL__ortest_1092z00_4148 = BGL_CLASS_NIL(BgL_classz00_4147);
					if (CBOOL(BgL__ortest_1092z00_4148))
						{	/* Ast/nodetype.sch 658 */
							return ((BgL_nodezf2effectzf2_bglt) BgL__ortest_1092z00_4148);
						}
					else
						{	/* Ast/nodetype.sch 658 */
							return
								((BgL_nodezf2effectzf2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4147));
						}
				}
			}
		}
	}



/* &node/effect-nil */
	BgL_nodezf2effectzf2_bglt BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t
		BgL_envz00_5825)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 658 */
			return BGl_nodezf2effectzd2nilz20zzast_nodez00();
		}
	}



/* node/effect-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_17)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 659 */
			return (((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_17))->BgL_keyz00);
		}
	}



/* &node/effect-key */
	obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t BgL_envz00_5826,
		obj_t BgL_oz00_5827)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 659 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_5827)))->BgL_keyz00);
		}
	}



/* node/effect-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_18, obj_t BgL_vz00_19)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 660 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_18))->BgL_keyz00) =
				((obj_t) BgL_vz00_19), BUNSPEC);
		}
	}



/* &node/effect-key-set! */
	obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_5828, obj_t BgL_oz00_5829, obj_t BgL_vz00_5830)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 660 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_5829)))->BgL_keyz00) =
				((obj_t) BgL_vz00_5830), BUNSPEC);
		}
	}



/* node/effect-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_20)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 661 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_20))->BgL_sidezd2effectzd2);
		}
	}



/* &node/effect-side-effect */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t
		BgL_envz00_5831, obj_t BgL_oz00_5832)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 661 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_5832)))->
				BgL_sidezd2effectzd2);
		}
	}



/* node/effect-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt BgL_oz00_21, obj_t BgL_vz00_22)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 662 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_oz00_21))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_22), BUNSPEC);
		}
	}



/* &node/effect-side-effect-set! */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t
		BgL_envz00_5833, obj_t BgL_oz00_5834, obj_t BgL_vz00_5835)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 662 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_5834)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_5835), BUNSPEC);
		}
	}



/* node/effect-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_23)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 663 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_23)))->BgL_typez00);
		}
	}



/* &node/effect-type */
	BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t
		BgL_envz00_5836, obj_t BgL_oz00_5837)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 663 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_5837))))->BgL_typez00);
		}
	}



/* node/effect-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_24, BgL_typez00_bglt BgL_vz00_25)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 664 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_24)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_25), BUNSPEC);
		}
	}



/* &node/effect-type-set! */
	obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_5838, obj_t BgL_oz00_5839, obj_t BgL_vz00_5840)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 664 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_nodezf2effectzf2_bglt) BgL_oz00_5839))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_5840)), BUNSPEC);
		}
	}



/* node/effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_26)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 665 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_26)))->BgL_locz00);
		}
	}



/* &node/effect-loc */
	obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t BgL_envz00_5841,
		obj_t BgL_oz00_5842)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 665 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_5842))))->BgL_locz00);
		}
	}



/* make-atom */
	BGL_EXPORTED_DEF BgL_atomz00_bglt BGl_makezd2atomzd2zzast_nodez00(obj_t
		BgL_loc1643z00_29, BgL_typez00_bglt BgL_type1644z00_30,
		obj_t BgL_value1645z00_31)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 669 */
			{	/* Ast/nodetype.sch 669 */
				BgL_atomz00_bglt BgL_new1403z00_8231;

				{	/* Ast/nodetype.sch 669 */
					BgL_atomz00_bglt BgL_new1402z00_8232;

					BgL_new1402z00_8232 =
						((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_atomz00_bgl))));
					{	/* Ast/nodetype.sch 669 */
						long BgL_arg2467z00_8233;

						{	/* Ast/nodetype.sch 669 */
							long BgL_res3455z00_8234;

							BgL_res3455z00_8234 = BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
							BgL_arg2467z00_8233 = BgL_res3455z00_8234;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1402z00_8232), BgL_arg2467z00_8233);
					}
					{	/* Ast/nodetype.sch 669 */
						BgL_objectz00_bglt BgL_auxz00_9635;

						BgL_auxz00_9635 = ((BgL_objectz00_bglt) BgL_new1402z00_8232);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9635, BFALSE);
					}
					BgL_new1403z00_8231 = BgL_new1402z00_8232;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1403z00_8231)))->BgL_locz00) =
					((obj_t) BgL_loc1643z00_29), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1403z00_8231)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1644z00_30), BUNSPEC);
				((((BgL_atomz00_bglt) CREF(BgL_new1403z00_8231))->BgL_valuez00) =
					((obj_t) BgL_value1645z00_31), BUNSPEC);
				return BgL_new1403z00_8231;
			}
		}
	}



/* &make-atom */
	BgL_atomz00_bglt BGl_z62makezd2atomzb0zzast_nodez00(obj_t BgL_envz00_5843,
		obj_t BgL_loc1643z00_5844, obj_t BgL_type1644z00_5845,
		obj_t BgL_value1645z00_5846)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 669 */
			{	/* Ast/nodetype.sch 669 */
				BgL_atomz00_bglt BgL_new1403z00_8238;

				{	/* Ast/nodetype.sch 669 */
					BgL_atomz00_bglt BgL_new1402z00_8239;

					BgL_new1402z00_8239 =
						((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_atomz00_bgl))));
					{	/* Ast/nodetype.sch 669 */
						long BgL_arg2467z00_8240;

						{	/* Ast/nodetype.sch 669 */
							long BgL_res3455z00_8241;

							BgL_res3455z00_8241 = BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
							BgL_arg2467z00_8240 = BgL_res3455z00_8241;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1402z00_8239), BgL_arg2467z00_8240);
					}
					{	/* Ast/nodetype.sch 669 */
						BgL_objectz00_bglt BgL_auxz00_9647;

						BgL_auxz00_9647 = ((BgL_objectz00_bglt) BgL_new1402z00_8239);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9647, BFALSE);
					}
					BgL_new1403z00_8238 = BgL_new1402z00_8239;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1403z00_8238)))->BgL_locz00) =
					((obj_t) BgL_loc1643z00_5844), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1403z00_8238)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1644z00_5845)),
					BUNSPEC);
				((((BgL_atomz00_bglt) CREF(BgL_new1403z00_8238))->BgL_valuez00) =
					((obj_t) BgL_value1645z00_5846), BUNSPEC);
				return BgL_new1403z00_8238;
			}
		}
	}



/* atom? */
	BGL_EXPORTED_DEF bool_t BGl_atomzf3zf3zzast_nodez00(obj_t BgL_objz00_32)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 670 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_32, BGl_atomz00zzast_nodez00);
		}
	}



/* &atom? */
	obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t BgL_envz00_5847,
		obj_t BgL_objz00_5848)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 670 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5848,
					BGl_atomz00zzast_nodez00));
		}
	}



/* atom-nil */
	BGL_EXPORTED_DEF BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 671 */
			{	/* Ast/nodetype.sch 671 */
				obj_t BgL_classz00_4163;

				BgL_classz00_4163 = BGl_atomz00zzast_nodez00;
				{	/* Ast/nodetype.sch 671 */
					obj_t BgL__ortest_1092z00_4164;

					BgL__ortest_1092z00_4164 = BGL_CLASS_NIL(BgL_classz00_4163);
					if (CBOOL(BgL__ortest_1092z00_4164))
						{	/* Ast/nodetype.sch 671 */
							return ((BgL_atomz00_bglt) BgL__ortest_1092z00_4164);
						}
					else
						{	/* Ast/nodetype.sch 671 */
							return
								((BgL_atomz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4163));
						}
				}
			}
		}
	}



/* &atom-nil */
	BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5849)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 671 */
			return BGl_atomzd2nilzd2zzast_nodez00();
		}
	}



/* atom-value */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_33)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 672 */
			return (((BgL_atomz00_bglt) CREF(BgL_oz00_33))->BgL_valuez00);
		}
	}



/* &atom-value */
	obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t BgL_envz00_5850,
		obj_t BgL_oz00_5851)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 672 */
			return
				(((BgL_atomz00_bglt) CREF(
						((BgL_atomz00_bglt) BgL_oz00_5851)))->BgL_valuez00);
		}
	}



/* atom-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_34,
		obj_t BgL_vz00_35)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 673 */
			return
				((((BgL_atomz00_bglt) CREF(BgL_oz00_34))->BgL_valuez00) =
				((obj_t) BgL_vz00_35), BUNSPEC);
		}
	}



/* &atom-value-set! */
	obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5852,
		obj_t BgL_oz00_5853, obj_t BgL_vz00_5854)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 673 */
			return
				((((BgL_atomz00_bglt) CREF(
							((BgL_atomz00_bglt) BgL_oz00_5853)))->BgL_valuez00) =
				((obj_t) BgL_vz00_5854), BUNSPEC);
		}
	}



/* atom-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt BgL_oz00_36)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 674 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_36)))->BgL_typez00);
		}
	}



/* &atom-type */
	BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t BgL_envz00_5855,
		obj_t BgL_oz00_5856)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 674 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_atomz00_bglt) BgL_oz00_5856))))->BgL_typez00);
		}
	}



/* atom-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_37,
		BgL_typez00_bglt BgL_vz00_38)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 675 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_37)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_38), BUNSPEC);
		}
	}



/* &atom-type-set! */
	obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5857,
		obj_t BgL_oz00_5858, obj_t BgL_vz00_5859)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 675 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_atomz00_bglt) BgL_oz00_5858))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_5859)), BUNSPEC);
		}
	}



/* atom-loc */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_39)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 676 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_39)))->BgL_locz00);
		}
	}



/* &atom-loc */
	obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t BgL_envz00_5860,
		obj_t BgL_oz00_5861)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 676 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_atomz00_bglt) BgL_oz00_5861))))->BgL_locz00);
		}
	}



/* make-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t
		BgL_loc1639z00_42, BgL_typez00_bglt BgL_type1640z00_43,
		BgL_variablez00_bglt BgL_variable1641z00_44)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 680 */
			{	/* Ast/nodetype.sch 680 */
				BgL_varz00_bglt BgL_new1411z00_8250;

				{	/* Ast/nodetype.sch 680 */
					BgL_varz00_bglt BgL_new1410z00_8251;

					BgL_new1410z00_8251 =
						((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_varz00_bgl))));
					{	/* Ast/nodetype.sch 680 */
						long BgL_arg2468z00_8252;

						{	/* Ast/nodetype.sch 680 */
							long BgL_res3456z00_8253;

							BgL_res3456z00_8253 = BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
							BgL_arg2468z00_8252 = BgL_res3456z00_8253;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1410z00_8251), BgL_arg2468z00_8252);
					}
					{	/* Ast/nodetype.sch 680 */
						BgL_objectz00_bglt BgL_auxz00_9692;

						BgL_auxz00_9692 = ((BgL_objectz00_bglt) BgL_new1410z00_8251);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9692, BFALSE);
					}
					BgL_new1411z00_8250 = BgL_new1410z00_8251;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1411z00_8250)))->BgL_locz00) =
					((obj_t) BgL_loc1639z00_42), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1411z00_8250)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1640z00_43), BUNSPEC);
				((((BgL_varz00_bglt) CREF(BgL_new1411z00_8250))->BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1641z00_44), BUNSPEC);
				return BgL_new1411z00_8250;
			}
		}
	}



/* &make-var */
	BgL_varz00_bglt BGl_z62makezd2varzb0zzast_nodez00(obj_t BgL_envz00_5862,
		obj_t BgL_loc1639z00_5863, obj_t BgL_type1640z00_5864,
		obj_t BgL_variable1641z00_5865)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 680 */
			{	/* Ast/nodetype.sch 680 */
				BgL_varz00_bglt BgL_new1411z00_8257;

				{	/* Ast/nodetype.sch 680 */
					BgL_varz00_bglt BgL_new1410z00_8258;

					BgL_new1410z00_8258 =
						((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_varz00_bgl))));
					{	/* Ast/nodetype.sch 680 */
						long BgL_arg2468z00_8259;

						{	/* Ast/nodetype.sch 680 */
							long BgL_res3456z00_8260;

							BgL_res3456z00_8260 = BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
							BgL_arg2468z00_8259 = BgL_res3456z00_8260;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1410z00_8258), BgL_arg2468z00_8259);
					}
					{	/* Ast/nodetype.sch 680 */
						BgL_objectz00_bglt BgL_auxz00_9704;

						BgL_auxz00_9704 = ((BgL_objectz00_bglt) BgL_new1410z00_8258);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9704, BFALSE);
					}
					BgL_new1411z00_8257 = BgL_new1410z00_8258;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1411z00_8257)))->BgL_locz00) =
					((obj_t) BgL_loc1639z00_5863), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1411z00_8257)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1640z00_5864)),
					BUNSPEC);
				((((BgL_varz00_bglt) CREF(BgL_new1411z00_8257))->BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1641z00_5865)), BUNSPEC);
				return BgL_new1411z00_8257;
			}
		}
	}



/* var? */
	BGL_EXPORTED_DEF bool_t BGl_varzf3zf3zzast_nodez00(obj_t BgL_objz00_45)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 681 */
			return BGl_isazf3zf3zz__objectz00(BgL_objz00_45, BGl_varz00zzast_nodez00);
		}
	}



/* &var? */
	obj_t BGl_z62varzf3z91zzast_nodez00(obj_t BgL_envz00_5866,
		obj_t BgL_objz00_5867)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 681 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5867,
					BGl_varz00zzast_nodez00));
		}
	}



/* var-nil */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 682 */
			{	/* Ast/nodetype.sch 682 */
				obj_t BgL_classz00_4177;

				BgL_classz00_4177 = BGl_varz00zzast_nodez00;
				{	/* Ast/nodetype.sch 682 */
					obj_t BgL__ortest_1092z00_4178;

					BgL__ortest_1092z00_4178 = BGL_CLASS_NIL(BgL_classz00_4177);
					if (CBOOL(BgL__ortest_1092z00_4178))
						{	/* Ast/nodetype.sch 682 */
							return ((BgL_varz00_bglt) BgL__ortest_1092z00_4178);
						}
					else
						{	/* Ast/nodetype.sch 682 */
							return
								((BgL_varz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4177));
						}
				}
			}
		}
	}



/* &var-nil */
	BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5868)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 682 */
			return BGl_varzd2nilzd2zzast_nodez00();
		}
	}



/* var-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_46)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 683 */
			return (((BgL_varz00_bglt) CREF(BgL_oz00_46))->BgL_variablez00);
		}
	}



/* &var-variable */
	BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_5869, obj_t BgL_oz00_5870)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 683 */
			return
				(((BgL_varz00_bglt) CREF(
						((BgL_varz00_bglt) BgL_oz00_5870)))->BgL_variablez00);
		}
	}



/* var-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt BgL_oz00_47,
		BgL_variablez00_bglt BgL_vz00_48)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 684 */
			return
				((((BgL_varz00_bglt) CREF(BgL_oz00_47))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_48), BUNSPEC);
		}
	}



/* &var-variable-set! */
	obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5871,
		obj_t BgL_oz00_5872, obj_t BgL_vz00_5873)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 684 */
			return
				((((BgL_varz00_bglt) CREF(
							((BgL_varz00_bglt) BgL_oz00_5872)))->BgL_variablez00) =
				((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_5873)),
				BUNSPEC);
		}
	}



/* var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_49)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 685 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_49)))->BgL_typez00);
		}
	}



/* &var-type */
	BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t BgL_envz00_5874,
		obj_t BgL_oz00_5875)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 685 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_varz00_bglt) BgL_oz00_5875))))->BgL_typez00);
		}
	}



/* var-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 686 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}
	}



/* &var-type-set! */
	obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5876,
		obj_t BgL_oz00_5877, obj_t BgL_vz00_5878)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 686 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_varz00_bglt) BgL_oz00_5877))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_5878)), BUNSPEC);
		}
	}



/* var-loc */
	BGL_EXPORTED_DEF obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_52)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 687 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_52)))->BgL_locz00);
		}
	}



/* &var-loc */
	obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t BgL_envz00_5879,
		obj_t BgL_oz00_5880)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 687 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_varz00_bglt) BgL_oz00_5880))))->BgL_locz00);
		}
	}



/* make-closure */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t
		BgL_loc1635z00_55, BgL_typez00_bglt BgL_type1636z00_56,
		BgL_variablez00_bglt BgL_variable1637z00_57)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 691 */
			{	/* Ast/nodetype.sch 691 */
				BgL_closurez00_bglt BgL_new1419z00_8269;

				{	/* Ast/nodetype.sch 691 */
					BgL_closurez00_bglt BgL_new1418z00_8270;

					BgL_new1418z00_8270 =
						((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/nodetype.sch 691 */
						long BgL_arg2469z00_8271;

						{	/* Ast/nodetype.sch 691 */
							long BgL_res3457z00_8272;

							BgL_res3457z00_8272 =
								BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
							BgL_arg2469z00_8271 = BgL_res3457z00_8272;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1418z00_8270), BgL_arg2469z00_8271);
					}
					{	/* Ast/nodetype.sch 691 */
						BgL_objectz00_bglt BgL_auxz00_9751;

						BgL_auxz00_9751 = ((BgL_objectz00_bglt) BgL_new1418z00_8270);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9751, BFALSE);
					}
					BgL_new1419z00_8269 = BgL_new1418z00_8270;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1419z00_8269)))->BgL_locz00) =
					((obj_t) BgL_loc1635z00_55), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1419z00_8269)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1636z00_56), BUNSPEC);
				((((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_new1419z00_8269)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1637z00_57), BUNSPEC);
				return BgL_new1419z00_8269;
			}
		}
	}



/* &make-closure */
	BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t
		BgL_envz00_5881, obj_t BgL_loc1635z00_5882, obj_t BgL_type1636z00_5883,
		obj_t BgL_variable1637z00_5884)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 691 */
			{	/* Ast/nodetype.sch 691 */
				BgL_closurez00_bglt BgL_new1419z00_8276;

				{	/* Ast/nodetype.sch 691 */
					BgL_closurez00_bglt BgL_new1418z00_8277;

					BgL_new1418z00_8277 =
						((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/nodetype.sch 691 */
						long BgL_arg2469z00_8278;

						{	/* Ast/nodetype.sch 691 */
							long BgL_res3457z00_8279;

							BgL_res3457z00_8279 =
								BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
							BgL_arg2469z00_8278 = BgL_res3457z00_8279;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1418z00_8277), BgL_arg2469z00_8278);
					}
					{	/* Ast/nodetype.sch 691 */
						BgL_objectz00_bglt BgL_auxz00_9764;

						BgL_auxz00_9764 = ((BgL_objectz00_bglt) BgL_new1418z00_8277);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9764, BFALSE);
					}
					BgL_new1419z00_8276 = BgL_new1418z00_8277;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1419z00_8276)))->BgL_locz00) =
					((obj_t) BgL_loc1635z00_5882), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1419z00_8276)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1636z00_5883)),
					BUNSPEC);
				((((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_new1419z00_8276)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1637z00_5884)), BUNSPEC);
				return BgL_new1419z00_8276;
			}
		}
	}



/* closure? */
	BGL_EXPORTED_DEF bool_t BGl_closurezf3zf3zzast_nodez00(obj_t BgL_objz00_58)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 692 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_58, BGl_closurez00zzast_nodez00);
		}
	}



/* &closure? */
	obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t BgL_envz00_5885,
		obj_t BgL_objz00_5886)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 692 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5886,
					BGl_closurez00zzast_nodez00));
		}
	}



/* closure-nil */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 693 */
			{	/* Ast/nodetype.sch 693 */
				obj_t BgL_classz00_4191;

				BgL_classz00_4191 = BGl_closurez00zzast_nodez00;
				{	/* Ast/nodetype.sch 693 */
					obj_t BgL__ortest_1092z00_4192;

					BgL__ortest_1092z00_4192 = BGL_CLASS_NIL(BgL_classz00_4191);
					if (CBOOL(BgL__ortest_1092z00_4192))
						{	/* Ast/nodetype.sch 693 */
							return ((BgL_closurez00_bglt) BgL__ortest_1092z00_4192);
						}
					else
						{	/* Ast/nodetype.sch 693 */
							return
								((BgL_closurez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4191));
						}
				}
			}
		}
	}



/* &closure-nil */
	BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5887)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 693 */
			return BGl_closurezd2nilzd2zzast_nodez00();
		}
	}



/* closure-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_59)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 694 */
			return
				(((BgL_varz00_bglt) CREF(
						((BgL_varz00_bglt) BgL_oz00_59)))->BgL_variablez00);
		}
	}



/* &closure-variable */
	BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_5888, obj_t BgL_oz00_5889)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 694 */
			return
				(((BgL_varz00_bglt) CREF(
						((BgL_varz00_bglt)
							((BgL_closurez00_bglt) BgL_oz00_5889))))->BgL_variablez00);
		}
	}



/* closure-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_60, BgL_variablez00_bglt BgL_vz00_61)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 695 */
			return
				((((BgL_varz00_bglt) CREF(
							((BgL_varz00_bglt) BgL_oz00_60)))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_61), BUNSPEC);
		}
	}



/* &closure-variable-set! */
	obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_5890, obj_t BgL_oz00_5891, obj_t BgL_vz00_5892)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 695 */
			return
				((((BgL_varz00_bglt) CREF(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_oz00_5891))))->BgL_variablez00) =
				((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_5892)),
				BUNSPEC);
		}
	}



/* closure-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_62)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 696 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_62)))->BgL_typez00);
		}
	}



/* &closure-type */
	BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t BgL_envz00_5893,
		obj_t BgL_oz00_5894)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 696 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_closurez00_bglt) BgL_oz00_5894))))->BgL_typez00);
		}
	}



/* closure-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt BgL_oz00_63,
		BgL_typez00_bglt BgL_vz00_64)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 697 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_63)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_64), BUNSPEC);
		}
	}



/* &closure-type-set! */
	obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5895,
		obj_t BgL_oz00_5896, obj_t BgL_vz00_5897)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 697 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_closurez00_bglt) BgL_oz00_5896))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_5897)), BUNSPEC);
		}
	}



/* closure-loc */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_65)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 698 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_65)))->BgL_locz00);
		}
	}



/* &closure-loc */
	obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t BgL_envz00_5898,
		obj_t BgL_oz00_5899)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 698 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_closurez00_bglt) BgL_oz00_5899))))->BgL_locz00);
		}
	}



/* make-kwote */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t
		BgL_loc1631z00_68, BgL_typez00_bglt BgL_type1632z00_69,
		obj_t BgL_value1633z00_70)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 702 */
			{	/* Ast/nodetype.sch 702 */
				BgL_kwotez00_bglt BgL_new1427z00_8288;

				{	/* Ast/nodetype.sch 702 */
					BgL_kwotez00_bglt BgL_new1426z00_8289;

					BgL_new1426z00_8289 =
						((BgL_kwotez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/nodetype.sch 702 */
						long BgL_arg2470z00_8290;

						{	/* Ast/nodetype.sch 702 */
							long BgL_res3458z00_8291;

							BgL_res3458z00_8291 = BGL_CLASS_INDEX(BGl_kwotez00zzast_nodez00);
							BgL_arg2470z00_8290 = BgL_res3458z00_8291;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1426z00_8289), BgL_arg2470z00_8290);
					}
					{	/* Ast/nodetype.sch 702 */
						BgL_objectz00_bglt BgL_auxz00_9816;

						BgL_auxz00_9816 = ((BgL_objectz00_bglt) BgL_new1426z00_8289);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9816, BFALSE);
					}
					BgL_new1427z00_8288 = BgL_new1426z00_8289;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1427z00_8288)))->BgL_locz00) =
					((obj_t) BgL_loc1631z00_68), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1427z00_8288)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1632z00_69), BUNSPEC);
				((((BgL_kwotez00_bglt) CREF(BgL_new1427z00_8288))->BgL_valuez00) =
					((obj_t) BgL_value1633z00_70), BUNSPEC);
				return BgL_new1427z00_8288;
			}
		}
	}



/* &make-kwote */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t BgL_envz00_5900,
		obj_t BgL_loc1631z00_5901, obj_t BgL_type1632z00_5902,
		obj_t BgL_value1633z00_5903)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 702 */
			{	/* Ast/nodetype.sch 702 */
				BgL_kwotez00_bglt BgL_new1427z00_8295;

				{	/* Ast/nodetype.sch 702 */
					BgL_kwotez00_bglt BgL_new1426z00_8296;

					BgL_new1426z00_8296 =
						((BgL_kwotez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/nodetype.sch 702 */
						long BgL_arg2470z00_8297;

						{	/* Ast/nodetype.sch 702 */
							long BgL_res3458z00_8298;

							BgL_res3458z00_8298 = BGL_CLASS_INDEX(BGl_kwotez00zzast_nodez00);
							BgL_arg2470z00_8297 = BgL_res3458z00_8298;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1426z00_8296), BgL_arg2470z00_8297);
					}
					{	/* Ast/nodetype.sch 702 */
						BgL_objectz00_bglt BgL_auxz00_9828;

						BgL_auxz00_9828 = ((BgL_objectz00_bglt) BgL_new1426z00_8296);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9828, BFALSE);
					}
					BgL_new1427z00_8295 = BgL_new1426z00_8296;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1427z00_8295)))->BgL_locz00) =
					((obj_t) BgL_loc1631z00_5901), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1427z00_8295)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1632z00_5902)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) CREF(BgL_new1427z00_8295))->BgL_valuez00) =
					((obj_t) BgL_value1633z00_5903), BUNSPEC);
				return BgL_new1427z00_8295;
			}
		}
	}



/* kwote? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t BgL_objz00_71)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 703 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_71, BGl_kwotez00zzast_nodez00);
		}
	}



/* &kwote? */
	obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t BgL_envz00_5904,
		obj_t BgL_objz00_5905)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 703 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5905,
					BGl_kwotez00zzast_nodez00));
		}
	}



/* kwote-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 704 */
			{	/* Ast/nodetype.sch 704 */
				obj_t BgL_classz00_4205;

				BgL_classz00_4205 = BGl_kwotez00zzast_nodez00;
				{	/* Ast/nodetype.sch 704 */
					obj_t BgL__ortest_1092z00_4206;

					BgL__ortest_1092z00_4206 = BGL_CLASS_NIL(BgL_classz00_4205);
					if (CBOOL(BgL__ortest_1092z00_4206))
						{	/* Ast/nodetype.sch 704 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1092z00_4206);
						}
					else
						{	/* Ast/nodetype.sch 704 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4205));
						}
				}
			}
		}
	}



/* &kwote-nil */
	BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t BgL_envz00_5906)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 704 */
			return BGl_kwotezd2nilzd2zzast_nodez00();
		}
	}



/* kwote-value */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_72)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 705 */
			return (((BgL_kwotez00_bglt) CREF(BgL_oz00_72))->BgL_valuez00);
		}
	}



/* &kwote-value */
	obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t BgL_envz00_5907,
		obj_t BgL_oz00_5908)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 705 */
			return
				(((BgL_kwotez00_bglt) CREF(
						((BgL_kwotez00_bglt) BgL_oz00_5908)))->BgL_valuez00);
		}
	}



/* kwote-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_75)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 707 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_75)))->BgL_typez00);
		}
	}



/* &kwote-type */
	BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t BgL_envz00_5909,
		obj_t BgL_oz00_5910)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 707 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_kwotez00_bglt) BgL_oz00_5910))))->BgL_typez00);
		}
	}



/* kwote-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_76,
		BgL_typez00_bglt BgL_vz00_77)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 708 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_76)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_77), BUNSPEC);
		}
	}



/* &kwote-type-set! */
	obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5911,
		obj_t BgL_oz00_5912, obj_t BgL_vz00_5913)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 708 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_kwotez00_bglt) BgL_oz00_5912))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_5913)), BUNSPEC);
		}
	}



/* kwote-loc */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_78)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 709 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_78)))->BgL_locz00);
		}
	}



/* &kwote-loc */
	obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t BgL_envz00_5914,
		obj_t BgL_oz00_5915)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 709 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_kwotez00_bglt) BgL_oz00_5915))))->BgL_locz00);
		}
	}



/* make-sequence */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t BgL_loc1624z00_81,
		BgL_typez00_bglt BgL_type1625z00_82, obj_t BgL_sidezd2effect1626zd2_83,
		obj_t BgL_key1627z00_84, obj_t BgL_nodes1628z00_85,
		bool_t BgL_unsafe1629z00_86)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 713 */
			{	/* Ast/nodetype.sch 713 */
				BgL_sequencez00_bglt BgL_new1435z00_8305;

				{	/* Ast/nodetype.sch 713 */
					BgL_sequencez00_bglt BgL_new1434z00_8306;

					BgL_new1434z00_8306 =
						((BgL_sequencez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_sequencez00_bgl))));
					{	/* Ast/nodetype.sch 713 */
						long BgL_arg2471z00_8307;

						{	/* Ast/nodetype.sch 713 */
							long BgL_res3459z00_8308;

							BgL_res3459z00_8308 =
								BGL_CLASS_INDEX(BGl_sequencez00zzast_nodez00);
							BgL_arg2471z00_8307 = BgL_res3459z00_8308;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1434z00_8306), BgL_arg2471z00_8307);
					}
					{	/* Ast/nodetype.sch 713 */
						BgL_objectz00_bglt BgL_auxz00_9870;

						BgL_auxz00_9870 = ((BgL_objectz00_bglt) BgL_new1434z00_8306);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9870, BFALSE);
					}
					BgL_new1435z00_8305 = BgL_new1434z00_8306;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1435z00_8305)))->BgL_locz00) =
					((obj_t) BgL_loc1624z00_81), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1435z00_8305)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1625z00_82), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1435z00_8305)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1626zd2_83), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1435z00_8305)))->BgL_keyz00) =
					((obj_t) BgL_key1627z00_84), BUNSPEC);
				((((BgL_sequencez00_bglt) CREF(BgL_new1435z00_8305))->BgL_nodesz00) =
					((obj_t) BgL_nodes1628z00_85), BUNSPEC);
				((((BgL_sequencez00_bglt) CREF(BgL_new1435z00_8305))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1629z00_86), BUNSPEC);
				return BgL_new1435z00_8305;
			}
		}
	}



/* &make-sequence */
	BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t
		BgL_envz00_5916, obj_t BgL_loc1624z00_5917, obj_t BgL_type1625z00_5918,
		obj_t BgL_sidezd2effect1626zd2_5919, obj_t BgL_key1627z00_5920,
		obj_t BgL_nodes1628z00_5921, obj_t BgL_unsafe1629z00_5922)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 713 */
			{	/* Ast/nodetype.sch 713 */
				bool_t BgL_unsafe1629z00_8314;

				BgL_unsafe1629z00_8314 = CBOOL(BgL_unsafe1629z00_5922);
				{	/* Ast/nodetype.sch 713 */
					BgL_sequencez00_bglt BgL_new1435z00_8315;

					{	/* Ast/nodetype.sch 713 */
						BgL_sequencez00_bglt BgL_new1434z00_8316;

						BgL_new1434z00_8316 =
							((BgL_sequencez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_sequencez00_bgl))));
						{	/* Ast/nodetype.sch 713 */
							long BgL_arg2471z00_8317;

							{	/* Ast/nodetype.sch 713 */
								long BgL_res3459z00_8318;

								BgL_res3459z00_8318 =
									BGL_CLASS_INDEX(BGl_sequencez00zzast_nodez00);
								BgL_arg2471z00_8317 = BgL_res3459z00_8318;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1434z00_8316),
								BgL_arg2471z00_8317);
						}
						{	/* Ast/nodetype.sch 713 */
							BgL_objectz00_bglt BgL_auxz00_9888;

							BgL_auxz00_9888 = ((BgL_objectz00_bglt) BgL_new1434z00_8316);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_9888, BFALSE);
						}
						BgL_new1435z00_8315 = BgL_new1434z00_8316;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1435z00_8315)))->BgL_locz00) =
						((obj_t) BgL_loc1624z00_5917), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1435z00_8315)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1625z00_5918)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1435z00_8315)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1626zd2_5919), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1435z00_8315)))->BgL_keyz00) =
						((obj_t) BgL_key1627z00_5920), BUNSPEC);
					((((BgL_sequencez00_bglt) CREF(BgL_new1435z00_8315))->BgL_nodesz00) =
						((obj_t) BgL_nodes1628z00_5921), BUNSPEC);
					((((BgL_sequencez00_bglt) CREF(BgL_new1435z00_8315))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1629z00_8314), BUNSPEC);
					return BgL_new1435z00_8315;
				}
			}
		}
	}



/* sequence? */
	BGL_EXPORTED_DEF bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t BgL_objz00_87)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 714 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_87, BGl_sequencez00zzast_nodez00);
		}
	}



/* &sequence? */
	obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t BgL_envz00_5923,
		obj_t BgL_objz00_5924)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 714 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5924,
					BGl_sequencez00zzast_nodez00));
		}
	}



/* sequence-nil */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 715 */
			{	/* Ast/nodetype.sch 715 */
				obj_t BgL_classz00_4218;

				BgL_classz00_4218 = BGl_sequencez00zzast_nodez00;
				{	/* Ast/nodetype.sch 715 */
					obj_t BgL__ortest_1092z00_4219;

					BgL__ortest_1092z00_4219 = BGL_CLASS_NIL(BgL_classz00_4218);
					if (CBOOL(BgL__ortest_1092z00_4219))
						{	/* Ast/nodetype.sch 715 */
							return ((BgL_sequencez00_bglt) BgL__ortest_1092z00_4219);
						}
					else
						{	/* Ast/nodetype.sch 715 */
							return
								((BgL_sequencez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4218));
						}
				}
			}
		}
	}



/* &sequence-nil */
	BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_5925)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 715 */
			return BGl_sequencezd2nilzd2zzast_nodez00();
		}
	}



/* sequence-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_88)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 716 */
			return (((BgL_sequencez00_bglt) CREF(BgL_oz00_88))->BgL_unsafez00);
		}
	}



/* &sequence-unsafe */
	obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t BgL_envz00_5926,
		obj_t BgL_oz00_5927)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 716 */
			return
				BBOOL(
				(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_oz00_5927)))->BgL_unsafez00));
		}
	}



/* sequence-nodes */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_91)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 718 */
			return (((BgL_sequencez00_bglt) CREF(BgL_oz00_91))->BgL_nodesz00);
		}
	}



/* &sequence-nodes */
	obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t BgL_envz00_5928,
		obj_t BgL_oz00_5929)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 718 */
			return
				(((BgL_sequencez00_bglt) CREF(
						((BgL_sequencez00_bglt) BgL_oz00_5929)))->BgL_nodesz00);
		}
	}



/* sequence-key */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_94)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 720 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_94)))->BgL_keyz00);
		}
	}



/* &sequence-key */
	obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t BgL_envz00_5930,
		obj_t BgL_oz00_5931)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 720 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_sequencez00_bglt) BgL_oz00_5931))))->BgL_keyz00);
		}
	}



/* sequence-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_95, obj_t BgL_vz00_96)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 721 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_95)))->BgL_keyz00) =
				((obj_t) BgL_vz00_96), BUNSPEC);
		}
	}



/* &sequence-key-set! */
	obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5932,
		obj_t BgL_oz00_5933, obj_t BgL_vz00_5934)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 721 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_sequencez00_bglt) BgL_oz00_5933))))->BgL_keyz00) =
				((obj_t) BgL_vz00_5934), BUNSPEC);
		}
	}



/* sequence-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_97)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 722 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_97)))->BgL_sidezd2effectzd2);
		}
	}



/* &sequence-side-effect */
	obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5935,
		obj_t BgL_oz00_5936)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 722 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_sequencez00_bglt) BgL_oz00_5936))))->BgL_sidezd2effectzd2);
		}
	}



/* sequence-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 723 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_98)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_99), BUNSPEC);
		}
	}



/* &sequence-side-effect-set! */
	obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5937, obj_t BgL_oz00_5938, obj_t BgL_vz00_5939)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 723 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_sequencez00_bglt) BgL_oz00_5938))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_5939), BUNSPEC);
		}
	}



/* sequence-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_100)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 724 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_100)))->BgL_typez00);
		}
	}



/* &sequence-type */
	BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t BgL_envz00_5940,
		obj_t BgL_oz00_5941)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 724 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_sequencez00_bglt) BgL_oz00_5941))))->BgL_typez00);
		}
	}



/* sequence-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_101, BgL_typez00_bglt BgL_vz00_102)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 725 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_101)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_102), BUNSPEC);
		}
	}



/* &sequence-type-set! */
	obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5942,
		obj_t BgL_oz00_5943, obj_t BgL_vz00_5944)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 725 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_sequencez00_bglt) BgL_oz00_5943))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_5944)), BUNSPEC);
		}
	}



/* sequence-loc */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_103)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 726 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_103)))->BgL_locz00);
		}
	}



/* &sequence-loc */
	obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t BgL_envz00_5945,
		obj_t BgL_oz00_5946)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 726 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_sequencez00_bglt) BgL_oz00_5946))))->BgL_locz00);
		}
	}



/* make-app */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t
		BgL_loc1617z00_106, BgL_typez00_bglt BgL_type1618z00_107,
		obj_t BgL_sidezd2effect1619zd2_108, obj_t BgL_key1620z00_109,
		BgL_varz00_bglt BgL_fun1621z00_110, obj_t BgL_args1622z00_111)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 730 */
			{	/* Ast/nodetype.sch 730 */
				BgL_appz00_bglt BgL_new1449z00_8332;

				{	/* Ast/nodetype.sch 730 */
					BgL_appz00_bglt BgL_new1448z00_8333;

					BgL_new1448z00_8333 =
						((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_appz00_bgl))));
					{	/* Ast/nodetype.sch 730 */
						long BgL_arg2472z00_8334;

						{	/* Ast/nodetype.sch 730 */
							long BgL_res3460z00_8335;

							BgL_res3460z00_8335 = BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
							BgL_arg2472z00_8334 = BgL_res3460z00_8335;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1448z00_8333), BgL_arg2472z00_8334);
					}
					{	/* Ast/nodetype.sch 730 */
						BgL_objectz00_bglt BgL_auxz00_9959;

						BgL_auxz00_9959 = ((BgL_objectz00_bglt) BgL_new1448z00_8333);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9959, BFALSE);
					}
					BgL_new1449z00_8332 = BgL_new1448z00_8333;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1449z00_8332)))->BgL_locz00) =
					((obj_t) BgL_loc1617z00_106), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1449z00_8332)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1618z00_107), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1449z00_8332)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1619zd2_108), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1449z00_8332)))->BgL_keyz00) =
					((obj_t) BgL_key1620z00_109), BUNSPEC);
				((((BgL_appz00_bglt) CREF(BgL_new1449z00_8332))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_fun1621z00_110), BUNSPEC);
				((((BgL_appz00_bglt) CREF(BgL_new1449z00_8332))->BgL_argsz00) =
					((obj_t) BgL_args1622z00_111), BUNSPEC);
				return BgL_new1449z00_8332;
			}
		}
	}



/* &make-app */
	BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t BgL_envz00_5947,
		obj_t BgL_loc1617z00_5948, obj_t BgL_type1618z00_5949,
		obj_t BgL_sidezd2effect1619zd2_5950, obj_t BgL_key1620z00_5951,
		obj_t BgL_fun1621z00_5952, obj_t BgL_args1622z00_5953)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 730 */
			{	/* Ast/nodetype.sch 730 */
				BgL_appz00_bglt BgL_new1449z00_8342;

				{	/* Ast/nodetype.sch 730 */
					BgL_appz00_bglt BgL_new1448z00_8343;

					BgL_new1448z00_8343 =
						((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_appz00_bgl))));
					{	/* Ast/nodetype.sch 730 */
						long BgL_arg2472z00_8344;

						{	/* Ast/nodetype.sch 730 */
							long BgL_res3460z00_8345;

							BgL_res3460z00_8345 = BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
							BgL_arg2472z00_8344 = BgL_res3460z00_8345;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1448z00_8343), BgL_arg2472z00_8344);
					}
					{	/* Ast/nodetype.sch 730 */
						BgL_objectz00_bglt BgL_auxz00_9976;

						BgL_auxz00_9976 = ((BgL_objectz00_bglt) BgL_new1448z00_8343);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_9976, BFALSE);
					}
					BgL_new1449z00_8342 = BgL_new1448z00_8343;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1449z00_8342)))->BgL_locz00) =
					((obj_t) BgL_loc1617z00_5948), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1449z00_8342)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1618z00_5949)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1449z00_8342)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1619zd2_5950), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1449z00_8342)))->BgL_keyz00) =
					((obj_t) BgL_key1620z00_5951), BUNSPEC);
				((((BgL_appz00_bglt) CREF(BgL_new1449z00_8342))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1621z00_5952)), BUNSPEC);
				((((BgL_appz00_bglt) CREF(BgL_new1449z00_8342))->BgL_argsz00) =
					((obj_t) BgL_args1622z00_5953), BUNSPEC);
				return BgL_new1449z00_8342;
			}
		}
	}



/* app? */
	BGL_EXPORTED_DEF bool_t BGl_appzf3zf3zzast_nodez00(obj_t BgL_objz00_112)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 731 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_112, BGl_appz00zzast_nodez00);
		}
	}



/* &app? */
	obj_t BGl_z62appzf3z91zzast_nodez00(obj_t BgL_envz00_5954,
		obj_t BgL_objz00_5955)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 731 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5955,
					BGl_appz00zzast_nodez00));
		}
	}



/* app-nil */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 732 */
			{	/* Ast/nodetype.sch 732 */
				obj_t BgL_classz00_4236;

				BgL_classz00_4236 = BGl_appz00zzast_nodez00;
				{	/* Ast/nodetype.sch 732 */
					obj_t BgL__ortest_1092z00_4237;

					BgL__ortest_1092z00_4237 = BGL_CLASS_NIL(BgL_classz00_4236);
					if (CBOOL(BgL__ortest_1092z00_4237))
						{	/* Ast/nodetype.sch 732 */
							return ((BgL_appz00_bglt) BgL__ortest_1092z00_4237);
						}
					else
						{	/* Ast/nodetype.sch 732 */
							return
								((BgL_appz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4236));
						}
				}
			}
		}
	}



/* &app-nil */
	BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t BgL_envz00_5956)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 732 */
			return BGl_appzd2nilzd2zzast_nodez00();
		}
	}



/* app-args */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_113)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 733 */
			return (((BgL_appz00_bglt) CREF(BgL_oz00_113))->BgL_argsz00);
		}
	}



/* &app-args */
	obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t BgL_envz00_5957,
		obj_t BgL_oz00_5958)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 733 */
			return
				(((BgL_appz00_bglt) CREF(
						((BgL_appz00_bglt) BgL_oz00_5958)))->BgL_argsz00);
		}
	}



/* app-args-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_114, obj_t BgL_vz00_115)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 734 */
			return
				((((BgL_appz00_bglt) CREF(BgL_oz00_114))->BgL_argsz00) =
				((obj_t) BgL_vz00_115), BUNSPEC);
		}
	}



/* &app-args-set! */
	obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_5959,
		obj_t BgL_oz00_5960, obj_t BgL_vz00_5961)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 734 */
			return
				((((BgL_appz00_bglt) CREF(
							((BgL_appz00_bglt) BgL_oz00_5960)))->BgL_argsz00) =
				((obj_t) BgL_vz00_5961), BUNSPEC);
		}
	}



/* app-fun */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_116)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 735 */
			return (((BgL_appz00_bglt) CREF(BgL_oz00_116))->BgL_funz00);
		}
	}



/* &app-fun */
	BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t BgL_envz00_5962,
		obj_t BgL_oz00_5963)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 735 */
			return
				(((BgL_appz00_bglt) CREF(
						((BgL_appz00_bglt) BgL_oz00_5963)))->BgL_funz00);
		}
	}



/* app-fun-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_117, BgL_varz00_bglt BgL_vz00_118)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 736 */
			return
				((((BgL_appz00_bglt) CREF(BgL_oz00_117))->BgL_funz00) =
				((BgL_varz00_bglt) BgL_vz00_118), BUNSPEC);
		}
	}



/* &app-fun-set! */
	obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5964,
		obj_t BgL_oz00_5965, obj_t BgL_vz00_5966)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 736 */
			return
				((((BgL_appz00_bglt) CREF(
							((BgL_appz00_bglt) BgL_oz00_5965)))->BgL_funz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_5966)), BUNSPEC);
		}
	}



/* app-key */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_119)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 737 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_119)))->BgL_keyz00);
		}
	}



/* &app-key */
	obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t BgL_envz00_5967,
		obj_t BgL_oz00_5968)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 737 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_appz00_bglt) BgL_oz00_5968))))->BgL_keyz00);
		}
	}



/* app-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_120, obj_t BgL_vz00_121)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 738 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_120)))->BgL_keyz00) =
				((obj_t) BgL_vz00_121), BUNSPEC);
		}
	}



/* &app-key-set! */
	obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_5969,
		obj_t BgL_oz00_5970, obj_t BgL_vz00_5971)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 738 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_appz00_bglt) BgL_oz00_5970))))->BgL_keyz00) =
				((obj_t) BgL_vz00_5971), BUNSPEC);
		}
	}



/* app-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_122)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 739 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_122)))->BgL_sidezd2effectzd2);
		}
	}



/* &app-side-effect */
	obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_5972,
		obj_t BgL_oz00_5973)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 739 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_appz00_bglt) BgL_oz00_5973))))->BgL_sidezd2effectzd2);
		}
	}



/* app-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_123, obj_t BgL_vz00_124)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 740 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_123)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_124), BUNSPEC);
		}
	}



/* &app-side-effect-set! */
	obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_5974, obj_t BgL_oz00_5975, obj_t BgL_vz00_5976)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 740 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_appz00_bglt) BgL_oz00_5975))))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_5976), BUNSPEC);
		}
	}



/* app-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt BgL_oz00_125)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 741 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_125)))->BgL_typez00);
		}
	}



/* &app-type */
	BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t BgL_envz00_5977,
		obj_t BgL_oz00_5978)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 741 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_appz00_bglt) BgL_oz00_5978))))->BgL_typez00);
		}
	}



/* app-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_126, BgL_typez00_bglt BgL_vz00_127)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 742 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_126)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_127), BUNSPEC);
		}
	}



/* &app-type-set! */
	obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_5979,
		obj_t BgL_oz00_5980, obj_t BgL_vz00_5981)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 742 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_appz00_bglt) BgL_oz00_5980))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_5981)), BUNSPEC);
		}
	}



/* app-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_128)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 743 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_128)))->BgL_locz00);
		}
	}



/* &app-loc */
	obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t BgL_envz00_5982,
		obj_t BgL_oz00_5983)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 743 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_appz00_bglt) BgL_oz00_5983))))->BgL_locz00);
		}
	}



/* make-app-ly */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t BgL_loc1610z00_131,
		BgL_typez00_bglt BgL_type1611z00_132, BgL_nodez00_bglt BgL_fun1612z00_133,
		BgL_nodez00_bglt BgL_arg1615z00_134)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 747 */
			{	/* Ast/nodetype.sch 747 */
				BgL_appzd2lyzd2_bglt BgL_new1463z00_8363;

				{	/* Ast/nodetype.sch 747 */
					BgL_appzd2lyzd2_bglt BgL_new1462z00_8364;

					BgL_new1462z00_8364 =
						((BgL_appzd2lyzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/nodetype.sch 747 */
						long BgL_arg2473z00_8365;

						{	/* Ast/nodetype.sch 747 */
							long BgL_res3461z00_8366;

							BgL_res3461z00_8366 =
								BGL_CLASS_INDEX(BGl_appzd2lyzd2zzast_nodez00);
							BgL_arg2473z00_8365 = BgL_res3461z00_8366;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1462z00_8364), BgL_arg2473z00_8365);
					}
					{	/* Ast/nodetype.sch 747 */
						BgL_objectz00_bglt BgL_auxz00_10054;

						BgL_auxz00_10054 = ((BgL_objectz00_bglt) BgL_new1462z00_8364);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10054, BFALSE);
					}
					BgL_new1463z00_8363 = BgL_new1462z00_8364;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1463z00_8363)))->BgL_locz00) =
					((obj_t) BgL_loc1610z00_131), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1463z00_8363)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1611z00_132), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1463z00_8363))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1612z00_133), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1463z00_8363))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1615z00_134), BUNSPEC);
				return BgL_new1463z00_8363;
			}
		}
	}



/* &make-app-ly */
	BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t
		BgL_envz00_5984, obj_t BgL_loc1610z00_5985, obj_t BgL_type1611z00_5986,
		obj_t BgL_fun1612z00_5987, obj_t BgL_arg1615z00_5988)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 747 */
			{	/* Ast/nodetype.sch 747 */
				BgL_appzd2lyzd2_bglt BgL_new1463z00_8371;

				{	/* Ast/nodetype.sch 747 */
					BgL_appzd2lyzd2_bglt BgL_new1462z00_8372;

					BgL_new1462z00_8372 =
						((BgL_appzd2lyzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/nodetype.sch 747 */
						long BgL_arg2473z00_8373;

						{	/* Ast/nodetype.sch 747 */
							long BgL_res3461z00_8374;

							BgL_res3461z00_8374 =
								BGL_CLASS_INDEX(BGl_appzd2lyzd2zzast_nodez00);
							BgL_arg2473z00_8373 = BgL_res3461z00_8374;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1462z00_8372), BgL_arg2473z00_8373);
					}
					{	/* Ast/nodetype.sch 747 */
						BgL_objectz00_bglt BgL_auxz00_10067;

						BgL_auxz00_10067 = ((BgL_objectz00_bglt) BgL_new1462z00_8372);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10067, BFALSE);
					}
					BgL_new1463z00_8371 = BgL_new1462z00_8372;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1463z00_8371)))->BgL_locz00) =
					((obj_t) BgL_loc1610z00_5985), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1463z00_8371)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1611z00_5986)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1463z00_8371))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1612z00_5987)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1463z00_8371))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1615z00_5988)),
					BUNSPEC);
				return BgL_new1463z00_8371;
			}
		}
	}



/* app-ly? */
	BGL_EXPORTED_DEF bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t BgL_objz00_135)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 748 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_135,
				BGl_appzd2lyzd2zzast_nodez00);
		}
	}



/* &app-ly? */
	obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t BgL_envz00_5989,
		obj_t BgL_objz00_5990)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 748 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_5990,
					BGl_appzd2lyzd2zzast_nodez00));
		}
	}



/* app-ly-nil */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 749 */
			{	/* Ast/nodetype.sch 749 */
				obj_t BgL_classz00_4256;

				BgL_classz00_4256 = BGl_appzd2lyzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 749 */
					obj_t BgL__ortest_1092z00_4257;

					BgL__ortest_1092z00_4257 = BGL_CLASS_NIL(BgL_classz00_4256);
					if (CBOOL(BgL__ortest_1092z00_4257))
						{	/* Ast/nodetype.sch 749 */
							return ((BgL_appzd2lyzd2_bglt) BgL__ortest_1092z00_4257);
						}
					else
						{	/* Ast/nodetype.sch 749 */
							return
								((BgL_appzd2lyzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4256));
						}
				}
			}
		}
	}



/* &app-ly-nil */
	BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_5991)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 749 */
			return BGl_appzd2lyzd2nilz00zzast_nodez00();
		}
	}



/* app-ly-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_136)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 750 */
			return (((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_136))->BgL_argz00);
		}
	}



/* &app-ly-arg */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t BgL_envz00_5992,
		obj_t BgL_oz00_5993)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 750 */
			return
				(((BgL_appzd2lyzd2_bglt) CREF(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_5993)))->BgL_argz00);
		}
	}



/* app-ly-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_137, BgL_nodez00_bglt BgL_vz00_138)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 751 */
			return
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_137))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_138), BUNSPEC);
		}
	}



/* &app-ly-arg-set! */
	obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t BgL_envz00_5994,
		obj_t BgL_oz00_5995, obj_t BgL_vz00_5996)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 751 */
			return
				((((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_5995)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_5996)), BUNSPEC);
		}
	}



/* app-ly-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_139)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 752 */
			return (((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_139))->BgL_funz00);
		}
	}



/* &app-ly-fun */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t BgL_envz00_5997,
		obj_t BgL_oz00_5998)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 752 */
			return
				(((BgL_appzd2lyzd2_bglt) CREF(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_5998)))->BgL_funz00);
		}
	}



/* app-ly-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_140, BgL_nodez00_bglt BgL_vz00_141)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 753 */
			return
				((((BgL_appzd2lyzd2_bglt) CREF(BgL_oz00_140))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_141), BUNSPEC);
		}
	}



/* &app-ly-fun-set! */
	obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t BgL_envz00_5999,
		obj_t BgL_oz00_6000, obj_t BgL_vz00_6001)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 753 */
			return
				((((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_6000)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6001)), BUNSPEC);
		}
	}



/* app-ly-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_142)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 754 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_142)))->BgL_typez00);
		}
	}



/* &app-ly-type */
	BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t BgL_envz00_6002,
		obj_t BgL_oz00_6003)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 754 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_oz00_6003))))->BgL_typez00);
		}
	}



/* app-ly-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_143, BgL_typez00_bglt BgL_vz00_144)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 755 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_143)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_144), BUNSPEC);
		}
	}



/* &app-ly-type-set! */
	obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6004,
		obj_t BgL_oz00_6005, obj_t BgL_vz00_6006)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 755 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_oz00_6005))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6006)), BUNSPEC);
		}
	}



/* app-ly-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_145)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 756 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_145)))->BgL_locz00);
		}
	}



/* &app-ly-loc */
	obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t BgL_envz00_6007,
		obj_t BgL_oz00_6008)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 756 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_oz00_6008))))->BgL_locz00);
		}
	}



/* make-funcall */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_makezd2funcallzd2zzast_nodez00(obj_t
		BgL_loc1603z00_148, BgL_typez00_bglt BgL_type1604z00_149,
		BgL_nodez00_bglt BgL_fun1605z00_150, obj_t BgL_args1606z00_151,
		obj_t BgL_strength1607z00_152, obj_t BgL_functions1608z00_153)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 760 */
			{	/* Ast/nodetype.sch 760 */
				BgL_funcallz00_bglt BgL_new1473z00_8386;

				{	/* Ast/nodetype.sch 760 */
					BgL_funcallz00_bglt BgL_new1472z00_8387;

					BgL_new1472z00_8387 =
						((BgL_funcallz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/nodetype.sch 760 */
						long BgL_arg2474z00_8388;

						{	/* Ast/nodetype.sch 760 */
							long BgL_res3462z00_8389;

							BgL_res3462z00_8389 =
								BGL_CLASS_INDEX(BGl_funcallz00zzast_nodez00);
							BgL_arg2474z00_8388 = BgL_res3462z00_8389;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1472z00_8387), BgL_arg2474z00_8388);
					}
					{	/* Ast/nodetype.sch 760 */
						BgL_objectz00_bglt BgL_auxz00_10123;

						BgL_auxz00_10123 = ((BgL_objectz00_bglt) BgL_new1472z00_8387);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10123, BFALSE);
					}
					BgL_new1473z00_8386 = BgL_new1472z00_8387;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1473z00_8386)))->BgL_locz00) =
					((obj_t) BgL_loc1603z00_148), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1473z00_8386)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1604z00_149), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1473z00_8386))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1605z00_150), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1473z00_8386))->BgL_argsz00) =
					((obj_t) BgL_args1606z00_151), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1473z00_8386))->BgL_strengthz00) =
					((obj_t) BgL_strength1607z00_152), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1473z00_8386))->BgL_functionsz00) =
					((obj_t) BgL_functions1608z00_153), BUNSPEC);
				return BgL_new1473z00_8386;
			}
		}
	}



/* &make-funcall */
	BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t
		BgL_envz00_6009, obj_t BgL_loc1603z00_6010, obj_t BgL_type1604z00_6011,
		obj_t BgL_fun1605z00_6012, obj_t BgL_args1606z00_6013,
		obj_t BgL_strength1607z00_6014, obj_t BgL_functions1608z00_6015)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 760 */
			{	/* Ast/nodetype.sch 760 */
				BgL_funcallz00_bglt BgL_new1473z00_8396;

				{	/* Ast/nodetype.sch 760 */
					BgL_funcallz00_bglt BgL_new1472z00_8397;

					BgL_new1472z00_8397 =
						((BgL_funcallz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/nodetype.sch 760 */
						long BgL_arg2474z00_8398;

						{	/* Ast/nodetype.sch 760 */
							long BgL_res3462z00_8399;

							BgL_res3462z00_8399 =
								BGL_CLASS_INDEX(BGl_funcallz00zzast_nodez00);
							BgL_arg2474z00_8398 = BgL_res3462z00_8399;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1472z00_8397), BgL_arg2474z00_8398);
					}
					{	/* Ast/nodetype.sch 760 */
						BgL_objectz00_bglt BgL_auxz00_10138;

						BgL_auxz00_10138 = ((BgL_objectz00_bglt) BgL_new1472z00_8397);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10138, BFALSE);
					}
					BgL_new1473z00_8396 = BgL_new1472z00_8397;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1473z00_8396)))->BgL_locz00) =
					((obj_t) BgL_loc1603z00_6010), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1473z00_8396)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1604z00_6011)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1473z00_8396))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1605z00_6012)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1473z00_8396))->BgL_argsz00) =
					((obj_t) BgL_args1606z00_6013), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1473z00_8396))->BgL_strengthz00) =
					((obj_t) BgL_strength1607z00_6014), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1473z00_8396))->BgL_functionsz00) =
					((obj_t) BgL_functions1608z00_6015), BUNSPEC);
				return BgL_new1473z00_8396;
			}
		}
	}



/* funcall? */
	BGL_EXPORTED_DEF bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t BgL_objz00_154)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 761 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_154, BGl_funcallz00zzast_nodez00);
		}
	}



/* &funcall? */
	obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t BgL_envz00_6016,
		obj_t BgL_objz00_6017)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 761 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6017,
					BGl_funcallz00zzast_nodez00));
		}
	}



/* funcall-nil */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 762 */
			{	/* Ast/nodetype.sch 762 */
				obj_t BgL_classz00_4272;

				BgL_classz00_4272 = BGl_funcallz00zzast_nodez00;
				{	/* Ast/nodetype.sch 762 */
					obj_t BgL__ortest_1092z00_4273;

					BgL__ortest_1092z00_4273 = BGL_CLASS_NIL(BgL_classz00_4272);
					if (CBOOL(BgL__ortest_1092z00_4273))
						{	/* Ast/nodetype.sch 762 */
							return ((BgL_funcallz00_bglt) BgL__ortest_1092z00_4273);
						}
					else
						{	/* Ast/nodetype.sch 762 */
							return
								((BgL_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4272));
						}
				}
			}
		}
	}



/* &funcall-nil */
	BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6018)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 762 */
			return BGl_funcallzd2nilzd2zzast_nodez00();
		}
	}



/* funcall-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_155)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 763 */
			return (((BgL_funcallz00_bglt) CREF(BgL_oz00_155))->BgL_functionsz00);
		}
	}



/* &funcall-functions */
	obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t BgL_envz00_6019,
		obj_t BgL_oz00_6020)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 763 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_6020)))->BgL_functionsz00);
		}
	}



/* funcall-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_156, obj_t BgL_vz00_157)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 764 */
			return
				((((BgL_funcallz00_bglt) CREF(BgL_oz00_156))->BgL_functionsz00) =
				((obj_t) BgL_vz00_157), BUNSPEC);
		}
	}



/* &funcall-functions-set! */
	obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6021, obj_t BgL_oz00_6022, obj_t BgL_vz00_6023)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 764 */
			return
				((((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_oz00_6022)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_6023), BUNSPEC);
		}
	}



/* funcall-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_158)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 765 */
			return (((BgL_funcallz00_bglt) CREF(BgL_oz00_158))->BgL_strengthz00);
		}
	}



/* &funcall-strength */
	obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t BgL_envz00_6024,
		obj_t BgL_oz00_6025)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 765 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_6025)))->BgL_strengthz00);
		}
	}



/* funcall-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_159, obj_t BgL_vz00_160)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 766 */
			return
				((((BgL_funcallz00_bglt) CREF(BgL_oz00_159))->BgL_strengthz00) =
				((obj_t) BgL_vz00_160), BUNSPEC);
		}
	}



/* &funcall-strength-set! */
	obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6026, obj_t BgL_oz00_6027, obj_t BgL_vz00_6028)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 766 */
			return
				((((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_oz00_6027)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_6028), BUNSPEC);
		}
	}



/* funcall-args */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_161)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 767 */
			return (((BgL_funcallz00_bglt) CREF(BgL_oz00_161))->BgL_argsz00);
		}
	}



/* &funcall-args */
	obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t BgL_envz00_6029,
		obj_t BgL_oz00_6030)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 767 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_6030)))->BgL_argsz00);
		}
	}



/* funcall-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_162, obj_t BgL_vz00_163)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 768 */
			return
				((((BgL_funcallz00_bglt) CREF(BgL_oz00_162))->BgL_argsz00) =
				((obj_t) BgL_vz00_163), BUNSPEC);
		}
	}



/* &funcall-args-set! */
	obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_6031,
		obj_t BgL_oz00_6032, obj_t BgL_vz00_6033)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 768 */
			return
				((((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_oz00_6032)))->BgL_argsz00) =
				((obj_t) BgL_vz00_6033), BUNSPEC);
		}
	}



/* funcall-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_164)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 769 */
			return (((BgL_funcallz00_bglt) CREF(BgL_oz00_164))->BgL_funz00);
		}
	}



/* &funcall-fun */
	BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t BgL_envz00_6034,
		obj_t BgL_oz00_6035)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 769 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_6035)))->BgL_funz00);
		}
	}



/* funcall-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_165,
		BgL_nodez00_bglt BgL_vz00_166)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 770 */
			return
				((((BgL_funcallz00_bglt) CREF(BgL_oz00_165))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_166), BUNSPEC);
		}
	}



/* &funcall-fun-set! */
	obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6036,
		obj_t BgL_oz00_6037, obj_t BgL_vz00_6038)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 770 */
			return
				((((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_oz00_6037)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6038)), BUNSPEC);
		}
	}



/* funcall-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_167)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 771 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_167)))->BgL_typez00);
		}
	}



/* &funcall-type */
	BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t BgL_envz00_6039,
		obj_t BgL_oz00_6040)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 771 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_funcallz00_bglt) BgL_oz00_6040))))->BgL_typez00);
		}
	}



/* funcall-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_168, BgL_typez00_bglt BgL_vz00_169)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 772 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_168)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_169), BUNSPEC);
		}
	}



/* &funcall-type-set! */
	obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6041,
		obj_t BgL_oz00_6042, obj_t BgL_vz00_6043)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 772 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_oz00_6042))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6043)), BUNSPEC);
		}
	}



/* funcall-loc */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_170)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 773 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_170)))->BgL_locz00);
		}
	}



/* &funcall-loc */
	obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t BgL_envz00_6044,
		obj_t BgL_oz00_6045)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 773 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_funcallz00_bglt) BgL_oz00_6045))))->BgL_locz00);
		}
	}



/* make-extern */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t
		BgL_loc1596z00_173, BgL_typez00_bglt BgL_type1597z00_174,
		obj_t BgL_sidezd2effect1598zd2_175, obj_t BgL_key1599z00_176,
		obj_t BgL_exprza21600za2_177, obj_t BgL_effect1601z00_178)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 777 */
			{	/* Ast/nodetype.sch 777 */
				BgL_externz00_bglt BgL_new1488z00_8417;

				{	/* Ast/nodetype.sch 777 */
					BgL_externz00_bglt BgL_new1487z00_8418;

					BgL_new1487z00_8418 =
						((BgL_externz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/nodetype.sch 777 */
						long BgL_arg2475z00_8419;

						{	/* Ast/nodetype.sch 777 */
							long BgL_res3463z00_8420;

							BgL_res3463z00_8420 = BGL_CLASS_INDEX(BGl_externz00zzast_nodez00);
							BgL_arg2475z00_8419 = BgL_res3463z00_8420;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1487z00_8418), BgL_arg2475z00_8419);
					}
					{	/* Ast/nodetype.sch 777 */
						BgL_objectz00_bglt BgL_auxz00_10206;

						BgL_auxz00_10206 = ((BgL_objectz00_bglt) BgL_new1487z00_8418);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10206, BFALSE);
					}
					BgL_new1488z00_8417 = BgL_new1487z00_8418;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1488z00_8417)))->BgL_locz00) =
					((obj_t) BgL_loc1596z00_173), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1488z00_8417)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1597z00_174), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1488z00_8417)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1598zd2_175), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1488z00_8417)))->BgL_keyz00) =
					((obj_t) BgL_key1599z00_176), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1488z00_8417))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21600za2_177), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1488z00_8417))->BgL_effectz00) =
					((obj_t) BgL_effect1601z00_178), BUNSPEC);
				return BgL_new1488z00_8417;
			}
		}
	}



/* &make-extern */
	BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t BgL_envz00_6046,
		obj_t BgL_loc1596z00_6047, obj_t BgL_type1597z00_6048,
		obj_t BgL_sidezd2effect1598zd2_6049, obj_t BgL_key1599z00_6050,
		obj_t BgL_exprza21600za2_6051, obj_t BgL_effect1601z00_6052)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 777 */
			{	/* Ast/nodetype.sch 777 */
				BgL_externz00_bglt BgL_new1488z00_8427;

				{	/* Ast/nodetype.sch 777 */
					BgL_externz00_bglt BgL_new1487z00_8428;

					BgL_new1487z00_8428 =
						((BgL_externz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/nodetype.sch 777 */
						long BgL_arg2475z00_8429;

						{	/* Ast/nodetype.sch 777 */
							long BgL_res3463z00_8430;

							BgL_res3463z00_8430 = BGL_CLASS_INDEX(BGl_externz00zzast_nodez00);
							BgL_arg2475z00_8429 = BgL_res3463z00_8430;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1487z00_8428), BgL_arg2475z00_8429);
					}
					{	/* Ast/nodetype.sch 777 */
						BgL_objectz00_bglt BgL_auxz00_10223;

						BgL_auxz00_10223 = ((BgL_objectz00_bglt) BgL_new1487z00_8428);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10223, BFALSE);
					}
					BgL_new1488z00_8427 = BgL_new1487z00_8428;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1488z00_8427)))->BgL_locz00) =
					((obj_t) BgL_loc1596z00_6047), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1488z00_8427)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1597z00_6048)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1488z00_8427)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1598zd2_6049), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1488z00_8427)))->BgL_keyz00) =
					((obj_t) BgL_key1599z00_6050), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1488z00_8427))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21600za2_6051), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1488z00_8427))->BgL_effectz00) =
					((obj_t) BgL_effect1601z00_6052), BUNSPEC);
				return BgL_new1488z00_8427;
			}
		}
	}



/* extern? */
	BGL_EXPORTED_DEF bool_t BGl_externzf3zf3zzast_nodez00(obj_t BgL_objz00_179)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 778 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_179, BGl_externz00zzast_nodez00);
		}
	}



/* &extern? */
	obj_t BGl_z62externzf3z91zzast_nodez00(obj_t BgL_envz00_6053,
		obj_t BgL_objz00_6054)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 778 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6054,
					BGl_externz00zzast_nodez00));
		}
	}



/* extern-nil */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 779 */
			{	/* Ast/nodetype.sch 779 */
				obj_t BgL_classz00_4292;

				BgL_classz00_4292 = BGl_externz00zzast_nodez00;
				{	/* Ast/nodetype.sch 779 */
					obj_t BgL__ortest_1092z00_4293;

					BgL__ortest_1092z00_4293 = BGL_CLASS_NIL(BgL_classz00_4292);
					if (CBOOL(BgL__ortest_1092z00_4293))
						{	/* Ast/nodetype.sch 779 */
							return ((BgL_externz00_bglt) BgL__ortest_1092z00_4293);
						}
					else
						{	/* Ast/nodetype.sch 779 */
							return
								((BgL_externz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4292));
						}
				}
			}
		}
	}



/* &extern-nil */
	BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6055)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 779 */
			return BGl_externzd2nilzd2zzast_nodez00();
		}
	}



/* extern-effect */
	BGL_EXPORTED_DEF obj_t BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_180)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 780 */
			return (((BgL_externz00_bglt) CREF(BgL_oz00_180))->BgL_effectz00);
		}
	}



/* &extern-effect */
	obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6056,
		obj_t BgL_oz00_6057)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 780 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_6057)))->BgL_effectz00);
		}
	}



/* extern-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_181, obj_t BgL_vz00_182)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 781 */
			return
				((((BgL_externz00_bglt) CREF(BgL_oz00_181))->BgL_effectz00) =
				((obj_t) BgL_vz00_182), BUNSPEC);
		}
	}



/* &extern-effect-set! */
	obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6058,
		obj_t BgL_oz00_6059, obj_t BgL_vz00_6060)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 781 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_6059)))->BgL_effectz00) =
				((obj_t) BgL_vz00_6060), BUNSPEC);
		}
	}



/* extern-expr* */
	BGL_EXPORTED_DEF obj_t BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_183)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 782 */
			return (((BgL_externz00_bglt) CREF(BgL_oz00_183))->BgL_exprza2za2);
		}
	}



/* &extern-expr* */
	obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6061,
		obj_t BgL_oz00_6062)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 782 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_6062)))->BgL_exprza2za2);
		}
	}



/* extern-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_184, obj_t BgL_vz00_185)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 783 */
			return
				((((BgL_externz00_bglt) CREF(BgL_oz00_184))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_185), BUNSPEC);
		}
	}



/* &extern-expr*-set! */
	obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6063,
		obj_t BgL_oz00_6064, obj_t BgL_vz00_6065)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 783 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_6064)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6065), BUNSPEC);
		}
	}



/* extern-key */
	BGL_EXPORTED_DEF obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_186)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 784 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_186)))->BgL_keyz00);
		}
	}



/* &extern-key */
	obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6066,
		obj_t BgL_oz00_6067)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 784 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_externz00_bglt) BgL_oz00_6067))))->BgL_keyz00);
		}
	}



/* extern-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_187,
		obj_t BgL_vz00_188)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 785 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_187)))->BgL_keyz00) =
				((obj_t) BgL_vz00_188), BUNSPEC);
		}
	}



/* &extern-key-set! */
	obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6068,
		obj_t BgL_oz00_6069, obj_t BgL_vz00_6070)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 785 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_externz00_bglt) BgL_oz00_6069))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6070), BUNSPEC);
		}
	}



/* extern-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt BgL_oz00_189)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 786 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_189)))->BgL_sidezd2effectzd2);
		}
	}



/* &extern-side-effect */
	obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6071,
		obj_t BgL_oz00_6072)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 786 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_externz00_bglt) BgL_oz00_6072))))->BgL_sidezd2effectzd2);
		}
	}



/* extern-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_190, obj_t BgL_vz00_191)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 787 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_190)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_191), BUNSPEC);
		}
	}



/* &extern-side-effect-set! */
	obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6073, obj_t BgL_oz00_6074, obj_t BgL_vz00_6075)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 787 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_externz00_bglt) BgL_oz00_6074))))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_6075), BUNSPEC);
		}
	}



/* extern-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt BgL_oz00_192)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 788 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_192)))->BgL_typez00);
		}
	}



/* &extern-type */
	BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t BgL_envz00_6076,
		obj_t BgL_oz00_6077)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 788 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_externz00_bglt) BgL_oz00_6077))))->BgL_typez00);
		}
	}



/* extern-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_193,
		BgL_typez00_bglt BgL_vz00_194)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 789 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_193)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_194), BUNSPEC);
		}
	}



/* &extern-type-set! */
	obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6078,
		obj_t BgL_oz00_6079, obj_t BgL_vz00_6080)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 789 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_externz00_bglt) BgL_oz00_6079))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6080)), BUNSPEC);
		}
	}



/* extern-loc */
	BGL_EXPORTED_DEF obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_195)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 790 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_195)))->BgL_locz00);
		}
	}



/* &extern-loc */
	obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t BgL_envz00_6081,
		obj_t BgL_oz00_6082)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 790 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_externz00_bglt) BgL_oz00_6082))))->BgL_locz00);
		}
	}



/* make-pragma */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t
		BgL_loc1588z00_198, BgL_typez00_bglt BgL_type1589z00_199,
		obj_t BgL_sidezd2effect1590zd2_200, obj_t BgL_key1591z00_201,
		obj_t BgL_exprza21592za2_202, obj_t BgL_effect1593z00_203,
		obj_t BgL_format1594z00_204)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 794 */
			{	/* Ast/nodetype.sch 794 */
				BgL_pragmaz00_bglt BgL_new1502z00_8448;

				{	/* Ast/nodetype.sch 794 */
					BgL_pragmaz00_bglt BgL_new1501z00_8449;

					BgL_new1501z00_8449 =
						((BgL_pragmaz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/nodetype.sch 794 */
						long BgL_arg2476z00_8450;

						{	/* Ast/nodetype.sch 794 */
							long BgL_res3464z00_8451;

							BgL_res3464z00_8451 = BGL_CLASS_INDEX(BGl_pragmaz00zzast_nodez00);
							BgL_arg2476z00_8450 = BgL_res3464z00_8451;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1501z00_8449), BgL_arg2476z00_8450);
					}
					{	/* Ast/nodetype.sch 794 */
						BgL_objectz00_bglt BgL_auxz00_10299;

						BgL_auxz00_10299 = ((BgL_objectz00_bglt) BgL_new1501z00_8449);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10299, BFALSE);
					}
					BgL_new1502z00_8448 = BgL_new1501z00_8449;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1502z00_8448)))->BgL_locz00) =
					((obj_t) BgL_loc1588z00_198), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1502z00_8448)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1589z00_199), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1502z00_8448)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1590zd2_200), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1502z00_8448)))->BgL_keyz00) =
					((obj_t) BgL_key1591z00_201), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1502z00_8448)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21592za2_202), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1502z00_8448)))->BgL_effectz00) =
					((obj_t) BgL_effect1593z00_203), BUNSPEC);
				((((BgL_pragmaz00_bglt) CREF(BgL_new1502z00_8448))->BgL_formatz00) =
					((obj_t) BgL_format1594z00_204), BUNSPEC);
				return BgL_new1502z00_8448;
			}
		}
	}



/* &make-pragma */
	BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t BgL_envz00_6083,
		obj_t BgL_loc1588z00_6084, obj_t BgL_type1589z00_6085,
		obj_t BgL_sidezd2effect1590zd2_6086, obj_t BgL_key1591z00_6087,
		obj_t BgL_exprza21592za2_6088, obj_t BgL_effect1593z00_6089,
		obj_t BgL_format1594z00_6090)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 794 */
			{	/* Ast/nodetype.sch 794 */
				BgL_pragmaz00_bglt BgL_new1502z00_8459;

				{	/* Ast/nodetype.sch 794 */
					BgL_pragmaz00_bglt BgL_new1501z00_8460;

					BgL_new1501z00_8460 =
						((BgL_pragmaz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/nodetype.sch 794 */
						long BgL_arg2476z00_8461;

						{	/* Ast/nodetype.sch 794 */
							long BgL_res3464z00_8462;

							BgL_res3464z00_8462 = BGL_CLASS_INDEX(BGl_pragmaz00zzast_nodez00);
							BgL_arg2476z00_8461 = BgL_res3464z00_8462;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1501z00_8460), BgL_arg2476z00_8461);
					}
					{	/* Ast/nodetype.sch 794 */
						BgL_objectz00_bglt BgL_auxz00_10319;

						BgL_auxz00_10319 = ((BgL_objectz00_bglt) BgL_new1501z00_8460);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10319, BFALSE);
					}
					BgL_new1502z00_8459 = BgL_new1501z00_8460;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1502z00_8459)))->BgL_locz00) =
					((obj_t) BgL_loc1588z00_6084), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1502z00_8459)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1589z00_6085)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1502z00_8459)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1590zd2_6086), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1502z00_8459)))->BgL_keyz00) =
					((obj_t) BgL_key1591z00_6087), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1502z00_8459)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21592za2_6088), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1502z00_8459)))->BgL_effectz00) =
					((obj_t) BgL_effect1593z00_6089), BUNSPEC);
				((((BgL_pragmaz00_bglt) CREF(BgL_new1502z00_8459))->BgL_formatz00) =
					((obj_t) BgL_format1594z00_6090), BUNSPEC);
				return BgL_new1502z00_8459;
			}
		}
	}



/* pragma? */
	BGL_EXPORTED_DEF bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t BgL_objz00_205)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 795 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_205, BGl_pragmaz00zzast_nodez00);
		}
	}



/* &pragma? */
	obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t BgL_envz00_6091,
		obj_t BgL_objz00_6092)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 795 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6092,
					BGl_pragmaz00zzast_nodez00));
		}
	}



/* pragma-nil */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 796 */
			{	/* Ast/nodetype.sch 796 */
				obj_t BgL_classz00_4312;

				BgL_classz00_4312 = BGl_pragmaz00zzast_nodez00;
				{	/* Ast/nodetype.sch 796 */
					obj_t BgL__ortest_1092z00_4313;

					BgL__ortest_1092z00_4313 = BGL_CLASS_NIL(BgL_classz00_4312);
					if (CBOOL(BgL__ortest_1092z00_4313))
						{	/* Ast/nodetype.sch 796 */
							return ((BgL_pragmaz00_bglt) BgL__ortest_1092z00_4313);
						}
					else
						{	/* Ast/nodetype.sch 796 */
							return
								((BgL_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4312));
						}
				}
			}
		}
	}



/* &pragma-nil */
	BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t BgL_envz00_6093)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 796 */
			return BGl_pragmazd2nilzd2zzast_nodez00();
		}
	}



/* pragma-format */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_206)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 797 */
			return (((BgL_pragmaz00_bglt) CREF(BgL_oz00_206))->BgL_formatz00);
		}
	}



/* &pragma-format */
	obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t BgL_envz00_6094,
		obj_t BgL_oz00_6095)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 797 */
			return
				(((BgL_pragmaz00_bglt) CREF(
						((BgL_pragmaz00_bglt) BgL_oz00_6095)))->BgL_formatz00);
		}
	}



/* pragma-effect */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_209)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 799 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_209)))->BgL_effectz00);
		}
	}



/* &pragma-effect */
	obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t BgL_envz00_6096,
		obj_t BgL_oz00_6097)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 799 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6097))))->BgL_effectz00);
		}
	}



/* pragma-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_210, obj_t BgL_vz00_211)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 800 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_210)))->BgL_effectz00) =
				((obj_t) BgL_vz00_211), BUNSPEC);
		}
	}



/* &pragma-effect-set! */
	obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6098,
		obj_t BgL_oz00_6099, obj_t BgL_vz00_6100)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 800 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_oz00_6099))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6100), BUNSPEC);
		}
	}



/* pragma-expr* */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_212)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 801 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_212)))->BgL_exprza2za2);
		}
	}



/* &pragma-expr* */
	obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6101,
		obj_t BgL_oz00_6102)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 801 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6102))))->BgL_exprza2za2);
		}
	}



/* pragma-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_213, obj_t BgL_vz00_214)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 802 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_213)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_214), BUNSPEC);
		}
	}



/* &pragma-expr*-set! */
	obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6103,
		obj_t BgL_oz00_6104, obj_t BgL_vz00_6105)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 802 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_oz00_6104))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6105), BUNSPEC);
		}
	}



/* pragma-key */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_215)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 803 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_215)))->BgL_keyz00);
		}
	}



/* &pragma-key */
	obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t BgL_envz00_6106,
		obj_t BgL_oz00_6107)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 803 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6107))))->BgL_keyz00);
		}
	}



/* pragma-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_216,
		obj_t BgL_vz00_217)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 804 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_216)))->BgL_keyz00) =
				((obj_t) BgL_vz00_217), BUNSPEC);
		}
	}



/* &pragma-key-set! */
	obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6108,
		obj_t BgL_oz00_6109, obj_t BgL_vz00_6110)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 804 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_pragmaz00_bglt) BgL_oz00_6109))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6110), BUNSPEC);
		}
	}



/* pragma-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_218)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 805 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_218)))->BgL_sidezd2effectzd2);
		}
	}



/* &pragma-side-effect */
	obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6111,
		obj_t BgL_oz00_6112)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 805 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6112))))->BgL_sidezd2effectzd2);
		}
	}



/* pragma-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_219, obj_t BgL_vz00_220)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 806 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_219)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_220), BUNSPEC);
		}
	}



/* &pragma-side-effect-set! */
	obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6113, obj_t BgL_oz00_6114, obj_t BgL_vz00_6115)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 806 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_pragmaz00_bglt) BgL_oz00_6114))))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_6115), BUNSPEC);
		}
	}



/* pragma-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_221)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 807 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_221)))->BgL_typez00);
		}
	}



/* &pragma-type */
	BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t BgL_envz00_6116,
		obj_t BgL_oz00_6117)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 807 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6117))))->BgL_typez00);
		}
	}



/* pragma-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_222,
		BgL_typez00_bglt BgL_vz00_223)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 808 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_222)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_223), BUNSPEC);
		}
	}



/* &pragma-type-set! */
	obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6118,
		obj_t BgL_oz00_6119, obj_t BgL_vz00_6120)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 808 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_pragmaz00_bglt) BgL_oz00_6119))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6120)), BUNSPEC);
		}
	}



/* pragma-loc */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_224)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 809 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_224)))->BgL_locz00);
		}
	}



/* &pragma-loc */
	obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t BgL_envz00_6121,
		obj_t BgL_oz00_6122)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 809 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_pragmaz00_bglt) BgL_oz00_6122))))->BgL_locz00);
		}
	}



/* make-private */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_makezd2privatezd2zzast_nodez00(obj_t
		BgL_loc1580z00_227, BgL_typez00_bglt BgL_type1581z00_228,
		obj_t BgL_sidezd2effect1582zd2_229, obj_t BgL_key1583z00_230,
		obj_t BgL_exprza21584za2_231, obj_t BgL_effect1585z00_232,
		obj_t BgL_czd2format1586zd2_233)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 813 */
			{	/* Ast/nodetype.sch 813 */
				BgL_privatez00_bglt BgL_new1518z00_8481;

				{	/* Ast/nodetype.sch 813 */
					BgL_privatez00_bglt BgL_new1517z00_8482;

					BgL_new1517z00_8482 =
						((BgL_privatez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/nodetype.sch 813 */
						long BgL_arg2477z00_8483;

						{	/* Ast/nodetype.sch 813 */
							long BgL_res3465z00_8484;

							BgL_res3465z00_8484 =
								BGL_CLASS_INDEX(BGl_privatez00zzast_nodez00);
							BgL_arg2477z00_8483 = BgL_res3465z00_8484;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1517z00_8482), BgL_arg2477z00_8483);
					}
					{	/* Ast/nodetype.sch 813 */
						BgL_objectz00_bglt BgL_auxz00_10409;

						BgL_auxz00_10409 = ((BgL_objectz00_bglt) BgL_new1517z00_8482);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10409, BFALSE);
					}
					BgL_new1518z00_8481 = BgL_new1517z00_8482;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1518z00_8481)))->BgL_locz00) =
					((obj_t) BgL_loc1580z00_227), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1518z00_8481)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1581z00_228), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1518z00_8481)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1582zd2_229), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1518z00_8481)))->BgL_keyz00) =
					((obj_t) BgL_key1583z00_230), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1518z00_8481)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21584za2_231), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1518z00_8481)))->BgL_effectz00) =
					((obj_t) BgL_effect1585z00_232), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(BgL_new1518z00_8481))->
						BgL_czd2formatzd2) = ((obj_t) BgL_czd2format1586zd2_233), BUNSPEC);
				return BgL_new1518z00_8481;
			}
		}
	}



/* &make-private */
	BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t
		BgL_envz00_6123, obj_t BgL_loc1580z00_6124, obj_t BgL_type1581z00_6125,
		obj_t BgL_sidezd2effect1582zd2_6126, obj_t BgL_key1583z00_6127,
		obj_t BgL_exprza21584za2_6128, obj_t BgL_effect1585z00_6129,
		obj_t BgL_czd2format1586zd2_6130)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 813 */
			{	/* Ast/nodetype.sch 813 */
				BgL_privatez00_bglt BgL_new1518z00_8492;

				{	/* Ast/nodetype.sch 813 */
					BgL_privatez00_bglt BgL_new1517z00_8493;

					BgL_new1517z00_8493 =
						((BgL_privatez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/nodetype.sch 813 */
						long BgL_arg2477z00_8494;

						{	/* Ast/nodetype.sch 813 */
							long BgL_res3465z00_8495;

							BgL_res3465z00_8495 =
								BGL_CLASS_INDEX(BGl_privatez00zzast_nodez00);
							BgL_arg2477z00_8494 = BgL_res3465z00_8495;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1517z00_8493), BgL_arg2477z00_8494);
					}
					{	/* Ast/nodetype.sch 813 */
						BgL_objectz00_bglt BgL_auxz00_10429;

						BgL_auxz00_10429 = ((BgL_objectz00_bglt) BgL_new1517z00_8493);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10429, BFALSE);
					}
					BgL_new1518z00_8492 = BgL_new1517z00_8493;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1518z00_8492)))->BgL_locz00) =
					((obj_t) BgL_loc1580z00_6124), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1518z00_8492)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1581z00_6125)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1518z00_8492)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1582zd2_6126), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1518z00_8492)))->BgL_keyz00) =
					((obj_t) BgL_key1583z00_6127), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1518z00_8492)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21584za2_6128), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1518z00_8492)))->BgL_effectz00) =
					((obj_t) BgL_effect1585z00_6129), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(BgL_new1518z00_8492))->
						BgL_czd2formatzd2) = ((obj_t) BgL_czd2format1586zd2_6130), BUNSPEC);
				return BgL_new1518z00_8492;
			}
		}
	}



/* private? */
	BGL_EXPORTED_DEF bool_t BGl_privatezf3zf3zzast_nodez00(obj_t BgL_objz00_234)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 814 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_234, BGl_privatez00zzast_nodez00);
		}
	}



/* &private? */
	obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t BgL_envz00_6131,
		obj_t BgL_objz00_6132)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 814 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6132,
					BGl_privatez00zzast_nodez00));
		}
	}



/* private-nil */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 815 */
			{	/* Ast/nodetype.sch 815 */
				obj_t BgL_classz00_4333;

				BgL_classz00_4333 = BGl_privatez00zzast_nodez00;
				{	/* Ast/nodetype.sch 815 */
					obj_t BgL__ortest_1092z00_4334;

					BgL__ortest_1092z00_4334 = BGL_CLASS_NIL(BgL_classz00_4333);
					if (CBOOL(BgL__ortest_1092z00_4334))
						{	/* Ast/nodetype.sch 815 */
							return ((BgL_privatez00_bglt) BgL__ortest_1092z00_4334);
						}
					else
						{	/* Ast/nodetype.sch 815 */
							return
								((BgL_privatez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4333));
						}
				}
			}
		}
	}



/* &private-nil */
	BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6133)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 815 */
			return BGl_privatezd2nilzd2zzast_nodez00();
		}
	}



/* private-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt BgL_oz00_235)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 816 */
			return (((BgL_privatez00_bglt) CREF(BgL_oz00_235))->BgL_czd2formatzd2);
		}
	}



/* &private-c-format */
	obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6134,
		obj_t BgL_oz00_6135)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 816 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_6135)))->BgL_czd2formatzd2);
		}
	}



/* private-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_238)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 818 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_238)))->BgL_effectz00);
		}
	}



/* &private-effect */
	obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6136,
		obj_t BgL_oz00_6137)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 818 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6137))))->BgL_effectz00);
		}
	}



/* private-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_239, obj_t BgL_vz00_240)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 819 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_239)))->BgL_effectz00) =
				((obj_t) BgL_vz00_240), BUNSPEC);
		}
	}



/* &private-effect-set! */
	obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6138,
		obj_t BgL_oz00_6139, obj_t BgL_vz00_6140)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 819 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_privatez00_bglt) BgL_oz00_6139))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6140), BUNSPEC);
		}
	}



/* private-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt BgL_oz00_241)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 820 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_241)))->BgL_exprza2za2);
		}
	}



/* &private-expr* */
	obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6141,
		obj_t BgL_oz00_6142)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 820 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6142))))->BgL_exprza2za2);
		}
	}



/* private-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_242, obj_t BgL_vz00_243)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 821 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_242)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_243), BUNSPEC);
		}
	}



/* &private-expr*-set! */
	obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6143,
		obj_t BgL_oz00_6144, obj_t BgL_vz00_6145)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 821 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_privatez00_bglt) BgL_oz00_6144))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6145), BUNSPEC);
		}
	}



/* private-key */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_244)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 822 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_244)))->BgL_keyz00);
		}
	}



/* &private-key */
	obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t BgL_envz00_6146,
		obj_t BgL_oz00_6147)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 822 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6147))))->BgL_keyz00);
		}
	}



/* private-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt BgL_oz00_245,
		obj_t BgL_vz00_246)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 823 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_245)))->BgL_keyz00) =
				((obj_t) BgL_vz00_246), BUNSPEC);
		}
	}



/* &private-key-set! */
	obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6148,
		obj_t BgL_oz00_6149, obj_t BgL_vz00_6150)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 823 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_privatez00_bglt) BgL_oz00_6149))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6150), BUNSPEC);
		}
	}



/* private-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_247)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 824 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_247)))->BgL_sidezd2effectzd2);
		}
	}



/* &private-side-effect */
	obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6151,
		obj_t BgL_oz00_6152)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 824 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6152))))->BgL_sidezd2effectzd2);
		}
	}



/* private-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_248, obj_t BgL_vz00_249)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 825 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_248)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_249), BUNSPEC);
		}
	}



/* &private-side-effect-set! */
	obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6153, obj_t BgL_oz00_6154, obj_t BgL_vz00_6155)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 825 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_privatez00_bglt) BgL_oz00_6154))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6155), BUNSPEC);
		}
	}



/* private-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_250)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 826 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_250)))->BgL_typez00);
		}
	}



/* &private-type */
	BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t BgL_envz00_6156,
		obj_t BgL_oz00_6157)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 826 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6157))))->BgL_typez00);
		}
	}



/* private-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_251, BgL_typez00_bglt BgL_vz00_252)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 827 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_251)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_252), BUNSPEC);
		}
	}



/* &private-type-set! */
	obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6158,
		obj_t BgL_oz00_6159, obj_t BgL_vz00_6160)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 827 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_privatez00_bglt) BgL_oz00_6159))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6160)), BUNSPEC);
		}
	}



/* private-loc */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_253)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 828 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_253)))->BgL_locz00);
		}
	}



/* &private-loc */
	obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t BgL_envz00_6161,
		obj_t BgL_oz00_6162)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 828 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_privatez00_bglt) BgL_oz00_6162))))->BgL_locz00);
		}
	}



/* make-getfield */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t BgL_loc1569z00_256,
		BgL_typez00_bglt BgL_type1570z00_257, obj_t BgL_sidezd2effect1571zd2_258,
		obj_t BgL_key1572z00_259, obj_t BgL_exprza21573za2_260,
		obj_t BgL_effect1574z00_261, obj_t BgL_czd2format1575zd2_262,
		obj_t BgL_fname1576z00_263, BgL_typez00_bglt BgL_ftype1577z00_264,
		BgL_typez00_bglt BgL_otype1578z00_265)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 832 */
			{	/* Ast/nodetype.sch 832 */
				BgL_getfieldz00_bglt BgL_new1534z00_8514;

				{	/* Ast/nodetype.sch 832 */
					BgL_getfieldz00_bglt BgL_new1533z00_8515;

					BgL_new1533z00_8515 =
						((BgL_getfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/nodetype.sch 832 */
						long BgL_arg2478z00_8516;

						{	/* Ast/nodetype.sch 832 */
							long BgL_res3466z00_8517;

							BgL_res3466z00_8517 =
								BGL_CLASS_INDEX(BGl_getfieldz00zzast_nodez00);
							BgL_arg2478z00_8516 = BgL_res3466z00_8517;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1533z00_8515), BgL_arg2478z00_8516);
					}
					{	/* Ast/nodetype.sch 832 */
						BgL_objectz00_bglt BgL_auxz00_10519;

						BgL_auxz00_10519 = ((BgL_objectz00_bglt) BgL_new1533z00_8515);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10519, BFALSE);
					}
					BgL_new1534z00_8514 = BgL_new1533z00_8515;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1534z00_8514)))->BgL_locz00) =
					((obj_t) BgL_loc1569z00_256), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1534z00_8514)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1570z00_257), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1534z00_8514)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1571zd2_258), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1534z00_8514)))->BgL_keyz00) =
					((obj_t) BgL_key1572z00_259), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1534z00_8514)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21573za2_260), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1534z00_8514)))->BgL_effectz00) =
					((obj_t) BgL_effect1574z00_261), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1534z00_8514)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1575zd2_262), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1534z00_8514))->BgL_fnamez00) =
					((obj_t) BgL_fname1576z00_263), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1534z00_8514))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1577z00_264), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1534z00_8514))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1578z00_265), BUNSPEC);
				return BgL_new1534z00_8514;
			}
		}
	}



/* &make-getfield */
	BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6163, obj_t BgL_loc1569z00_6164, obj_t BgL_type1570z00_6165,
		obj_t BgL_sidezd2effect1571zd2_6166, obj_t BgL_key1572z00_6167,
		obj_t BgL_exprza21573za2_6168, obj_t BgL_effect1574z00_6169,
		obj_t BgL_czd2format1575zd2_6170, obj_t BgL_fname1576z00_6171,
		obj_t BgL_ftype1577z00_6172, obj_t BgL_otype1578z00_6173)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 832 */
			{	/* Ast/nodetype.sch 832 */
				BgL_getfieldz00_bglt BgL_new1534z00_8528;

				{	/* Ast/nodetype.sch 832 */
					BgL_getfieldz00_bglt BgL_new1533z00_8529;

					BgL_new1533z00_8529 =
						((BgL_getfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/nodetype.sch 832 */
						long BgL_arg2478z00_8530;

						{	/* Ast/nodetype.sch 832 */
							long BgL_res3466z00_8531;

							BgL_res3466z00_8531 =
								BGL_CLASS_INDEX(BGl_getfieldz00zzast_nodez00);
							BgL_arg2478z00_8530 = BgL_res3466z00_8531;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1533z00_8529), BgL_arg2478z00_8530);
					}
					{	/* Ast/nodetype.sch 832 */
						BgL_objectz00_bglt BgL_auxz00_10543;

						BgL_auxz00_10543 = ((BgL_objectz00_bglt) BgL_new1533z00_8529);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10543, BFALSE);
					}
					BgL_new1534z00_8528 = BgL_new1533z00_8529;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1534z00_8528)))->BgL_locz00) =
					((obj_t) BgL_loc1569z00_6164), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1534z00_8528)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1570z00_6165)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1534z00_8528)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1571zd2_6166), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1534z00_8528)))->BgL_keyz00) =
					((obj_t) BgL_key1572z00_6167), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1534z00_8528)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21573za2_6168), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1534z00_8528)))->BgL_effectz00) =
					((obj_t) BgL_effect1574z00_6169), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1534z00_8528)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1575zd2_6170), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1534z00_8528))->BgL_fnamez00) =
					((obj_t) BgL_fname1576z00_6171), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1534z00_8528))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1577z00_6172)),
					BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1534z00_8528))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1578z00_6173)),
					BUNSPEC);
				return BgL_new1534z00_8528;
			}
		}
	}



/* getfield? */
	BGL_EXPORTED_DEF bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_266)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 833 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_266,
				BGl_getfieldz00zzast_nodez00);
		}
	}



/* &getfield? */
	obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6174,
		obj_t BgL_objz00_6175)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 833 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6175,
					BGl_getfieldz00zzast_nodez00));
		}
	}



/* getfield-nil */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 834 */
			{	/* Ast/nodetype.sch 834 */
				obj_t BgL_classz00_4354;

				BgL_classz00_4354 = BGl_getfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 834 */
					obj_t BgL__ortest_1092z00_4355;

					BgL__ortest_1092z00_4355 = BGL_CLASS_NIL(BgL_classz00_4354);
					if (CBOOL(BgL__ortest_1092z00_4355))
						{	/* Ast/nodetype.sch 834 */
							return ((BgL_getfieldz00_bglt) BgL__ortest_1092z00_4355);
						}
					else
						{	/* Ast/nodetype.sch 834 */
							return
								((BgL_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4354));
						}
				}
			}
		}
	}



/* &getfield-nil */
	BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6176)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 834 */
			return BGl_getfieldzd2nilzd2zzast_nodez00();
		}
	}



/* getfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_267)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 835 */
			return (((BgL_getfieldz00_bglt) CREF(BgL_oz00_267))->BgL_otypez00);
		}
	}



/* &getfield-otype */
	BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6177, obj_t BgL_oz00_6178)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 835 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_6178)))->BgL_otypez00);
		}
	}



/* getfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_268, BgL_typez00_bglt BgL_vz00_269)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 836 */
			return
				((((BgL_getfieldz00_bglt) CREF(BgL_oz00_268))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_269), BUNSPEC);
		}
	}



/* &getfield-otype-set! */
	obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6179,
		obj_t BgL_oz00_6180, obj_t BgL_vz00_6181)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 836 */
			return
				((((BgL_getfieldz00_bglt) CREF(
							((BgL_getfieldz00_bglt) BgL_oz00_6180)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6181)), BUNSPEC);
		}
	}



/* getfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_270)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 837 */
			return (((BgL_getfieldz00_bglt) CREF(BgL_oz00_270))->BgL_ftypez00);
		}
	}



/* &getfield-ftype */
	BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6182, obj_t BgL_oz00_6183)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 837 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_6183)))->BgL_ftypez00);
		}
	}



/* getfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_271, BgL_typez00_bglt BgL_vz00_272)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 838 */
			return
				((((BgL_getfieldz00_bglt) CREF(BgL_oz00_271))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_272), BUNSPEC);
		}
	}



/* &getfield-ftype-set! */
	obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6184,
		obj_t BgL_oz00_6185, obj_t BgL_vz00_6186)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 838 */
			return
				((((BgL_getfieldz00_bglt) CREF(
							((BgL_getfieldz00_bglt) BgL_oz00_6185)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6186)), BUNSPEC);
		}
	}



/* getfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_273)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 839 */
			return (((BgL_getfieldz00_bglt) CREF(BgL_oz00_273))->BgL_fnamez00);
		}
	}



/* &getfield-fname */
	obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6187,
		obj_t BgL_oz00_6188)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 839 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_6188)))->BgL_fnamez00);
		}
	}



/* getfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_276)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 841 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_276)))->BgL_czd2formatzd2);
		}
	}



/* &getfield-c-format */
	obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6189,
		obj_t BgL_oz00_6190)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 841 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6190))))->BgL_czd2formatzd2);
		}
	}



/* getfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_279)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 843 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_279)))->BgL_effectz00);
		}
	}



/* &getfield-effect */
	obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6191,
		obj_t BgL_oz00_6192)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 843 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6192))))->BgL_effectz00);
		}
	}



/* getfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_280, obj_t BgL_vz00_281)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 844 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_280)))->BgL_effectz00) =
				((obj_t) BgL_vz00_281), BUNSPEC);
		}
	}



/* &getfield-effect-set! */
	obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6193,
		obj_t BgL_oz00_6194, obj_t BgL_vz00_6195)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 844 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_oz00_6194))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6195), BUNSPEC);
		}
	}



/* getfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_282)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 845 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_282)))->BgL_exprza2za2);
		}
	}



/* &getfield-expr* */
	obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6196,
		obj_t BgL_oz00_6197)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 845 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6197))))->BgL_exprza2za2);
		}
	}



/* getfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_283, obj_t BgL_vz00_284)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 846 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_283)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_284), BUNSPEC);
		}
	}



/* &getfield-expr*-set! */
	obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6198, obj_t BgL_oz00_6199, obj_t BgL_vz00_6200)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 846 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_oz00_6199))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6200), BUNSPEC);
		}
	}



/* getfield-key */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_285)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 847 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_285)))->BgL_keyz00);
		}
	}



/* &getfield-key */
	obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6201,
		obj_t BgL_oz00_6202)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 847 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6202))))->BgL_keyz00);
		}
	}



/* getfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_286, obj_t BgL_vz00_287)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 848 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_286)))->BgL_keyz00) =
				((obj_t) BgL_vz00_287), BUNSPEC);
		}
	}



/* &getfield-key-set! */
	obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6203,
		obj_t BgL_oz00_6204, obj_t BgL_vz00_6205)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 848 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_getfieldz00_bglt) BgL_oz00_6204))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6205), BUNSPEC);
		}
	}



/* getfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_288)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 849 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_288)))->BgL_sidezd2effectzd2);
		}
	}



/* &getfield-side-effect */
	obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6206,
		obj_t BgL_oz00_6207)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 849 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6207))))->BgL_sidezd2effectzd2);
		}
	}



/* getfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_289, obj_t BgL_vz00_290)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 850 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_289)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_290), BUNSPEC);
		}
	}



/* &getfield-side-effect-set! */
	obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6208, obj_t BgL_oz00_6209, obj_t BgL_vz00_6210)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 850 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_getfieldz00_bglt) BgL_oz00_6209))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6210), BUNSPEC);
		}
	}



/* getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_291)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 851 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_291)))->BgL_typez00);
		}
	}



/* &getfield-type */
	BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6211,
		obj_t BgL_oz00_6212)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 851 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6212))))->BgL_typez00);
		}
	}



/* getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_292, BgL_typez00_bglt BgL_vz00_293)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 852 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_292)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_293), BUNSPEC);
		}
	}



/* &getfield-type-set! */
	obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6213,
		obj_t BgL_oz00_6214, obj_t BgL_vz00_6215)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 852 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_getfieldz00_bglt) BgL_oz00_6214))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6215)), BUNSPEC);
		}
	}



/* getfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_294)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 853 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_294)))->BgL_locz00);
		}
	}



/* &getfield-loc */
	obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6216,
		obj_t BgL_oz00_6217)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 853 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_getfieldz00_bglt) BgL_oz00_6217))))->BgL_locz00);
		}
	}



/* make-setfield */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t BgL_loc1558z00_297,
		BgL_typez00_bglt BgL_type1559z00_298, obj_t BgL_sidezd2effect1560zd2_299,
		obj_t BgL_key1561z00_300, obj_t BgL_exprza21562za2_301,
		obj_t BgL_effect1563z00_302, obj_t BgL_czd2format1564zd2_303,
		obj_t BgL_fname1565z00_304, BgL_typez00_bglt BgL_ftype1566z00_305,
		BgL_typez00_bglt BgL_otype1567z00_306)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 857 */
			{	/* Ast/nodetype.sch 857 */
				BgL_setfieldz00_bglt BgL_new1556z00_8557;

				{	/* Ast/nodetype.sch 857 */
					BgL_setfieldz00_bglt BgL_new1555z00_8558;

					BgL_new1555z00_8558 =
						((BgL_setfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/nodetype.sch 857 */
						long BgL_arg2479z00_8559;

						{	/* Ast/nodetype.sch 857 */
							long BgL_res3467z00_8560;

							BgL_res3467z00_8560 =
								BGL_CLASS_INDEX(BGl_setfieldz00zzast_nodez00);
							BgL_arg2479z00_8559 = BgL_res3467z00_8560;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1555z00_8558), BgL_arg2479z00_8559);
					}
					{	/* Ast/nodetype.sch 857 */
						BgL_objectz00_bglt BgL_auxz00_10658;

						BgL_auxz00_10658 = ((BgL_objectz00_bglt) BgL_new1555z00_8558);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10658, BFALSE);
					}
					BgL_new1556z00_8557 = BgL_new1555z00_8558;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1556z00_8557)))->BgL_locz00) =
					((obj_t) BgL_loc1558z00_297), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1556z00_8557)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1559z00_298), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1556z00_8557)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1560zd2_299), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1556z00_8557)))->BgL_keyz00) =
					((obj_t) BgL_key1561z00_300), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1556z00_8557)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21562za2_301), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1556z00_8557)))->BgL_effectz00) =
					((obj_t) BgL_effect1563z00_302), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1556z00_8557)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1564zd2_303), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1556z00_8557))->BgL_fnamez00) =
					((obj_t) BgL_fname1565z00_304), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1556z00_8557))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1566z00_305), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1556z00_8557))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1567z00_306), BUNSPEC);
				return BgL_new1556z00_8557;
			}
		}
	}



/* &make-setfield */
	BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6218, obj_t BgL_loc1558z00_6219, obj_t BgL_type1559z00_6220,
		obj_t BgL_sidezd2effect1560zd2_6221, obj_t BgL_key1561z00_6222,
		obj_t BgL_exprza21562za2_6223, obj_t BgL_effect1563z00_6224,
		obj_t BgL_czd2format1564zd2_6225, obj_t BgL_fname1565z00_6226,
		obj_t BgL_ftype1566z00_6227, obj_t BgL_otype1567z00_6228)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 857 */
			{	/* Ast/nodetype.sch 857 */
				BgL_setfieldz00_bglt BgL_new1556z00_8571;

				{	/* Ast/nodetype.sch 857 */
					BgL_setfieldz00_bglt BgL_new1555z00_8572;

					BgL_new1555z00_8572 =
						((BgL_setfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/nodetype.sch 857 */
						long BgL_arg2479z00_8573;

						{	/* Ast/nodetype.sch 857 */
							long BgL_res3467z00_8574;

							BgL_res3467z00_8574 =
								BGL_CLASS_INDEX(BGl_setfieldz00zzast_nodez00);
							BgL_arg2479z00_8573 = BgL_res3467z00_8574;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1555z00_8572), BgL_arg2479z00_8573);
					}
					{	/* Ast/nodetype.sch 857 */
						BgL_objectz00_bglt BgL_auxz00_10682;

						BgL_auxz00_10682 = ((BgL_objectz00_bglt) BgL_new1555z00_8572);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10682, BFALSE);
					}
					BgL_new1556z00_8571 = BgL_new1555z00_8572;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1556z00_8571)))->BgL_locz00) =
					((obj_t) BgL_loc1558z00_6219), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1556z00_8571)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1559z00_6220)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1556z00_8571)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1560zd2_6221), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1556z00_8571)))->BgL_keyz00) =
					((obj_t) BgL_key1561z00_6222), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1556z00_8571)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21562za2_6223), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1556z00_8571)))->BgL_effectz00) =
					((obj_t) BgL_effect1563z00_6224), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1556z00_8571)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1564zd2_6225), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1556z00_8571))->BgL_fnamez00) =
					((obj_t) BgL_fname1565z00_6226), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1556z00_8571))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1566z00_6227)),
					BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1556z00_8571))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1567z00_6228)),
					BUNSPEC);
				return BgL_new1556z00_8571;
			}
		}
	}



/* setfield? */
	BGL_EXPORTED_DEF bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_307)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 858 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_307,
				BGl_setfieldz00zzast_nodez00);
		}
	}



/* &setfield? */
	obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6229,
		obj_t BgL_objz00_6230)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 858 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6230,
					BGl_setfieldz00zzast_nodez00));
		}
	}



/* setfield-nil */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 859 */
			{	/* Ast/nodetype.sch 859 */
				obj_t BgL_classz00_4380;

				BgL_classz00_4380 = BGl_setfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 859 */
					obj_t BgL__ortest_1092z00_4381;

					BgL__ortest_1092z00_4381 = BGL_CLASS_NIL(BgL_classz00_4380);
					if (CBOOL(BgL__ortest_1092z00_4381))
						{	/* Ast/nodetype.sch 859 */
							return ((BgL_setfieldz00_bglt) BgL__ortest_1092z00_4381);
						}
					else
						{	/* Ast/nodetype.sch 859 */
							return
								((BgL_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4380));
						}
				}
			}
		}
	}



/* &setfield-nil */
	BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6231)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 859 */
			return BGl_setfieldzd2nilzd2zzast_nodez00();
		}
	}



/* setfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_308)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 860 */
			return (((BgL_setfieldz00_bglt) CREF(BgL_oz00_308))->BgL_otypez00);
		}
	}



/* &setfield-otype */
	BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6232, obj_t BgL_oz00_6233)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 860 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_6233)))->BgL_otypez00);
		}
	}



/* setfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_309, BgL_typez00_bglt BgL_vz00_310)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 861 */
			return
				((((BgL_setfieldz00_bglt) CREF(BgL_oz00_309))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_310), BUNSPEC);
		}
	}



/* &setfield-otype-set! */
	obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6234,
		obj_t BgL_oz00_6235, obj_t BgL_vz00_6236)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 861 */
			return
				((((BgL_setfieldz00_bglt) CREF(
							((BgL_setfieldz00_bglt) BgL_oz00_6235)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6236)), BUNSPEC);
		}
	}



/* setfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_311)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 862 */
			return (((BgL_setfieldz00_bglt) CREF(BgL_oz00_311))->BgL_ftypez00);
		}
	}



/* &setfield-ftype */
	BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6237, obj_t BgL_oz00_6238)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 862 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_6238)))->BgL_ftypez00);
		}
	}



/* setfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_312, BgL_typez00_bglt BgL_vz00_313)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 863 */
			return
				((((BgL_setfieldz00_bglt) CREF(BgL_oz00_312))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_313), BUNSPEC);
		}
	}



/* &setfield-ftype-set! */
	obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6239,
		obj_t BgL_oz00_6240, obj_t BgL_vz00_6241)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 863 */
			return
				((((BgL_setfieldz00_bglt) CREF(
							((BgL_setfieldz00_bglt) BgL_oz00_6240)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6241)), BUNSPEC);
		}
	}



/* setfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_314)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 864 */
			return (((BgL_setfieldz00_bglt) CREF(BgL_oz00_314))->BgL_fnamez00);
		}
	}



/* &setfield-fname */
	obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6242,
		obj_t BgL_oz00_6243)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 864 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_6243)))->BgL_fnamez00);
		}
	}



/* setfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_317)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 866 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_317)))->BgL_czd2formatzd2);
		}
	}



/* &setfield-c-format */
	obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6244,
		obj_t BgL_oz00_6245)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 866 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6245))))->BgL_czd2formatzd2);
		}
	}



/* setfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_320)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 868 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_320)))->BgL_effectz00);
		}
	}



/* &setfield-effect */
	obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6246,
		obj_t BgL_oz00_6247)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 868 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6247))))->BgL_effectz00);
		}
	}



/* setfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_321, obj_t BgL_vz00_322)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 869 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_321)))->BgL_effectz00) =
				((obj_t) BgL_vz00_322), BUNSPEC);
		}
	}



/* &setfield-effect-set! */
	obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6248,
		obj_t BgL_oz00_6249, obj_t BgL_vz00_6250)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 869 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_oz00_6249))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6250), BUNSPEC);
		}
	}



/* setfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_323)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 870 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_323)))->BgL_exprza2za2);
		}
	}



/* &setfield-expr* */
	obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6251,
		obj_t BgL_oz00_6252)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 870 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6252))))->BgL_exprza2za2);
		}
	}



/* setfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_324, obj_t BgL_vz00_325)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 871 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_324)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_325), BUNSPEC);
		}
	}



/* &setfield-expr*-set! */
	obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6253, obj_t BgL_oz00_6254, obj_t BgL_vz00_6255)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 871 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_oz00_6254))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6255), BUNSPEC);
		}
	}



/* setfield-key */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_326)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 872 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_326)))->BgL_keyz00);
		}
	}



/* &setfield-key */
	obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6256,
		obj_t BgL_oz00_6257)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 872 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6257))))->BgL_keyz00);
		}
	}



/* setfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_327, obj_t BgL_vz00_328)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 873 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_327)))->BgL_keyz00) =
				((obj_t) BgL_vz00_328), BUNSPEC);
		}
	}



/* &setfield-key-set! */
	obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6258,
		obj_t BgL_oz00_6259, obj_t BgL_vz00_6260)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 873 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_setfieldz00_bglt) BgL_oz00_6259))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6260), BUNSPEC);
		}
	}



/* setfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_329)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 874 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_329)))->BgL_sidezd2effectzd2);
		}
	}



/* &setfield-side-effect */
	obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6261,
		obj_t BgL_oz00_6262)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 874 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6262))))->BgL_sidezd2effectzd2);
		}
	}



/* setfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_330, obj_t BgL_vz00_331)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 875 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_330)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_331), BUNSPEC);
		}
	}



/* &setfield-side-effect-set! */
	obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6263, obj_t BgL_oz00_6264, obj_t BgL_vz00_6265)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 875 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_setfieldz00_bglt) BgL_oz00_6264))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6265), BUNSPEC);
		}
	}



/* setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_332)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 876 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_332)))->BgL_typez00);
		}
	}



/* &setfield-type */
	BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6266,
		obj_t BgL_oz00_6267)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 876 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6267))))->BgL_typez00);
		}
	}



/* setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_333, BgL_typez00_bglt BgL_vz00_334)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 877 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_333)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_334), BUNSPEC);
		}
	}



/* &setfield-type-set! */
	obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6268,
		obj_t BgL_oz00_6269, obj_t BgL_vz00_6270)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 877 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_setfieldz00_bglt) BgL_oz00_6269))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6270)), BUNSPEC);
		}
	}



/* setfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_335)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 878 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_335)))->BgL_locz00);
		}
	}



/* &setfield-loc */
	obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6271,
		obj_t BgL_oz00_6272)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 878 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setfieldz00_bglt) BgL_oz00_6272))))->BgL_locz00);
		}
	}



/* make-widening */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t BgL_loc1549z00_338,
		BgL_typez00_bglt BgL_type1550z00_339, obj_t BgL_sidezd2effect1551zd2_340,
		obj_t BgL_key1552z00_341, obj_t BgL_exprza21553za2_342,
		obj_t BgL_effect1554z00_343, obj_t BgL_czd2format1555zd2_344,
		BgL_typez00_bglt BgL_otype1556z00_345)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 882 */
			{	/* Ast/nodetype.sch 882 */
				BgL_wideningz00_bglt BgL_new1578z00_8600;

				{	/* Ast/nodetype.sch 882 */
					BgL_wideningz00_bglt BgL_new1577z00_8601;

					BgL_new1577z00_8601 =
						((BgL_wideningz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/nodetype.sch 882 */
						long BgL_arg2480z00_8602;

						{	/* Ast/nodetype.sch 882 */
							long BgL_res3468z00_8603;

							BgL_res3468z00_8603 =
								BGL_CLASS_INDEX(BGl_wideningz00zzast_nodez00);
							BgL_arg2480z00_8602 = BgL_res3468z00_8603;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1577z00_8601), BgL_arg2480z00_8602);
					}
					{	/* Ast/nodetype.sch 882 */
						BgL_objectz00_bglt BgL_auxz00_10797;

						BgL_auxz00_10797 = ((BgL_objectz00_bglt) BgL_new1577z00_8601);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10797, BFALSE);
					}
					BgL_new1578z00_8600 = BgL_new1577z00_8601;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1578z00_8600)))->BgL_locz00) =
					((obj_t) BgL_loc1549z00_338), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1578z00_8600)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1550z00_339), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1578z00_8600)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1551zd2_340), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1578z00_8600)))->BgL_keyz00) =
					((obj_t) BgL_key1552z00_341), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1578z00_8600)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21553za2_342), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1578z00_8600)))->BgL_effectz00) =
					((obj_t) BgL_effect1554z00_343), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1578z00_8600)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1555zd2_344), BUNSPEC);
				((((BgL_wideningz00_bglt) CREF(BgL_new1578z00_8600))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1556z00_345), BUNSPEC);
				return BgL_new1578z00_8600;
			}
		}
	}



/* &make-widening */
	BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t
		BgL_envz00_6273, obj_t BgL_loc1549z00_6274, obj_t BgL_type1550z00_6275,
		obj_t BgL_sidezd2effect1551zd2_6276, obj_t BgL_key1552z00_6277,
		obj_t BgL_exprza21553za2_6278, obj_t BgL_effect1554z00_6279,
		obj_t BgL_czd2format1555zd2_6280, obj_t BgL_otype1556z00_6281)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 882 */
			{	/* Ast/nodetype.sch 882 */
				BgL_wideningz00_bglt BgL_new1578z00_8612;

				{	/* Ast/nodetype.sch 882 */
					BgL_wideningz00_bglt BgL_new1577z00_8613;

					BgL_new1577z00_8613 =
						((BgL_wideningz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/nodetype.sch 882 */
						long BgL_arg2480z00_8614;

						{	/* Ast/nodetype.sch 882 */
							long BgL_res3468z00_8615;

							BgL_res3468z00_8615 =
								BGL_CLASS_INDEX(BGl_wideningz00zzast_nodez00);
							BgL_arg2480z00_8614 = BgL_res3468z00_8615;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1577z00_8613), BgL_arg2480z00_8614);
					}
					{	/* Ast/nodetype.sch 882 */
						BgL_objectz00_bglt BgL_auxz00_10819;

						BgL_auxz00_10819 = ((BgL_objectz00_bglt) BgL_new1577z00_8613);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10819, BFALSE);
					}
					BgL_new1578z00_8612 = BgL_new1577z00_8613;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1578z00_8612)))->BgL_locz00) =
					((obj_t) BgL_loc1549z00_6274), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1578z00_8612)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1550z00_6275)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1578z00_8612)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1551zd2_6276), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1578z00_8612)))->BgL_keyz00) =
					((obj_t) BgL_key1552z00_6277), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1578z00_8612)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21553za2_6278), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1578z00_8612)))->BgL_effectz00) =
					((obj_t) BgL_effect1554z00_6279), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1578z00_8612)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1555zd2_6280), BUNSPEC);
				((((BgL_wideningz00_bglt) CREF(BgL_new1578z00_8612))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1556z00_6281)),
					BUNSPEC);
				return BgL_new1578z00_8612;
			}
		}
	}



/* widening? */
	BGL_EXPORTED_DEF bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t BgL_objz00_346)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 883 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_346,
				BGl_wideningz00zzast_nodez00);
		}
	}



/* &widening? */
	obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t BgL_envz00_6282,
		obj_t BgL_objz00_6283)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 883 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6283,
					BGl_wideningz00zzast_nodez00));
		}
	}



/* widening-nil */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt BGl_wideningzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 884 */
			{	/* Ast/nodetype.sch 884 */
				obj_t BgL_classz00_4406;

				BgL_classz00_4406 = BGl_wideningz00zzast_nodez00;
				{	/* Ast/nodetype.sch 884 */
					obj_t BgL__ortest_1092z00_4407;

					BgL__ortest_1092z00_4407 = BGL_CLASS_NIL(BgL_classz00_4406);
					if (CBOOL(BgL__ortest_1092z00_4407))
						{	/* Ast/nodetype.sch 884 */
							return ((BgL_wideningz00_bglt) BgL__ortest_1092z00_4407);
						}
					else
						{	/* Ast/nodetype.sch 884 */
							return
								((BgL_wideningz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4406));
						}
				}
			}
		}
	}



/* &widening-nil */
	BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6284)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 884 */
			return BGl_wideningzd2nilzd2zzast_nodez00();
		}
	}



/* widening-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_347)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 885 */
			return (((BgL_wideningz00_bglt) CREF(BgL_oz00_347))->BgL_otypez00);
		}
	}



/* &widening-otype */
	BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6285, obj_t BgL_oz00_6286)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 885 */
			return
				(((BgL_wideningz00_bglt) CREF(
						((BgL_wideningz00_bglt) BgL_oz00_6286)))->BgL_otypez00);
		}
	}



/* widening-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_348, BgL_typez00_bglt BgL_vz00_349)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 886 */
			return
				((((BgL_wideningz00_bglt) CREF(BgL_oz00_348))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_349), BUNSPEC);
		}
	}



/* &widening-otype-set! */
	obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6287,
		obj_t BgL_oz00_6288, obj_t BgL_vz00_6289)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 886 */
			return
				((((BgL_wideningz00_bglt) CREF(
							((BgL_wideningz00_bglt) BgL_oz00_6288)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6289)), BUNSPEC);
		}
	}



/* widening-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_350)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 887 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_350)))->BgL_czd2formatzd2);
		}
	}



/* &widening-c-format */
	obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6290,
		obj_t BgL_oz00_6291)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 887 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_wideningz00_bglt) BgL_oz00_6291))))->BgL_czd2formatzd2);
		}
	}



/* widening-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_353)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 889 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_353)))->BgL_effectz00);
		}
	}



/* &widening-effect */
	obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6292,
		obj_t BgL_oz00_6293)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 889 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_wideningz00_bglt) BgL_oz00_6293))))->BgL_effectz00);
		}
	}



/* widening-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_354, obj_t BgL_vz00_355)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 890 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_354)))->BgL_effectz00) =
				((obj_t) BgL_vz00_355), BUNSPEC);
		}
	}



/* &widening-effect-set! */
	obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6294,
		obj_t BgL_oz00_6295, obj_t BgL_vz00_6296)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 890 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_wideningz00_bglt) BgL_oz00_6295))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6296), BUNSPEC);
		}
	}



/* widening-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_356)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 891 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_356)))->BgL_exprza2za2);
		}
	}



/* &widening-expr* */
	obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6297,
		obj_t BgL_oz00_6298)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 891 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_wideningz00_bglt) BgL_oz00_6298))))->BgL_exprza2za2);
		}
	}



/* widening-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_357, obj_t BgL_vz00_358)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 892 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_357)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_358), BUNSPEC);
		}
	}



/* &widening-expr*-set! */
	obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6299, obj_t BgL_oz00_6300, obj_t BgL_vz00_6301)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 892 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_wideningz00_bglt) BgL_oz00_6300))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6301), BUNSPEC);
		}
	}



/* widening-key */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_359)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 893 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_359)))->BgL_keyz00);
		}
	}



/* &widening-key */
	obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6302,
		obj_t BgL_oz00_6303)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 893 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_wideningz00_bglt) BgL_oz00_6303))))->BgL_keyz00);
		}
	}



/* widening-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_360, obj_t BgL_vz00_361)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 894 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_360)))->BgL_keyz00) =
				((obj_t) BgL_vz00_361), BUNSPEC);
		}
	}



/* &widening-key-set! */
	obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6304,
		obj_t BgL_oz00_6305, obj_t BgL_vz00_6306)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 894 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_wideningz00_bglt) BgL_oz00_6305))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6306), BUNSPEC);
		}
	}



/* widening-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_362)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 895 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_362)))->BgL_sidezd2effectzd2);
		}
	}



/* &widening-side-effect */
	obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6307,
		obj_t BgL_oz00_6308)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 895 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_wideningz00_bglt) BgL_oz00_6308))))->BgL_sidezd2effectzd2);
		}
	}



/* widening-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_363, obj_t BgL_vz00_364)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 896 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_363)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_364), BUNSPEC);
		}
	}



/* &widening-side-effect-set! */
	obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6309, obj_t BgL_oz00_6310, obj_t BgL_vz00_6311)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 896 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_wideningz00_bglt) BgL_oz00_6310))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6311), BUNSPEC);
		}
	}



/* widening-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_365)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 897 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_365)))->BgL_typez00);
		}
	}



/* &widening-type */
	BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t BgL_envz00_6312,
		obj_t BgL_oz00_6313)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 897 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_wideningz00_bglt) BgL_oz00_6313))))->BgL_typez00);
		}
	}



/* widening-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_366, BgL_typez00_bglt BgL_vz00_367)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 898 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_366)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_367), BUNSPEC);
		}
	}



/* &widening-type-set! */
	obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6314,
		obj_t BgL_oz00_6315, obj_t BgL_vz00_6316)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 898 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_wideningz00_bglt) BgL_oz00_6315))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6316)), BUNSPEC);
		}
	}



/* widening-loc */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_368)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 899 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_368)))->BgL_locz00);
		}
	}



/* &widening-loc */
	obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t BgL_envz00_6317,
		obj_t BgL_oz00_6318)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 899 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_wideningz00_bglt) BgL_oz00_6318))))->BgL_locz00);
		}
	}



/* make-new */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t
		BgL_loc1540z00_371, BgL_typez00_bglt BgL_type1541z00_372,
		obj_t BgL_sidezd2effect1542zd2_373, obj_t BgL_key1543z00_374,
		obj_t BgL_exprza21544za2_375, obj_t BgL_effect1545z00_376,
		obj_t BgL_czd2format1546zd2_377, obj_t BgL_argszd2type1547zd2_378)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 903 */
			{	/* Ast/nodetype.sch 903 */
				BgL_newz00_bglt BgL_new1596z00_8637;

				{	/* Ast/nodetype.sch 903 */
					BgL_newz00_bglt BgL_new1595z00_8638;

					BgL_new1595z00_8638 =
						((BgL_newz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_newz00_bgl))));
					{	/* Ast/nodetype.sch 903 */
						long BgL_arg2481z00_8639;

						{	/* Ast/nodetype.sch 903 */
							long BgL_res3469z00_8640;

							BgL_res3469z00_8640 = BGL_CLASS_INDEX(BGl_newz00zzast_nodez00);
							BgL_arg2481z00_8639 = BgL_res3469z00_8640;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1595z00_8638), BgL_arg2481z00_8639);
					}
					{	/* Ast/nodetype.sch 903 */
						BgL_objectz00_bglt BgL_auxz00_10921;

						BgL_auxz00_10921 = ((BgL_objectz00_bglt) BgL_new1595z00_8638);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10921, BFALSE);
					}
					BgL_new1596z00_8637 = BgL_new1595z00_8638;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1596z00_8637)))->BgL_locz00) =
					((obj_t) BgL_loc1540z00_371), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1596z00_8637)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1541z00_372), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1596z00_8637)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1542zd2_373), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1596z00_8637)))->BgL_keyz00) =
					((obj_t) BgL_key1543z00_374), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1596z00_8637)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21544za2_375), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1596z00_8637)))->BgL_effectz00) =
					((obj_t) BgL_effect1545z00_376), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1596z00_8637)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1546zd2_377), BUNSPEC);
				((((BgL_newz00_bglt) CREF(BgL_new1596z00_8637))->BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1547zd2_378), BUNSPEC);
				return BgL_new1596z00_8637;
			}
		}
	}



/* &make-new */
	BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t BgL_envz00_6319,
		obj_t BgL_loc1540z00_6320, obj_t BgL_type1541z00_6321,
		obj_t BgL_sidezd2effect1542zd2_6322, obj_t BgL_key1543z00_6323,
		obj_t BgL_exprza21544za2_6324, obj_t BgL_effect1545z00_6325,
		obj_t BgL_czd2format1546zd2_6326, obj_t BgL_argszd2type1547zd2_6327)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 903 */
			{	/* Ast/nodetype.sch 903 */
				BgL_newz00_bglt BgL_new1596z00_8649;

				{	/* Ast/nodetype.sch 903 */
					BgL_newz00_bglt BgL_new1595z00_8650;

					BgL_new1595z00_8650 =
						((BgL_newz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_newz00_bgl))));
					{	/* Ast/nodetype.sch 903 */
						long BgL_arg2481z00_8651;

						{	/* Ast/nodetype.sch 903 */
							long BgL_res3469z00_8652;

							BgL_res3469z00_8652 = BGL_CLASS_INDEX(BGl_newz00zzast_nodez00);
							BgL_arg2481z00_8651 = BgL_res3469z00_8652;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1595z00_8650), BgL_arg2481z00_8651);
					}
					{	/* Ast/nodetype.sch 903 */
						BgL_objectz00_bglt BgL_auxz00_10943;

						BgL_auxz00_10943 = ((BgL_objectz00_bglt) BgL_new1595z00_8650);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_10943, BFALSE);
					}
					BgL_new1596z00_8649 = BgL_new1595z00_8650;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1596z00_8649)))->BgL_locz00) =
					((obj_t) BgL_loc1540z00_6320), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1596z00_8649)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1541z00_6321)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1596z00_8649)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1542zd2_6322), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1596z00_8649)))->BgL_keyz00) =
					((obj_t) BgL_key1543z00_6323), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1596z00_8649)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21544za2_6324), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1596z00_8649)))->BgL_effectz00) =
					((obj_t) BgL_effect1545z00_6325), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1596z00_8649)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1546zd2_6326), BUNSPEC);
				((((BgL_newz00_bglt) CREF(BgL_new1596z00_8649))->BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1547zd2_6327), BUNSPEC);
				return BgL_new1596z00_8649;
			}
		}
	}



/* new? */
	BGL_EXPORTED_DEF bool_t BGl_newzf3zf3zzast_nodez00(obj_t BgL_objz00_379)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 904 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_379, BGl_newz00zzast_nodez00);
		}
	}



/* &new? */
	obj_t BGl_z62newzf3z91zzast_nodez00(obj_t BgL_envz00_6328,
		obj_t BgL_objz00_6329)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 904 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6329,
					BGl_newz00zzast_nodez00));
		}
	}



/* new-nil */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 905 */
			{	/* Ast/nodetype.sch 905 */
				obj_t BgL_classz00_4429;

				BgL_classz00_4429 = BGl_newz00zzast_nodez00;
				{	/* Ast/nodetype.sch 905 */
					obj_t BgL__ortest_1092z00_4430;

					BgL__ortest_1092z00_4430 = BGL_CLASS_NIL(BgL_classz00_4429);
					if (CBOOL(BgL__ortest_1092z00_4430))
						{	/* Ast/nodetype.sch 905 */
							return ((BgL_newz00_bglt) BgL__ortest_1092z00_4430);
						}
					else
						{	/* Ast/nodetype.sch 905 */
							return
								((BgL_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4429));
						}
				}
			}
		}
	}



/* &new-nil */
	BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6330)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 905 */
			return BGl_newzd2nilzd2zzast_nodez00();
		}
	}



/* new-args-type */
	BGL_EXPORTED_DEF obj_t BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_380)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 906 */
			return (((BgL_newz00_bglt) CREF(BgL_oz00_380))->BgL_argszd2typezd2);
		}
	}



/* &new-args-type */
	obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t BgL_envz00_6331,
		obj_t BgL_oz00_6332)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 906 */
			return
				(((BgL_newz00_bglt) CREF(
						((BgL_newz00_bglt) BgL_oz00_6332)))->BgL_argszd2typezd2);
		}
	}



/* new-args-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt BgL_oz00_381,
		obj_t BgL_vz00_382)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 907 */
			return
				((((BgL_newz00_bglt) CREF(BgL_oz00_381))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_382), BUNSPEC);
		}
	}



/* &new-args-type-set! */
	obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6333,
		obj_t BgL_oz00_6334, obj_t BgL_vz00_6335)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 907 */
			return
				((((BgL_newz00_bglt) CREF(
							((BgL_newz00_bglt) BgL_oz00_6334)))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_6335), BUNSPEC);
		}
	}



/* new-c-format */
	BGL_EXPORTED_DEF obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_383)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 908 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_383)))->BgL_czd2formatzd2);
		}
	}



/* &new-c-format */
	obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6336,
		obj_t BgL_oz00_6337)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 908 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6337))))->BgL_czd2formatzd2);
		}
	}



/* new-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_386)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 910 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_386)))->BgL_effectz00);
		}
	}



/* &new-effect */
	obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6338,
		obj_t BgL_oz00_6339)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 910 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6339))))->BgL_effectz00);
		}
	}



/* new-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt BgL_oz00_387,
		obj_t BgL_vz00_388)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 911 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_387)))->BgL_effectz00) =
				((obj_t) BgL_vz00_388), BUNSPEC);
		}
	}



/* &new-effect-set! */
	obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6340,
		obj_t BgL_oz00_6341, obj_t BgL_vz00_6342)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 911 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_oz00_6341))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6342), BUNSPEC);
		}
	}



/* new-expr* */
	BGL_EXPORTED_DEF obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_389)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 912 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_389)))->BgL_exprza2za2);
		}
	}



/* &new-expr* */
	obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6343,
		obj_t BgL_oz00_6344)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 912 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6344))))->BgL_exprza2za2);
		}
	}



/* new-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt BgL_oz00_390,
		obj_t BgL_vz00_391)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 913 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_390)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_391), BUNSPEC);
		}
	}



/* &new-expr*-set! */
	obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6345,
		obj_t BgL_oz00_6346, obj_t BgL_vz00_6347)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 913 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_oz00_6346))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6347), BUNSPEC);
		}
	}



/* new-key */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_392)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 914 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_392)))->BgL_keyz00);
		}
	}



/* &new-key */
	obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6348,
		obj_t BgL_oz00_6349)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 914 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_newz00_bglt) BgL_oz00_6349))))->BgL_keyz00);
		}
	}



/* new-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_393, obj_t BgL_vz00_394)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 915 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_393)))->BgL_keyz00) =
				((obj_t) BgL_vz00_394), BUNSPEC);
		}
	}



/* &new-key-set! */
	obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6350,
		obj_t BgL_oz00_6351, obj_t BgL_vz00_6352)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 915 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_newz00_bglt) BgL_oz00_6351))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6352), BUNSPEC);
		}
	}



/* new-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_395)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 916 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_395)))->BgL_sidezd2effectzd2);
		}
	}



/* &new-side-effect */
	obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6353,
		obj_t BgL_oz00_6354)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 916 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_newz00_bglt) BgL_oz00_6354))))->BgL_sidezd2effectzd2);
		}
	}



/* new-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_396, obj_t BgL_vz00_397)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 917 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_396)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_397), BUNSPEC);
		}
	}



/* &new-side-effect-set! */
	obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6355, obj_t BgL_oz00_6356, obj_t BgL_vz00_6357)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 917 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_newz00_bglt) BgL_oz00_6356))))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_6357), BUNSPEC);
		}
	}



/* new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt BgL_oz00_398)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 918 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_398)))->BgL_typez00);
		}
	}



/* &new-type */
	BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t BgL_envz00_6358,
		obj_t BgL_oz00_6359)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 918 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6359))))->BgL_typez00);
		}
	}



/* new-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_399, BgL_typez00_bglt BgL_vz00_400)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 919 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_399)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_400), BUNSPEC);
		}
	}



/* &new-type-set! */
	obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6360,
		obj_t BgL_oz00_6361, obj_t BgL_vz00_6362)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 919 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_newz00_bglt) BgL_oz00_6361))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6362)), BUNSPEC);
		}
	}



/* new-loc */
	BGL_EXPORTED_DEF obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_401)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 920 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_401)))->BgL_locz00);
		}
	}



/* &new-loc */
	obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t BgL_envz00_6363,
		obj_t BgL_oz00_6364)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 920 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_newz00_bglt) BgL_oz00_6364))))->BgL_locz00);
		}
	}



/* make-valloc */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t
		BgL_loc1530z00_404, BgL_typez00_bglt BgL_type1531z00_405,
		obj_t BgL_sidezd2effect1532zd2_406, obj_t BgL_key1533z00_407,
		obj_t BgL_exprza21534za2_408, obj_t BgL_effect1535z00_409,
		obj_t BgL_czd2format1536zd2_410, BgL_typez00_bglt BgL_ftype1537z00_411,
		BgL_typez00_bglt BgL_otype1538z00_412)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 924 */
			{	/* Ast/nodetype.sch 924 */
				BgL_vallocz00_bglt BgL_new1614z00_8674;

				{	/* Ast/nodetype.sch 924 */
					BgL_vallocz00_bglt BgL_new1613z00_8675;

					BgL_new1613z00_8675 =
						((BgL_vallocz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/nodetype.sch 924 */
						long BgL_arg2482z00_8676;

						{	/* Ast/nodetype.sch 924 */
							long BgL_res3470z00_8677;

							BgL_res3470z00_8677 = BGL_CLASS_INDEX(BGl_vallocz00zzast_nodez00);
							BgL_arg2482z00_8676 = BgL_res3470z00_8677;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1613z00_8675), BgL_arg2482z00_8676);
					}
					{	/* Ast/nodetype.sch 924 */
						BgL_objectz00_bglt BgL_auxz00_11043;

						BgL_auxz00_11043 = ((BgL_objectz00_bglt) BgL_new1613z00_8675);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11043, BFALSE);
					}
					BgL_new1614z00_8674 = BgL_new1613z00_8675;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1614z00_8674)))->BgL_locz00) =
					((obj_t) BgL_loc1530z00_404), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1614z00_8674)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1531z00_405), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1614z00_8674)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1532zd2_406), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1614z00_8674)))->BgL_keyz00) =
					((obj_t) BgL_key1533z00_407), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1614z00_8674)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21534za2_408), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1614z00_8674)))->BgL_effectz00) =
					((obj_t) BgL_effect1535z00_409), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1614z00_8674)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1536zd2_410), BUNSPEC);
				((((BgL_vallocz00_bglt) CREF(BgL_new1614z00_8674))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1537z00_411), BUNSPEC);
				((((BgL_vallocz00_bglt) CREF(BgL_new1614z00_8674))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1538z00_412), BUNSPEC);
				return BgL_new1614z00_8674;
			}
		}
	}



/* &make-valloc */
	BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t BgL_envz00_6365,
		obj_t BgL_loc1530z00_6366, obj_t BgL_type1531z00_6367,
		obj_t BgL_sidezd2effect1532zd2_6368, obj_t BgL_key1533z00_6369,
		obj_t BgL_exprza21534za2_6370, obj_t BgL_effect1535z00_6371,
		obj_t BgL_czd2format1536zd2_6372, obj_t BgL_ftype1537z00_6373,
		obj_t BgL_otype1538z00_6374)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 924 */
			{	/* Ast/nodetype.sch 924 */
				BgL_vallocz00_bglt BgL_new1614z00_8687;

				{	/* Ast/nodetype.sch 924 */
					BgL_vallocz00_bglt BgL_new1613z00_8688;

					BgL_new1613z00_8688 =
						((BgL_vallocz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/nodetype.sch 924 */
						long BgL_arg2482z00_8689;

						{	/* Ast/nodetype.sch 924 */
							long BgL_res3470z00_8690;

							BgL_res3470z00_8690 = BGL_CLASS_INDEX(BGl_vallocz00zzast_nodez00);
							BgL_arg2482z00_8689 = BgL_res3470z00_8690;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1613z00_8688), BgL_arg2482z00_8689);
					}
					{	/* Ast/nodetype.sch 924 */
						BgL_objectz00_bglt BgL_auxz00_11066;

						BgL_auxz00_11066 = ((BgL_objectz00_bglt) BgL_new1613z00_8688);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11066, BFALSE);
					}
					BgL_new1614z00_8687 = BgL_new1613z00_8688;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1614z00_8687)))->BgL_locz00) =
					((obj_t) BgL_loc1530z00_6366), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1614z00_8687)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1531z00_6367)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1614z00_8687)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1532zd2_6368), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1614z00_8687)))->BgL_keyz00) =
					((obj_t) BgL_key1533z00_6369), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1614z00_8687)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21534za2_6370), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1614z00_8687)))->BgL_effectz00) =
					((obj_t) BgL_effect1535z00_6371), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1614z00_8687)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1536zd2_6372), BUNSPEC);
				((((BgL_vallocz00_bglt) CREF(BgL_new1614z00_8687))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1537z00_6373)),
					BUNSPEC);
				((((BgL_vallocz00_bglt) CREF(BgL_new1614z00_8687))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1538z00_6374)),
					BUNSPEC);
				return BgL_new1614z00_8687;
			}
		}
	}



/* valloc? */
	BGL_EXPORTED_DEF bool_t BGl_valloczf3zf3zzast_nodez00(obj_t BgL_objz00_413)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 925 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_413, BGl_vallocz00zzast_nodez00);
		}
	}



/* &valloc? */
	obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t BgL_envz00_6375,
		obj_t BgL_objz00_6376)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 925 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6376,
					BGl_vallocz00zzast_nodez00));
		}
	}



/* valloc-nil */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 926 */
			{	/* Ast/nodetype.sch 926 */
				obj_t BgL_classz00_4452;

				BgL_classz00_4452 = BGl_vallocz00zzast_nodez00;
				{	/* Ast/nodetype.sch 926 */
					obj_t BgL__ortest_1092z00_4453;

					BgL__ortest_1092z00_4453 = BGL_CLASS_NIL(BgL_classz00_4452);
					if (CBOOL(BgL__ortest_1092z00_4453))
						{	/* Ast/nodetype.sch 926 */
							return ((BgL_vallocz00_bglt) BgL__ortest_1092z00_4453);
						}
					else
						{	/* Ast/nodetype.sch 926 */
							return
								((BgL_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4452));
						}
				}
			}
		}
	}



/* &valloc-nil */
	BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t BgL_envz00_6377)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 926 */
			return BGl_valloczd2nilzd2zzast_nodez00();
		}
	}



/* valloc-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_414)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 927 */
			return (((BgL_vallocz00_bglt) CREF(BgL_oz00_414))->BgL_otypez00);
		}
	}



/* &valloc-otype */
	BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t BgL_envz00_6378,
		obj_t BgL_oz00_6379)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 927 */
			return
				(((BgL_vallocz00_bglt) CREF(
						((BgL_vallocz00_bglt) BgL_oz00_6379)))->BgL_otypez00);
		}
	}



/* valloc-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_415,
		BgL_typez00_bglt BgL_vz00_416)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 928 */
			return
				((((BgL_vallocz00_bglt) CREF(BgL_oz00_415))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_416), BUNSPEC);
		}
	}



/* &valloc-otype-set! */
	obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6380,
		obj_t BgL_oz00_6381, obj_t BgL_vz00_6382)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 928 */
			return
				((((BgL_vallocz00_bglt) CREF(
							((BgL_vallocz00_bglt) BgL_oz00_6381)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6382)), BUNSPEC);
		}
	}



/* valloc-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_417)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 929 */
			return (((BgL_vallocz00_bglt) CREF(BgL_oz00_417))->BgL_ftypez00);
		}
	}



/* &valloc-ftype */
	BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t BgL_envz00_6383,
		obj_t BgL_oz00_6384)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 929 */
			return
				(((BgL_vallocz00_bglt) CREF(
						((BgL_vallocz00_bglt) BgL_oz00_6384)))->BgL_ftypez00);
		}
	}



/* valloc-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_418,
		BgL_typez00_bglt BgL_vz00_419)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 930 */
			return
				((((BgL_vallocz00_bglt) CREF(BgL_oz00_418))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_419), BUNSPEC);
		}
	}



/* &valloc-ftype-set! */
	obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6385,
		obj_t BgL_oz00_6386, obj_t BgL_vz00_6387)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 930 */
			return
				((((BgL_vallocz00_bglt) CREF(
							((BgL_vallocz00_bglt) BgL_oz00_6386)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6387)), BUNSPEC);
		}
	}



/* valloc-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_420)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 931 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_420)))->BgL_czd2formatzd2);
		}
	}



/* &valloc-c-format */
	obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6388,
		obj_t BgL_oz00_6389)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 931 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6389))))->BgL_czd2formatzd2);
		}
	}



/* valloc-effect */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_423)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 933 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_423)))->BgL_effectz00);
		}
	}



/* &valloc-effect */
	obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t BgL_envz00_6390,
		obj_t BgL_oz00_6391)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 933 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6391))))->BgL_effectz00);
		}
	}



/* valloc-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_424, obj_t BgL_vz00_425)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 934 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_424)))->BgL_effectz00) =
				((obj_t) BgL_vz00_425), BUNSPEC);
		}
	}



/* &valloc-effect-set! */
	obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6392,
		obj_t BgL_oz00_6393, obj_t BgL_vz00_6394)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 934 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_oz00_6393))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6394), BUNSPEC);
		}
	}



/* valloc-expr* */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_426)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 935 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_426)))->BgL_exprza2za2);
		}
	}



/* &valloc-expr* */
	obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6395,
		obj_t BgL_oz00_6396)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 935 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6396))))->BgL_exprza2za2);
		}
	}



/* valloc-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_427, obj_t BgL_vz00_428)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 936 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_427)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_428), BUNSPEC);
		}
	}



/* &valloc-expr*-set! */
	obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6397,
		obj_t BgL_oz00_6398, obj_t BgL_vz00_6399)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 936 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_oz00_6398))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6399), BUNSPEC);
		}
	}



/* valloc-key */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_429)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 937 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_429)))->BgL_keyz00);
		}
	}



/* &valloc-key */
	obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t BgL_envz00_6400,
		obj_t BgL_oz00_6401)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 937 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6401))))->BgL_keyz00);
		}
	}



/* valloc-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_430,
		obj_t BgL_vz00_431)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 938 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_430)))->BgL_keyz00) =
				((obj_t) BgL_vz00_431), BUNSPEC);
		}
	}



/* &valloc-key-set! */
	obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6402,
		obj_t BgL_oz00_6403, obj_t BgL_vz00_6404)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 938 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_vallocz00_bglt) BgL_oz00_6403))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6404), BUNSPEC);
		}
	}



/* valloc-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_432)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 939 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_432)))->BgL_sidezd2effectzd2);
		}
	}



/* &valloc-side-effect */
	obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6405,
		obj_t BgL_oz00_6406)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 939 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6406))))->BgL_sidezd2effectzd2);
		}
	}



/* valloc-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_433, obj_t BgL_vz00_434)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 940 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_433)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_434), BUNSPEC);
		}
	}



/* &valloc-side-effect-set! */
	obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6407, obj_t BgL_oz00_6408, obj_t BgL_vz00_6409)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 940 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_vallocz00_bglt) BgL_oz00_6408))))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_6409), BUNSPEC);
		}
	}



/* valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_435)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 941 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_435)))->BgL_typez00);
		}
	}



/* &valloc-type */
	BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t BgL_envz00_6410,
		obj_t BgL_oz00_6411)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 941 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6411))))->BgL_typez00);
		}
	}



/* valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_436,
		BgL_typez00_bglt BgL_vz00_437)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 942 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_436)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_437), BUNSPEC);
		}
	}



/* &valloc-type-set! */
	obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6412,
		obj_t BgL_oz00_6413, obj_t BgL_vz00_6414)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 942 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_vallocz00_bglt) BgL_oz00_6413))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6414)), BUNSPEC);
		}
	}



/* valloc-loc */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_438)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 943 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_438)))->BgL_locz00);
		}
	}



/* &valloc-loc */
	obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t BgL_envz00_6415,
		obj_t BgL_oz00_6416)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 943 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vallocz00_bglt) BgL_oz00_6416))))->BgL_locz00);
		}
	}



/* make-vref */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t
		BgL_loc1518z00_441, BgL_typez00_bglt BgL_type1519z00_442,
		obj_t BgL_sidezd2effect1520zd2_443, obj_t BgL_key1521z00_444,
		obj_t BgL_exprza21522za2_445, obj_t BgL_effect1523z00_446,
		obj_t BgL_czd2format1524zd2_447, BgL_typez00_bglt BgL_ftype1525z00_448,
		BgL_typez00_bglt BgL_otype1526z00_449,
		BgL_typez00_bglt BgL_vtype1527z00_450, bool_t BgL_unsafe1528z00_451)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 947 */
			{	/* Ast/nodetype.sch 947 */
				BgL_vrefz00_bglt BgL_new1634z00_8715;

				{	/* Ast/nodetype.sch 947 */
					BgL_vrefz00_bglt BgL_new1633z00_8716;

					BgL_new1633z00_8716 =
						((BgL_vrefz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Ast/nodetype.sch 947 */
						long BgL_arg2483z00_8717;

						{	/* Ast/nodetype.sch 947 */
							long BgL_res3471z00_8718;

							BgL_res3471z00_8718 = BGL_CLASS_INDEX(BGl_vrefz00zzast_nodez00);
							BgL_arg2483z00_8717 = BgL_res3471z00_8718;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1633z00_8716), BgL_arg2483z00_8717);
					}
					{	/* Ast/nodetype.sch 947 */
						BgL_objectz00_bglt BgL_auxz00_11177;

						BgL_auxz00_11177 = ((BgL_objectz00_bglt) BgL_new1633z00_8716);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11177, BFALSE);
					}
					BgL_new1634z00_8715 = BgL_new1633z00_8716;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1634z00_8715)))->BgL_locz00) =
					((obj_t) BgL_loc1518z00_441), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1634z00_8715)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1519z00_442), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1634z00_8715)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1520zd2_443), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1634z00_8715)))->BgL_keyz00) =
					((obj_t) BgL_key1521z00_444), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1634z00_8715)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21522za2_445), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1634z00_8715)))->BgL_effectz00) =
					((obj_t) BgL_effect1523z00_446), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1634z00_8715)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1524zd2_447), BUNSPEC);
				((((BgL_vrefz00_bglt) CREF(BgL_new1634z00_8715))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1525z00_448), BUNSPEC);
				((((BgL_vrefz00_bglt) CREF(BgL_new1634z00_8715))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1526z00_449), BUNSPEC);
				((((BgL_vrefz00_bglt) CREF(BgL_new1634z00_8715))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1527z00_450), BUNSPEC);
				((((BgL_vrefz00_bglt) CREF(BgL_new1634z00_8715))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1528z00_451), BUNSPEC);
				return BgL_new1634z00_8715;
			}
		}
	}



/* &make-vref */
	BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t BgL_envz00_6417,
		obj_t BgL_loc1518z00_6418, obj_t BgL_type1519z00_6419,
		obj_t BgL_sidezd2effect1520zd2_6420, obj_t BgL_key1521z00_6421,
		obj_t BgL_exprza21522za2_6422, obj_t BgL_effect1523z00_6423,
		obj_t BgL_czd2format1524zd2_6424, obj_t BgL_ftype1525z00_6425,
		obj_t BgL_otype1526z00_6426, obj_t BgL_vtype1527z00_6427,
		obj_t BgL_unsafe1528z00_6428)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 947 */
			{	/* Ast/nodetype.sch 947 */
				bool_t BgL_unsafe1528z00_8729;

				BgL_unsafe1528z00_8729 = CBOOL(BgL_unsafe1528z00_6428);
				{	/* Ast/nodetype.sch 947 */
					BgL_vrefz00_bglt BgL_new1634z00_8730;

					{	/* Ast/nodetype.sch 947 */
						BgL_vrefz00_bglt BgL_new1633z00_8731;

						BgL_new1633z00_8731 =
							((BgL_vrefz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vrefz00_bgl))));
						{	/* Ast/nodetype.sch 947 */
							long BgL_arg2483z00_8732;

							{	/* Ast/nodetype.sch 947 */
								long BgL_res3471z00_8733;

								BgL_res3471z00_8733 = BGL_CLASS_INDEX(BGl_vrefz00zzast_nodez00);
								BgL_arg2483z00_8732 = BgL_res3471z00_8733;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1633z00_8731),
								BgL_arg2483z00_8732);
						}
						{	/* Ast/nodetype.sch 947 */
							BgL_objectz00_bglt BgL_auxz00_11203;

							BgL_auxz00_11203 = ((BgL_objectz00_bglt) BgL_new1633z00_8731);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11203, BFALSE);
						}
						BgL_new1634z00_8730 = BgL_new1633z00_8731;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1634z00_8730)))->BgL_locz00) =
						((obj_t) BgL_loc1518z00_6418), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1634z00_8730)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1519z00_6419)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1634z00_8730)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1520zd2_6420), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1634z00_8730)))->BgL_keyz00) =
						((obj_t) BgL_key1521z00_6421), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1634z00_8730)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21522za2_6422), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1634z00_8730)))->BgL_effectz00) =
						((obj_t) BgL_effect1523z00_6423), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1634z00_8730)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1524zd2_6424), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1634z00_8730))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1525z00_6425)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1634z00_8730))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1526z00_6426)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1634z00_8730))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1527z00_6427)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1634z00_8730))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1528z00_8729), BUNSPEC);
					return BgL_new1634z00_8730;
				}
			}
		}
	}



/* vref? */
	BGL_EXPORTED_DEF bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t BgL_objz00_452)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 948 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_452, BGl_vrefz00zzast_nodez00);
		}
	}



/* &vref? */
	obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t BgL_envz00_6429,
		obj_t BgL_objz00_6430)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 948 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6430,
					BGl_vrefz00zzast_nodez00));
		}
	}



/* vref-nil */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 949 */
			{	/* Ast/nodetype.sch 949 */
				obj_t BgL_classz00_4477;

				BgL_classz00_4477 = BGl_vrefz00zzast_nodez00;
				{	/* Ast/nodetype.sch 949 */
					obj_t BgL__ortest_1092z00_4478;

					BgL__ortest_1092z00_4478 = BGL_CLASS_NIL(BgL_classz00_4477);
					if (CBOOL(BgL__ortest_1092z00_4478))
						{	/* Ast/nodetype.sch 949 */
							return ((BgL_vrefz00_bglt) BgL__ortest_1092z00_4478);
						}
					else
						{	/* Ast/nodetype.sch 949 */
							return
								((BgL_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4477));
						}
				}
			}
		}
	}



/* &vref-nil */
	BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6431)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 949 */
			return BGl_vrefzd2nilzd2zzast_nodez00();
		}
	}



/* vref-unsafe */
	BGL_EXPORTED_DEF bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_453)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 950 */
			return (((BgL_vrefz00_bglt) CREF(BgL_oz00_453))->BgL_unsafez00);
		}
	}



/* &vref-unsafe */
	obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t BgL_envz00_6432,
		obj_t BgL_oz00_6433)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 950 */
			return
				BBOOL(
				(((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_6433)))->BgL_unsafez00));
		}
	}



/* vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_456)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 952 */
			return (((BgL_vrefz00_bglt) CREF(BgL_oz00_456))->BgL_vtypez00);
		}
	}



/* &vref-vtype */
	BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_6434,
		obj_t BgL_oz00_6435)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 952 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_6435)))->BgL_vtypez00);
		}
	}



/* vref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_457,
		BgL_typez00_bglt BgL_vz00_458)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 953 */
			return
				((((BgL_vrefz00_bglt) CREF(BgL_oz00_457))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_458), BUNSPEC);
		}
	}



/* &vref-vtype-set! */
	obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6436,
		obj_t BgL_oz00_6437, obj_t BgL_vz00_6438)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 953 */
			return
				((((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_6437)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6438)), BUNSPEC);
		}
	}



/* vref-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_459)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 954 */
			return (((BgL_vrefz00_bglt) CREF(BgL_oz00_459))->BgL_otypez00);
		}
	}



/* &vref-otype */
	BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t BgL_envz00_6439,
		obj_t BgL_oz00_6440)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 954 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_6440)))->BgL_otypez00);
		}
	}



/* vref-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_460,
		BgL_typez00_bglt BgL_vz00_461)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 955 */
			return
				((((BgL_vrefz00_bglt) CREF(BgL_oz00_460))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_461), BUNSPEC);
		}
	}



/* &vref-otype-set! */
	obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6441,
		obj_t BgL_oz00_6442, obj_t BgL_vz00_6443)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 955 */
			return
				((((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_6442)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6443)), BUNSPEC);
		}
	}



/* vref-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_462)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 956 */
			return (((BgL_vrefz00_bglt) CREF(BgL_oz00_462))->BgL_ftypez00);
		}
	}



/* &vref-ftype */
	BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_6444,
		obj_t BgL_oz00_6445)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 956 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_6445)))->BgL_ftypez00);
		}
	}



/* vref-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_463,
		BgL_typez00_bglt BgL_vz00_464)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 957 */
			return
				((((BgL_vrefz00_bglt) CREF(BgL_oz00_463))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_464), BUNSPEC);
		}
	}



/* &vref-ftype-set! */
	obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6446,
		obj_t BgL_oz00_6447, obj_t BgL_vz00_6448)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 957 */
			return
				((((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_6447)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6448)), BUNSPEC);
		}
	}



/* vref-c-format */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_465)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 958 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_465)))->BgL_czd2formatzd2);
		}
	}



/* &vref-c-format */
	obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6449,
		obj_t BgL_oz00_6450)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 958 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6450))))->BgL_czd2formatzd2);
		}
	}



/* vref-effect */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_468)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 960 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_468)))->BgL_effectz00);
		}
	}



/* &vref-effect */
	obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6451,
		obj_t BgL_oz00_6452)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 960 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6452))))->BgL_effectz00);
		}
	}



/* vref-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_469,
		obj_t BgL_vz00_470)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 961 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_469)))->BgL_effectz00) =
				((obj_t) BgL_vz00_470), BUNSPEC);
		}
	}



/* &vref-effect-set! */
	obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6453,
		obj_t BgL_oz00_6454, obj_t BgL_vz00_6455)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 961 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_oz00_6454))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6455), BUNSPEC);
		}
	}



/* vref-expr* */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_471)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 962 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_471)))->BgL_exprza2za2);
		}
	}



/* &vref-expr* */
	obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6456,
		obj_t BgL_oz00_6457)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 962 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6457))))->BgL_exprza2za2);
		}
	}



/* vref-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_472,
		obj_t BgL_vz00_473)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 963 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_472)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_473), BUNSPEC);
		}
	}



/* &vref-expr*-set! */
	obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6458,
		obj_t BgL_oz00_6459, obj_t BgL_vz00_6460)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 963 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_oz00_6459))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6460), BUNSPEC);
		}
	}



/* vref-key */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_474)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 964 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_474)))->BgL_keyz00);
		}
	}



/* &vref-key */
	obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6461,
		obj_t BgL_oz00_6462)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 964 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6462))))->BgL_keyz00);
		}
	}



/* vref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_475,
		obj_t BgL_vz00_476)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 965 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_475)))->BgL_keyz00) =
				((obj_t) BgL_vz00_476), BUNSPEC);
		}
	}



/* &vref-key-set! */
	obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6463,
		obj_t BgL_oz00_6464, obj_t BgL_vz00_6465)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 965 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_vrefz00_bglt) BgL_oz00_6464))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6465), BUNSPEC);
		}
	}



/* vref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_477)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 966 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_477)))->BgL_sidezd2effectzd2);
		}
	}



/* &vref-side-effect */
	obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6466,
		obj_t BgL_oz00_6467)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 966 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6467))))->BgL_sidezd2effectzd2);
		}
	}



/* vref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_478, obj_t BgL_vz00_479)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 967 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_478)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_479), BUNSPEC);
		}
	}



/* &vref-side-effect-set! */
	obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6468, obj_t BgL_oz00_6469, obj_t BgL_vz00_6470)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 967 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_vrefz00_bglt) BgL_oz00_6469))))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_6470), BUNSPEC);
		}
	}



/* vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_480)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 968 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_480)))->BgL_typez00);
		}
	}



/* &vref-type */
	BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t BgL_envz00_6471,
		obj_t BgL_oz00_6472)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 968 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6472))))->BgL_typez00);
		}
	}



/* vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_481,
		BgL_typez00_bglt BgL_vz00_482)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 969 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_481)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_482), BUNSPEC);
		}
	}



/* &vref-type-set! */
	obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6473,
		obj_t BgL_oz00_6474, obj_t BgL_vz00_6475)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 969 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_vrefz00_bglt) BgL_oz00_6474))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6475)), BUNSPEC);
		}
	}



/* vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_483)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 970 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_483)))->BgL_locz00);
		}
	}



/* &vref-loc */
	obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t BgL_envz00_6476,
		obj_t BgL_oz00_6477)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 970 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vrefz00_bglt) BgL_oz00_6477))))->BgL_locz00);
		}
	}



/* make-vset! */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_makezd2vsetz12zc0zzast_nodez00(obj_t
		BgL_loc1506z00_486, BgL_typez00_bglt BgL_type1507z00_487,
		obj_t BgL_sidezd2effect1508zd2_488, obj_t BgL_key1509z00_489,
		obj_t BgL_exprza21510za2_490, obj_t BgL_effect1511z00_491,
		obj_t BgL_czd2format1512zd2_492, BgL_typez00_bglt BgL_ftype1513z00_493,
		BgL_typez00_bglt BgL_otype1514z00_494,
		BgL_typez00_bglt BgL_vtype1515z00_495, bool_t BgL_unsafe1516z00_496)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 974 */
			{	/* Ast/nodetype.sch 974 */
				BgL_vsetz12z12_bglt BgL_new1658z00_8762;

				{	/* Ast/nodetype.sch 974 */
					BgL_vsetz12z12_bglt BgL_new1657z00_8763;

					BgL_new1657z00_8763 =
						((BgL_vsetz12z12_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Ast/nodetype.sch 974 */
						long BgL_arg2484z00_8764;

						{	/* Ast/nodetype.sch 974 */
							long BgL_res3472z00_8765;

							BgL_res3472z00_8765 =
								BGL_CLASS_INDEX(BGl_vsetz12z12zzast_nodez00);
							BgL_arg2484z00_8764 = BgL_res3472z00_8765;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1657z00_8763), BgL_arg2484z00_8764);
					}
					{	/* Ast/nodetype.sch 974 */
						BgL_objectz00_bglt BgL_auxz00_11328;

						BgL_auxz00_11328 = ((BgL_objectz00_bglt) BgL_new1657z00_8763);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11328, BFALSE);
					}
					BgL_new1658z00_8762 = BgL_new1657z00_8763;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1658z00_8762)))->BgL_locz00) =
					((obj_t) BgL_loc1506z00_486), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1658z00_8762)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1507z00_487), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1658z00_8762)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1508zd2_488), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1658z00_8762)))->BgL_keyz00) =
					((obj_t) BgL_key1509z00_489), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1658z00_8762)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21510za2_490), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1658z00_8762)))->BgL_effectz00) =
					((obj_t) BgL_effect1511z00_491), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1658z00_8762)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1512zd2_492), BUNSPEC);
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1658z00_8762))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1513z00_493), BUNSPEC);
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1658z00_8762))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1514z00_494), BUNSPEC);
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1658z00_8762))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1515z00_495), BUNSPEC);
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1658z00_8762))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1516z00_496), BUNSPEC);
				return BgL_new1658z00_8762;
			}
		}
	}



/* &make-vset! */
	BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t
		BgL_envz00_6478, obj_t BgL_loc1506z00_6479, obj_t BgL_type1507z00_6480,
		obj_t BgL_sidezd2effect1508zd2_6481, obj_t BgL_key1509z00_6482,
		obj_t BgL_exprza21510za2_6483, obj_t BgL_effect1511z00_6484,
		obj_t BgL_czd2format1512zd2_6485, obj_t BgL_ftype1513z00_6486,
		obj_t BgL_otype1514z00_6487, obj_t BgL_vtype1515z00_6488,
		obj_t BgL_unsafe1516z00_6489)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 974 */
			{	/* Ast/nodetype.sch 974 */
				bool_t BgL_unsafe1516z00_8776;

				BgL_unsafe1516z00_8776 = CBOOL(BgL_unsafe1516z00_6489);
				{	/* Ast/nodetype.sch 974 */
					BgL_vsetz12z12_bglt BgL_new1658z00_8777;

					{	/* Ast/nodetype.sch 974 */
						BgL_vsetz12z12_bglt BgL_new1657z00_8778;

						BgL_new1657z00_8778 =
							((BgL_vsetz12z12_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vsetz12z12_bgl))));
						{	/* Ast/nodetype.sch 974 */
							long BgL_arg2484z00_8779;

							{	/* Ast/nodetype.sch 974 */
								long BgL_res3472z00_8780;

								BgL_res3472z00_8780 =
									BGL_CLASS_INDEX(BGl_vsetz12z12zzast_nodez00);
								BgL_arg2484z00_8779 = BgL_res3472z00_8780;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1657z00_8778),
								BgL_arg2484z00_8779);
						}
						{	/* Ast/nodetype.sch 974 */
							BgL_objectz00_bglt BgL_auxz00_11354;

							BgL_auxz00_11354 = ((BgL_objectz00_bglt) BgL_new1657z00_8778);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_11354, BFALSE);
						}
						BgL_new1658z00_8777 = BgL_new1657z00_8778;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1658z00_8777)))->BgL_locz00) =
						((obj_t) BgL_loc1506z00_6479), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1658z00_8777)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1507z00_6480)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1658z00_8777)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1508zd2_6481), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1658z00_8777)))->BgL_keyz00) =
						((obj_t) BgL_key1509z00_6482), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1658z00_8777)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21510za2_6483), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1658z00_8777)))->BgL_effectz00) =
						((obj_t) BgL_effect1511z00_6484), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1658z00_8777)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1512zd2_6485), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1658z00_8777))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1513z00_6486)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1658z00_8777))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1514z00_6487)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1658z00_8777))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1515z00_6488)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1658z00_8777))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1516z00_8776), BUNSPEC);
					return BgL_new1658z00_8777;
				}
			}
		}
	}



/* vset!? */
	BGL_EXPORTED_DEF bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t BgL_objz00_497)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 975 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_497, BGl_vsetz12z12zzast_nodez00);
		}
	}



/* &vset!? */
	obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t BgL_envz00_6490,
		obj_t BgL_objz00_6491)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 975 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6491,
					BGl_vsetz12z12zzast_nodez00));
		}
	}



/* vset!-nil */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 976 */
			{	/* Ast/nodetype.sch 976 */
				obj_t BgL_classz00_4505;

				BgL_classz00_4505 = BGl_vsetz12z12zzast_nodez00;
				{	/* Ast/nodetype.sch 976 */
					obj_t BgL__ortest_1092z00_4506;

					BgL__ortest_1092z00_4506 = BGL_CLASS_NIL(BgL_classz00_4505);
					if (CBOOL(BgL__ortest_1092z00_4506))
						{	/* Ast/nodetype.sch 976 */
							return ((BgL_vsetz12z12_bglt) BgL__ortest_1092z00_4506);
						}
					else
						{	/* Ast/nodetype.sch 976 */
							return
								((BgL_vsetz12z12_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4505));
						}
				}
			}
		}
	}



/* &vset!-nil */
	BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t
		BgL_envz00_6492)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 976 */
			return BGl_vsetz12zd2nilzc0zzast_nodez00();
		}
	}



/* vset!-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_498)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 977 */
			return (((BgL_vsetz12z12_bglt) CREF(BgL_oz00_498))->BgL_unsafez00);
		}
	}



/* &vset!-unsafe */
	obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t BgL_envz00_6493,
		obj_t BgL_oz00_6494)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 977 */
			return
				BBOOL(
				(((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_6494)))->BgL_unsafez00));
		}
	}



/* vset!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_501)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 979 */
			return (((BgL_vsetz12z12_bglt) CREF(BgL_oz00_501))->BgL_vtypez00);
		}
	}



/* &vset!-vtype */
	BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t BgL_envz00_6495,
		obj_t BgL_oz00_6496)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 979 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_6496)))->BgL_vtypez00);
		}
	}



/* vset!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_502, BgL_typez00_bglt BgL_vz00_503)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 980 */
			return
				((((BgL_vsetz12z12_bglt) CREF(BgL_oz00_502))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_503), BUNSPEC);
		}
	}



/* &vset!-vtype-set! */
	obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_6497,
		obj_t BgL_oz00_6498, obj_t BgL_vz00_6499)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 980 */
			return
				((((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_6498)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6499)), BUNSPEC);
		}
	}



/* vset!-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_504)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 981 */
			return (((BgL_vsetz12z12_bglt) CREF(BgL_oz00_504))->BgL_otypez00);
		}
	}



/* &vset!-otype */
	BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t BgL_envz00_6500,
		obj_t BgL_oz00_6501)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 981 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_6501)))->BgL_otypez00);
		}
	}



/* vset!-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_505, BgL_typez00_bglt BgL_vz00_506)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 982 */
			return
				((((BgL_vsetz12z12_bglt) CREF(BgL_oz00_505))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_506), BUNSPEC);
		}
	}



/* &vset!-otype-set! */
	obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_6502,
		obj_t BgL_oz00_6503, obj_t BgL_vz00_6504)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 982 */
			return
				((((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_6503)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6504)), BUNSPEC);
		}
	}



/* vset!-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_507)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 983 */
			return (((BgL_vsetz12z12_bglt) CREF(BgL_oz00_507))->BgL_ftypez00);
		}
	}



/* &vset!-ftype */
	BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t BgL_envz00_6505,
		obj_t BgL_oz00_6506)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 983 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_6506)))->BgL_ftypez00);
		}
	}



/* vset!-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_508, BgL_typez00_bglt BgL_vz00_509)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 984 */
			return
				((((BgL_vsetz12z12_bglt) CREF(BgL_oz00_508))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_509), BUNSPEC);
		}
	}



/* &vset!-ftype-set! */
	obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_6507,
		obj_t BgL_oz00_6508, obj_t BgL_vz00_6509)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 984 */
			return
				((((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_6508)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6509)), BUNSPEC);
		}
	}



/* vset!-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_510)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 985 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_510)))->BgL_czd2formatzd2);
		}
	}



/* &vset!-c-format */
	obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t BgL_envz00_6510,
		obj_t BgL_oz00_6511)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 985 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6511))))->BgL_czd2formatzd2);
		}
	}



/* vset!-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_513)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 987 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_513)))->BgL_effectz00);
		}
	}



/* &vset!-effect */
	obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t BgL_envz00_6512,
		obj_t BgL_oz00_6513)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 987 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6513))))->BgL_effectz00);
		}
	}



/* vset!-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_514, obj_t BgL_vz00_515)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 988 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_514)))->BgL_effectz00) =
				((obj_t) BgL_vz00_515), BUNSPEC);
		}
	}



/* &vset!-effect-set! */
	obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t BgL_envz00_6514,
		obj_t BgL_oz00_6515, obj_t BgL_vz00_6516)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 988 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_oz00_6515))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6516), BUNSPEC);
		}
	}



/* vset!-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_516)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 989 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_516)))->BgL_exprza2za2);
		}
	}



/* &vset!-expr* */
	obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t BgL_envz00_6517,
		obj_t BgL_oz00_6518)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 989 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6518))))->BgL_exprza2za2);
		}
	}



/* vset!-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_517, obj_t BgL_vz00_518)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 990 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_517)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_518), BUNSPEC);
		}
	}



/* &vset!-expr*-set! */
	obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t BgL_envz00_6519,
		obj_t BgL_oz00_6520, obj_t BgL_vz00_6521)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 990 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_oz00_6520))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6521), BUNSPEC);
		}
	}



/* vset!-key */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_519)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 991 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_519)))->BgL_keyz00);
		}
	}



/* &vset!-key */
	obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t BgL_envz00_6522,
		obj_t BgL_oz00_6523)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 991 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6523))))->BgL_keyz00);
		}
	}



/* vset!-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_520,
		obj_t BgL_vz00_521)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 992 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_520)))->BgL_keyz00) =
				((obj_t) BgL_vz00_521), BUNSPEC);
		}
	}



/* &vset!-key-set! */
	obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t BgL_envz00_6524,
		obj_t BgL_oz00_6525, obj_t BgL_vz00_6526)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 992 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_vsetz12z12_bglt) BgL_oz00_6525))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6526), BUNSPEC);
		}
	}



/* vset!-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_522)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 993 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_522)))->BgL_sidezd2effectzd2);
		}
	}



/* &vset!-side-effect */
	obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t BgL_envz00_6527,
		obj_t BgL_oz00_6528)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 993 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6528))))->BgL_sidezd2effectzd2);
		}
	}



/* vset!-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_523, obj_t BgL_vz00_524)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 994 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_523)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_524), BUNSPEC);
		}
	}



/* &vset!-side-effect-set! */
	obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_6529, obj_t BgL_oz00_6530, obj_t BgL_vz00_6531)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 994 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_vsetz12z12_bglt) BgL_oz00_6530))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6531), BUNSPEC);
		}
	}



/* vset!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_525)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 995 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_525)))->BgL_typez00);
		}
	}



/* &vset!-type */
	BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t BgL_envz00_6532,
		obj_t BgL_oz00_6533)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 995 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6533))))->BgL_typez00);
		}
	}



/* vset!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_526, BgL_typez00_bglt BgL_vz00_527)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 996 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_526)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_527), BUNSPEC);
		}
	}



/* &vset!-type-set! */
	obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t BgL_envz00_6534,
		obj_t BgL_oz00_6535, obj_t BgL_vz00_6536)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 996 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_vsetz12z12_bglt) BgL_oz00_6535))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6536)), BUNSPEC);
		}
	}



/* vset!-loc */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_528)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 997 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_528)))->BgL_locz00);
		}
	}



/* &vset!-loc */
	obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t BgL_envz00_6537,
		obj_t BgL_oz00_6538)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 997 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vsetz12z12_bglt) BgL_oz00_6538))))->BgL_locz00);
		}
	}



/* make-vlength */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_makezd2vlengthzd2zzast_nodez00(obj_t
		BgL_loc1497z00_531, BgL_typez00_bglt BgL_type1498z00_532,
		obj_t BgL_sidezd2effect1499zd2_533, obj_t BgL_key1500z00_534,
		obj_t BgL_exprza21501za2_535, obj_t BgL_effect1502z00_536,
		obj_t BgL_czd2format1503zd2_537, BgL_typez00_bglt BgL_vtype1504z00_538)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1001 */
			{	/* Ast/nodetype.sch 1001 */
				BgL_vlengthz00_bglt BgL_new1682z00_8809;

				{	/* Ast/nodetype.sch 1001 */
					BgL_vlengthz00_bglt BgL_new1681z00_8810;

					BgL_new1681z00_8810 =
						((BgL_vlengthz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/nodetype.sch 1001 */
						long BgL_arg2485z00_8811;

						{	/* Ast/nodetype.sch 1001 */
							long BgL_res3473z00_8812;

							BgL_res3473z00_8812 =
								BGL_CLASS_INDEX(BGl_vlengthz00zzast_nodez00);
							BgL_arg2485z00_8811 = BgL_res3473z00_8812;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1681z00_8810), BgL_arg2485z00_8811);
					}
					{	/* Ast/nodetype.sch 1001 */
						BgL_objectz00_bglt BgL_auxz00_11479;

						BgL_auxz00_11479 = ((BgL_objectz00_bglt) BgL_new1681z00_8810);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11479, BFALSE);
					}
					BgL_new1682z00_8809 = BgL_new1681z00_8810;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1682z00_8809)))->BgL_locz00) =
					((obj_t) BgL_loc1497z00_531), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1682z00_8809)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1498z00_532), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1682z00_8809)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1499zd2_533), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1682z00_8809)))->BgL_keyz00) =
					((obj_t) BgL_key1500z00_534), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1682z00_8809)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21501za2_535), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1682z00_8809)))->BgL_effectz00) =
					((obj_t) BgL_effect1502z00_536), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1682z00_8809)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1503zd2_537), BUNSPEC);
				((((BgL_vlengthz00_bglt) CREF(BgL_new1682z00_8809))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1504z00_538), BUNSPEC);
				return BgL_new1682z00_8809;
			}
		}
	}



/* &make-vlength */
	BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t
		BgL_envz00_6539, obj_t BgL_loc1497z00_6540, obj_t BgL_type1498z00_6541,
		obj_t BgL_sidezd2effect1499zd2_6542, obj_t BgL_key1500z00_6543,
		obj_t BgL_exprza21501za2_6544, obj_t BgL_effect1502z00_6545,
		obj_t BgL_czd2format1503zd2_6546, obj_t BgL_vtype1504z00_6547)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1001 */
			{	/* Ast/nodetype.sch 1001 */
				BgL_vlengthz00_bglt BgL_new1682z00_8821;

				{	/* Ast/nodetype.sch 1001 */
					BgL_vlengthz00_bglt BgL_new1681z00_8822;

					BgL_new1681z00_8822 =
						((BgL_vlengthz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/nodetype.sch 1001 */
						long BgL_arg2485z00_8823;

						{	/* Ast/nodetype.sch 1001 */
							long BgL_res3473z00_8824;

							BgL_res3473z00_8824 =
								BGL_CLASS_INDEX(BGl_vlengthz00zzast_nodez00);
							BgL_arg2485z00_8823 = BgL_res3473z00_8824;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1681z00_8822), BgL_arg2485z00_8823);
					}
					{	/* Ast/nodetype.sch 1001 */
						BgL_objectz00_bglt BgL_auxz00_11501;

						BgL_auxz00_11501 = ((BgL_objectz00_bglt) BgL_new1681z00_8822);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11501, BFALSE);
					}
					BgL_new1682z00_8821 = BgL_new1681z00_8822;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1682z00_8821)))->BgL_locz00) =
					((obj_t) BgL_loc1497z00_6540), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1682z00_8821)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1498z00_6541)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1682z00_8821)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1499zd2_6542), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1682z00_8821)))->BgL_keyz00) =
					((obj_t) BgL_key1500z00_6543), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1682z00_8821)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21501za2_6544), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1682z00_8821)))->BgL_effectz00) =
					((obj_t) BgL_effect1502z00_6545), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1682z00_8821)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1503zd2_6546), BUNSPEC);
				((((BgL_vlengthz00_bglt) CREF(BgL_new1682z00_8821))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1504z00_6547)),
					BUNSPEC);
				return BgL_new1682z00_8821;
			}
		}
	}



/* vlength? */
	BGL_EXPORTED_DEF bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t BgL_objz00_539)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1002 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_539, BGl_vlengthz00zzast_nodez00);
		}
	}



/* &vlength? */
	obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t BgL_envz00_6548,
		obj_t BgL_objz00_6549)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1002 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6549,
					BGl_vlengthz00zzast_nodez00));
		}
	}



/* vlength-nil */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1003 */
			{	/* Ast/nodetype.sch 1003 */
				obj_t BgL_classz00_4533;

				BgL_classz00_4533 = BGl_vlengthz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1003 */
					obj_t BgL__ortest_1092z00_4534;

					BgL__ortest_1092z00_4534 = BGL_CLASS_NIL(BgL_classz00_4533);
					if (CBOOL(BgL__ortest_1092z00_4534))
						{	/* Ast/nodetype.sch 1003 */
							return ((BgL_vlengthz00_bglt) BgL__ortest_1092z00_4534);
						}
					else
						{	/* Ast/nodetype.sch 1003 */
							return
								((BgL_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4533));
						}
				}
			}
		}
	}



/* &vlength-nil */
	BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6550)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1003 */
			return BGl_vlengthzd2nilzd2zzast_nodez00();
		}
	}



/* vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_540)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1004 */
			return (((BgL_vlengthz00_bglt) CREF(BgL_oz00_540))->BgL_vtypez00);
		}
	}



/* &vlength-vtype */
	BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_6551,
		obj_t BgL_oz00_6552)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1004 */
			return
				(((BgL_vlengthz00_bglt) CREF(
						((BgL_vlengthz00_bglt) BgL_oz00_6552)))->BgL_vtypez00);
		}
	}



/* vlength-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_541, BgL_typez00_bglt BgL_vz00_542)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1005 */
			return
				((((BgL_vlengthz00_bglt) CREF(BgL_oz00_541))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_542), BUNSPEC);
		}
	}



/* &vlength-vtype-set! */
	obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6553,
		obj_t BgL_oz00_6554, obj_t BgL_vz00_6555)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1005 */
			return
				((((BgL_vlengthz00_bglt) CREF(
							((BgL_vlengthz00_bglt) BgL_oz00_6554)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6555)), BUNSPEC);
		}
	}



/* vlength-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_543)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1006 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_543)))->BgL_czd2formatzd2);
		}
	}



/* &vlength-c-format */
	obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6556,
		obj_t BgL_oz00_6557)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1006 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6557))))->BgL_czd2formatzd2);
		}
	}



/* vlength-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_546)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1008 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_546)))->BgL_effectz00);
		}
	}



/* &vlength-effect */
	obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6558,
		obj_t BgL_oz00_6559)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1008 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6559))))->BgL_effectz00);
		}
	}



/* vlength-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_547, obj_t BgL_vz00_548)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1009 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_547)))->BgL_effectz00) =
				((obj_t) BgL_vz00_548), BUNSPEC);
		}
	}



/* &vlength-effect-set! */
	obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6560,
		obj_t BgL_oz00_6561, obj_t BgL_vz00_6562)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1009 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_oz00_6561))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6562), BUNSPEC);
		}
	}



/* vlength-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_549)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1010 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_549)))->BgL_exprza2za2);
		}
	}



/* &vlength-expr* */
	obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6563,
		obj_t BgL_oz00_6564)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1010 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6564))))->BgL_exprza2za2);
		}
	}



/* vlength-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_550, obj_t BgL_vz00_551)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1011 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_550)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_551), BUNSPEC);
		}
	}



/* &vlength-expr*-set! */
	obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6565,
		obj_t BgL_oz00_6566, obj_t BgL_vz00_6567)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1011 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_oz00_6566))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6567), BUNSPEC);
		}
	}



/* vlength-key */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_552)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1012 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_552)))->BgL_keyz00);
		}
	}



/* &vlength-key */
	obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6568,
		obj_t BgL_oz00_6569)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1012 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6569))))->BgL_keyz00);
		}
	}



/* vlength-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_553,
		obj_t BgL_vz00_554)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1013 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_553)))->BgL_keyz00) =
				((obj_t) BgL_vz00_554), BUNSPEC);
		}
	}



/* &vlength-key-set! */
	obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6570,
		obj_t BgL_oz00_6571, obj_t BgL_vz00_6572)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1013 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_vlengthz00_bglt) BgL_oz00_6571))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6572), BUNSPEC);
		}
	}



/* vlength-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_555)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1014 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_555)))->BgL_sidezd2effectzd2);
		}
	}



/* &vlength-side-effect */
	obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6573,
		obj_t BgL_oz00_6574)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1014 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6574))))->BgL_sidezd2effectzd2);
		}
	}



/* vlength-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_556, obj_t BgL_vz00_557)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1015 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_556)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_557), BUNSPEC);
		}
	}



/* &vlength-side-effect-set! */
	obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6575, obj_t BgL_oz00_6576, obj_t BgL_vz00_6577)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1015 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_vlengthz00_bglt) BgL_oz00_6576))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6577), BUNSPEC);
		}
	}



/* vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_558)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1016 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_558)))->BgL_typez00);
		}
	}



/* &vlength-type */
	BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t BgL_envz00_6578,
		obj_t BgL_oz00_6579)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1016 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6579))))->BgL_typez00);
		}
	}



/* vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_559, BgL_typez00_bglt BgL_vz00_560)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1017 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_559)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_560), BUNSPEC);
		}
	}



/* &vlength-type-set! */
	obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6580,
		obj_t BgL_oz00_6581, obj_t BgL_vz00_6582)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1017 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_vlengthz00_bglt) BgL_oz00_6581))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6582)), BUNSPEC);
		}
	}



/* vlength-loc */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_561)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1018 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_561)))->BgL_locz00);
		}
	}



/* &vlength-loc */
	obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t BgL_envz00_6583,
		obj_t BgL_oz00_6584)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1018 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_vlengthz00_bglt) BgL_oz00_6584))))->BgL_locz00);
		}
	}



/* make-instanceof */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t BgL_loc1488z00_564,
		BgL_typez00_bglt BgL_type1489z00_565, obj_t BgL_sidezd2effect1490zd2_566,
		obj_t BgL_key1491z00_567, obj_t BgL_exprza21492za2_568,
		obj_t BgL_effect1493z00_569, obj_t BgL_czd2format1494zd2_570,
		BgL_typez00_bglt BgL_class1495z00_571)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1022 */
			{	/* Ast/nodetype.sch 1022 */
				BgL_instanceofz00_bglt BgL_new1700z00_8846;

				{	/* Ast/nodetype.sch 1022 */
					BgL_instanceofz00_bglt BgL_new1699z00_8847;

					BgL_new1699z00_8847 =
						((BgL_instanceofz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/nodetype.sch 1022 */
						long BgL_arg2486z00_8848;

						{	/* Ast/nodetype.sch 1022 */
							long BgL_res3474z00_8849;

							BgL_res3474z00_8849 =
								BGL_CLASS_INDEX(BGl_instanceofz00zzast_nodez00);
							BgL_arg2486z00_8848 = BgL_res3474z00_8849;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1699z00_8847), BgL_arg2486z00_8848);
					}
					{	/* Ast/nodetype.sch 1022 */
						BgL_objectz00_bglt BgL_auxz00_11603;

						BgL_auxz00_11603 = ((BgL_objectz00_bglt) BgL_new1699z00_8847);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11603, BFALSE);
					}
					BgL_new1700z00_8846 = BgL_new1699z00_8847;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1700z00_8846)))->BgL_locz00) =
					((obj_t) BgL_loc1488z00_564), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1700z00_8846)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1489z00_565), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1700z00_8846)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1490zd2_566), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1700z00_8846)))->BgL_keyz00) =
					((obj_t) BgL_key1491z00_567), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1700z00_8846)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21492za2_568), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1700z00_8846)))->BgL_effectz00) =
					((obj_t) BgL_effect1493z00_569), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1700z00_8846)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1494zd2_570), BUNSPEC);
				((((BgL_instanceofz00_bglt) CREF(BgL_new1700z00_8846))->BgL_classz00) =
					((BgL_typez00_bglt) BgL_class1495z00_571), BUNSPEC);
				return BgL_new1700z00_8846;
			}
		}
	}



/* &make-instanceof */
	BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t
		BgL_envz00_6585, obj_t BgL_loc1488z00_6586, obj_t BgL_type1489z00_6587,
		obj_t BgL_sidezd2effect1490zd2_6588, obj_t BgL_key1491z00_6589,
		obj_t BgL_exprza21492za2_6590, obj_t BgL_effect1493z00_6591,
		obj_t BgL_czd2format1494zd2_6592, obj_t BgL_class1495z00_6593)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1022 */
			{	/* Ast/nodetype.sch 1022 */
				BgL_instanceofz00_bglt BgL_new1700z00_8858;

				{	/* Ast/nodetype.sch 1022 */
					BgL_instanceofz00_bglt BgL_new1699z00_8859;

					BgL_new1699z00_8859 =
						((BgL_instanceofz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/nodetype.sch 1022 */
						long BgL_arg2486z00_8860;

						{	/* Ast/nodetype.sch 1022 */
							long BgL_res3474z00_8861;

							BgL_res3474z00_8861 =
								BGL_CLASS_INDEX(BGl_instanceofz00zzast_nodez00);
							BgL_arg2486z00_8860 = BgL_res3474z00_8861;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1699z00_8859), BgL_arg2486z00_8860);
					}
					{	/* Ast/nodetype.sch 1022 */
						BgL_objectz00_bglt BgL_auxz00_11625;

						BgL_auxz00_11625 = ((BgL_objectz00_bglt) BgL_new1699z00_8859);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11625, BFALSE);
					}
					BgL_new1700z00_8858 = BgL_new1699z00_8859;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1700z00_8858)))->BgL_locz00) =
					((obj_t) BgL_loc1488z00_6586), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1700z00_8858)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1489z00_6587)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1700z00_8858)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1490zd2_6588), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1700z00_8858)))->BgL_keyz00) =
					((obj_t) BgL_key1491z00_6589), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1700z00_8858)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21492za2_6590), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1700z00_8858)))->BgL_effectz00) =
					((obj_t) BgL_effect1493z00_6591), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1700z00_8858)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1494zd2_6592), BUNSPEC);
				((((BgL_instanceofz00_bglt) CREF(BgL_new1700z00_8858))->BgL_classz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_class1495z00_6593)),
					BUNSPEC);
				return BgL_new1700z00_8858;
			}
		}
	}



/* instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t
		BgL_objz00_572)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1023 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_572,
				BGl_instanceofz00zzast_nodez00);
		}
	}



/* &instanceof? */
	obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t BgL_envz00_6594,
		obj_t BgL_objz00_6595)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1023 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6595,
					BGl_instanceofz00zzast_nodez00));
		}
	}



/* instanceof-nil */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt BGl_instanceofzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1024 */
			{	/* Ast/nodetype.sch 1024 */
				obj_t BgL_classz00_4556;

				BgL_classz00_4556 = BGl_instanceofz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1024 */
					obj_t BgL__ortest_1092z00_4557;

					BgL__ortest_1092z00_4557 = BGL_CLASS_NIL(BgL_classz00_4556);
					if (CBOOL(BgL__ortest_1092z00_4557))
						{	/* Ast/nodetype.sch 1024 */
							return ((BgL_instanceofz00_bglt) BgL__ortest_1092z00_4557);
						}
					else
						{	/* Ast/nodetype.sch 1024 */
							return
								((BgL_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4556));
						}
				}
			}
		}
	}



/* &instanceof-nil */
	BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6596)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1024 */
			return BGl_instanceofzd2nilzd2zzast_nodez00();
		}
	}



/* instanceof-class */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_573)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1025 */
			return (((BgL_instanceofz00_bglt) CREF(BgL_oz00_573))->BgL_classz00);
		}
	}



/* &instanceof-class */
	BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t
		BgL_envz00_6597, obj_t BgL_oz00_6598)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1025 */
			return
				(((BgL_instanceofz00_bglt) CREF(
						((BgL_instanceofz00_bglt) BgL_oz00_6598)))->BgL_classz00);
		}
	}



/* instanceof-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_574, BgL_typez00_bglt BgL_vz00_575)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1026 */
			return
				((((BgL_instanceofz00_bglt) CREF(BgL_oz00_574))->BgL_classz00) =
				((BgL_typez00_bglt) BgL_vz00_575), BUNSPEC);
		}
	}



/* &instanceof-class-set! */
	obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6599, obj_t BgL_oz00_6600, obj_t BgL_vz00_6601)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1026 */
			return
				((((BgL_instanceofz00_bglt) CREF(
							((BgL_instanceofz00_bglt) BgL_oz00_6600)))->BgL_classz00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6601)), BUNSPEC);
		}
	}



/* instanceof-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_576)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1027 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_576)))->BgL_czd2formatzd2);
		}
	}



/* &instanceof-c-format */
	obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6602,
		obj_t BgL_oz00_6603)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1027 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6603))))->BgL_czd2formatzd2);
		}
	}



/* instanceof-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_579)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1029 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_579)))->BgL_effectz00);
		}
	}



/* &instanceof-effect */
	obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6604,
		obj_t BgL_oz00_6605)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1029 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6605))))->BgL_effectz00);
		}
	}



/* instanceof-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_580, obj_t BgL_vz00_581)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1030 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_580)))->BgL_effectz00) =
				((obj_t) BgL_vz00_581), BUNSPEC);
		}
	}



/* &instanceof-effect-set! */
	obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6606, obj_t BgL_oz00_6607, obj_t BgL_vz00_6608)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1030 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_oz00_6607))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6608), BUNSPEC);
		}
	}



/* instanceof-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_582)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1031 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_582)))->BgL_exprza2za2);
		}
	}



/* &instanceof-expr* */
	obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6609,
		obj_t BgL_oz00_6610)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1031 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6610))))->BgL_exprza2za2);
		}
	}



/* instanceof-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_583, obj_t BgL_vz00_584)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1032 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_583)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_584), BUNSPEC);
		}
	}



/* &instanceof-expr*-set! */
	obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6611, obj_t BgL_oz00_6612, obj_t BgL_vz00_6613)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1032 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_oz00_6612))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6613), BUNSPEC);
		}
	}



/* instanceof-key */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_585)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1033 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_585)))->BgL_keyz00);
		}
	}



/* &instanceof-key */
	obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6614,
		obj_t BgL_oz00_6615)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1033 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6615))))->BgL_keyz00);
		}
	}



/* instanceof-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_586, obj_t BgL_vz00_587)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1034 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_586)))->BgL_keyz00) =
				((obj_t) BgL_vz00_587), BUNSPEC);
		}
	}



/* &instanceof-key-set! */
	obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6616,
		obj_t BgL_oz00_6617, obj_t BgL_vz00_6618)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1034 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_instanceofz00_bglt) BgL_oz00_6617))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6618), BUNSPEC);
		}
	}



/* instanceof-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_588)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1035 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_588)))->BgL_sidezd2effectzd2);
		}
	}



/* &instanceof-side-effect */
	obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6619,
		obj_t BgL_oz00_6620)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1035 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6620))))->
				BgL_sidezd2effectzd2);
		}
	}



/* instanceof-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt BgL_oz00_589, obj_t BgL_vz00_590)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1036 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_589)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_590), BUNSPEC);
		}
	}



/* &instanceof-side-effect-set! */
	obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6621, obj_t BgL_oz00_6622, obj_t BgL_vz00_6623)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1036 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_instanceofz00_bglt) BgL_oz00_6622))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6623), BUNSPEC);
		}
	}



/* instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_591)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1037 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_591)))->BgL_typez00);
		}
	}



/* &instanceof-type */
	BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6624, obj_t BgL_oz00_6625)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1037 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6625))))->BgL_typez00);
		}
	}



/* instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_592, BgL_typez00_bglt BgL_vz00_593)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1038 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_592)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_593), BUNSPEC);
		}
	}



/* &instanceof-type-set! */
	obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6626,
		obj_t BgL_oz00_6627, obj_t BgL_vz00_6628)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1038 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_instanceofz00_bglt) BgL_oz00_6627))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6628)), BUNSPEC);
		}
	}



/* instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_594)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1039 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_594)))->BgL_locz00);
		}
	}



/* &instanceof-loc */
	obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t BgL_envz00_6629,
		obj_t BgL_oz00_6630)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1039 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_instanceofz00_bglt) BgL_oz00_6630))))->BgL_locz00);
		}
	}



/* make-cast-null */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t BgL_loc1480z00_597,
		BgL_typez00_bglt BgL_type1481z00_598, obj_t BgL_sidezd2effect1482zd2_599,
		obj_t BgL_key1483z00_600, obj_t BgL_exprza21484za2_601,
		obj_t BgL_effect1485z00_602, obj_t BgL_czd2format1486zd2_603)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1043 */
			{	/* Ast/nodetype.sch 1043 */
				BgL_castzd2nullzd2_bglt BgL_new1718z00_8883;

				{	/* Ast/nodetype.sch 1043 */
					BgL_castzd2nullzd2_bglt BgL_new1717z00_8884;

					BgL_new1717z00_8884 =
						((BgL_castzd2nullzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/nodetype.sch 1043 */
						long BgL_arg2487z00_8885;

						{	/* Ast/nodetype.sch 1043 */
							long BgL_res3475z00_8886;

							BgL_res3475z00_8886 =
								BGL_CLASS_INDEX(BGl_castzd2nullzd2zzast_nodez00);
							BgL_arg2487z00_8885 = BgL_res3475z00_8886;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1717z00_8884), BgL_arg2487z00_8885);
					}
					{	/* Ast/nodetype.sch 1043 */
						BgL_objectz00_bglt BgL_auxz00_11727;

						BgL_auxz00_11727 = ((BgL_objectz00_bglt) BgL_new1717z00_8884);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11727, BFALSE);
					}
					BgL_new1718z00_8883 = BgL_new1717z00_8884;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1718z00_8883)))->BgL_locz00) =
					((obj_t) BgL_loc1480z00_597), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1718z00_8883)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1481z00_598), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1718z00_8883)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1482zd2_599), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1718z00_8883)))->BgL_keyz00) =
					((obj_t) BgL_key1483z00_600), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1718z00_8883)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21484za2_601), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1718z00_8883)))->BgL_effectz00) =
					((obj_t) BgL_effect1485z00_602), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1718z00_8883)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1486zd2_603), BUNSPEC);
				return BgL_new1718z00_8883;
			}
		}
	}



/* &make-cast-null */
	BgL_castzd2nullzd2_bglt BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t
		BgL_envz00_6631, obj_t BgL_loc1480z00_6632, obj_t BgL_type1481z00_6633,
		obj_t BgL_sidezd2effect1482zd2_6634, obj_t BgL_key1483z00_6635,
		obj_t BgL_exprza21484za2_6636, obj_t BgL_effect1485z00_6637,
		obj_t BgL_czd2format1486zd2_6638)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1043 */
			{	/* Ast/nodetype.sch 1043 */
				BgL_castzd2nullzd2_bglt BgL_new1718z00_8894;

				{	/* Ast/nodetype.sch 1043 */
					BgL_castzd2nullzd2_bglt BgL_new1717z00_8895;

					BgL_new1717z00_8895 =
						((BgL_castzd2nullzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/nodetype.sch 1043 */
						long BgL_arg2487z00_8896;

						{	/* Ast/nodetype.sch 1043 */
							long BgL_res3475z00_8897;

							BgL_res3475z00_8897 =
								BGL_CLASS_INDEX(BGl_castzd2nullzd2zzast_nodez00);
							BgL_arg2487z00_8896 = BgL_res3475z00_8897;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1717z00_8895), BgL_arg2487z00_8896);
					}
					{	/* Ast/nodetype.sch 1043 */
						BgL_objectz00_bglt BgL_auxz00_11748;

						BgL_auxz00_11748 = ((BgL_objectz00_bglt) BgL_new1717z00_8895);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11748, BFALSE);
					}
					BgL_new1718z00_8894 = BgL_new1717z00_8895;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1718z00_8894)))->BgL_locz00) =
					((obj_t) BgL_loc1480z00_6632), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1718z00_8894)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1481z00_6633)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1718z00_8894)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1482zd2_6634), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1718z00_8894)))->BgL_keyz00) =
					((obj_t) BgL_key1483z00_6635), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1718z00_8894)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21484za2_6636), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1718z00_8894)))->BgL_effectz00) =
					((obj_t) BgL_effect1485z00_6637), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1718z00_8894)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1486zd2_6638), BUNSPEC);
				return BgL_new1718z00_8894;
			}
		}
	}



/* cast-null? */
	BGL_EXPORTED_DEF bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t
		BgL_objz00_604)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1044 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_604,
				BGl_castzd2nullzd2zzast_nodez00);
		}
	}



/* &cast-null? */
	obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t BgL_envz00_6639,
		obj_t BgL_objz00_6640)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1044 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6640,
					BGl_castzd2nullzd2zzast_nodez00));
		}
	}



/* cast-null-nil */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1045 */
			{	/* Ast/nodetype.sch 1045 */
				obj_t BgL_classz00_4579;

				BgL_classz00_4579 = BGl_castzd2nullzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1045 */
					obj_t BgL__ortest_1092z00_4580;

					BgL__ortest_1092z00_4580 = BGL_CLASS_NIL(BgL_classz00_4579);
					if (CBOOL(BgL__ortest_1092z00_4580))
						{	/* Ast/nodetype.sch 1045 */
							return ((BgL_castzd2nullzd2_bglt) BgL__ortest_1092z00_4580);
						}
					else
						{	/* Ast/nodetype.sch 1045 */
							return
								((BgL_castzd2nullzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4579));
						}
				}
			}
		}
	}



/* &cast-null-nil */
	BgL_castzd2nullzd2_bglt BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6641)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1045 */
			return BGl_castzd2nullzd2nilz00zzast_nodez00();
		}
	}



/* cast-null-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_605)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1046 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_605)))->BgL_czd2formatzd2);
		}
	}



/* &cast-null-c-format */
	obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t BgL_envz00_6642,
		obj_t BgL_oz00_6643)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1046 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6643))))->BgL_czd2formatzd2);
		}
	}



/* cast-null-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_608)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1048 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_608)))->BgL_effectz00);
		}
	}



/* &cast-null-effect */
	obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t BgL_envz00_6644,
		obj_t BgL_oz00_6645)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1048 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6645))))->BgL_effectz00);
		}
	}



/* cast-null-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_609, obj_t BgL_vz00_610)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1049 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_609)))->BgL_effectz00) =
				((obj_t) BgL_vz00_610), BUNSPEC);
		}
	}



/* &cast-null-effect-set! */
	obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6646, obj_t BgL_oz00_6647, obj_t BgL_vz00_6648)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1049 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_oz00_6647))))->BgL_effectz00) =
				((obj_t) BgL_vz00_6648), BUNSPEC);
		}
	}



/* cast-null-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_611)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1050 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_611)))->BgL_exprza2za2);
		}
	}



/* &cast-null-expr* */
	obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t BgL_envz00_6649,
		obj_t BgL_oz00_6650)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1050 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6650))))->BgL_exprza2za2);
		}
	}



/* cast-null-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_612, obj_t BgL_vz00_613)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1051 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_612)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_613), BUNSPEC);
		}
	}



/* &cast-null-expr*-set! */
	obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t
		BgL_envz00_6651, obj_t BgL_oz00_6652, obj_t BgL_vz00_6653)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1051 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_oz00_6652))))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_6653), BUNSPEC);
		}
	}



/* cast-null-key */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_614)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1052 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_614)))->BgL_keyz00);
		}
	}



/* &cast-null-key */
	obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t BgL_envz00_6654,
		obj_t BgL_oz00_6655)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1052 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6655))))->BgL_keyz00);
		}
	}



/* cast-null-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_615, obj_t BgL_vz00_616)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1053 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_615)))->BgL_keyz00) =
				((obj_t) BgL_vz00_616), BUNSPEC);
		}
	}



/* &cast-null-key-set! */
	obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6656,
		obj_t BgL_oz00_6657, obj_t BgL_vz00_6658)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1053 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_oz00_6657))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6658), BUNSPEC);
		}
	}



/* cast-null-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_617)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1054 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_617)))->BgL_sidezd2effectzd2);
		}
	}



/* &cast-null-side-effect */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t
		BgL_envz00_6659, obj_t BgL_oz00_6660)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1054 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6660))))->
				BgL_sidezd2effectzd2);
		}
	}



/* cast-null-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt BgL_oz00_618, obj_t BgL_vz00_619)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1055 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_618)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_619), BUNSPEC);
		}
	}



/* &cast-null-side-effect-set! */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6661, obj_t BgL_oz00_6662, obj_t BgL_vz00_6663)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1055 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_oz00_6662))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6663), BUNSPEC);
		}
	}



/* cast-null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_620)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1056 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_620)))->BgL_typez00);
		}
	}



/* &cast-null-type */
	BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6664, obj_t BgL_oz00_6665)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1056 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6665))))->BgL_typez00);
		}
	}



/* cast-null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_621, BgL_typez00_bglt BgL_vz00_622)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1057 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_621)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_622), BUNSPEC);
		}
	}



/* &cast-null-type-set! */
	obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6666, obj_t BgL_oz00_6667, obj_t BgL_vz00_6668)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1057 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_oz00_6667))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6668)), BUNSPEC);
		}
	}



/* cast-null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_623)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1058 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_623)))->BgL_locz00);
		}
	}



/* &cast-null-loc */
	obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t BgL_envz00_6669,
		obj_t BgL_oz00_6670)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1058 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_oz00_6670))))->BgL_locz00);
		}
	}



/* make-cast */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t
		BgL_loc1474z00_626, BgL_typez00_bglt BgL_type1475z00_627,
		BgL_nodez00_bglt BgL_arg1478z00_628)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1062 */
			{	/* Ast/nodetype.sch 1062 */
				BgL_castz00_bglt BgL_new1734z00_8916;

				{	/* Ast/nodetype.sch 1062 */
					BgL_castz00_bglt BgL_new1733z00_8917;

					BgL_new1733z00_8917 =
						((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/nodetype.sch 1062 */
						long BgL_arg2488z00_8918;

						{	/* Ast/nodetype.sch 1062 */
							long BgL_res3476z00_8919;

							BgL_res3476z00_8919 = BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
							BgL_arg2488z00_8918 = BgL_res3476z00_8919;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1733z00_8917), BgL_arg2488z00_8918);
					}
					{	/* Ast/nodetype.sch 1062 */
						BgL_objectz00_bglt BgL_auxz00_11841;

						BgL_auxz00_11841 = ((BgL_objectz00_bglt) BgL_new1733z00_8917);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11841, BFALSE);
					}
					BgL_new1734z00_8916 = BgL_new1733z00_8917;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1734z00_8916)))->BgL_locz00) =
					((obj_t) BgL_loc1474z00_626), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1734z00_8916)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1475z00_627), BUNSPEC);
				((((BgL_castz00_bglt) CREF(BgL_new1734z00_8916))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1478z00_628), BUNSPEC);
				return BgL_new1734z00_8916;
			}
		}
	}



/* &make-cast */
	BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t BgL_envz00_6671,
		obj_t BgL_loc1474z00_6672, obj_t BgL_type1475z00_6673,
		obj_t BgL_arg1478z00_6674)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1062 */
			{	/* Ast/nodetype.sch 1062 */
				BgL_castz00_bglt BgL_new1734z00_8923;

				{	/* Ast/nodetype.sch 1062 */
					BgL_castz00_bglt BgL_new1733z00_8924;

					BgL_new1733z00_8924 =
						((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/nodetype.sch 1062 */
						long BgL_arg2488z00_8925;

						{	/* Ast/nodetype.sch 1062 */
							long BgL_res3476z00_8926;

							BgL_res3476z00_8926 = BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
							BgL_arg2488z00_8925 = BgL_res3476z00_8926;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1733z00_8924), BgL_arg2488z00_8925);
					}
					{	/* Ast/nodetype.sch 1062 */
						BgL_objectz00_bglt BgL_auxz00_11853;

						BgL_auxz00_11853 = ((BgL_objectz00_bglt) BgL_new1733z00_8924);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11853, BFALSE);
					}
					BgL_new1734z00_8923 = BgL_new1733z00_8924;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1734z00_8923)))->BgL_locz00) =
					((obj_t) BgL_loc1474z00_6672), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1734z00_8923)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1475z00_6673)),
					BUNSPEC);
				((((BgL_castz00_bglt) CREF(BgL_new1734z00_8923))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1478z00_6674)),
					BUNSPEC);
				return BgL_new1734z00_8923;
			}
		}
	}



/* cast? */
	BGL_EXPORTED_DEF bool_t BGl_castzf3zf3zzast_nodez00(obj_t BgL_objz00_629)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1063 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_629, BGl_castz00zzast_nodez00);
		}
	}



/* &cast? */
	obj_t BGl_z62castzf3z91zzast_nodez00(obj_t BgL_envz00_6675,
		obj_t BgL_objz00_6676)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1063 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6676,
					BGl_castz00zzast_nodez00));
		}
	}



/* cast-nil */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1064 */
			{	/* Ast/nodetype.sch 1064 */
				obj_t BgL_classz00_4600;

				BgL_classz00_4600 = BGl_castz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1064 */
					obj_t BgL__ortest_1092z00_4601;

					BgL__ortest_1092z00_4601 = BGL_CLASS_NIL(BgL_classz00_4600);
					if (CBOOL(BgL__ortest_1092z00_4601))
						{	/* Ast/nodetype.sch 1064 */
							return ((BgL_castz00_bglt) BgL__ortest_1092z00_4601);
						}
					else
						{	/* Ast/nodetype.sch 1064 */
							return
								((BgL_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4600));
						}
				}
			}
		}
	}



/* &cast-nil */
	BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6677)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1064 */
			return BGl_castzd2nilzd2zzast_nodez00();
		}
	}



/* cast-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_630)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1065 */
			return (((BgL_castz00_bglt) CREF(BgL_oz00_630))->BgL_argz00);
		}
	}



/* &cast-arg */
	BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t BgL_envz00_6678,
		obj_t BgL_oz00_6679)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1065 */
			return
				(((BgL_castz00_bglt) CREF(
						((BgL_castz00_bglt) BgL_oz00_6679)))->BgL_argz00);
		}
	}



/* cast-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_631,
		BgL_nodez00_bglt BgL_vz00_632)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1066 */
			return
				((((BgL_castz00_bglt) CREF(BgL_oz00_631))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_632), BUNSPEC);
		}
	}



/* &cast-arg-set! */
	obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6680,
		obj_t BgL_oz00_6681, obj_t BgL_vz00_6682)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1066 */
			return
				((((BgL_castz00_bglt) CREF(
							((BgL_castz00_bglt) BgL_oz00_6681)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6682)), BUNSPEC);
		}
	}



/* cast-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_633)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1067 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_633)))->BgL_typez00);
		}
	}



/* &cast-type */
	BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t BgL_envz00_6683,
		obj_t BgL_oz00_6684)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1067 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_castz00_bglt) BgL_oz00_6684))))->BgL_typez00);
		}
	}



/* cast-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_634,
		BgL_typez00_bglt BgL_vz00_635)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1068 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_634)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_635), BUNSPEC);
		}
	}



/* &cast-type-set! */
	obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6685,
		obj_t BgL_oz00_6686, obj_t BgL_vz00_6687)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1068 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_castz00_bglt) BgL_oz00_6686))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6687)), BUNSPEC);
		}
	}



/* cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt
		BgL_oz00_636)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1069 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_636)))->BgL_locz00);
		}
	}



/* &cast-loc */
	obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t BgL_envz00_6688,
		obj_t BgL_oz00_6689)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1069 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_castz00_bglt) BgL_oz00_6689))))->BgL_locz00);
		}
	}



/* make-setq */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t
		BgL_loc1468z00_639, BgL_typez00_bglt BgL_type1469z00_640,
		BgL_varz00_bglt BgL_var1470z00_641, BgL_nodez00_bglt BgL_value1471z00_642)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1073 */
			{	/* Ast/nodetype.sch 1073 */
				BgL_setqz00_bglt BgL_new1742z00_8935;

				{	/* Ast/nodetype.sch 1073 */
					BgL_setqz00_bglt BgL_new1741z00_8936;

					BgL_new1741z00_8936 =
						((BgL_setqz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/nodetype.sch 1073 */
						long BgL_arg2489z00_8937;

						{	/* Ast/nodetype.sch 1073 */
							long BgL_res3477z00_8938;

							BgL_res3477z00_8938 = BGL_CLASS_INDEX(BGl_setqz00zzast_nodez00);
							BgL_arg2489z00_8937 = BgL_res3477z00_8938;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1741z00_8936), BgL_arg2489z00_8937);
					}
					{	/* Ast/nodetype.sch 1073 */
						BgL_objectz00_bglt BgL_auxz00_11900;

						BgL_auxz00_11900 = ((BgL_objectz00_bglt) BgL_new1741z00_8936);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11900, BFALSE);
					}
					BgL_new1742z00_8935 = BgL_new1741z00_8936;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1742z00_8935)))->BgL_locz00) =
					((obj_t) BgL_loc1468z00_639), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1742z00_8935)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1469z00_640), BUNSPEC);
				((((BgL_setqz00_bglt) CREF(BgL_new1742z00_8935))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1470z00_641), BUNSPEC);
				((((BgL_setqz00_bglt) CREF(BgL_new1742z00_8935))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1471z00_642), BUNSPEC);
				return BgL_new1742z00_8935;
			}
		}
	}



/* &make-setq */
	BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t BgL_envz00_6690,
		obj_t BgL_loc1468z00_6691, obj_t BgL_type1469z00_6692,
		obj_t BgL_var1470z00_6693, obj_t BgL_value1471z00_6694)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1073 */
			{	/* Ast/nodetype.sch 1073 */
				BgL_setqz00_bglt BgL_new1742z00_8943;

				{	/* Ast/nodetype.sch 1073 */
					BgL_setqz00_bglt BgL_new1741z00_8944;

					BgL_new1741z00_8944 =
						((BgL_setqz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/nodetype.sch 1073 */
						long BgL_arg2489z00_8945;

						{	/* Ast/nodetype.sch 1073 */
							long BgL_res3477z00_8946;

							BgL_res3477z00_8946 = BGL_CLASS_INDEX(BGl_setqz00zzast_nodez00);
							BgL_arg2489z00_8945 = BgL_res3477z00_8946;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1741z00_8944), BgL_arg2489z00_8945);
					}
					{	/* Ast/nodetype.sch 1073 */
						BgL_objectz00_bglt BgL_auxz00_11913;

						BgL_auxz00_11913 = ((BgL_objectz00_bglt) BgL_new1741z00_8944);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11913, BFALSE);
					}
					BgL_new1742z00_8943 = BgL_new1741z00_8944;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1742z00_8943)))->BgL_locz00) =
					((obj_t) BgL_loc1468z00_6691), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1742z00_8943)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1469z00_6692)),
					BUNSPEC);
				((((BgL_setqz00_bglt) CREF(BgL_new1742z00_8943))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1470z00_6693)), BUNSPEC);
				((((BgL_setqz00_bglt) CREF(BgL_new1742z00_8943))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1471z00_6694)),
					BUNSPEC);
				return BgL_new1742z00_8943;
			}
		}
	}



/* setq? */
	BGL_EXPORTED_DEF bool_t BGl_setqzf3zf3zzast_nodez00(obj_t BgL_objz00_643)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1074 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_643, BGl_setqz00zzast_nodez00);
		}
	}



/* &setq? */
	obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t BgL_envz00_6695,
		obj_t BgL_objz00_6696)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1074 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6696,
					BGl_setqz00zzast_nodez00));
		}
	}



/* setq-nil */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1075 */
			{	/* Ast/nodetype.sch 1075 */
				obj_t BgL_classz00_4614;

				BgL_classz00_4614 = BGl_setqz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1075 */
					obj_t BgL__ortest_1092z00_4615;

					BgL__ortest_1092z00_4615 = BGL_CLASS_NIL(BgL_classz00_4614);
					if (CBOOL(BgL__ortest_1092z00_4615))
						{	/* Ast/nodetype.sch 1075 */
							return ((BgL_setqz00_bglt) BgL__ortest_1092z00_4615);
						}
					else
						{	/* Ast/nodetype.sch 1075 */
							return
								((BgL_setqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4614));
						}
				}
			}
		}
	}



/* &setq-nil */
	BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6697)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1075 */
			return BGl_setqzd2nilzd2zzast_nodez00();
		}
	}



/* setq-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_644)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1076 */
			return (((BgL_setqz00_bglt) CREF(BgL_oz00_644))->BgL_valuez00);
		}
	}



/* &setq-value */
	BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6698,
		obj_t BgL_oz00_6699)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1076 */
			return
				(((BgL_setqz00_bglt) CREF(
						((BgL_setqz00_bglt) BgL_oz00_6699)))->BgL_valuez00);
		}
	}



/* setq-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_645,
		BgL_nodez00_bglt BgL_vz00_646)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1077 */
			return
				((((BgL_setqz00_bglt) CREF(BgL_oz00_645))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_646), BUNSPEC);
		}
	}



/* &setq-value-set! */
	obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6700,
		obj_t BgL_oz00_6701, obj_t BgL_vz00_6702)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1077 */
			return
				((((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_oz00_6701)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6702)), BUNSPEC);
		}
	}



/* setq-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_647)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1078 */
			return (((BgL_setqz00_bglt) CREF(BgL_oz00_647))->BgL_varz00);
		}
	}



/* &setq-var */
	BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t BgL_envz00_6703,
		obj_t BgL_oz00_6704)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1078 */
			return
				(((BgL_setqz00_bglt) CREF(
						((BgL_setqz00_bglt) BgL_oz00_6704)))->BgL_varz00);
		}
	}



/* setq-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_648,
		BgL_varz00_bglt BgL_vz00_649)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1079 */
			return
				((((BgL_setqz00_bglt) CREF(BgL_oz00_648))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_649), BUNSPEC);
		}
	}



/* &setq-var-set! */
	obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6705,
		obj_t BgL_oz00_6706, obj_t BgL_vz00_6707)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1079 */
			return
				((((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_oz00_6706)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_6707)), BUNSPEC);
		}
	}



/* setq-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_650)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1080 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_650)))->BgL_typez00);
		}
	}



/* &setq-type */
	BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t BgL_envz00_6708,
		obj_t BgL_oz00_6709)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1080 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setqz00_bglt) BgL_oz00_6709))))->BgL_typez00);
		}
	}



/* setq-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_651,
		BgL_typez00_bglt BgL_vz00_652)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1081 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_651)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_652), BUNSPEC);
		}
	}



/* &setq-type-set! */
	obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6710,
		obj_t BgL_oz00_6711, obj_t BgL_vz00_6712)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1081 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_setqz00_bglt) BgL_oz00_6711))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6712)), BUNSPEC);
		}
	}



/* setq-loc */
	BGL_EXPORTED_DEF obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt
		BgL_oz00_653)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1082 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_653)))->BgL_locz00);
		}
	}



/* &setq-loc */
	obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t BgL_envz00_6713,
		obj_t BgL_oz00_6714)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1082 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setqz00_bglt) BgL_oz00_6714))))->BgL_locz00);
		}
	}



/* make-conditional */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t BgL_loc1460z00_656,
		BgL_typez00_bglt BgL_type1461z00_657, obj_t BgL_sidezd2effect1462zd2_658,
		obj_t BgL_key1463z00_659, BgL_nodez00_bglt BgL_test1464z00_660,
		BgL_nodez00_bglt BgL_true1465z00_661, BgL_nodez00_bglt BgL_false1466z00_662)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1086 */
			{	/* Ast/nodetype.sch 1086 */
				BgL_conditionalz00_bglt BgL_new1752z00_8958;

				{	/* Ast/nodetype.sch 1086 */
					BgL_conditionalz00_bglt BgL_new1751z00_8959;

					BgL_new1751z00_8959 =
						((BgL_conditionalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/nodetype.sch 1086 */
						long BgL_arg2490z00_8960;

						{	/* Ast/nodetype.sch 1086 */
							long BgL_res3478z00_8961;

							BgL_res3478z00_8961 =
								BGL_CLASS_INDEX(BGl_conditionalz00zzast_nodez00);
							BgL_arg2490z00_8960 = BgL_res3478z00_8961;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1751z00_8959), BgL_arg2490z00_8960);
					}
					{	/* Ast/nodetype.sch 1086 */
						BgL_objectz00_bglt BgL_auxz00_11969;

						BgL_auxz00_11969 = ((BgL_objectz00_bglt) BgL_new1751z00_8959);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11969, BFALSE);
					}
					BgL_new1752z00_8958 = BgL_new1751z00_8959;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1752z00_8958)))->BgL_locz00) =
					((obj_t) BgL_loc1460z00_656), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1752z00_8958)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1461z00_657), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1752z00_8958)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1462zd2_658), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1752z00_8958)))->BgL_keyz00) =
					((obj_t) BgL_key1463z00_659), BUNSPEC);
				((((BgL_conditionalz00_bglt) CREF(BgL_new1752z00_8958))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1464z00_660), BUNSPEC);
				((((BgL_conditionalz00_bglt) CREF(BgL_new1752z00_8958))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_true1465z00_661), BUNSPEC);
				((((BgL_conditionalz00_bglt) CREF(BgL_new1752z00_8958))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_false1466z00_662), BUNSPEC);
				return BgL_new1752z00_8958;
			}
		}
	}



/* &make-conditional */
	BgL_conditionalz00_bglt BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t
		BgL_envz00_6715, obj_t BgL_loc1460z00_6716, obj_t BgL_type1461z00_6717,
		obj_t BgL_sidezd2effect1462zd2_6718, obj_t BgL_key1463z00_6719,
		obj_t BgL_test1464z00_6720, obj_t BgL_true1465z00_6721,
		obj_t BgL_false1466z00_6722)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1086 */
			{	/* Ast/nodetype.sch 1086 */
				BgL_conditionalz00_bglt BgL_new1752z00_8969;

				{	/* Ast/nodetype.sch 1086 */
					BgL_conditionalz00_bglt BgL_new1751z00_8970;

					BgL_new1751z00_8970 =
						((BgL_conditionalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/nodetype.sch 1086 */
						long BgL_arg2490z00_8971;

						{	/* Ast/nodetype.sch 1086 */
							long BgL_res3478z00_8972;

							BgL_res3478z00_8972 =
								BGL_CLASS_INDEX(BGl_conditionalz00zzast_nodez00);
							BgL_arg2490z00_8971 = BgL_res3478z00_8972;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1751z00_8970), BgL_arg2490z00_8971);
					}
					{	/* Ast/nodetype.sch 1086 */
						BgL_objectz00_bglt BgL_auxz00_11987;

						BgL_auxz00_11987 = ((BgL_objectz00_bglt) BgL_new1751z00_8970);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_11987, BFALSE);
					}
					BgL_new1752z00_8969 = BgL_new1751z00_8970;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1752z00_8969)))->BgL_locz00) =
					((obj_t) BgL_loc1460z00_6716), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1752z00_8969)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1461z00_6717)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1752z00_8969)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1462zd2_6718), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1752z00_8969)))->BgL_keyz00) =
					((obj_t) BgL_key1463z00_6719), BUNSPEC);
				((((BgL_conditionalz00_bglt) CREF(BgL_new1752z00_8969))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1464z00_6720)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) CREF(BgL_new1752z00_8969))->BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1465z00_6721)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) CREF(BgL_new1752z00_8969))->BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1466z00_6722)),
					BUNSPEC);
				return BgL_new1752z00_8969;
			}
		}
	}



/* conditional? */
	BGL_EXPORTED_DEF bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t
		BgL_objz00_663)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1087 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_663,
				BGl_conditionalz00zzast_nodez00);
		}
	}



/* &conditional? */
	obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t BgL_envz00_6723,
		obj_t BgL_objz00_6724)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1087 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6724,
					BGl_conditionalz00zzast_nodez00));
		}
	}



/* conditional-nil */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1088 */
			{	/* Ast/nodetype.sch 1088 */
				obj_t BgL_classz00_4630;

				BgL_classz00_4630 = BGl_conditionalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1088 */
					obj_t BgL__ortest_1092z00_4631;

					BgL__ortest_1092z00_4631 = BGL_CLASS_NIL(BgL_classz00_4630);
					if (CBOOL(BgL__ortest_1092z00_4631))
						{	/* Ast/nodetype.sch 1088 */
							return ((BgL_conditionalz00_bglt) BgL__ortest_1092z00_4631);
						}
					else
						{	/* Ast/nodetype.sch 1088 */
							return
								((BgL_conditionalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4630));
						}
				}
			}
		}
	}



/* &conditional-nil */
	BgL_conditionalz00_bglt BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6725)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1088 */
			return BGl_conditionalzd2nilzd2zzast_nodez00();
		}
	}



/* conditional-false */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_664)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1089 */
			return (((BgL_conditionalz00_bglt) CREF(BgL_oz00_664))->BgL_falsez00);
		}
	}



/* &conditional-false */
	BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t
		BgL_envz00_6726, obj_t BgL_oz00_6727)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1089 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_6727)))->BgL_falsez00);
		}
	}



/* conditional-false-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_665, BgL_nodez00_bglt BgL_vz00_666)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1090 */
			return
				((((BgL_conditionalz00_bglt) CREF(BgL_oz00_665))->BgL_falsez00) =
				((BgL_nodez00_bglt) BgL_vz00_666), BUNSPEC);
		}
	}



/* &conditional-false-set! */
	obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6728, obj_t BgL_oz00_6729, obj_t BgL_vz00_6730)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1090 */
			return
				((((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_oz00_6729)))->BgL_falsez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6730)), BUNSPEC);
		}
	}



/* conditional-true */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_667)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1091 */
			return (((BgL_conditionalz00_bglt) CREF(BgL_oz00_667))->BgL_truez00);
		}
	}



/* &conditional-true */
	BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t
		BgL_envz00_6731, obj_t BgL_oz00_6732)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1091 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_6732)))->BgL_truez00);
		}
	}



/* conditional-true-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_668, BgL_nodez00_bglt BgL_vz00_669)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1092 */
			return
				((((BgL_conditionalz00_bglt) CREF(BgL_oz00_668))->BgL_truez00) =
				((BgL_nodez00_bglt) BgL_vz00_669), BUNSPEC);
		}
	}



/* &conditional-true-set! */
	obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6733, obj_t BgL_oz00_6734, obj_t BgL_vz00_6735)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1092 */
			return
				((((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_oz00_6734)))->BgL_truez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6735)), BUNSPEC);
		}
	}



/* conditional-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_670)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1093 */
			return (((BgL_conditionalz00_bglt) CREF(BgL_oz00_670))->BgL_testz00);
		}
	}



/* &conditional-test */
	BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t
		BgL_envz00_6736, obj_t BgL_oz00_6737)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1093 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_6737)))->BgL_testz00);
		}
	}



/* conditional-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_671, BgL_nodez00_bglt BgL_vz00_672)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1094 */
			return
				((((BgL_conditionalz00_bglt) CREF(BgL_oz00_671))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_672), BUNSPEC);
		}
	}



/* &conditional-test-set! */
	obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6738, obj_t BgL_oz00_6739, obj_t BgL_vz00_6740)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1094 */
			return
				((((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_oz00_6739)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6740)), BUNSPEC);
		}
	}



/* conditional-key */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_673)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1095 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_673)))->BgL_keyz00);
		}
	}



/* &conditional-key */
	obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6741,
		obj_t BgL_oz00_6742)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1095 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_conditionalz00_bglt) BgL_oz00_6742))))->BgL_keyz00);
		}
	}



/* conditional-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_674, obj_t BgL_vz00_675)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1096 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_674)))->BgL_keyz00) =
				((obj_t) BgL_vz00_675), BUNSPEC);
		}
	}



/* &conditional-key-set! */
	obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6743,
		obj_t BgL_oz00_6744, obj_t BgL_vz00_6745)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1096 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_conditionalz00_bglt) BgL_oz00_6744))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6745), BUNSPEC);
		}
	}



/* conditional-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_676)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1097 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_676)))->BgL_sidezd2effectzd2);
		}
	}



/* &conditional-side-effect */
	obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t
		BgL_envz00_6746, obj_t BgL_oz00_6747)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1097 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_conditionalz00_bglt) BgL_oz00_6747))))->
				BgL_sidezd2effectzd2);
		}
	}



/* conditional-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt BgL_oz00_677, obj_t BgL_vz00_678)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1098 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_677)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_678), BUNSPEC);
		}
	}



/* &conditional-side-effect-set! */
	obj_t BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6748, obj_t BgL_oz00_6749, obj_t BgL_vz00_6750)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1098 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_conditionalz00_bglt) BgL_oz00_6749))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6750), BUNSPEC);
		}
	}



/* conditional-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_679)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1099 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_679)))->BgL_typez00);
		}
	}



/* &conditional-type */
	BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6751, obj_t BgL_oz00_6752)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1099 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_conditionalz00_bglt) BgL_oz00_6752))))->BgL_typez00);
		}
	}



/* conditional-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_680, BgL_typez00_bglt BgL_vz00_681)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1100 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_680)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_681), BUNSPEC);
		}
	}



/* &conditional-type-set! */
	obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6753, obj_t BgL_oz00_6754, obj_t BgL_vz00_6755)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1100 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_conditionalz00_bglt) BgL_oz00_6754))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6755)), BUNSPEC);
		}
	}



/* conditional-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_682)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1101 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_682)))->BgL_locz00);
		}
	}



/* &conditional-loc */
	obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t BgL_envz00_6756,
		obj_t BgL_oz00_6757)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1101 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_conditionalz00_bglt) BgL_oz00_6757))))->BgL_locz00);
		}
	}



/* make-fail */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t
		BgL_loc1453z00_685, BgL_typez00_bglt BgL_type1454z00_686,
		BgL_nodez00_bglt BgL_proc1455z00_687, BgL_nodez00_bglt BgL_msg1456z00_688,
		BgL_nodez00_bglt BgL_obj1457z00_689)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1105 */
			{	/* Ast/nodetype.sch 1105 */
				BgL_failz00_bglt BgL_new1768z00_8993;

				{	/* Ast/nodetype.sch 1105 */
					BgL_failz00_bglt BgL_new1767z00_8994;

					BgL_new1767z00_8994 =
						((BgL_failz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/nodetype.sch 1105 */
						long BgL_arg2491z00_8995;

						{	/* Ast/nodetype.sch 1105 */
							long BgL_res3479z00_8996;

							BgL_res3479z00_8996 = BGL_CLASS_INDEX(BGl_failz00zzast_nodez00);
							BgL_arg2491z00_8995 = BgL_res3479z00_8996;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1767z00_8994), BgL_arg2491z00_8995);
					}
					{	/* Ast/nodetype.sch 1105 */
						BgL_objectz00_bglt BgL_auxz00_12076;

						BgL_auxz00_12076 = ((BgL_objectz00_bglt) BgL_new1767z00_8994);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12076, BFALSE);
					}
					BgL_new1768z00_8993 = BgL_new1767z00_8994;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1768z00_8993)))->BgL_locz00) =
					((obj_t) BgL_loc1453z00_685), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1768z00_8993)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1454z00_686), BUNSPEC);
				((((BgL_failz00_bglt) CREF(BgL_new1768z00_8993))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_proc1455z00_687), BUNSPEC);
				((((BgL_failz00_bglt) CREF(BgL_new1768z00_8993))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_msg1456z00_688), BUNSPEC);
				((((BgL_failz00_bglt) CREF(BgL_new1768z00_8993))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_obj1457z00_689), BUNSPEC);
				return BgL_new1768z00_8993;
			}
		}
	}



/* &make-fail */
	BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t BgL_envz00_6758,
		obj_t BgL_loc1453z00_6759, obj_t BgL_type1454z00_6760,
		obj_t BgL_proc1455z00_6761, obj_t BgL_msg1456z00_6762,
		obj_t BgL_obj1457z00_6763)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1105 */
			{	/* Ast/nodetype.sch 1105 */
				BgL_failz00_bglt BgL_new1768z00_9002;

				{	/* Ast/nodetype.sch 1105 */
					BgL_failz00_bglt BgL_new1767z00_9003;

					BgL_new1767z00_9003 =
						((BgL_failz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/nodetype.sch 1105 */
						long BgL_arg2491z00_9004;

						{	/* Ast/nodetype.sch 1105 */
							long BgL_res3479z00_9005;

							BgL_res3479z00_9005 = BGL_CLASS_INDEX(BGl_failz00zzast_nodez00);
							BgL_arg2491z00_9004 = BgL_res3479z00_9005;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1767z00_9003), BgL_arg2491z00_9004);
					}
					{	/* Ast/nodetype.sch 1105 */
						BgL_objectz00_bglt BgL_auxz00_12090;

						BgL_auxz00_12090 = ((BgL_objectz00_bglt) BgL_new1767z00_9003);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12090, BFALSE);
					}
					BgL_new1768z00_9002 = BgL_new1767z00_9003;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1768z00_9002)))->BgL_locz00) =
					((obj_t) BgL_loc1453z00_6759), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1768z00_9002)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1454z00_6760)),
					BUNSPEC);
				((((BgL_failz00_bglt) CREF(BgL_new1768z00_9002))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1455z00_6761)),
					BUNSPEC);
				((((BgL_failz00_bglt) CREF(BgL_new1768z00_9002))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1456z00_6762)),
					BUNSPEC);
				((((BgL_failz00_bglt) CREF(BgL_new1768z00_9002))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1457z00_6763)),
					BUNSPEC);
				return BgL_new1768z00_9002;
			}
		}
	}



/* fail? */
	BGL_EXPORTED_DEF bool_t BGl_failzf3zf3zzast_nodez00(obj_t BgL_objz00_690)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1106 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_690, BGl_failz00zzast_nodez00);
		}
	}



/* &fail? */
	obj_t BGl_z62failzf3z91zzast_nodez00(obj_t BgL_envz00_6764,
		obj_t BgL_objz00_6765)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1106 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6765,
					BGl_failz00zzast_nodez00));
		}
	}



/* fail-nil */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1107 */
			{	/* Ast/nodetype.sch 1107 */
				obj_t BgL_classz00_4652;

				BgL_classz00_4652 = BGl_failz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1107 */
					obj_t BgL__ortest_1092z00_4653;

					BgL__ortest_1092z00_4653 = BGL_CLASS_NIL(BgL_classz00_4652);
					if (CBOOL(BgL__ortest_1092z00_4653))
						{	/* Ast/nodetype.sch 1107 */
							return ((BgL_failz00_bglt) BgL__ortest_1092z00_4653);
						}
					else
						{	/* Ast/nodetype.sch 1107 */
							return
								((BgL_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4652));
						}
				}
			}
		}
	}



/* &fail-nil */
	BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6766)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1107 */
			return BGl_failzd2nilzd2zzast_nodez00();
		}
	}



/* fail-obj */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_691)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1108 */
			return (((BgL_failz00_bglt) CREF(BgL_oz00_691))->BgL_objz00);
		}
	}



/* &fail-obj */
	BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t BgL_envz00_6767,
		obj_t BgL_oz00_6768)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1108 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_6768)))->BgL_objz00);
		}
	}



/* fail-obj-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_692,
		BgL_nodez00_bglt BgL_vz00_693)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1109 */
			return
				((((BgL_failz00_bglt) CREF(BgL_oz00_692))->BgL_objz00) =
				((BgL_nodez00_bglt) BgL_vz00_693), BUNSPEC);
		}
	}



/* &fail-obj-set! */
	obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6769,
		obj_t BgL_oz00_6770, obj_t BgL_vz00_6771)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1109 */
			return
				((((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_oz00_6770)))->BgL_objz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6771)), BUNSPEC);
		}
	}



/* fail-msg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_694)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1110 */
			return (((BgL_failz00_bglt) CREF(BgL_oz00_694))->BgL_msgz00);
		}
	}



/* &fail-msg */
	BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t BgL_envz00_6772,
		obj_t BgL_oz00_6773)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1110 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_6773)))->BgL_msgz00);
		}
	}



/* fail-msg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_695,
		BgL_nodez00_bglt BgL_vz00_696)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1111 */
			return
				((((BgL_failz00_bglt) CREF(BgL_oz00_695))->BgL_msgz00) =
				((BgL_nodez00_bglt) BgL_vz00_696), BUNSPEC);
		}
	}



/* &fail-msg-set! */
	obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6774,
		obj_t BgL_oz00_6775, obj_t BgL_vz00_6776)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1111 */
			return
				((((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_oz00_6775)))->BgL_msgz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6776)), BUNSPEC);
		}
	}



/* fail-proc */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_697)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1112 */
			return (((BgL_failz00_bglt) CREF(BgL_oz00_697))->BgL_procz00);
		}
	}



/* &fail-proc */
	BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t BgL_envz00_6777,
		obj_t BgL_oz00_6778)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1112 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_6778)))->BgL_procz00);
		}
	}



/* fail-proc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_698,
		BgL_nodez00_bglt BgL_vz00_699)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1113 */
			return
				((((BgL_failz00_bglt) CREF(BgL_oz00_698))->BgL_procz00) =
				((BgL_nodez00_bglt) BgL_vz00_699), BUNSPEC);
		}
	}



/* &fail-proc-set! */
	obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t BgL_envz00_6779,
		obj_t BgL_oz00_6780, obj_t BgL_vz00_6781)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1113 */
			return
				((((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_oz00_6780)))->BgL_procz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6781)), BUNSPEC);
		}
	}



/* fail-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_700)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1114 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_700)))->BgL_typez00);
		}
	}



/* &fail-type */
	BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t BgL_envz00_6782,
		obj_t BgL_oz00_6783)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1114 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_failz00_bglt) BgL_oz00_6783))))->BgL_typez00);
		}
	}



/* fail-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_701,
		BgL_typez00_bglt BgL_vz00_702)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1115 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_701)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_702), BUNSPEC);
		}
	}



/* &fail-type-set! */
	obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6784,
		obj_t BgL_oz00_6785, obj_t BgL_vz00_6786)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1115 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_failz00_bglt) BgL_oz00_6785))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6786)), BUNSPEC);
		}
	}



/* fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt
		BgL_oz00_703)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1116 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_703)))->BgL_locz00);
		}
	}



/* &fail-loc */
	obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t BgL_envz00_6787,
		obj_t BgL_oz00_6788)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1116 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_failz00_bglt) BgL_oz00_6788))))->BgL_locz00);
		}
	}



/* make-select */
	BGL_EXPORTED_DEF BgL_selectz00_bglt BGl_makezd2selectzd2zzast_nodez00(obj_t
		BgL_loc1445z00_706, BgL_typez00_bglt BgL_type1446z00_707,
		obj_t BgL_sidezd2effect1447zd2_708, obj_t BgL_key1448z00_709,
		BgL_nodez00_bglt BgL_test1449z00_710, obj_t BgL_clauses1450z00_711,
		BgL_typez00_bglt BgL_itemzd2type1451zd2_712)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1120 */
			{	/* Ast/nodetype.sch 1120 */
				BgL_selectz00_bglt BgL_new1780z00_9020;

				{	/* Ast/nodetype.sch 1120 */
					BgL_selectz00_bglt BgL_new1779z00_9021;

					BgL_new1779z00_9021 =
						((BgL_selectz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_selectz00_bgl))));
					{	/* Ast/nodetype.sch 1120 */
						long BgL_arg2492z00_9022;

						{	/* Ast/nodetype.sch 1120 */
							long BgL_res3480z00_9023;

							BgL_res3480z00_9023 = BGL_CLASS_INDEX(BGl_selectz00zzast_nodez00);
							BgL_arg2492z00_9022 = BgL_res3480z00_9023;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1779z00_9021), BgL_arg2492z00_9022);
					}
					{	/* Ast/nodetype.sch 1120 */
						BgL_objectz00_bglt BgL_auxz00_12155;

						BgL_auxz00_12155 = ((BgL_objectz00_bglt) BgL_new1779z00_9021);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12155, BFALSE);
					}
					BgL_new1780z00_9020 = BgL_new1779z00_9021;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1780z00_9020)))->BgL_locz00) =
					((obj_t) BgL_loc1445z00_706), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1780z00_9020)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1446z00_707), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1780z00_9020)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1447zd2_708), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1780z00_9020)))->BgL_keyz00) =
					((obj_t) BgL_key1448z00_709), BUNSPEC);
				((((BgL_selectz00_bglt) CREF(BgL_new1780z00_9020))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1449z00_710), BUNSPEC);
				((((BgL_selectz00_bglt) CREF(BgL_new1780z00_9020))->BgL_clausesz00) =
					((obj_t) BgL_clauses1450z00_711), BUNSPEC);
				((((BgL_selectz00_bglt) CREF(BgL_new1780z00_9020))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1451zd2_712), BUNSPEC);
				return BgL_new1780z00_9020;
			}
		}
	}



/* &make-select */
	BgL_selectz00_bglt BGl_z62makezd2selectzb0zzast_nodez00(obj_t BgL_envz00_6789,
		obj_t BgL_loc1445z00_6790, obj_t BgL_type1446z00_6791,
		obj_t BgL_sidezd2effect1447zd2_6792, obj_t BgL_key1448z00_6793,
		obj_t BgL_test1449z00_6794, obj_t BgL_clauses1450z00_6795,
		obj_t BgL_itemzd2type1451zd2_6796)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1120 */
			{	/* Ast/nodetype.sch 1120 */
				BgL_selectz00_bglt BgL_new1780z00_9031;

				{	/* Ast/nodetype.sch 1120 */
					BgL_selectz00_bglt BgL_new1779z00_9032;

					BgL_new1779z00_9032 =
						((BgL_selectz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_selectz00_bgl))));
					{	/* Ast/nodetype.sch 1120 */
						long BgL_arg2492z00_9033;

						{	/* Ast/nodetype.sch 1120 */
							long BgL_res3480z00_9034;

							BgL_res3480z00_9034 = BGL_CLASS_INDEX(BGl_selectz00zzast_nodez00);
							BgL_arg2492z00_9033 = BgL_res3480z00_9034;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1779z00_9032), BgL_arg2492z00_9033);
					}
					{	/* Ast/nodetype.sch 1120 */
						BgL_objectz00_bglt BgL_auxz00_12173;

						BgL_auxz00_12173 = ((BgL_objectz00_bglt) BgL_new1779z00_9032);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12173, BFALSE);
					}
					BgL_new1780z00_9031 = BgL_new1779z00_9032;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1780z00_9031)))->BgL_locz00) =
					((obj_t) BgL_loc1445z00_6790), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1780z00_9031)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1446z00_6791)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1780z00_9031)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1447zd2_6792), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1780z00_9031)))->BgL_keyz00) =
					((obj_t) BgL_key1448z00_6793), BUNSPEC);
				((((BgL_selectz00_bglt) CREF(BgL_new1780z00_9031))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1449z00_6794)),
					BUNSPEC);
				((((BgL_selectz00_bglt) CREF(BgL_new1780z00_9031))->BgL_clausesz00) =
					((obj_t) BgL_clauses1450z00_6795), BUNSPEC);
				((((BgL_selectz00_bglt) CREF(BgL_new1780z00_9031))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1451zd2_6796)),
					BUNSPEC);
				return BgL_new1780z00_9031;
			}
		}
	}



/* select? */
	BGL_EXPORTED_DEF bool_t BGl_selectzf3zf3zzast_nodez00(obj_t BgL_objz00_713)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1121 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_713, BGl_selectz00zzast_nodez00);
		}
	}



/* &select? */
	obj_t BGl_z62selectzf3z91zzast_nodez00(obj_t BgL_envz00_6797,
		obj_t BgL_objz00_6798)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1121 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6798,
					BGl_selectz00zzast_nodez00));
		}
	}



/* select-nil */
	BGL_EXPORTED_DEF BgL_selectz00_bglt BGl_selectzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1122 */
			{	/* Ast/nodetype.sch 1122 */
				obj_t BgL_classz00_4670;

				BgL_classz00_4670 = BGl_selectz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1122 */
					obj_t BgL__ortest_1092z00_4671;

					BgL__ortest_1092z00_4671 = BGL_CLASS_NIL(BgL_classz00_4670);
					if (CBOOL(BgL__ortest_1092z00_4671))
						{	/* Ast/nodetype.sch 1122 */
							return ((BgL_selectz00_bglt) BgL__ortest_1092z00_4671);
						}
					else
						{	/* Ast/nodetype.sch 1122 */
							return
								((BgL_selectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4670));
						}
				}
			}
		}
	}



/* &select-nil */
	BgL_selectz00_bglt BGl_z62selectzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6799)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1122 */
			return BGl_selectzd2nilzd2zzast_nodez00();
		}
	}



/* select-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_selectzd2itemzd2typez00zzast_nodez00(BgL_selectz00_bglt BgL_oz00_714)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1123 */
			return (((BgL_selectz00_bglt) CREF(BgL_oz00_714))->BgL_itemzd2typezd2);
		}
	}



/* &select-item-type */
	BgL_typez00_bglt BGl_z62selectzd2itemzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6800, obj_t BgL_oz00_6801)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1123 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_6801)))->BgL_itemzd2typezd2);
		}
	}



/* select-clauses */
	BGL_EXPORTED_DEF obj_t BGl_selectzd2clauseszd2zzast_nodez00(BgL_selectz00_bglt
		BgL_oz00_717)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1125 */
			return (((BgL_selectz00_bglt) CREF(BgL_oz00_717))->BgL_clausesz00);
		}
	}



/* &select-clauses */
	obj_t BGl_z62selectzd2clauseszb0zzast_nodez00(obj_t BgL_envz00_6802,
		obj_t BgL_oz00_6803)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1125 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_6803)))->BgL_clausesz00);
		}
	}



/* select-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_selectzd2testzd2zzast_nodez00(BgL_selectz00_bglt BgL_oz00_720)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1127 */
			return (((BgL_selectz00_bglt) CREF(BgL_oz00_720))->BgL_testz00);
		}
	}



/* &select-test */
	BgL_nodez00_bglt BGl_z62selectzd2testzb0zzast_nodez00(obj_t BgL_envz00_6804,
		obj_t BgL_oz00_6805)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1127 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_6805)))->BgL_testz00);
		}
	}



/* select-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2testzd2setz12z12zzast_nodez00(BgL_selectz00_bglt BgL_oz00_721,
		BgL_nodez00_bglt BgL_vz00_722)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1128 */
			return
				((((BgL_selectz00_bglt) CREF(BgL_oz00_721))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_722), BUNSPEC);
		}
	}



/* &select-test-set! */
	obj_t BGl_z62selectzd2testzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6806,
		obj_t BgL_oz00_6807, obj_t BgL_vz00_6808)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1128 */
			return
				((((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_oz00_6807)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6808)), BUNSPEC);
		}
	}



/* select-key */
	BGL_EXPORTED_DEF obj_t BGl_selectzd2keyzd2zzast_nodez00(BgL_selectz00_bglt
		BgL_oz00_723)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1129 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_723)))->BgL_keyz00);
		}
	}



/* &select-key */
	obj_t BGl_z62selectzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6809,
		obj_t BgL_oz00_6810)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1129 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_selectz00_bglt) BgL_oz00_6810))))->BgL_keyz00);
		}
	}



/* select-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2keyzd2setz12z12zzast_nodez00(BgL_selectz00_bglt BgL_oz00_724,
		obj_t BgL_vz00_725)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1130 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_724)))->BgL_keyz00) =
				((obj_t) BgL_vz00_725), BUNSPEC);
		}
	}



/* &select-key-set! */
	obj_t BGl_z62selectzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6811,
		obj_t BgL_oz00_6812, obj_t BgL_vz00_6813)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1130 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_selectz00_bglt) BgL_oz00_6812))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6813), BUNSPEC);
		}
	}



/* select-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2sidezd2effectz00zzast_nodez00(BgL_selectz00_bglt BgL_oz00_726)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1131 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_726)))->BgL_sidezd2effectzd2);
		}
	}



/* &select-side-effect */
	obj_t BGl_z62selectzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6814,
		obj_t BgL_oz00_6815)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1131 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_selectz00_bglt) BgL_oz00_6815))))->BgL_sidezd2effectzd2);
		}
	}



/* select-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_selectz00_bglt
		BgL_oz00_727, obj_t BgL_vz00_728)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1132 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_727)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_728), BUNSPEC);
		}
	}



/* &select-side-effect-set! */
	obj_t BGl_z62selectzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6816, obj_t BgL_oz00_6817, obj_t BgL_vz00_6818)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1132 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_selectz00_bglt) BgL_oz00_6817))))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_6818), BUNSPEC);
		}
	}



/* select-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_selectzd2typezd2zzast_nodez00(BgL_selectz00_bglt BgL_oz00_729)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1133 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_729)))->BgL_typez00);
		}
	}



/* &select-type */
	BgL_typez00_bglt BGl_z62selectzd2typezb0zzast_nodez00(obj_t BgL_envz00_6819,
		obj_t BgL_oz00_6820)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1133 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_selectz00_bglt) BgL_oz00_6820))))->BgL_typez00);
		}
	}



/* select-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_selectzd2typezd2setz12z12zzast_nodez00(BgL_selectz00_bglt BgL_oz00_730,
		BgL_typez00_bglt BgL_vz00_731)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1134 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_730)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_731), BUNSPEC);
		}
	}



/* &select-type-set! */
	obj_t BGl_z62selectzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6821,
		obj_t BgL_oz00_6822, obj_t BgL_vz00_6823)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1134 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_selectz00_bglt) BgL_oz00_6822))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6823)), BUNSPEC);
		}
	}



/* select-loc */
	BGL_EXPORTED_DEF obj_t BGl_selectzd2loczd2zzast_nodez00(BgL_selectz00_bglt
		BgL_oz00_732)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1135 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_732)))->BgL_locz00);
		}
	}



/* &select-loc */
	obj_t BGl_z62selectzd2loczb0zzast_nodez00(obj_t BgL_envz00_6824,
		obj_t BgL_oz00_6825)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1135 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_selectz00_bglt) BgL_oz00_6825))))->BgL_locz00);
		}
	}



/* make-let-fun */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t BgL_loc1437z00_735,
		BgL_typez00_bglt BgL_type1438z00_736, obj_t BgL_sidezd2effect1439zd2_737,
		obj_t BgL_key1440z00_738, obj_t BgL_locals1441z00_739,
		BgL_nodez00_bglt BgL_body1442z00_740)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1139 */
			{	/* Ast/nodetype.sch 1139 */
				BgL_letzd2funzd2_bglt BgL_new1796z00_9051;

				{	/* Ast/nodetype.sch 1139 */
					BgL_letzd2funzd2_bglt BgL_new1795z00_9052;

					BgL_new1795z00_9052 =
						((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/nodetype.sch 1139 */
						long BgL_arg2494z00_9053;

						{	/* Ast/nodetype.sch 1139 */
							long BgL_res3481z00_9054;

							BgL_res3481z00_9054 =
								BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
							BgL_arg2494z00_9053 = BgL_res3481z00_9054;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1795z00_9052), BgL_arg2494z00_9053);
					}
					{	/* Ast/nodetype.sch 1139 */
						BgL_objectz00_bglt BgL_auxz00_12253;

						BgL_auxz00_12253 = ((BgL_objectz00_bglt) BgL_new1795z00_9052);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12253, BFALSE);
					}
					BgL_new1796z00_9051 = BgL_new1795z00_9052;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1796z00_9051)))->BgL_locz00) =
					((obj_t) BgL_loc1437z00_735), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1796z00_9051)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1438z00_736), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1796z00_9051)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1439zd2_737), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1796z00_9051)))->BgL_keyz00) =
					((obj_t) BgL_key1440z00_738), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) CREF(BgL_new1796z00_9051))->BgL_localsz00) =
					((obj_t) BgL_locals1441z00_739), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) CREF(BgL_new1796z00_9051))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1442z00_740), BUNSPEC);
				return BgL_new1796z00_9051;
			}
		}
	}



/* &make-let-fun */
	BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t
		BgL_envz00_6826, obj_t BgL_loc1437z00_6827, obj_t BgL_type1438z00_6828,
		obj_t BgL_sidezd2effect1439zd2_6829, obj_t BgL_key1440z00_6830,
		obj_t BgL_locals1441z00_6831, obj_t BgL_body1442z00_6832)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1139 */
			{	/* Ast/nodetype.sch 1139 */
				BgL_letzd2funzd2_bglt BgL_new1796z00_9061;

				{	/* Ast/nodetype.sch 1139 */
					BgL_letzd2funzd2_bglt BgL_new1795z00_9062;

					BgL_new1795z00_9062 =
						((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/nodetype.sch 1139 */
						long BgL_arg2494z00_9063;

						{	/* Ast/nodetype.sch 1139 */
							long BgL_res3481z00_9064;

							BgL_res3481z00_9064 =
								BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
							BgL_arg2494z00_9063 = BgL_res3481z00_9064;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1795z00_9062), BgL_arg2494z00_9063);
					}
					{	/* Ast/nodetype.sch 1139 */
						BgL_objectz00_bglt BgL_auxz00_12270;

						BgL_auxz00_12270 = ((BgL_objectz00_bglt) BgL_new1795z00_9062);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12270, BFALSE);
					}
					BgL_new1796z00_9061 = BgL_new1795z00_9062;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1796z00_9061)))->BgL_locz00) =
					((obj_t) BgL_loc1437z00_6827), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1796z00_9061)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1438z00_6828)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1796z00_9061)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1439zd2_6829), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1796z00_9061)))->BgL_keyz00) =
					((obj_t) BgL_key1440z00_6830), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) CREF(BgL_new1796z00_9061))->BgL_localsz00) =
					((obj_t) BgL_locals1441z00_6831), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) CREF(BgL_new1796z00_9061))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1442z00_6832)),
					BUNSPEC);
				return BgL_new1796z00_9061;
			}
		}
	}



/* let-fun? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t BgL_objz00_741)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1140 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_741,
				BGl_letzd2funzd2zzast_nodez00);
		}
	}



/* &let-fun? */
	obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t BgL_envz00_6833,
		obj_t BgL_objz00_6834)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1140 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6834,
					BGl_letzd2funzd2zzast_nodez00));
		}
	}



/* let-fun-nil */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt BGl_letzd2funzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1141 */
			{	/* Ast/nodetype.sch 1141 */
				obj_t BgL_classz00_4690;

				BgL_classz00_4690 = BGl_letzd2funzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1141 */
					obj_t BgL__ortest_1092z00_4691;

					BgL__ortest_1092z00_4691 = BGL_CLASS_NIL(BgL_classz00_4690);
					if (CBOOL(BgL__ortest_1092z00_4691))
						{	/* Ast/nodetype.sch 1141 */
							return ((BgL_letzd2funzd2_bglt) BgL__ortest_1092z00_4691);
						}
					else
						{	/* Ast/nodetype.sch 1141 */
							return
								((BgL_letzd2funzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4690));
						}
				}
			}
		}
	}



/* &let-fun-nil */
	BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6835)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1141 */
			return BGl_letzd2funzd2nilz00zzast_nodez00();
		}
	}



/* let-fun-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_742)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1142 */
			return (((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_742))->BgL_bodyz00);
		}
	}



/* &let-fun-body */
	BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_6836, obj_t BgL_oz00_6837)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1142 */
			return
				(((BgL_letzd2funzd2_bglt) CREF(
						((BgL_letzd2funzd2_bglt) BgL_oz00_6837)))->BgL_bodyz00);
		}
	}



/* let-fun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_743, BgL_nodez00_bglt BgL_vz00_744)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1143 */
			return
				((((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_743))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_744), BUNSPEC);
		}
	}



/* &let-fun-body-set! */
	obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6838,
		obj_t BgL_oz00_6839, obj_t BgL_vz00_6840)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1143 */
			return
				((((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_oz00_6839)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6840)), BUNSPEC);
		}
	}



/* let-fun-locals */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_745)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1144 */
			return (((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_745))->BgL_localsz00);
		}
	}



/* &let-fun-locals */
	obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t BgL_envz00_6841,
		obj_t BgL_oz00_6842)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1144 */
			return
				(((BgL_letzd2funzd2_bglt) CREF(
						((BgL_letzd2funzd2_bglt) BgL_oz00_6842)))->BgL_localsz00);
		}
	}



/* let-fun-locals-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_746, obj_t BgL_vz00_747)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1145 */
			return
				((((BgL_letzd2funzd2_bglt) CREF(BgL_oz00_746))->BgL_localsz00) =
				((obj_t) BgL_vz00_747), BUNSPEC);
		}
	}



/* &let-fun-locals-set! */
	obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6843, obj_t BgL_oz00_6844, obj_t BgL_vz00_6845)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1145 */
			return
				((((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_oz00_6844)))->BgL_localsz00) =
				((obj_t) BgL_vz00_6845), BUNSPEC);
		}
	}



/* let-fun-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_748)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1146 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_748)))->BgL_keyz00);
		}
	}



/* &let-fun-key */
	obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t BgL_envz00_6846,
		obj_t BgL_oz00_6847)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1146 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_oz00_6847))))->BgL_keyz00);
		}
	}



/* let-fun-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_749, obj_t BgL_vz00_750)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1147 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_749)))->BgL_keyz00) =
				((obj_t) BgL_vz00_750), BUNSPEC);
		}
	}



/* &let-fun-key-set! */
	obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6848,
		obj_t BgL_oz00_6849, obj_t BgL_vz00_6850)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1147 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_oz00_6849))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6850), BUNSPEC);
		}
	}



/* let-fun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_751)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1148 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_751)))->BgL_sidezd2effectzd2);
		}
	}



/* &let-fun-side-effect */
	obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6851,
		obj_t BgL_oz00_6852)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1148 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_oz00_6852))))->BgL_sidezd2effectzd2);
		}
	}



/* let-fun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_752, obj_t BgL_vz00_753)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1149 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_752)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_753), BUNSPEC);
		}
	}



/* &let-fun-side-effect-set! */
	obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6853, obj_t BgL_oz00_6854, obj_t BgL_vz00_6855)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1149 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_oz00_6854))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6855), BUNSPEC);
		}
	}



/* let-fun-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_754)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1150 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_754)))->BgL_typez00);
		}
	}



/* &let-fun-type */
	BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6856, obj_t BgL_oz00_6857)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1150 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_letzd2funzd2_bglt) BgL_oz00_6857))))->BgL_typez00);
		}
	}



/* let-fun-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_755, BgL_typez00_bglt BgL_vz00_756)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1151 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_755)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_756), BUNSPEC);
		}
	}



/* &let-fun-type-set! */
	obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6858,
		obj_t BgL_oz00_6859, obj_t BgL_vz00_6860)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1151 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_oz00_6859))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6860)), BUNSPEC);
		}
	}



/* let-fun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_757)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1152 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_757)))->BgL_locz00);
		}
	}



/* &let-fun-loc */
	obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t BgL_envz00_6861,
		obj_t BgL_oz00_6862)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1152 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_letzd2funzd2_bglt) BgL_oz00_6862))))->BgL_locz00);
		}
	}



/* make-let-var */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t BgL_loc1428z00_760,
		BgL_typez00_bglt BgL_type1429z00_761, obj_t BgL_sidezd2effect1430zd2_762,
		obj_t BgL_key1431z00_763, obj_t BgL_bindings1432z00_764,
		BgL_nodez00_bglt BgL_body1433z00_765, bool_t BgL_removablezf31434zf3_766)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1156 */
			{	/* Ast/nodetype.sch 1156 */
				BgL_letzd2varzd2_bglt BgL_new1810z00_9082;

				{	/* Ast/nodetype.sch 1156 */
					BgL_letzd2varzd2_bglt BgL_new1809z00_9083;

					BgL_new1809z00_9083 =
						((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_letzd2varzd2_bgl))));
					{	/* Ast/nodetype.sch 1156 */
						long BgL_arg2495z00_9084;

						{	/* Ast/nodetype.sch 1156 */
							long BgL_res3482z00_9085;

							BgL_res3482z00_9085 =
								BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
							BgL_arg2495z00_9084 = BgL_res3482z00_9085;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1809z00_9083), BgL_arg2495z00_9084);
					}
					{	/* Ast/nodetype.sch 1156 */
						BgL_objectz00_bglt BgL_auxz00_12348;

						BgL_auxz00_12348 = ((BgL_objectz00_bglt) BgL_new1809z00_9083);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12348, BFALSE);
					}
					BgL_new1810z00_9082 = BgL_new1809z00_9083;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1810z00_9082)))->BgL_locz00) =
					((obj_t) BgL_loc1428z00_760), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1810z00_9082)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1429z00_761), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1810z00_9082)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1430zd2_762), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1810z00_9082)))->BgL_keyz00) =
					((obj_t) BgL_key1431z00_763), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1810z00_9082))->
						BgL_bindingsz00) = ((obj_t) BgL_bindings1432z00_764), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1810z00_9082))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1433z00_765), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1810z00_9082))->
						BgL_removablezf3zf3) =
					((bool_t) BgL_removablezf31434zf3_766), BUNSPEC);
				return BgL_new1810z00_9082;
			}
		}
	}



/* &make-let-var */
	BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t
		BgL_envz00_6863, obj_t BgL_loc1428z00_6864, obj_t BgL_type1429z00_6865,
		obj_t BgL_sidezd2effect1430zd2_6866, obj_t BgL_key1431z00_6867,
		obj_t BgL_bindings1432z00_6868, obj_t BgL_body1433z00_6869,
		obj_t BgL_removablezf31434zf3_6870)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1156 */
			{	/* Ast/nodetype.sch 1156 */
				bool_t BgL_removablezf31434zf3_9092;

				BgL_removablezf31434zf3_9092 = CBOOL(BgL_removablezf31434zf3_6870);
				{	/* Ast/nodetype.sch 1156 */
					BgL_letzd2varzd2_bglt BgL_new1810z00_9093;

					{	/* Ast/nodetype.sch 1156 */
						BgL_letzd2varzd2_bglt BgL_new1809z00_9094;

						BgL_new1809z00_9094 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/nodetype.sch 1156 */
							long BgL_arg2495z00_9095;

							{	/* Ast/nodetype.sch 1156 */
								long BgL_res3482z00_9096;

								BgL_res3482z00_9096 =
									BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
								BgL_arg2495z00_9095 = BgL_res3482z00_9096;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1809z00_9094),
								BgL_arg2495z00_9095);
						}
						{	/* Ast/nodetype.sch 1156 */
							BgL_objectz00_bglt BgL_auxz00_12367;

							BgL_auxz00_12367 = ((BgL_objectz00_bglt) BgL_new1809z00_9094);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_12367, BFALSE);
						}
						BgL_new1810z00_9093 = BgL_new1809z00_9094;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1810z00_9093)))->BgL_locz00) =
						((obj_t) BgL_loc1428z00_6864), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1810z00_9093)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1429z00_6865)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1810z00_9093)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1430zd2_6866), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1810z00_9093)))->BgL_keyz00) =
						((obj_t) BgL_key1431z00_6867), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1810z00_9093))->
							BgL_bindingsz00) = ((obj_t) BgL_bindings1432z00_6868), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1810z00_9093))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1433z00_6869)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1810z00_9093))->
							BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31434zf3_9092), BUNSPEC);
					return BgL_new1810z00_9093;
				}
			}
		}
	}



/* let-var? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t BgL_objz00_767)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1157 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_767,
				BGl_letzd2varzd2zzast_nodez00);
		}
	}



/* &let-var? */
	obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t BgL_envz00_6871,
		obj_t BgL_objz00_6872)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1157 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6872,
					BGl_letzd2varzd2zzast_nodez00));
		}
	}



/* let-var-nil */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt BGl_letzd2varzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1158 */
			{	/* Ast/nodetype.sch 1158 */
				obj_t BgL_classz00_4710;

				BgL_classz00_4710 = BGl_letzd2varzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1158 */
					obj_t BgL__ortest_1092z00_4711;

					BgL__ortest_1092z00_4711 = BGL_CLASS_NIL(BgL_classz00_4710);
					if (CBOOL(BgL__ortest_1092z00_4711))
						{	/* Ast/nodetype.sch 1158 */
							return ((BgL_letzd2varzd2_bglt) BgL__ortest_1092z00_4711);
						}
					else
						{	/* Ast/nodetype.sch 1158 */
							return
								((BgL_letzd2varzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4710));
						}
				}
			}
		}
	}



/* &let-var-nil */
	BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6873)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1158 */
			return BGl_letzd2varzd2nilz00zzast_nodez00();
		}
	}



/* let-var-removable? */
	BGL_EXPORTED_DEF bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_768)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1159 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_768))->BgL_removablezf3zf3);
		}
	}



/* &let-var-removable? */
	obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t BgL_envz00_6874,
		obj_t BgL_oz00_6875)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1159 */
			return
				BBOOL(
				(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_oz00_6875)))->BgL_removablezf3zf3));
		}
	}



/* let-var-removable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_769, bool_t BgL_vz00_770)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1160 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_769))->BgL_removablezf3zf3) =
				((bool_t) BgL_vz00_770), BUNSPEC);
		}
	}



/* &let-var-removable?-set! */
	obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t
		BgL_envz00_6876, obj_t BgL_oz00_6877, obj_t BgL_vz00_6878)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1160 */
			{	/* Ast/nodetype.sch 1160 */
				bool_t BgL_vz00_9100;

				BgL_vz00_9100 = CBOOL(BgL_vz00_6878);
				return
					((((BgL_letzd2varzd2_bglt) CREF(
								((BgL_letzd2varzd2_bglt) BgL_oz00_6877)))->
						BgL_removablezf3zf3) = ((bool_t) BgL_vz00_9100), BUNSPEC);
			}
		}
	}



/* let-var-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_771)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1161 */
			return (((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_771))->BgL_bodyz00);
		}
	}



/* &let-var-body */
	BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_6879, obj_t BgL_oz00_6880)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1161 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(
						((BgL_letzd2varzd2_bglt) BgL_oz00_6880)))->BgL_bodyz00);
		}
	}



/* let-var-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_772, BgL_nodez00_bglt BgL_vz00_773)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1162 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_772))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_773), BUNSPEC);
		}
	}



/* &let-var-body-set! */
	obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6881,
		obj_t BgL_oz00_6882, obj_t BgL_vz00_6883)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1162 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_oz00_6882)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6883)), BUNSPEC);
		}
	}



/* let-var-bindings */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_774)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1163 */
			return (((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_774))->BgL_bindingsz00);
		}
	}



/* &let-var-bindings */
	obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t BgL_envz00_6884,
		obj_t BgL_oz00_6885)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1163 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(
						((BgL_letzd2varzd2_bglt) BgL_oz00_6885)))->BgL_bindingsz00);
		}
	}



/* let-var-bindings-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_775, obj_t BgL_vz00_776)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1164 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(BgL_oz00_775))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_776), BUNSPEC);
		}
	}



/* &let-var-bindings-set! */
	obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6886, obj_t BgL_oz00_6887, obj_t BgL_vz00_6888)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1164 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_oz00_6887)))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_6888), BUNSPEC);
		}
	}



/* let-var-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_777)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1165 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_777)))->BgL_keyz00);
		}
	}



/* &let-var-key */
	obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t BgL_envz00_6889,
		obj_t BgL_oz00_6890)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1165 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_oz00_6890))))->BgL_keyz00);
		}
	}



/* let-var-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_778, obj_t BgL_vz00_779)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1166 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_778)))->BgL_keyz00) =
				((obj_t) BgL_vz00_779), BUNSPEC);
		}
	}



/* &let-var-key-set! */
	obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6891,
		obj_t BgL_oz00_6892, obj_t BgL_vz00_6893)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1166 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_oz00_6892))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6893), BUNSPEC);
		}
	}



/* let-var-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_780)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1167 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_780)))->BgL_sidezd2effectzd2);
		}
	}



/* &let-var-side-effect */
	obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6894,
		obj_t BgL_oz00_6895)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1167 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_oz00_6895))))->BgL_sidezd2effectzd2);
		}
	}



/* let-var-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_781, obj_t BgL_vz00_782)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1168 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_781)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_782), BUNSPEC);
		}
	}



/* &let-var-side-effect-set! */
	obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6896, obj_t BgL_oz00_6897, obj_t BgL_vz00_6898)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1168 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_oz00_6897))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6898), BUNSPEC);
		}
	}



/* let-var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_783)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1169 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_783)))->BgL_typez00);
		}
	}



/* &let-var-type */
	BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6899, obj_t BgL_oz00_6900)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1169 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_letzd2varzd2_bglt) BgL_oz00_6900))))->BgL_typez00);
		}
	}



/* let-var-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_784, BgL_typez00_bglt BgL_vz00_785)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1170 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_784)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_785), BUNSPEC);
		}
	}



/* &let-var-type-set! */
	obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6901,
		obj_t BgL_oz00_6902, obj_t BgL_vz00_6903)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1170 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_oz00_6902))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6903)), BUNSPEC);
		}
	}



/* let-var-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_786)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1171 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_786)))->BgL_locz00);
		}
	}



/* &let-var-loc */
	obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t BgL_envz00_6904,
		obj_t BgL_oz00_6905)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1171 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_letzd2varzd2_bglt) BgL_oz00_6905))))->BgL_locz00);
		}
	}



/* make-set-ex-it */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1423z00_789,
		BgL_typez00_bglt BgL_type1424z00_790, BgL_varz00_bglt BgL_var1425z00_791,
		BgL_nodez00_bglt BgL_body1426z00_792)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1175 */
			{	/* Ast/nodetype.sch 1175 */
				BgL_setzd2exzd2itz00_bglt BgL_new1826z00_9117;

				{	/* Ast/nodetype.sch 1175 */
					BgL_setzd2exzd2itz00_bglt BgL_new1825z00_9118;

					BgL_new1825z00_9118 =
						((BgL_setzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1175 */
						long BgL_arg2496z00_9119;

						{	/* Ast/nodetype.sch 1175 */
							long BgL_res3483z00_9120;

							BgL_res3483z00_9120 =
								BGL_CLASS_INDEX(BGl_setzd2exzd2itz00zzast_nodez00);
							BgL_arg2496z00_9119 = BgL_res3483z00_9120;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1825z00_9118), BgL_arg2496z00_9119);
					}
					{	/* Ast/nodetype.sch 1175 */
						BgL_objectz00_bglt BgL_auxz00_12454;

						BgL_auxz00_12454 = ((BgL_objectz00_bglt) BgL_new1825z00_9118);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12454, BFALSE);
					}
					BgL_new1826z00_9117 = BgL_new1825z00_9118;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1826z00_9117)))->BgL_locz00) =
					((obj_t) BgL_loc1423z00_789), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1826z00_9117)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1424z00_790), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1826z00_9117))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1425z00_791), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1826z00_9117))->
						BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_body1426z00_792), BUNSPEC);
				return BgL_new1826z00_9117;
			}
		}
	}



/* &make-set-ex-it */
	BgL_setzd2exzd2itz00_bglt BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_6906, obj_t BgL_loc1423z00_6907, obj_t BgL_type1424z00_6908,
		obj_t BgL_var1425z00_6909, obj_t BgL_body1426z00_6910)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1175 */
			{	/* Ast/nodetype.sch 1175 */
				BgL_setzd2exzd2itz00_bglt BgL_new1826z00_9125;

				{	/* Ast/nodetype.sch 1175 */
					BgL_setzd2exzd2itz00_bglt BgL_new1825z00_9126;

					BgL_new1825z00_9126 =
						((BgL_setzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1175 */
						long BgL_arg2496z00_9127;

						{	/* Ast/nodetype.sch 1175 */
							long BgL_res3483z00_9128;

							BgL_res3483z00_9128 =
								BGL_CLASS_INDEX(BGl_setzd2exzd2itz00zzast_nodez00);
							BgL_arg2496z00_9127 = BgL_res3483z00_9128;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1825z00_9126), BgL_arg2496z00_9127);
					}
					{	/* Ast/nodetype.sch 1175 */
						BgL_objectz00_bglt BgL_auxz00_12467;

						BgL_auxz00_12467 = ((BgL_objectz00_bglt) BgL_new1825z00_9126);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12467, BFALSE);
					}
					BgL_new1826z00_9125 = BgL_new1825z00_9126;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1826z00_9125)))->BgL_locz00) =
					((obj_t) BgL_loc1423z00_6907), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1826z00_9125)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1424z00_6908)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1826z00_9125))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1425z00_6909)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1826z00_9125))->
						BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1426z00_6910)),
					BUNSPEC);
				return BgL_new1826z00_9125;
			}
		}
	}



/* set-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_793)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1176 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_793,
				BGl_setzd2exzd2itz00zzast_nodez00);
		}
	}



/* &set-ex-it? */
	obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_6911,
		obj_t BgL_objz00_6912)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1176 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6912,
					BGl_setzd2exzd2itz00zzast_nodez00));
		}
	}



/* set-ex-it-nil */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1177 */
			{	/* Ast/nodetype.sch 1177 */
				obj_t BgL_classz00_4732;

				BgL_classz00_4732 = BGl_setzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1177 */
					obj_t BgL__ortest_1092z00_4733;

					BgL__ortest_1092z00_4733 = BGL_CLASS_NIL(BgL_classz00_4732);
					if (CBOOL(BgL__ortest_1092z00_4733))
						{	/* Ast/nodetype.sch 1177 */
							return ((BgL_setzd2exzd2itz00_bglt) BgL__ortest_1092z00_4733);
						}
					else
						{	/* Ast/nodetype.sch 1177 */
							return
								((BgL_setzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4732));
						}
				}
			}
		}
	}



/* &set-ex-it-nil */
	BgL_setzd2exzd2itz00_bglt BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6913)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1177 */
			return BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
		}
	}



/* set-ex-it-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_794)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1178 */
			return (((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_794))->BgL_bodyz00);
		}
	}



/* &set-ex-it-body */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t
		BgL_envz00_6914, obj_t BgL_oz00_6915)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1178 */
			return
				(((BgL_setzd2exzd2itz00_bglt) CREF(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6915)))->BgL_bodyz00);
		}
	}



/* set-ex-it-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_795, BgL_nodez00_bglt BgL_vz00_796)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1179 */
			return
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_795))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_796), BUNSPEC);
		}
	}



/* &set-ex-it-body-set! */
	obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6916, obj_t BgL_oz00_6917, obj_t BgL_vz00_6918)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1179 */
			return
				((((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6917)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6918)), BUNSPEC);
		}
	}



/* set-ex-it-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_797)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1180 */
			return (((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_797))->BgL_varz00);
		}
	}



/* &set-ex-it-var */
	BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t
		BgL_envz00_6919, obj_t BgL_oz00_6920)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1180 */
			return
				(((BgL_setzd2exzd2itz00_bglt) CREF(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6920)))->BgL_varz00);
		}
	}



/* set-ex-it-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_798, BgL_varz00_bglt BgL_vz00_799)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1181 */
			return
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_oz00_798))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_799), BUNSPEC);
		}
	}



/* &set-ex-it-var-set! */
	obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6921, obj_t BgL_oz00_6922, obj_t BgL_vz00_6923)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1181 */
			return
				((((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6922)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_6923)), BUNSPEC);
		}
	}



/* set-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_800)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1182 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_800)))->BgL_typez00);
		}
	}



/* &set-ex-it-type */
	BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6924, obj_t BgL_oz00_6925)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1182 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6925))))->BgL_typez00);
		}
	}



/* set-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_801, BgL_typez00_bglt BgL_vz00_802)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1183 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_801)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_802), BUNSPEC);
		}
	}



/* &set-ex-it-type-set! */
	obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6926, obj_t BgL_oz00_6927, obj_t BgL_vz00_6928)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1183 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6927))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6928)), BUNSPEC);
		}
	}



/* set-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_803)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1184 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_803)))->BgL_locz00);
		}
	}



/* &set-ex-it-loc */
	obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_6929,
		obj_t BgL_oz00_6930)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1184 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_6930))))->BgL_locz00);
		}
	}



/* make-jump-ex-it */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1418z00_806,
		BgL_typez00_bglt BgL_type1419z00_807, BgL_nodez00_bglt BgL_exit1420z00_808,
		BgL_nodez00_bglt BgL_value1421z00_809)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1188 */
			{	/* Ast/nodetype.sch 1188 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1836z00_9140;

				{	/* Ast/nodetype.sch 1188 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1835z00_9141;

					BgL_new1835z00_9141 =
						((BgL_jumpzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1188 */
						long BgL_arg2497z00_9142;

						{	/* Ast/nodetype.sch 1188 */
							long BgL_res3484z00_9143;

							BgL_res3484z00_9143 =
								BGL_CLASS_INDEX(BGl_jumpzd2exzd2itz00zzast_nodez00);
							BgL_arg2497z00_9142 = BgL_res3484z00_9143;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1835z00_9141), BgL_arg2497z00_9142);
					}
					{	/* Ast/nodetype.sch 1188 */
						BgL_objectz00_bglt BgL_auxz00_12523;

						BgL_auxz00_12523 = ((BgL_objectz00_bglt) BgL_new1835z00_9141);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12523, BFALSE);
					}
					BgL_new1836z00_9140 = BgL_new1835z00_9141;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1836z00_9140)))->BgL_locz00) =
					((obj_t) BgL_loc1418z00_806), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1836z00_9140)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1419z00_807), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1836z00_9140))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_exit1420z00_808), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1836z00_9140))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1421z00_809), BUNSPEC);
				return BgL_new1836z00_9140;
			}
		}
	}



/* &make-jump-ex-it */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_6931, obj_t BgL_loc1418z00_6932, obj_t BgL_type1419z00_6933,
		obj_t BgL_exit1420z00_6934, obj_t BgL_value1421z00_6935)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1188 */
			{	/* Ast/nodetype.sch 1188 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1836z00_9148;

				{	/* Ast/nodetype.sch 1188 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1835z00_9149;

					BgL_new1835z00_9149 =
						((BgL_jumpzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1188 */
						long BgL_arg2497z00_9150;

						{	/* Ast/nodetype.sch 1188 */
							long BgL_res3484z00_9151;

							BgL_res3484z00_9151 =
								BGL_CLASS_INDEX(BGl_jumpzd2exzd2itz00zzast_nodez00);
							BgL_arg2497z00_9150 = BgL_res3484z00_9151;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1835z00_9149), BgL_arg2497z00_9150);
					}
					{	/* Ast/nodetype.sch 1188 */
						BgL_objectz00_bglt BgL_auxz00_12536;

						BgL_auxz00_12536 = ((BgL_objectz00_bglt) BgL_new1835z00_9149);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12536, BFALSE);
					}
					BgL_new1836z00_9148 = BgL_new1835z00_9149;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1836z00_9148)))->BgL_locz00) =
					((obj_t) BgL_loc1418z00_6932), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1836z00_9148)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1419z00_6933)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1836z00_9148))->
						BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1420z00_6934)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1836z00_9148))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1421z00_6935)),
					BUNSPEC);
				return BgL_new1836z00_9148;
			}
		}
	}



/* jump-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_810)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1189 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_810,
				BGl_jumpzd2exzd2itz00zzast_nodez00);
		}
	}



/* &jump-ex-it? */
	obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_6936,
		obj_t BgL_objz00_6937)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1189 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6937,
					BGl_jumpzd2exzd2itz00zzast_nodez00));
		}
	}



/* jump-ex-it-nil */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1190 */
			{	/* Ast/nodetype.sch 1190 */
				obj_t BgL_classz00_4748;

				BgL_classz00_4748 = BGl_jumpzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1190 */
					obj_t BgL__ortest_1092z00_4749;

					BgL__ortest_1092z00_4749 = BGL_CLASS_NIL(BgL_classz00_4748);
					if (CBOOL(BgL__ortest_1092z00_4749))
						{	/* Ast/nodetype.sch 1190 */
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL__ortest_1092z00_4749);
						}
					else
						{	/* Ast/nodetype.sch 1190 */
							return
								((BgL_jumpzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4748));
						}
				}
			}
		}
	}



/* &jump-ex-it-nil */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6938)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1190 */
			return BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
		}
	}



/* jump-ex-it-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_811)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1191 */
			return (((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_811))->BgL_valuez00);
		}
	}



/* &jump-ex-it-value */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t
		BgL_envz00_6939, obj_t BgL_oz00_6940)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1191 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6940)))->BgL_valuez00);
		}
	}



/* jump-ex-it-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_812, BgL_nodez00_bglt BgL_vz00_813)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1192 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_812))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_813), BUNSPEC);
		}
	}



/* &jump-ex-it-value-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6941, obj_t BgL_oz00_6942, obj_t BgL_vz00_6943)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1192 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6942)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6943)), BUNSPEC);
		}
	}



/* jump-ex-it-exit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_814)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1193 */
			return (((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_814))->BgL_exitz00);
		}
	}



/* &jump-ex-it-exit */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t
		BgL_envz00_6944, obj_t BgL_oz00_6945)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1193 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6945)))->BgL_exitz00);
		}
	}



/* jump-ex-it-exit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_815, BgL_nodez00_bglt BgL_vz00_816)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1194 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_oz00_815))->BgL_exitz00) =
				((BgL_nodez00_bglt) BgL_vz00_816), BUNSPEC);
		}
	}



/* &jump-ex-it-exit-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6946, obj_t BgL_oz00_6947, obj_t BgL_vz00_6948)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1194 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6947)))->BgL_exitz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6948)), BUNSPEC);
		}
	}



/* jump-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_817)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1195 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_817)))->BgL_typez00);
		}
	}



/* &jump-ex-it-type */
	BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6949, obj_t BgL_oz00_6950)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1195 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6950))))->BgL_typez00);
		}
	}



/* jump-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_818, BgL_typez00_bglt BgL_vz00_819)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1196 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_818)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_819), BUNSPEC);
		}
	}



/* &jump-ex-it-type-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6951, obj_t BgL_oz00_6952, obj_t BgL_vz00_6953)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1196 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6952))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6953)), BUNSPEC);
		}
	}



/* jump-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_820)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1197 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_820)))->BgL_locz00);
		}
	}



/* &jump-ex-it-loc */
	obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_6954,
		obj_t BgL_oz00_6955)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1197 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_6955))))->BgL_locz00);
		}
	}



/* make-make-box */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t BgL_loc1411z00_823,
		BgL_typez00_bglt BgL_type1412z00_824, obj_t BgL_sidezd2effect1413zd2_825,
		obj_t BgL_key1414z00_826, BgL_nodez00_bglt BgL_value1415z00_827,
		BgL_typez00_bglt BgL_vtype1416z00_828)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1201 */
			{	/* Ast/nodetype.sch 1201 */
				BgL_makezd2boxzd2_bglt BgL_new1846z00_9163;

				{	/* Ast/nodetype.sch 1201 */
					BgL_makezd2boxzd2_bglt BgL_new1845z00_9164;

					BgL_new1845z00_9164 =
						((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/nodetype.sch 1201 */
						long BgL_arg2498z00_9165;

						{	/* Ast/nodetype.sch 1201 */
							long BgL_res3485z00_9166;

							BgL_res3485z00_9166 =
								BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
							BgL_arg2498z00_9165 = BgL_res3485z00_9166;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1845z00_9164), BgL_arg2498z00_9165);
					}
					{	/* Ast/nodetype.sch 1201 */
						BgL_objectz00_bglt BgL_auxz00_12592;

						BgL_auxz00_12592 = ((BgL_objectz00_bglt) BgL_new1845z00_9164);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12592, BFALSE);
					}
					BgL_new1846z00_9163 = BgL_new1845z00_9164;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1846z00_9163)))->BgL_locz00) =
					((obj_t) BgL_loc1411z00_823), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1846z00_9163)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1412z00_824), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1846z00_9163)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1413zd2_825), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1846z00_9163)))->BgL_keyz00) =
					((obj_t) BgL_key1414z00_826), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1846z00_9163))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1415z00_827), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1846z00_9163))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1416z00_828), BUNSPEC);
				return BgL_new1846z00_9163;
			}
		}
	}



/* &make-make-box */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t
		BgL_envz00_6956, obj_t BgL_loc1411z00_6957, obj_t BgL_type1412z00_6958,
		obj_t BgL_sidezd2effect1413zd2_6959, obj_t BgL_key1414z00_6960,
		obj_t BgL_value1415z00_6961, obj_t BgL_vtype1416z00_6962)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1201 */
			{	/* Ast/nodetype.sch 1201 */
				BgL_makezd2boxzd2_bglt BgL_new1846z00_9173;

				{	/* Ast/nodetype.sch 1201 */
					BgL_makezd2boxzd2_bglt BgL_new1845z00_9174;

					BgL_new1845z00_9174 =
						((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/nodetype.sch 1201 */
						long BgL_arg2498z00_9175;

						{	/* Ast/nodetype.sch 1201 */
							long BgL_res3485z00_9176;

							BgL_res3485z00_9176 =
								BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
							BgL_arg2498z00_9175 = BgL_res3485z00_9176;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1845z00_9174), BgL_arg2498z00_9175);
					}
					{	/* Ast/nodetype.sch 1201 */
						BgL_objectz00_bglt BgL_auxz00_12609;

						BgL_auxz00_12609 = ((BgL_objectz00_bglt) BgL_new1845z00_9174);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12609, BFALSE);
					}
					BgL_new1846z00_9173 = BgL_new1845z00_9174;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1846z00_9173)))->BgL_locz00) =
					((obj_t) BgL_loc1411z00_6957), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1846z00_9173)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1412z00_6958)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1846z00_9173)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1413zd2_6959), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1846z00_9173)))->BgL_keyz00) =
					((obj_t) BgL_key1414z00_6960), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1846z00_9173))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1415z00_6961)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1846z00_9173))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1416z00_6962)),
					BUNSPEC);
				return BgL_new1846z00_9173;
			}
		}
	}



/* make-box? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t
		BgL_objz00_829)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1202 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_829,
				BGl_makezd2boxzd2zzast_nodez00);
		}
	}



/* &make-box? */
	obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t BgL_envz00_6963,
		obj_t BgL_objz00_6964)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1202 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_6964,
					BGl_makezd2boxzd2zzast_nodez00));
		}
	}



/* make-box-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt BGl_makezd2boxzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1203 */
			{	/* Ast/nodetype.sch 1203 */
				obj_t BgL_classz00_4764;

				BgL_classz00_4764 = BGl_makezd2boxzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1203 */
					obj_t BgL__ortest_1092z00_4765;

					BgL__ortest_1092z00_4765 = BGL_CLASS_NIL(BgL_classz00_4764);
					if (CBOOL(BgL__ortest_1092z00_4765))
						{	/* Ast/nodetype.sch 1203 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1092z00_4765);
						}
					else
						{	/* Ast/nodetype.sch 1203 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4764));
						}
				}
			}
		}
	}



/* &make-box-nil */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6965)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1203 */
			return BGl_makezd2boxzd2nilz00zzast_nodez00();
		}
	}



/* make-box-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_830)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1204 */
			return (((BgL_makezd2boxzd2_bglt) CREF(BgL_oz00_830))->BgL_vtypez00);
		}
	}



/* &make-box-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_6966, obj_t BgL_oz00_6967)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1204 */
			return
				(((BgL_makezd2boxzd2_bglt) CREF(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_6967)))->BgL_vtypez00);
		}
	}



/* make-box-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_831, BgL_typez00_bglt BgL_vz00_832)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1205 */
			return
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_oz00_831))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_832), BUNSPEC);
		}
	}



/* &make-box-vtype-set! */
	obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6968, obj_t BgL_oz00_6969, obj_t BgL_vz00_6970)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1205 */
			return
				((((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6969)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6970)), BUNSPEC);
		}
	}



/* make-box-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_833)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1206 */
			return (((BgL_makezd2boxzd2_bglt) CREF(BgL_oz00_833))->BgL_valuez00);
		}
	}



/* &make-box-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t
		BgL_envz00_6971, obj_t BgL_oz00_6972)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1206 */
			return
				(((BgL_makezd2boxzd2_bglt) CREF(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_6972)))->BgL_valuez00);
		}
	}



/* make-box-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_834, BgL_nodez00_bglt BgL_vz00_835)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1207 */
			return
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_oz00_834))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_835), BUNSPEC);
		}
	}



/* &make-box-value-set! */
	obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6973, obj_t BgL_oz00_6974, obj_t BgL_vz00_6975)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1207 */
			return
				((((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6974)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_6975)), BUNSPEC);
		}
	}



/* make-box-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_836)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1208 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_836)))->BgL_keyz00);
		}
	}



/* &make-box-key */
	obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t BgL_envz00_6976,
		obj_t BgL_oz00_6977)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1208 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6977))))->BgL_keyz00);
		}
	}



/* make-box-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_837, obj_t BgL_vz00_838)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1209 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_837)))->BgL_keyz00) =
				((obj_t) BgL_vz00_838), BUNSPEC);
		}
	}



/* &make-box-key-set! */
	obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6978,
		obj_t BgL_oz00_6979, obj_t BgL_vz00_6980)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1209 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_oz00_6979))))->BgL_keyz00) =
				((obj_t) BgL_vz00_6980), BUNSPEC);
		}
	}



/* make-box-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_839)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1210 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_839)))->BgL_sidezd2effectzd2);
		}
	}



/* &make-box-side-effect */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6981,
		obj_t BgL_oz00_6982)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1210 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6982))))->
				BgL_sidezd2effectzd2);
		}
	}



/* make-box-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt BgL_oz00_840, obj_t BgL_vz00_841)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1211 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_840)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_841), BUNSPEC);
		}
	}



/* &make-box-side-effect-set! */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6983, obj_t BgL_oz00_6984, obj_t BgL_vz00_6985)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1211 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_oz00_6984))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_6985), BUNSPEC);
		}
	}



/* make-box-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_842)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1212 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_842)))->BgL_typez00);
		}
	}



/* &make-box-type */
	BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t
		BgL_envz00_6986, obj_t BgL_oz00_6987)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1212 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6987))))->BgL_typez00);
		}
	}



/* make-box-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_843, BgL_typez00_bglt BgL_vz00_844)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1213 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_843)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_844), BUNSPEC);
		}
	}



/* &make-box-type-set! */
	obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6988,
		obj_t BgL_oz00_6989, obj_t BgL_vz00_6990)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1213 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_oz00_6989))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_6990)), BUNSPEC);
		}
	}



/* make-box-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_845)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1214 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_845)))->BgL_locz00);
		}
	}



/* &make-box-loc */
	obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t BgL_envz00_6991,
		obj_t BgL_oz00_6992)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1214 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_oz00_6992))))->BgL_locz00);
		}
	}



/* make-box-ref */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t BgL_loc1404z00_848,
		BgL_typez00_bglt BgL_type1405z00_849, obj_t BgL_sidezd2effect1406zd2_850,
		obj_t BgL_key1407z00_851, BgL_varz00_bglt BgL_var1408z00_852,
		BgL_typez00_bglt BgL_vtype1409z00_853)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1218 */
			{	/* Ast/nodetype.sch 1218 */
				BgL_boxzd2refzd2_bglt BgL_new1860z00_9194;

				{	/* Ast/nodetype.sch 1218 */
					BgL_boxzd2refzd2_bglt BgL_new1859z00_9195;

					BgL_new1859z00_9195 =
						((BgL_boxzd2refzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/nodetype.sch 1218 */
						long BgL_arg2500z00_9196;

						{	/* Ast/nodetype.sch 1218 */
							long BgL_res3486z00_9197;

							BgL_res3486z00_9197 =
								BGL_CLASS_INDEX(BGl_boxzd2refzd2zzast_nodez00);
							BgL_arg2500z00_9196 = BgL_res3486z00_9197;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1859z00_9195), BgL_arg2500z00_9196);
					}
					{	/* Ast/nodetype.sch 1218 */
						BgL_objectz00_bglt BgL_auxz00_12689;

						BgL_auxz00_12689 = ((BgL_objectz00_bglt) BgL_new1859z00_9195);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12689, BFALSE);
					}
					BgL_new1860z00_9194 = BgL_new1859z00_9195;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1860z00_9194)))->BgL_locz00) =
					((obj_t) BgL_loc1404z00_848), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1860z00_9194)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1405z00_849), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1860z00_9194)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1406zd2_850), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1860z00_9194)))->BgL_keyz00) =
					((obj_t) BgL_key1407z00_851), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) CREF(BgL_new1860z00_9194))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1408z00_852), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) CREF(BgL_new1860z00_9194))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1409z00_853), BUNSPEC);
				return BgL_new1860z00_9194;
			}
		}
	}



/* &make-box-ref */
	BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t
		BgL_envz00_6993, obj_t BgL_loc1404z00_6994, obj_t BgL_type1405z00_6995,
		obj_t BgL_sidezd2effect1406zd2_6996, obj_t BgL_key1407z00_6997,
		obj_t BgL_var1408z00_6998, obj_t BgL_vtype1409z00_6999)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1218 */
			{	/* Ast/nodetype.sch 1218 */
				BgL_boxzd2refzd2_bglt BgL_new1860z00_9204;

				{	/* Ast/nodetype.sch 1218 */
					BgL_boxzd2refzd2_bglt BgL_new1859z00_9205;

					BgL_new1859z00_9205 =
						((BgL_boxzd2refzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/nodetype.sch 1218 */
						long BgL_arg2500z00_9206;

						{	/* Ast/nodetype.sch 1218 */
							long BgL_res3486z00_9207;

							BgL_res3486z00_9207 =
								BGL_CLASS_INDEX(BGl_boxzd2refzd2zzast_nodez00);
							BgL_arg2500z00_9206 = BgL_res3486z00_9207;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1859z00_9205), BgL_arg2500z00_9206);
					}
					{	/* Ast/nodetype.sch 1218 */
						BgL_objectz00_bglt BgL_auxz00_12706;

						BgL_auxz00_12706 = ((BgL_objectz00_bglt) BgL_new1859z00_9205);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12706, BFALSE);
					}
					BgL_new1860z00_9204 = BgL_new1859z00_9205;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1860z00_9204)))->BgL_locz00) =
					((obj_t) BgL_loc1404z00_6994), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1860z00_9204)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1405z00_6995)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1860z00_9204)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1406zd2_6996), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1860z00_9204)))->BgL_keyz00) =
					((obj_t) BgL_key1407z00_6997), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) CREF(BgL_new1860z00_9204))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1408z00_6998)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) CREF(BgL_new1860z00_9204))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1409z00_6999)),
					BUNSPEC);
				return BgL_new1860z00_9204;
			}
		}
	}



/* box-ref? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t BgL_objz00_854)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1219 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_854,
				BGl_boxzd2refzd2zzast_nodez00);
		}
	}



/* &box-ref? */
	obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t BgL_envz00_7000,
		obj_t BgL_objz00_7001)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1219 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_7001,
					BGl_boxzd2refzd2zzast_nodez00));
		}
	}



/* box-ref-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt BGl_boxzd2refzd2nilz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1220 */
			{	/* Ast/nodetype.sch 1220 */
				obj_t BgL_classz00_4784;

				BgL_classz00_4784 = BGl_boxzd2refzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1220 */
					obj_t BgL__ortest_1092z00_4785;

					BgL__ortest_1092z00_4785 = BGL_CLASS_NIL(BgL_classz00_4784);
					if (CBOOL(BgL__ortest_1092z00_4785))
						{	/* Ast/nodetype.sch 1220 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1092z00_4785);
						}
					else
						{	/* Ast/nodetype.sch 1220 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4784));
						}
				}
			}
		}
	}



/* &box-ref-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7002)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1220 */
			return BGl_boxzd2refzd2nilz00zzast_nodez00();
		}
	}



/* box-ref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_855)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1221 */
			return (((BgL_boxzd2refzd2_bglt) CREF(BgL_oz00_855))->BgL_vtypez00);
		}
	}



/* &box-ref-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_7003, obj_t BgL_oz00_7004)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1221 */
			return
				(((BgL_boxzd2refzd2_bglt) CREF(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_7004)))->BgL_vtypez00);
		}
	}



/* box-ref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_856, BgL_typez00_bglt BgL_vz00_857)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1222 */
			return
				((((BgL_boxzd2refzd2_bglt) CREF(BgL_oz00_856))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_857), BUNSPEC);
		}
	}



/* &box-ref-vtype-set! */
	obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7005,
		obj_t BgL_oz00_7006, obj_t BgL_vz00_7007)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1222 */
			return
				((((BgL_boxzd2refzd2_bglt) CREF(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7006)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7007)), BUNSPEC);
		}
	}



/* box-ref-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_858)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1223 */
			return (((BgL_boxzd2refzd2_bglt) CREF(BgL_oz00_858))->BgL_varz00);
		}
	}



/* &box-ref-var */
	BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t BgL_envz00_7008,
		obj_t BgL_oz00_7009)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1223 */
			return
				(((BgL_boxzd2refzd2_bglt) CREF(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_7009)))->BgL_varz00);
		}
	}



/* box-ref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_859, BgL_varz00_bglt BgL_vz00_860)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1224 */
			return
				((((BgL_boxzd2refzd2_bglt) CREF(BgL_oz00_859))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_860), BUNSPEC);
		}
	}



/* &box-ref-var-set! */
	obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7010,
		obj_t BgL_oz00_7011, obj_t BgL_vz00_7012)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1224 */
			return
				((((BgL_boxzd2refzd2_bglt) CREF(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7011)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7012)), BUNSPEC);
		}
	}



/* box-ref-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_861)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1225 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_861)))->BgL_keyz00);
		}
	}



/* &box-ref-key */
	obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t BgL_envz00_7013,
		obj_t BgL_oz00_7014)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1225 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7014))))->BgL_keyz00);
		}
	}



/* box-ref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_862, obj_t BgL_vz00_863)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1226 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_862)))->BgL_keyz00) =
				((obj_t) BgL_vz00_863), BUNSPEC);
		}
	}



/* &box-ref-key-set! */
	obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7015,
		obj_t BgL_oz00_7016, obj_t BgL_vz00_7017)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1226 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_oz00_7016))))->BgL_keyz00) =
				((obj_t) BgL_vz00_7017), BUNSPEC);
		}
	}



/* box-ref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_864)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1227 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_864)))->BgL_sidezd2effectzd2);
		}
	}



/* &box-ref-side-effect */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7018,
		obj_t BgL_oz00_7019)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1227 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7019))))->BgL_sidezd2effectzd2);
		}
	}



/* box-ref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_865, obj_t BgL_vz00_866)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1228 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_865)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_866), BUNSPEC);
		}
	}



/* &box-ref-side-effect-set! */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7020, obj_t BgL_oz00_7021, obj_t BgL_vz00_7022)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1228 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_oz00_7021))))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_7022), BUNSPEC);
		}
	}



/* box-ref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_867)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1229 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_867)))->BgL_typez00);
		}
	}



/* &box-ref-type */
	BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7023, obj_t BgL_oz00_7024)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1229 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7024))))->BgL_typez00);
		}
	}



/* box-ref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_868, BgL_typez00_bglt BgL_vz00_869)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1230 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_868)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_869), BUNSPEC);
		}
	}



/* &box-ref-type-set! */
	obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7025,
		obj_t BgL_oz00_7026, obj_t BgL_vz00_7027)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1230 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_oz00_7026))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7027)), BUNSPEC);
		}
	}



/* box-ref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_870)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1231 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_870)))->BgL_locz00);
		}
	}



/* &box-ref-loc */
	obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t BgL_envz00_7028,
		obj_t BgL_oz00_7029)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1231 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7029))))->BgL_locz00);
		}
	}



/* make-box-set! */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t BgL_loc1397z00_873,
		BgL_typez00_bglt BgL_type1398z00_874, BgL_varz00_bglt BgL_var1399z00_875,
		BgL_nodez00_bglt BgL_value1400z00_876,
		BgL_typez00_bglt BgL_vtype1401z00_877)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1235 */
			{	/* Ast/nodetype.sch 1235 */
				BgL_boxzd2setz12zc0_bglt BgL_new1874z00_9225;

				{	/* Ast/nodetype.sch 1235 */
					BgL_boxzd2setz12zc0_bglt BgL_new1873z00_9226;

					BgL_new1873z00_9226 =
						((BgL_boxzd2setz12zc0_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/nodetype.sch 1235 */
						long BgL_arg2501z00_9227;

						{	/* Ast/nodetype.sch 1235 */
							long BgL_res3487z00_9228;

							BgL_res3487z00_9228 =
								BGL_CLASS_INDEX(BGl_boxzd2setz12zc0zzast_nodez00);
							BgL_arg2501z00_9227 = BgL_res3487z00_9228;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1873z00_9226), BgL_arg2501z00_9227);
					}
					{	/* Ast/nodetype.sch 1235 */
						BgL_objectz00_bglt BgL_auxz00_12786;

						BgL_auxz00_12786 = ((BgL_objectz00_bglt) BgL_new1873z00_9226);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12786, BFALSE);
					}
					BgL_new1874z00_9225 = BgL_new1873z00_9226;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1874z00_9225)))->BgL_locz00) =
					((obj_t) BgL_loc1397z00_873), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1874z00_9225)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1398z00_874), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1874z00_9225))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1399z00_875), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1874z00_9225))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1400z00_876), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1874z00_9225))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1401z00_877), BUNSPEC);
				return BgL_new1874z00_9225;
			}
		}
	}



/* &make-box-set! */
	BgL_boxzd2setz12zc0_bglt BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7030, obj_t BgL_loc1397z00_7031, obj_t BgL_type1398z00_7032,
		obj_t BgL_var1399z00_7033, obj_t BgL_value1400z00_7034,
		obj_t BgL_vtype1401z00_7035)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1235 */
			{	/* Ast/nodetype.sch 1235 */
				BgL_boxzd2setz12zc0_bglt BgL_new1874z00_9234;

				{	/* Ast/nodetype.sch 1235 */
					BgL_boxzd2setz12zc0_bglt BgL_new1873z00_9235;

					BgL_new1873z00_9235 =
						((BgL_boxzd2setz12zc0_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/nodetype.sch 1235 */
						long BgL_arg2501z00_9236;

						{	/* Ast/nodetype.sch 1235 */
							long BgL_res3487z00_9237;

							BgL_res3487z00_9237 =
								BGL_CLASS_INDEX(BGl_boxzd2setz12zc0zzast_nodez00);
							BgL_arg2501z00_9236 = BgL_res3487z00_9237;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1873z00_9235), BgL_arg2501z00_9236);
					}
					{	/* Ast/nodetype.sch 1235 */
						BgL_objectz00_bglt BgL_auxz00_12800;

						BgL_auxz00_12800 = ((BgL_objectz00_bglt) BgL_new1873z00_9235);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12800, BFALSE);
					}
					BgL_new1874z00_9234 = BgL_new1873z00_9235;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1874z00_9234)))->BgL_locz00) =
					((obj_t) BgL_loc1397z00_7031), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1874z00_9234)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1398z00_7032)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1874z00_9234))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1399z00_7033)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1874z00_9234))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1400z00_7034)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1874z00_9234))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1401z00_7035)),
					BUNSPEC);
				return BgL_new1874z00_9234;
			}
		}
	}



/* box-set!? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t
		BgL_objz00_878)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1236 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_878,
				BGl_boxzd2setz12zc0zzast_nodez00);
		}
	}



/* &box-set!? */
	obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t BgL_envz00_7036,
		obj_t BgL_objz00_7037)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1236 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_7037,
					BGl_boxzd2setz12zc0zzast_nodez00));
		}
	}



/* box-set!-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1237 */
			{	/* Ast/nodetype.sch 1237 */
				obj_t BgL_classz00_4804;

				BgL_classz00_4804 = BGl_boxzd2setz12zc0zzast_nodez00;
				{	/* Ast/nodetype.sch 1237 */
					obj_t BgL__ortest_1092z00_4805;

					BgL__ortest_1092z00_4805 = BGL_CLASS_NIL(BgL_classz00_4804);
					if (CBOOL(BgL__ortest_1092z00_4805))
						{	/* Ast/nodetype.sch 1237 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1092z00_4805);
						}
					else
						{	/* Ast/nodetype.sch 1237 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4804));
						}
				}
			}
		}
	}



/* &box-set!-nil */
	BgL_boxzd2setz12zc0_bglt BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t
		BgL_envz00_7038)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1237 */
			return BGl_boxzd2setz12zd2nilz12zzast_nodez00();
		}
	}



/* box-set!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_879)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1238 */
			return (((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_879))->BgL_vtypez00);
		}
	}



/* &box-set!-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t
		BgL_envz00_7039, obj_t BgL_oz00_7040)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1238 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7040)))->BgL_vtypez00);
		}
	}



/* box-set!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_880, BgL_typez00_bglt BgL_vz00_881)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1239 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_880))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_881), BUNSPEC);
		}
	}



/* &box-set!-vtype-set! */
	obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7041, obj_t BgL_oz00_7042, obj_t BgL_vz00_7043)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1239 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7042)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7043)), BUNSPEC);
		}
	}



/* box-set!-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_882)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1240 */
			return (((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_882))->BgL_valuez00);
		}
	}



/* &box-set!-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t
		BgL_envz00_7044, obj_t BgL_oz00_7045)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1240 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7045)))->BgL_valuez00);
		}
	}



/* box-set!-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_883, BgL_nodez00_bglt BgL_vz00_884)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1241 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_883))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_884), BUNSPEC);
		}
	}



/* &box-set!-value-set! */
	obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7046, obj_t BgL_oz00_7047, obj_t BgL_vz00_7048)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1241 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7047)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7048)), BUNSPEC);
		}
	}



/* box-set!-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_885)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1242 */
			return (((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_885))->BgL_varz00);
		}
	}



/* &box-set!-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t
		BgL_envz00_7049, obj_t BgL_oz00_7050)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1242 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7050)))->BgL_varz00);
		}
	}



/* box-set!-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_886, BgL_varz00_bglt BgL_vz00_887)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1243 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_oz00_886))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_887), BUNSPEC);
		}
	}



/* &box-set!-var-set! */
	obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7051, obj_t BgL_oz00_7052, obj_t BgL_vz00_7053)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1243 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7052)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7053)), BUNSPEC);
		}
	}



/* box-set!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_888)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1244 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_888)))->BgL_typez00);
		}
	}



/* &box-set!-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t
		BgL_envz00_7054, obj_t BgL_oz00_7055)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1244 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7055))))->BgL_typez00);
		}
	}



/* box-set!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_889, BgL_typez00_bglt BgL_vz00_890)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1245 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_889)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_890), BUNSPEC);
		}
	}



/* &box-set!-type-set! */
	obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7056, obj_t BgL_oz00_7057, obj_t BgL_vz00_7058)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1245 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7057))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7058)), BUNSPEC);
		}
	}



/* box-set!-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_891)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1246 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_891)))->BgL_locz00);
		}
	}



/* &box-set!-loc */
	obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t BgL_envz00_7059,
		obj_t BgL_oz00_7060)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1246 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7060))))->BgL_locz00);
		}
	}



/* make-sync */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t
		BgL_loc1391z00_894, BgL_typez00_bglt BgL_type1392z00_895,
		BgL_nodez00_bglt BgL_mutex1393z00_896,
		BgL_nodez00_bglt BgL_prelock1394z00_897,
		BgL_nodez00_bglt BgL_body1395z00_898)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1250 */
			{	/* Ast/nodetype.sch 1250 */
				BgL_syncz00_bglt BgL_new1886z00_9252;

				{	/* Ast/nodetype.sch 1250 */
					BgL_syncz00_bglt BgL_new1885z00_9253;

					BgL_new1885z00_9253 =
						((BgL_syncz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/nodetype.sch 1250 */
						long BgL_arg2502z00_9254;

						{	/* Ast/nodetype.sch 1250 */
							long BgL_res3488z00_9255;

							BgL_res3488z00_9255 = BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
							BgL_arg2502z00_9254 = BgL_res3488z00_9255;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1885z00_9253), BgL_arg2502z00_9254);
					}
					{	/* Ast/nodetype.sch 1250 */
						BgL_objectz00_bglt BgL_auxz00_12865;

						BgL_auxz00_12865 = ((BgL_objectz00_bglt) BgL_new1885z00_9253);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12865, BFALSE);
					}
					BgL_new1886z00_9252 = BgL_new1885z00_9253;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1886z00_9252)))->BgL_locz00) =
					((obj_t) BgL_loc1391z00_894), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1886z00_9252)))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1392z00_895), BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_new1886z00_9252))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_mutex1393z00_896), BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_new1886z00_9252))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_prelock1394z00_897), BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_new1886z00_9252))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1395z00_898), BUNSPEC);
				return BgL_new1886z00_9252;
			}
		}
	}



/* &make-sync */
	BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t BgL_envz00_7061,
		obj_t BgL_loc1391z00_7062, obj_t BgL_type1392z00_7063,
		obj_t BgL_mutex1393z00_7064, obj_t BgL_prelock1394z00_7065,
		obj_t BgL_body1395z00_7066)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1250 */
			{	/* Ast/nodetype.sch 1250 */
				BgL_syncz00_bglt BgL_new1886z00_9261;

				{	/* Ast/nodetype.sch 1250 */
					BgL_syncz00_bglt BgL_new1885z00_9262;

					BgL_new1885z00_9262 =
						((BgL_syncz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/nodetype.sch 1250 */
						long BgL_arg2502z00_9263;

						{	/* Ast/nodetype.sch 1250 */
							long BgL_res3488z00_9264;

							BgL_res3488z00_9264 = BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
							BgL_arg2502z00_9263 = BgL_res3488z00_9264;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1885z00_9262), BgL_arg2502z00_9263);
					}
					{	/* Ast/nodetype.sch 1250 */
						BgL_objectz00_bglt BgL_auxz00_12879;

						BgL_auxz00_12879 = ((BgL_objectz00_bglt) BgL_new1885z00_9262);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_12879, BFALSE);
					}
					BgL_new1886z00_9261 = BgL_new1885z00_9262;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1886z00_9261)))->BgL_locz00) =
					((obj_t) BgL_loc1391z00_7062), BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1886z00_9261)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1392z00_7063)),
					BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_new1886z00_9261))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1393z00_7064)),
					BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_new1886z00_9261))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1394z00_7065)),
					BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_new1886z00_9261))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1395z00_7066)),
					BUNSPEC);
				return BgL_new1886z00_9261;
			}
		}
	}



/* sync? */
	BGL_EXPORTED_DEF bool_t BGl_synczf3zf3zzast_nodez00(obj_t BgL_objz00_899)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1251 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_899, BGl_syncz00zzast_nodez00);
		}
	}



/* &sync? */
	obj_t BGl_z62synczf3z91zzast_nodez00(obj_t BgL_envz00_7067,
		obj_t BgL_objz00_7068)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1251 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_7068,
					BGl_syncz00zzast_nodez00));
		}
	}



/* sync-nil */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1252 */
			{	/* Ast/nodetype.sch 1252 */
				obj_t BgL_classz00_4822;

				BgL_classz00_4822 = BGl_syncz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1252 */
					obj_t BgL__ortest_1092z00_4823;

					BgL__ortest_1092z00_4823 = BGL_CLASS_NIL(BgL_classz00_4822);
					if (CBOOL(BgL__ortest_1092z00_4823))
						{	/* Ast/nodetype.sch 1252 */
							return ((BgL_syncz00_bglt) BgL__ortest_1092z00_4823);
						}
					else
						{	/* Ast/nodetype.sch 1252 */
							return
								((BgL_syncz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4822));
						}
				}
			}
		}
	}



/* &sync-nil */
	BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t BgL_envz00_7069)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1252 */
			return BGl_synczd2nilzd2zzast_nodez00();
		}
	}



/* sync-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_900)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1253 */
			return (((BgL_syncz00_bglt) CREF(BgL_oz00_900))->BgL_bodyz00);
		}
	}



/* &sync-body */
	BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t BgL_envz00_7070,
		obj_t BgL_oz00_7071)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1253 */
			return
				(((BgL_syncz00_bglt) CREF(
						((BgL_syncz00_bglt) BgL_oz00_7071)))->BgL_bodyz00);
		}
	}



/* sync-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_901,
		BgL_nodez00_bglt BgL_vz00_902)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1254 */
			return
				((((BgL_syncz00_bglt) CREF(BgL_oz00_901))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_902), BUNSPEC);
		}
	}



/* &sync-body-set! */
	obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7072,
		obj_t BgL_oz00_7073, obj_t BgL_vz00_7074)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1254 */
			return
				((((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_oz00_7073)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7074)), BUNSPEC);
		}
	}



/* sync-prelock */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_903)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1255 */
			return (((BgL_syncz00_bglt) CREF(BgL_oz00_903))->BgL_prelockz00);
		}
	}



/* &sync-prelock */
	BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t BgL_envz00_7075,
		obj_t BgL_oz00_7076)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1255 */
			return
				(((BgL_syncz00_bglt) CREF(
						((BgL_syncz00_bglt) BgL_oz00_7076)))->BgL_prelockz00);
		}
	}



/* sync-prelock-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_904,
		BgL_nodez00_bglt BgL_vz00_905)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1256 */
			return
				((((BgL_syncz00_bglt) CREF(BgL_oz00_904))->BgL_prelockz00) =
				((BgL_nodez00_bglt) BgL_vz00_905), BUNSPEC);
		}
	}



/* &sync-prelock-set! */
	obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7077,
		obj_t BgL_oz00_7078, obj_t BgL_vz00_7079)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1256 */
			return
				((((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_oz00_7078)))->BgL_prelockz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7079)), BUNSPEC);
		}
	}



/* sync-mutex */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_906)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1257 */
			return (((BgL_syncz00_bglt) CREF(BgL_oz00_906))->BgL_mutexz00);
		}
	}



/* &sync-mutex */
	BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t BgL_envz00_7080,
		obj_t BgL_oz00_7081)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1257 */
			return
				(((BgL_syncz00_bglt) CREF(
						((BgL_syncz00_bglt) BgL_oz00_7081)))->BgL_mutexz00);
		}
	}



/* sync-mutex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_907,
		BgL_nodez00_bglt BgL_vz00_908)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1258 */
			return
				((((BgL_syncz00_bglt) CREF(BgL_oz00_907))->BgL_mutexz00) =
				((BgL_nodez00_bglt) BgL_vz00_908), BUNSPEC);
		}
	}



/* &sync-mutex-set! */
	obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7082,
		obj_t BgL_oz00_7083, obj_t BgL_vz00_7084)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1258 */
			return
				((((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_oz00_7083)))->BgL_mutexz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7084)), BUNSPEC);
		}
	}



/* sync-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_909)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1259 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_909)))->BgL_typez00);
		}
	}



/* &sync-type */
	BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t BgL_envz00_7085,
		obj_t BgL_oz00_7086)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1259 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_syncz00_bglt) BgL_oz00_7086))))->BgL_typez00);
		}
	}



/* sync-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_910,
		BgL_typez00_bglt BgL_vz00_911)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1260 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_910)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_911), BUNSPEC);
		}
	}



/* &sync-type-set! */
	obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7087,
		obj_t BgL_oz00_7088, obj_t BgL_vz00_7089)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1260 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt)
								((BgL_syncz00_bglt) BgL_oz00_7088))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7089)), BUNSPEC);
		}
	}



/* sync-loc */
	BGL_EXPORTED_DEF obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt
		BgL_oz00_912)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1261 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_912)))->BgL_locz00);
		}
	}



/* &sync-loc */
	obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t BgL_envz00_7090,
		obj_t BgL_oz00_7091)
	{
		AN_OBJECT;
		{	/* Ast/nodetype.sch 1261 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt)
							((BgL_syncz00_bglt) BgL_oz00_7091))))->BgL_locz00);
		}
	}



/* strict-node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt BgL_t1z00_915,
		BgL_typez00_bglt BgL_t2z00_916)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 272 */
			return BgL_t1z00_915;
		}
	}



/* &strict-node-type */
	BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t
		BgL_envz00_7092, obj_t BgL_t1z00_7093, obj_t BgL_t2z00_7094)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 272 */
			return ((BgL_typez00_bglt) BgL_t1z00_7093);
		}
	}



/* node-walk* */
	bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t BgL_nodeza2za2_961,
		obj_t BgL_procz00_962)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 450 */
			{
				obj_t BgL_l2343z00_1917;

				BgL_l2343z00_1917 = BgL_nodeza2za2_961;
			BgL_zc3anonymousza32503ze3z83_1918:
				if (PAIRP(BgL_l2343z00_1917))
					{	/* Ast/node.scm 451 */
						{	/* Ast/node.scm 451 */
							obj_t BgL_nodez00_1920;

							BgL_nodez00_1920 = CAR(BgL_l2343z00_1917);
							BGl_nodezd2walkzd2zzast_nodez00(
								((BgL_nodez00_bglt) BgL_nodez00_1920), BgL_procz00_962);
						}
						{
							obj_t BgL_l2343z00_12946;

							BgL_l2343z00_12946 = CDR(BgL_l2343z00_1917);
							BgL_l2343z00_1917 = BgL_l2343z00_12946;
							goto BgL_zc3anonymousza32503ze3z83_1918;
						}
					}
				else
					{	/* Ast/node.scm 451 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 21 */
				obj_t BgL_arg2510z00_1926;
				obj_t BgL_arg2511z00_1927;

				{	/* Ast/node.scm 21 */
					obj_t BgL_v2345z00_1939;

					BgL_v2345z00_1939 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg2517z00_1940;

						BgL_arg2517z00_1940 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc3598z00zzast_nodez00,
							BGl_proc3597z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2345z00_1939, (int) (((long) 1)),
							BgL_arg2517z00_1940);
					}
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg2522z00_1952;

						BgL_arg2522z00_1952 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3601z00zzast_nodez00,
							BGl_proc3600z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3599z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2345z00_1939, (int) (((long) 0)),
							BgL_arg2522z00_1952);
					}
					BgL_arg2510z00_1926 = BgL_v2345z00_1939;
				}
				{	/* Ast/node.scm 21 */
					obj_t BgL_v2346z00_1967;

					BgL_v2346z00_1967 = create_vector((int) (((long) 0)));
					BgL_arg2511z00_1927 = BgL_v2346z00_1967;
				}
				BGl_nodez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_objectz00zz__objectz00,
					((long) 44826), BGl_proc3604z00zzast_nodez00,
					BGl_proc3603z00zzast_nodez00, BFALSE, BGl_proc3602z00zzast_nodez00,
					BFALSE, BgL_arg2510z00_1926, BgL_arg2511z00_1927);
			}
			{	/* Ast/node.scm 37 */
				obj_t BgL_arg2532z00_1974;
				obj_t BgL_arg2533z00_1975;

				{	/* Ast/node.scm 37 */
					obj_t BgL_v2347z00_1989;

					BgL_v2347z00_1989 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg2539z00_1990;

						BgL_arg2539z00_1990 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3607z00zzast_nodez00,
							BGl_proc3606z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3605z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2347z00_1989, (int) (((long) 1)),
							BgL_arg2539z00_1990);
					}
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg2546z00_2005;

						BgL_arg2546z00_2005 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3610z00zzast_nodez00,
							BGl_proc3609z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3608z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2347z00_1989, (int) (((long) 0)),
							BgL_arg2546z00_2005);
					}
					BgL_arg2532z00_1974 = BgL_v2347z00_1989;
				}
				{	/* Ast/node.scm 37 */
					obj_t BgL_v2348z00_2020;

					BgL_v2348z00_2020 = create_vector((int) (((long) 0)));
					BgL_arg2533z00_1975 = BgL_v2348z00_2020;
				}
				BGl_nodezf2effectzf2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 44959),
					BGl_proc3613z00zzast_nodez00, BGl_proc3612z00zzast_nodez00, BFALSE,
					BGl_proc3611z00zzast_nodez00, BFALSE, BgL_arg2532z00_1974,
					BgL_arg2533z00_1975);
			}
			{	/* Ast/node.scm 46 */
				obj_t BgL_arg2557z00_2027;
				obj_t BgL_arg2558z00_2028;

				{	/* Ast/node.scm 46 */
					obj_t BgL_v2349z00_2041;

					BgL_v2349z00_2041 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 46 */
						obj_t BgL_arg2564z00_2042;

						BgL_arg2564z00_2042 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3615z00zzast_nodez00,
							BGl_proc3614z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2349z00_2041, (int) (((long) 0)),
							BgL_arg2564z00_2042);
					}
					BgL_arg2557z00_2027 = BgL_v2349z00_2041;
				}
				{	/* Ast/node.scm 46 */
					obj_t BgL_v2350z00_2054;

					BgL_v2350z00_2054 = create_vector((int) (((long) 0)));
					BgL_arg2558z00_2028 = BgL_v2350z00_2054;
				}
				BGl_atomz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 42583),
					BGl_proc3618z00zzast_nodez00, BGl_proc3617z00zzast_nodez00, BFALSE,
					BGl_proc3616z00zzast_nodez00, BFALSE, BgL_arg2557z00_2027,
					BgL_arg2558z00_2028);
			}
			{	/* Ast/node.scm 51 */
				obj_t BgL_arg2572z00_2061;
				obj_t BgL_arg2573z00_2062;

				{	/* Ast/node.scm 51 */
					obj_t BgL_v2351z00_2075;

					BgL_v2351z00_2075 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 51 */
						obj_t BgL_arg2579z00_2076;

						BgL_arg2579z00_2076 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3620z00zzast_nodez00,
							BGl_proc3619z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_variablez00zzast_varz00);
						VECTOR_SET(BgL_v2351z00_2075, (int) (((long) 0)),
							BgL_arg2579z00_2076);
					}
					BgL_arg2572z00_2061 = BgL_v2351z00_2075;
				}
				{	/* Ast/node.scm 51 */
					obj_t BgL_v2352z00_2088;

					BgL_v2352z00_2088 = create_vector((int) (((long) 0)));
					BgL_arg2573z00_2062 = BgL_v2352z00_2088;
				}
				BGl_varz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 38068),
					BGl_proc3623z00zzast_nodez00, BGl_proc3622z00zzast_nodez00, BFALSE,
					BGl_proc3621z00zzast_nodez00, BFALSE, BgL_arg2572z00_2061,
					BgL_arg2573z00_2062);
			}
			{	/* Ast/node.scm 56 */
				obj_t BgL_arg2587z00_2095;
				obj_t BgL_arg2588z00_2096;

				{	/* Ast/node.scm 56 */
					obj_t BgL_v2353z00_2109;

					BgL_v2353z00_2109 = create_vector((int) (((long) 0)));
					BgL_arg2587z00_2095 = BgL_v2353z00_2109;
				}
				{	/* Ast/node.scm 56 */
					obj_t BgL_v2354z00_2110;

					BgL_v2354z00_2110 = create_vector((int) (((long) 0)));
					BgL_arg2588z00_2096 = BgL_v2354z00_2110;
				}
				BGl_closurez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 12)),
					CNST_TABLE_REF(((long) 4)), BGl_varz00zzast_nodez00, ((long) 40917),
					BGl_proc3626z00zzast_nodez00, BGl_proc3625z00zzast_nodez00, BFALSE,
					BGl_proc3624z00zzast_nodez00, BFALSE, BgL_arg2587z00_2095,
					BgL_arg2588z00_2096);
			}
			{	/* Ast/node.scm 59 */
				obj_t BgL_arg2597z00_2117;
				obj_t BgL_arg2598z00_2118;

				{	/* Ast/node.scm 59 */
					obj_t BgL_v2355z00_2131;

					BgL_v2355z00_2131 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 59 */
						obj_t BgL_arg2604z00_2132;

						BgL_arg2604z00_2132 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3628z00zzast_nodez00,
							BGl_proc3627z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2355z00_2131, (int) (((long) 0)),
							BgL_arg2604z00_2132);
					}
					BgL_arg2597z00_2117 = BgL_v2355z00_2131;
				}
				{	/* Ast/node.scm 59 */
					obj_t BgL_v2356z00_2144;

					BgL_v2356z00_2144 = create_vector((int) (((long) 0)));
					BgL_arg2598z00_2118 = BgL_v2356z00_2144;
				}
				BGl_kwotez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 13)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 14781),
					BGl_proc3631z00zzast_nodez00, BGl_proc3630z00zzast_nodez00, BFALSE,
					BGl_proc3629z00zzast_nodez00, BFALSE, BgL_arg2597z00_2117,
					BgL_arg2598z00_2118);
			}
			{	/* Ast/node.scm 64 */
				obj_t BgL_arg2612z00_2151;
				obj_t BgL_arg2613z00_2152;

				{	/* Ast/node.scm 64 */
					obj_t BgL_v2357z00_2168;

					BgL_v2357z00_2168 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 64 */
						obj_t BgL_arg2620z00_2169;

						BgL_arg2620z00_2169 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc3634z00zzast_nodez00,
							BGl_proc3633z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3632z00zzast_nodez00, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v2357z00_2168, (int) (((long) 1)),
							BgL_arg2620z00_2169);
					}
					{	/* Ast/node.scm 64 */
						obj_t BgL_arg2627z00_2184;

						BgL_arg2627z00_2184 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									16)), BGl_proc3636z00zzast_nodez00,
							BGl_proc3635z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2357z00_2168, (int) (((long) 0)),
							BgL_arg2627z00_2184);
					}
					BgL_arg2612z00_2151 = BgL_v2357z00_2168;
				}
				{	/* Ast/node.scm 64 */
					obj_t BgL_v2358z00_2196;

					BgL_v2358z00_2196 = create_vector((int) (((long) 0)));
					BgL_arg2613z00_2152 = BgL_v2358z00_2196;
				}
				BGl_sequencez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 24077), BGl_proc3639z00zzast_nodez00,
					BGl_proc3638z00zzast_nodez00, BFALSE, BGl_proc3637z00zzast_nodez00,
					BFALSE, BgL_arg2612z00_2151, BgL_arg2613z00_2152);
			}
			{	/* Ast/node.scm 69 */
				obj_t BgL_arg2636z00_2203;
				obj_t BgL_arg2637z00_2204;

				{	/* Ast/node.scm 69 */
					obj_t BgL_v2359z00_2220;

					BgL_v2359z00_2220 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 69 */
						obj_t BgL_arg2643z00_2221;

						BgL_arg2643z00_2221 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc3641z00zzast_nodez00,
							BGl_proc3640z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2359z00_2220, (int) (((long) 1)),
							BgL_arg2643z00_2221);
					}
					{	/* Ast/node.scm 69 */
						obj_t BgL_arg2648z00_2233;

						BgL_arg2648z00_2233 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3643z00zzast_nodez00,
							BGl_proc3642z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2359z00_2220, (int) (((long) 0)),
							BgL_arg2648z00_2233);
					}
					BgL_arg2636z00_2203 = BgL_v2359z00_2220;
				}
				{	/* Ast/node.scm 69 */
					obj_t BgL_v2360z00_2245;

					BgL_v2360z00_2245 = create_vector((int) (((long) 0)));
					BgL_arg2637z00_2204 = BgL_v2360z00_2245;
				}
				BGl_appz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 20)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 35480), BGl_proc3646z00zzast_nodez00,
					BGl_proc3645z00zzast_nodez00, BFALSE, BGl_proc3644z00zzast_nodez00,
					BFALSE, BgL_arg2636z00_2203, BgL_arg2637z00_2204);
			}
			{	/* Ast/node.scm 76 */
				obj_t BgL_arg2657z00_2252;
				obj_t BgL_arg2658z00_2253;

				{	/* Ast/node.scm 76 */
					obj_t BgL_v2361z00_2267;

					BgL_v2361z00_2267 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 76 */
						obj_t BgL_arg2664z00_2268;

						BgL_arg2664z00_2268 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc3648z00zzast_nodez00,
							BGl_proc3647z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2361z00_2267, (int) (((long) 1)),
							BgL_arg2664z00_2268);
					}
					{	/* Ast/node.scm 76 */
						obj_t BgL_arg2669z00_2280;

						BgL_arg2669z00_2280 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3650z00zzast_nodez00,
							BGl_proc3649z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2361z00_2267, (int) (((long) 0)),
							BgL_arg2669z00_2280);
					}
					BgL_arg2657z00_2252 = BgL_v2361z00_2267;
				}
				{	/* Ast/node.scm 76 */
					obj_t BgL_v2362z00_2292;

					BgL_v2362z00_2292 = create_vector((int) (((long) 0)));
					BgL_arg2658z00_2253 = BgL_v2362z00_2292;
				}
				BGl_appzd2lyzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 22)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 54426),
					BGl_proc3653z00zzast_nodez00, BGl_proc3652z00zzast_nodez00, BFALSE,
					BGl_proc3651z00zzast_nodez00, BFALSE, BgL_arg2657z00_2252,
					BgL_arg2658z00_2253);
			}
			{	/* Ast/node.scm 83 */
				obj_t BgL_arg2677z00_2299;
				obj_t BgL_arg2678z00_2300;

				{	/* Ast/node.scm 83 */
					obj_t BgL_v2363z00_2316;

					BgL_v2363z00_2316 = create_vector((int) (((long) 4)));
					{	/* Ast/node.scm 83 */
						obj_t BgL_arg2684z00_2317;

						BgL_arg2684z00_2317 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc3656z00zzast_nodez00,
							BGl_proc3655z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3654z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2363z00_2316, (int) (((long) 3)),
							BgL_arg2684z00_2317);
					}
					{	/* Ast/node.scm 83 */
						obj_t BgL_arg2691z00_2332;

						BgL_arg2691z00_2332 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									24)), BGl_proc3659z00zzast_nodez00,
							BGl_proc3658z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3657z00zzast_nodez00, CNST_TABLE_REF(((long) 25)));
						VECTOR_SET(BgL_v2363z00_2316, (int) (((long) 2)),
							BgL_arg2691z00_2332);
					}
					{	/* Ast/node.scm 83 */
						obj_t BgL_arg2698z00_2347;

						BgL_arg2698z00_2347 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc3661z00zzast_nodez00,
							BGl_proc3660z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2363z00_2316, (int) (((long) 1)),
							BgL_arg2698z00_2347);
					}
					{	/* Ast/node.scm 83 */
						obj_t BgL_arg2703z00_2359;

						BgL_arg2703z00_2359 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									19)), BGl_proc3663z00zzast_nodez00,
							BGl_proc3662z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2363z00_2316, (int) (((long) 0)),
							BgL_arg2703z00_2359);
					}
					BgL_arg2677z00_2299 = BgL_v2363z00_2316;
				}
				{	/* Ast/node.scm 83 */
					obj_t BgL_v2364z00_2371;

					BgL_v2364z00_2371 = create_vector((int) (((long) 0)));
					BgL_arg2678z00_2300 = BgL_v2364z00_2371;
				}
				BGl_funcallz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 26)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 14944),
					BGl_proc3666z00zzast_nodez00, BGl_proc3665z00zzast_nodez00, BFALSE,
					BGl_proc3664z00zzast_nodez00, BFALSE, BgL_arg2677z00_2299,
					BgL_arg2678z00_2300);
			}
			{	/* Ast/node.scm 95 */
				obj_t BgL_arg2711z00_2378;
				obj_t BgL_arg2713z00_2379;

				{	/* Ast/node.scm 95 */
					obj_t BgL_v2365z00_2395;

					BgL_v2365z00_2395 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2719z00_2396;

						BgL_arg2719z00_2396 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									27)), BGl_proc3669z00zzast_nodez00,
							BGl_proc3668z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3667z00zzast_nodez00, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2365z00_2395, (int) (((long) 1)),
							BgL_arg2719z00_2396);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2726z00_2411;

						BgL_arg2726z00_2411 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									28)), BGl_proc3672z00zzast_nodez00,
							BGl_proc3671z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3670z00zzast_nodez00, CNST_TABLE_REF(((long) 29)));
						VECTOR_SET(BgL_v2365z00_2395, (int) (((long) 0)),
							BgL_arg2726z00_2411);
					}
					BgL_arg2711z00_2378 = BgL_v2365z00_2395;
				}
				{	/* Ast/node.scm 95 */
					obj_t BgL_v2366z00_2426;

					BgL_v2366z00_2426 = create_vector((int) (((long) 0)));
					BgL_arg2713z00_2379 = BgL_v2366z00_2426;
				}
				BGl_externz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 30)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 3996), BGl_proc3675z00zzast_nodez00,
					BGl_proc3674z00zzast_nodez00, BFALSE, BGl_proc3673z00zzast_nodez00,
					BFALSE, BgL_arg2711z00_2378, BgL_arg2713z00_2379);
			}
			{	/* Ast/node.scm 102 */
				obj_t BgL_arg2736z00_2433;
				obj_t BgL_arg2737z00_2434;

				{	/* Ast/node.scm 102 */
					obj_t BgL_v2367z00_2451;

					BgL_v2367z00_2451 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 102 */
						obj_t BgL_arg2743z00_2452;

						BgL_arg2743z00_2452 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									31)), BGl_proc3677z00zzast_nodez00,
							BGl_proc3676z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v2367z00_2451, (int) (((long) 0)),
							BgL_arg2743z00_2452);
					}
					BgL_arg2736z00_2433 = BgL_v2367z00_2451;
				}
				{	/* Ast/node.scm 102 */
					obj_t BgL_v2368z00_2464;

					BgL_v2368z00_2464 = create_vector((int) (((long) 0)));
					BgL_arg2737z00_2434 = BgL_v2368z00_2464;
				}
				BGl_pragmaz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 33)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00, ((long) 1873),
					BGl_proc3680z00zzast_nodez00, BGl_proc3679z00zzast_nodez00, BFALSE,
					BGl_proc3678z00zzast_nodez00, BFALSE, BgL_arg2736z00_2433,
					BgL_arg2737z00_2434);
			}
			{	/* Ast/node.scm 106 */
				obj_t BgL_arg2752z00_2471;
				obj_t BgL_arg2753z00_2472;

				{	/* Ast/node.scm 106 */
					obj_t BgL_v2369z00_2489;

					BgL_v2369z00_2489 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 106 */
						obj_t BgL_arg2759z00_2490;

						BgL_arg2759z00_2490 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									34)), BGl_proc3682z00zzast_nodez00,
							BGl_proc3681z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v2369z00_2489, (int) (((long) 0)),
							BgL_arg2759z00_2490);
					}
					BgL_arg2752z00_2471 = BgL_v2369z00_2489;
				}
				{	/* Ast/node.scm 106 */
					obj_t BgL_v2370z00_2502;

					BgL_v2370z00_2502 = create_vector((int) (((long) 0)));
					BgL_arg2753z00_2472 = BgL_v2370z00_2502;
				}
				BGl_privatez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 35)),
					CNST_TABLE_REF(((long) 4)), BGl_externz00zzast_nodez00,
					((long) 30541), BGl_proc3685z00zzast_nodez00,
					BGl_proc3684z00zzast_nodez00, BFALSE, BGl_proc3683z00zzast_nodez00,
					BFALSE, BgL_arg2752z00_2471, BgL_arg2753z00_2472);
			}
			{	/* Ast/node.scm 110 */
				obj_t BgL_arg2767z00_2509;
				obj_t BgL_arg2768z00_2510;

				{	/* Ast/node.scm 110 */
					obj_t BgL_v2371z00_2530;

					BgL_v2371z00_2530 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 110 */
						obj_t BgL_arg2774z00_2531;

						BgL_arg2774z00_2531 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3687z00zzast_nodez00,
							BGl_proc3686z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2371z00_2530, (int) (((long) 2)),
							BgL_arg2774z00_2531);
					}
					{	/* Ast/node.scm 110 */
						obj_t BgL_arg2779z00_2543;

						BgL_arg2779z00_2543 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3689z00zzast_nodez00,
							BGl_proc3688z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2371z00_2530, (int) (((long) 1)),
							BgL_arg2779z00_2543);
					}
					{	/* Ast/node.scm 110 */
						obj_t BgL_arg2784z00_2555;

						BgL_arg2784z00_2555 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3691z00zzast_nodez00,
							BGl_proc3690z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v2371z00_2530, (int) (((long) 0)),
							BgL_arg2784z00_2555);
					}
					BgL_arg2767z00_2509 = BgL_v2371z00_2530;
				}
				{	/* Ast/node.scm 110 */
					obj_t BgL_v2372z00_2567;

					BgL_v2372z00_2567 = create_vector((int) (((long) 0)));
					BgL_arg2768z00_2510 = BgL_v2372z00_2567;
				}
				BGl_getfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 39)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 53519), BGl_proc3694z00zzast_nodez00,
					BGl_proc3693z00zzast_nodez00, BFALSE, BGl_proc3692z00zzast_nodez00,
					BFALSE, BgL_arg2767z00_2509, BgL_arg2768z00_2510);
			}
			{	/* Ast/node.scm 119 */
				obj_t BgL_arg2792z00_2574;
				obj_t BgL_arg2793z00_2575;

				{	/* Ast/node.scm 119 */
					obj_t BgL_v2373z00_2595;

					BgL_v2373z00_2595 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 119 */
						obj_t BgL_arg2799z00_2596;

						BgL_arg2799z00_2596 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3696z00zzast_nodez00,
							BGl_proc3695z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2373z00_2595, (int) (((long) 2)),
							BgL_arg2799z00_2596);
					}
					{	/* Ast/node.scm 119 */
						obj_t BgL_arg2804z00_2608;

						BgL_arg2804z00_2608 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3698z00zzast_nodez00,
							BGl_proc3697z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2373z00_2595, (int) (((long) 1)),
							BgL_arg2804z00_2608);
					}
					{	/* Ast/node.scm 119 */
						obj_t BgL_arg2809z00_2620;

						BgL_arg2809z00_2620 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3700z00zzast_nodez00,
							BGl_proc3699z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 32)));
						VECTOR_SET(BgL_v2373z00_2595, (int) (((long) 0)),
							BgL_arg2809z00_2620);
					}
					BgL_arg2792z00_2574 = BgL_v2373z00_2595;
				}
				{	/* Ast/node.scm 119 */
					obj_t BgL_v2374z00_2632;

					BgL_v2374z00_2632 = create_vector((int) (((long) 0)));
					BgL_arg2793z00_2575 = BgL_v2374z00_2632;
				}
				BGl_setfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 40)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 18739), BGl_proc3703z00zzast_nodez00,
					BGl_proc3702z00zzast_nodez00, BFALSE, BGl_proc3701z00zzast_nodez00,
					BFALSE, BgL_arg2792z00_2574, BgL_arg2793z00_2575);
			}
			{	/* Ast/node.scm 129 */
				obj_t BgL_arg2818z00_2639;
				obj_t BgL_arg2819z00_2640;

				{	/* Ast/node.scm 129 */
					obj_t BgL_v2375z00_2658;

					BgL_v2375z00_2658 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 129 */
						obj_t BgL_arg2825z00_2659;

						BgL_arg2825z00_2659 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3705z00zzast_nodez00,
							BGl_proc3704z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2375z00_2658, (int) (((long) 0)),
							BgL_arg2825z00_2659);
					}
					BgL_arg2818z00_2639 = BgL_v2375z00_2658;
				}
				{	/* Ast/node.scm 129 */
					obj_t BgL_v2376z00_2671;

					BgL_v2376z00_2671 = create_vector((int) (((long) 0)));
					BgL_arg2819z00_2640 = BgL_v2376z00_2671;
				}
				BGl_wideningz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 41)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 56467), BGl_proc3708z00zzast_nodez00,
					BGl_proc3707z00zzast_nodez00, BFALSE, BGl_proc3706z00zzast_nodez00,
					BFALSE, BgL_arg2818z00_2639, BgL_arg2819z00_2640);
			}
			{	/* Ast/node.scm 133 */
				obj_t BgL_arg2833z00_2678;
				obj_t BgL_arg2834z00_2679;

				{	/* Ast/node.scm 133 */
					obj_t BgL_v2377z00_2697;

					BgL_v2377z00_2697 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 133 */
						obj_t BgL_arg2840z00_2698;

						BgL_arg2840z00_2698 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									42)), BGl_proc3711z00zzast_nodez00,
							BGl_proc3710z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3709z00zzast_nodez00, CNST_TABLE_REF(((long) 29)));
						VECTOR_SET(BgL_v2377z00_2697, (int) (((long) 0)),
							BgL_arg2840z00_2698);
					}
					BgL_arg2833z00_2678 = BgL_v2377z00_2697;
				}
				{	/* Ast/node.scm 133 */
					obj_t BgL_v2378z00_2713;

					BgL_v2378z00_2713 = create_vector((int) (((long) 0)));
					BgL_arg2834z00_2679 = BgL_v2378z00_2713;
				}
				BGl_newz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 43)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 21062), BGl_proc3714z00zzast_nodez00,
					BGl_proc3713z00zzast_nodez00, BFALSE, BGl_proc3712z00zzast_nodez00,
					BFALSE, BgL_arg2833z00_2678, BgL_arg2834z00_2679);
			}
			{	/* Ast/node.scm 137 */
				obj_t BgL_arg2850z00_2720;
				obj_t BgL_arg2851z00_2721;

				{	/* Ast/node.scm 137 */
					obj_t BgL_v2379z00_2740;

					BgL_v2379z00_2740 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 137 */
						obj_t BgL_arg2857z00_2741;

						BgL_arg2857z00_2741 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3716z00zzast_nodez00,
							BGl_proc3715z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2379z00_2740, (int) (((long) 1)),
							BgL_arg2857z00_2741);
					}
					{	/* Ast/node.scm 137 */
						obj_t BgL_arg2862z00_2753;

						BgL_arg2862z00_2753 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3718z00zzast_nodez00,
							BGl_proc3717z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2379z00_2740, (int) (((long) 0)),
							BgL_arg2862z00_2753);
					}
					BgL_arg2850z00_2720 = BgL_v2379z00_2740;
				}
				{	/* Ast/node.scm 137 */
					obj_t BgL_v2380z00_2765;

					BgL_v2380z00_2765 = create_vector((int) (((long) 0)));
					BgL_arg2851z00_2721 = BgL_v2380z00_2765;
				}
				BGl_vallocz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 44)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 60165), BGl_proc3721z00zzast_nodez00,
					BGl_proc3720z00zzast_nodez00, BFALSE, BGl_proc3719z00zzast_nodez00,
					BFALSE, BgL_arg2850z00_2720, BgL_arg2851z00_2721);
			}
			{	/* Ast/node.scm 144 */
				obj_t BgL_arg2870z00_2772;
				obj_t BgL_arg2871z00_2773;

				{	/* Ast/node.scm 144 */
					obj_t BgL_v2381z00_2794;

					BgL_v2381z00_2794 = create_vector((int) (((long) 4)));
					{	/* Ast/node.scm 144 */
						obj_t BgL_arg2878z00_2795;

						BgL_arg2878z00_2795 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc3724z00zzast_nodez00,
							BGl_proc3723z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3722z00zzast_nodez00, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v2381z00_2794, (int) (((long) 3)),
							BgL_arg2878z00_2795);
					}
					{	/* Ast/node.scm 144 */
						obj_t BgL_arg2886z00_2810;

						BgL_arg2886z00_2810 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3726z00zzast_nodez00,
							BGl_proc3725z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2381z00_2794, (int) (((long) 2)),
							BgL_arg2886z00_2810);
					}
					{	/* Ast/node.scm 144 */
						obj_t BgL_arg2893z00_2822;

						BgL_arg2893z00_2822 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3728z00zzast_nodez00,
							BGl_proc3727z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2381z00_2794, (int) (((long) 1)),
							BgL_arg2893z00_2822);
					}
					{	/* Ast/node.scm 144 */
						obj_t BgL_arg2898z00_2834;

						BgL_arg2898z00_2834 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3730z00zzast_nodez00,
							BGl_proc3729z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2381z00_2794, (int) (((long) 0)),
							BgL_arg2898z00_2834);
					}
					BgL_arg2870z00_2772 = BgL_v2381z00_2794;
				}
				{	/* Ast/node.scm 144 */
					obj_t BgL_v2382z00_2846;

					BgL_v2382z00_2846 = create_vector((int) (((long) 0)));
					BgL_arg2871z00_2773 = BgL_v2382z00_2846;
				}
				BGl_vrefz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 46)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 50258), BGl_proc3733z00zzast_nodez00,
					BGl_proc3732z00zzast_nodez00, BFALSE, BGl_proc3731z00zzast_nodez00,
					BFALSE, BgL_arg2870z00_2772, BgL_arg2871z00_2773);
			}
			{	/* Ast/node.scm 155 */
				obj_t BgL_arg2907z00_2853;
				obj_t BgL_arg2908z00_2854;

				{	/* Ast/node.scm 155 */
					obj_t BgL_v2383z00_2875;

					BgL_v2383z00_2875 = create_vector((int) (((long) 4)));
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2915z00_2876;

						BgL_arg2915z00_2876 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									14)), BGl_proc3736z00zzast_nodez00,
							BGl_proc3735z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3734z00zzast_nodez00, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v2383z00_2875, (int) (((long) 3)),
							BgL_arg2915z00_2876);
					}
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2922z00_2891;

						BgL_arg2922z00_2891 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3738z00zzast_nodez00,
							BGl_proc3737z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2383z00_2875, (int) (((long) 2)),
							BgL_arg2922z00_2891);
					}
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2928z00_2903;

						BgL_arg2928z00_2903 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3740z00zzast_nodez00,
							BGl_proc3739z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2383z00_2875, (int) (((long) 1)),
							BgL_arg2928z00_2903);
					}
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2934z00_2915;

						BgL_arg2934z00_2915 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									37)), BGl_proc3742z00zzast_nodez00,
							BGl_proc3741z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2383z00_2875, (int) (((long) 0)),
							BgL_arg2934z00_2915);
					}
					BgL_arg2907z00_2853 = BgL_v2383z00_2875;
				}
				{	/* Ast/node.scm 155 */
					obj_t BgL_v2384z00_2927;

					BgL_v2384z00_2927 = create_vector((int) (((long) 0)));
					BgL_arg2908z00_2854 = BgL_v2384z00_2927;
				}
				BGl_vsetz12z12zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 47)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 16130), BGl_proc3745z00zzast_nodez00,
					BGl_proc3744z00zzast_nodez00, BFALSE, BGl_proc3743z00zzast_nodez00,
					BFALSE, BgL_arg2907z00_2853, BgL_arg2908z00_2854);
			}
			{	/* Ast/node.scm 166 */
				obj_t BgL_arg2943z00_2934;
				obj_t BgL_arg2944z00_2935;

				{	/* Ast/node.scm 166 */
					obj_t BgL_v2385z00_2953;

					BgL_v2385z00_2953 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 166 */
						obj_t BgL_arg2950z00_2954;

						BgL_arg2950z00_2954 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3747z00zzast_nodez00,
							BGl_proc3746z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2385z00_2953, (int) (((long) 0)),
							BgL_arg2950z00_2954);
					}
					BgL_arg2943z00_2934 = BgL_v2385z00_2953;
				}
				{	/* Ast/node.scm 166 */
					obj_t BgL_v2386z00_2966;

					BgL_v2386z00_2966 = create_vector((int) (((long) 0)));
					BgL_arg2944z00_2935 = BgL_v2386z00_2966;
				}
				BGl_vlengthz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 48)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 17037), BGl_proc3750z00zzast_nodez00,
					BGl_proc3749z00zzast_nodez00, BFALSE, BGl_proc3748z00zzast_nodez00,
					BFALSE, BgL_arg2943z00_2934, BgL_arg2944z00_2935);
			}
			{	/* Ast/node.scm 171 */
				obj_t BgL_arg2960z00_2973;
				obj_t BgL_arg2961z00_2974;

				{	/* Ast/node.scm 171 */
					obj_t BgL_v2387z00_2992;

					BgL_v2387z00_2992 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 171 */
						obj_t BgL_arg2968z00_2993;

						BgL_arg2968z00_2993 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									49)), BGl_proc3752z00zzast_nodez00,
							BGl_proc3751z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2387z00_2992, (int) (((long) 0)),
							BgL_arg2968z00_2993);
					}
					BgL_arg2960z00_2973 = BgL_v2387z00_2992;
				}
				{	/* Ast/node.scm 171 */
					obj_t BgL_v2388z00_3005;

					BgL_v2388z00_3005 = create_vector((int) (((long) 0)));
					BgL_arg2961z00_2974 = BgL_v2388z00_3005;
				}
				BGl_instanceofz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 50)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 64505), BGl_proc3755z00zzast_nodez00,
					BGl_proc3754z00zzast_nodez00, BFALSE, BGl_proc3753z00zzast_nodez00,
					BFALSE, BgL_arg2960z00_2973, BgL_arg2961z00_2974);
			}
			{	/* Ast/node.scm 175 */
				obj_t BgL_arg2977z00_3012;
				obj_t BgL_arg2978z00_3013;

				{	/* Ast/node.scm 175 */
					obj_t BgL_v2389z00_3030;

					BgL_v2389z00_3030 = create_vector((int) (((long) 0)));
					BgL_arg2977z00_3012 = BgL_v2389z00_3030;
				}
				{	/* Ast/node.scm 175 */
					obj_t BgL_v2390z00_3031;

					BgL_v2390z00_3031 = create_vector((int) (((long) 0)));
					BgL_arg2978z00_3013 = BgL_v2390z00_3031;
				}
				BGl_castzd2nullzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 51)),
					CNST_TABLE_REF(((long) 4)), BGl_privatez00zzast_nodez00,
					((long) 35218), BGl_proc3758z00zzast_nodez00,
					BGl_proc3757z00zzast_nodez00, BFALSE, BGl_proc3756z00zzast_nodez00,
					BFALSE, BgL_arg2977z00_3012, BgL_arg2978z00_3013);
			}
			{	/* Ast/node.scm 178 */
				obj_t BgL_arg2987z00_3038;
				obj_t BgL_arg2991z00_3039;

				{	/* Ast/node.scm 178 */
					obj_t BgL_v2391z00_3052;

					BgL_v2391z00_3052 = create_vector((int) (((long) 1)));
					{	/* Ast/node.scm 178 */
						obj_t BgL_arg3003z00_3053;

						BgL_arg3003z00_3053 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc3760z00zzast_nodez00,
							BGl_proc3759z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2391z00_3052, (int) (((long) 0)),
							BgL_arg3003z00_3053);
					}
					BgL_arg2987z00_3038 = BgL_v2391z00_3052;
				}
				{	/* Ast/node.scm 178 */
					obj_t BgL_v2392z00_3065;

					BgL_v2392z00_3065 = create_vector((int) (((long) 0)));
					BgL_arg2991z00_3039 = BgL_v2392z00_3065;
				}
				BGl_castz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 52)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 32773),
					BGl_proc3763z00zzast_nodez00, BGl_proc3762z00zzast_nodez00, BFALSE,
					BGl_proc3761z00zzast_nodez00, BFALSE, BgL_arg2987z00_3038,
					BgL_arg2991z00_3039);
			}
			{	/* Ast/node.scm 183 */
				obj_t BgL_arg3012z00_3072;
				obj_t BgL_arg3015z00_3073;

				{	/* Ast/node.scm 183 */
					obj_t BgL_v2393z00_3087;

					BgL_v2393z00_3087 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 183 */
						obj_t BgL_arg3021z00_3088;

						BgL_arg3021z00_3088 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3765z00zzast_nodez00,
							BGl_proc3764z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2393z00_3087, (int) (((long) 1)),
							BgL_arg3021z00_3088);
					}
					{	/* Ast/node.scm 183 */
						obj_t BgL_arg3026z00_3100;

						BgL_arg3026z00_3100 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3767z00zzast_nodez00,
							BGl_proc3766z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2393z00_3087, (int) (((long) 0)),
							BgL_arg3026z00_3100);
					}
					BgL_arg3012z00_3072 = BgL_v2393z00_3087;
				}
				{	/* Ast/node.scm 183 */
					obj_t BgL_v2394z00_3112;

					BgL_v2394z00_3112 = create_vector((int) (((long) 0)));
					BgL_arg3015z00_3073 = BgL_v2394z00_3112;
				}
				BGl_setqz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 53)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 57238),
					BGl_proc3770z00zzast_nodez00, BGl_proc3769z00zzast_nodez00, BFALSE,
					BGl_proc3768z00zzast_nodez00, BFALSE, BgL_arg3012z00_3072,
					BgL_arg3015z00_3073);
			}
			{	/* Ast/node.scm 190 */
				obj_t BgL_arg3047z00_3119;
				obj_t BgL_arg3048z00_3120;

				{	/* Ast/node.scm 190 */
					obj_t BgL_v2395z00_3137;

					BgL_v2395z00_3137 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 190 */
						obj_t BgL_arg3055z00_3138;

						BgL_arg3055z00_3138 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									54)), BGl_proc3772z00zzast_nodez00,
							BGl_proc3771z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2395z00_3137, (int) (((long) 2)),
							BgL_arg3055z00_3138);
					}
					{	/* Ast/node.scm 190 */
						obj_t BgL_arg3060z00_3150;

						BgL_arg3060z00_3150 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									55)), BGl_proc3774z00zzast_nodez00,
							BGl_proc3773z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2395z00_3137, (int) (((long) 1)),
							BgL_arg3060z00_3150);
					}
					{	/* Ast/node.scm 190 */
						obj_t BgL_arg3067z00_3162;

						BgL_arg3067z00_3162 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									56)), BGl_proc3776z00zzast_nodez00,
							BGl_proc3775z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2395z00_3137, (int) (((long) 0)),
							BgL_arg3067z00_3162);
					}
					BgL_arg3047z00_3119 = BgL_v2395z00_3137;
				}
				{	/* Ast/node.scm 190 */
					obj_t BgL_v2396z00_3174;

					BgL_v2396z00_3174 = create_vector((int) (((long) 0)));
					BgL_arg3048z00_3120 = BgL_v2396z00_3174;
				}
				BGl_conditionalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 57)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 32399), BGl_proc3779z00zzast_nodez00,
					BGl_proc3778z00zzast_nodez00, BFALSE, BGl_proc3777z00zzast_nodez00,
					BFALSE, BgL_arg3047z00_3119, BgL_arg3048z00_3120);
			}
			{	/* Ast/node.scm 199 */
				obj_t BgL_arg3075z00_3181;
				obj_t BgL_arg3076z00_3182;

				{	/* Ast/node.scm 199 */
					obj_t BgL_v2397z00_3197;

					BgL_v2397z00_3197 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 199 */
						obj_t BgL_arg3082z00_3198;

						BgL_arg3082z00_3198 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3781z00zzast_nodez00,
							BGl_proc3780z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2397z00_3197, (int) (((long) 2)),
							BgL_arg3082z00_3198);
					}
					{	/* Ast/node.scm 199 */
						obj_t BgL_arg3087z00_3210;

						BgL_arg3087z00_3210 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									58)), BGl_proc3783z00zzast_nodez00,
							BGl_proc3782z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2397z00_3197, (int) (((long) 1)),
							BgL_arg3087z00_3210);
					}
					{	/* Ast/node.scm 199 */
						obj_t BgL_arg3093z00_3222;

						BgL_arg3093z00_3222 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									59)), BGl_proc3785z00zzast_nodez00,
							BGl_proc3784z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2397z00_3197, (int) (((long) 0)),
							BgL_arg3093z00_3222);
					}
					BgL_arg3075z00_3181 = BgL_v2397z00_3197;
				}
				{	/* Ast/node.scm 199 */
					obj_t BgL_v2398z00_3234;

					BgL_v2398z00_3234 = create_vector((int) (((long) 0)));
					BgL_arg3076z00_3182 = BgL_v2398z00_3234;
				}
				BGl_failz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 60)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 25408),
					BGl_proc3788z00zzast_nodez00, BGl_proc3787z00zzast_nodez00, BFALSE,
					BGl_proc3786z00zzast_nodez00, BFALSE, BgL_arg3075z00_3181,
					BgL_arg3076z00_3182);
			}
			{	/* Ast/node.scm 206 */
				obj_t BgL_arg3104z00_3241;
				obj_t BgL_arg3105z00_3242;

				{	/* Ast/node.scm 206 */
					obj_t BgL_v2399z00_3259;

					BgL_v2399z00_3259 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 206 */
						obj_t BgL_arg3112z00_3260;

						BgL_arg3112z00_3260 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									61)), BGl_proc3790z00zzast_nodez00,
							BGl_proc3789z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2399z00_3259, (int) (((long) 2)),
							BgL_arg3112z00_3260);
					}
					{	/* Ast/node.scm 206 */
						obj_t BgL_arg3118z00_3272;

						BgL_arg3118z00_3272 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									62)), BGl_proc3792z00zzast_nodez00,
							BGl_proc3791z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2399z00_3259, (int) (((long) 1)),
							BgL_arg3118z00_3272);
					}
					{	/* Ast/node.scm 206 */
						obj_t BgL_arg3124z00_3284;

						BgL_arg3124z00_3284 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									56)), BGl_proc3794z00zzast_nodez00,
							BGl_proc3793z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2399z00_3259, (int) (((long) 0)),
							BgL_arg3124z00_3284);
					}
					BgL_arg3104z00_3241 = BgL_v2399z00_3259;
				}
				{	/* Ast/node.scm 206 */
					obj_t BgL_v2400z00_3296;

					BgL_v2400z00_3296 = create_vector((int) (((long) 0)));
					BgL_arg3105z00_3242 = BgL_v2400z00_3296;
				}
				BGl_selectz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 63)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 12311), BGl_proc3797z00zzast_nodez00,
					BGl_proc3796z00zzast_nodez00, BFALSE, BGl_proc3795z00zzast_nodez00,
					BFALSE, BgL_arg3104z00_3241, BgL_arg3105z00_3242);
			}
			{	/* Ast/node.scm 215 */
				obj_t BgL_arg3133z00_3303;
				obj_t BgL_arg3134z00_3304;

				{	/* Ast/node.scm 215 */
					obj_t BgL_v2401z00_3320;

					BgL_v2401z00_3320 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 215 */
						obj_t BgL_arg3140z00_3321;

						BgL_arg3140z00_3321 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3799z00zzast_nodez00,
							BGl_proc3798z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2401z00_3320, (int) (((long) 1)),
							BgL_arg3140z00_3321);
					}
					{	/* Ast/node.scm 215 */
						obj_t BgL_arg3146z00_3333;

						BgL_arg3146z00_3333 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									65)), BGl_proc3801z00zzast_nodez00,
							BGl_proc3800z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2401z00_3320, (int) (((long) 0)),
							BgL_arg3146z00_3333);
					}
					BgL_arg3133z00_3303 = BgL_v2401z00_3320;
				}
				{	/* Ast/node.scm 215 */
					obj_t BgL_v2402z00_3345;

					BgL_v2402z00_3345 = create_vector((int) (((long) 0)));
					BgL_arg3134z00_3304 = BgL_v2402z00_3345;
				}
				BGl_letzd2funzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 66)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 30800), BGl_proc3804z00zzast_nodez00,
					BGl_proc3803z00zzast_nodez00, BFALSE, BGl_proc3802z00zzast_nodez00,
					BFALSE, BgL_arg3133z00_3303, BgL_arg3134z00_3304);
			}
			{	/* Ast/node.scm 222 */
				obj_t BgL_arg3154z00_3352;
				obj_t BgL_arg3155z00_3353;

				{	/* Ast/node.scm 222 */
					obj_t BgL_v2403z00_3370;

					BgL_v2403z00_3370 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 222 */
						obj_t BgL_arg3161z00_3371;

						BgL_arg3161z00_3371 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									67)), BGl_proc3807z00zzast_nodez00,
							BGl_proc3806z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3805z00zzast_nodez00, CNST_TABLE_REF(((long) 15)));
						VECTOR_SET(BgL_v2403z00_3370, (int) (((long) 2)),
							BgL_arg3161z00_3371);
					}
					{	/* Ast/node.scm 222 */
						obj_t BgL_arg3168z00_3386;

						BgL_arg3168z00_3386 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3809z00zzast_nodez00,
							BGl_proc3808z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2403z00_3370, (int) (((long) 1)),
							BgL_arg3168z00_3386);
					}
					{	/* Ast/node.scm 222 */
						obj_t BgL_arg3173z00_3398;

						BgL_arg3173z00_3398 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									68)), BGl_proc3811z00zzast_nodez00,
							BGl_proc3810z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v2403z00_3370, (int) (((long) 0)),
							BgL_arg3173z00_3398);
					}
					BgL_arg3154z00_3352 = BgL_v2403z00_3370;
				}
				{	/* Ast/node.scm 222 */
					obj_t BgL_v2404z00_3410;

					BgL_v2404z00_3410 = create_vector((int) (((long) 0)));
					BgL_arg3155z00_3353 = BgL_v2404z00_3410;
				}
				BGl_letzd2varzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 69)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 54885), BGl_proc3814z00zzast_nodez00,
					BGl_proc3813z00zzast_nodez00, BFALSE, BGl_proc3812z00zzast_nodez00,
					BFALSE, BgL_arg3154z00_3352, BgL_arg3155z00_3353);
			}
			{	/* Ast/node.scm 231 */
				obj_t BgL_arg3181z00_3417;
				obj_t BgL_arg3183z00_3418;

				{	/* Ast/node.scm 231 */
					obj_t BgL_v2405z00_3432;

					BgL_v2405z00_3432 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 231 */
						obj_t BgL_arg3190z00_3433;

						BgL_arg3190z00_3433 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3816z00zzast_nodez00,
							BGl_proc3815z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2405z00_3432, (int) (((long) 1)),
							BgL_arg3190z00_3433);
					}
					{	/* Ast/node.scm 231 */
						obj_t BgL_arg3195z00_3445;

						BgL_arg3195z00_3445 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3818z00zzast_nodez00,
							BGl_proc3817z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2405z00_3432, (int) (((long) 0)),
							BgL_arg3195z00_3445);
					}
					BgL_arg3181z00_3417 = BgL_v2405z00_3432;
				}
				{	/* Ast/node.scm 231 */
					obj_t BgL_v2406z00_3457;

					BgL_v2406z00_3457 = create_vector((int) (((long) 0)));
					BgL_arg3183z00_3418 = BgL_v2406z00_3457;
				}
				BGl_setzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 70)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 26680),
					BGl_proc3821z00zzast_nodez00, BGl_proc3820z00zzast_nodez00, BFALSE,
					BGl_proc3819z00zzast_nodez00, BFALSE, BgL_arg3181z00_3417,
					BgL_arg3183z00_3418);
			}
			{	/* Ast/node.scm 238 */
				obj_t BgL_arg3208z00_3464;
				obj_t BgL_arg3210z00_3465;

				{	/* Ast/node.scm 238 */
					obj_t BgL_v2407z00_3479;

					BgL_v2407z00_3479 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 238 */
						obj_t BgL_arg3217z00_3480;

						BgL_arg3217z00_3480 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3823z00zzast_nodez00,
							BGl_proc3822z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2407z00_3479, (int) (((long) 1)),
							BgL_arg3217z00_3480);
					}
					{	/* Ast/node.scm 238 */
						obj_t BgL_arg3222z00_3492;

						BgL_arg3222z00_3492 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									71)), BGl_proc3825z00zzast_nodez00,
							BGl_proc3824z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2407z00_3479, (int) (((long) 0)),
							BgL_arg3222z00_3492);
					}
					BgL_arg3208z00_3464 = BgL_v2407z00_3479;
				}
				{	/* Ast/node.scm 238 */
					obj_t BgL_v2408z00_3504;

					BgL_v2408z00_3504 = create_vector((int) (((long) 0)));
					BgL_arg3210z00_3465 = BgL_v2408z00_3504;
				}
				BGl_jumpzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 72)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 40013),
					BGl_proc3828z00zzast_nodez00, BGl_proc3827z00zzast_nodez00, BFALSE,
					BGl_proc3826z00zzast_nodez00, BFALSE, BgL_arg3208z00_3464,
					BgL_arg3210z00_3465);
			}
			{	/* Ast/node.scm 245 */
				obj_t BgL_arg3231z00_3511;
				obj_t BgL_arg3235z00_3512;

				{	/* Ast/node.scm 245 */
					obj_t BgL_v2409z00_3528;

					BgL_v2409z00_3528 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 245 */
						obj_t BgL_arg3250z00_3529;

						BgL_arg3250z00_3529 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3830z00zzast_nodez00,
							BGl_proc3829z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2409z00_3528, (int) (((long) 1)),
							BgL_arg3250z00_3529);
					}
					{	/* Ast/node.scm 245 */
						obj_t BgL_arg3257z00_3541;

						BgL_arg3257z00_3541 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3832z00zzast_nodez00,
							BGl_proc3831z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2409z00_3528, (int) (((long) 0)),
							BgL_arg3257z00_3541);
					}
					BgL_arg3231z00_3511 = BgL_v2409z00_3528;
				}
				{	/* Ast/node.scm 245 */
					obj_t BgL_v2410z00_3553;

					BgL_v2410z00_3553 = create_vector((int) (((long) 0)));
					BgL_arg3235z00_3512 = BgL_v2410z00_3553;
				}
				BGl_makezd2boxzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 73)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 7843), BGl_proc3835z00zzast_nodez00,
					BGl_proc3834z00zzast_nodez00, BFALSE, BGl_proc3833z00zzast_nodez00,
					BFALSE, BgL_arg3231z00_3511, BgL_arg3235z00_3512);
			}
			{	/* Ast/node.scm 250 */
				obj_t BgL_arg3266z00_3560;
				obj_t BgL_arg3267z00_3561;

				{	/* Ast/node.scm 250 */
					obj_t BgL_v2411z00_3577;

					BgL_v2411z00_3577 = create_vector((int) (((long) 2)));
					{	/* Ast/node.scm 250 */
						obj_t BgL_arg3273z00_3578;

						BgL_arg3273z00_3578 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3837z00zzast_nodez00,
							BGl_proc3836z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2411z00_3577, (int) (((long) 1)),
							BgL_arg3273z00_3578);
					}
					{	/* Ast/node.scm 250 */
						obj_t BgL_arg3278z00_3590;

						BgL_arg3278z00_3590 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3839z00zzast_nodez00,
							BGl_proc3838z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2411z00_3577, (int) (((long) 0)),
							BgL_arg3278z00_3590);
					}
					BgL_arg3266z00_3560 = BgL_v2411z00_3577;
				}
				{	/* Ast/node.scm 250 */
					obj_t BgL_v2412z00_3602;

					BgL_v2412z00_3602 = create_vector((int) (((long) 0)));
					BgL_arg3267z00_3561 = BgL_v2412z00_3602;
				}
				BGl_boxzd2refzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 74)),
					CNST_TABLE_REF(((long) 4)), BGl_nodezf2effectzf2zzast_nodez00,
					((long) 19725), BGl_proc3842z00zzast_nodez00,
					BGl_proc3841z00zzast_nodez00, BFALSE, BGl_proc3840z00zzast_nodez00,
					BFALSE, BgL_arg3266z00_3560, BgL_arg3267z00_3561);
			}
			{	/* Ast/node.scm 255 */
				obj_t BgL_arg3286z00_3609;
				obj_t BgL_arg3309z00_3610;

				{	/* Ast/node.scm 255 */
					obj_t BgL_v2413z00_3625;

					BgL_v2413z00_3625 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 255 */
						obj_t BgL_arg3315z00_3626;

						BgL_arg3315z00_3626 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									45)), BGl_proc3844z00zzast_nodez00,
							BGl_proc3843z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v2413z00_3625, (int) (((long) 2)),
							BgL_arg3315z00_3626);
					}
					{	/* Ast/node.scm 255 */
						obj_t BgL_arg3321z00_3638;

						BgL_arg3321z00_3638 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc3846z00zzast_nodez00,
							BGl_proc3845z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2413z00_3625, (int) (((long) 1)),
							BgL_arg3321z00_3638);
					}
					{	/* Ast/node.scm 255 */
						obj_t BgL_arg3326z00_3650;

						BgL_arg3326z00_3650 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									11)), BGl_proc3848z00zzast_nodez00,
							BGl_proc3847z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v2413z00_3625, (int) (((long) 0)),
							BgL_arg3326z00_3650);
					}
					BgL_arg3286z00_3609 = BgL_v2413z00_3625;
				}
				{	/* Ast/node.scm 255 */
					obj_t BgL_v2414z00_3662;

					BgL_v2414z00_3662 = create_vector((int) (((long) 0)));
					BgL_arg3309z00_3610 = BgL_v2414z00_3662;
				}
				BGl_boxzd2setz12zc0zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 75)),
					CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00, ((long) 57714),
					BGl_proc3851z00zzast_nodez00, BGl_proc3850z00zzast_nodez00, BFALSE,
					BGl_proc3849z00zzast_nodez00, BFALSE, BgL_arg3286z00_3609,
					BgL_arg3309z00_3610);
			}
			{	/* Ast/node.scm 261 */
				obj_t BgL_arg3337z00_3669;
				obj_t BgL_arg3338z00_3670;

				{	/* Ast/node.scm 261 */
					obj_t BgL_v2415z00_3685;

					BgL_v2415z00_3685 = create_vector((int) (((long) 3)));
					{	/* Ast/node.scm 261 */
						obj_t BgL_arg3346z00_3686;

						BgL_arg3346z00_3686 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									64)), BGl_proc3853z00zzast_nodez00,
							BGl_proc3852z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2415z00_3685, (int) (((long) 2)),
							BgL_arg3346z00_3686);
					}
					{	/* Ast/node.scm 261 */
						obj_t BgL_arg3351z00_3698;

						BgL_arg3351z00_3698 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									76)), BGl_proc3855z00zzast_nodez00,
							BGl_proc3854z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2415z00_3685, (int) (((long) 1)),
							BgL_arg3351z00_3698);
					}
					{	/* Ast/node.scm 261 */
						obj_t BgL_arg3356z00_3710;

						BgL_arg3356z00_3710 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									77)), BGl_proc3857z00zzast_nodez00,
							BGl_proc3856z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2415z00_3685, (int) (((long) 0)),
							BgL_arg3356z00_3710);
					}
					BgL_arg3337z00_3669 = BgL_v2415z00_3685;
				}
				{	/* Ast/node.scm 261 */
					obj_t BgL_v2416z00_3722;

					BgL_v2416z00_3722 = create_vector((int) (((long) 0)));
					BgL_arg3338z00_3670 = BgL_v2416z00_3722;
				}
				return (BGl_syncz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 78)),
						CNST_TABLE_REF(((long) 4)), BGl_nodez00zzast_nodez00,
						((long) 24292), BGl_proc3860z00zzast_nodez00,
						BGl_proc3859z00zzast_nodez00, BFALSE, BGl_proc3858z00zzast_nodez00,
						BFALSE, BgL_arg3337z00_3669, BgL_arg3338z00_3670), BUNSPEC);
		}}
	}



/* &<anonymous:3343> */
	BgL_syncz00_bglt BGl_z62zc3anonymousza33343ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7359, obj_t BgL_new1385z00_7360)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 261 */
			{
				BgL_syncz00_bglt BgL_new1385z00_3683;

				BgL_new1385z00_3683 = ((BgL_syncz00_bglt) BgL_new1385z00_7360);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1385z00_3683)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13514;

					{	/* Ast/node.scm 261 */
						obj_t BgL_classz00_5660;

						BgL_classz00_5660 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 261 */
							obj_t BgL__ortest_1092z00_5661;

							BgL__ortest_1092z00_5661 = BGL_CLASS_NIL(BgL_classz00_5660);
							if (CBOOL(BgL__ortest_1092z00_5661))
								{	/* Ast/node.scm 261 */
									BgL_auxz00_13514 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5661);
								}
							else
								{	/* Ast/node.scm 261 */
									BgL_auxz00_13514 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5660));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1385z00_3683)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13514), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13523;

					{	/* Ast/node.scm 261 */
						obj_t BgL_classz00_5662;

						BgL_classz00_5662 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 261 */
							obj_t BgL__ortest_1092z00_5663;

							BgL__ortest_1092z00_5663 = BGL_CLASS_NIL(BgL_classz00_5662);
							if (CBOOL(BgL__ortest_1092z00_5663))
								{	/* Ast/node.scm 261 */
									BgL_auxz00_13523 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5663);
								}
							else
								{	/* Ast/node.scm 261 */
									BgL_auxz00_13523 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5662));
								}
						}
					}
					((((BgL_syncz00_bglt) CREF(BgL_new1385z00_3683))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13523), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13531;

					{	/* Ast/node.scm 261 */
						obj_t BgL_classz00_5664;

						BgL_classz00_5664 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 261 */
							obj_t BgL__ortest_1092z00_5665;

							BgL__ortest_1092z00_5665 = BGL_CLASS_NIL(BgL_classz00_5664);
							if (CBOOL(BgL__ortest_1092z00_5665))
								{	/* Ast/node.scm 261 */
									BgL_auxz00_13531 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5665);
								}
							else
								{	/* Ast/node.scm 261 */
									BgL_auxz00_13531 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5664));
								}
						}
					}
					((((BgL_syncz00_bglt) CREF(BgL_new1385z00_3683))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13531), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13539;

					{	/* Ast/node.scm 261 */
						obj_t BgL_classz00_5666;

						BgL_classz00_5666 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 261 */
							obj_t BgL__ortest_1092z00_5667;

							BgL__ortest_1092z00_5667 = BGL_CLASS_NIL(BgL_classz00_5666);
							if (CBOOL(BgL__ortest_1092z00_5667))
								{	/* Ast/node.scm 261 */
									BgL_auxz00_13539 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5667);
								}
							else
								{	/* Ast/node.scm 261 */
									BgL_auxz00_13539 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5666));
								}
						}
					}
					((((BgL_syncz00_bglt) CREF(BgL_new1385z00_3683))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13539), BUNSPEC);
				}
				return BgL_new1385z00_3683;
			}
		}
	}



/* &lambda3341 */
	BgL_syncz00_bglt BGl_z62lambda3341z62zzast_nodez00(obj_t BgL_envz00_7361)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 261 */
			{

				{	/* Ast/node.scm 261 */
					BgL_syncz00_bglt BgL_new1384z00_3681;

					BgL_new1384z00_3681 =
						((BgL_syncz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/node.scm 261 */
						long BgL_arg3342z00_3682;

						{	/* Ast/node.scm 261 */
							long BgL_res3561z00_5657;

							BgL_res3561z00_5657 = BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
							BgL_arg3342z00_3682 = BgL_res3561z00_5657;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1384z00_3681), BgL_arg3342z00_3682);
					}
					{	/* Ast/node.scm 261 */
						BgL_objectz00_bglt BgL_auxz00_13552;

						BgL_auxz00_13552 = ((BgL_objectz00_bglt) BgL_new1384z00_3681);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13552, BFALSE);
					}
					return BgL_new1384z00_3681;
				}
			}
		}
	}



/* &lambda3339 */
	BgL_syncz00_bglt BGl_z62lambda3339z62zzast_nodez00(obj_t BgL_envz00_7362,
		obj_t BgL_loc1379z00_7363, obj_t BgL_type1380z00_7364,
		obj_t BgL_mutex1381z00_7365, obj_t BgL_prelock1382z00_7366,
		obj_t BgL_body1383z00_7367)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 261 */
			{
				obj_t BgL_loc1379z00_3671;
				BgL_typez00_bglt BgL_type1380z00_3672;
				BgL_nodez00_bglt BgL_mutex1381z00_3673;
				BgL_nodez00_bglt BgL_prelock1382z00_3674;
				BgL_nodez00_bglt BgL_body1383z00_3675;

				BgL_loc1379z00_3671 = BgL_loc1379z00_7363;
				BgL_type1380z00_3672 = ((BgL_typez00_bglt) BgL_type1380z00_7364);
				BgL_mutex1381z00_3673 = ((BgL_nodez00_bglt) BgL_mutex1381z00_7365);
				BgL_prelock1382z00_3674 = ((BgL_nodez00_bglt) BgL_prelock1382z00_7366);
				BgL_body1383z00_3675 = ((BgL_nodez00_bglt) BgL_body1383z00_7367);
				{	/* Ast/node.scm 261 */
					BgL_syncz00_bglt BgL_new2108z00_3677;

					{	/* Ast/node.scm 261 */
						BgL_syncz00_bglt BgL_new2107z00_3678;

						BgL_new2107z00_3678 =
							((BgL_syncz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_syncz00_bgl))));
						{	/* Ast/node.scm 261 */
							long BgL_arg3340z00_3679;

							{	/* Ast/node.scm 261 */
								long BgL_res3560z00_5653;

								BgL_res3560z00_5653 = BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
								BgL_arg3340z00_3679 = BgL_res3560z00_5653;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2107z00_3678),
								BgL_arg3340z00_3679);
						}
						{	/* Ast/node.scm 261 */
							BgL_objectz00_bglt BgL_auxz00_13559;

							BgL_auxz00_13559 = ((BgL_objectz00_bglt) BgL_new2107z00_3678);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13559, BFALSE);
						}
						BgL_new2108z00_3677 = BgL_new2107z00_3678;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2108z00_3677)))->BgL_locz00) =
						((obj_t) BgL_loc1379z00_3671), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2108z00_3677)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1380z00_3672), BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new2108z00_3677))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_mutex1381z00_3673), BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new2108z00_3677))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_prelock1382z00_3674), BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new2108z00_3677))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1383z00_3675), BUNSPEC);
					return BgL_new2108z00_3677;
				}
			}
		}
	}



/* &lambda3360 */
	obj_t BGl_z62lambda3360z62zzast_nodez00(obj_t BgL_envz00_7368,
		obj_t BgL_oz00_7369, obj_t BgL_vz00_7370)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 261 */
			return
				((((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_oz00_7369)))->BgL_mutexz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7370)), BUNSPEC);
		}
	}



/* &lambda3359 */
	BgL_nodez00_bglt BGl_z62lambda3359z62zzast_nodez00(obj_t BgL_envz00_7371,
		obj_t BgL_oz00_7372)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 261 */
			return
				(((BgL_syncz00_bglt) CREF(
						((BgL_syncz00_bglt) BgL_oz00_7372)))->BgL_mutexz00);
		}
	}



/* &lambda3355 */
	obj_t BGl_z62lambda3355z62zzast_nodez00(obj_t BgL_envz00_7373,
		obj_t BgL_oz00_7374, obj_t BgL_vz00_7375)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 261 */
			return
				((((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_oz00_7374)))->BgL_prelockz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7375)), BUNSPEC);
		}
	}



/* &lambda3354 */
	BgL_nodez00_bglt BGl_z62lambda3354z62zzast_nodez00(obj_t BgL_envz00_7376,
		obj_t BgL_oz00_7377)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 261 */
			return
				(((BgL_syncz00_bglt) CREF(
						((BgL_syncz00_bglt) BgL_oz00_7377)))->BgL_prelockz00);
		}
	}



/* &lambda3350 */
	obj_t BGl_z62lambda3350z62zzast_nodez00(obj_t BgL_envz00_7378,
		obj_t BgL_oz00_7379, obj_t BgL_vz00_7380)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 261 */
			return
				((((BgL_syncz00_bglt) CREF(
							((BgL_syncz00_bglt) BgL_oz00_7379)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7380)), BUNSPEC);
		}
	}



/* &lambda3349 */
	BgL_nodez00_bglt BGl_z62lambda3349z62zzast_nodez00(obj_t BgL_envz00_7381,
		obj_t BgL_oz00_7382)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 261 */
			return
				(((BgL_syncz00_bglt) CREF(
						((BgL_syncz00_bglt) BgL_oz00_7382)))->BgL_bodyz00);
		}
	}



/* &<anonymous:3314> */
	BgL_boxzd2setz12zc0_bglt BGl_z62zc3anonymousza33314ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7383, obj_t BgL_new1377z00_7384)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 255 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_new1377z00_3623;

				BgL_new1377z00_3623 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1377z00_7384);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1377z00_3623)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13590;

					{	/* Ast/node.scm 255 */
						obj_t BgL_classz00_5629;

						BgL_classz00_5629 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 255 */
							obj_t BgL__ortest_1092z00_5630;

							BgL__ortest_1092z00_5630 = BGL_CLASS_NIL(BgL_classz00_5629);
							if (CBOOL(BgL__ortest_1092z00_5630))
								{	/* Ast/node.scm 255 */
									BgL_auxz00_13590 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5630);
								}
							else
								{	/* Ast/node.scm 255 */
									BgL_auxz00_13590 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5629));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1377z00_3623)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13590), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_13599;

					{	/* Ast/node.scm 255 */
						obj_t BgL_classz00_5631;

						BgL_classz00_5631 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 255 */
							obj_t BgL__ortest_1092z00_5632;

							BgL__ortest_1092z00_5632 = BGL_CLASS_NIL(BgL_classz00_5631);
							if (CBOOL(BgL__ortest_1092z00_5632))
								{	/* Ast/node.scm 255 */
									BgL_auxz00_13599 =
										((BgL_varz00_bglt) BgL__ortest_1092z00_5632);
								}
							else
								{	/* Ast/node.scm 255 */
									BgL_auxz00_13599 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5631));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1377z00_3623))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_13599), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13607;

					{	/* Ast/node.scm 255 */
						obj_t BgL_classz00_5633;

						BgL_classz00_5633 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 255 */
							obj_t BgL__ortest_1092z00_5634;

							BgL__ortest_1092z00_5634 = BGL_CLASS_NIL(BgL_classz00_5633);
							if (CBOOL(BgL__ortest_1092z00_5634))
								{	/* Ast/node.scm 255 */
									BgL_auxz00_13607 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5634);
								}
							else
								{	/* Ast/node.scm 255 */
									BgL_auxz00_13607 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5633));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1377z00_3623))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_13607), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13615;

					{	/* Ast/node.scm 255 */
						obj_t BgL_classz00_5635;

						BgL_classz00_5635 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 255 */
							obj_t BgL__ortest_1092z00_5636;

							BgL__ortest_1092z00_5636 = BGL_CLASS_NIL(BgL_classz00_5635);
							if (CBOOL(BgL__ortest_1092z00_5636))
								{	/* Ast/node.scm 255 */
									BgL_auxz00_13615 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5636);
								}
							else
								{	/* Ast/node.scm 255 */
									BgL_auxz00_13615 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5635));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new1377z00_3623))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13615), BUNSPEC);
				}
				return BgL_new1377z00_3623;
			}
		}
	}



/* &lambda3312 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3312z62zzast_nodez00(obj_t
		BgL_envz00_7385)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 255 */
			{

				{	/* Ast/node.scm 255 */
					BgL_boxzd2setz12zc0_bglt BgL_new1376z00_3621;

					BgL_new1376z00_3621 =
						((BgL_boxzd2setz12zc0_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/node.scm 255 */
						long BgL_arg3313z00_3622;

						{	/* Ast/node.scm 255 */
							long BgL_res3559z00_5626;

							BgL_res3559z00_5626 =
								BGL_CLASS_INDEX(BGl_boxzd2setz12zc0zzast_nodez00);
							BgL_arg3313z00_3622 = BgL_res3559z00_5626;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1376z00_3621), BgL_arg3313z00_3622);
					}
					{	/* Ast/node.scm 255 */
						BgL_objectz00_bglt BgL_auxz00_13628;

						BgL_auxz00_13628 = ((BgL_objectz00_bglt) BgL_new1376z00_3621);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13628, BFALSE);
					}
					return BgL_new1376z00_3621;
				}
			}
		}
	}



/* &lambda3310 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3310z62zzast_nodez00(obj_t
		BgL_envz00_7386, obj_t BgL_loc1371z00_7387, obj_t BgL_type1372z00_7388,
		obj_t BgL_var1373z00_7389, obj_t BgL_value1374z00_7390,
		obj_t BgL_vtype1375z00_7391)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 255 */
			{
				obj_t BgL_loc1371z00_3611;
				BgL_typez00_bglt BgL_type1372z00_3612;
				BgL_varz00_bglt BgL_var1373z00_3613;
				BgL_nodez00_bglt BgL_value1374z00_3614;
				BgL_typez00_bglt BgL_vtype1375z00_3615;

				BgL_loc1371z00_3611 = BgL_loc1371z00_7387;
				BgL_type1372z00_3612 = ((BgL_typez00_bglt) BgL_type1372z00_7388);
				BgL_var1373z00_3613 = ((BgL_varz00_bglt) BgL_var1373z00_7389);
				BgL_value1374z00_3614 = ((BgL_nodez00_bglt) BgL_value1374z00_7390);
				BgL_vtype1375z00_3615 = ((BgL_typez00_bglt) BgL_vtype1375z00_7391);
				{	/* Ast/node.scm 255 */
					BgL_boxzd2setz12zc0_bglt BgL_new2100z00_3617;

					{	/* Ast/node.scm 255 */
						BgL_boxzd2setz12zc0_bglt BgL_new2099z00_3618;

						BgL_new2099z00_3618 =
							((BgL_boxzd2setz12zc0_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zc0_bgl))));
						{	/* Ast/node.scm 255 */
							long BgL_arg3311z00_3619;

							{	/* Ast/node.scm 255 */
								long BgL_res3558z00_5622;

								BgL_res3558z00_5622 =
									BGL_CLASS_INDEX(BGl_boxzd2setz12zc0zzast_nodez00);
								BgL_arg3311z00_3619 = BgL_res3558z00_5622;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2099z00_3618),
								BgL_arg3311z00_3619);
						}
						{	/* Ast/node.scm 255 */
							BgL_objectz00_bglt BgL_auxz00_13635;

							BgL_auxz00_13635 = ((BgL_objectz00_bglt) BgL_new2099z00_3618);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13635, BFALSE);
						}
						BgL_new2100z00_3617 = BgL_new2099z00_3618;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2100z00_3617)))->BgL_locz00) =
						((obj_t) BgL_loc1371z00_3611), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2100z00_3617)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1372z00_3612), BUNSPEC);
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new2100z00_3617))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_var1373z00_3613), BUNSPEC);
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new2100z00_3617))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1374z00_3614), BUNSPEC);
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_new2100z00_3617))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1375z00_3615), BUNSPEC);
					return BgL_new2100z00_3617;
				}
			}
		}
	}



/* &lambda3330 */
	obj_t BGl_z62lambda3330z62zzast_nodez00(obj_t BgL_envz00_7392,
		obj_t BgL_oz00_7393, obj_t BgL_vz00_7394)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 255 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7393)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7394)), BUNSPEC);
		}
	}



/* &lambda3329 */
	BgL_varz00_bglt BGl_z62lambda3329z62zzast_nodez00(obj_t BgL_envz00_7395,
		obj_t BgL_oz00_7396)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 255 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7396)))->BgL_varz00);
		}
	}



/* &lambda3325 */
	obj_t BGl_z62lambda3325z62zzast_nodez00(obj_t BgL_envz00_7397,
		obj_t BgL_oz00_7398, obj_t BgL_vz00_7399)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 255 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7398)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7399)), BUNSPEC);
		}
	}



/* &lambda3324 */
	BgL_nodez00_bglt BGl_z62lambda3324z62zzast_nodez00(obj_t BgL_envz00_7400,
		obj_t BgL_oz00_7401)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 255 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7401)))->BgL_valuez00);
		}
	}



/* &lambda3319 */
	obj_t BGl_z62lambda3319z62zzast_nodez00(obj_t BgL_envz00_7402,
		obj_t BgL_oz00_7403, obj_t BgL_vz00_7404)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 255 */
			return
				((((BgL_boxzd2setz12zc0_bglt) CREF(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7403)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7404)), BUNSPEC);
		}
	}



/* &lambda3318 */
	BgL_typez00_bglt BGl_z62lambda3318z62zzast_nodez00(obj_t BgL_envz00_7405,
		obj_t BgL_oz00_7406)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 255 */
			return
				(((BgL_boxzd2setz12zc0_bglt) CREF(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7406)))->BgL_vtypez00);
		}
	}



/* &<anonymous:3272> */
	BgL_boxzd2refzd2_bglt BGl_z62zc3anonymousza33272ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7407, obj_t BgL_new1369z00_7408)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 250 */
			{
				BgL_boxzd2refzd2_bglt BgL_new1369z00_3575;

				BgL_new1369z00_3575 = ((BgL_boxzd2refzd2_bglt) BgL_new1369z00_7408);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1369z00_3575)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13666;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_5600;

						BgL_classz00_5600 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1092z00_5601;

							BgL__ortest_1092z00_5601 = BGL_CLASS_NIL(BgL_classz00_5600);
							if (CBOOL(BgL__ortest_1092z00_5601))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_13666 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5601);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_13666 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5600));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1369z00_3575)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13666), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1369z00_3575)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1369z00_3575)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_13679;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_5602;

						BgL_classz00_5602 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1092z00_5603;

							BgL__ortest_1092z00_5603 = BGL_CLASS_NIL(BgL_classz00_5602);
							if (CBOOL(BgL__ortest_1092z00_5603))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_13679 =
										((BgL_varz00_bglt) BgL__ortest_1092z00_5603);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_13679 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5602));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_new1369z00_3575))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_13679), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13687;

					{	/* Ast/node.scm 250 */
						obj_t BgL_classz00_5604;

						BgL_classz00_5604 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 250 */
							obj_t BgL__ortest_1092z00_5605;

							BgL__ortest_1092z00_5605 = BGL_CLASS_NIL(BgL_classz00_5604);
							if (CBOOL(BgL__ortest_1092z00_5605))
								{	/* Ast/node.scm 250 */
									BgL_auxz00_13687 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5605);
								}
							else
								{	/* Ast/node.scm 250 */
									BgL_auxz00_13687 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5604));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_new1369z00_3575))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_13687), BUNSPEC);
				}
				return BgL_new1369z00_3575;
			}
		}
	}



/* &lambda3270 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3270z62zzast_nodez00(obj_t BgL_envz00_7409)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 250 */
			{

				{	/* Ast/node.scm 250 */
					BgL_boxzd2refzd2_bglt BgL_new1368z00_3573;

					BgL_new1368z00_3573 =
						((BgL_boxzd2refzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/node.scm 250 */
						long BgL_arg3271z00_3574;

						{	/* Ast/node.scm 250 */
							long BgL_res3557z00_5597;

							BgL_res3557z00_5597 =
								BGL_CLASS_INDEX(BGl_boxzd2refzd2zzast_nodez00);
							BgL_arg3271z00_3574 = BgL_res3557z00_5597;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1368z00_3573), BgL_arg3271z00_3574);
					}
					{	/* Ast/node.scm 250 */
						BgL_objectz00_bglt BgL_auxz00_13700;

						BgL_auxz00_13700 = ((BgL_objectz00_bglt) BgL_new1368z00_3573);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13700, BFALSE);
					}
					return BgL_new1368z00_3573;
				}
			}
		}
	}



/* &lambda3268 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3268z62zzast_nodez00(obj_t BgL_envz00_7410,
		obj_t BgL_loc1362z00_7411, obj_t BgL_type1363z00_7412,
		obj_t BgL_sidezd2effect1364zd2_7413, obj_t BgL_key1365z00_7414,
		obj_t BgL_var1366z00_7415, obj_t BgL_vtype1367z00_7416)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 250 */
			{
				obj_t BgL_loc1362z00_3562;
				BgL_typez00_bglt BgL_type1363z00_3563;
				obj_t BgL_sidezd2effect1364zd2_3564;
				obj_t BgL_key1365z00_3565;
				BgL_varz00_bglt BgL_var1366z00_3566;
				BgL_typez00_bglt BgL_vtype1367z00_3567;

				BgL_loc1362z00_3562 = BgL_loc1362z00_7411;
				BgL_type1363z00_3563 = ((BgL_typez00_bglt) BgL_type1363z00_7412);
				BgL_sidezd2effect1364zd2_3564 = BgL_sidezd2effect1364zd2_7413;
				BgL_key1365z00_3565 = BgL_key1365z00_7414;
				BgL_var1366z00_3566 = ((BgL_varz00_bglt) BgL_var1366z00_7415);
				BgL_vtype1367z00_3567 = ((BgL_typez00_bglt) BgL_vtype1367z00_7416);
				{	/* Ast/node.scm 250 */
					BgL_boxzd2refzd2_bglt BgL_new2094z00_3569;

					{	/* Ast/node.scm 250 */
						BgL_boxzd2refzd2_bglt BgL_new2093z00_3570;

						BgL_new2093z00_3570 =
							((BgL_boxzd2refzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzd2_bgl))));
						{	/* Ast/node.scm 250 */
							long BgL_arg3269z00_3571;

							{	/* Ast/node.scm 250 */
								long BgL_res3556z00_5593;

								BgL_res3556z00_5593 =
									BGL_CLASS_INDEX(BGl_boxzd2refzd2zzast_nodez00);
								BgL_arg3269z00_3571 = BgL_res3556z00_5593;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2093z00_3570),
								BgL_arg3269z00_3571);
						}
						{	/* Ast/node.scm 250 */
							BgL_objectz00_bglt BgL_auxz00_13707;

							BgL_auxz00_13707 = ((BgL_objectz00_bglt) BgL_new2093z00_3570);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13707, BFALSE);
						}
						BgL_new2094z00_3569 = BgL_new2093z00_3570;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2094z00_3569)))->BgL_locz00) =
						((obj_t) BgL_loc1362z00_3562), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2094z00_3569)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1363z00_3563), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2094z00_3569)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1364zd2_3564), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2094z00_3569)))->BgL_keyz00) =
						((obj_t) BgL_key1365z00_3565), BUNSPEC);
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_new2094z00_3569))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_var1366z00_3566), BUNSPEC);
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_new2094z00_3569))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1367z00_3567), BUNSPEC);
					return BgL_new2094z00_3569;
				}
			}
		}
	}



/* &lambda3282 */
	obj_t BGl_z62lambda3282z62zzast_nodez00(obj_t BgL_envz00_7417,
		obj_t BgL_oz00_7418, obj_t BgL_vz00_7419)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 250 */
			return
				((((BgL_boxzd2refzd2_bglt) CREF(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7418)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7419)), BUNSPEC);
		}
	}



/* &lambda3281 */
	BgL_varz00_bglt BGl_z62lambda3281z62zzast_nodez00(obj_t BgL_envz00_7420,
		obj_t BgL_oz00_7421)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 250 */
			return
				(((BgL_boxzd2refzd2_bglt) CREF(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_7421)))->BgL_varz00);
		}
	}



/* &lambda3277 */
	obj_t BGl_z62lambda3277z62zzast_nodez00(obj_t BgL_envz00_7422,
		obj_t BgL_oz00_7423, obj_t BgL_vz00_7424)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 250 */
			return
				((((BgL_boxzd2refzd2_bglt) CREF(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_7423)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7424)), BUNSPEC);
		}
	}



/* &lambda3276 */
	BgL_typez00_bglt BGl_z62lambda3276z62zzast_nodez00(obj_t BgL_envz00_7425,
		obj_t BgL_oz00_7426)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 250 */
			return
				(((BgL_boxzd2refzd2_bglt) CREF(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_7426)))->BgL_vtypez00);
		}
	}



/* &<anonymous:3249> */
	BgL_makezd2boxzd2_bglt BGl_z62zc3anonymousza33249ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7427, obj_t BgL_new1360z00_7428)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			{
				BgL_makezd2boxzd2_bglt BgL_new1360z00_3526;

				BgL_new1360z00_3526 = ((BgL_makezd2boxzd2_bglt) BgL_new1360z00_7428);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1360z00_3526)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13735;

					{	/* Ast/node.scm 245 */
						obj_t BgL_classz00_5576;

						BgL_classz00_5576 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 245 */
							obj_t BgL__ortest_1092z00_5577;

							BgL__ortest_1092z00_5577 = BGL_CLASS_NIL(BgL_classz00_5576);
							if (CBOOL(BgL__ortest_1092z00_5577))
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13735 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5577);
								}
							else
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13735 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5576));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1360z00_3526)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13735), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1360z00_3526)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1360z00_3526)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13748;

					{	/* Ast/node.scm 245 */
						obj_t BgL_classz00_5578;

						BgL_classz00_5578 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 245 */
							obj_t BgL__ortest_1092z00_5579;

							BgL__ortest_1092z00_5579 = BGL_CLASS_NIL(BgL_classz00_5578);
							if (CBOOL(BgL__ortest_1092z00_5579))
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13748 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5579);
								}
							else
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13748 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5578));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1360z00_3526))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_13748), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13756;

					{	/* Ast/node.scm 245 */
						obj_t BgL_classz00_5580;

						BgL_classz00_5580 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 245 */
							obj_t BgL__ortest_1092z00_5581;

							BgL__ortest_1092z00_5581 = BGL_CLASS_NIL(BgL_classz00_5580);
							if (CBOOL(BgL__ortest_1092z00_5581))
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13756 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5581);
								}
							else
								{	/* Ast/node.scm 245 */
									BgL_auxz00_13756 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5580));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1360z00_3526))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13756), BUNSPEC);
				}
				return BgL_new1360z00_3526;
			}
		}
	}



/* &lambda3246 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3246z62zzast_nodez00(obj_t
		BgL_envz00_7429)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			{

				{	/* Ast/node.scm 245 */
					BgL_makezd2boxzd2_bglt BgL_new1359z00_3524;

					BgL_new1359z00_3524 =
						((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/node.scm 245 */
						long BgL_arg3248z00_3525;

						{	/* Ast/node.scm 245 */
							long BgL_res3555z00_5573;

							BgL_res3555z00_5573 =
								BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
							BgL_arg3248z00_3525 = BgL_res3555z00_5573;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1359z00_3524), BgL_arg3248z00_3525);
					}
					{	/* Ast/node.scm 245 */
						BgL_objectz00_bglt BgL_auxz00_13769;

						BgL_auxz00_13769 = ((BgL_objectz00_bglt) BgL_new1359z00_3524);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13769, BFALSE);
					}
					return BgL_new1359z00_3524;
				}
			}
		}
	}



/* &lambda3236 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3236z62zzast_nodez00(obj_t
		BgL_envz00_7430, obj_t BgL_loc1353z00_7431, obj_t BgL_type1354z00_7432,
		obj_t BgL_sidezd2effect1355zd2_7433, obj_t BgL_key1356z00_7434,
		obj_t BgL_value1357z00_7435, obj_t BgL_vtype1358z00_7436)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			{
				obj_t BgL_loc1353z00_3513;
				BgL_typez00_bglt BgL_type1354z00_3514;
				obj_t BgL_sidezd2effect1355zd2_3515;
				obj_t BgL_key1356z00_3516;
				BgL_nodez00_bglt BgL_value1357z00_3517;
				BgL_typez00_bglt BgL_vtype1358z00_3518;

				BgL_loc1353z00_3513 = BgL_loc1353z00_7431;
				BgL_type1354z00_3514 = ((BgL_typez00_bglt) BgL_type1354z00_7432);
				BgL_sidezd2effect1355zd2_3515 = BgL_sidezd2effect1355zd2_7433;
				BgL_key1356z00_3516 = BgL_key1356z00_7434;
				BgL_value1357z00_3517 = ((BgL_nodez00_bglt) BgL_value1357z00_7435);
				BgL_vtype1358z00_3518 = ((BgL_typez00_bglt) BgL_vtype1358z00_7436);
				{	/* Ast/node.scm 245 */
					BgL_makezd2boxzd2_bglt BgL_new2088z00_3520;

					{	/* Ast/node.scm 245 */
						BgL_makezd2boxzd2_bglt BgL_new2087z00_3521;

						BgL_new2087z00_3521 =
							((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_makezd2boxzd2_bgl))));
						{	/* Ast/node.scm 245 */
							long BgL_arg3245z00_3522;

							{	/* Ast/node.scm 245 */
								long BgL_res3554z00_5569;

								BgL_res3554z00_5569 =
									BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
								BgL_arg3245z00_3522 = BgL_res3554z00_5569;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2087z00_3521),
								BgL_arg3245z00_3522);
						}
						{	/* Ast/node.scm 245 */
							BgL_objectz00_bglt BgL_auxz00_13776;

							BgL_auxz00_13776 = ((BgL_objectz00_bglt) BgL_new2087z00_3521);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13776, BFALSE);
						}
						BgL_new2088z00_3520 = BgL_new2087z00_3521;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2088z00_3520)))->BgL_locz00) =
						((obj_t) BgL_loc1353z00_3513), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2088z00_3520)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1354z00_3514), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2088z00_3520)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1355zd2_3515), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2088z00_3520)))->BgL_keyz00) =
						((obj_t) BgL_key1356z00_3516), BUNSPEC);
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_new2088z00_3520))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1357z00_3517), BUNSPEC);
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_new2088z00_3520))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1358z00_3518), BUNSPEC);
					return BgL_new2088z00_3520;
				}
			}
		}
	}



/* &lambda3261 */
	obj_t BGl_z62lambda3261z62zzast_nodez00(obj_t BgL_envz00_7437,
		obj_t BgL_oz00_7438, obj_t BgL_vz00_7439)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			return
				((((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_7438)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7439)), BUNSPEC);
		}
	}



/* &lambda3260 */
	BgL_nodez00_bglt BGl_z62lambda3260z62zzast_nodez00(obj_t BgL_envz00_7440,
		obj_t BgL_oz00_7441)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			return
				(((BgL_makezd2boxzd2_bglt) CREF(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_7441)))->BgL_valuez00);
		}
	}



/* &lambda3254 */
	obj_t BGl_z62lambda3254z62zzast_nodez00(obj_t BgL_envz00_7442,
		obj_t BgL_oz00_7443, obj_t BgL_vz00_7444)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			return
				((((BgL_makezd2boxzd2_bglt) CREF(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_7443)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7444)), BUNSPEC);
		}
	}



/* &lambda3253 */
	BgL_typez00_bglt BGl_z62lambda3253z62zzast_nodez00(obj_t BgL_envz00_7445,
		obj_t BgL_oz00_7446)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 245 */
			return
				(((BgL_makezd2boxzd2_bglt) CREF(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_7446)))->BgL_vtypez00);
		}
	}



/* &<anonymous:3215> */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62zc3anonymousza33215ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7447, obj_t BgL_new1351z00_7448)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_new1351z00_3477;

				BgL_new1351z00_3477 =
					((BgL_jumpzd2exzd2itz00_bglt) BgL_new1351z00_7448);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1351z00_3477)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13804;

					{	/* Ast/node.scm 238 */
						obj_t BgL_classz00_5552;

						BgL_classz00_5552 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 238 */
							obj_t BgL__ortest_1092z00_5553;

							BgL__ortest_1092z00_5553 = BGL_CLASS_NIL(BgL_classz00_5552);
							if (CBOOL(BgL__ortest_1092z00_5553))
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13804 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5553);
								}
							else
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13804 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5552));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1351z00_3477)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13804), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13813;

					{	/* Ast/node.scm 238 */
						obj_t BgL_classz00_5554;

						BgL_classz00_5554 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 238 */
							obj_t BgL__ortest_1092z00_5555;

							BgL__ortest_1092z00_5555 = BGL_CLASS_NIL(BgL_classz00_5554);
							if (CBOOL(BgL__ortest_1092z00_5555))
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13813 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5555);
								}
							else
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13813 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5554));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1351z00_3477))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_13813), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13821;

					{	/* Ast/node.scm 238 */
						obj_t BgL_classz00_5556;

						BgL_classz00_5556 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 238 */
							obj_t BgL__ortest_1092z00_5557;

							BgL__ortest_1092z00_5557 = BGL_CLASS_NIL(BgL_classz00_5556);
							if (CBOOL(BgL__ortest_1092z00_5557))
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13821 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5557);
								}
							else
								{	/* Ast/node.scm 238 */
									BgL_auxz00_13821 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5556));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new1351z00_3477))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_13821), BUNSPEC);
				}
				return BgL_new1351z00_3477;
			}
		}
	}



/* &lambda3213 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3213z62zzast_nodez00(obj_t
		BgL_envz00_7449)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			{

				{	/* Ast/node.scm 238 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1350z00_3475;

					BgL_new1350z00_3475 =
						((BgL_jumpzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 238 */
						long BgL_arg3214z00_3476;

						{	/* Ast/node.scm 238 */
							long BgL_res3553z00_5549;

							BgL_res3553z00_5549 =
								BGL_CLASS_INDEX(BGl_jumpzd2exzd2itz00zzast_nodez00);
							BgL_arg3214z00_3476 = BgL_res3553z00_5549;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1350z00_3475), BgL_arg3214z00_3476);
					}
					{	/* Ast/node.scm 238 */
						BgL_objectz00_bglt BgL_auxz00_13834;

						BgL_auxz00_13834 = ((BgL_objectz00_bglt) BgL_new1350z00_3475);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13834, BFALSE);
					}
					return BgL_new1350z00_3475;
				}
			}
		}
	}



/* &lambda3211 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3211z62zzast_nodez00(obj_t
		BgL_envz00_7450, obj_t BgL_loc1346z00_7451, obj_t BgL_type1347z00_7452,
		obj_t BgL_exit1348z00_7453, obj_t BgL_value1349z00_7454)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			{
				obj_t BgL_loc1346z00_3466;
				BgL_typez00_bglt BgL_type1347z00_3467;
				BgL_nodez00_bglt BgL_exit1348z00_3468;
				BgL_nodez00_bglt BgL_value1349z00_3469;

				BgL_loc1346z00_3466 = BgL_loc1346z00_7451;
				BgL_type1347z00_3467 = ((BgL_typez00_bglt) BgL_type1347z00_7452);
				BgL_exit1348z00_3468 = ((BgL_nodez00_bglt) BgL_exit1348z00_7453);
				BgL_value1349z00_3469 = ((BgL_nodez00_bglt) BgL_value1349z00_7454);
				{	/* Ast/node.scm 238 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new2082z00_3471;

					{	/* Ast/node.scm 238 */
						BgL_jumpzd2exzd2itz00_bglt BgL_new2081z00_3472;

						BgL_new2081z00_3472 =
							((BgL_jumpzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_jumpzd2exzd2itz00_bgl))));
						{	/* Ast/node.scm 238 */
							long BgL_arg3212z00_3473;

							{	/* Ast/node.scm 238 */
								long BgL_res3552z00_5545;

								BgL_res3552z00_5545 =
									BGL_CLASS_INDEX(BGl_jumpzd2exzd2itz00zzast_nodez00);
								BgL_arg3212z00_3473 = BgL_res3552z00_5545;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2081z00_3472),
								BgL_arg3212z00_3473);
						}
						{	/* Ast/node.scm 238 */
							BgL_objectz00_bglt BgL_auxz00_13841;

							BgL_auxz00_13841 = ((BgL_objectz00_bglt) BgL_new2081z00_3472);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13841, BFALSE);
						}
						BgL_new2082z00_3471 = BgL_new2081z00_3472;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2082z00_3471)))->BgL_locz00) =
						((obj_t) BgL_loc1346z00_3466), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2082z00_3471)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1347z00_3467), BUNSPEC);
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new2082z00_3471))->
							BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_exit1348z00_3468), BUNSPEC);
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_new2082z00_3471))->
							BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1349z00_3469), BUNSPEC);
					return BgL_new2082z00_3471;
				}
			}
		}
	}



/* &lambda3226 */
	obj_t BGl_z62lambda3226z62zzast_nodez00(obj_t BgL_envz00_7455,
		obj_t BgL_oz00_7456, obj_t BgL_vz00_7457)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7456)))->BgL_exitz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7457)), BUNSPEC);
		}
	}



/* &lambda3225 */
	BgL_nodez00_bglt BGl_z62lambda3225z62zzast_nodez00(obj_t BgL_envz00_7458,
		obj_t BgL_oz00_7459)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7459)))->BgL_exitz00);
		}
	}



/* &lambda3221 */
	obj_t BGl_z62lambda3221z62zzast_nodez00(obj_t BgL_envz00_7460,
		obj_t BgL_oz00_7461, obj_t BgL_vz00_7462)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) CREF(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7461)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7462)), BUNSPEC);
		}
	}



/* &lambda3220 */
	BgL_nodez00_bglt BGl_z62lambda3220z62zzast_nodez00(obj_t BgL_envz00_7463,
		obj_t BgL_oz00_7464)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 238 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) CREF(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7464)))->BgL_valuez00);
		}
	}



/* &<anonymous:3188> */
	BgL_setzd2exzd2itz00_bglt BGl_z62zc3anonymousza33188ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7465, obj_t BgL_new1344z00_7466)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_new1344z00_3430;

				BgL_new1344z00_3430 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1344z00_7466);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1344z00_3430)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13865;

					{	/* Ast/node.scm 231 */
						obj_t BgL_classz00_5528;

						BgL_classz00_5528 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 231 */
							obj_t BgL__ortest_1092z00_5529;

							BgL__ortest_1092z00_5529 = BGL_CLASS_NIL(BgL_classz00_5528);
							if (CBOOL(BgL__ortest_1092z00_5529))
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13865 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5529);
								}
							else
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13865 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5528));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1344z00_3430)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13865), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_13874;

					{	/* Ast/node.scm 231 */
						obj_t BgL_classz00_5530;

						BgL_classz00_5530 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 231 */
							obj_t BgL__ortest_1092z00_5531;

							BgL__ortest_1092z00_5531 = BGL_CLASS_NIL(BgL_classz00_5530);
							if (CBOOL(BgL__ortest_1092z00_5531))
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13874 =
										((BgL_varz00_bglt) BgL__ortest_1092z00_5531);
								}
							else
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13874 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5530));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1344z00_3430))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_13874), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13882;

					{	/* Ast/node.scm 231 */
						obj_t BgL_classz00_5532;

						BgL_classz00_5532 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 231 */
							obj_t BgL__ortest_1092z00_5533;

							BgL__ortest_1092z00_5533 = BGL_CLASS_NIL(BgL_classz00_5532);
							if (CBOOL(BgL__ortest_1092z00_5533))
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13882 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5533);
								}
							else
								{	/* Ast/node.scm 231 */
									BgL_auxz00_13882 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5532));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new1344z00_3430))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_13882), BUNSPEC);
				}
				return BgL_new1344z00_3430;
			}
		}
	}



/* &lambda3186 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3186z62zzast_nodez00(obj_t
		BgL_envz00_7467)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			{

				{	/* Ast/node.scm 231 */
					BgL_setzd2exzd2itz00_bglt BgL_new1343z00_3428;

					BgL_new1343z00_3428 =
						((BgL_setzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 231 */
						long BgL_arg3187z00_3429;

						{	/* Ast/node.scm 231 */
							long BgL_res3551z00_5525;

							BgL_res3551z00_5525 =
								BGL_CLASS_INDEX(BGl_setzd2exzd2itz00zzast_nodez00);
							BgL_arg3187z00_3429 = BgL_res3551z00_5525;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1343z00_3428), BgL_arg3187z00_3429);
					}
					{	/* Ast/node.scm 231 */
						BgL_objectz00_bglt BgL_auxz00_13895;

						BgL_auxz00_13895 = ((BgL_objectz00_bglt) BgL_new1343z00_3428);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13895, BFALSE);
					}
					return BgL_new1343z00_3428;
				}
			}
		}
	}



/* &lambda3184 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3184z62zzast_nodez00(obj_t
		BgL_envz00_7468, obj_t BgL_loc1339z00_7469, obj_t BgL_type1340z00_7470,
		obj_t BgL_var1341z00_7471, obj_t BgL_body1342z00_7472)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			{
				obj_t BgL_loc1339z00_3419;
				BgL_typez00_bglt BgL_type1340z00_3420;
				BgL_varz00_bglt BgL_var1341z00_3421;
				BgL_nodez00_bglt BgL_body1342z00_3422;

				BgL_loc1339z00_3419 = BgL_loc1339z00_7469;
				BgL_type1340z00_3420 = ((BgL_typez00_bglt) BgL_type1340z00_7470);
				BgL_var1341z00_3421 = ((BgL_varz00_bglt) BgL_var1341z00_7471);
				BgL_body1342z00_3422 = ((BgL_nodez00_bglt) BgL_body1342z00_7472);
				{	/* Ast/node.scm 231 */
					BgL_setzd2exzd2itz00_bglt BgL_new2076z00_3424;

					{	/* Ast/node.scm 231 */
						BgL_setzd2exzd2itz00_bglt BgL_new2075z00_3425;

						BgL_new2075z00_3425 =
							((BgL_setzd2exzd2itz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_setzd2exzd2itz00_bgl))));
						{	/* Ast/node.scm 231 */
							long BgL_arg3185z00_3426;

							{	/* Ast/node.scm 231 */
								long BgL_res3550z00_5521;

								BgL_res3550z00_5521 =
									BGL_CLASS_INDEX(BGl_setzd2exzd2itz00zzast_nodez00);
								BgL_arg3185z00_3426 = BgL_res3550z00_5521;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2075z00_3425),
								BgL_arg3185z00_3426);
						}
						{	/* Ast/node.scm 231 */
							BgL_objectz00_bglt BgL_auxz00_13902;

							BgL_auxz00_13902 = ((BgL_objectz00_bglt) BgL_new2075z00_3425);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13902, BFALSE);
						}
						BgL_new2076z00_3424 = BgL_new2075z00_3425;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2076z00_3424)))->BgL_locz00) =
						((obj_t) BgL_loc1339z00_3419), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2076z00_3424)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1340z00_3420), BUNSPEC);
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new2076z00_3424))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_var1341z00_3421), BUNSPEC);
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_new2076z00_3424))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1342z00_3422), BUNSPEC);
					return BgL_new2076z00_3424;
				}
			}
		}
	}



/* &lambda3200 */
	obj_t BGl_z62lambda3200z62zzast_nodez00(obj_t BgL_envz00_7473,
		obj_t BgL_oz00_7474, obj_t BgL_vz00_7475)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			return
				((((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7474)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7475)), BUNSPEC);
		}
	}



/* &lambda3199 */
	BgL_varz00_bglt BGl_z62lambda3199z62zzast_nodez00(obj_t BgL_envz00_7476,
		obj_t BgL_oz00_7477)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			return
				(((BgL_setzd2exzd2itz00_bglt) CREF(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7477)))->BgL_varz00);
		}
	}



/* &lambda3194 */
	obj_t BGl_z62lambda3194z62zzast_nodez00(obj_t BgL_envz00_7478,
		obj_t BgL_oz00_7479, obj_t BgL_vz00_7480)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			return
				((((BgL_setzd2exzd2itz00_bglt) CREF(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7479)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7480)), BUNSPEC);
		}
	}



/* &lambda3193 */
	BgL_nodez00_bglt BGl_z62lambda3193z62zzast_nodez00(obj_t BgL_envz00_7481,
		obj_t BgL_oz00_7482)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 231 */
			return
				(((BgL_setzd2exzd2itz00_bglt) CREF(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7482)))->BgL_bodyz00);
		}
	}



/* &<anonymous:3160> */
	BgL_letzd2varzd2_bglt BGl_z62zc3anonymousza33160ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7483, obj_t BgL_new1337z00_7484)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{
				BgL_letzd2varzd2_bglt BgL_new1337z00_3368;

				BgL_new1337z00_3368 = ((BgL_letzd2varzd2_bglt) BgL_new1337z00_7484);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1337z00_3368)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13926;

					{	/* Ast/node.scm 222 */
						obj_t BgL_classz00_5506;

						BgL_classz00_5506 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 222 */
							obj_t BgL__ortest_1092z00_5507;

							BgL__ortest_1092z00_5507 = BGL_CLASS_NIL(BgL_classz00_5506);
							if (CBOOL(BgL__ortest_1092z00_5507))
								{	/* Ast/node.scm 222 */
									BgL_auxz00_13926 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5507);
								}
							else
								{	/* Ast/node.scm 222 */
									BgL_auxz00_13926 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5506));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1337z00_3368)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13926), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1337z00_3368)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1337z00_3368)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1337z00_3368))->
						BgL_bindingsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13940;

					{	/* Ast/node.scm 222 */
						obj_t BgL_classz00_5508;

						BgL_classz00_5508 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 222 */
							obj_t BgL__ortest_1092z00_5509;

							BgL__ortest_1092z00_5509 = BGL_CLASS_NIL(BgL_classz00_5508);
							if (CBOOL(BgL__ortest_1092z00_5509))
								{	/* Ast/node.scm 222 */
									BgL_auxz00_13940 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5509);
								}
							else
								{	/* Ast/node.scm 222 */
									BgL_auxz00_13940 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5508));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new1337z00_3368))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13940), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) CREF(BgL_new1337z00_3368))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1337z00_3368;
			}
		}
	}



/* &lambda3158 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3158z62zzast_nodez00(obj_t BgL_envz00_7485)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{

				{	/* Ast/node.scm 222 */
					BgL_letzd2varzd2_bglt BgL_new1336z00_3366;

					BgL_new1336z00_3366 =
						((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_letzd2varzd2_bgl))));
					{	/* Ast/node.scm 222 */
						long BgL_arg3159z00_3367;

						{	/* Ast/node.scm 222 */
							long BgL_res3549z00_5503;

							BgL_res3549z00_5503 =
								BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
							BgL_arg3159z00_3367 = BgL_res3549z00_5503;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1336z00_3366), BgL_arg3159z00_3367);
					}
					{	/* Ast/node.scm 222 */
						BgL_objectz00_bglt BgL_auxz00_13954;

						BgL_auxz00_13954 = ((BgL_objectz00_bglt) BgL_new1336z00_3366);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_13954, BFALSE);
					}
					return BgL_new1336z00_3366;
				}
			}
		}
	}



/* &lambda3156 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3156z62zzast_nodez00(obj_t BgL_envz00_7486,
		obj_t BgL_loc1329z00_7487, obj_t BgL_type1330z00_7488,
		obj_t BgL_sidezd2effect1331zd2_7489, obj_t BgL_key1332z00_7490,
		obj_t BgL_bindings1333z00_7491, obj_t BgL_body1334z00_7492,
		obj_t BgL_removablezf31335zf3_7493)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{
				obj_t BgL_loc1329z00_3354;
				BgL_typez00_bglt BgL_type1330z00_3355;
				obj_t BgL_sidezd2effect1331zd2_3356;
				obj_t BgL_key1332z00_3357;
				obj_t BgL_bindings1333z00_3358;
				BgL_nodez00_bglt BgL_body1334z00_3359;
				bool_t BgL_removablezf31335zf3_3360;

				BgL_loc1329z00_3354 = BgL_loc1329z00_7487;
				BgL_type1330z00_3355 = ((BgL_typez00_bglt) BgL_type1330z00_7488);
				BgL_sidezd2effect1331zd2_3356 = BgL_sidezd2effect1331zd2_7489;
				BgL_key1332z00_3357 = BgL_key1332z00_7490;
				BgL_bindings1333z00_3358 = BgL_bindings1333z00_7491;
				BgL_body1334z00_3359 = ((BgL_nodez00_bglt) BgL_body1334z00_7492);
				BgL_removablezf31335zf3_3360 = CBOOL(BgL_removablezf31335zf3_7493);
				{	/* Ast/node.scm 222 */
					BgL_letzd2varzd2_bglt BgL_new2068z00_3362;

					{	/* Ast/node.scm 222 */
						BgL_letzd2varzd2_bglt BgL_new2067z00_3363;

						BgL_new2067z00_3363 =
							((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/node.scm 222 */
							long BgL_arg3157z00_3364;

							{	/* Ast/node.scm 222 */
								long BgL_res3548z00_5499;

								BgL_res3548z00_5499 =
									BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
								BgL_arg3157z00_3364 = BgL_res3548z00_5499;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2067z00_3363),
								BgL_arg3157z00_3364);
						}
						{	/* Ast/node.scm 222 */
							BgL_objectz00_bglt BgL_auxz00_13961;

							BgL_auxz00_13961 = ((BgL_objectz00_bglt) BgL_new2067z00_3363);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_13961, BFALSE);
						}
						BgL_new2068z00_3362 = BgL_new2067z00_3363;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2068z00_3362)))->BgL_locz00) =
						((obj_t) BgL_loc1329z00_3354), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2068z00_3362)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1330z00_3355), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2068z00_3362)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1331zd2_3356), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2068z00_3362)))->BgL_keyz00) =
						((obj_t) BgL_key1332z00_3357), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new2068z00_3362))->
							BgL_bindingsz00) = ((obj_t) BgL_bindings1333z00_3358), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new2068z00_3362))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1334z00_3359), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) CREF(BgL_new2068z00_3362))->
							BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31335zf3_3360), BUNSPEC);
					return BgL_new2068z00_3362;
				}
			}
		}
	}



/* &lambda3177 */
	obj_t BGl_z62lambda3177z62zzast_nodez00(obj_t BgL_envz00_7494,
		obj_t BgL_oz00_7495, obj_t BgL_vz00_7496)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_oz00_7495)))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_7496), BUNSPEC);
		}
	}



/* &lambda3176 */
	obj_t BGl_z62lambda3176z62zzast_nodez00(obj_t BgL_envz00_7497,
		obj_t BgL_oz00_7498)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(
						((BgL_letzd2varzd2_bglt) BgL_oz00_7498)))->BgL_bindingsz00);
		}
	}



/* &lambda3172 */
	obj_t BGl_z62lambda3172z62zzast_nodez00(obj_t BgL_envz00_7499,
		obj_t BgL_oz00_7500, obj_t BgL_vz00_7501)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return
				((((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_oz00_7500)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7501)), BUNSPEC);
		}
	}



/* &lambda3171 */
	BgL_nodez00_bglt BGl_z62lambda3171z62zzast_nodez00(obj_t BgL_envz00_7502,
		obj_t BgL_oz00_7503)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return
				(((BgL_letzd2varzd2_bglt) CREF(
						((BgL_letzd2varzd2_bglt) BgL_oz00_7503)))->BgL_bodyz00);
		}
	}



/* &<anonymous:3167> */
	obj_t BGl_z62zc3anonymousza33167ze3ze1zzast_nodez00(obj_t BgL_envz00_7504)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &lambda3166 */
	obj_t BGl_z62lambda3166z62zzast_nodez00(obj_t BgL_envz00_7505,
		obj_t BgL_oz00_7506, obj_t BgL_vz00_7507)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			{	/* Ast/node.scm 222 */
				bool_t BgL_vz00_9330;

				BgL_vz00_9330 = CBOOL(BgL_vz00_7507);
				return
					((((BgL_letzd2varzd2_bglt) CREF(
								((BgL_letzd2varzd2_bglt) BgL_oz00_7506)))->
						BgL_removablezf3zf3) = ((bool_t) BgL_vz00_9330), BUNSPEC);
			}
		}
	}



/* &lambda3165 */
	obj_t BGl_z62lambda3165z62zzast_nodez00(obj_t BgL_envz00_7508,
		obj_t BgL_oz00_7509)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 222 */
			return
				BBOOL(
				(((BgL_letzd2varzd2_bglt) CREF(
							((BgL_letzd2varzd2_bglt) BgL_oz00_7509)))->BgL_removablezf3zf3));
		}
	}



/* &<anonymous:3139> */
	BgL_letzd2funzd2_bglt BGl_z62zc3anonymousza33139ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7510, obj_t BgL_new1327z00_7511)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			{
				BgL_letzd2funzd2_bglt BgL_new1327z00_3318;

				BgL_new1327z00_3318 = ((BgL_letzd2funzd2_bglt) BgL_new1327z00_7511);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1327z00_3318)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13996;

					{	/* Ast/node.scm 215 */
						obj_t BgL_classz00_5479;

						BgL_classz00_5479 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 215 */
							obj_t BgL__ortest_1092z00_5480;

							BgL__ortest_1092z00_5480 = BGL_CLASS_NIL(BgL_classz00_5479);
							if (CBOOL(BgL__ortest_1092z00_5480))
								{	/* Ast/node.scm 215 */
									BgL_auxz00_13996 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5480);
								}
							else
								{	/* Ast/node.scm 215 */
									BgL_auxz00_13996 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5479));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1327z00_3318)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13996), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1327z00_3318)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1327z00_3318)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) CREF(BgL_new1327z00_3318))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_14010;

					{	/* Ast/node.scm 215 */
						obj_t BgL_classz00_5481;

						BgL_classz00_5481 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 215 */
							obj_t BgL__ortest_1092z00_5482;

							BgL__ortest_1092z00_5482 = BGL_CLASS_NIL(BgL_classz00_5481);
							if (CBOOL(BgL__ortest_1092z00_5482))
								{	/* Ast/node.scm 215 */
									BgL_auxz00_14010 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5482);
								}
							else
								{	/* Ast/node.scm 215 */
									BgL_auxz00_14010 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5481));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_new1327z00_3318))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14010), BUNSPEC);
				}
				return BgL_new1327z00_3318;
			}
		}
	}



/* &lambda3137 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3137z62zzast_nodez00(obj_t BgL_envz00_7512)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			{

				{	/* Ast/node.scm 215 */
					BgL_letzd2funzd2_bglt BgL_new1326z00_3316;

					BgL_new1326z00_3316 =
						((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/node.scm 215 */
						long BgL_arg3138z00_3317;

						{	/* Ast/node.scm 215 */
							long BgL_res3547z00_5476;

							BgL_res3547z00_5476 =
								BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
							BgL_arg3138z00_3317 = BgL_res3547z00_5476;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1326z00_3316), BgL_arg3138z00_3317);
					}
					{	/* Ast/node.scm 215 */
						BgL_objectz00_bglt BgL_auxz00_14023;

						BgL_auxz00_14023 = ((BgL_objectz00_bglt) BgL_new1326z00_3316);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14023, BFALSE);
					}
					return BgL_new1326z00_3316;
				}
			}
		}
	}



/* &lambda3135 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3135z62zzast_nodez00(obj_t BgL_envz00_7513,
		obj_t BgL_loc1320z00_7514, obj_t BgL_type1321z00_7515,
		obj_t BgL_sidezd2effect1322zd2_7516, obj_t BgL_key1323z00_7517,
		obj_t BgL_locals1324z00_7518, obj_t BgL_body1325z00_7519)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			{
				obj_t BgL_loc1320z00_3305;
				BgL_typez00_bglt BgL_type1321z00_3306;
				obj_t BgL_sidezd2effect1322zd2_3307;
				obj_t BgL_key1323z00_3308;
				obj_t BgL_locals1324z00_3309;
				BgL_nodez00_bglt BgL_body1325z00_3310;

				BgL_loc1320z00_3305 = BgL_loc1320z00_7514;
				BgL_type1321z00_3306 = ((BgL_typez00_bglt) BgL_type1321z00_7515);
				BgL_sidezd2effect1322zd2_3307 = BgL_sidezd2effect1322zd2_7516;
				BgL_key1323z00_3308 = BgL_key1323z00_7517;
				BgL_locals1324z00_3309 = BgL_locals1324z00_7518;
				BgL_body1325z00_3310 = ((BgL_nodez00_bglt) BgL_body1325z00_7519);
				{	/* Ast/node.scm 215 */
					BgL_letzd2funzd2_bglt BgL_new2062z00_3312;

					{	/* Ast/node.scm 215 */
						BgL_letzd2funzd2_bglt BgL_new2061z00_3313;

						BgL_new2061z00_3313 =
							((BgL_letzd2funzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_letzd2funzd2_bgl))));
						{	/* Ast/node.scm 215 */
							long BgL_arg3136z00_3314;

							{	/* Ast/node.scm 215 */
								long BgL_res3546z00_5472;

								BgL_res3546z00_5472 =
									BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
								BgL_arg3136z00_3314 = BgL_res3546z00_5472;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2061z00_3313),
								BgL_arg3136z00_3314);
						}
						{	/* Ast/node.scm 215 */
							BgL_objectz00_bglt BgL_auxz00_14030;

							BgL_auxz00_14030 = ((BgL_objectz00_bglt) BgL_new2061z00_3313);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14030, BFALSE);
						}
						BgL_new2062z00_3312 = BgL_new2061z00_3313;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2062z00_3312)))->BgL_locz00) =
						((obj_t) BgL_loc1320z00_3305), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2062z00_3312)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1321z00_3306), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2062z00_3312)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1322zd2_3307), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2062z00_3312)))->BgL_keyz00) =
						((obj_t) BgL_key1323z00_3308), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) CREF(BgL_new2062z00_3312))->
							BgL_localsz00) = ((obj_t) BgL_locals1324z00_3309), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) CREF(BgL_new2062z00_3312))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_body1325z00_3310), BUNSPEC);
					return BgL_new2062z00_3312;
				}
			}
		}
	}



/* &lambda3150 */
	obj_t BGl_z62lambda3150z62zzast_nodez00(obj_t BgL_envz00_7520,
		obj_t BgL_oz00_7521, obj_t BgL_vz00_7522)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			return
				((((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_oz00_7521)))->BgL_localsz00) =
				((obj_t) BgL_vz00_7522), BUNSPEC);
		}
	}



/* &lambda3149 */
	obj_t BGl_z62lambda3149z62zzast_nodez00(obj_t BgL_envz00_7523,
		obj_t BgL_oz00_7524)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			return
				(((BgL_letzd2funzd2_bglt) CREF(
						((BgL_letzd2funzd2_bglt) BgL_oz00_7524)))->BgL_localsz00);
		}
	}



/* &lambda3145 */
	obj_t BGl_z62lambda3145z62zzast_nodez00(obj_t BgL_envz00_7525,
		obj_t BgL_oz00_7526, obj_t BgL_vz00_7527)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			return
				((((BgL_letzd2funzd2_bglt) CREF(
							((BgL_letzd2funzd2_bglt) BgL_oz00_7526)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7527)), BUNSPEC);
		}
	}



/* &lambda3144 */
	BgL_nodez00_bglt BGl_z62lambda3144z62zzast_nodez00(obj_t BgL_envz00_7528,
		obj_t BgL_oz00_7529)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 215 */
			return
				(((BgL_letzd2funzd2_bglt) CREF(
						((BgL_letzd2funzd2_bglt) BgL_oz00_7529)))->BgL_bodyz00);
		}
	}



/* &<anonymous:3111> */
	BgL_selectz00_bglt BGl_z62zc3anonymousza33111ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7530, obj_t BgL_new1318z00_7531)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			{
				BgL_selectz00_bglt BgL_new1318z00_3257;

				BgL_new1318z00_3257 = ((BgL_selectz00_bglt) BgL_new1318z00_7531);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1318z00_3257)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14056;

					{	/* Ast/node.scm 206 */
						obj_t BgL_classz00_5455;

						BgL_classz00_5455 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 206 */
							obj_t BgL__ortest_1092z00_5456;

							BgL__ortest_1092z00_5456 = BGL_CLASS_NIL(BgL_classz00_5455);
							if (CBOOL(BgL__ortest_1092z00_5456))
								{	/* Ast/node.scm 206 */
									BgL_auxz00_14056 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5456);
								}
							else
								{	/* Ast/node.scm 206 */
									BgL_auxz00_14056 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5455));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1318z00_3257)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14056), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1318z00_3257)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1318z00_3257)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_14069;

					{	/* Ast/node.scm 206 */
						obj_t BgL_classz00_5457;

						BgL_classz00_5457 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 206 */
							obj_t BgL__ortest_1092z00_5458;

							BgL__ortest_1092z00_5458 = BGL_CLASS_NIL(BgL_classz00_5457);
							if (CBOOL(BgL__ortest_1092z00_5458))
								{	/* Ast/node.scm 206 */
									BgL_auxz00_14069 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5458);
								}
							else
								{	/* Ast/node.scm 206 */
									BgL_auxz00_14069 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5457));
								}
						}
					}
					((((BgL_selectz00_bglt) CREF(BgL_new1318z00_3257))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14069), BUNSPEC);
				}
				((((BgL_selectz00_bglt) CREF(BgL_new1318z00_3257))->BgL_clausesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14078;

					{	/* Ast/node.scm 206 */
						obj_t BgL_classz00_5459;

						BgL_classz00_5459 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 206 */
							obj_t BgL__ortest_1092z00_5460;

							BgL__ortest_1092z00_5460 = BGL_CLASS_NIL(BgL_classz00_5459);
							if (CBOOL(BgL__ortest_1092z00_5460))
								{	/* Ast/node.scm 206 */
									BgL_auxz00_14078 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5460);
								}
							else
								{	/* Ast/node.scm 206 */
									BgL_auxz00_14078 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5459));
								}
						}
					}
					((((BgL_selectz00_bglt) CREF(BgL_new1318z00_3257))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_14078), BUNSPEC);
				}
				return BgL_new1318z00_3257;
			}
		}
	}



/* &lambda3108 */
	BgL_selectz00_bglt BGl_z62lambda3108z62zzast_nodez00(obj_t BgL_envz00_7532)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			{

				{	/* Ast/node.scm 206 */
					BgL_selectz00_bglt BgL_new1317z00_3255;

					BgL_new1317z00_3255 =
						((BgL_selectz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_selectz00_bgl))));
					{	/* Ast/node.scm 206 */
						long BgL_arg3110z00_3256;

						{	/* Ast/node.scm 206 */
							long BgL_res3545z00_5452;

							BgL_res3545z00_5452 = BGL_CLASS_INDEX(BGl_selectz00zzast_nodez00);
							BgL_arg3110z00_3256 = BgL_res3545z00_5452;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1317z00_3255), BgL_arg3110z00_3256);
					}
					{	/* Ast/node.scm 206 */
						BgL_objectz00_bglt BgL_auxz00_14091;

						BgL_auxz00_14091 = ((BgL_objectz00_bglt) BgL_new1317z00_3255);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14091, BFALSE);
					}
					return BgL_new1317z00_3255;
				}
			}
		}
	}



/* &lambda3106 */
	BgL_selectz00_bglt BGl_z62lambda3106z62zzast_nodez00(obj_t BgL_envz00_7533,
		obj_t BgL_loc1310z00_7534, obj_t BgL_type1311z00_7535,
		obj_t BgL_sidezd2effect1312zd2_7536, obj_t BgL_key1313z00_7537,
		obj_t BgL_test1314z00_7538, obj_t BgL_clauses1315z00_7539,
		obj_t BgL_itemzd2type1316zd2_7540)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			{
				obj_t BgL_loc1310z00_3243;
				BgL_typez00_bglt BgL_type1311z00_3244;
				obj_t BgL_sidezd2effect1312zd2_3245;
				obj_t BgL_key1313z00_3246;
				BgL_nodez00_bglt BgL_test1314z00_3247;
				obj_t BgL_clauses1315z00_3248;
				BgL_typez00_bglt BgL_itemzd2type1316zd2_3249;

				BgL_loc1310z00_3243 = BgL_loc1310z00_7534;
				BgL_type1311z00_3244 = ((BgL_typez00_bglt) BgL_type1311z00_7535);
				BgL_sidezd2effect1312zd2_3245 = BgL_sidezd2effect1312zd2_7536;
				BgL_key1313z00_3246 = BgL_key1313z00_7537;
				BgL_test1314z00_3247 = ((BgL_nodez00_bglt) BgL_test1314z00_7538);
				BgL_clauses1315z00_3248 = BgL_clauses1315z00_7539;
				BgL_itemzd2type1316zd2_3249 =
					((BgL_typez00_bglt) BgL_itemzd2type1316zd2_7540);
				{	/* Ast/node.scm 206 */
					BgL_selectz00_bglt BgL_new2054z00_3251;

					{	/* Ast/node.scm 206 */
						BgL_selectz00_bglt BgL_new2053z00_3252;

						BgL_new2053z00_3252 =
							((BgL_selectz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_selectz00_bgl))));
						{	/* Ast/node.scm 206 */
							long BgL_arg3107z00_3253;

							{	/* Ast/node.scm 206 */
								long BgL_res3544z00_5448;

								BgL_res3544z00_5448 =
									BGL_CLASS_INDEX(BGl_selectz00zzast_nodez00);
								BgL_arg3107z00_3253 = BgL_res3544z00_5448;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2053z00_3252),
								BgL_arg3107z00_3253);
						}
						{	/* Ast/node.scm 206 */
							BgL_objectz00_bglt BgL_auxz00_14098;

							BgL_auxz00_14098 = ((BgL_objectz00_bglt) BgL_new2053z00_3252);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14098, BFALSE);
						}
						BgL_new2054z00_3251 = BgL_new2053z00_3252;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2054z00_3251)))->BgL_locz00) =
						((obj_t) BgL_loc1310z00_3243), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2054z00_3251)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1311z00_3244), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2054z00_3251)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1312zd2_3245), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2054z00_3251)))->BgL_keyz00) =
						((obj_t) BgL_key1313z00_3246), BUNSPEC);
					((((BgL_selectz00_bglt) CREF(BgL_new2054z00_3251))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_test1314z00_3247), BUNSPEC);
					((((BgL_selectz00_bglt) CREF(BgL_new2054z00_3251))->BgL_clausesz00) =
						((obj_t) BgL_clauses1315z00_3248), BUNSPEC);
					((((BgL_selectz00_bglt) CREF(BgL_new2054z00_3251))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_itemzd2type1316zd2_3249), BUNSPEC);
					return BgL_new2054z00_3251;
				}
			}
		}
	}



/* &lambda3129 */
	obj_t BGl_z62lambda3129z62zzast_nodez00(obj_t BgL_envz00_7541,
		obj_t BgL_oz00_7542, obj_t BgL_vz00_7543)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			return
				((((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_oz00_7542)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7543)), BUNSPEC);
		}
	}



/* &lambda3128 */
	BgL_nodez00_bglt BGl_z62lambda3128z62zzast_nodez00(obj_t BgL_envz00_7544,
		obj_t BgL_oz00_7545)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_7545)))->BgL_testz00);
		}
	}



/* &lambda3123 */
	obj_t BGl_z62lambda3123z62zzast_nodez00(obj_t BgL_envz00_7546,
		obj_t BgL_oz00_7547, obj_t BgL_vz00_7548)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			return
				((((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_oz00_7547)))->BgL_clausesz00) =
				((obj_t) BgL_vz00_7548), BUNSPEC);
		}
	}



/* &lambda3122 */
	obj_t BGl_z62lambda3122z62zzast_nodez00(obj_t BgL_envz00_7549,
		obj_t BgL_oz00_7550)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_7550)))->BgL_clausesz00);
		}
	}



/* &lambda3116 */
	obj_t BGl_z62lambda3116z62zzast_nodez00(obj_t BgL_envz00_7551,
		obj_t BgL_oz00_7552, obj_t BgL_vz00_7553)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			return
				((((BgL_selectz00_bglt) CREF(
							((BgL_selectz00_bglt) BgL_oz00_7552)))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7553)), BUNSPEC);
		}
	}



/* &lambda3115 */
	BgL_typez00_bglt BGl_z62lambda3115z62zzast_nodez00(obj_t BgL_envz00_7554,
		obj_t BgL_oz00_7555)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 206 */
			return
				(((BgL_selectz00_bglt) CREF(
						((BgL_selectz00_bglt) BgL_oz00_7555)))->BgL_itemzd2typezd2);
		}
	}



/* &<anonymous:3081> */
	BgL_failz00_bglt BGl_z62zc3anonymousza33081ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7556, obj_t BgL_new1308z00_7557)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			{
				BgL_failz00_bglt BgL_new1308z00_3195;

				BgL_new1308z00_3195 = ((BgL_failz00_bglt) BgL_new1308z00_7557);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1308z00_3195)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14131;

					{	/* Ast/node.scm 199 */
						obj_t BgL_classz00_5424;

						BgL_classz00_5424 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 199 */
							obj_t BgL__ortest_1092z00_5425;

							BgL__ortest_1092z00_5425 = BGL_CLASS_NIL(BgL_classz00_5424);
							if (CBOOL(BgL__ortest_1092z00_5425))
								{	/* Ast/node.scm 199 */
									BgL_auxz00_14131 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5425);
								}
							else
								{	/* Ast/node.scm 199 */
									BgL_auxz00_14131 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5424));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1308z00_3195)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14131), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14140;

					{	/* Ast/node.scm 199 */
						obj_t BgL_classz00_5426;

						BgL_classz00_5426 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 199 */
							obj_t BgL__ortest_1092z00_5427;

							BgL__ortest_1092z00_5427 = BGL_CLASS_NIL(BgL_classz00_5426);
							if (CBOOL(BgL__ortest_1092z00_5427))
								{	/* Ast/node.scm 199 */
									BgL_auxz00_14140 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5427);
								}
							else
								{	/* Ast/node.scm 199 */
									BgL_auxz00_14140 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5426));
								}
						}
					}
					((((BgL_failz00_bglt) CREF(BgL_new1308z00_3195))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14140), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14148;

					{	/* Ast/node.scm 199 */
						obj_t BgL_classz00_5428;

						BgL_classz00_5428 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 199 */
							obj_t BgL__ortest_1092z00_5429;

							BgL__ortest_1092z00_5429 = BGL_CLASS_NIL(BgL_classz00_5428);
							if (CBOOL(BgL__ortest_1092z00_5429))
								{	/* Ast/node.scm 199 */
									BgL_auxz00_14148 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5429);
								}
							else
								{	/* Ast/node.scm 199 */
									BgL_auxz00_14148 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5428));
								}
						}
					}
					((((BgL_failz00_bglt) CREF(BgL_new1308z00_3195))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14148), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14156;

					{	/* Ast/node.scm 199 */
						obj_t BgL_classz00_5430;

						BgL_classz00_5430 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 199 */
							obj_t BgL__ortest_1092z00_5431;

							BgL__ortest_1092z00_5431 = BGL_CLASS_NIL(BgL_classz00_5430);
							if (CBOOL(BgL__ortest_1092z00_5431))
								{	/* Ast/node.scm 199 */
									BgL_auxz00_14156 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5431);
								}
							else
								{	/* Ast/node.scm 199 */
									BgL_auxz00_14156 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5430));
								}
						}
					}
					((((BgL_failz00_bglt) CREF(BgL_new1308z00_3195))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14156), BUNSPEC);
				}
				return BgL_new1308z00_3195;
			}
		}
	}



/* &lambda3079 */
	BgL_failz00_bglt BGl_z62lambda3079z62zzast_nodez00(obj_t BgL_envz00_7558)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			{

				{	/* Ast/node.scm 199 */
					BgL_failz00_bglt BgL_new1307z00_3193;

					BgL_new1307z00_3193 =
						((BgL_failz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/node.scm 199 */
						long BgL_arg3080z00_3194;

						{	/* Ast/node.scm 199 */
							long BgL_res3543z00_5421;

							BgL_res3543z00_5421 = BGL_CLASS_INDEX(BGl_failz00zzast_nodez00);
							BgL_arg3080z00_3194 = BgL_res3543z00_5421;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1307z00_3193), BgL_arg3080z00_3194);
					}
					{	/* Ast/node.scm 199 */
						BgL_objectz00_bglt BgL_auxz00_14169;

						BgL_auxz00_14169 = ((BgL_objectz00_bglt) BgL_new1307z00_3193);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14169, BFALSE);
					}
					return BgL_new1307z00_3193;
				}
			}
		}
	}



/* &lambda3077 */
	BgL_failz00_bglt BGl_z62lambda3077z62zzast_nodez00(obj_t BgL_envz00_7559,
		obj_t BgL_loc1302z00_7560, obj_t BgL_type1303z00_7561,
		obj_t BgL_proc1304z00_7562, obj_t BgL_msg1305z00_7563,
		obj_t BgL_obj1306z00_7564)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			{
				obj_t BgL_loc1302z00_3183;
				BgL_typez00_bglt BgL_type1303z00_3184;
				BgL_nodez00_bglt BgL_proc1304z00_3185;
				BgL_nodez00_bglt BgL_msg1305z00_3186;
				BgL_nodez00_bglt BgL_obj1306z00_3187;

				BgL_loc1302z00_3183 = BgL_loc1302z00_7560;
				BgL_type1303z00_3184 = ((BgL_typez00_bglt) BgL_type1303z00_7561);
				BgL_proc1304z00_3185 = ((BgL_nodez00_bglt) BgL_proc1304z00_7562);
				BgL_msg1305z00_3186 = ((BgL_nodez00_bglt) BgL_msg1305z00_7563);
				BgL_obj1306z00_3187 = ((BgL_nodez00_bglt) BgL_obj1306z00_7564);
				{	/* Ast/node.scm 199 */
					BgL_failz00_bglt BgL_new2046z00_3189;

					{	/* Ast/node.scm 199 */
						BgL_failz00_bglt BgL_new2045z00_3190;

						BgL_new2045z00_3190 =
							((BgL_failz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_failz00_bgl))));
						{	/* Ast/node.scm 199 */
							long BgL_arg3078z00_3191;

							{	/* Ast/node.scm 199 */
								long BgL_res3542z00_5417;

								BgL_res3542z00_5417 = BGL_CLASS_INDEX(BGl_failz00zzast_nodez00);
								BgL_arg3078z00_3191 = BgL_res3542z00_5417;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2045z00_3190),
								BgL_arg3078z00_3191);
						}
						{	/* Ast/node.scm 199 */
							BgL_objectz00_bglt BgL_auxz00_14176;

							BgL_auxz00_14176 = ((BgL_objectz00_bglt) BgL_new2045z00_3190);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14176, BFALSE);
						}
						BgL_new2046z00_3189 = BgL_new2045z00_3190;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2046z00_3189)))->BgL_locz00) =
						((obj_t) BgL_loc1302z00_3183), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2046z00_3189)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1303z00_3184), BUNSPEC);
					((((BgL_failz00_bglt) CREF(BgL_new2046z00_3189))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_proc1304z00_3185), BUNSPEC);
					((((BgL_failz00_bglt) CREF(BgL_new2046z00_3189))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_msg1305z00_3186), BUNSPEC);
					((((BgL_failz00_bglt) CREF(BgL_new2046z00_3189))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_obj1306z00_3187), BUNSPEC);
					return BgL_new2046z00_3189;
				}
			}
		}
	}



/* &lambda3098 */
	obj_t BGl_z62lambda3098z62zzast_nodez00(obj_t BgL_envz00_7565,
		obj_t BgL_oz00_7566, obj_t BgL_vz00_7567)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			return
				((((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_oz00_7566)))->BgL_procz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7567)), BUNSPEC);
		}
	}



/* &lambda3097 */
	BgL_nodez00_bglt BGl_z62lambda3097z62zzast_nodez00(obj_t BgL_envz00_7568,
		obj_t BgL_oz00_7569)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_7569)))->BgL_procz00);
		}
	}



/* &lambda3092 */
	obj_t BGl_z62lambda3092z62zzast_nodez00(obj_t BgL_envz00_7570,
		obj_t BgL_oz00_7571, obj_t BgL_vz00_7572)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			return
				((((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_oz00_7571)))->BgL_msgz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7572)), BUNSPEC);
		}
	}



/* &lambda3091 */
	BgL_nodez00_bglt BGl_z62lambda3091z62zzast_nodez00(obj_t BgL_envz00_7573,
		obj_t BgL_oz00_7574)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_7574)))->BgL_msgz00);
		}
	}



/* &lambda3086 */
	obj_t BGl_z62lambda3086z62zzast_nodez00(obj_t BgL_envz00_7575,
		obj_t BgL_oz00_7576, obj_t BgL_vz00_7577)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			return
				((((BgL_failz00_bglt) CREF(
							((BgL_failz00_bglt) BgL_oz00_7576)))->BgL_objz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7577)), BUNSPEC);
		}
	}



/* &lambda3085 */
	BgL_nodez00_bglt BGl_z62lambda3085z62zzast_nodez00(obj_t BgL_envz00_7578,
		obj_t BgL_oz00_7579)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 199 */
			return
				(((BgL_failz00_bglt) CREF(
						((BgL_failz00_bglt) BgL_oz00_7579)))->BgL_objz00);
		}
	}



/* &<anonymous:3053> */
	BgL_conditionalz00_bglt BGl_z62zc3anonymousza33053ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7580, obj_t BgL_new1300z00_7581)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			{
				BgL_conditionalz00_bglt BgL_new1300z00_3135;

				BgL_new1300z00_3135 = ((BgL_conditionalz00_bglt) BgL_new1300z00_7581);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1300z00_3135)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14207;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_5393;

						BgL_classz00_5393 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1092z00_5394;

							BgL__ortest_1092z00_5394 = BGL_CLASS_NIL(BgL_classz00_5393);
							if (CBOOL(BgL__ortest_1092z00_5394))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14207 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5394);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14207 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5393));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1300z00_3135)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14207), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1300z00_3135)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1300z00_3135)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_14220;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_5395;

						BgL_classz00_5395 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1092z00_5396;

							BgL__ortest_1092z00_5396 = BGL_CLASS_NIL(BgL_classz00_5395);
							if (CBOOL(BgL__ortest_1092z00_5396))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14220 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5396);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14220 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5395));
								}
						}
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_new1300z00_3135))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_14220), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14228;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_5397;

						BgL_classz00_5397 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1092z00_5398;

							BgL__ortest_1092z00_5398 = BGL_CLASS_NIL(BgL_classz00_5397);
							if (CBOOL(BgL__ortest_1092z00_5398))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14228 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5398);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14228 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5397));
								}
						}
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_new1300z00_3135))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_14228), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14236;

					{	/* Ast/node.scm 190 */
						obj_t BgL_classz00_5399;

						BgL_classz00_5399 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 190 */
							obj_t BgL__ortest_1092z00_5400;

							BgL__ortest_1092z00_5400 = BGL_CLASS_NIL(BgL_classz00_5399);
							if (CBOOL(BgL__ortest_1092z00_5400))
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14236 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5400);
								}
							else
								{	/* Ast/node.scm 190 */
									BgL_auxz00_14236 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5399));
								}
						}
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_new1300z00_3135))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_14236), BUNSPEC);
				}
				return BgL_new1300z00_3135;
			}
		}
	}



/* &lambda3051 */
	BgL_conditionalz00_bglt BGl_z62lambda3051z62zzast_nodez00(obj_t
		BgL_envz00_7582)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			{

				{	/* Ast/node.scm 190 */
					BgL_conditionalz00_bglt BgL_new1299z00_3133;

					BgL_new1299z00_3133 =
						((BgL_conditionalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/node.scm 190 */
						long BgL_arg3052z00_3134;

						{	/* Ast/node.scm 190 */
							long BgL_res3541z00_5390;

							BgL_res3541z00_5390 =
								BGL_CLASS_INDEX(BGl_conditionalz00zzast_nodez00);
							BgL_arg3052z00_3134 = BgL_res3541z00_5390;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1299z00_3133), BgL_arg3052z00_3134);
					}
					{	/* Ast/node.scm 190 */
						BgL_objectz00_bglt BgL_auxz00_14249;

						BgL_auxz00_14249 = ((BgL_objectz00_bglt) BgL_new1299z00_3133);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14249, BFALSE);
					}
					return BgL_new1299z00_3133;
				}
			}
		}
	}



/* &lambda3049 */
	BgL_conditionalz00_bglt BGl_z62lambda3049z62zzast_nodez00(obj_t
		BgL_envz00_7583, obj_t BgL_loc1292z00_7584, obj_t BgL_type1293z00_7585,
		obj_t BgL_sidezd2effect1294zd2_7586, obj_t BgL_key1295z00_7587,
		obj_t BgL_test1296z00_7588, obj_t BgL_true1297z00_7589,
		obj_t BgL_false1298z00_7590)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			{
				obj_t BgL_loc1292z00_3121;
				BgL_typez00_bglt BgL_type1293z00_3122;
				obj_t BgL_sidezd2effect1294zd2_3123;
				obj_t BgL_key1295z00_3124;
				BgL_nodez00_bglt BgL_test1296z00_3125;
				BgL_nodez00_bglt BgL_true1297z00_3126;
				BgL_nodez00_bglt BgL_false1298z00_3127;

				BgL_loc1292z00_3121 = BgL_loc1292z00_7584;
				BgL_type1293z00_3122 = ((BgL_typez00_bglt) BgL_type1293z00_7585);
				BgL_sidezd2effect1294zd2_3123 = BgL_sidezd2effect1294zd2_7586;
				BgL_key1295z00_3124 = BgL_key1295z00_7587;
				BgL_test1296z00_3125 = ((BgL_nodez00_bglt) BgL_test1296z00_7588);
				BgL_true1297z00_3126 = ((BgL_nodez00_bglt) BgL_true1297z00_7589);
				BgL_false1298z00_3127 = ((BgL_nodez00_bglt) BgL_false1298z00_7590);
				{	/* Ast/node.scm 190 */
					BgL_conditionalz00_bglt BgL_new2038z00_3129;

					{	/* Ast/node.scm 190 */
						BgL_conditionalz00_bglt BgL_new2037z00_3130;

						BgL_new2037z00_3130 =
							((BgL_conditionalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_conditionalz00_bgl))));
						{	/* Ast/node.scm 190 */
							long BgL_arg3050z00_3131;

							{	/* Ast/node.scm 190 */
								long BgL_res3540z00_5386;

								BgL_res3540z00_5386 =
									BGL_CLASS_INDEX(BGl_conditionalz00zzast_nodez00);
								BgL_arg3050z00_3131 = BgL_res3540z00_5386;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2037z00_3130),
								BgL_arg3050z00_3131);
						}
						{	/* Ast/node.scm 190 */
							BgL_objectz00_bglt BgL_auxz00_14256;

							BgL_auxz00_14256 = ((BgL_objectz00_bglt) BgL_new2037z00_3130);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14256, BFALSE);
						}
						BgL_new2038z00_3129 = BgL_new2037z00_3130;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2038z00_3129)))->BgL_locz00) =
						((obj_t) BgL_loc1292z00_3121), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2038z00_3129)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1293z00_3122), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2038z00_3129)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1294zd2_3123), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2038z00_3129)))->BgL_keyz00) =
						((obj_t) BgL_key1295z00_3124), BUNSPEC);
					((((BgL_conditionalz00_bglt) CREF(BgL_new2038z00_3129))->
							BgL_testz00) =
						((BgL_nodez00_bglt) BgL_test1296z00_3125), BUNSPEC);
					((((BgL_conditionalz00_bglt) CREF(BgL_new2038z00_3129))->
							BgL_truez00) =
						((BgL_nodez00_bglt) BgL_true1297z00_3126), BUNSPEC);
					((((BgL_conditionalz00_bglt) CREF(BgL_new2038z00_3129))->
							BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_false1298z00_3127), BUNSPEC);
					return BgL_new2038z00_3129;
				}
			}
		}
	}



/* &lambda3071 */
	obj_t BGl_z62lambda3071z62zzast_nodez00(obj_t BgL_envz00_7591,
		obj_t BgL_oz00_7592, obj_t BgL_vz00_7593)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			return
				((((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_oz00_7592)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7593)), BUNSPEC);
		}
	}



/* &lambda3070 */
	BgL_nodez00_bglt BGl_z62lambda3070z62zzast_nodez00(obj_t BgL_envz00_7594,
		obj_t BgL_oz00_7595)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_7595)))->BgL_testz00);
		}
	}



/* &lambda3065 */
	obj_t BGl_z62lambda3065z62zzast_nodez00(obj_t BgL_envz00_7596,
		obj_t BgL_oz00_7597, obj_t BgL_vz00_7598)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			return
				((((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_oz00_7597)))->BgL_truez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7598)), BUNSPEC);
		}
	}



/* &lambda3064 */
	BgL_nodez00_bglt BGl_z62lambda3064z62zzast_nodez00(obj_t BgL_envz00_7599,
		obj_t BgL_oz00_7600)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_7600)))->BgL_truez00);
		}
	}



/* &lambda3059 */
	obj_t BGl_z62lambda3059z62zzast_nodez00(obj_t BgL_envz00_7601,
		obj_t BgL_oz00_7602, obj_t BgL_vz00_7603)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			return
				((((BgL_conditionalz00_bglt) CREF(
							((BgL_conditionalz00_bglt) BgL_oz00_7602)))->BgL_falsez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7603)), BUNSPEC);
		}
	}



/* &lambda3058 */
	BgL_nodez00_bglt BGl_z62lambda3058z62zzast_nodez00(obj_t BgL_envz00_7604,
		obj_t BgL_oz00_7605)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 190 */
			return
				(((BgL_conditionalz00_bglt) CREF(
						((BgL_conditionalz00_bglt) BgL_oz00_7605)))->BgL_falsez00);
		}
	}



/* &<anonymous:3020> */
	BgL_setqz00_bglt BGl_z62zc3anonymousza33020ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7606, obj_t BgL_new1290z00_7607)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			{
				BgL_setqz00_bglt BgL_new1290z00_3085;

				BgL_new1290z00_3085 = ((BgL_setqz00_bglt) BgL_new1290z00_7607);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1290z00_3085)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14291;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_5364;

						BgL_classz00_5364 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1092z00_5365;

							BgL__ortest_1092z00_5365 = BGL_CLASS_NIL(BgL_classz00_5364);
							if (CBOOL(BgL__ortest_1092z00_5365))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14291 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5365);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14291 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5364));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1290z00_3085)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14291), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_14300;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_5366;

						BgL_classz00_5366 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1092z00_5367;

							BgL__ortest_1092z00_5367 = BGL_CLASS_NIL(BgL_classz00_5366);
							if (CBOOL(BgL__ortest_1092z00_5367))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14300 =
										((BgL_varz00_bglt) BgL__ortest_1092z00_5367);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14300 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5366));
								}
						}
					}
					((((BgL_setqz00_bglt) CREF(BgL_new1290z00_3085))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_14300), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14308;

					{	/* Ast/node.scm 183 */
						obj_t BgL_classz00_5368;

						BgL_classz00_5368 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 183 */
							obj_t BgL__ortest_1092z00_5369;

							BgL__ortest_1092z00_5369 = BGL_CLASS_NIL(BgL_classz00_5368);
							if (CBOOL(BgL__ortest_1092z00_5369))
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14308 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5369);
								}
							else
								{	/* Ast/node.scm 183 */
									BgL_auxz00_14308 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5368));
								}
						}
					}
					((((BgL_setqz00_bglt) CREF(BgL_new1290z00_3085))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_14308), BUNSPEC);
				}
				return BgL_new1290z00_3085;
			}
		}
	}



/* &lambda3018 */
	BgL_setqz00_bglt BGl_z62lambda3018z62zzast_nodez00(obj_t BgL_envz00_7608)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			{

				{	/* Ast/node.scm 183 */
					BgL_setqz00_bglt BgL_new1289z00_3083;

					BgL_new1289z00_3083 =
						((BgL_setqz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/node.scm 183 */
						long BgL_arg3019z00_3084;

						{	/* Ast/node.scm 183 */
							long BgL_res3539z00_5361;

							BgL_res3539z00_5361 = BGL_CLASS_INDEX(BGl_setqz00zzast_nodez00);
							BgL_arg3019z00_3084 = BgL_res3539z00_5361;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1289z00_3083), BgL_arg3019z00_3084);
					}
					{	/* Ast/node.scm 183 */
						BgL_objectz00_bglt BgL_auxz00_14321;

						BgL_auxz00_14321 = ((BgL_objectz00_bglt) BgL_new1289z00_3083);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14321, BFALSE);
					}
					return BgL_new1289z00_3083;
				}
			}
		}
	}



/* &lambda3016 */
	BgL_setqz00_bglt BGl_z62lambda3016z62zzast_nodez00(obj_t BgL_envz00_7609,
		obj_t BgL_loc1285z00_7610, obj_t BgL_type1286z00_7611,
		obj_t BgL_var1287z00_7612, obj_t BgL_value1288z00_7613)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			{
				obj_t BgL_loc1285z00_3074;
				BgL_typez00_bglt BgL_type1286z00_3075;
				BgL_varz00_bglt BgL_var1287z00_3076;
				BgL_nodez00_bglt BgL_value1288z00_3077;

				BgL_loc1285z00_3074 = BgL_loc1285z00_7610;
				BgL_type1286z00_3075 = ((BgL_typez00_bglt) BgL_type1286z00_7611);
				BgL_var1287z00_3076 = ((BgL_varz00_bglt) BgL_var1287z00_7612);
				BgL_value1288z00_3077 = ((BgL_nodez00_bglt) BgL_value1288z00_7613);
				{	/* Ast/node.scm 183 */
					BgL_setqz00_bglt BgL_new2032z00_3079;

					{	/* Ast/node.scm 183 */
						BgL_setqz00_bglt BgL_new2031z00_3080;

						BgL_new2031z00_3080 =
							((BgL_setqz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_setqz00_bgl))));
						{	/* Ast/node.scm 183 */
							long BgL_arg3017z00_3081;

							{	/* Ast/node.scm 183 */
								long BgL_res3538z00_5357;

								BgL_res3538z00_5357 = BGL_CLASS_INDEX(BGl_setqz00zzast_nodez00);
								BgL_arg3017z00_3081 = BgL_res3538z00_5357;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2031z00_3080),
								BgL_arg3017z00_3081);
						}
						{	/* Ast/node.scm 183 */
							BgL_objectz00_bglt BgL_auxz00_14328;

							BgL_auxz00_14328 = ((BgL_objectz00_bglt) BgL_new2031z00_3080);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14328, BFALSE);
						}
						BgL_new2032z00_3079 = BgL_new2031z00_3080;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2032z00_3079)))->BgL_locz00) =
						((obj_t) BgL_loc1285z00_3074), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2032z00_3079)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1286z00_3075), BUNSPEC);
					((((BgL_setqz00_bglt) CREF(BgL_new2032z00_3079))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_var1287z00_3076), BUNSPEC);
					((((BgL_setqz00_bglt) CREF(BgL_new2032z00_3079))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_value1288z00_3077), BUNSPEC);
					return BgL_new2032z00_3079;
				}
			}
		}
	}



/* &lambda3041 */
	obj_t BGl_z62lambda3041z62zzast_nodez00(obj_t BgL_envz00_7614,
		obj_t BgL_oz00_7615, obj_t BgL_vz00_7616)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			return
				((((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_oz00_7615)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7616)), BUNSPEC);
		}
	}



/* &lambda3040 */
	BgL_varz00_bglt BGl_z62lambda3040z62zzast_nodez00(obj_t BgL_envz00_7617,
		obj_t BgL_oz00_7618)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			return
				(((BgL_setqz00_bglt) CREF(
						((BgL_setqz00_bglt) BgL_oz00_7618)))->BgL_varz00);
		}
	}



/* &lambda3025 */
	obj_t BGl_z62lambda3025z62zzast_nodez00(obj_t BgL_envz00_7619,
		obj_t BgL_oz00_7620, obj_t BgL_vz00_7621)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			return
				((((BgL_setqz00_bglt) CREF(
							((BgL_setqz00_bglt) BgL_oz00_7620)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7621)), BUNSPEC);
		}
	}



/* &lambda3024 */
	BgL_nodez00_bglt BGl_z62lambda3024z62zzast_nodez00(obj_t BgL_envz00_7622,
		obj_t BgL_oz00_7623)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 183 */
			return
				(((BgL_setqz00_bglt) CREF(
						((BgL_setqz00_bglt) BgL_oz00_7623)))->BgL_valuez00);
		}
	}



/* &<anonymous:3000> */
	BgL_castz00_bglt BGl_z62zc3anonymousza33000ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7624, obj_t BgL_new1283z00_7625)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			{
				BgL_castz00_bglt BgL_new1283z00_3050;

				BgL_new1283z00_3050 = ((BgL_castz00_bglt) BgL_new1283z00_7625);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1283z00_3050)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14352;

					{	/* Ast/node.scm 178 */
						obj_t BgL_classz00_5342;

						BgL_classz00_5342 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 178 */
							obj_t BgL__ortest_1092z00_5343;

							BgL__ortest_1092z00_5343 = BGL_CLASS_NIL(BgL_classz00_5342);
							if (CBOOL(BgL__ortest_1092z00_5343))
								{	/* Ast/node.scm 178 */
									BgL_auxz00_14352 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5343);
								}
							else
								{	/* Ast/node.scm 178 */
									BgL_auxz00_14352 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5342));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1283z00_3050)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14352), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14361;

					{	/* Ast/node.scm 178 */
						obj_t BgL_classz00_5344;

						BgL_classz00_5344 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 178 */
							obj_t BgL__ortest_1092z00_5345;

							BgL__ortest_1092z00_5345 = BGL_CLASS_NIL(BgL_classz00_5344);
							if (CBOOL(BgL__ortest_1092z00_5345))
								{	/* Ast/node.scm 178 */
									BgL_auxz00_14361 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5345);
								}
							else
								{	/* Ast/node.scm 178 */
									BgL_auxz00_14361 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5344));
								}
						}
					}
					((((BgL_castz00_bglt) CREF(BgL_new1283z00_3050))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14361), BUNSPEC);
				}
				return BgL_new1283z00_3050;
			}
		}
	}



/* &lambda2994 */
	BgL_castz00_bglt BGl_z62lambda2994z62zzast_nodez00(obj_t BgL_envz00_7626)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			{

				{	/* Ast/node.scm 178 */
					BgL_castz00_bglt BgL_new1282z00_3048;

					BgL_new1282z00_3048 =
						((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/node.scm 178 */
						long BgL_arg2999z00_3049;

						{	/* Ast/node.scm 178 */
							long BgL_res3537z00_5339;

							BgL_res3537z00_5339 = BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
							BgL_arg2999z00_3049 = BgL_res3537z00_5339;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1282z00_3048), BgL_arg2999z00_3049);
					}
					{	/* Ast/node.scm 178 */
						BgL_objectz00_bglt BgL_auxz00_14374;

						BgL_auxz00_14374 = ((BgL_objectz00_bglt) BgL_new1282z00_3048);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14374, BFALSE);
					}
					return BgL_new1282z00_3048;
				}
			}
		}
	}



/* &lambda2992 */
	BgL_castz00_bglt BGl_z62lambda2992z62zzast_nodez00(obj_t BgL_envz00_7627,
		obj_t BgL_loc1279z00_7628, obj_t BgL_type1280z00_7629,
		obj_t BgL_arg1281z00_7630)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			{
				obj_t BgL_loc1279z00_3040;
				BgL_typez00_bglt BgL_type1280z00_3041;
				BgL_nodez00_bglt BgL_arg1281z00_3042;

				BgL_loc1279z00_3040 = BgL_loc1279z00_7628;
				BgL_type1280z00_3041 = ((BgL_typez00_bglt) BgL_type1280z00_7629);
				BgL_arg1281z00_3042 = ((BgL_nodez00_bglt) BgL_arg1281z00_7630);
				{	/* Ast/node.scm 178 */
					BgL_castz00_bglt BgL_new2028z00_3044;

					{	/* Ast/node.scm 178 */
						BgL_castz00_bglt BgL_new2027z00_3045;

						BgL_new2027z00_3045 =
							((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_castz00_bgl))));
						{	/* Ast/node.scm 178 */
							long BgL_arg2993z00_3046;

							{	/* Ast/node.scm 178 */
								long BgL_res3536z00_5335;

								BgL_res3536z00_5335 = BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
								BgL_arg2993z00_3046 = BgL_res3536z00_5335;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2027z00_3045),
								BgL_arg2993z00_3046);
						}
						{	/* Ast/node.scm 178 */
							BgL_objectz00_bglt BgL_auxz00_14381;

							BgL_auxz00_14381 = ((BgL_objectz00_bglt) BgL_new2027z00_3045);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14381, BFALSE);
						}
						BgL_new2028z00_3044 = BgL_new2027z00_3045;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2028z00_3044)))->BgL_locz00) =
						((obj_t) BgL_loc1279z00_3040), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2028z00_3044)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1280z00_3041), BUNSPEC);
					((((BgL_castz00_bglt) CREF(BgL_new2028z00_3044))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg1281z00_3042), BUNSPEC);
					return BgL_new2028z00_3044;
				}
			}
		}
	}



/* &lambda3007 */
	obj_t BGl_z62lambda3007z62zzast_nodez00(obj_t BgL_envz00_7631,
		obj_t BgL_oz00_7632, obj_t BgL_vz00_7633)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			return
				((((BgL_castz00_bglt) CREF(
							((BgL_castz00_bglt) BgL_oz00_7632)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7633)), BUNSPEC);
		}
	}



/* &lambda3006 */
	BgL_nodez00_bglt BGl_z62lambda3006z62zzast_nodez00(obj_t BgL_envz00_7634,
		obj_t BgL_oz00_7635)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 178 */
			return
				(((BgL_castz00_bglt) CREF(
						((BgL_castz00_bglt) BgL_oz00_7635)))->BgL_argz00);
		}
	}



/* &<anonymous:2983> */
	BgL_castzd2nullzd2_bglt BGl_z62zc3anonymousza32983ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7636, obj_t BgL_new1277z00_7637)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 175 */
			{
				BgL_castzd2nullzd2_bglt BgL_new1277z00_3028;

				BgL_new1277z00_3028 = ((BgL_castzd2nullzd2_bglt) BgL_new1277z00_7637);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1277z00_3028)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14398;

					{	/* Ast/node.scm 175 */
						obj_t BgL_classz00_5327;

						BgL_classz00_5327 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 175 */
							obj_t BgL__ortest_1092z00_5328;

							BgL__ortest_1092z00_5328 = BGL_CLASS_NIL(BgL_classz00_5327);
							if (CBOOL(BgL__ortest_1092z00_5328))
								{	/* Ast/node.scm 175 */
									BgL_auxz00_14398 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5328);
								}
							else
								{	/* Ast/node.scm 175 */
									BgL_auxz00_14398 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5327));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1277z00_3028)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14398), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1277z00_3028)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1277z00_3028)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1277z00_3028)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1277z00_3028)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1277z00_3028)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				return BgL_new1277z00_3028;
			}
		}
	}



/* &lambda2981 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2981z62zzast_nodez00(obj_t
		BgL_envz00_7638)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 175 */
			{

				{	/* Ast/node.scm 175 */
					BgL_castzd2nullzd2_bglt BgL_new1276z00_3026;

					BgL_new1276z00_3026 =
						((BgL_castzd2nullzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/node.scm 175 */
						long BgL_arg2982z00_3027;

						{	/* Ast/node.scm 175 */
							long BgL_res3535z00_5324;

							BgL_res3535z00_5324 =
								BGL_CLASS_INDEX(BGl_castzd2nullzd2zzast_nodez00);
							BgL_arg2982z00_3027 = BgL_res3535z00_5324;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1276z00_3026), BgL_arg2982z00_3027);
					}
					{	/* Ast/node.scm 175 */
						BgL_objectz00_bglt BgL_auxz00_14422;

						BgL_auxz00_14422 = ((BgL_objectz00_bglt) BgL_new1276z00_3026);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14422, BFALSE);
					}
					return BgL_new1276z00_3026;
				}
			}
		}
	}



/* &lambda2979 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2979z62zzast_nodez00(obj_t
		BgL_envz00_7639, obj_t BgL_loc1269z00_7640, obj_t BgL_type1270z00_7641,
		obj_t BgL_sidezd2effect1271zd2_7642, obj_t BgL_key1272z00_7643,
		obj_t BgL_exprza21273za2_7644, obj_t BgL_effect1274z00_7645,
		obj_t BgL_czd2format1275zd2_7646)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 175 */
			{
				obj_t BgL_loc1269z00_3014;
				BgL_typez00_bglt BgL_type1270z00_3015;
				obj_t BgL_sidezd2effect1271zd2_3016;
				obj_t BgL_key1272z00_3017;
				obj_t BgL_exprza21273za2_3018;
				obj_t BgL_effect1274z00_3019;
				obj_t BgL_czd2format1275zd2_3020;

				BgL_loc1269z00_3014 = BgL_loc1269z00_7640;
				BgL_type1270z00_3015 = ((BgL_typez00_bglt) BgL_type1270z00_7641);
				BgL_sidezd2effect1271zd2_3016 = BgL_sidezd2effect1271zd2_7642;
				BgL_key1272z00_3017 = BgL_key1272z00_7643;
				BgL_exprza21273za2_3018 = BgL_exprza21273za2_7644;
				BgL_effect1274z00_3019 = BgL_effect1274z00_7645;
				BgL_czd2format1275zd2_3020 = BgL_czd2format1275zd2_7646;
				{	/* Ast/node.scm 175 */
					BgL_castzd2nullzd2_bglt BgL_new2026z00_3022;

					{	/* Ast/node.scm 175 */
						BgL_castzd2nullzd2_bglt BgL_new2025z00_3023;

						BgL_new2025z00_3023 =
							((BgL_castzd2nullzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_castzd2nullzd2_bgl))));
						{	/* Ast/node.scm 175 */
							long BgL_arg2980z00_3024;

							{	/* Ast/node.scm 175 */
								long BgL_res3534z00_5320;

								BgL_res3534z00_5320 =
									BGL_CLASS_INDEX(BGl_castzd2nullzd2zzast_nodez00);
								BgL_arg2980z00_3024 = BgL_res3534z00_5320;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2025z00_3023),
								BgL_arg2980z00_3024);
						}
						{	/* Ast/node.scm 175 */
							BgL_objectz00_bglt BgL_auxz00_14429;

							BgL_auxz00_14429 = ((BgL_objectz00_bglt) BgL_new2025z00_3023);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14429, BFALSE);
						}
						BgL_new2026z00_3022 = BgL_new2025z00_3023;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2026z00_3022)))->BgL_locz00) =
						((obj_t) BgL_loc1269z00_3014), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2026z00_3022)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1270z00_3015), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2026z00_3022)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1271zd2_3016), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2026z00_3022)))->BgL_keyz00) =
						((obj_t) BgL_key1272z00_3017), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new2026z00_3022)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21273za2_3018), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new2026z00_3022)))->BgL_effectz00) =
						((obj_t) BgL_effect1274z00_3019), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new2026z00_3022)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1275zd2_3020), BUNSPEC);
					return BgL_new2026z00_3022;
				}
			}
		}
	}



/* &<anonymous:2967> */
	BgL_instanceofz00_bglt BGl_z62zc3anonymousza32967ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7647, obj_t BgL_new1267z00_7648)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			{
				BgL_instanceofz00_bglt BgL_new1267z00_2990;

				BgL_new1267z00_2990 = ((BgL_instanceofz00_bglt) BgL_new1267z00_7648);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1267z00_2990)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14449;

					{	/* Ast/node.scm 171 */
						obj_t BgL_classz00_5315;

						BgL_classz00_5315 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 171 */
							obj_t BgL__ortest_1092z00_5316;

							BgL__ortest_1092z00_5316 = BGL_CLASS_NIL(BgL_classz00_5315);
							if (CBOOL(BgL__ortest_1092z00_5316))
								{	/* Ast/node.scm 171 */
									BgL_auxz00_14449 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5316);
								}
							else
								{	/* Ast/node.scm 171 */
									BgL_auxz00_14449 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5315));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1267z00_2990)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14449), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1267z00_2990)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1267z00_2990)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1267z00_2990)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1267z00_2990)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1267z00_2990)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14468;

					{	/* Ast/node.scm 171 */
						obj_t BgL_classz00_5317;

						BgL_classz00_5317 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 171 */
							obj_t BgL__ortest_1092z00_5318;

							BgL__ortest_1092z00_5318 = BGL_CLASS_NIL(BgL_classz00_5317);
							if (CBOOL(BgL__ortest_1092z00_5318))
								{	/* Ast/node.scm 171 */
									BgL_auxz00_14468 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5318);
								}
							else
								{	/* Ast/node.scm 171 */
									BgL_auxz00_14468 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5317));
								}
						}
					}
					((((BgL_instanceofz00_bglt) CREF(BgL_new1267z00_2990))->
							BgL_classz00) = ((BgL_typez00_bglt) BgL_auxz00_14468), BUNSPEC);
				}
				return BgL_new1267z00_2990;
			}
		}
	}



/* &lambda2965 */
	BgL_instanceofz00_bglt BGl_z62lambda2965z62zzast_nodez00(obj_t
		BgL_envz00_7649)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			{

				{	/* Ast/node.scm 171 */
					BgL_instanceofz00_bglt BgL_new1266z00_2988;

					BgL_new1266z00_2988 =
						((BgL_instanceofz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/node.scm 171 */
						long BgL_arg2966z00_2989;

						{	/* Ast/node.scm 171 */
							long BgL_res3533z00_5312;

							BgL_res3533z00_5312 =
								BGL_CLASS_INDEX(BGl_instanceofz00zzast_nodez00);
							BgL_arg2966z00_2989 = BgL_res3533z00_5312;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1266z00_2988), BgL_arg2966z00_2989);
					}
					{	/* Ast/node.scm 171 */
						BgL_objectz00_bglt BgL_auxz00_14481;

						BgL_auxz00_14481 = ((BgL_objectz00_bglt) BgL_new1266z00_2988);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14481, BFALSE);
					}
					return BgL_new1266z00_2988;
				}
			}
		}
	}



/* &lambda2962 */
	BgL_instanceofz00_bglt BGl_z62lambda2962z62zzast_nodez00(obj_t
		BgL_envz00_7650, obj_t BgL_loc1258z00_7651, obj_t BgL_type1259z00_7652,
		obj_t BgL_sidezd2effect1260zd2_7653, obj_t BgL_key1261z00_7654,
		obj_t BgL_exprza21262za2_7655, obj_t BgL_effect1263z00_7656,
		obj_t BgL_czd2format1264zd2_7657, obj_t BgL_class1265z00_7658)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			{
				obj_t BgL_loc1258z00_2975;
				BgL_typez00_bglt BgL_type1259z00_2976;
				obj_t BgL_sidezd2effect1260zd2_2977;
				obj_t BgL_key1261z00_2978;
				obj_t BgL_exprza21262za2_2979;
				obj_t BgL_effect1263z00_2980;
				obj_t BgL_czd2format1264zd2_2981;
				BgL_typez00_bglt BgL_class1265z00_2982;

				BgL_loc1258z00_2975 = BgL_loc1258z00_7651;
				BgL_type1259z00_2976 = ((BgL_typez00_bglt) BgL_type1259z00_7652);
				BgL_sidezd2effect1260zd2_2977 = BgL_sidezd2effect1260zd2_7653;
				BgL_key1261z00_2978 = BgL_key1261z00_7654;
				BgL_exprza21262za2_2979 = BgL_exprza21262za2_7655;
				BgL_effect1263z00_2980 = BgL_effect1263z00_7656;
				BgL_czd2format1264zd2_2981 = BgL_czd2format1264zd2_7657;
				BgL_class1265z00_2982 = ((BgL_typez00_bglt) BgL_class1265z00_7658);
				{	/* Ast/node.scm 171 */
					BgL_instanceofz00_bglt BgL_new2022z00_2984;

					{	/* Ast/node.scm 171 */
						BgL_instanceofz00_bglt BgL_new2021z00_2985;

						BgL_new2021z00_2985 =
							((BgL_instanceofz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_instanceofz00_bgl))));
						{	/* Ast/node.scm 171 */
							long BgL_arg2964z00_2986;

							{	/* Ast/node.scm 171 */
								long BgL_res3532z00_5308;

								BgL_res3532z00_5308 =
									BGL_CLASS_INDEX(BGl_instanceofz00zzast_nodez00);
								BgL_arg2964z00_2986 = BgL_res3532z00_5308;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2021z00_2985),
								BgL_arg2964z00_2986);
						}
						{	/* Ast/node.scm 171 */
							BgL_objectz00_bglt BgL_auxz00_14488;

							BgL_auxz00_14488 = ((BgL_objectz00_bglt) BgL_new2021z00_2985);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14488, BFALSE);
						}
						BgL_new2022z00_2984 = BgL_new2021z00_2985;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2022z00_2984)))->BgL_locz00) =
						((obj_t) BgL_loc1258z00_2975), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2022z00_2984)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1259z00_2976), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2022z00_2984)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1260zd2_2977), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2022z00_2984)))->BgL_keyz00) =
						((obj_t) BgL_key1261z00_2978), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new2022z00_2984)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21262za2_2979), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new2022z00_2984)))->BgL_effectz00) =
						((obj_t) BgL_effect1263z00_2980), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new2022z00_2984)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1264zd2_2981), BUNSPEC);
					((((BgL_instanceofz00_bglt) CREF(BgL_new2022z00_2984))->
							BgL_classz00) =
						((BgL_typez00_bglt) BgL_class1265z00_2982), BUNSPEC);
					return BgL_new2022z00_2984;
				}
			}
		}
	}



/* &lambda2972 */
	obj_t BGl_z62lambda2972z62zzast_nodez00(obj_t BgL_envz00_7659,
		obj_t BgL_oz00_7660, obj_t BgL_vz00_7661)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			return
				((((BgL_instanceofz00_bglt) CREF(
							((BgL_instanceofz00_bglt) BgL_oz00_7660)))->BgL_classz00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7661)), BUNSPEC);
		}
	}



/* &lambda2971 */
	BgL_typez00_bglt BGl_z62lambda2971z62zzast_nodez00(obj_t BgL_envz00_7662,
		obj_t BgL_oz00_7663)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 171 */
			return
				(((BgL_instanceofz00_bglt) CREF(
						((BgL_instanceofz00_bglt) BgL_oz00_7663)))->BgL_classz00);
		}
	}



/* &<anonymous:2949> */
	BgL_vlengthz00_bglt BGl_z62zc3anonymousza32949ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7664, obj_t BgL_new1256z00_7665)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			{
				BgL_vlengthz00_bglt BgL_new1256z00_2951;

				BgL_new1256z00_2951 = ((BgL_vlengthz00_bglt) BgL_new1256z00_7665);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1256z00_2951)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14515;

					{	/* Ast/node.scm 166 */
						obj_t BgL_classz00_5298;

						BgL_classz00_5298 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 166 */
							obj_t BgL__ortest_1092z00_5299;

							BgL__ortest_1092z00_5299 = BGL_CLASS_NIL(BgL_classz00_5298);
							if (CBOOL(BgL__ortest_1092z00_5299))
								{	/* Ast/node.scm 166 */
									BgL_auxz00_14515 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5299);
								}
							else
								{	/* Ast/node.scm 166 */
									BgL_auxz00_14515 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5298));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1256z00_2951)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14515), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1256z00_2951)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1256z00_2951)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1256z00_2951)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1256z00_2951)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1256z00_2951)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14534;

					{	/* Ast/node.scm 166 */
						obj_t BgL_classz00_5300;

						BgL_classz00_5300 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 166 */
							obj_t BgL__ortest_1092z00_5301;

							BgL__ortest_1092z00_5301 = BGL_CLASS_NIL(BgL_classz00_5300);
							if (CBOOL(BgL__ortest_1092z00_5301))
								{	/* Ast/node.scm 166 */
									BgL_auxz00_14534 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5301);
								}
							else
								{	/* Ast/node.scm 166 */
									BgL_auxz00_14534 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5300));
								}
						}
					}
					((((BgL_vlengthz00_bglt) CREF(BgL_new1256z00_2951))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14534), BUNSPEC);
				}
				return BgL_new1256z00_2951;
			}
		}
	}



/* &lambda2947 */
	BgL_vlengthz00_bglt BGl_z62lambda2947z62zzast_nodez00(obj_t BgL_envz00_7666)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			{

				{	/* Ast/node.scm 166 */
					BgL_vlengthz00_bglt BgL_new1255z00_2949;

					BgL_new1255z00_2949 =
						((BgL_vlengthz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/node.scm 166 */
						long BgL_arg2948z00_2950;

						{	/* Ast/node.scm 166 */
							long BgL_res3531z00_5295;

							BgL_res3531z00_5295 =
								BGL_CLASS_INDEX(BGl_vlengthz00zzast_nodez00);
							BgL_arg2948z00_2950 = BgL_res3531z00_5295;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1255z00_2949), BgL_arg2948z00_2950);
					}
					{	/* Ast/node.scm 166 */
						BgL_objectz00_bglt BgL_auxz00_14547;

						BgL_auxz00_14547 = ((BgL_objectz00_bglt) BgL_new1255z00_2949);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14547, BFALSE);
					}
					return BgL_new1255z00_2949;
				}
			}
		}
	}



/* &lambda2945 */
	BgL_vlengthz00_bglt BGl_z62lambda2945z62zzast_nodez00(obj_t BgL_envz00_7667,
		obj_t BgL_loc1247z00_7668, obj_t BgL_type1248z00_7669,
		obj_t BgL_sidezd2effect1249zd2_7670, obj_t BgL_key1250z00_7671,
		obj_t BgL_exprza21251za2_7672, obj_t BgL_effect1252z00_7673,
		obj_t BgL_czd2format1253zd2_7674, obj_t BgL_vtype1254z00_7675)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			{
				obj_t BgL_loc1247z00_2936;
				BgL_typez00_bglt BgL_type1248z00_2937;
				obj_t BgL_sidezd2effect1249zd2_2938;
				obj_t BgL_key1250z00_2939;
				obj_t BgL_exprza21251za2_2940;
				obj_t BgL_effect1252z00_2941;
				obj_t BgL_czd2format1253zd2_2942;
				BgL_typez00_bglt BgL_vtype1254z00_2943;

				BgL_loc1247z00_2936 = BgL_loc1247z00_7668;
				BgL_type1248z00_2937 = ((BgL_typez00_bglt) BgL_type1248z00_7669);
				BgL_sidezd2effect1249zd2_2938 = BgL_sidezd2effect1249zd2_7670;
				BgL_key1250z00_2939 = BgL_key1250z00_7671;
				BgL_exprza21251za2_2940 = BgL_exprza21251za2_7672;
				BgL_effect1252z00_2941 = BgL_effect1252z00_7673;
				BgL_czd2format1253zd2_2942 = BgL_czd2format1253zd2_7674;
				BgL_vtype1254z00_2943 = ((BgL_typez00_bglt) BgL_vtype1254z00_7675);
				{	/* Ast/node.scm 166 */
					BgL_vlengthz00_bglt BgL_new2018z00_2945;

					{	/* Ast/node.scm 166 */
						BgL_vlengthz00_bglt BgL_new2017z00_2946;

						BgL_new2017z00_2946 =
							((BgL_vlengthz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vlengthz00_bgl))));
						{	/* Ast/node.scm 166 */
							long BgL_arg2946z00_2947;

							{	/* Ast/node.scm 166 */
								long BgL_res3530z00_5291;

								BgL_res3530z00_5291 =
									BGL_CLASS_INDEX(BGl_vlengthz00zzast_nodez00);
								BgL_arg2946z00_2947 = BgL_res3530z00_5291;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2017z00_2946),
								BgL_arg2946z00_2947);
						}
						{	/* Ast/node.scm 166 */
							BgL_objectz00_bglt BgL_auxz00_14554;

							BgL_auxz00_14554 = ((BgL_objectz00_bglt) BgL_new2017z00_2946);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14554, BFALSE);
						}
						BgL_new2018z00_2945 = BgL_new2017z00_2946;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2018z00_2945)))->BgL_locz00) =
						((obj_t) BgL_loc1247z00_2936), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2018z00_2945)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1248z00_2937), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2018z00_2945)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1249zd2_2938), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2018z00_2945)))->BgL_keyz00) =
						((obj_t) BgL_key1250z00_2939), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new2018z00_2945)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21251za2_2940), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new2018z00_2945)))->BgL_effectz00) =
						((obj_t) BgL_effect1252z00_2941), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new2018z00_2945)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1253zd2_2942), BUNSPEC);
					((((BgL_vlengthz00_bglt) CREF(BgL_new2018z00_2945))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1254z00_2943), BUNSPEC);
					return BgL_new2018z00_2945;
				}
			}
		}
	}



/* &lambda2954 */
	obj_t BGl_z62lambda2954z62zzast_nodez00(obj_t BgL_envz00_7676,
		obj_t BgL_oz00_7677, obj_t BgL_vz00_7678)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			return
				((((BgL_vlengthz00_bglt) CREF(
							((BgL_vlengthz00_bglt) BgL_oz00_7677)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7678)), BUNSPEC);
		}
	}



/* &lambda2953 */
	BgL_typez00_bglt BGl_z62lambda2953z62zzast_nodez00(obj_t BgL_envz00_7679,
		obj_t BgL_oz00_7680)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 166 */
			return
				(((BgL_vlengthz00_bglt) CREF(
						((BgL_vlengthz00_bglt) BgL_oz00_7680)))->BgL_vtypez00);
		}
	}



/* &<anonymous:2913> */
	BgL_vsetz12z12_bglt BGl_z62zc3anonymousza32913ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7681, obj_t BgL_new1245z00_7682)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{
				BgL_vsetz12z12_bglt BgL_new1245z00_2873;

				BgL_new1245z00_2873 = ((BgL_vsetz12z12_bglt) BgL_new1245z00_7682);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1245z00_2873)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14581;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_5277;

						BgL_classz00_5277 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1092z00_5278;

							BgL__ortest_1092z00_5278 = BGL_CLASS_NIL(BgL_classz00_5277);
							if (CBOOL(BgL__ortest_1092z00_5278))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14581 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5278);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14581 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5277));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1245z00_2873)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14581), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1245z00_2873)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1245z00_2873)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1245z00_2873)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1245z00_2873)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1245z00_2873)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14600;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_5279;

						BgL_classz00_5279 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1092z00_5280;

							BgL__ortest_1092z00_5280 = BGL_CLASS_NIL(BgL_classz00_5279);
							if (CBOOL(BgL__ortest_1092z00_5280))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14600 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5280);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14600 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5279));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1245z00_2873))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14600), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14608;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_5281;

						BgL_classz00_5281 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1092z00_5282;

							BgL__ortest_1092z00_5282 = BGL_CLASS_NIL(BgL_classz00_5281);
							if (CBOOL(BgL__ortest_1092z00_5282))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14608 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5282);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14608 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5281));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1245z00_2873))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14608), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14616;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_5283;

						BgL_classz00_5283 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1092z00_5284;

							BgL__ortest_1092z00_5284 = BGL_CLASS_NIL(BgL_classz00_5283);
							if (CBOOL(BgL__ortest_1092z00_5284))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14616 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5284);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_14616 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5283));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) CREF(BgL_new1245z00_2873))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14616), BUNSPEC);
				}
				((((BgL_vsetz12z12_bglt) CREF(BgL_new1245z00_2873))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1245z00_2873;
			}
		}
	}



/* &lambda2911 */
	BgL_vsetz12z12_bglt BGl_z62lambda2911z62zzast_nodez00(obj_t BgL_envz00_7683)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{

				{	/* Ast/node.scm 155 */
					BgL_vsetz12z12_bglt BgL_new1244z00_2871;

					BgL_new1244z00_2871 =
						((BgL_vsetz12z12_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Ast/node.scm 155 */
						long BgL_arg2912z00_2872;

						{	/* Ast/node.scm 155 */
							long BgL_res3529z00_5274;

							BgL_res3529z00_5274 =
								BGL_CLASS_INDEX(BGl_vsetz12z12zzast_nodez00);
							BgL_arg2912z00_2872 = BgL_res3529z00_5274;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1244z00_2871), BgL_arg2912z00_2872);
					}
					{	/* Ast/node.scm 155 */
						BgL_objectz00_bglt BgL_auxz00_14630;

						BgL_auxz00_14630 = ((BgL_objectz00_bglt) BgL_new1244z00_2871);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14630, BFALSE);
					}
					return BgL_new1244z00_2871;
				}
			}
		}
	}



/* &lambda2909 */
	BgL_vsetz12z12_bglt BGl_z62lambda2909z62zzast_nodez00(obj_t BgL_envz00_7684,
		obj_t BgL_loc1233z00_7685, obj_t BgL_type1234z00_7686,
		obj_t BgL_sidezd2effect1235zd2_7687, obj_t BgL_key1236z00_7688,
		obj_t BgL_exprza21237za2_7689, obj_t BgL_effect1238z00_7690,
		obj_t BgL_czd2format1239zd2_7691, obj_t BgL_ftype1240z00_7692,
		obj_t BgL_otype1241z00_7693, obj_t BgL_vtype1242z00_7694,
		obj_t BgL_unsafe1243z00_7695)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{
				obj_t BgL_loc1233z00_2855;
				BgL_typez00_bglt BgL_type1234z00_2856;
				obj_t BgL_sidezd2effect1235zd2_2857;
				obj_t BgL_key1236z00_2858;
				obj_t BgL_exprza21237za2_2859;
				obj_t BgL_effect1238z00_2860;
				obj_t BgL_czd2format1239zd2_2861;
				BgL_typez00_bglt BgL_ftype1240z00_2862;
				BgL_typez00_bglt BgL_otype1241z00_2863;
				BgL_typez00_bglt BgL_vtype1242z00_2864;
				bool_t BgL_unsafe1243z00_2865;

				BgL_loc1233z00_2855 = BgL_loc1233z00_7685;
				BgL_type1234z00_2856 = ((BgL_typez00_bglt) BgL_type1234z00_7686);
				BgL_sidezd2effect1235zd2_2857 = BgL_sidezd2effect1235zd2_7687;
				BgL_key1236z00_2858 = BgL_key1236z00_7688;
				BgL_exprza21237za2_2859 = BgL_exprza21237za2_7689;
				BgL_effect1238z00_2860 = BgL_effect1238z00_7690;
				BgL_czd2format1239zd2_2861 = BgL_czd2format1239zd2_7691;
				BgL_ftype1240z00_2862 = ((BgL_typez00_bglt) BgL_ftype1240z00_7692);
				BgL_otype1241z00_2863 = ((BgL_typez00_bglt) BgL_otype1241z00_7693);
				BgL_vtype1242z00_2864 = ((BgL_typez00_bglt) BgL_vtype1242z00_7694);
				BgL_unsafe1243z00_2865 = CBOOL(BgL_unsafe1243z00_7695);
				{	/* Ast/node.scm 155 */
					BgL_vsetz12z12_bglt BgL_new2008z00_5266;

					{	/* Ast/node.scm 155 */
						BgL_vsetz12z12_bglt BgL_new2007z00_5267;

						BgL_new2007z00_5267 =
							((BgL_vsetz12z12_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vsetz12z12_bgl))));
						{	/* Ast/node.scm 155 */
							long BgL_arg2910z00_5268;

							{	/* Ast/node.scm 155 */
								long BgL_res3528z00_5270;

								BgL_res3528z00_5270 =
									BGL_CLASS_INDEX(BGl_vsetz12z12zzast_nodez00);
								BgL_arg2910z00_5268 = BgL_res3528z00_5270;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new2007z00_5267),
								BgL_arg2910z00_5268);
						}
						{	/* Ast/node.scm 155 */
							BgL_objectz00_bglt BgL_auxz00_14637;

							BgL_auxz00_14637 = ((BgL_objectz00_bglt) BgL_new2007z00_5267);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14637, BFALSE);
						}
						BgL_new2008z00_5266 = BgL_new2007z00_5267;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new2008z00_5266)))->BgL_locz00) =
						((obj_t) BgL_loc1233z00_2855), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new2008z00_5266)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1234z00_2856), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2008z00_5266)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1235zd2_2857), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new2008z00_5266)))->BgL_keyz00) =
						((obj_t) BgL_key1236z00_2858), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new2008z00_5266)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21237za2_2859), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new2008z00_5266)))->BgL_effectz00) =
						((obj_t) BgL_effect1238z00_2860), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new2008z00_5266)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1239zd2_2861), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new2008z00_5266))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1240z00_2862), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new2008z00_5266))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1241z00_2863), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new2008z00_5266))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1242z00_2864), BUNSPEC);
					((((BgL_vsetz12z12_bglt) CREF(BgL_new2008z00_5266))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1243z00_2865), BUNSPEC);
					return BgL_new2008z00_5266;
				}
			}
		}
	}



/* &lambda2938 */
	obj_t BGl_z62lambda2938z62zzast_nodez00(obj_t BgL_envz00_7696,
		obj_t BgL_oz00_7697, obj_t BgL_vz00_7698)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				((((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_7697)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7698)), BUNSPEC);
		}
	}



/* &lambda2937 */
	BgL_typez00_bglt BGl_z62lambda2937z62zzast_nodez00(obj_t BgL_envz00_7699,
		obj_t BgL_oz00_7700)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_7700)))->BgL_ftypez00);
		}
	}



/* &lambda2932 */
	obj_t BGl_z62lambda2932z62zzast_nodez00(obj_t BgL_envz00_7701,
		obj_t BgL_oz00_7702, obj_t BgL_vz00_7703)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				((((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_7702)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7703)), BUNSPEC);
		}
	}



/* &lambda2931 */
	BgL_typez00_bglt BGl_z62lambda2931z62zzast_nodez00(obj_t BgL_envz00_7704,
		obj_t BgL_oz00_7705)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_7705)))->BgL_otypez00);
		}
	}



/* &lambda2927 */
	obj_t BGl_z62lambda2927z62zzast_nodez00(obj_t BgL_envz00_7706,
		obj_t BgL_oz00_7707, obj_t BgL_vz00_7708)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				((((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_7707)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7708)), BUNSPEC);
		}
	}



/* &lambda2926 */
	BgL_typez00_bglt BGl_z62lambda2926z62zzast_nodez00(obj_t BgL_envz00_7709,
		obj_t BgL_oz00_7710)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				(((BgL_vsetz12z12_bglt) CREF(
						((BgL_vsetz12z12_bglt) BgL_oz00_7710)))->BgL_vtypez00);
		}
	}



/* &<anonymous:2921> */
	obj_t BGl_z62zc3anonymousza32921ze3ze1zzast_nodez00(obj_t BgL_envz00_7711)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda2920 */
	obj_t BGl_z62lambda2920z62zzast_nodez00(obj_t BgL_envz00_7712,
		obj_t BgL_oz00_7713, obj_t BgL_vz00_7714)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			{	/* Ast/node.scm 155 */
				bool_t BgL_vz00_9390;

				BgL_vz00_9390 = CBOOL(BgL_vz00_7714);
				return
					((((BgL_vsetz12z12_bglt) CREF(
								((BgL_vsetz12z12_bglt) BgL_oz00_7713)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_9390), BUNSPEC);
			}
		}
	}



/* &lambda2919 */
	obj_t BGl_z62lambda2919z62zzast_nodez00(obj_t BgL_envz00_7715,
		obj_t BgL_oz00_7716)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 155 */
			return
				BBOOL(
				(((BgL_vsetz12z12_bglt) CREF(
							((BgL_vsetz12z12_bglt) BgL_oz00_7716)))->BgL_unsafez00));
		}
	}



/* &<anonymous:2877> */
	BgL_vrefz00_bglt BGl_z62zc3anonymousza32877ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7717, obj_t BgL_new1231z00_7718)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{
				BgL_vrefz00_bglt BgL_new1231z00_2792;

				BgL_new1231z00_2792 = ((BgL_vrefz00_bglt) BgL_new1231z00_7718);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1231z00_2792)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14687;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_5238;

						BgL_classz00_5238 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1092z00_5239;

							BgL__ortest_1092z00_5239 = BGL_CLASS_NIL(BgL_classz00_5238);
							if (CBOOL(BgL__ortest_1092z00_5239))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14687 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5239);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14687 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5238));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1231z00_2792)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14687), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1231z00_2792)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1231z00_2792)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1231z00_2792)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1231z00_2792)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1231z00_2792)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14706;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_5240;

						BgL_classz00_5240 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1092z00_5241;

							BgL__ortest_1092z00_5241 = BGL_CLASS_NIL(BgL_classz00_5240);
							if (CBOOL(BgL__ortest_1092z00_5241))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14706 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5241);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14706 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5240));
								}
						}
					}
					((((BgL_vrefz00_bglt) CREF(BgL_new1231z00_2792))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14706), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14714;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_5242;

						BgL_classz00_5242 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1092z00_5243;

							BgL__ortest_1092z00_5243 = BGL_CLASS_NIL(BgL_classz00_5242);
							if (CBOOL(BgL__ortest_1092z00_5243))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14714 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5243);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14714 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5242));
								}
						}
					}
					((((BgL_vrefz00_bglt) CREF(BgL_new1231z00_2792))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14714), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14722;

					{	/* Ast/node.scm 144 */
						obj_t BgL_classz00_5244;

						BgL_classz00_5244 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 144 */
							obj_t BgL__ortest_1092z00_5245;

							BgL__ortest_1092z00_5245 = BGL_CLASS_NIL(BgL_classz00_5244);
							if (CBOOL(BgL__ortest_1092z00_5245))
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14722 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5245);
								}
							else
								{	/* Ast/node.scm 144 */
									BgL_auxz00_14722 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5244));
								}
						}
					}
					((((BgL_vrefz00_bglt) CREF(BgL_new1231z00_2792))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14722), BUNSPEC);
				}
				((((BgL_vrefz00_bglt) CREF(BgL_new1231z00_2792))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1231z00_2792;
			}
		}
	}



/* &lambda2875 */
	BgL_vrefz00_bglt BGl_z62lambda2875z62zzast_nodez00(obj_t BgL_envz00_7719)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{

				{	/* Ast/node.scm 144 */
					BgL_vrefz00_bglt BgL_new1230z00_2790;

					BgL_new1230z00_2790 =
						((BgL_vrefz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Ast/node.scm 144 */
						long BgL_arg2876z00_2791;

						{	/* Ast/node.scm 144 */
							long BgL_res3527z00_5235;

							BgL_res3527z00_5235 = BGL_CLASS_INDEX(BGl_vrefz00zzast_nodez00);
							BgL_arg2876z00_2791 = BgL_res3527z00_5235;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1230z00_2790), BgL_arg2876z00_2791);
					}
					{	/* Ast/node.scm 144 */
						BgL_objectz00_bglt BgL_auxz00_14736;

						BgL_auxz00_14736 = ((BgL_objectz00_bglt) BgL_new1230z00_2790);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14736, BFALSE);
					}
					return BgL_new1230z00_2790;
				}
			}
		}
	}



/* &lambda2872 */
	BgL_vrefz00_bglt BGl_z62lambda2872z62zzast_nodez00(obj_t BgL_envz00_7720,
		obj_t BgL_loc1219z00_7721, obj_t BgL_type1220z00_7722,
		obj_t BgL_sidezd2effect1221zd2_7723, obj_t BgL_key1222z00_7724,
		obj_t BgL_exprza21223za2_7725, obj_t BgL_effect1224z00_7726,
		obj_t BgL_czd2format1225zd2_7727, obj_t BgL_ftype1226z00_7728,
		obj_t BgL_otype1227z00_7729, obj_t BgL_vtype1228z00_7730,
		obj_t BgL_unsafe1229z00_7731)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{
				obj_t BgL_loc1219z00_2774;
				BgL_typez00_bglt BgL_type1220z00_2775;
				obj_t BgL_sidezd2effect1221zd2_2776;
				obj_t BgL_key1222z00_2777;
				obj_t BgL_exprza21223za2_2778;
				obj_t BgL_effect1224z00_2779;
				obj_t BgL_czd2format1225zd2_2780;
				BgL_typez00_bglt BgL_ftype1226z00_2781;
				BgL_typez00_bglt BgL_otype1227z00_2782;
				BgL_typez00_bglt BgL_vtype1228z00_2783;
				bool_t BgL_unsafe1229z00_2784;

				BgL_loc1219z00_2774 = BgL_loc1219z00_7721;
				BgL_type1220z00_2775 = ((BgL_typez00_bglt) BgL_type1220z00_7722);
				BgL_sidezd2effect1221zd2_2776 = BgL_sidezd2effect1221zd2_7723;
				BgL_key1222z00_2777 = BgL_key1222z00_7724;
				BgL_exprza21223za2_2778 = BgL_exprza21223za2_7725;
				BgL_effect1224z00_2779 = BgL_effect1224z00_7726;
				BgL_czd2format1225zd2_2780 = BgL_czd2format1225zd2_7727;
				BgL_ftype1226z00_2781 = ((BgL_typez00_bglt) BgL_ftype1226z00_7728);
				BgL_otype1227z00_2782 = ((BgL_typez00_bglt) BgL_otype1227z00_7729);
				BgL_vtype1228z00_2783 = ((BgL_typez00_bglt) BgL_vtype1228z00_7730);
				BgL_unsafe1229z00_2784 = CBOOL(BgL_unsafe1229z00_7731);
				{	/* Ast/node.scm 144 */
					BgL_vrefz00_bglt BgL_new1998z00_5227;

					{	/* Ast/node.scm 144 */
						BgL_vrefz00_bglt BgL_new1997z00_5228;

						BgL_new1997z00_5228 =
							((BgL_vrefz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vrefz00_bgl))));
						{	/* Ast/node.scm 144 */
							long BgL_arg2874z00_5229;

							{	/* Ast/node.scm 144 */
								long BgL_res3526z00_5231;

								BgL_res3526z00_5231 = BGL_CLASS_INDEX(BGl_vrefz00zzast_nodez00);
								BgL_arg2874z00_5229 = BgL_res3526z00_5231;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1997z00_5228),
								BgL_arg2874z00_5229);
						}
						{	/* Ast/node.scm 144 */
							BgL_objectz00_bglt BgL_auxz00_14743;

							BgL_auxz00_14743 = ((BgL_objectz00_bglt) BgL_new1997z00_5228);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14743, BFALSE);
						}
						BgL_new1998z00_5227 = BgL_new1997z00_5228;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1998z00_5227)))->BgL_locz00) =
						((obj_t) BgL_loc1219z00_2774), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1998z00_5227)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1220z00_2775), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1998z00_5227)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1221zd2_2776), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1998z00_5227)))->BgL_keyz00) =
						((obj_t) BgL_key1222z00_2777), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1998z00_5227)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21223za2_2778), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1998z00_5227)))->BgL_effectz00) =
						((obj_t) BgL_effect1224z00_2779), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1998z00_5227)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1225zd2_2780), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1998z00_5227))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1226z00_2781), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1998z00_5227))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1227z00_2782), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1998z00_5227))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_vtype1228z00_2783), BUNSPEC);
					((((BgL_vrefz00_bglt) CREF(BgL_new1998z00_5227))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1229z00_2784), BUNSPEC);
					return BgL_new1998z00_5227;
				}
			}
		}
	}



/* &lambda2902 */
	obj_t BGl_z62lambda2902z62zzast_nodez00(obj_t BgL_envz00_7732,
		obj_t BgL_oz00_7733, obj_t BgL_vz00_7734)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				((((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_7733)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7734)), BUNSPEC);
		}
	}



/* &lambda2901 */
	BgL_typez00_bglt BGl_z62lambda2901z62zzast_nodez00(obj_t BgL_envz00_7735,
		obj_t BgL_oz00_7736)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_7736)))->BgL_ftypez00);
		}
	}



/* &lambda2897 */
	obj_t BGl_z62lambda2897z62zzast_nodez00(obj_t BgL_envz00_7737,
		obj_t BgL_oz00_7738, obj_t BgL_vz00_7739)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				((((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_7738)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7739)), BUNSPEC);
		}
	}



/* &lambda2896 */
	BgL_typez00_bglt BGl_z62lambda2896z62zzast_nodez00(obj_t BgL_envz00_7740,
		obj_t BgL_oz00_7741)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_7741)))->BgL_otypez00);
		}
	}



/* &lambda2892 */
	obj_t BGl_z62lambda2892z62zzast_nodez00(obj_t BgL_envz00_7742,
		obj_t BgL_oz00_7743, obj_t BgL_vz00_7744)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				((((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_7743)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7744)), BUNSPEC);
		}
	}



/* &lambda2891 */
	BgL_typez00_bglt BGl_z62lambda2891z62zzast_nodez00(obj_t BgL_envz00_7745,
		obj_t BgL_oz00_7746)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				(((BgL_vrefz00_bglt) CREF(
						((BgL_vrefz00_bglt) BgL_oz00_7746)))->BgL_vtypez00);
		}
	}



/* &<anonymous:2885> */
	obj_t BGl_z62zc3anonymousza32885ze3ze1zzast_nodez00(obj_t BgL_envz00_7747)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda2884 */
	obj_t BGl_z62lambda2884z62zzast_nodez00(obj_t BgL_envz00_7748,
		obj_t BgL_oz00_7749, obj_t BgL_vz00_7750)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			{	/* Ast/node.scm 144 */
				bool_t BgL_vz00_9402;

				BgL_vz00_9402 = CBOOL(BgL_vz00_7750);
				return
					((((BgL_vrefz00_bglt) CREF(
								((BgL_vrefz00_bglt) BgL_oz00_7749)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_9402), BUNSPEC);
			}
		}
	}



/* &lambda2883 */
	obj_t BGl_z62lambda2883z62zzast_nodez00(obj_t BgL_envz00_7751,
		obj_t BgL_oz00_7752)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 144 */
			return
				BBOOL(
				(((BgL_vrefz00_bglt) CREF(
							((BgL_vrefz00_bglt) BgL_oz00_7752)))->BgL_unsafez00));
		}
	}



/* &<anonymous:2856> */
	BgL_vallocz00_bglt BGl_z62zc3anonymousza32856ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7753, obj_t BgL_new1217z00_7754)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			{
				BgL_vallocz00_bglt BgL_new1217z00_2738;

				BgL_new1217z00_2738 = ((BgL_vallocz00_bglt) BgL_new1217z00_7754);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1217z00_2738)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14793;

					{	/* Ast/node.scm 137 */
						obj_t BgL_classz00_5201;

						BgL_classz00_5201 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 137 */
							obj_t BgL__ortest_1092z00_5202;

							BgL__ortest_1092z00_5202 = BGL_CLASS_NIL(BgL_classz00_5201);
							if (CBOOL(BgL__ortest_1092z00_5202))
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14793 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5202);
								}
							else
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14793 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5201));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1217z00_2738)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14793), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1217z00_2738)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1217z00_2738)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1217z00_2738)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1217z00_2738)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1217z00_2738)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14812;

					{	/* Ast/node.scm 137 */
						obj_t BgL_classz00_5203;

						BgL_classz00_5203 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 137 */
							obj_t BgL__ortest_1092z00_5204;

							BgL__ortest_1092z00_5204 = BGL_CLASS_NIL(BgL_classz00_5203);
							if (CBOOL(BgL__ortest_1092z00_5204))
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14812 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5204);
								}
							else
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14812 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5203));
								}
						}
					}
					((((BgL_vallocz00_bglt) CREF(BgL_new1217z00_2738))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14812), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_14820;

					{	/* Ast/node.scm 137 */
						obj_t BgL_classz00_5205;

						BgL_classz00_5205 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 137 */
							obj_t BgL__ortest_1092z00_5206;

							BgL__ortest_1092z00_5206 = BGL_CLASS_NIL(BgL_classz00_5205);
							if (CBOOL(BgL__ortest_1092z00_5206))
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14820 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5206);
								}
							else
								{	/* Ast/node.scm 137 */
									BgL_auxz00_14820 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5205));
								}
						}
					}
					((((BgL_vallocz00_bglt) CREF(BgL_new1217z00_2738))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14820), BUNSPEC);
				}
				return BgL_new1217z00_2738;
			}
		}
	}



/* &lambda2854 */
	BgL_vallocz00_bglt BGl_z62lambda2854z62zzast_nodez00(obj_t BgL_envz00_7755)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			{

				{	/* Ast/node.scm 137 */
					BgL_vallocz00_bglt BgL_new1216z00_2736;

					BgL_new1216z00_2736 =
						((BgL_vallocz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/node.scm 137 */
						long BgL_arg2855z00_2737;

						{	/* Ast/node.scm 137 */
							long BgL_res3525z00_5198;

							BgL_res3525z00_5198 = BGL_CLASS_INDEX(BGl_vallocz00zzast_nodez00);
							BgL_arg2855z00_2737 = BgL_res3525z00_5198;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1216z00_2736), BgL_arg2855z00_2737);
					}
					{	/* Ast/node.scm 137 */
						BgL_objectz00_bglt BgL_auxz00_14833;

						BgL_auxz00_14833 = ((BgL_objectz00_bglt) BgL_new1216z00_2736);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14833, BFALSE);
					}
					return BgL_new1216z00_2736;
				}
			}
		}
	}



/* &lambda2852 */
	BgL_vallocz00_bglt BGl_z62lambda2852z62zzast_nodez00(obj_t BgL_envz00_7756,
		obj_t BgL_loc1207z00_7757, obj_t BgL_type1208z00_7758,
		obj_t BgL_sidezd2effect1209zd2_7759, obj_t BgL_key1210z00_7760,
		obj_t BgL_exprza21211za2_7761, obj_t BgL_effect1212z00_7762,
		obj_t BgL_czd2format1213zd2_7763, obj_t BgL_ftype1214z00_7764,
		obj_t BgL_otype1215z00_7765)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			{
				obj_t BgL_loc1207z00_2722;
				BgL_typez00_bglt BgL_type1208z00_2723;
				obj_t BgL_sidezd2effect1209zd2_2724;
				obj_t BgL_key1210z00_2725;
				obj_t BgL_exprza21211za2_2726;
				obj_t BgL_effect1212z00_2727;
				obj_t BgL_czd2format1213zd2_2728;
				BgL_typez00_bglt BgL_ftype1214z00_2729;
				BgL_typez00_bglt BgL_otype1215z00_2730;

				BgL_loc1207z00_2722 = BgL_loc1207z00_7757;
				BgL_type1208z00_2723 = ((BgL_typez00_bglt) BgL_type1208z00_7758);
				BgL_sidezd2effect1209zd2_2724 = BgL_sidezd2effect1209zd2_7759;
				BgL_key1210z00_2725 = BgL_key1210z00_7760;
				BgL_exprza21211za2_2726 = BgL_exprza21211za2_7761;
				BgL_effect1212z00_2727 = BgL_effect1212z00_7762;
				BgL_czd2format1213zd2_2728 = BgL_czd2format1213zd2_7763;
				BgL_ftype1214z00_2729 = ((BgL_typez00_bglt) BgL_ftype1214z00_7764);
				BgL_otype1215z00_2730 = ((BgL_typez00_bglt) BgL_otype1215z00_7765);
				{	/* Ast/node.scm 137 */
					BgL_vallocz00_bglt BgL_new1992z00_5190;

					{	/* Ast/node.scm 137 */
						BgL_vallocz00_bglt BgL_new1991z00_5191;

						BgL_new1991z00_5191 =
							((BgL_vallocz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_vallocz00_bgl))));
						{	/* Ast/node.scm 137 */
							long BgL_arg2853z00_5192;

							{	/* Ast/node.scm 137 */
								long BgL_res3524z00_5194;

								BgL_res3524z00_5194 =
									BGL_CLASS_INDEX(BGl_vallocz00zzast_nodez00);
								BgL_arg2853z00_5192 = BgL_res3524z00_5194;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1991z00_5191),
								BgL_arg2853z00_5192);
						}
						{	/* Ast/node.scm 137 */
							BgL_objectz00_bglt BgL_auxz00_14840;

							BgL_auxz00_14840 = ((BgL_objectz00_bglt) BgL_new1991z00_5191);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14840, BFALSE);
						}
						BgL_new1992z00_5190 = BgL_new1991z00_5191;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1992z00_5190)))->BgL_locz00) =
						((obj_t) BgL_loc1207z00_2722), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1992z00_5190)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1208z00_2723), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1992z00_5190)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1209zd2_2724), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1992z00_5190)))->BgL_keyz00) =
						((obj_t) BgL_key1210z00_2725), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1992z00_5190)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21211za2_2726), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1992z00_5190)))->BgL_effectz00) =
						((obj_t) BgL_effect1212z00_2727), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1992z00_5190)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1213zd2_2728), BUNSPEC);
					((((BgL_vallocz00_bglt) CREF(BgL_new1992z00_5190))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1214z00_2729), BUNSPEC);
					((((BgL_vallocz00_bglt) CREF(BgL_new1992z00_5190))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1215z00_2730), BUNSPEC);
					return BgL_new1992z00_5190;
				}
			}
		}
	}



/* &lambda2866 */
	obj_t BGl_z62lambda2866z62zzast_nodez00(obj_t BgL_envz00_7766,
		obj_t BgL_oz00_7767, obj_t BgL_vz00_7768)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			return
				((((BgL_vallocz00_bglt) CREF(
							((BgL_vallocz00_bglt) BgL_oz00_7767)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7768)), BUNSPEC);
		}
	}



/* &lambda2865 */
	BgL_typez00_bglt BGl_z62lambda2865z62zzast_nodez00(obj_t BgL_envz00_7769,
		obj_t BgL_oz00_7770)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			return
				(((BgL_vallocz00_bglt) CREF(
						((BgL_vallocz00_bglt) BgL_oz00_7770)))->BgL_ftypez00);
		}
	}



/* &lambda2861 */
	obj_t BGl_z62lambda2861z62zzast_nodez00(obj_t BgL_envz00_7771,
		obj_t BgL_oz00_7772, obj_t BgL_vz00_7773)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			return
				((((BgL_vallocz00_bglt) CREF(
							((BgL_vallocz00_bglt) BgL_oz00_7772)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7773)), BUNSPEC);
		}
	}



/* &lambda2860 */
	BgL_typez00_bglt BGl_z62lambda2860z62zzast_nodez00(obj_t BgL_envz00_7774,
		obj_t BgL_oz00_7775)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 137 */
			return
				(((BgL_vallocz00_bglt) CREF(
						((BgL_vallocz00_bglt) BgL_oz00_7775)))->BgL_otypez00);
		}
	}



/* &<anonymous:2839> */
	BgL_newz00_bglt BGl_z62zc3anonymousza32839ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7776, obj_t BgL_new1205z00_7777)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			{
				BgL_newz00_bglt BgL_new1205z00_2695;

				BgL_new1205z00_2695 = ((BgL_newz00_bglt) BgL_new1205z00_7777);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1205z00_2695)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14874;

					{	/* Ast/node.scm 133 */
						obj_t BgL_classz00_5178;

						BgL_classz00_5178 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 133 */
							obj_t BgL__ortest_1092z00_5179;

							BgL__ortest_1092z00_5179 = BGL_CLASS_NIL(BgL_classz00_5178);
							if (CBOOL(BgL__ortest_1092z00_5179))
								{	/* Ast/node.scm 133 */
									BgL_auxz00_14874 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5179);
								}
							else
								{	/* Ast/node.scm 133 */
									BgL_auxz00_14874 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5178));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1205z00_2695)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14874), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1205z00_2695)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1205z00_2695)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1205z00_2695)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1205z00_2695)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1205z00_2695)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				((((BgL_newz00_bglt) CREF(BgL_new1205z00_2695))->BgL_argszd2typezd2) =
					((obj_t) BNIL), BUNSPEC);
				return BgL_new1205z00_2695;
			}
		}
	}



/* &lambda2837 */
	BgL_newz00_bglt BGl_z62lambda2837z62zzast_nodez00(obj_t BgL_envz00_7778)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			{

				{	/* Ast/node.scm 133 */
					BgL_newz00_bglt BgL_new1204z00_2693;

					BgL_new1204z00_2693 =
						((BgL_newz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_newz00_bgl))));
					{	/* Ast/node.scm 133 */
						long BgL_arg2838z00_2694;

						{	/* Ast/node.scm 133 */
							long BgL_res3523z00_5175;

							BgL_res3523z00_5175 = BGL_CLASS_INDEX(BGl_newz00zzast_nodez00);
							BgL_arg2838z00_2694 = BgL_res3523z00_5175;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1204z00_2693), BgL_arg2838z00_2694);
					}
					{	/* Ast/node.scm 133 */
						BgL_objectz00_bglt BgL_auxz00_14899;

						BgL_auxz00_14899 = ((BgL_objectz00_bglt) BgL_new1204z00_2693);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14899, BFALSE);
					}
					return BgL_new1204z00_2693;
				}
			}
		}
	}



/* &lambda2835 */
	BgL_newz00_bglt BGl_z62lambda2835z62zzast_nodez00(obj_t BgL_envz00_7779,
		obj_t BgL_loc1196z00_7780, obj_t BgL_type1197z00_7781,
		obj_t BgL_sidezd2effect1198zd2_7782, obj_t BgL_key1199z00_7783,
		obj_t BgL_exprza21200za2_7784, obj_t BgL_effect1201z00_7785,
		obj_t BgL_czd2format1202zd2_7786, obj_t BgL_argszd2type1203zd2_7787)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			{
				obj_t BgL_loc1196z00_2680;
				BgL_typez00_bglt BgL_type1197z00_2681;
				obj_t BgL_sidezd2effect1198zd2_2682;
				obj_t BgL_key1199z00_2683;
				obj_t BgL_exprza21200za2_2684;
				obj_t BgL_effect1201z00_2685;
				obj_t BgL_czd2format1202zd2_2686;
				obj_t BgL_argszd2type1203zd2_2687;

				BgL_loc1196z00_2680 = BgL_loc1196z00_7780;
				BgL_type1197z00_2681 = ((BgL_typez00_bglt) BgL_type1197z00_7781);
				BgL_sidezd2effect1198zd2_2682 = BgL_sidezd2effect1198zd2_7782;
				BgL_key1199z00_2683 = BgL_key1199z00_7783;
				BgL_exprza21200za2_2684 = BgL_exprza21200za2_7784;
				BgL_effect1201z00_2685 = BgL_effect1201z00_7785;
				BgL_czd2format1202zd2_2686 = BgL_czd2format1202zd2_7786;
				BgL_argszd2type1203zd2_2687 = BgL_argszd2type1203zd2_7787;
				{	/* Ast/node.scm 133 */
					BgL_newz00_bglt BgL_new1988z00_2689;

					{	/* Ast/node.scm 133 */
						BgL_newz00_bglt BgL_new1987z00_2690;

						BgL_new1987z00_2690 =
							((BgL_newz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_newz00_bgl))));
						{	/* Ast/node.scm 133 */
							long BgL_arg2836z00_2691;

							{	/* Ast/node.scm 133 */
								long BgL_res3522z00_5171;

								BgL_res3522z00_5171 = BGL_CLASS_INDEX(BGl_newz00zzast_nodez00);
								BgL_arg2836z00_2691 = BgL_res3522z00_5171;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1987z00_2690),
								BgL_arg2836z00_2691);
						}
						{	/* Ast/node.scm 133 */
							BgL_objectz00_bglt BgL_auxz00_14906;

							BgL_auxz00_14906 = ((BgL_objectz00_bglt) BgL_new1987z00_2690);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14906, BFALSE);
						}
						BgL_new1988z00_2689 = BgL_new1987z00_2690;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1988z00_2689)))->BgL_locz00) =
						((obj_t) BgL_loc1196z00_2680), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1988z00_2689)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1197z00_2681), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1988z00_2689)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1198zd2_2682), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1988z00_2689)))->BgL_keyz00) =
						((obj_t) BgL_key1199z00_2683), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1988z00_2689)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21200za2_2684), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1988z00_2689)))->BgL_effectz00) =
						((obj_t) BgL_effect1201z00_2685), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1988z00_2689)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1202zd2_2686), BUNSPEC);
					((((BgL_newz00_bglt) CREF(BgL_new1988z00_2689))->BgL_argszd2typezd2) =
						((obj_t) BgL_argszd2type1203zd2_2687), BUNSPEC);
					return BgL_new1988z00_2689;
				}
			}
		}
	}



/* &<anonymous:2846> */
	obj_t BGl_z62zc3anonymousza32846ze3ze1zzast_nodez00(obj_t BgL_envz00_7788)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			return BNIL;
		}
	}



/* &lambda2845 */
	obj_t BGl_z62lambda2845z62zzast_nodez00(obj_t BgL_envz00_7789,
		obj_t BgL_oz00_7790, obj_t BgL_vz00_7791)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			return
				((((BgL_newz00_bglt) CREF(
							((BgL_newz00_bglt) BgL_oz00_7790)))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_7791), BUNSPEC);
		}
	}



/* &lambda2844 */
	obj_t BGl_z62lambda2844z62zzast_nodez00(obj_t BgL_envz00_7792,
		obj_t BgL_oz00_7793)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 133 */
			return
				(((BgL_newz00_bglt) CREF(
						((BgL_newz00_bglt) BgL_oz00_7793)))->BgL_argszd2typezd2);
		}
	}



/* &<anonymous:2824> */
	BgL_wideningz00_bglt BGl_z62zc3anonymousza32824ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7794, obj_t BgL_new1194z00_7795)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			{
				BgL_wideningz00_bglt BgL_new1194z00_2656;

				BgL_new1194z00_2656 = ((BgL_wideningz00_bglt) BgL_new1194z00_7795);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1194z00_2656)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14931;

					{	/* Ast/node.scm 129 */
						obj_t BgL_classz00_5161;

						BgL_classz00_5161 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 129 */
							obj_t BgL__ortest_1092z00_5162;

							BgL__ortest_1092z00_5162 = BGL_CLASS_NIL(BgL_classz00_5161);
							if (CBOOL(BgL__ortest_1092z00_5162))
								{	/* Ast/node.scm 129 */
									BgL_auxz00_14931 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5162);
								}
							else
								{	/* Ast/node.scm 129 */
									BgL_auxz00_14931 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5161));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1194z00_2656)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14931), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1194z00_2656)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1194z00_2656)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1194z00_2656)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1194z00_2656)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1194z00_2656)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14950;

					{	/* Ast/node.scm 129 */
						obj_t BgL_classz00_5163;

						BgL_classz00_5163 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 129 */
							obj_t BgL__ortest_1092z00_5164;

							BgL__ortest_1092z00_5164 = BGL_CLASS_NIL(BgL_classz00_5163);
							if (CBOOL(BgL__ortest_1092z00_5164))
								{	/* Ast/node.scm 129 */
									BgL_auxz00_14950 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5164);
								}
							else
								{	/* Ast/node.scm 129 */
									BgL_auxz00_14950 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5163));
								}
						}
					}
					((((BgL_wideningz00_bglt) CREF(BgL_new1194z00_2656))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_14950), BUNSPEC);
				}
				return BgL_new1194z00_2656;
			}
		}
	}



/* &lambda2822 */
	BgL_wideningz00_bglt BGl_z62lambda2822z62zzast_nodez00(obj_t BgL_envz00_7796)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			{

				{	/* Ast/node.scm 129 */
					BgL_wideningz00_bglt BgL_new1193z00_2654;

					BgL_new1193z00_2654 =
						((BgL_wideningz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/node.scm 129 */
						long BgL_arg2823z00_2655;

						{	/* Ast/node.scm 129 */
							long BgL_res3521z00_5158;

							BgL_res3521z00_5158 =
								BGL_CLASS_INDEX(BGl_wideningz00zzast_nodez00);
							BgL_arg2823z00_2655 = BgL_res3521z00_5158;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1193z00_2654), BgL_arg2823z00_2655);
					}
					{	/* Ast/node.scm 129 */
						BgL_objectz00_bglt BgL_auxz00_14963;

						BgL_auxz00_14963 = ((BgL_objectz00_bglt) BgL_new1193z00_2654);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_14963, BFALSE);
					}
					return BgL_new1193z00_2654;
				}
			}
		}
	}



/* &lambda2820 */
	BgL_wideningz00_bglt BGl_z62lambda2820z62zzast_nodez00(obj_t BgL_envz00_7797,
		obj_t BgL_loc1185z00_7798, obj_t BgL_type1186z00_7799,
		obj_t BgL_sidezd2effect1187zd2_7800, obj_t BgL_key1188z00_7801,
		obj_t BgL_exprza21189za2_7802, obj_t BgL_effect1190z00_7803,
		obj_t BgL_czd2format1191zd2_7804, obj_t BgL_otype1192z00_7805)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			{
				obj_t BgL_loc1185z00_2641;
				BgL_typez00_bglt BgL_type1186z00_2642;
				obj_t BgL_sidezd2effect1187zd2_2643;
				obj_t BgL_key1188z00_2644;
				obj_t BgL_exprza21189za2_2645;
				obj_t BgL_effect1190z00_2646;
				obj_t BgL_czd2format1191zd2_2647;
				BgL_typez00_bglt BgL_otype1192z00_2648;

				BgL_loc1185z00_2641 = BgL_loc1185z00_7798;
				BgL_type1186z00_2642 = ((BgL_typez00_bglt) BgL_type1186z00_7799);
				BgL_sidezd2effect1187zd2_2643 = BgL_sidezd2effect1187zd2_7800;
				BgL_key1188z00_2644 = BgL_key1188z00_7801;
				BgL_exprza21189za2_2645 = BgL_exprza21189za2_7802;
				BgL_effect1190z00_2646 = BgL_effect1190z00_7803;
				BgL_czd2format1191zd2_2647 = BgL_czd2format1191zd2_7804;
				BgL_otype1192z00_2648 = ((BgL_typez00_bglt) BgL_otype1192z00_7805);
				{	/* Ast/node.scm 129 */
					BgL_wideningz00_bglt BgL_new1984z00_2650;

					{	/* Ast/node.scm 129 */
						BgL_wideningz00_bglt BgL_new1983z00_2651;

						BgL_new1983z00_2651 =
							((BgL_wideningz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_wideningz00_bgl))));
						{	/* Ast/node.scm 129 */
							long BgL_arg2821z00_2652;

							{	/* Ast/node.scm 129 */
								long BgL_res3520z00_5154;

								BgL_res3520z00_5154 =
									BGL_CLASS_INDEX(BGl_wideningz00zzast_nodez00);
								BgL_arg2821z00_2652 = BgL_res3520z00_5154;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1983z00_2651),
								BgL_arg2821z00_2652);
						}
						{	/* Ast/node.scm 129 */
							BgL_objectz00_bglt BgL_auxz00_14970;

							BgL_auxz00_14970 = ((BgL_objectz00_bglt) BgL_new1983z00_2651);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_14970, BFALSE);
						}
						BgL_new1984z00_2650 = BgL_new1983z00_2651;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1984z00_2650)))->BgL_locz00) =
						((obj_t) BgL_loc1185z00_2641), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1984z00_2650)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1186z00_2642), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1984z00_2650)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1187zd2_2643), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1984z00_2650)))->BgL_keyz00) =
						((obj_t) BgL_key1188z00_2644), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1984z00_2650)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21189za2_2645), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1984z00_2650)))->BgL_effectz00) =
						((obj_t) BgL_effect1190z00_2646), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1984z00_2650)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1191zd2_2647), BUNSPEC);
					((((BgL_wideningz00_bglt) CREF(BgL_new1984z00_2650))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1192z00_2648), BUNSPEC);
					return BgL_new1984z00_2650;
				}
			}
		}
	}



/* &lambda2829 */
	obj_t BGl_z62lambda2829z62zzast_nodez00(obj_t BgL_envz00_7806,
		obj_t BgL_oz00_7807, obj_t BgL_vz00_7808)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			return
				((((BgL_wideningz00_bglt) CREF(
							((BgL_wideningz00_bglt) BgL_oz00_7807)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7808)), BUNSPEC);
		}
	}



/* &lambda2828 */
	BgL_typez00_bglt BGl_z62lambda2828z62zzast_nodez00(obj_t BgL_envz00_7809,
		obj_t BgL_oz00_7810)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 129 */
			return
				(((BgL_wideningz00_bglt) CREF(
						((BgL_wideningz00_bglt) BgL_oz00_7810)))->BgL_otypez00);
		}
	}



/* &<anonymous:2798> */
	BgL_setfieldz00_bglt BGl_z62zc3anonymousza32798ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7811, obj_t BgL_new1183z00_7812)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			{
				BgL_setfieldz00_bglt BgL_new1183z00_2593;

				BgL_new1183z00_2593 = ((BgL_setfieldz00_bglt) BgL_new1183z00_7812);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1183z00_2593)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14997;

					{	/* Ast/node.scm 119 */
						obj_t BgL_classz00_5142;

						BgL_classz00_5142 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 119 */
							obj_t BgL__ortest_1092z00_5143;

							BgL__ortest_1092z00_5143 = BGL_CLASS_NIL(BgL_classz00_5142);
							if (CBOOL(BgL__ortest_1092z00_5143))
								{	/* Ast/node.scm 119 */
									BgL_auxz00_14997 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5143);
								}
							else
								{	/* Ast/node.scm 119 */
									BgL_auxz00_14997 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5142));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1183z00_2593)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14997), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1183z00_2593)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1183z00_2593)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1183z00_2593)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1183z00_2593)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1183z00_2593)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				((((BgL_setfieldz00_bglt) CREF(BgL_new1183z00_2593))->BgL_fnamez00) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15017;

					{	/* Ast/node.scm 119 */
						obj_t BgL_classz00_5144;

						BgL_classz00_5144 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 119 */
							obj_t BgL__ortest_1092z00_5145;

							BgL__ortest_1092z00_5145 = BGL_CLASS_NIL(BgL_classz00_5144);
							if (CBOOL(BgL__ortest_1092z00_5145))
								{	/* Ast/node.scm 119 */
									BgL_auxz00_15017 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5145);
								}
							else
								{	/* Ast/node.scm 119 */
									BgL_auxz00_15017 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5144));
								}
						}
					}
					((((BgL_setfieldz00_bglt) CREF(BgL_new1183z00_2593))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15017), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15025;

					{	/* Ast/node.scm 119 */
						obj_t BgL_classz00_5146;

						BgL_classz00_5146 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 119 */
							obj_t BgL__ortest_1092z00_5147;

							BgL__ortest_1092z00_5147 = BGL_CLASS_NIL(BgL_classz00_5146);
							if (CBOOL(BgL__ortest_1092z00_5147))
								{	/* Ast/node.scm 119 */
									BgL_auxz00_15025 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5147);
								}
							else
								{	/* Ast/node.scm 119 */
									BgL_auxz00_15025 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5146));
								}
						}
					}
					((((BgL_setfieldz00_bglt) CREF(BgL_new1183z00_2593))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15025), BUNSPEC);
				}
				return BgL_new1183z00_2593;
			}
		}
	}



/* &lambda2796 */
	BgL_setfieldz00_bglt BGl_z62lambda2796z62zzast_nodez00(obj_t BgL_envz00_7813)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			{

				{	/* Ast/node.scm 119 */
					BgL_setfieldz00_bglt BgL_new1182z00_2591;

					BgL_new1182z00_2591 =
						((BgL_setfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/node.scm 119 */
						long BgL_arg2797z00_2592;

						{	/* Ast/node.scm 119 */
							long BgL_res3519z00_5139;

							BgL_res3519z00_5139 =
								BGL_CLASS_INDEX(BGl_setfieldz00zzast_nodez00);
							BgL_arg2797z00_2592 = BgL_res3519z00_5139;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1182z00_2591), BgL_arg2797z00_2592);
					}
					{	/* Ast/node.scm 119 */
						BgL_objectz00_bglt BgL_auxz00_15038;

						BgL_auxz00_15038 = ((BgL_objectz00_bglt) BgL_new1182z00_2591);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15038, BFALSE);
					}
					return BgL_new1182z00_2591;
				}
			}
		}
	}



/* &lambda2794 */
	BgL_setfieldz00_bglt BGl_z62lambda2794z62zzast_nodez00(obj_t BgL_envz00_7814,
		obj_t BgL_loc1172z00_7815, obj_t BgL_type1173z00_7816,
		obj_t BgL_sidezd2effect1174zd2_7817, obj_t BgL_key1175z00_7818,
		obj_t BgL_exprza21176za2_7819, obj_t BgL_effect1177z00_7820,
		obj_t BgL_czd2format1178zd2_7821, obj_t BgL_fname1179z00_7822,
		obj_t BgL_ftype1180z00_7823, obj_t BgL_otype1181z00_7824)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			{
				obj_t BgL_loc1172z00_2576;
				BgL_typez00_bglt BgL_type1173z00_2577;
				obj_t BgL_sidezd2effect1174zd2_2578;
				obj_t BgL_key1175z00_2579;
				obj_t BgL_exprza21176za2_2580;
				obj_t BgL_effect1177z00_2581;
				obj_t BgL_czd2format1178zd2_2582;
				obj_t BgL_fname1179z00_2583;
				BgL_typez00_bglt BgL_ftype1180z00_2584;
				BgL_typez00_bglt BgL_otype1181z00_2585;

				BgL_loc1172z00_2576 = BgL_loc1172z00_7815;
				BgL_type1173z00_2577 = ((BgL_typez00_bglt) BgL_type1173z00_7816);
				BgL_sidezd2effect1174zd2_2578 = BgL_sidezd2effect1174zd2_7817;
				BgL_key1175z00_2579 = BgL_key1175z00_7818;
				BgL_exprza21176za2_2580 = BgL_exprza21176za2_7819;
				BgL_effect1177z00_2581 = BgL_effect1177z00_7820;
				BgL_czd2format1178zd2_2582 = BgL_czd2format1178zd2_7821;
				BgL_fname1179z00_2583 = BgL_fname1179z00_7822;
				BgL_ftype1180z00_2584 = ((BgL_typez00_bglt) BgL_ftype1180z00_7823);
				BgL_otype1181z00_2585 = ((BgL_typez00_bglt) BgL_otype1181z00_7824);
				{	/* Ast/node.scm 119 */
					BgL_setfieldz00_bglt BgL_new1976z00_5131;

					{	/* Ast/node.scm 119 */
						BgL_setfieldz00_bglt BgL_new1975z00_5132;

						BgL_new1975z00_5132 =
							((BgL_setfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_setfieldz00_bgl))));
						{	/* Ast/node.scm 119 */
							long BgL_arg2795z00_5133;

							{	/* Ast/node.scm 119 */
								long BgL_res3518z00_5135;

								BgL_res3518z00_5135 =
									BGL_CLASS_INDEX(BGl_setfieldz00zzast_nodez00);
								BgL_arg2795z00_5133 = BgL_res3518z00_5135;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1975z00_5132),
								BgL_arg2795z00_5133);
						}
						{	/* Ast/node.scm 119 */
							BgL_objectz00_bglt BgL_auxz00_15045;

							BgL_auxz00_15045 = ((BgL_objectz00_bglt) BgL_new1975z00_5132);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15045, BFALSE);
						}
						BgL_new1976z00_5131 = BgL_new1975z00_5132;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1976z00_5131)))->BgL_locz00) =
						((obj_t) BgL_loc1172z00_2576), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1976z00_5131)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1173z00_2577), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1976z00_5131)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1174zd2_2578), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1976z00_5131)))->BgL_keyz00) =
						((obj_t) BgL_key1175z00_2579), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1976z00_5131)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21176za2_2580), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1976z00_5131)))->BgL_effectz00) =
						((obj_t) BgL_effect1177z00_2581), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1976z00_5131)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1178zd2_2582), BUNSPEC);
					((((BgL_setfieldz00_bglt) CREF(BgL_new1976z00_5131))->BgL_fnamez00) =
						((obj_t) BgL_fname1179z00_2583), BUNSPEC);
					((((BgL_setfieldz00_bglt) CREF(BgL_new1976z00_5131))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1180z00_2584), BUNSPEC);
					((((BgL_setfieldz00_bglt) CREF(BgL_new1976z00_5131))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1181z00_2585), BUNSPEC);
					return BgL_new1976z00_5131;
				}
			}
		}
	}



/* &lambda2814 */
	obj_t BGl_z62lambda2814z62zzast_nodez00(obj_t BgL_envz00_7825,
		obj_t BgL_oz00_7826, obj_t BgL_vz00_7827)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			return
				((((BgL_setfieldz00_bglt) CREF(
							((BgL_setfieldz00_bglt) BgL_oz00_7826)))->BgL_fnamez00) =
				((obj_t) BgL_vz00_7827), BUNSPEC);
		}
	}



/* &lambda2813 */
	obj_t BGl_z62lambda2813z62zzast_nodez00(obj_t BgL_envz00_7828,
		obj_t BgL_oz00_7829)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_7829)))->BgL_fnamez00);
		}
	}



/* &lambda2808 */
	obj_t BGl_z62lambda2808z62zzast_nodez00(obj_t BgL_envz00_7830,
		obj_t BgL_oz00_7831, obj_t BgL_vz00_7832)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			return
				((((BgL_setfieldz00_bglt) CREF(
							((BgL_setfieldz00_bglt) BgL_oz00_7831)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7832)), BUNSPEC);
		}
	}



/* &lambda2807 */
	BgL_typez00_bglt BGl_z62lambda2807z62zzast_nodez00(obj_t BgL_envz00_7833,
		obj_t BgL_oz00_7834)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_7834)))->BgL_ftypez00);
		}
	}



/* &lambda2803 */
	obj_t BGl_z62lambda2803z62zzast_nodez00(obj_t BgL_envz00_7835,
		obj_t BgL_oz00_7836, obj_t BgL_vz00_7837)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			return
				((((BgL_setfieldz00_bglt) CREF(
							((BgL_setfieldz00_bglt) BgL_oz00_7836)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7837)), BUNSPEC);
		}
	}



/* &lambda2802 */
	BgL_typez00_bglt BGl_z62lambda2802z62zzast_nodez00(obj_t BgL_envz00_7838,
		obj_t BgL_oz00_7839)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 119 */
			return
				(((BgL_setfieldz00_bglt) CREF(
						((BgL_setfieldz00_bglt) BgL_oz00_7839)))->BgL_otypez00);
		}
	}



/* &<anonymous:2773> */
	BgL_getfieldz00_bglt BGl_z62zc3anonymousza32773ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7840, obj_t BgL_new1170z00_7841)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			{
				BgL_getfieldz00_bglt BgL_new1170z00_2528;

				BgL_new1170z00_2528 = ((BgL_getfieldz00_bglt) BgL_new1170z00_7841);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1170z00_2528)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15084;

					{	/* Ast/node.scm 110 */
						obj_t BgL_classz00_5110;

						BgL_classz00_5110 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 110 */
							obj_t BgL__ortest_1092z00_5111;

							BgL__ortest_1092z00_5111 = BGL_CLASS_NIL(BgL_classz00_5110);
							if (CBOOL(BgL__ortest_1092z00_5111))
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15084 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5111);
								}
							else
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15084 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5110));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1170z00_2528)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15084), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1170z00_2528)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1170z00_2528)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1170z00_2528)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1170z00_2528)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
									BgL_new1170z00_2528)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				((((BgL_getfieldz00_bglt) CREF(BgL_new1170z00_2528))->BgL_fnamez00) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15104;

					{	/* Ast/node.scm 110 */
						obj_t BgL_classz00_5112;

						BgL_classz00_5112 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 110 */
							obj_t BgL__ortest_1092z00_5113;

							BgL__ortest_1092z00_5113 = BGL_CLASS_NIL(BgL_classz00_5112);
							if (CBOOL(BgL__ortest_1092z00_5113))
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15104 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5113);
								}
							else
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15104 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5112));
								}
						}
					}
					((((BgL_getfieldz00_bglt) CREF(BgL_new1170z00_2528))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15104), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15112;

					{	/* Ast/node.scm 110 */
						obj_t BgL_classz00_5114;

						BgL_classz00_5114 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 110 */
							obj_t BgL__ortest_1092z00_5115;

							BgL__ortest_1092z00_5115 = BGL_CLASS_NIL(BgL_classz00_5114);
							if (CBOOL(BgL__ortest_1092z00_5115))
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15112 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5115);
								}
							else
								{	/* Ast/node.scm 110 */
									BgL_auxz00_15112 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5114));
								}
						}
					}
					((((BgL_getfieldz00_bglt) CREF(BgL_new1170z00_2528))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15112), BUNSPEC);
				}
				return BgL_new1170z00_2528;
			}
		}
	}



/* &lambda2771 */
	BgL_getfieldz00_bglt BGl_z62lambda2771z62zzast_nodez00(obj_t BgL_envz00_7842)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			{

				{	/* Ast/node.scm 110 */
					BgL_getfieldz00_bglt BgL_new1169z00_2526;

					BgL_new1169z00_2526 =
						((BgL_getfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/node.scm 110 */
						long BgL_arg2772z00_2527;

						{	/* Ast/node.scm 110 */
							long BgL_res3517z00_5107;

							BgL_res3517z00_5107 =
								BGL_CLASS_INDEX(BGl_getfieldz00zzast_nodez00);
							BgL_arg2772z00_2527 = BgL_res3517z00_5107;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1169z00_2526), BgL_arg2772z00_2527);
					}
					{	/* Ast/node.scm 110 */
						BgL_objectz00_bglt BgL_auxz00_15125;

						BgL_auxz00_15125 = ((BgL_objectz00_bglt) BgL_new1169z00_2526);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15125, BFALSE);
					}
					return BgL_new1169z00_2526;
				}
			}
		}
	}



/* &lambda2769 */
	BgL_getfieldz00_bglt BGl_z62lambda2769z62zzast_nodez00(obj_t BgL_envz00_7843,
		obj_t BgL_loc1159z00_7844, obj_t BgL_type1160z00_7845,
		obj_t BgL_sidezd2effect1161zd2_7846, obj_t BgL_key1162z00_7847,
		obj_t BgL_exprza21163za2_7848, obj_t BgL_effect1164z00_7849,
		obj_t BgL_czd2format1165zd2_7850, obj_t BgL_fname1166z00_7851,
		obj_t BgL_ftype1167z00_7852, obj_t BgL_otype1168z00_7853)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			{
				obj_t BgL_loc1159z00_2511;
				BgL_typez00_bglt BgL_type1160z00_2512;
				obj_t BgL_sidezd2effect1161zd2_2513;
				obj_t BgL_key1162z00_2514;
				obj_t BgL_exprza21163za2_2515;
				obj_t BgL_effect1164z00_2516;
				obj_t BgL_czd2format1165zd2_2517;
				obj_t BgL_fname1166z00_2518;
				BgL_typez00_bglt BgL_ftype1167z00_2519;
				BgL_typez00_bglt BgL_otype1168z00_2520;

				BgL_loc1159z00_2511 = BgL_loc1159z00_7844;
				BgL_type1160z00_2512 = ((BgL_typez00_bglt) BgL_type1160z00_7845);
				BgL_sidezd2effect1161zd2_2513 = BgL_sidezd2effect1161zd2_7846;
				BgL_key1162z00_2514 = BgL_key1162z00_7847;
				BgL_exprza21163za2_2515 = BgL_exprza21163za2_7848;
				BgL_effect1164z00_2516 = BgL_effect1164z00_7849;
				BgL_czd2format1165zd2_2517 = BgL_czd2format1165zd2_7850;
				BgL_fname1166z00_2518 = BgL_fname1166z00_7851;
				BgL_ftype1167z00_2519 = ((BgL_typez00_bglt) BgL_ftype1167z00_7852);
				BgL_otype1168z00_2520 = ((BgL_typez00_bglt) BgL_otype1168z00_7853);
				{	/* Ast/node.scm 110 */
					BgL_getfieldz00_bglt BgL_new1968z00_5099;

					{	/* Ast/node.scm 110 */
						BgL_getfieldz00_bglt BgL_new1967z00_5100;

						BgL_new1967z00_5100 =
							((BgL_getfieldz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_getfieldz00_bgl))));
						{	/* Ast/node.scm 110 */
							long BgL_arg2770z00_5101;

							{	/* Ast/node.scm 110 */
								long BgL_res3516z00_5103;

								BgL_res3516z00_5103 =
									BGL_CLASS_INDEX(BGl_getfieldz00zzast_nodez00);
								BgL_arg2770z00_5101 = BgL_res3516z00_5103;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1967z00_5100),
								BgL_arg2770z00_5101);
						}
						{	/* Ast/node.scm 110 */
							BgL_objectz00_bglt BgL_auxz00_15132;

							BgL_auxz00_15132 = ((BgL_objectz00_bglt) BgL_new1967z00_5100);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15132, BFALSE);
						}
						BgL_new1968z00_5099 = BgL_new1967z00_5100;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1968z00_5099)))->BgL_locz00) =
						((obj_t) BgL_loc1159z00_2511), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1968z00_5099)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1160z00_2512), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1968z00_5099)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1161zd2_2513), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1968z00_5099)))->BgL_keyz00) =
						((obj_t) BgL_key1162z00_2514), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1968z00_5099)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21163za2_2515), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1968z00_5099)))->BgL_effectz00) =
						((obj_t) BgL_effect1164z00_2516), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(((BgL_privatez00_bglt)
										BgL_new1968z00_5099)))->BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1165zd2_2517), BUNSPEC);
					((((BgL_getfieldz00_bglt) CREF(BgL_new1968z00_5099))->BgL_fnamez00) =
						((obj_t) BgL_fname1166z00_2518), BUNSPEC);
					((((BgL_getfieldz00_bglt) CREF(BgL_new1968z00_5099))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_ftype1167z00_2519), BUNSPEC);
					((((BgL_getfieldz00_bglt) CREF(BgL_new1968z00_5099))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_otype1168z00_2520), BUNSPEC);
					return BgL_new1968z00_5099;
				}
			}
		}
	}



/* &lambda2788 */
	obj_t BGl_z62lambda2788z62zzast_nodez00(obj_t BgL_envz00_7854,
		obj_t BgL_oz00_7855, obj_t BgL_vz00_7856)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			return
				((((BgL_getfieldz00_bglt) CREF(
							((BgL_getfieldz00_bglt) BgL_oz00_7855)))->BgL_fnamez00) =
				((obj_t) BgL_vz00_7856), BUNSPEC);
		}
	}



/* &lambda2787 */
	obj_t BGl_z62lambda2787z62zzast_nodez00(obj_t BgL_envz00_7857,
		obj_t BgL_oz00_7858)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_7858)))->BgL_fnamez00);
		}
	}



/* &lambda2783 */
	obj_t BGl_z62lambda2783z62zzast_nodez00(obj_t BgL_envz00_7859,
		obj_t BgL_oz00_7860, obj_t BgL_vz00_7861)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			return
				((((BgL_getfieldz00_bglt) CREF(
							((BgL_getfieldz00_bglt) BgL_oz00_7860)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7861)), BUNSPEC);
		}
	}



/* &lambda2782 */
	BgL_typez00_bglt BGl_z62lambda2782z62zzast_nodez00(obj_t BgL_envz00_7862,
		obj_t BgL_oz00_7863)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_7863)))->BgL_ftypez00);
		}
	}



/* &lambda2778 */
	obj_t BGl_z62lambda2778z62zzast_nodez00(obj_t BgL_envz00_7864,
		obj_t BgL_oz00_7865, obj_t BgL_vz00_7866)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			return
				((((BgL_getfieldz00_bglt) CREF(
							((BgL_getfieldz00_bglt) BgL_oz00_7865)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7866)), BUNSPEC);
		}
	}



/* &lambda2777 */
	BgL_typez00_bglt BGl_z62lambda2777z62zzast_nodez00(obj_t BgL_envz00_7867,
		obj_t BgL_oz00_7868)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 110 */
			return
				(((BgL_getfieldz00_bglt) CREF(
						((BgL_getfieldz00_bglt) BgL_oz00_7868)))->BgL_otypez00);
		}
	}



/* &<anonymous:2758> */
	BgL_privatez00_bglt BGl_z62zc3anonymousza32758ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7869, obj_t BgL_new1157z00_7870)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			{
				BgL_privatez00_bglt BgL_new1157z00_2487;

				BgL_new1157z00_2487 = ((BgL_privatez00_bglt) BgL_new1157z00_7870);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1157z00_2487)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15171;

					{	/* Ast/node.scm 106 */
						obj_t BgL_classz00_5082;

						BgL_classz00_5082 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 106 */
							obj_t BgL__ortest_1092z00_5083;

							BgL__ortest_1092z00_5083 = BGL_CLASS_NIL(BgL_classz00_5082);
							if (CBOOL(BgL__ortest_1092z00_5083))
								{	/* Ast/node.scm 106 */
									BgL_auxz00_15171 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5083);
								}
							else
								{	/* Ast/node.scm 106 */
									BgL_auxz00_15171 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5082));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1157z00_2487)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15171), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1157z00_2487)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1157z00_2487)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1157z00_2487)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1157z00_2487)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) CREF(BgL_new1157z00_2487))->
						BgL_czd2formatzd2) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				return BgL_new1157z00_2487;
			}
		}
	}



/* &lambda2756 */
	BgL_privatez00_bglt BGl_z62lambda2756z62zzast_nodez00(obj_t BgL_envz00_7871)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			{

				{	/* Ast/node.scm 106 */
					BgL_privatez00_bglt BgL_new1156z00_2485;

					BgL_new1156z00_2485 =
						((BgL_privatez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/node.scm 106 */
						long BgL_arg2757z00_2486;

						{	/* Ast/node.scm 106 */
							long BgL_res3515z00_5079;

							BgL_res3515z00_5079 =
								BGL_CLASS_INDEX(BGl_privatez00zzast_nodez00);
							BgL_arg2757z00_2486 = BgL_res3515z00_5079;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1156z00_2485), BgL_arg2757z00_2486);
					}
					{	/* Ast/node.scm 106 */
						BgL_objectz00_bglt BgL_auxz00_15194;

						BgL_auxz00_15194 = ((BgL_objectz00_bglt) BgL_new1156z00_2485);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15194, BFALSE);
					}
					return BgL_new1156z00_2485;
				}
			}
		}
	}



/* &lambda2754 */
	BgL_privatez00_bglt BGl_z62lambda2754z62zzast_nodez00(obj_t BgL_envz00_7872,
		obj_t BgL_loc1149z00_7873, obj_t BgL_type1150z00_7874,
		obj_t BgL_sidezd2effect1151zd2_7875, obj_t BgL_key1152z00_7876,
		obj_t BgL_exprza21153za2_7877, obj_t BgL_effect1154z00_7878,
		obj_t BgL_czd2format1155zd2_7879)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			{
				obj_t BgL_loc1149z00_2473;
				BgL_typez00_bglt BgL_type1150z00_2474;
				obj_t BgL_sidezd2effect1151zd2_2475;
				obj_t BgL_key1152z00_2476;
				obj_t BgL_exprza21153za2_2477;
				obj_t BgL_effect1154z00_2478;
				obj_t BgL_czd2format1155zd2_2479;

				BgL_loc1149z00_2473 = BgL_loc1149z00_7873;
				BgL_type1150z00_2474 = ((BgL_typez00_bglt) BgL_type1150z00_7874);
				BgL_sidezd2effect1151zd2_2475 = BgL_sidezd2effect1151zd2_7875;
				BgL_key1152z00_2476 = BgL_key1152z00_7876;
				BgL_exprza21153za2_2477 = BgL_exprza21153za2_7877;
				BgL_effect1154z00_2478 = BgL_effect1154z00_7878;
				BgL_czd2format1155zd2_2479 = BgL_czd2format1155zd2_7879;
				{	/* Ast/node.scm 106 */
					BgL_privatez00_bglt BgL_new1964z00_2481;

					{	/* Ast/node.scm 106 */
						BgL_privatez00_bglt BgL_new1963z00_2482;

						BgL_new1963z00_2482 =
							((BgL_privatez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_privatez00_bgl))));
						{	/* Ast/node.scm 106 */
							long BgL_arg2755z00_2483;

							{	/* Ast/node.scm 106 */
								long BgL_res3514z00_5075;

								BgL_res3514z00_5075 =
									BGL_CLASS_INDEX(BGl_privatez00zzast_nodez00);
								BgL_arg2755z00_2483 = BgL_res3514z00_5075;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1963z00_2482),
								BgL_arg2755z00_2483);
						}
						{	/* Ast/node.scm 106 */
							BgL_objectz00_bglt BgL_auxz00_15201;

							BgL_auxz00_15201 = ((BgL_objectz00_bglt) BgL_new1963z00_2482);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15201, BFALSE);
						}
						BgL_new1964z00_2481 = BgL_new1963z00_2482;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1964z00_2481)))->BgL_locz00) =
						((obj_t) BgL_loc1149z00_2473), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1964z00_2481)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1150z00_2474), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1964z00_2481)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1151zd2_2475), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1964z00_2481)))->BgL_keyz00) =
						((obj_t) BgL_key1152z00_2476), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1964z00_2481)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21153za2_2477), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1964z00_2481)))->BgL_effectz00) =
						((obj_t) BgL_effect1154z00_2478), BUNSPEC);
					((((BgL_privatez00_bglt) CREF(BgL_new1964z00_2481))->
							BgL_czd2formatzd2) =
						((obj_t) BgL_czd2format1155zd2_2479), BUNSPEC);
					return BgL_new1964z00_2481;
				}
			}
		}
	}



/* &lambda2763 */
	obj_t BGl_z62lambda2763z62zzast_nodez00(obj_t BgL_envz00_7880,
		obj_t BgL_oz00_7881, obj_t BgL_vz00_7882)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			return
				((((BgL_privatez00_bglt) CREF(
							((BgL_privatez00_bglt) BgL_oz00_7881)))->BgL_czd2formatzd2) =
				((obj_t) BgL_vz00_7882), BUNSPEC);
		}
	}



/* &lambda2762 */
	obj_t BGl_z62lambda2762z62zzast_nodez00(obj_t BgL_envz00_7883,
		obj_t BgL_oz00_7884)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 106 */
			return
				(((BgL_privatez00_bglt) CREF(
						((BgL_privatez00_bglt) BgL_oz00_7884)))->BgL_czd2formatzd2);
		}
	}



/* &<anonymous:2742> */
	BgL_pragmaz00_bglt BGl_z62zc3anonymousza32742ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7885, obj_t BgL_new1147z00_7886)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			{
				BgL_pragmaz00_bglt BgL_new1147z00_2449;

				BgL_new1147z00_2449 = ((BgL_pragmaz00_bglt) BgL_new1147z00_7886);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1147z00_2449)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15224;

					{	/* Ast/node.scm 102 */
						obj_t BgL_classz00_5067;

						BgL_classz00_5067 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 102 */
							obj_t BgL__ortest_1092z00_5068;

							BgL__ortest_1092z00_5068 = BGL_CLASS_NIL(BgL_classz00_5067);
							if (CBOOL(BgL__ortest_1092z00_5068))
								{	/* Ast/node.scm 102 */
									BgL_auxz00_15224 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5068);
								}
							else
								{	/* Ast/node.scm 102 */
									BgL_auxz00_15224 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5067));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1147z00_2449)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15224), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1147z00_2449)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1147z00_2449)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1147z00_2449)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
									BgL_new1147z00_2449)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_pragmaz00_bglt) CREF(BgL_new1147z00_2449))->BgL_formatz00) =
					((obj_t) BGl_string3861z00zzast_nodez00), BUNSPEC);
				return BgL_new1147z00_2449;
			}
		}
	}



/* &lambda2740 */
	BgL_pragmaz00_bglt BGl_z62lambda2740z62zzast_nodez00(obj_t BgL_envz00_7887)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			{

				{	/* Ast/node.scm 102 */
					BgL_pragmaz00_bglt BgL_new1146z00_2447;

					BgL_new1146z00_2447 =
						((BgL_pragmaz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/node.scm 102 */
						long BgL_arg2741z00_2448;

						{	/* Ast/node.scm 102 */
							long BgL_res3513z00_5064;

							BgL_res3513z00_5064 = BGL_CLASS_INDEX(BGl_pragmaz00zzast_nodez00);
							BgL_arg2741z00_2448 = BgL_res3513z00_5064;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1146z00_2447), BgL_arg2741z00_2448);
					}
					{	/* Ast/node.scm 102 */
						BgL_objectz00_bglt BgL_auxz00_15247;

						BgL_auxz00_15247 = ((BgL_objectz00_bglt) BgL_new1146z00_2447);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15247, BFALSE);
					}
					return BgL_new1146z00_2447;
				}
			}
		}
	}



/* &lambda2738 */
	BgL_pragmaz00_bglt BGl_z62lambda2738z62zzast_nodez00(obj_t BgL_envz00_7888,
		obj_t BgL_loc1139z00_7889, obj_t BgL_type1140z00_7890,
		obj_t BgL_sidezd2effect1141zd2_7891, obj_t BgL_key1142z00_7892,
		obj_t BgL_exprza21143za2_7893, obj_t BgL_effect1144z00_7894,
		obj_t BgL_format1145z00_7895)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			{
				obj_t BgL_loc1139z00_2435;
				BgL_typez00_bglt BgL_type1140z00_2436;
				obj_t BgL_sidezd2effect1141zd2_2437;
				obj_t BgL_key1142z00_2438;
				obj_t BgL_exprza21143za2_2439;
				obj_t BgL_effect1144z00_2440;
				obj_t BgL_format1145z00_2441;

				BgL_loc1139z00_2435 = BgL_loc1139z00_7889;
				BgL_type1140z00_2436 = ((BgL_typez00_bglt) BgL_type1140z00_7890);
				BgL_sidezd2effect1141zd2_2437 = BgL_sidezd2effect1141zd2_7891;
				BgL_key1142z00_2438 = BgL_key1142z00_7892;
				BgL_exprza21143za2_2439 = BgL_exprza21143za2_7893;
				BgL_effect1144z00_2440 = BgL_effect1144z00_7894;
				BgL_format1145z00_2441 = BgL_format1145z00_7895;
				{	/* Ast/node.scm 102 */
					BgL_pragmaz00_bglt BgL_new1960z00_2443;

					{	/* Ast/node.scm 102 */
						BgL_pragmaz00_bglt BgL_new1959z00_2444;

						BgL_new1959z00_2444 =
							((BgL_pragmaz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_pragmaz00_bgl))));
						{	/* Ast/node.scm 102 */
							long BgL_arg2739z00_2445;

							{	/* Ast/node.scm 102 */
								long BgL_res3512z00_5060;

								BgL_res3512z00_5060 =
									BGL_CLASS_INDEX(BGl_pragmaz00zzast_nodez00);
								BgL_arg2739z00_2445 = BgL_res3512z00_5060;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1959z00_2444),
								BgL_arg2739z00_2445);
						}
						{	/* Ast/node.scm 102 */
							BgL_objectz00_bglt BgL_auxz00_15254;

							BgL_auxz00_15254 = ((BgL_objectz00_bglt) BgL_new1959z00_2444);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15254, BFALSE);
						}
						BgL_new1960z00_2443 = BgL_new1959z00_2444;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1960z00_2443)))->BgL_locz00) =
						((obj_t) BgL_loc1139z00_2435), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1960z00_2443)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1140z00_2436), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1960z00_2443)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1141zd2_2437), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1960z00_2443)))->BgL_keyz00) =
						((obj_t) BgL_key1142z00_2438), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1960z00_2443)))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21143za2_2439), BUNSPEC);
					((((BgL_externz00_bglt) CREF(((BgL_externz00_bglt)
										BgL_new1960z00_2443)))->BgL_effectz00) =
						((obj_t) BgL_effect1144z00_2440), BUNSPEC);
					((((BgL_pragmaz00_bglt) CREF(BgL_new1960z00_2443))->BgL_formatz00) =
						((obj_t) BgL_format1145z00_2441), BUNSPEC);
					return BgL_new1960z00_2443;
				}
			}
		}
	}



/* &lambda2747 */
	obj_t BGl_z62lambda2747z62zzast_nodez00(obj_t BgL_envz00_7896,
		obj_t BgL_oz00_7897, obj_t BgL_vz00_7898)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			return
				((((BgL_pragmaz00_bglt) CREF(
							((BgL_pragmaz00_bglt) BgL_oz00_7897)))->BgL_formatz00) =
				((obj_t) BgL_vz00_7898), BUNSPEC);
		}
	}



/* &lambda2746 */
	obj_t BGl_z62lambda2746z62zzast_nodez00(obj_t BgL_envz00_7899,
		obj_t BgL_oz00_7900)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 102 */
			return
				(((BgL_pragmaz00_bglt) CREF(
						((BgL_pragmaz00_bglt) BgL_oz00_7900)))->BgL_formatz00);
		}
	}



/* &<anonymous:2718> */
	BgL_externz00_bglt BGl_z62zc3anonymousza32718ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7901, obj_t BgL_new1137z00_7902)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			{
				BgL_externz00_bglt BgL_new1137z00_2393;

				BgL_new1137z00_2393 = ((BgL_externz00_bglt) BgL_new1137z00_7902);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1137z00_2393)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15277;

					{	/* Ast/node.scm 95 */
						obj_t BgL_classz00_5052;

						BgL_classz00_5052 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 95 */
							obj_t BgL__ortest_1092z00_5053;

							BgL__ortest_1092z00_5053 = BGL_CLASS_NIL(BgL_classz00_5052);
							if (CBOOL(BgL__ortest_1092z00_5053))
								{	/* Ast/node.scm 95 */
									BgL_auxz00_15277 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5053);
								}
							else
								{	/* Ast/node.scm 95 */
									BgL_auxz00_15277 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5052));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1137z00_2393)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15277), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1137z00_2393)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1137z00_2393)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1137z00_2393))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) CREF(BgL_new1137z00_2393))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1137z00_2393;
			}
		}
	}



/* &lambda2716 */
	BgL_externz00_bglt BGl_z62lambda2716z62zzast_nodez00(obj_t BgL_envz00_7903)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			{

				{	/* Ast/node.scm 95 */
					BgL_externz00_bglt BgL_new1136z00_2391;

					BgL_new1136z00_2391 =
						((BgL_externz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/node.scm 95 */
						long BgL_arg2717z00_2392;

						{	/* Ast/node.scm 95 */
							long BgL_res3511z00_5049;

							BgL_res3511z00_5049 = BGL_CLASS_INDEX(BGl_externz00zzast_nodez00);
							BgL_arg2717z00_2392 = BgL_res3511z00_5049;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1136z00_2391), BgL_arg2717z00_2392);
					}
					{	/* Ast/node.scm 95 */
						BgL_objectz00_bglt BgL_auxz00_15297;

						BgL_auxz00_15297 = ((BgL_objectz00_bglt) BgL_new1136z00_2391);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15297, BFALSE);
					}
					return BgL_new1136z00_2391;
				}
			}
		}
	}



/* &lambda2714 */
	BgL_externz00_bglt BGl_z62lambda2714z62zzast_nodez00(obj_t BgL_envz00_7904,
		obj_t BgL_loc1130z00_7905, obj_t BgL_type1131z00_7906,
		obj_t BgL_sidezd2effect1132zd2_7907, obj_t BgL_key1133z00_7908,
		obj_t BgL_exprza21134za2_7909, obj_t BgL_effect1135z00_7910)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			{
				obj_t BgL_loc1130z00_2380;
				BgL_typez00_bglt BgL_type1131z00_2381;
				obj_t BgL_sidezd2effect1132zd2_2382;
				obj_t BgL_key1133z00_2383;
				obj_t BgL_exprza21134za2_2384;
				obj_t BgL_effect1135z00_2385;

				BgL_loc1130z00_2380 = BgL_loc1130z00_7905;
				BgL_type1131z00_2381 = ((BgL_typez00_bglt) BgL_type1131z00_7906);
				BgL_sidezd2effect1132zd2_2382 = BgL_sidezd2effect1132zd2_7907;
				BgL_key1133z00_2383 = BgL_key1133z00_7908;
				BgL_exprza21134za2_2384 = BgL_exprza21134za2_7909;
				BgL_effect1135z00_2385 = BgL_effect1135z00_7910;
				{	/* Ast/node.scm 95 */
					BgL_externz00_bglt BgL_new1954z00_2387;

					{	/* Ast/node.scm 95 */
						BgL_externz00_bglt BgL_new1953z00_2388;

						BgL_new1953z00_2388 =
							((BgL_externz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_externz00_bgl))));
						{	/* Ast/node.scm 95 */
							long BgL_arg2715z00_2389;

							{	/* Ast/node.scm 95 */
								long BgL_res3510z00_5045;

								BgL_res3510z00_5045 =
									BGL_CLASS_INDEX(BGl_externz00zzast_nodez00);
								BgL_arg2715z00_2389 = BgL_res3510z00_5045;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1953z00_2388),
								BgL_arg2715z00_2389);
						}
						{	/* Ast/node.scm 95 */
							BgL_objectz00_bglt BgL_auxz00_15304;

							BgL_auxz00_15304 = ((BgL_objectz00_bglt) BgL_new1953z00_2388);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15304, BFALSE);
						}
						BgL_new1954z00_2387 = BgL_new1953z00_2388;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1954z00_2387)))->BgL_locz00) =
						((obj_t) BgL_loc1130z00_2380), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1954z00_2387)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1131z00_2381), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1954z00_2387)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1132zd2_2382), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1954z00_2387)))->BgL_keyz00) =
						((obj_t) BgL_key1133z00_2383), BUNSPEC);
					((((BgL_externz00_bglt) CREF(BgL_new1954z00_2387))->BgL_exprza2za2) =
						((obj_t) BgL_exprza21134za2_2384), BUNSPEC);
					((((BgL_externz00_bglt) CREF(BgL_new1954z00_2387))->BgL_effectz00) =
						((obj_t) BgL_effect1135z00_2385), BUNSPEC);
					return BgL_new1954z00_2387;
				}
			}
		}
	}



/* &<anonymous:2732> */
	obj_t BGl_z62zc3anonymousza32732ze3ze1zzast_nodez00(obj_t BgL_envz00_7911)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return BNIL;
		}
	}



/* &lambda2731 */
	obj_t BGl_z62lambda2731z62zzast_nodez00(obj_t BgL_envz00_7912,
		obj_t BgL_oz00_7913, obj_t BgL_vz00_7914)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_7913)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_7914), BUNSPEC);
		}
	}



/* &lambda2730 */
	obj_t BGl_z62lambda2730z62zzast_nodez00(obj_t BgL_envz00_7915,
		obj_t BgL_oz00_7916)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_7916)))->BgL_exprza2za2);
		}
	}



/* &<anonymous:2725> */
	obj_t BGl_z62zc3anonymousza32725ze3ze1zzast_nodez00(obj_t BgL_envz00_7917)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return BUNSPEC;
		}
	}



/* &lambda2724 */
	obj_t BGl_z62lambda2724z62zzast_nodez00(obj_t BgL_envz00_7918,
		obj_t BgL_oz00_7919, obj_t BgL_vz00_7920)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return
				((((BgL_externz00_bglt) CREF(
							((BgL_externz00_bglt) BgL_oz00_7919)))->BgL_effectz00) =
				((obj_t) BgL_vz00_7920), BUNSPEC);
		}
	}



/* &lambda2723 */
	obj_t BGl_z62lambda2723z62zzast_nodez00(obj_t BgL_envz00_7921,
		obj_t BgL_oz00_7922)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 95 */
			return
				(((BgL_externz00_bglt) CREF(
						((BgL_externz00_bglt) BgL_oz00_7922)))->BgL_effectz00);
		}
	}



/* &<anonymous:2683> */
	BgL_funcallz00_bglt BGl_z62zc3anonymousza32683ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7923, obj_t BgL_new1128z00_7924)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{
				BgL_funcallz00_bglt BgL_new1128z00_2314;

				BgL_new1128z00_2314 = ((BgL_funcallz00_bglt) BgL_new1128z00_7924);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1128z00_2314)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15328;

					{	/* Ast/node.scm 83 */
						obj_t BgL_classz00_5030;

						BgL_classz00_5030 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 83 */
							obj_t BgL__ortest_1092z00_5031;

							BgL__ortest_1092z00_5031 = BGL_CLASS_NIL(BgL_classz00_5030);
							if (CBOOL(BgL__ortest_1092z00_5031))
								{	/* Ast/node.scm 83 */
									BgL_auxz00_15328 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_5031);
								}
							else
								{	/* Ast/node.scm 83 */
									BgL_auxz00_15328 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5030));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1128z00_2314)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15328), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15337;

					{	/* Ast/node.scm 83 */
						obj_t BgL_classz00_5032;

						BgL_classz00_5032 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 83 */
							obj_t BgL__ortest_1092z00_5033;

							BgL__ortest_1092z00_5033 = BGL_CLASS_NIL(BgL_classz00_5032);
							if (CBOOL(BgL__ortest_1092z00_5033))
								{	/* Ast/node.scm 83 */
									BgL_auxz00_15337 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5033);
								}
							else
								{	/* Ast/node.scm 83 */
									BgL_auxz00_15337 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5032));
								}
						}
					}
					((((BgL_funcallz00_bglt) CREF(BgL_new1128z00_2314))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15337), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) CREF(BgL_new1128z00_2314))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1128z00_2314))->BgL_strengthz00) =
					((obj_t) CNST_TABLE_REF(((long) 79))), BUNSPEC);
				((((BgL_funcallz00_bglt) CREF(BgL_new1128z00_2314))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1128z00_2314;
			}
		}
	}



/* &lambda2681 */
	BgL_funcallz00_bglt BGl_z62lambda2681z62zzast_nodez00(obj_t BgL_envz00_7925)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{

				{	/* Ast/node.scm 83 */
					BgL_funcallz00_bglt BgL_new1126z00_2312;

					BgL_new1126z00_2312 =
						((BgL_funcallz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/node.scm 83 */
						long BgL_arg2682z00_2313;

						{	/* Ast/node.scm 83 */
							long BgL_res3509z00_5027;

							BgL_res3509z00_5027 =
								BGL_CLASS_INDEX(BGl_funcallz00zzast_nodez00);
							BgL_arg2682z00_2313 = BgL_res3509z00_5027;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1126z00_2312), BgL_arg2682z00_2313);
					}
					{	/* Ast/node.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_15354;

						BgL_auxz00_15354 = ((BgL_objectz00_bglt) BgL_new1126z00_2312);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15354, BFALSE);
					}
					return BgL_new1126z00_2312;
				}
			}
		}
	}



/* &lambda2679 */
	BgL_funcallz00_bglt BGl_z62lambda2679z62zzast_nodez00(obj_t BgL_envz00_7926,
		obj_t BgL_loc1120z00_7927, obj_t BgL_type1121z00_7928,
		obj_t BgL_fun1122z00_7929, obj_t BgL_args1123z00_7930,
		obj_t BgL_strength1124z00_7931, obj_t BgL_functions1125z00_7932)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{
				obj_t BgL_loc1120z00_2301;
				BgL_typez00_bglt BgL_type1121z00_2302;
				BgL_nodez00_bglt BgL_fun1122z00_2303;
				obj_t BgL_args1123z00_2304;
				obj_t BgL_strength1124z00_2305;
				obj_t BgL_functions1125z00_2306;

				BgL_loc1120z00_2301 = BgL_loc1120z00_7927;
				BgL_type1121z00_2302 = ((BgL_typez00_bglt) BgL_type1121z00_7928);
				BgL_fun1122z00_2303 = ((BgL_nodez00_bglt) BgL_fun1122z00_7929);
				BgL_args1123z00_2304 = BgL_args1123z00_7930;
				BgL_strength1124z00_2305 = BgL_strength1124z00_7931;
				BgL_functions1125z00_2306 = BgL_functions1125z00_7932;
				{	/* Ast/node.scm 83 */
					BgL_funcallz00_bglt BgL_new1944z00_2308;

					{	/* Ast/node.scm 83 */
						BgL_funcallz00_bglt BgL_new1943z00_2309;

						BgL_new1943z00_2309 =
							((BgL_funcallz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_funcallz00_bgl))));
						{	/* Ast/node.scm 83 */
							long BgL_arg2680z00_2310;

							{	/* Ast/node.scm 83 */
								long BgL_res3508z00_5023;

								BgL_res3508z00_5023 =
									BGL_CLASS_INDEX(BGl_funcallz00zzast_nodez00);
								BgL_arg2680z00_2310 = BgL_res3508z00_5023;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1943z00_2309),
								BgL_arg2680z00_2310);
						}
						{	/* Ast/node.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_15361;

							BgL_auxz00_15361 = ((BgL_objectz00_bglt) BgL_new1943z00_2309);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15361, BFALSE);
						}
						BgL_new1944z00_2308 = BgL_new1943z00_2309;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1944z00_2308)))->BgL_locz00) =
						((obj_t) BgL_loc1120z00_2301), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1944z00_2308)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1121z00_2302), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1944z00_2308))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_fun1122z00_2303), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1944z00_2308))->BgL_argsz00) =
						((obj_t) BgL_args1123z00_2304), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1944z00_2308))->
							BgL_strengthz00) = ((obj_t) BgL_strength1124z00_2305), BUNSPEC);
					((((BgL_funcallz00_bglt) CREF(BgL_new1944z00_2308))->
							BgL_functionsz00) = ((obj_t) BgL_functions1125z00_2306), BUNSPEC);
					return BgL_new1944z00_2308;
				}
			}
		}
	}



/* &lambda2707 */
	obj_t BGl_z62lambda2707z62zzast_nodez00(obj_t BgL_envz00_7933,
		obj_t BgL_oz00_7934, obj_t BgL_vz00_7935)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				((((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_oz00_7934)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7935)), BUNSPEC);
		}
	}



/* &lambda2706 */
	BgL_nodez00_bglt BGl_z62lambda2706z62zzast_nodez00(obj_t BgL_envz00_7936,
		obj_t BgL_oz00_7937)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_7937)))->BgL_funz00);
		}
	}



/* &lambda2702 */
	obj_t BGl_z62lambda2702z62zzast_nodez00(obj_t BgL_envz00_7938,
		obj_t BgL_oz00_7939, obj_t BgL_vz00_7940)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				((((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_oz00_7939)))->BgL_argsz00) =
				((obj_t) BgL_vz00_7940), BUNSPEC);
		}
	}



/* &lambda2701 */
	obj_t BGl_z62lambda2701z62zzast_nodez00(obj_t BgL_envz00_7941,
		obj_t BgL_oz00_7942)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_7942)))->BgL_argsz00);
		}
	}



/* &<anonymous:2697> */
	obj_t BGl_z62zc3anonymousza32697ze3ze1zzast_nodez00(obj_t BgL_envz00_7943)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			{

				return CNST_TABLE_REF(((long) 80));
		}}
	}



/* &lambda2696 */
	obj_t BGl_z62lambda2696z62zzast_nodez00(obj_t BgL_envz00_7944,
		obj_t BgL_oz00_7945, obj_t BgL_vz00_7946)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				((((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_oz00_7945)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_7946), BUNSPEC);
		}
	}



/* &lambda2695 */
	obj_t BGl_z62lambda2695z62zzast_nodez00(obj_t BgL_envz00_7947,
		obj_t BgL_oz00_7948)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_7948)))->BgL_strengthz00);
		}
	}



/* &<anonymous:2690> */
	obj_t BGl_z62zc3anonymousza32690ze3ze1zzast_nodez00(obj_t BgL_envz00_7949)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return BUNSPEC;
		}
	}



/* &lambda2689 */
	obj_t BGl_z62lambda2689z62zzast_nodez00(obj_t BgL_envz00_7950,
		obj_t BgL_oz00_7951, obj_t BgL_vz00_7952)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				((((BgL_funcallz00_bglt) CREF(
							((BgL_funcallz00_bglt) BgL_oz00_7951)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_7952), BUNSPEC);
		}
	}



/* &lambda2688 */
	obj_t BGl_z62lambda2688z62zzast_nodez00(obj_t BgL_envz00_7953,
		obj_t BgL_oz00_7954)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 83 */
			return
				(((BgL_funcallz00_bglt) CREF(
						((BgL_funcallz00_bglt) BgL_oz00_7954)))->BgL_functionsz00);
		}
	}



/* &<anonymous:2663> */
	BgL_appzd2lyzd2_bglt BGl_z62zc3anonymousza32663ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7955, obj_t BgL_new1118z00_7956)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			{
				BgL_appzd2lyzd2_bglt BgL_new1118z00_2265;

				BgL_new1118z00_2265 = ((BgL_appzd2lyzd2_bglt) BgL_new1118z00_7956);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1118z00_2265)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15394;

					{	/* Ast/node.scm 76 */
						obj_t BgL_classz00_4996;

						BgL_classz00_4996 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 76 */
							obj_t BgL__ortest_1092z00_4997;

							BgL__ortest_1092z00_4997 = BGL_CLASS_NIL(BgL_classz00_4996);
							if (CBOOL(BgL__ortest_1092z00_4997))
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15394 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_4997);
								}
							else
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15394 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4996));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1118z00_2265)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15394), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15403;

					{	/* Ast/node.scm 76 */
						obj_t BgL_classz00_4998;

						BgL_classz00_4998 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 76 */
							obj_t BgL__ortest_1092z00_4999;

							BgL__ortest_1092z00_4999 = BGL_CLASS_NIL(BgL_classz00_4998);
							if (CBOOL(BgL__ortest_1092z00_4999))
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15403 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_4999);
								}
							else
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15403 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4998));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1118z00_2265))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15403), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15411;

					{	/* Ast/node.scm 76 */
						obj_t BgL_classz00_5000;

						BgL_classz00_5000 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 76 */
							obj_t BgL__ortest_1092z00_5001;

							BgL__ortest_1092z00_5001 = BGL_CLASS_NIL(BgL_classz00_5000);
							if (CBOOL(BgL__ortest_1092z00_5001))
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15411 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_5001);
								}
							else
								{	/* Ast/node.scm 76 */
									BgL_auxz00_15411 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5000));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1118z00_2265))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15411), BUNSPEC);
				}
				return BgL_new1118z00_2265;
			}
		}
	}



/* &lambda2661 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2661z62zzast_nodez00(obj_t BgL_envz00_7957)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			{

				{	/* Ast/node.scm 76 */
					BgL_appzd2lyzd2_bglt BgL_new1117z00_2263;

					BgL_new1117z00_2263 =
						((BgL_appzd2lyzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/node.scm 76 */
						long BgL_arg2662z00_2264;

						{	/* Ast/node.scm 76 */
							long BgL_res3507z00_4993;

							BgL_res3507z00_4993 =
								BGL_CLASS_INDEX(BGl_appzd2lyzd2zzast_nodez00);
							BgL_arg2662z00_2264 = BgL_res3507z00_4993;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1117z00_2263), BgL_arg2662z00_2264);
					}
					{	/* Ast/node.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_15424;

						BgL_auxz00_15424 = ((BgL_objectz00_bglt) BgL_new1117z00_2263);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15424, BFALSE);
					}
					return BgL_new1117z00_2263;
				}
			}
		}
	}



/* &lambda2659 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2659z62zzast_nodez00(obj_t BgL_envz00_7958,
		obj_t BgL_loc1113z00_7959, obj_t BgL_type1114z00_7960,
		obj_t BgL_fun1115z00_7961, obj_t BgL_arg1116z00_7962)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			{
				obj_t BgL_loc1113z00_2254;
				BgL_typez00_bglt BgL_type1114z00_2255;
				BgL_nodez00_bglt BgL_fun1115z00_2256;
				BgL_nodez00_bglt BgL_arg1116z00_2257;

				BgL_loc1113z00_2254 = BgL_loc1113z00_7959;
				BgL_type1114z00_2255 = ((BgL_typez00_bglt) BgL_type1114z00_7960);
				BgL_fun1115z00_2256 = ((BgL_nodez00_bglt) BgL_fun1115z00_7961);
				BgL_arg1116z00_2257 = ((BgL_nodez00_bglt) BgL_arg1116z00_7962);
				{	/* Ast/node.scm 76 */
					BgL_appzd2lyzd2_bglt BgL_new1938z00_2259;

					{	/* Ast/node.scm 76 */
						BgL_appzd2lyzd2_bglt BgL_new1937z00_2260;

						BgL_new1937z00_2260 =
							((BgL_appzd2lyzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_appzd2lyzd2_bgl))));
						{	/* Ast/node.scm 76 */
							long BgL_arg2660z00_2261;

							{	/* Ast/node.scm 76 */
								long BgL_res3506z00_4989;

								BgL_res3506z00_4989 =
									BGL_CLASS_INDEX(BGl_appzd2lyzd2zzast_nodez00);
								BgL_arg2660z00_2261 = BgL_res3506z00_4989;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1937z00_2260),
								BgL_arg2660z00_2261);
						}
						{	/* Ast/node.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_15431;

							BgL_auxz00_15431 = ((BgL_objectz00_bglt) BgL_new1937z00_2260);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15431, BFALSE);
						}
						BgL_new1938z00_2259 = BgL_new1937z00_2260;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1938z00_2259)))->BgL_locz00) =
						((obj_t) BgL_loc1113z00_2254), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1938z00_2259)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1114z00_2255), BUNSPEC);
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1938z00_2259))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_fun1115z00_2256), BUNSPEC);
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_new1938z00_2259))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_arg1116z00_2257), BUNSPEC);
					return BgL_new1938z00_2259;
				}
			}
		}
	}



/* &lambda2673 */
	obj_t BGl_z62lambda2673z62zzast_nodez00(obj_t BgL_envz00_7963,
		obj_t BgL_oz00_7964, obj_t BgL_vz00_7965)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			return
				((((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_7964)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7965)), BUNSPEC);
		}
	}



/* &lambda2672 */
	BgL_nodez00_bglt BGl_z62lambda2672z62zzast_nodez00(obj_t BgL_envz00_7966,
		obj_t BgL_oz00_7967)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			return
				(((BgL_appzd2lyzd2_bglt) CREF(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_7967)))->BgL_funz00);
		}
	}



/* &lambda2668 */
	obj_t BGl_z62lambda2668z62zzast_nodez00(obj_t BgL_envz00_7968,
		obj_t BgL_oz00_7969, obj_t BgL_vz00_7970)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			return
				((((BgL_appzd2lyzd2_bglt) CREF(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_7969)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_7970)), BUNSPEC);
		}
	}



/* &lambda2667 */
	BgL_nodez00_bglt BGl_z62lambda2667z62zzast_nodez00(obj_t BgL_envz00_7971,
		obj_t BgL_oz00_7972)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 76 */
			return
				(((BgL_appzd2lyzd2_bglt) CREF(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_7972)))->BgL_argz00);
		}
	}



/* &<anonymous:2642> */
	BgL_appz00_bglt BGl_z62zc3anonymousza32642ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7973, obj_t BgL_new1111z00_7974)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			{
				BgL_appz00_bglt BgL_new1111z00_2218;

				BgL_new1111z00_2218 = ((BgL_appz00_bglt) BgL_new1111z00_7974);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1111z00_2218)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15455;

					{	/* Ast/node.scm 69 */
						obj_t BgL_classz00_4974;

						BgL_classz00_4974 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 69 */
							obj_t BgL__ortest_1092z00_4975;

							BgL__ortest_1092z00_4975 = BGL_CLASS_NIL(BgL_classz00_4974);
							if (CBOOL(BgL__ortest_1092z00_4975))
								{	/* Ast/node.scm 69 */
									BgL_auxz00_15455 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_4975);
								}
							else
								{	/* Ast/node.scm 69 */
									BgL_auxz00_15455 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4974));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1111z00_2218)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15455), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1111z00_2218)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1111z00_2218)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_15468;

					{	/* Ast/node.scm 69 */
						obj_t BgL_classz00_4976;

						BgL_classz00_4976 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 69 */
							obj_t BgL__ortest_1092z00_4977;

							BgL__ortest_1092z00_4977 = BGL_CLASS_NIL(BgL_classz00_4976);
							if (CBOOL(BgL__ortest_1092z00_4977))
								{	/* Ast/node.scm 69 */
									BgL_auxz00_15468 =
										((BgL_varz00_bglt) BgL__ortest_1092z00_4977);
								}
							else
								{	/* Ast/node.scm 69 */
									BgL_auxz00_15468 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4976));
								}
						}
					}
					((((BgL_appz00_bglt) CREF(BgL_new1111z00_2218))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_15468), BUNSPEC);
				}
				((((BgL_appz00_bglt) CREF(BgL_new1111z00_2218))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1111z00_2218;
			}
		}
	}



/* &lambda2640 */
	BgL_appz00_bglt BGl_z62lambda2640z62zzast_nodez00(obj_t BgL_envz00_7975)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			{

				{	/* Ast/node.scm 69 */
					BgL_appz00_bglt BgL_new1110z00_2216;

					BgL_new1110z00_2216 =
						((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_appz00_bgl))));
					{	/* Ast/node.scm 69 */
						long BgL_arg2641z00_2217;

						{	/* Ast/node.scm 69 */
							long BgL_res3505z00_4971;

							BgL_res3505z00_4971 = BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
							BgL_arg2641z00_2217 = BgL_res3505z00_4971;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1110z00_2216), BgL_arg2641z00_2217);
					}
					{	/* Ast/node.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_15482;

						BgL_auxz00_15482 = ((BgL_objectz00_bglt) BgL_new1110z00_2216);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15482, BFALSE);
					}
					return BgL_new1110z00_2216;
				}
			}
		}
	}



/* &lambda2638 */
	BgL_appz00_bglt BGl_z62lambda2638z62zzast_nodez00(obj_t BgL_envz00_7976,
		obj_t BgL_loc1104z00_7977, obj_t BgL_type1105z00_7978,
		obj_t BgL_sidezd2effect1106zd2_7979, obj_t BgL_key1107z00_7980,
		obj_t BgL_fun1108z00_7981, obj_t BgL_args1109z00_7982)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			{
				obj_t BgL_loc1104z00_2205;
				BgL_typez00_bglt BgL_type1105z00_2206;
				obj_t BgL_sidezd2effect1106zd2_2207;
				obj_t BgL_key1107z00_2208;
				BgL_varz00_bglt BgL_fun1108z00_2209;
				obj_t BgL_args1109z00_2210;

				BgL_loc1104z00_2205 = BgL_loc1104z00_7977;
				BgL_type1105z00_2206 = ((BgL_typez00_bglt) BgL_type1105z00_7978);
				BgL_sidezd2effect1106zd2_2207 = BgL_sidezd2effect1106zd2_7979;
				BgL_key1107z00_2208 = BgL_key1107z00_7980;
				BgL_fun1108z00_2209 = ((BgL_varz00_bglt) BgL_fun1108z00_7981);
				BgL_args1109z00_2210 = BgL_args1109z00_7982;
				{	/* Ast/node.scm 69 */
					BgL_appz00_bglt BgL_new1932z00_2212;

					{	/* Ast/node.scm 69 */
						BgL_appz00_bglt BgL_new1931z00_2213;

						BgL_new1931z00_2213 =
							((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_appz00_bgl))));
						{	/* Ast/node.scm 69 */
							long BgL_arg2639z00_2214;

							{	/* Ast/node.scm 69 */
								long BgL_res3504z00_4967;

								BgL_res3504z00_4967 = BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
								BgL_arg2639z00_2214 = BgL_res3504z00_4967;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1931z00_2213),
								BgL_arg2639z00_2214);
						}
						{	/* Ast/node.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_15489;

							BgL_auxz00_15489 = ((BgL_objectz00_bglt) BgL_new1931z00_2213);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15489, BFALSE);
						}
						BgL_new1932z00_2212 = BgL_new1931z00_2213;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1932z00_2212)))->BgL_locz00) =
						((obj_t) BgL_loc1104z00_2205), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1932z00_2212)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1105z00_2206), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1932z00_2212)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1106zd2_2207), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1932z00_2212)))->BgL_keyz00) =
						((obj_t) BgL_key1107z00_2208), BUNSPEC);
					((((BgL_appz00_bglt) CREF(BgL_new1932z00_2212))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_fun1108z00_2209), BUNSPEC);
					((((BgL_appz00_bglt) CREF(BgL_new1932z00_2212))->BgL_argsz00) =
						((obj_t) BgL_args1109z00_2210), BUNSPEC);
					return BgL_new1932z00_2212;
				}
			}
		}
	}



/* &lambda2653 */
	obj_t BGl_z62lambda2653z62zzast_nodez00(obj_t BgL_envz00_7983,
		obj_t BgL_oz00_7984, obj_t BgL_vz00_7985)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			return
				((((BgL_appz00_bglt) CREF(
							((BgL_appz00_bglt) BgL_oz00_7984)))->BgL_funz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_7985)), BUNSPEC);
		}
	}



/* &lambda2652 */
	BgL_varz00_bglt BGl_z62lambda2652z62zzast_nodez00(obj_t BgL_envz00_7986,
		obj_t BgL_oz00_7987)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			return
				(((BgL_appz00_bglt) CREF(
						((BgL_appz00_bglt) BgL_oz00_7987)))->BgL_funz00);
		}
	}



/* &lambda2647 */
	obj_t BGl_z62lambda2647z62zzast_nodez00(obj_t BgL_envz00_7988,
		obj_t BgL_oz00_7989, obj_t BgL_vz00_7990)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			return
				((((BgL_appz00_bglt) CREF(
							((BgL_appz00_bglt) BgL_oz00_7989)))->BgL_argsz00) =
				((obj_t) BgL_vz00_7990), BUNSPEC);
		}
	}



/* &lambda2646 */
	obj_t BGl_z62lambda2646z62zzast_nodez00(obj_t BgL_envz00_7991,
		obj_t BgL_oz00_7992)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 69 */
			return
				(((BgL_appz00_bglt) CREF(
						((BgL_appz00_bglt) BgL_oz00_7992)))->BgL_argsz00);
		}
	}



/* &<anonymous:2618> */
	BgL_sequencez00_bglt BGl_z62zc3anonymousza32618ze3ze1zzast_nodez00(obj_t
		BgL_envz00_7993, obj_t BgL_new1102z00_7994)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			{
				BgL_sequencez00_bglt BgL_new1102z00_2166;

				BgL_new1102z00_2166 = ((BgL_sequencez00_bglt) BgL_new1102z00_7994);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1102z00_2166)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15515;

					{	/* Ast/node.scm 64 */
						obj_t BgL_classz00_4954;

						BgL_classz00_4954 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 64 */
							obj_t BgL__ortest_1092z00_4955;

							BgL__ortest_1092z00_4955 = BGL_CLASS_NIL(BgL_classz00_4954);
							if (CBOOL(BgL__ortest_1092z00_4955))
								{	/* Ast/node.scm 64 */
									BgL_auxz00_15515 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_4955);
								}
							else
								{	/* Ast/node.scm 64 */
									BgL_auxz00_15515 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4954));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1102z00_2166)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15515), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(
								((BgL_nodezf2effectzf2_bglt) BgL_new1102z00_2166)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1102z00_2166)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt) CREF(BgL_new1102z00_2166))->BgL_nodesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt) CREF(BgL_new1102z00_2166))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				return BgL_new1102z00_2166;
			}
		}
	}



/* &lambda2616 */
	BgL_sequencez00_bglt BGl_z62lambda2616z62zzast_nodez00(obj_t BgL_envz00_7995)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			{

				{	/* Ast/node.scm 64 */
					BgL_sequencez00_bglt BgL_new1101z00_2164;

					BgL_new1101z00_2164 =
						((BgL_sequencez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_sequencez00_bgl))));
					{	/* Ast/node.scm 64 */
						long BgL_arg2617z00_2165;

						{	/* Ast/node.scm 64 */
							long BgL_res3503z00_4951;

							BgL_res3503z00_4951 =
								BGL_CLASS_INDEX(BGl_sequencez00zzast_nodez00);
							BgL_arg2617z00_2165 = BgL_res3503z00_4951;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1101z00_2164), BgL_arg2617z00_2165);
					}
					{	/* Ast/node.scm 64 */
						BgL_objectz00_bglt BgL_auxz00_15535;

						BgL_auxz00_15535 = ((BgL_objectz00_bglt) BgL_new1101z00_2164);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15535, BFALSE);
					}
					return BgL_new1101z00_2164;
				}
			}
		}
	}



/* &lambda2614 */
	BgL_sequencez00_bglt BGl_z62lambda2614z62zzast_nodez00(obj_t BgL_envz00_7996,
		obj_t BgL_loc1095z00_7997, obj_t BgL_type1096z00_7998,
		obj_t BgL_sidezd2effect1097zd2_7999, obj_t BgL_key1098z00_8000,
		obj_t BgL_nodes1099z00_8001, obj_t BgL_unsafe1100z00_8002)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			{
				obj_t BgL_loc1095z00_2153;
				BgL_typez00_bglt BgL_type1096z00_2154;
				obj_t BgL_sidezd2effect1097zd2_2155;
				obj_t BgL_key1098z00_2156;
				obj_t BgL_nodes1099z00_2157;
				bool_t BgL_unsafe1100z00_2158;

				BgL_loc1095z00_2153 = BgL_loc1095z00_7997;
				BgL_type1096z00_2154 = ((BgL_typez00_bglt) BgL_type1096z00_7998);
				BgL_sidezd2effect1097zd2_2155 = BgL_sidezd2effect1097zd2_7999;
				BgL_key1098z00_2156 = BgL_key1098z00_8000;
				BgL_nodes1099z00_2157 = BgL_nodes1099z00_8001;
				BgL_unsafe1100z00_2158 = CBOOL(BgL_unsafe1100z00_8002);
				{	/* Ast/node.scm 64 */
					BgL_sequencez00_bglt BgL_new1926z00_2160;

					{	/* Ast/node.scm 64 */
						BgL_sequencez00_bglt BgL_new1925z00_2161;

						BgL_new1925z00_2161 =
							((BgL_sequencez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_sequencez00_bgl))));
						{	/* Ast/node.scm 64 */
							long BgL_arg2615z00_2162;

							{	/* Ast/node.scm 64 */
								long BgL_res3502z00_4947;

								BgL_res3502z00_4947 =
									BGL_CLASS_INDEX(BGl_sequencez00zzast_nodez00);
								BgL_arg2615z00_2162 = BgL_res3502z00_4947;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1925z00_2161),
								BgL_arg2615z00_2162);
						}
						{	/* Ast/node.scm 64 */
							BgL_objectz00_bglt BgL_auxz00_15542;

							BgL_auxz00_15542 = ((BgL_objectz00_bglt) BgL_new1925z00_2161);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15542, BFALSE);
						}
						BgL_new1926z00_2160 = BgL_new1925z00_2161;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1926z00_2160)))->BgL_locz00) =
						((obj_t) BgL_loc1095z00_2153), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1926z00_2160)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1096z00_2154), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1926z00_2160)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1097zd2_2155), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
										BgL_new1926z00_2160)))->BgL_keyz00) =
						((obj_t) BgL_key1098z00_2156), BUNSPEC);
					((((BgL_sequencez00_bglt) CREF(BgL_new1926z00_2160))->BgL_nodesz00) =
						((obj_t) BgL_nodes1099z00_2157), BUNSPEC);
					((((BgL_sequencez00_bglt) CREF(BgL_new1926z00_2160))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1100z00_2158), BUNSPEC);
					return BgL_new1926z00_2160;
				}
			}
		}
	}



/* &lambda2631 */
	obj_t BGl_z62lambda2631z62zzast_nodez00(obj_t BgL_envz00_8003,
		obj_t BgL_oz00_8004, obj_t BgL_vz00_8005)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			return
				((((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_oz00_8004)))->BgL_nodesz00) =
				((obj_t) BgL_vz00_8005), BUNSPEC);
		}
	}



/* &lambda2630 */
	obj_t BGl_z62lambda2630z62zzast_nodez00(obj_t BgL_envz00_8006,
		obj_t BgL_oz00_8007)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			return
				(((BgL_sequencez00_bglt) CREF(
						((BgL_sequencez00_bglt) BgL_oz00_8007)))->BgL_nodesz00);
		}
	}



/* &<anonymous:2626> */
	obj_t BGl_z62zc3anonymousza32626ze3ze1zzast_nodez00(obj_t BgL_envz00_8008)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda2625 */
	obj_t BGl_z62lambda2625z62zzast_nodez00(obj_t BgL_envz00_8009,
		obj_t BgL_oz00_8010, obj_t BgL_vz00_8011)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			{	/* Ast/node.scm 64 */
				bool_t BgL_vz00_9474;

				BgL_vz00_9474 = CBOOL(BgL_vz00_8011);
				return
					((((BgL_sequencez00_bglt) CREF(
								((BgL_sequencez00_bglt) BgL_oz00_8010)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_9474), BUNSPEC);
			}
		}
	}



/* &lambda2624 */
	obj_t BGl_z62lambda2624z62zzast_nodez00(obj_t BgL_envz00_8012,
		obj_t BgL_oz00_8013)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 64 */
			return
				BBOOL(
				(((BgL_sequencez00_bglt) CREF(
							((BgL_sequencez00_bglt) BgL_oz00_8013)))->BgL_unsafez00));
		}
	}



/* &<anonymous:2603> */
	BgL_kwotez00_bglt BGl_z62zc3anonymousza32603ze3ze1zzast_nodez00(obj_t
		BgL_envz00_8014, obj_t BgL_new1093z00_8015)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			{
				BgL_kwotez00_bglt BgL_new1093z00_2129;

				BgL_new1093z00_2129 = ((BgL_kwotez00_bglt) BgL_new1093z00_8015);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1093z00_2129)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15570;

					{	/* Ast/node.scm 59 */
						obj_t BgL_classz00_4934;

						BgL_classz00_4934 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 59 */
							obj_t BgL__ortest_1092z00_4935;

							BgL__ortest_1092z00_4935 = BGL_CLASS_NIL(BgL_classz00_4934);
							if (CBOOL(BgL__ortest_1092z00_4935))
								{	/* Ast/node.scm 59 */
									BgL_auxz00_15570 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_4935);
								}
							else
								{	/* Ast/node.scm 59 */
									BgL_auxz00_15570 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4934));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1093z00_2129)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15570), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) CREF(BgL_new1093z00_2129))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1093z00_2129;
			}
		}
	}



/* &lambda2601 */
	BgL_kwotez00_bglt BGl_z62lambda2601z62zzast_nodez00(obj_t BgL_envz00_8016)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			{

				{	/* Ast/node.scm 59 */
					BgL_kwotez00_bglt BgL_new1092z00_2127;

					BgL_new1092z00_2127 =
						((BgL_kwotez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/node.scm 59 */
						long BgL_arg2602z00_2128;

						{	/* Ast/node.scm 59 */
							long BgL_res3501z00_4931;

							BgL_res3501z00_4931 = BGL_CLASS_INDEX(BGl_kwotez00zzast_nodez00);
							BgL_arg2602z00_2128 = BgL_res3501z00_4931;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1092z00_2127), BgL_arg2602z00_2128);
					}
					{	/* Ast/node.scm 59 */
						BgL_objectz00_bglt BgL_auxz00_15585;

						BgL_auxz00_15585 = ((BgL_objectz00_bglt) BgL_new1092z00_2127);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15585, BFALSE);
					}
					return BgL_new1092z00_2127;
				}
			}
		}
	}



/* &lambda2599 */
	BgL_kwotez00_bglt BGl_z62lambda2599z62zzast_nodez00(obj_t BgL_envz00_8017,
		obj_t BgL_loc1089z00_8018, obj_t BgL_type1090z00_8019,
		obj_t BgL_value1091z00_8020)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			{
				obj_t BgL_loc1089z00_2119;
				BgL_typez00_bglt BgL_type1090z00_2120;
				obj_t BgL_value1091z00_2121;

				BgL_loc1089z00_2119 = BgL_loc1089z00_8018;
				BgL_type1090z00_2120 = ((BgL_typez00_bglt) BgL_type1090z00_8019);
				BgL_value1091z00_2121 = BgL_value1091z00_8020;
				{	/* Ast/node.scm 59 */
					BgL_kwotez00_bglt BgL_new1922z00_2123;

					{	/* Ast/node.scm 59 */
						BgL_kwotez00_bglt BgL_new1921z00_2124;

						BgL_new1921z00_2124 =
							((BgL_kwotez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_kwotez00_bgl))));
						{	/* Ast/node.scm 59 */
							long BgL_arg2600z00_2125;

							{	/* Ast/node.scm 59 */
								long BgL_res3500z00_4927;

								BgL_res3500z00_4927 =
									BGL_CLASS_INDEX(BGl_kwotez00zzast_nodez00);
								BgL_arg2600z00_2125 = BgL_res3500z00_4927;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1921z00_2124),
								BgL_arg2600z00_2125);
						}
						{	/* Ast/node.scm 59 */
							BgL_objectz00_bglt BgL_auxz00_15592;

							BgL_auxz00_15592 = ((BgL_objectz00_bglt) BgL_new1921z00_2124);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15592, BFALSE);
						}
						BgL_new1922z00_2123 = BgL_new1921z00_2124;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1922z00_2123)))->BgL_locz00) =
						((obj_t) BgL_loc1089z00_2119), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1922z00_2123)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1090z00_2120), BUNSPEC);
					((((BgL_kwotez00_bglt) CREF(BgL_new1922z00_2123))->BgL_valuez00) =
						((obj_t) BgL_value1091z00_2121), BUNSPEC);
					return BgL_new1922z00_2123;
				}
			}
		}
	}



/* &lambda2608 */
	obj_t BGl_z62lambda2608z62zzast_nodez00(obj_t BgL_envz00_8021,
		obj_t BgL_oz00_8022, obj_t BgL_vz00_8023)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			return
				((((BgL_kwotez00_bglt) CREF(
							((BgL_kwotez00_bglt) BgL_oz00_8022)))->BgL_valuez00) =
				((obj_t) BgL_vz00_8023), BUNSPEC);
		}
	}



/* &lambda2607 */
	obj_t BGl_z62lambda2607z62zzast_nodez00(obj_t BgL_envz00_8024,
		obj_t BgL_oz00_8025)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 59 */
			return
				(((BgL_kwotez00_bglt) CREF(
						((BgL_kwotez00_bglt) BgL_oz00_8025)))->BgL_valuez00);
		}
	}



/* &<anonymous:2593> */
	BgL_closurez00_bglt BGl_z62zc3anonymousza32593ze3ze1zzast_nodez00(obj_t
		BgL_envz00_8026, obj_t BgL_new1087z00_8027)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 56 */
			{
				BgL_closurez00_bglt BgL_new1087z00_2107;

				BgL_new1087z00_2107 = ((BgL_closurez00_bglt) BgL_new1087z00_8027);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1087z00_2107)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15607;

					{	/* Ast/node.scm 56 */
						obj_t BgL_classz00_4917;

						BgL_classz00_4917 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 56 */
							obj_t BgL__ortest_1092z00_4918;

							BgL__ortest_1092z00_4918 = BGL_CLASS_NIL(BgL_classz00_4917);
							if (CBOOL(BgL__ortest_1092z00_4918))
								{	/* Ast/node.scm 56 */
									BgL_auxz00_15607 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_4918);
								}
							else
								{	/* Ast/node.scm 56 */
									BgL_auxz00_15607 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4917));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1087z00_2107)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15607), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_15616;

					{	/* Ast/node.scm 56 */
						obj_t BgL_classz00_4919;

						BgL_classz00_4919 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 56 */
							obj_t BgL__ortest_1092z00_4920;

							BgL__ortest_1092z00_4920 = BGL_CLASS_NIL(BgL_classz00_4919);
							if (CBOOL(BgL__ortest_1092z00_4920))
								{	/* Ast/node.scm 56 */
									BgL_auxz00_15616 =
										((BgL_variablez00_bglt) BgL__ortest_1092z00_4920);
								}
							else
								{	/* Ast/node.scm 56 */
									BgL_auxz00_15616 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4919));
								}
						}
					}
					((((BgL_varz00_bglt) CREF(
									((BgL_varz00_bglt) BgL_new1087z00_2107)))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_15616), BUNSPEC);
				}
				return BgL_new1087z00_2107;
			}
		}
	}



/* &lambda2591 */
	BgL_closurez00_bglt BGl_z62lambda2591z62zzast_nodez00(obj_t BgL_envz00_8028)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 56 */
			{

				{	/* Ast/node.scm 56 */
					BgL_closurez00_bglt BgL_new1086z00_2105;

					BgL_new1086z00_2105 =
						((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/node.scm 56 */
						long BgL_arg2592z00_2106;

						{	/* Ast/node.scm 56 */
							long BgL_res3499z00_4914;

							BgL_res3499z00_4914 =
								BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
							BgL_arg2592z00_2106 = BgL_res3499z00_4914;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1086z00_2105), BgL_arg2592z00_2106);
					}
					{	/* Ast/node.scm 56 */
						BgL_objectz00_bglt BgL_auxz00_15630;

						BgL_auxz00_15630 = ((BgL_objectz00_bglt) BgL_new1086z00_2105);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15630, BFALSE);
					}
					return BgL_new1086z00_2105;
				}
			}
		}
	}



/* &lambda2589 */
	BgL_closurez00_bglt BGl_z62lambda2589z62zzast_nodez00(obj_t BgL_envz00_8029,
		obj_t BgL_loc1083z00_8030, obj_t BgL_type1084z00_8031,
		obj_t BgL_variable1085z00_8032)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 56 */
			{
				obj_t BgL_loc1083z00_2097;
				BgL_typez00_bglt BgL_type1084z00_2098;
				BgL_variablez00_bglt BgL_variable1085z00_2099;

				BgL_loc1083z00_2097 = BgL_loc1083z00_8030;
				BgL_type1084z00_2098 = ((BgL_typez00_bglt) BgL_type1084z00_8031);
				BgL_variable1085z00_2099 =
					((BgL_variablez00_bglt) BgL_variable1085z00_8032);
				{	/* Ast/node.scm 56 */
					BgL_closurez00_bglt BgL_new1920z00_2101;

					{	/* Ast/node.scm 56 */
						BgL_closurez00_bglt BgL_new1919z00_2102;

						BgL_new1919z00_2102 =
							((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_closurez00_bgl))));
						{	/* Ast/node.scm 56 */
							long BgL_arg2590z00_2103;

							{	/* Ast/node.scm 56 */
								long BgL_res3498z00_4910;

								BgL_res3498z00_4910 =
									BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
								BgL_arg2590z00_2103 = BgL_res3498z00_4910;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1919z00_2102),
								BgL_arg2590z00_2103);
						}
						{	/* Ast/node.scm 56 */
							BgL_objectz00_bglt BgL_auxz00_15637;

							BgL_auxz00_15637 = ((BgL_objectz00_bglt) BgL_new1919z00_2102);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15637, BFALSE);
						}
						BgL_new1920z00_2101 = BgL_new1919z00_2102;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1920z00_2101)))->BgL_locz00) =
						((obj_t) BgL_loc1083z00_2097), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1920z00_2101)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1084z00_2098), BUNSPEC);
					((((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_new1920z00_2101)))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_variable1085z00_2099), BUNSPEC);
					return BgL_new1920z00_2101;
				}
			}
		}
	}



/* &<anonymous:2578> */
	BgL_varz00_bglt BGl_z62zc3anonymousza32578ze3ze1zzast_nodez00(obj_t
		BgL_envz00_8033, obj_t BgL_new1081z00_8034)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			{
				BgL_varz00_bglt BgL_new1081z00_2073;

				BgL_new1081z00_2073 = ((BgL_varz00_bglt) BgL_new1081z00_8034);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1081z00_2073)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15650;

					{	/* Ast/node.scm 51 */
						obj_t BgL_classz00_4905;

						BgL_classz00_4905 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 51 */
							obj_t BgL__ortest_1092z00_4906;

							BgL__ortest_1092z00_4906 = BGL_CLASS_NIL(BgL_classz00_4905);
							if (CBOOL(BgL__ortest_1092z00_4906))
								{	/* Ast/node.scm 51 */
									BgL_auxz00_15650 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_4906);
								}
							else
								{	/* Ast/node.scm 51 */
									BgL_auxz00_15650 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4905));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1081z00_2073)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15650), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_15659;

					{	/* Ast/node.scm 51 */
						obj_t BgL_classz00_4907;

						BgL_classz00_4907 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 51 */
							obj_t BgL__ortest_1092z00_4908;

							BgL__ortest_1092z00_4908 = BGL_CLASS_NIL(BgL_classz00_4907);
							if (CBOOL(BgL__ortest_1092z00_4908))
								{	/* Ast/node.scm 51 */
									BgL_auxz00_15659 =
										((BgL_variablez00_bglt) BgL__ortest_1092z00_4908);
								}
							else
								{	/* Ast/node.scm 51 */
									BgL_auxz00_15659 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4907));
								}
						}
					}
					((((BgL_varz00_bglt) CREF(BgL_new1081z00_2073))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_15659), BUNSPEC);
				}
				return BgL_new1081z00_2073;
			}
		}
	}



/* &lambda2576 */
	BgL_varz00_bglt BGl_z62lambda2576z62zzast_nodez00(obj_t BgL_envz00_8035)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			{

				{	/* Ast/node.scm 51 */
					BgL_varz00_bglt BgL_new1080z00_2071;

					BgL_new1080z00_2071 =
						((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_varz00_bgl))));
					{	/* Ast/node.scm 51 */
						long BgL_arg2577z00_2072;

						{	/* Ast/node.scm 51 */
							long BgL_res3497z00_4902;

							BgL_res3497z00_4902 = BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
							BgL_arg2577z00_2072 = BgL_res3497z00_4902;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1080z00_2071), BgL_arg2577z00_2072);
					}
					{	/* Ast/node.scm 51 */
						BgL_objectz00_bglt BgL_auxz00_15672;

						BgL_auxz00_15672 = ((BgL_objectz00_bglt) BgL_new1080z00_2071);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15672, BFALSE);
					}
					return BgL_new1080z00_2071;
				}
			}
		}
	}



/* &lambda2574 */
	BgL_varz00_bglt BGl_z62lambda2574z62zzast_nodez00(obj_t BgL_envz00_8036,
		obj_t BgL_loc1077z00_8037, obj_t BgL_type1078z00_8038,
		obj_t BgL_variable1079z00_8039)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			{
				obj_t BgL_loc1077z00_2063;
				BgL_typez00_bglt BgL_type1078z00_2064;
				BgL_variablez00_bglt BgL_variable1079z00_2065;

				BgL_loc1077z00_2063 = BgL_loc1077z00_8037;
				BgL_type1078z00_2064 = ((BgL_typez00_bglt) BgL_type1078z00_8038);
				BgL_variable1079z00_2065 =
					((BgL_variablez00_bglt) BgL_variable1079z00_8039);
				{	/* Ast/node.scm 51 */
					BgL_varz00_bglt BgL_new1916z00_2067;

					{	/* Ast/node.scm 51 */
						BgL_varz00_bglt BgL_new1915z00_2068;

						BgL_new1915z00_2068 =
							((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_varz00_bgl))));
						{	/* Ast/node.scm 51 */
							long BgL_arg2575z00_2069;

							{	/* Ast/node.scm 51 */
								long BgL_res3496z00_4898;

								BgL_res3496z00_4898 = BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
								BgL_arg2575z00_2069 = BgL_res3496z00_4898;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1915z00_2068),
								BgL_arg2575z00_2069);
						}
						{	/* Ast/node.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_15679;

							BgL_auxz00_15679 = ((BgL_objectz00_bglt) BgL_new1915z00_2068);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15679, BFALSE);
						}
						BgL_new1916z00_2067 = BgL_new1915z00_2068;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1916z00_2067)))->BgL_locz00) =
						((obj_t) BgL_loc1077z00_2063), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1916z00_2067)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1078z00_2064), BUNSPEC);
					((((BgL_varz00_bglt) CREF(BgL_new1916z00_2067))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_variable1079z00_2065), BUNSPEC);
					return BgL_new1916z00_2067;
				}
			}
		}
	}



/* &lambda2583 */
	obj_t BGl_z62lambda2583z62zzast_nodez00(obj_t BgL_envz00_8040,
		obj_t BgL_oz00_8041, obj_t BgL_vz00_8042)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			return
				((((BgL_varz00_bglt) CREF(
							((BgL_varz00_bglt) BgL_oz00_8041)))->BgL_variablez00) =
				((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_8042)),
				BUNSPEC);
		}
	}



/* &lambda2582 */
	BgL_variablez00_bglt BGl_z62lambda2582z62zzast_nodez00(obj_t BgL_envz00_8043,
		obj_t BgL_oz00_8044)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 51 */
			return
				(((BgL_varz00_bglt) CREF(
						((BgL_varz00_bglt) BgL_oz00_8044)))->BgL_variablez00);
		}
	}



/* &<anonymous:2563> */
	BgL_atomz00_bglt BGl_z62zc3anonymousza32563ze3ze1zzast_nodez00(obj_t
		BgL_envz00_8045, obj_t BgL_new1075z00_8046)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			{
				BgL_atomz00_bglt BgL_new1075z00_2039;

				BgL_new1075z00_2039 = ((BgL_atomz00_bglt) BgL_new1075z00_8046);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1075z00_2039)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15696;

					{	/* Ast/node.scm 46 */
						obj_t BgL_classz00_4890;

						BgL_classz00_4890 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 46 */
							obj_t BgL__ortest_1092z00_4891;

							BgL__ortest_1092z00_4891 = BGL_CLASS_NIL(BgL_classz00_4890);
							if (CBOOL(BgL__ortest_1092z00_4891))
								{	/* Ast/node.scm 46 */
									BgL_auxz00_15696 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_4891);
								}
							else
								{	/* Ast/node.scm 46 */
									BgL_auxz00_15696 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4890));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1075z00_2039)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15696), BUNSPEC);
				}
				((((BgL_atomz00_bglt) CREF(BgL_new1075z00_2039))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1075z00_2039;
			}
		}
	}



/* &lambda2561 */
	BgL_atomz00_bglt BGl_z62lambda2561z62zzast_nodez00(obj_t BgL_envz00_8047)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			{

				{	/* Ast/node.scm 46 */
					BgL_atomz00_bglt BgL_new1074z00_2037;

					BgL_new1074z00_2037 =
						((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_atomz00_bgl))));
					{	/* Ast/node.scm 46 */
						long BgL_arg2562z00_2038;

						{	/* Ast/node.scm 46 */
							long BgL_res3495z00_4887;

							BgL_res3495z00_4887 = BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
							BgL_arg2562z00_2038 = BgL_res3495z00_4887;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1074z00_2037), BgL_arg2562z00_2038);
					}
					{	/* Ast/node.scm 46 */
						BgL_objectz00_bglt BgL_auxz00_15711;

						BgL_auxz00_15711 = ((BgL_objectz00_bglt) BgL_new1074z00_2037);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15711, BFALSE);
					}
					return BgL_new1074z00_2037;
				}
			}
		}
	}



/* &lambda2559 */
	BgL_atomz00_bglt BGl_z62lambda2559z62zzast_nodez00(obj_t BgL_envz00_8048,
		obj_t BgL_loc1071z00_8049, obj_t BgL_type1072z00_8050,
		obj_t BgL_value1073z00_8051)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			{
				obj_t BgL_loc1071z00_2029;
				BgL_typez00_bglt BgL_type1072z00_2030;
				obj_t BgL_value1073z00_2031;

				BgL_loc1071z00_2029 = BgL_loc1071z00_8049;
				BgL_type1072z00_2030 = ((BgL_typez00_bglt) BgL_type1072z00_8050);
				BgL_value1073z00_2031 = BgL_value1073z00_8051;
				{	/* Ast/node.scm 46 */
					BgL_atomz00_bglt BgL_new1912z00_2033;

					{	/* Ast/node.scm 46 */
						BgL_atomz00_bglt BgL_new1911z00_2034;

						BgL_new1911z00_2034 =
							((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_atomz00_bgl))));
						{	/* Ast/node.scm 46 */
							long BgL_arg2560z00_2035;

							{	/* Ast/node.scm 46 */
								long BgL_res3494z00_4883;

								BgL_res3494z00_4883 = BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
								BgL_arg2560z00_2035 = BgL_res3494z00_4883;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1911z00_2034),
								BgL_arg2560z00_2035);
						}
						{	/* Ast/node.scm 46 */
							BgL_objectz00_bglt BgL_auxz00_15718;

							BgL_auxz00_15718 = ((BgL_objectz00_bglt) BgL_new1911z00_2034);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15718, BFALSE);
						}
						BgL_new1912z00_2033 = BgL_new1911z00_2034;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1912z00_2033)))->BgL_locz00) =
						((obj_t) BgL_loc1071z00_2029), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1912z00_2033)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1072z00_2030), BUNSPEC);
					((((BgL_atomz00_bglt) CREF(BgL_new1912z00_2033))->BgL_valuez00) =
						((obj_t) BgL_value1073z00_2031), BUNSPEC);
					return BgL_new1912z00_2033;
				}
			}
		}
	}



/* &lambda2568 */
	obj_t BGl_z62lambda2568z62zzast_nodez00(obj_t BgL_envz00_8052,
		obj_t BgL_oz00_8053, obj_t BgL_vz00_8054)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			return
				((((BgL_atomz00_bglt) CREF(
							((BgL_atomz00_bglt) BgL_oz00_8053)))->BgL_valuez00) =
				((obj_t) BgL_vz00_8054), BUNSPEC);
		}
	}



/* &lambda2567 */
	obj_t BGl_z62lambda2567z62zzast_nodez00(obj_t BgL_envz00_8055,
		obj_t BgL_oz00_8056)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 46 */
			return
				(((BgL_atomz00_bglt) CREF(
						((BgL_atomz00_bglt) BgL_oz00_8056)))->BgL_valuez00);
		}
	}



/* &<anonymous:2538> */
	BgL_nodezf2effectzf2_bglt BGl_z62zc3anonymousza32538ze3ze1zzast_nodez00(obj_t
		BgL_envz00_8057, obj_t BgL_new1069z00_8058)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			{
				BgL_nodezf2effectzf2_bglt BgL_new1069z00_1987;

				BgL_new1069z00_1987 = ((BgL_nodezf2effectzf2_bglt) BgL_new1069z00_8058);
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1069z00_1987)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15733;

					{	/* Ast/node.scm 37 */
						obj_t BgL_classz00_4875;

						BgL_classz00_4875 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 37 */
							obj_t BgL__ortest_1092z00_4876;

							BgL__ortest_1092z00_4876 = BGL_CLASS_NIL(BgL_classz00_4875);
							if (CBOOL(BgL__ortest_1092z00_4876))
								{	/* Ast/node.scm 37 */
									BgL_auxz00_15733 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_4876);
								}
							else
								{	/* Ast/node.scm 37 */
									BgL_auxz00_15733 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4875));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1069z00_1987)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15733), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1069z00_1987))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1069z00_1987))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1069z00_1987;
			}
		}
	}



/* &lambda2536 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda2536z62zzast_nodez00(obj_t
		BgL_envz00_8059)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			{

				{	/* Ast/node.scm 37 */
					BgL_nodezf2effectzf2_bglt BgL_new1068z00_1985;

					BgL_new1068z00_1985 =
						((BgL_nodezf2effectzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/node.scm 37 */
						long BgL_arg2537z00_1986;

						{	/* Ast/node.scm 37 */
							long BgL_res3493z00_4872;

							BgL_res3493z00_4872 =
								BGL_CLASS_INDEX(BGl_nodezf2effectzf2zzast_nodez00);
							BgL_arg2537z00_1986 = BgL_res3493z00_4872;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1068z00_1985), BgL_arg2537z00_1986);
					}
					{	/* Ast/node.scm 37 */
						BgL_objectz00_bglt BgL_auxz00_15749;

						BgL_auxz00_15749 = ((BgL_objectz00_bglt) BgL_new1068z00_1985);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15749, BFALSE);
					}
					return BgL_new1068z00_1985;
				}
			}
		}
	}



/* &lambda2534 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda2534z62zzast_nodez00(obj_t
		BgL_envz00_8060, obj_t BgL_loc1064z00_8061, obj_t BgL_type1065z00_8062,
		obj_t BgL_sidezd2effect1066zd2_8063, obj_t BgL_key1067z00_8064)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			{
				obj_t BgL_loc1064z00_1976;
				BgL_typez00_bglt BgL_type1065z00_1977;
				obj_t BgL_sidezd2effect1066zd2_1978;
				obj_t BgL_key1067z00_1979;

				BgL_loc1064z00_1976 = BgL_loc1064z00_8061;
				BgL_type1065z00_1977 = ((BgL_typez00_bglt) BgL_type1065z00_8062);
				BgL_sidezd2effect1066zd2_1978 = BgL_sidezd2effect1066zd2_8063;
				BgL_key1067z00_1979 = BgL_key1067z00_8064;
				{	/* Ast/node.scm 37 */
					BgL_nodezf2effectzf2_bglt BgL_new1906z00_1981;

					{	/* Ast/node.scm 37 */
						BgL_nodezf2effectzf2_bglt BgL_new1905z00_1982;

						BgL_new1905z00_1982 =
							((BgL_nodezf2effectzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_nodezf2effectzf2_bgl))));
						{	/* Ast/node.scm 37 */
							long BgL_arg2535z00_1983;

							{	/* Ast/node.scm 37 */
								long BgL_res3492z00_4868;

								BgL_res3492z00_4868 =
									BGL_CLASS_INDEX(BGl_nodezf2effectzf2zzast_nodez00);
								BgL_arg2535z00_1983 = BgL_res3492z00_4868;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1905z00_1982),
								BgL_arg2535z00_1983);
						}
						{	/* Ast/node.scm 37 */
							BgL_objectz00_bglt BgL_auxz00_15756;

							BgL_auxz00_15756 = ((BgL_objectz00_bglt) BgL_new1905z00_1982);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15756, BFALSE);
						}
						BgL_new1906z00_1981 = BgL_new1905z00_1982;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1906z00_1981)))->BgL_locz00) =
						((obj_t) BgL_loc1064z00_1976), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1906z00_1981)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1065z00_1977), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1906z00_1981))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1066zd2_1978), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) CREF(BgL_new1906z00_1981))->
							BgL_keyz00) = ((obj_t) BgL_key1067z00_1979), BUNSPEC);
					return BgL_new1906z00_1981;
				}
			}
		}
	}



/* &<anonymous:2552> */
	obj_t BGl_z62zc3anonymousza32552ze3ze1zzast_nodez00(obj_t BgL_envz00_8065)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return BUNSPEC;
		}
	}



/* &lambda2551 */
	obj_t BGl_z62lambda2551z62zzast_nodez00(obj_t BgL_envz00_8066,
		obj_t BgL_oz00_8067, obj_t BgL_vz00_8068)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_8067)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_8068), BUNSPEC);
		}
	}



/* &lambda2550 */
	obj_t BGl_z62lambda2550z62zzast_nodez00(obj_t BgL_envz00_8069,
		obj_t BgL_oz00_8070)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_8070)))->
				BgL_sidezd2effectzd2);
		}
	}



/* &<anonymous:2545> */
	obj_t BGl_z62zc3anonymousza32545ze3ze1zzast_nodez00(obj_t BgL_envz00_8071)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return BINT(((long) -1));
		}
	}



/* &lambda2544 */
	obj_t BGl_z62lambda2544z62zzast_nodez00(obj_t BgL_envz00_8072,
		obj_t BgL_oz00_8073, obj_t BgL_vz00_8074)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) CREF(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_8073)))->BgL_keyz00) =
				((obj_t) BgL_vz00_8074), BUNSPEC);
		}
	}



/* &lambda2543 */
	obj_t BGl_z62lambda2543z62zzast_nodez00(obj_t BgL_envz00_8075,
		obj_t BgL_oz00_8076)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) CREF(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_8076)))->BgL_keyz00);
		}
	}



/* &<anonymous:2516> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza32516ze3ze1zzast_nodez00(obj_t
		BgL_envz00_8077, obj_t BgL_new1062z00_8078)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			{
				BgL_nodez00_bglt BgL_new1062z00_1937;

				BgL_new1062z00_1937 = ((BgL_nodez00_bglt) BgL_new1062z00_8078);
				((((BgL_nodez00_bglt) CREF(BgL_new1062z00_1937))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15776;

					{	/* Ast/node.scm 21 */
						obj_t BgL_classz00_4855;

						BgL_classz00_4855 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 21 */
							obj_t BgL__ortest_1092z00_4856;

							BgL__ortest_1092z00_4856 = BGL_CLASS_NIL(BgL_classz00_4855);
							if (CBOOL(BgL__ortest_1092z00_4856))
								{	/* Ast/node.scm 21 */
									BgL_auxz00_15776 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_4856);
								}
							else
								{	/* Ast/node.scm 21 */
									BgL_auxz00_15776 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4855));
								}
						}
					}
					((((BgL_nodez00_bglt) CREF(BgL_new1062z00_1937))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15776), BUNSPEC);
				}
				return BgL_new1062z00_1937;
			}
		}
	}



/* &lambda2514 */
	BgL_nodez00_bglt BGl_z62lambda2514z62zzast_nodez00(obj_t BgL_envz00_8079)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			{

				{	/* Ast/node.scm 21 */
					BgL_nodez00_bglt BgL_new1061z00_1935;

					BgL_new1061z00_1935 =
						((BgL_nodez00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/node.scm 21 */
						long BgL_arg2515z00_1936;

						{	/* Ast/node.scm 21 */
							long BgL_res3491z00_4852;

							BgL_res3491z00_4852 = BGL_CLASS_INDEX(BGl_nodez00zzast_nodez00);
							BgL_arg2515z00_1936 = BgL_res3491z00_4852;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1061z00_1935), BgL_arg2515z00_1936);
					}
					{	/* Ast/node.scm 21 */
						BgL_objectz00_bglt BgL_auxz00_15789;

						BgL_auxz00_15789 = ((BgL_objectz00_bglt) BgL_new1061z00_1935);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_15789, BFALSE);
					}
					return BgL_new1061z00_1935;
				}
			}
		}
	}



/* &lambda2512 */
	BgL_nodez00_bglt BGl_z62lambda2512z62zzast_nodez00(obj_t BgL_envz00_8080,
		obj_t BgL_loc1059z00_8081, obj_t BgL_type1060z00_8082)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			{
				obj_t BgL_loc1059z00_1928;
				BgL_typez00_bglt BgL_type1060z00_1929;

				BgL_loc1059z00_1928 = BgL_loc1059z00_8081;
				BgL_type1060z00_1929 = ((BgL_typez00_bglt) BgL_type1060z00_8082);
				{	/* Ast/node.scm 21 */
					BgL_nodez00_bglt BgL_new1900z00_1931;

					{	/* Ast/node.scm 21 */
						BgL_nodez00_bglt BgL_new1899z00_1932;

						BgL_new1899z00_1932 =
							((BgL_nodez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_nodez00_bgl))));
						{	/* Ast/node.scm 21 */
							long BgL_arg2513z00_1933;

							{	/* Ast/node.scm 21 */
								long BgL_res3490z00_4848;

								BgL_res3490z00_4848 = BGL_CLASS_INDEX(BGl_nodez00zzast_nodez00);
								BgL_arg2513z00_1933 = BgL_res3490z00_4848;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1899z00_1932),
								BgL_arg2513z00_1933);
						}
						{	/* Ast/node.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_15796;

							BgL_auxz00_15796 = ((BgL_objectz00_bglt) BgL_new1899z00_1932);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_15796, BFALSE);
						}
						BgL_new1900z00_1931 = BgL_new1899z00_1932;
					}
					((((BgL_nodez00_bglt) CREF(BgL_new1900z00_1931))->BgL_locz00) =
						((obj_t) BgL_loc1059z00_1928), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(BgL_new1900z00_1931))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1060z00_1929), BUNSPEC);
					return BgL_new1900z00_1931;
				}
			}
		}
	}



/* &<anonymous:2528> */
	obj_t BGl_z62zc3anonymousza32528ze3ze1zzast_nodez00(obj_t BgL_envz00_8083)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda2527 */
	obj_t BGl_z62lambda2527z62zzast_nodez00(obj_t BgL_envz00_8084,
		obj_t BgL_oz00_8085, obj_t BgL_vz00_8086)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_8085)))->BgL_locz00) =
				((obj_t) BgL_vz00_8086), BUNSPEC);
		}
	}



/* &lambda2526 */
	obj_t BGl_z62lambda2526z62zzast_nodez00(obj_t BgL_envz00_8087,
		obj_t BgL_oz00_8088)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_8088)))->BgL_locz00);
		}
	}



/* &lambda2521 */
	obj_t BGl_z62lambda2521z62zzast_nodez00(obj_t BgL_envz00_8089,
		obj_t BgL_oz00_8090, obj_t BgL_vz00_8091)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) CREF(
							((BgL_nodez00_bglt) BgL_oz00_8090)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8091)), BUNSPEC);
		}
	}



/* &lambda2520 */
	BgL_typez00_bglt BGl_z62lambda2520z62zzast_nodez00(obj_t BgL_envz00_8092,
		obj_t BgL_oz00_8093)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_oz00_8093)))->BgL_typez00);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_proc3862z00zzast_nodez00,
				BGl_nodez00zzast_nodez00, BGl_string3863z00zzast_nodez00);
		}
	}



/* &node-walk2417 */
	obj_t BGl_z62nodezd2walk2417zb0zzast_nodez00(obj_t BgL_envz00_8095,
		obj_t BgL_nodez00_8096, obj_t BgL_procz00_8097)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 278 */
			{
				BgL_nodez00_bglt BgL_nodez00_3727;
				obj_t BgL_procz00_3728;

				BgL_nodez00_3727 = ((BgL_nodez00_bglt) BgL_nodez00_8096);
				BgL_procz00_3728 = BgL_procz00_8097;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 81)),
					BGl_string3864z00zzast_nodez00, ((obj_t) BgL_nodez00_3727));
		}}
	}



/* node-walk */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt
		BgL_nodez00_917, obj_t BgL_procz00_918)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 278 */
			{	/* Ast/node.scm 278 */
				obj_t BgL_method2418z00_3731;

				{	/* Ast/node.scm 278 */
					obj_t BgL_res3568z00_5696;

					{	/* Ast/node.scm 278 */
						long BgL_objzd2classzd2numz00_5669;

						{	/* Ast/node.scm 278 */
							long BgL_res3562z00_5672;

							BgL_res3562z00_5672 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_917));
							BgL_objzd2classzd2numz00_5669 = BgL_res3562z00_5672;
						}
						{	/* Ast/node.scm 278 */
							obj_t BgL_arg1769z00_5670;

							BgL_arg1769z00_5670 =
								PROCEDURE_REF(BGl_nodezd2walkzd2envz00zzast_nodez00,
								(int) (((long) 1)));
							{	/* Ast/node.scm 278 */
								int BgL_offsetz00_5674;

								BgL_offsetz00_5674 = (int) (BgL_objzd2classzd2numz00_5669);
								{	/* Ast/node.scm 278 */
									long BgL_offsetz00_5675;

									BgL_offsetz00_5675 =
										((long) (BgL_offsetz00_5674) - OBJECT_TYPE);
									{	/* Ast/node.scm 278 */
										long BgL_modz00_5676;

										{	/* Ast/node.scm 278 */
											int BgL_arg1771z00_5677;

											BgL_arg1771z00_5677 = (int) (((long) 16));
											{	/* Ast/node.scm 278 */
												long BgL_res3565z00_5687;

												{	/* Ast/node.scm 278 */
													long BgL_auxz00_15825;

													BgL_auxz00_15825 = (long) (BgL_arg1771z00_5677);
													BgL_res3565z00_5687 =
														(BgL_offsetz00_5675 / BgL_auxz00_15825);
												}
												BgL_modz00_5676 = BgL_res3565z00_5687;
										}}
										{	/* Ast/node.scm 278 */
											long BgL_restz00_5678;

											{	/* Ast/node.scm 278 */
												int BgL_arg1770z00_5679;

												BgL_arg1770z00_5679 = (int) (((long) 16));
												{	/* Ast/node.scm 278 */
													long BgL_res3567z00_5691;

													{	/* Ast/node.scm 278 */
														long BgL_auxz00_15829;

														BgL_auxz00_15829 = (long) (BgL_arg1770z00_5679);
														BgL_res3567z00_5691 =
															(BgL_offsetz00_5675 % BgL_auxz00_15829);
													}
													BgL_restz00_5678 = BgL_res3567z00_5691;
											}}
											{	/* Ast/node.scm 278 */

												BgL_res3568z00_5696 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_5670,
														(int) (BgL_modz00_5676)), (int) (BgL_restz00_5678));
					}}}}}}}
					BgL_method2418z00_3731 = BgL_res3568z00_5696;
				}
				return
					PROCEDURE_ENTRY(BgL_method2418z00_3731) (BgL_method2418z00_3731,
					((obj_t) BgL_nodez00_917), BgL_procz00_918, BEOA);
			}
		}
	}



/* &node-walk */
	obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t BgL_envz00_8098,
		obj_t BgL_nodez00_8099, obj_t BgL_procz00_8100)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 278 */
			return
				BGl_nodezd2walkzd2zzast_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_8099), BgL_procz00_8100);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc3865z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc3867z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3868z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3869z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc3870z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc3871z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3872z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc3873z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc3874z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc3875z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc3876z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3877z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc3878z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_selectz00zzast_nodez00,
				BGl_proc3879z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3880z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3881z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3882z00zzast_nodez00,
				BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc3883z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc3884z00zzast_nodez00, BGl_string3866z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3885z00zzast_nodez00,
				BGl_string3866z00zzast_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3886z00zzast_nodez00,
				BGl_string3866z00zzast_nodez00);
		}
	}



/* &node-walk-jump-ex-it2460 */
	obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it2460z62zzast_nodez00(obj_t
		BgL_envz00_8122, obj_t BgL_nodez00_8123, obj_t BgL_procz00_8124)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 442 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3889;
				obj_t BgL_procz00_3890;

				BgL_nodez00_3889 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8123);
				BgL_procz00_3890 = BgL_procz00_8124;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3889))->BgL_exitz00),
					BgL_procz00_3890);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_jumpzd2exzd2itz00_bglt)
							CREF(BgL_nodez00_3889))->BgL_valuez00), BgL_procz00_3890);
				return PROCEDURE_ENTRY(BgL_procz00_3890) (BgL_procz00_3890,
					((obj_t) BgL_nodez00_3889), BEOA);
			}
		}
	}



/* &node-walk-set-ex-it2458 */
	obj_t BGl_z62nodezd2walkzd2setzd2exzd2it2458z62zzast_nodez00(obj_t
		BgL_envz00_8125, obj_t BgL_nodez00_8126, obj_t BgL_procz00_8127)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 435 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_3883;
				obj_t BgL_procz00_3884;

				BgL_nodez00_3883 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_8126);
				BgL_procz00_3884 = BgL_procz00_8127;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3883))->BgL_bodyz00),
					BgL_procz00_3884);
				return PROCEDURE_ENTRY(BgL_procz00_3884) (BgL_procz00_3884,
					((obj_t) BgL_nodez00_3883), BEOA);
			}
		}
	}



/* &node-walk-let-var2456 */
	obj_t BGl_z62nodezd2walkzd2letzd2var2456zb0zzast_nodez00(obj_t
		BgL_envz00_8128, obj_t BgL_nodez00_8129, obj_t BgL_procz00_8130)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 424 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3867;
				obj_t BgL_procz00_3868;

				BgL_nodez00_3867 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_8129);
				BgL_procz00_3868 = BgL_procz00_8130;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3867))->BgL_bodyz00),
					BgL_procz00_3868);
				{	/* Ast/node.scm 427 */
					obj_t BgL_g2342z00_3873;

					BgL_g2342z00_3873 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3867))->BgL_bindingsz00);
					{
						obj_t BgL_l2340z00_3875;

						BgL_l2340z00_3875 = BgL_g2342z00_3873;
					BgL_zc3anonymousza33429ze3z83_3876:
						if (PAIRP(BgL_l2340z00_3875))
							{	/* Ast/node.scm 427 */
								{	/* Ast/node.scm 428 */
									obj_t BgL_bindingz00_3878;

									BgL_bindingz00_3878 = CAR(BgL_l2340z00_3875);
									{	/* Ast/node.scm 428 */
										obj_t BgL_arg3431z00_3879;

										BgL_arg3431z00_3879 = CDR(BgL_bindingz00_3878);
										BGl_nodezd2walkzd2zzast_nodez00(
											((BgL_nodez00_bglt) BgL_arg3431z00_3879),
											BgL_procz00_3868);
									}
								}
								{
									obj_t BgL_l2340z00_15892;

									BgL_l2340z00_15892 = CDR(BgL_l2340z00_3875);
									BgL_l2340z00_3875 = BgL_l2340z00_15892;
									goto BgL_zc3anonymousza33429ze3z83_3876;
								}
							}
						else
							{	/* Ast/node.scm 427 */
								((bool_t) 1);
							}
					}
				}
				return
					PROCEDURE_ENTRY(BgL_procz00_3868) (BgL_procz00_3868,
					((obj_t) BgL_nodez00_3867), BEOA);
			}
		}
	}



/* &node-walk-let-fun2454 */
	obj_t BGl_z62nodezd2walkzd2letzd2fun2454zb0zzast_nodez00(obj_t
		BgL_envz00_8131, obj_t BgL_nodez00_8132, obj_t BgL_procz00_8133)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 412 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_3850;
				obj_t BgL_procz00_3851;

				BgL_nodez00_3850 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_8132);
				BgL_procz00_3851 = BgL_procz00_8133;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3850))->BgL_bodyz00),
					BgL_procz00_3851);
				{	/* Ast/node.scm 415 */
					obj_t BgL_g2339z00_3856;

					BgL_g2339z00_3856 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3850))->BgL_localsz00);
					{
						obj_t BgL_l2337z00_3858;

						BgL_l2337z00_3858 = BgL_g2339z00_3856;
					BgL_zc3anonymousza33421ze3z83_3859:
						if (PAIRP(BgL_l2337z00_3858))
							{	/* Ast/node.scm 415 */
								{	/* Ast/node.scm 416 */
									obj_t BgL_localz00_3861;

									BgL_localz00_3861 = CAR(BgL_l2337z00_3858);
									{	/* Ast/node.scm 416 */
										BgL_valuez00_bglt BgL_sfunz00_3862;

										BgL_sfunz00_3862 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_3861))))->
											BgL_valuez00);
										{	/* Ast/node.scm 417 */
											obj_t BgL_arg3423z00_3863;

											BgL_arg3423z00_3863 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_3862)))->
												BgL_bodyz00);
											BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
													BgL_arg3423z00_3863), BgL_procz00_3851);
										}
									}
								}
								{
									obj_t BgL_l2337z00_15913;

									BgL_l2337z00_15913 = CDR(BgL_l2337z00_3858);
									BgL_l2337z00_3858 = BgL_l2337z00_15913;
									goto BgL_zc3anonymousza33421ze3z83_3859;
								}
							}
						else
							{	/* Ast/node.scm 415 */
								((bool_t) 1);
							}
					}
				}
				return
					PROCEDURE_ENTRY(BgL_procz00_3851) (BgL_procz00_3851,
					((obj_t) BgL_nodez00_3850), BEOA);
			}
		}
	}



/* &node-walk-box-set!2452 */
	obj_t BGl_z62nodezd2walkzd2boxzd2setz122452za2zzast_nodez00(obj_t
		BgL_envz00_8134, obj_t BgL_nodez00_8135, obj_t BgL_procz00_8136)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 404 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3843;
				obj_t BgL_procz00_3844;

				BgL_nodez00_3843 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_8135);
				BgL_procz00_3844 = BgL_procz00_8136;
				{	/* Ast/node.scm 405 */
					BgL_varz00_bglt BgL_arg3418z00_3847;

					BgL_arg3418z00_3847 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3843))->BgL_varz00);
					BGl_nodezd2walkzd2zzast_nodez00(
						((BgL_nodez00_bglt) BgL_arg3418z00_3847), BgL_procz00_3844);
				}
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3843))->BgL_valuez00),
					BgL_procz00_3844);
				return PROCEDURE_ENTRY(BgL_procz00_3844) (BgL_procz00_3844,
					((obj_t) BgL_nodez00_3843), BEOA);
			}
		}
	}



/* &node-walk-box-ref2450 */
	obj_t BGl_z62nodezd2walkzd2boxzd2ref2450zb0zzast_nodez00(obj_t
		BgL_envz00_8137, obj_t BgL_nodez00_8138, obj_t BgL_procz00_8139)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 397 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_3837;
				obj_t BgL_procz00_3838;

				BgL_nodez00_3837 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_8138);
				BgL_procz00_3838 = BgL_procz00_8139;
				{	/* Ast/node.scm 398 */
					BgL_varz00_bglt BgL_arg3414z00_5769;

					BgL_arg3414z00_5769 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3837))->BgL_varz00);
					BGl_nodezd2walkzd2zzast_nodez00(
						((BgL_nodez00_bglt) BgL_arg3414z00_5769), BgL_procz00_3838);
				}
				return
					PROCEDURE_ENTRY(BgL_procz00_3838) (BgL_procz00_3838,
					((obj_t) BgL_nodez00_3837), BEOA);
			}
		}
	}



/* &node-walk-make-box2448 */
	obj_t BGl_z62nodezd2walkzd2makezd2box2448zb0zzast_nodez00(obj_t
		BgL_envz00_8140, obj_t BgL_nodez00_8141, obj_t BgL_procz00_8142)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 390 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_3831;
				obj_t BgL_procz00_3832;

				BgL_nodez00_3831 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_8141);
				BgL_procz00_3832 = BgL_procz00_8142;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3831))->BgL_valuez00),
					BgL_procz00_3832);
				return PROCEDURE_ENTRY(BgL_procz00_3832) (BgL_procz00_3832,
					((obj_t) BgL_nodez00_3831), BEOA);
			}
		}
	}



/* &node-walk-select2446 */
	obj_t BGl_z62nodezd2walkzd2select2446z62zzast_nodez00(obj_t BgL_envz00_8143,
		obj_t BgL_nodez00_8144, obj_t BgL_procz00_8145)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 380 */
			{
				BgL_selectz00_bglt BgL_nodez00_3816;
				obj_t BgL_procz00_3817;

				BgL_nodez00_3816 = ((BgL_selectz00_bglt) BgL_nodez00_8144);
				BgL_procz00_3817 = BgL_procz00_8145;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_3816))->BgL_testz00),
					BgL_procz00_3817);
				{	/* Ast/node.scm 382 */
					obj_t BgL_g2336z00_3821;

					BgL_g2336z00_3821 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_3816))->BgL_clausesz00);
					{
						obj_t BgL_l2334z00_3823;

						BgL_l2334z00_3823 = BgL_g2336z00_3821;
					BgL_zc3anonymousza33409ze3z83_3824:
						if (PAIRP(BgL_l2334z00_3823))
							{	/* Ast/node.scm 384 */
								{	/* Ast/node.scm 383 */
									obj_t BgL_clausez00_3826;

									BgL_clausez00_3826 = CAR(BgL_l2334z00_3823);
									{	/* Ast/node.scm 383 */
										obj_t BgL_arg3411z00_3827;

										BgL_arg3411z00_3827 = CDR(BgL_clausez00_3826);
										BGl_nodezd2walkzd2zzast_nodez00(
											((BgL_nodez00_bglt) BgL_arg3411z00_3827),
											BgL_procz00_3817);
									}
								}
								{
									obj_t BgL_l2334z00_15958;

									BgL_l2334z00_15958 = CDR(BgL_l2334z00_3823);
									BgL_l2334z00_3823 = BgL_l2334z00_15958;
									goto BgL_zc3anonymousza33409ze3z83_3824;
								}
							}
						else
							{	/* Ast/node.scm 384 */
								((bool_t) 1);
							}
					}
				}
				return
					PROCEDURE_ENTRY(BgL_procz00_3817) (BgL_procz00_3817,
					((obj_t) BgL_nodez00_3816), BEOA);
			}
		}
	}



/* &node-walk-fail2444 */
	obj_t BGl_z62nodezd2walkzd2fail2444z62zzast_nodez00(obj_t BgL_envz00_8146,
		obj_t BgL_nodez00_8147, obj_t BgL_procz00_8148)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 371 */
			{
				BgL_failz00_bglt BgL_nodez00_3808;
				obj_t BgL_procz00_3809;

				BgL_nodez00_3808 = ((BgL_failz00_bglt) BgL_nodez00_8147);
				BgL_procz00_3809 = BgL_procz00_8148;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_3808))->BgL_procz00),
					BgL_procz00_3809);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_3808))->BgL_msgz00), BgL_procz00_3809);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_3808))->BgL_objz00), BgL_procz00_3809);
				return PROCEDURE_ENTRY(BgL_procz00_3809) (BgL_procz00_3809,
					((obj_t) BgL_nodez00_3808), BEOA);
			}
		}
	}



/* &node-walk-conditiona2442 */
	obj_t BGl_z62nodezd2walkzd2conditiona2442z62zzast_nodez00(obj_t
		BgL_envz00_8149, obj_t BgL_nodez00_8150, obj_t BgL_procz00_8151)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 362 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3800;
				obj_t BgL_procz00_3801;

				BgL_nodez00_3800 = ((BgL_conditionalz00_bglt) BgL_nodez00_8150);
				BgL_procz00_3801 = BgL_procz00_8151;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3800))->BgL_testz00),
					BgL_procz00_3801);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_conditionalz00_bglt)
							CREF(BgL_nodez00_3800))->BgL_truez00), BgL_procz00_3801);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_conditionalz00_bglt)
							CREF(BgL_nodez00_3800))->BgL_falsez00), BgL_procz00_3801);
				return PROCEDURE_ENTRY(BgL_procz00_3801) (BgL_procz00_3801,
					((obj_t) BgL_nodez00_3800), BEOA);
			}
		}
	}



/* &node-walk-setq2440 */
	obj_t BGl_z62nodezd2walkzd2setq2440z62zzast_nodez00(obj_t BgL_envz00_8152,
		obj_t BgL_nodez00_8153, obj_t BgL_procz00_8154)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 355 */
			{
				BgL_setqz00_bglt BgL_nodez00_3794;
				obj_t BgL_procz00_3795;

				BgL_nodez00_3794 = ((BgL_setqz00_bglt) BgL_nodez00_8153);
				BgL_procz00_3795 = BgL_procz00_8154;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_3794))->BgL_valuez00),
					BgL_procz00_3795);
				return PROCEDURE_ENTRY(BgL_procz00_3795) (BgL_procz00_3795,
					((obj_t) BgL_nodez00_3794), BEOA);
			}
		}
	}



/* &node-walk-cast2438 */
	obj_t BGl_z62nodezd2walkzd2cast2438z62zzast_nodez00(obj_t BgL_envz00_8155,
		obj_t BgL_nodez00_8156, obj_t BgL_procz00_8157)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 348 */
			{
				BgL_castz00_bglt BgL_nodez00_3788;
				obj_t BgL_procz00_3789;

				BgL_nodez00_3788 = ((BgL_castz00_bglt) BgL_nodez00_8156);
				BgL_procz00_3789 = BgL_procz00_8157;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_3788))->BgL_argz00),
					BgL_procz00_3789);
				return PROCEDURE_ENTRY(BgL_procz00_3789) (BgL_procz00_3789,
					((obj_t) BgL_nodez00_3788), BEOA);
			}
		}
	}



/* &node-walk-extern2436 */
	obj_t BGl_z62nodezd2walkzd2extern2436z62zzast_nodez00(obj_t BgL_envz00_8158,
		obj_t BgL_nodez00_8159, obj_t BgL_procz00_8160)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 341 */
			{
				BgL_externz00_bglt BgL_nodez00_3782;
				obj_t BgL_procz00_3783;

				BgL_nodez00_3782 = ((BgL_externz00_bglt) BgL_nodez00_8159);
				BgL_procz00_3783 = BgL_procz00_8160;
				BGl_nodezd2walkza2z70zzast_nodez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_3782))->BgL_exprza2za2),
					BgL_procz00_3783);
				return PROCEDURE_ENTRY(BgL_procz00_3783) (BgL_procz00_3783,
					((obj_t) BgL_nodez00_3782), BEOA);
			}
		}
	}



/* &node-walk-funcall2434 */
	obj_t BGl_z62nodezd2walkzd2funcall2434z62zzast_nodez00(obj_t BgL_envz00_8161,
		obj_t BgL_nodez00_8162, obj_t BgL_procz00_8163)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 333 */
			{
				BgL_funcallz00_bglt BgL_nodez00_3775;
				obj_t BgL_procz00_3776;

				BgL_nodez00_3775 = ((BgL_funcallz00_bglt) BgL_nodez00_8162);
				BgL_procz00_3776 = BgL_procz00_8163;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_3775))->BgL_funz00),
					BgL_procz00_3776);
				BGl_nodezd2walkza2z70zzast_nodez00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_3775))->BgL_argsz00), BgL_procz00_3776);
				return PROCEDURE_ENTRY(BgL_procz00_3776) (BgL_procz00_3776,
					((obj_t) BgL_nodez00_3775), BEOA);
			}
		}
	}



/* &node-walk-app-ly2432 */
	obj_t BGl_z62nodezd2walkzd2appzd2ly2432zb0zzast_nodez00(obj_t BgL_envz00_8164,
		obj_t BgL_nodez00_8165, obj_t BgL_procz00_8166)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 325 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_3768;
				obj_t BgL_procz00_3769;

				BgL_nodez00_3768 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_8165);
				BgL_procz00_3769 = BgL_procz00_8166;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_3768))->BgL_funz00),
					BgL_procz00_3769);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_appzd2lyzd2_bglt)
							CREF(BgL_nodez00_3768))->BgL_argz00), BgL_procz00_3769);
				return PROCEDURE_ENTRY(BgL_procz00_3769) (BgL_procz00_3769,
					((obj_t) BgL_nodez00_3768), BEOA);
			}
		}
	}



/* &node-walk-app2430 */
	obj_t BGl_z62nodezd2walkzd2app2430z62zzast_nodez00(obj_t BgL_envz00_8167,
		obj_t BgL_nodez00_8168, obj_t BgL_procz00_8169)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 317 */
			{
				BgL_appz00_bglt BgL_nodez00_3761;
				obj_t BgL_procz00_3762;

				BgL_nodez00_3761 = ((BgL_appz00_bglt) BgL_nodez00_8168);
				BgL_procz00_3762 = BgL_procz00_8169;
				{	/* Ast/node.scm 318 */
					BgL_varz00_bglt BgL_arg3366z00_3765;

					BgL_arg3366z00_3765 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_3761))->BgL_funz00);
					BGl_nodezd2walkzd2zzast_nodez00(
						((BgL_nodez00_bglt) BgL_arg3366z00_3765), BgL_procz00_3762);
				}
				BGl_nodezd2walkza2z70zzast_nodez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3761))->BgL_argsz00),
					BgL_procz00_3762);
				return PROCEDURE_ENTRY(BgL_procz00_3762) (BgL_procz00_3762,
					((obj_t) BgL_nodez00_3761), BEOA);
			}
		}
	}



/* &node-walk-sync2428 */
	obj_t BGl_z62nodezd2walkzd2sync2428z62zzast_nodez00(obj_t BgL_envz00_8170,
		obj_t BgL_nodez00_8171, obj_t BgL_procz00_8172)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 308 */
			{
				BgL_syncz00_bglt BgL_nodez00_3753;
				obj_t BgL_procz00_3754;

				BgL_nodez00_3753 = ((BgL_syncz00_bglt) BgL_nodez00_8171);
				BgL_procz00_3754 = BgL_procz00_8172;
				BGl_nodezd2walkzd2zzast_nodez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_3753))->BgL_mutexz00),
					BgL_procz00_3754);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_syncz00_bglt)
							CREF(BgL_nodez00_3753))->BgL_prelockz00), BgL_procz00_3754);
				BGl_nodezd2walkzd2zzast_nodez00((((BgL_syncz00_bglt)
							CREF(BgL_nodez00_3753))->BgL_bodyz00), BgL_procz00_3754);
				return PROCEDURE_ENTRY(BgL_procz00_3754) (BgL_procz00_3754,
					((obj_t) BgL_nodez00_3753), BEOA);
			}
		}
	}



/* &node-walk-sequence2426 */
	obj_t BGl_z62nodezd2walkzd2sequence2426z62zzast_nodez00(obj_t BgL_envz00_8173,
		obj_t BgL_nodez00_8174, obj_t BgL_procz00_8175)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 301 */
			{
				BgL_sequencez00_bglt BgL_nodez00_3747;
				obj_t BgL_procz00_3748;

				BgL_nodez00_3747 = ((BgL_sequencez00_bglt) BgL_nodez00_8174);
				BgL_procz00_3748 = BgL_procz00_8175;
				BGl_nodezd2walkza2z70zzast_nodez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3747))->BgL_nodesz00),
					BgL_procz00_3748);
				return PROCEDURE_ENTRY(BgL_procz00_3748) (BgL_procz00_3748,
					((obj_t) BgL_nodez00_3747), BEOA);
			}
		}
	}



/* &node-walk-kwote2424 */
	obj_t BGl_z62nodezd2walkzd2kwote2424z62zzast_nodez00(obj_t BgL_envz00_8176,
		obj_t BgL_nodez00_8177, obj_t BgL_procz00_8178)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 295 */
			{
				BgL_kwotez00_bglt BgL_nodez00_3742;
				obj_t BgL_procz00_3743;

				BgL_nodez00_3742 = ((BgL_kwotez00_bglt) BgL_nodez00_8177);
				BgL_procz00_3743 = BgL_procz00_8178;
				return
					PROCEDURE_ENTRY(BgL_procz00_3743) (BgL_procz00_3743,
					((obj_t) BgL_nodez00_3742), BEOA);
			}
		}
	}



/* &node-walk-var2422 */
	obj_t BGl_z62nodezd2walkzd2var2422z62zzast_nodez00(obj_t BgL_envz00_8179,
		obj_t BgL_nodez00_8180, obj_t BgL_procz00_8181)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 289 */
			{
				BgL_varz00_bglt BgL_nodez00_3737;
				obj_t BgL_procz00_3738;

				BgL_nodez00_3737 = ((BgL_varz00_bglt) BgL_nodez00_8180);
				BgL_procz00_3738 = BgL_procz00_8181;
				return
					PROCEDURE_ENTRY(BgL_procz00_3738) (BgL_procz00_3738,
					((obj_t) BgL_nodez00_3737), BEOA);
			}
		}
	}



/* &node-walk-atom2420 */
	obj_t BGl_z62nodezd2walkzd2atom2420z62zzast_nodez00(obj_t BgL_envz00_8182,
		obj_t BgL_nodez00_8183, obj_t BgL_procz00_8184)
	{
		AN_OBJECT;
		{	/* Ast/node.scm 283 */
			{
				BgL_atomz00_bglt BgL_nodez00_3732;
				obj_t BgL_procz00_3733;

				BgL_nodez00_3732 = ((BgL_atomz00_bglt) BgL_nodez00_8183);
				BgL_procz00_3733 = BgL_procz00_8184;
				return
					PROCEDURE_ENTRY(BgL_procz00_3733) (BgL_procz00_3733,
					((obj_t) BgL_nodez00_3732), BEOA);
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00()
	{
		AN_OBJECT;
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3887z00zzast_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3887z00zzast_nodez00));
		}
	}

#ifdef __cplusplus
}
#endif
