/*===========================================================================*/
/*   (Ast/unit.scm)                                                          */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/unit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	static obj_t BGl_dozd2etazd2expansez00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32898ze3z83zzast_unitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7ersz75zzast_unitz00();
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
	extern obj_t BGl_makezd2nzd2protoz00zztools_argsz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_unitz00();
	extern obj_t BGl_markzd2methodz12zc0zzobject_methodz00(obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_comptimezd2expandzd2zzexpand_epsz00(obj_t);
	BGL_IMPORT obj_t BGl_dropz00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t, long);
	static obj_t BGl_appendzd221011zd2zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_unitz00();
	extern obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	static obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t, obj_t);
	static obj_t BGl_makezd2sfunzd2optzd2definitionzd2zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_iotaz00zz__r4_pairs_and_lists_6_3z00(int, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	static obj_t BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern bool_t BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t
		BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2(obj_t);
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_toplevelzd2initzd2zzast_unitz00();
	static obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_unitz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62zc3anonymousza32067ze3ze1zzast_unitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2unitzd2listza2zd2zzast_unitz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_epairifyzd2propagatezd2locz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t);
	extern obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00();
	static obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_takez00zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t,
		obj_t);
	static obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unitzd2initzd2callsz00zzast_unitz00();
	BGL_IMPORT obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_unitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00();
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	extern obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00();
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_parsezd2funzd2argsz00zzast_unitz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t);
	extern obj_t BGl_compilezd2expandzd2zzexpand_epsz00(obj_t);
	static obj_t __cnst[56];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2ze3defszd2envze3zzast_unitz00,
		BgL_bgl_za762unitza7d2za7e3def3407za7,
		BGl_z62unitzd2ze3defsz53zzast_unitz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addzd2headz12zd2envzb0zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a3408za7,
		BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initzd2callszd2envzd2zzast_unitz00,
		BgL_bgl_za762unitza7d2initza7d3409za7,
		BGl_z62unitzd2initzd2callsz62zzast_unitz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2sexpza2zd2addz12zd2envz62zzast_unitz00,
		BgL_bgl_za762unitza7d2sexpza7a3410za7,
		BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unitzd2initializa7erzd2idzd2envz75zzast_unitz00,
		BgL_bgl_za762unitza7d2initia3411z00,
		BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3363z00zzast_unitz00,
		BgL_bgl_string3363za700za7za7a3412za7, "]", 1);
	      DEFINE_STRING(BGl_string3364z00zzast_unitz00,
		BgL_bgl_string3364za700za7za7a3413za7, "      [", 7);
	      DEFINE_STRING(BGl_string3365z00zzast_unitz00,
		BgL_bgl_string3365za700za7za7a3414za7,
		"Unable to eta-expand #!optional alias", 37);
	      DEFINE_STRING(BGl_string3366z00zzast_unitz00,
		BgL_bgl_string3366za700za7za7a3415za7, "Unable to eta-expand #!key alias",
		32);
	      DEFINE_STRING(BGl_string3367z00zzast_unitz00,
		BgL_bgl_string3367za700za7za7a3416za7, "form no longer supported", 24);
	      DEFINE_STRING(BGl_string3368z00zzast_unitz00,
		BgL_bgl_string3368za700za7za7a3417za7, "define-generic", 14);
	      DEFINE_STRING(BGl_string3369z00zzast_unitz00,
		BgL_bgl_string3369za700za7za7a3418za7, "Illegal '() expression", 22);
	      DEFINE_STRING(BGl_string3370z00zzast_unitz00,
		BgL_bgl_string3370za700za7za7a3419za7, "] expected, provided", 20);
	      DEFINE_STRING(BGl_string3371z00zzast_unitz00,
		BgL_bgl_string3371za700za7za7a3420za7, "..", 2);
	      DEFINE_STRING(BGl_string3372z00zzast_unitz00,
		BgL_bgl_string3372za700za7za7a3421za7, "wrong number of arguments: [", 28);
	      DEFINE_STRING(BGl_string3373z00zzast_unitz00,
		BgL_bgl_string3373za700za7za7a3422za7, "Illegal keyword argument", 24);
	      DEFINE_STRING(BGl_string3374z00zzast_unitz00,
		BgL_bgl_string3374za700za7za7a3423za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3375z00zzast_unitz00,
		BgL_bgl_string3375za700za7za7a3424za7, "Bad generic formal argument", 27);
	      DEFINE_STRING(BGl_string3376z00zzast_unitz00,
		BgL_bgl_string3376za700za7za7a3425za7, "Bad method formal argument", 26);
	      DEFINE_STRING(BGl_string3377z00zzast_unitz00,
		BgL_bgl_string3377za700za7za7a3426za7, "ast_unit", 8);
	      DEFINE_STRING(BGl_string3378z00zzast_unitz00,
		BgL_bgl_string3378za700za7za7a3427za7,
		"unit register-generic! sgfun when >=fx index labels memq vector-ref let -fx +fx eq? v =fx k1 i vector-length var check search l globalization (env opt) env _ case else quote error __error let* $vector-length $vector-ref-ur opt cons* apply define-method define-generic sifun define-inline define lambda sfun read -require-initialization -init now export cgen snifun obj if begin set! @ ",
		385);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unitzd2initializa7erszd2envza7zzast_unitz00,
		BgL_bgl_za762unitza7d2initia3428z00,
		BGl_z62unitzd2initializa7ersz17zzast_unitz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long
		BgL_checksumz00_5196, char *BgL_fromz00_5197)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_unitz00))
				{
					BGl_requirezd2initializa7ationz75zzast_unitz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_unitz00();
					BGl_cnstzd2initzd2zzast_unitz00();
					BGl_importedzd2moduleszd2initz00zzast_unitz00();
					BGl_toplevelzd2initzd2zzast_unitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_unit");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_unit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_unit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			{	/* Ast/unit.scm 21 */
				obj_t BgL_cportz00_5187;

				BgL_cportz00_5187 =
					bgl_open_input_string(BGl_string3378z00zzast_unitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5188;

					BgL_iz00_5188 = ((long) 55);
				BgL_loopz00_5189:
					if ((BgL_iz00_5188 == ((long) -1)))
						{	/* Ast/unit.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Ast/unit.scm 21 */
							{	/* Ast/unit.scm 21 */
								obj_t BgL_arg3406z00_5191;

								{	/* Ast/unit.scm 21 */

									{	/* Ast/unit.scm 21 */
										obj_t BgL_locationz00_5193;

										BgL_locationz00_5193 = BBOOL(((bool_t) 0));
										{	/* Ast/unit.scm 21 */

											BgL_arg3406z00_5191 =
												BGl_readz00zz__readerz00(BgL_cportz00_5187,
												BgL_locationz00_5193);
										}
									}
								}
								{	/* Ast/unit.scm 21 */
									int BgL_auxz00_5223;

									BgL_auxz00_5223 = (int) (BgL_iz00_5188);
									CNST_TABLE_SET(BgL_auxz00_5223, BgL_arg3406z00_5191);
							}}
							{	/* Ast/unit.scm 21 */
								int BgL_auxz00_5194;

								BgL_auxz00_5194 = (int) ((BgL_iz00_5188 - ((long) 1)));
								{
									long BgL_iz00_5228;

									BgL_iz00_5228 = (long) (BgL_auxz00_5194);
									BgL_iz00_5188 = BgL_iz00_5228;
									goto BgL_loopz00_5189;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return (BGl_za2unitzd2listza2zd2zzast_unitz00 = BNIL, BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_unitz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1557;

				BgL_headz00_1557 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1558;
					obj_t BgL_tailz00_1559;

					BgL_prevz00_1558 = BgL_headz00_1557;
					BgL_tailz00_1559 = BgL_l1z00_1;
				BgL_loopz00_1560:
					if (PAIRP(BgL_tailz00_1559))
						{
							obj_t BgL_newzd2prevzd2_1562;

							BgL_newzd2prevzd2_1562 =
								MAKE_PAIR(CAR(BgL_tailz00_1559), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1558, BgL_newzd2prevzd2_1562);
							{
								obj_t BgL_tailz00_5237;
								obj_t BgL_prevz00_5236;

								BgL_prevz00_5236 = BgL_newzd2prevzd2_1562;
								BgL_tailz00_5237 = CDR(BgL_tailz00_1559);
								BgL_tailz00_1559 = BgL_tailz00_5237;
								BgL_prevz00_1558 = BgL_prevz00_5236;
								goto BgL_loopz00_1560;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1557);
				}
			}
		}
	}



/* unit-sexp*-add! */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t
		BgL_unitz00_25, obj_t BgL_sexpz00_26)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 60 */
			if (NULLP(STRUCT_REF(BgL_unitz00_25, (int) (((long) 2)))))
				{	/* Ast/unit.scm 62 */
					int BgL_auxz00_5244;

					BgL_auxz00_5244 = (int) (((long) 2));
					return STRUCT_SET(BgL_unitz00_25, BgL_auxz00_5244, BgL_sexpz00_26);
				}
			else
				{	/* Ast/unit.scm 63 */
					obj_t BgL_auxz00_5247;

					BgL_auxz00_5247 =
						BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(STRUCT_REF
						(BgL_unitz00_25, (int) (((long) 2))));
					return SET_CDR(BgL_auxz00_5247, BgL_sexpz00_26);
				}
		}
	}



/* &unit-sexp*-add! */
	obj_t BGl_z62unitzd2sexpza2zd2addz12zd2zzast_unitz00(obj_t BgL_envz00_5162,
		obj_t BgL_unitz00_5163, obj_t BgL_sexpz00_5164)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 60 */
			return
				BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(BgL_unitz00_5163,
				BgL_sexpz00_5164);
		}
	}



/* unit-sexp*-add-head! */
	BGL_EXPORTED_DEF obj_t
		BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t BgL_unitz00_27,
		obj_t BgL_sexpz00_28)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 68 */
			{	/* Ast/unit.scm 69 */
				obj_t BgL_auxz00_5255;
				int BgL_auxz00_5253;

				BgL_auxz00_5255 =
					BGl_appendzd221011zd2zzast_unitz00(BgL_sexpz00_28,
					STRUCT_REF(BgL_unitz00_27, (int) (((long) 2))));
				BgL_auxz00_5253 = (int) (((long) 2));
				return STRUCT_SET(BgL_unitz00_27, BgL_auxz00_5253, BgL_auxz00_5255);
			}
		}
	}



/* &unit-sexp*-add-head! */
	obj_t BGl_z62unitzd2sexpza2zd2addzd2headz12z00zzast_unitz00(obj_t
		BgL_envz00_5165, obj_t BgL_unitz00_5166, obj_t BgL_sexpz00_5167)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 68 */
			return
				BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(BgL_unitz00_5166,
				BgL_sexpz00_5167);
		}
	}



/* unit->defs */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t
		BgL_unitz00_29)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 74 */
			{	/* Ast/unit.scm 76 */
				obj_t BgL_arg2025z00_1578;

				{	/* Ast/unit.scm 76 */
					obj_t BgL_arg2030z00_1583;

					{	/* Ast/unit.scm 76 */
						obj_t BgL_arg2032z00_1584;

						BgL_arg2032z00_1584 =
							STRUCT_REF(BgL_unitz00_29, (int) (((long) 0)));
						{	/* Ast/unit.scm 76 */
							obj_t BgL_res3140z00_3904;

							{	/* Ast/unit.scm 76 */
								obj_t BgL_arg1265z00_3903;

								BgL_arg1265z00_3903 = SYMBOL_TO_STRING(BgL_arg2032z00_1584);
								BgL_res3140z00_3904 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1265z00_3903);
							}
							BgL_arg2030z00_1583 = BgL_res3140z00_3904;
					}}
					BgL_arg2025z00_1578 =
						BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg2030z00_1583);
				}
				{	/* Ast/unit.scm 75 */
					obj_t BgL_list2026z00_1579;

					{	/* Ast/unit.scm 75 */
						obj_t BgL_arg2027z00_1580;

						{	/* Ast/unit.scm 75 */
							obj_t BgL_arg2028z00_1581;

							{	/* Ast/unit.scm 75 */
								obj_t BgL_arg2029z00_1582;

								BgL_arg2029z00_1582 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg2028z00_1581 =
									MAKE_PAIR(BGl_string3363z00zzast_unitz00,
									BgL_arg2029z00_1582);
							}
							BgL_arg2027z00_1580 =
								MAKE_PAIR(BgL_arg2025z00_1578, BgL_arg2028z00_1581);
						}
						BgL_list2026z00_1579 =
							MAKE_PAIR(BGl_string3364z00zzast_unitz00, BgL_arg2027z00_1580);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list2026z00_1579);
			}}
			{	/* Ast/unit.scm 80 */
				obj_t BgL_idz00_1587;

				BgL_idz00_1587 = STRUCT_REF(BgL_unitz00_29, (int) (((long) 0)));
				{	/* Ast/unit.scm 80 */
					obj_t BgL_weightz00_1588;

					BgL_weightz00_1588 = STRUCT_REF(BgL_unitz00_29, (int) (((long) 1)));
					{	/* Ast/unit.scm 81 */
						obj_t BgL_sexpza2za2_1589;

						BgL_sexpza2za2_1589 =
							STRUCT_REF(BgL_unitz00_29, (int) (((long) 2)));
						{	/* Ast/unit.scm 82 */
							obj_t BgL_gdefsz00_1590;

							BgL_gdefsz00_1590 =
								BGl_findzd2globalzd2defsz00zzast_findzd2gdefszd2
								(BgL_sexpza2za2_1589);
							{	/* Ast/unit.scm 83 */

								{	/* Ast/unit.scm 85 */
									obj_t BgL_g1103z00_1591;
									obj_t BgL_g1104z00_1592;

									if (PROCEDUREP(BgL_sexpza2za2_1589))
										{	/* Ast/unit.scm 85 */
											BgL_g1103z00_1591 =
												PROCEDURE_ENTRY(BgL_sexpza2za2_1589)
												(BgL_sexpza2za2_1589, BEOA);
										}
									else
										{	/* Ast/unit.scm 85 */
											BgL_g1103z00_1591 =
												BGl_toplevelza2zd2ze3astz93zzast_unitz00
												(BgL_sexpza2za2_1589, BgL_gdefsz00_1590);
										}
									if (CBOOL(STRUCT_REF(BgL_unitz00_29, (int) (((long) 4)))))
										{	/* Ast/unit.scm 88 */
											obj_t BgL_list2080z00_1649;

											BgL_list2080z00_1649 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_g1104z00_1592 = BgL_list2080z00_1649;
										}
									else
										{	/* Ast/unit.scm 88 */
											BgL_g1104z00_1592 = BNIL;
										}
									{
										obj_t BgL_aexpza2za2_1595;
										obj_t BgL_initza2za2_1596;
										obj_t BgL_defza2za2_1597;

										BgL_aexpza2za2_1595 = BgL_g1103z00_1591;
										BgL_initza2za2_1596 = BgL_g1104z00_1592;
										BgL_defza2za2_1597 = BNIL;
									BgL_zc3anonymousza32035ze3z83_1598:
										if (NULLP(BgL_aexpza2za2_1595))
											{	/* Ast/unit.scm 90 */
												if (NULLP(BgL_initza2za2_1596))
													{	/* Ast/unit.scm 91 */
														return bgl_reverse_bang(BgL_defza2za2_1597);
													}
												else
													{	/* Ast/unit.scm 92 */
														obj_t BgL_bodyz00_1601;

														if (CBOOL(STRUCT_REF(BgL_unitz00_29,
																	(int) (((long) 4)))))
															{	/* Ast/unit.scm 93 */
																obj_t BgL_arg2048z00_1614;

																{	/* Ast/unit.scm 93 */
																	obj_t BgL_arg2049z00_1615;
																	obj_t BgL_arg2050z00_1616;

																	{	/* Ast/unit.scm 93 */
																		obj_t BgL_arg2051z00_1617;

																		{	/* Ast/unit.scm 93 */
																			obj_t BgL_arg2052z00_1618;
																			obj_t BgL_arg2053z00_1619;

																			BgL_arg2052z00_1618 =
																				BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																				(BgL_idz00_1587);
																			BgL_arg2053z00_1619 =
																				MAKE_PAIR
																				(BGl_za2moduleza2z00zzmodule_modulez00,
																				BNIL);
																			BgL_arg2051z00_1617 =
																				MAKE_PAIR(BgL_arg2052z00_1618,
																				BgL_arg2053z00_1619);
																		}
																		BgL_arg2049z00_1615 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																			BgL_arg2051z00_1617);
																	}
																	{	/* Ast/unit.scm 95 */
																		obj_t BgL_arg2054z00_1620;

																		{	/* Ast/unit.scm 95 */
																			obj_t BgL_arg2055z00_1621;

																			{	/* Ast/unit.scm 95 */
																				obj_t BgL_arg2056z00_1622;
																				obj_t BgL_arg2057z00_1623;

																				{	/* Ast/unit.scm 95 */
																					obj_t BgL_arg2058z00_1624;

																					{	/* Ast/unit.scm 95 */
																						obj_t BgL_arg2059z00_1625;
																						obj_t BgL_arg2060z00_1626;

																						{	/* Ast/unit.scm 95 */
																							obj_t BgL_arg2061z00_1627;

																							{	/* Ast/unit.scm 95 */
																								obj_t BgL_arg2062z00_1628;
																								obj_t BgL_arg2063z00_1629;

																								BgL_arg2062z00_1628 =
																									BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																									(BgL_idz00_1587);
																								BgL_arg2063z00_1629 =
																									MAKE_PAIR
																									(BGl_za2moduleza2z00zzmodule_modulez00,
																									BNIL);
																								BgL_arg2061z00_1627 =
																									MAKE_PAIR(BgL_arg2062z00_1628,
																									BgL_arg2063z00_1629);
																							}
																							BgL_arg2059z00_1625 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										0)), BgL_arg2061z00_1627);
																						}
																						BgL_arg2060z00_1626 =
																							MAKE_PAIR(BFALSE, BNIL);
																						BgL_arg2058z00_1624 =
																							MAKE_PAIR(BgL_arg2059z00_1625,
																							BgL_arg2060z00_1626);
																					}
																					BgL_arg2056z00_1622 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								1)), BgL_arg2058z00_1624);
																				}
																				{	/* Ast/unit.scm 98 */
																					obj_t BgL_arg2064z00_1630;
																					obj_t BgL_arg2065z00_1631;

																					{	/* Ast/unit.scm 98 */
																						obj_t
																							BgL_zc3anonymousza32067ze3z83_5168;
																						BgL_zc3anonymousza32067ze3z83_5168 =
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32067ze3ze1zzast_unitz00,
																							(int) (((long) 1)),
																							(int) (((long) 1)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32067ze3z83_5168,
																							(int) (((long) 0)),
																							BgL_idz00_1587);
																						BgL_arg2064z00_1630 =
																							BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00
																							(BgL_zc3anonymousza32067ze3z83_5168);
																					}
																					BgL_arg2065z00_1631 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(bgl_reverse_bang
																						(BgL_initza2za2_1596), BNIL);
																					BgL_arg2057z00_1623 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2064z00_1630,
																						BgL_arg2065z00_1631);
																				}
																				BgL_arg2055z00_1621 =
																					MAKE_PAIR(BgL_arg2056z00_1622,
																					BgL_arg2057z00_1623);
																			}
																			BgL_arg2054z00_1620 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																				BgL_arg2055z00_1621);
																		}
																		BgL_arg2050z00_1616 =
																			MAKE_PAIR(BgL_arg2054z00_1620, BNIL);
																	}
																	BgL_arg2048z00_1614 =
																		MAKE_PAIR(BgL_arg2049z00_1615,
																		BgL_arg2050z00_1616);
																}
																BgL_bodyz00_1601 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
																	BgL_arg2048z00_1614);
															}
														else
															{	/* Ast/unit.scm 92 */
																BgL_bodyz00_1601 =
																	BGl_normaliza7ezd2prognz75zztools_prognz00
																	(bgl_reverse_bang(BgL_initza2za2_1596));
															}
														{	/* Ast/unit.scm 92 */
															BgL_globalz00_bglt BgL_initz00_1602;

															{	/* Ast/unit.scm 103 */
																obj_t BgL_arg2044z00_1611;

																{	/* Ast/unit.scm 103 */
																	obj_t BgL_arg2046z00_1612;

																	BgL_arg2046z00_1612 =
																		BGl_unitzd2initializa7erzd2idza7zzast_unitz00
																		(BgL_idz00_1587);
																	BgL_arg2044z00_1611 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(BgL_arg2046z00_1612,
																		CNST_TABLE_REF(((long) 4)));
																}
																BgL_initz00_1602 =
																	BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
																	(BgL_arg2044z00_1611, BNIL, BNIL,
																	BGl_za2moduleza2z00zzmodule_modulez00,
																	CNST_TABLE_REF(((long) 5)),
																	BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																	CNST_TABLE_REF(((long) 6)), BgL_bodyz00_1601);
															}
															{	/* Ast/unit.scm 101 */

																if (CBOOL(STRUCT_REF(BgL_unitz00_29,
																			(int) (((long) 4)))))
																	{	/* Ast/unit.scm 113 */
																		obj_t BgL_vz00_3938;

																		BgL_vz00_3938 = CNST_TABLE_REF(((long) 7));
																		((((BgL_globalz00_bglt)
																					CREF(BgL_initz00_1602))->
																				BgL_importz00) =
																			((obj_t) BgL_vz00_3938), BUNSPEC);
																	}
																else
																	{	/* Ast/unit.scm 112 */
																		BFALSE;
																	}
																if (
																	(BgL_unitz00_29 ==
																		BGl_getzd2toplevelzd2unitz00zzmodule_includez00
																		()))
																	{	/* Ast/unit.scm 116 */
																		BFALSE;
																	}
																else
																	{	/* Ast/unit.scm 116 */
																		((((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_initz00_1602)))->
																				BgL_userzf3zf3) =
																			((bool_t) ((bool_t) 0)), BUNSPEC);
																	}
																BGl_declarezd2unitz12zc0zzast_unitz00
																	(BgL_idz00_1587,
																	(long) CINT(BgL_weightz00_1588));
																((((BgL_globalz00_bglt)
																			CREF(BgL_initz00_1602))->
																		BgL_evaluablezf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
																if (CBOOL(STRUCT_REF(BgL_unitz00_29,
																			(int) (((long) 4)))))
																	{	/* Ast/unit.scm 127 */
																		obj_t BgL_idz00_1607;

																		{	/* Ast/unit.scm 127 */
																			obj_t BgL_arg2042z00_1609;

																			BgL_arg2042z00_1609 =
																				BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00
																				(BgL_idz00_1587);
																			BgL_idz00_1607 =
																				BGl_makezd2typedzd2identz00zzast_identz00
																				(BgL_arg2042z00_1609,
																				CNST_TABLE_REF(((long) 4)));
																		}
																		{	/* Ast/unit.scm 127 */
																			BgL_globalz00_bglt BgL_gloz00_1608;

																			BgL_gloz00_1608 =
																				BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
																				(BgL_idz00_1607,
																				BGl_za2moduleza2z00zzmodule_modulez00,
																				BGl_za2modulezd2clauseza2zd2zzmodule_modulez00,
																				CNST_TABLE_REF(((long) 8)));
																			{	/* Ast/unit.scm 129 */

																				((((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									BgL_gloz00_1608)))->
																						BgL_userzf3zf3) =
																					((bool_t) ((bool_t) 0)), BUNSPEC);
																				((((BgL_globalz00_bglt)
																							CREF(BgL_gloz00_1608))->
																						BgL_evaluablezf3zf3) =
																					((bool_t) ((bool_t) 0)), BUNSPEC);
																	}}}
																else
																	{	/* Ast/unit.scm 126 */
																		BFALSE;
																	}
																{	/* Ast/unit.scm 133 */
																	obj_t BgL_arg2043z00_1610;

																	BgL_arg2043z00_1610 =
																		bgl_reverse_bang(BgL_defza2za2_1597);
																	return
																		MAKE_PAIR(
																		((obj_t) BgL_initz00_1602),
																		BgL_arg2043z00_1610);
																}
															}
														}
													}
											}
										else
											{	/* Ast/unit.scm 135 */
												bool_t BgL_testz00_5367;

												{	/* Ast/unit.scm 135 */
													obj_t BgL_arg2077z00_1645;

													BgL_arg2077z00_1645 = CAR(BgL_aexpza2za2_1595);
													BgL_testz00_5367 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2077z00_1645,
														BGl_globalz00zzast_varz00);
												}
												if (BgL_testz00_5367)
													{	/* Ast/unit.scm 136 */
														obj_t BgL_arg2071z00_1639;
														obj_t BgL_arg2072z00_1640;

														BgL_arg2071z00_1639 = CDR(BgL_aexpza2za2_1595);
														BgL_arg2072z00_1640 =
															MAKE_PAIR(CAR(BgL_aexpza2za2_1595),
															BgL_defza2za2_1597);
														{
															obj_t BgL_defza2za2_5374;
															obj_t BgL_aexpza2za2_5373;

															BgL_aexpza2za2_5373 = BgL_arg2071z00_1639;
															BgL_defza2za2_5374 = BgL_arg2072z00_1640;
															BgL_defza2za2_1597 = BgL_defza2za2_5374;
															BgL_aexpza2za2_1595 = BgL_aexpza2za2_5373;
															goto BgL_zc3anonymousza32035ze3z83_1598;
														}
													}
												else
													{	/* Ast/unit.scm 139 */
														obj_t BgL_arg2074z00_1642;
														obj_t BgL_arg2075z00_1643;

														BgL_arg2074z00_1642 = CDR(BgL_aexpza2za2_1595);
														BgL_arg2075z00_1643 =
															MAKE_PAIR(CAR(BgL_aexpza2za2_1595),
															BgL_initza2za2_1596);
														{
															obj_t BgL_initza2za2_5379;
															obj_t BgL_aexpza2za2_5378;

															BgL_aexpza2za2_5378 = BgL_arg2074z00_1642;
															BgL_initza2za2_5379 = BgL_arg2075z00_1643;
															BgL_initza2za2_1596 = BgL_initza2za2_5379;
															BgL_aexpza2za2_1595 = BgL_aexpza2za2_5378;
															goto BgL_zc3anonymousza32035ze3z83_1598;
														}
													}
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &unit->defs */
	obj_t BGl_z62unitzd2ze3defsz53zzast_unitz00(obj_t BgL_envz00_5169,
		obj_t BgL_unitz00_5170)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 74 */
			return BGl_unitzd2ze3defsz31zzast_unitz00(BgL_unitz00_5170);
		}
	}



/* &<anonymous:2067> */
	obj_t BGl_z62zc3anonymousza32067ze3ze1zzast_unitz00(obj_t BgL_envz00_5171,
		obj_t BgL_mz00_5173)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 97 */
			return
				BGl_unitzd2initializa7erzd2idza7zzast_unitz00(PROCEDURE_REF
				(BgL_envz00_5171, (int) (((long) 0))));
		}
	}



/* declare-unit! */
	obj_t BGl_declarezd2unitz12zc0zzast_unitz00(obj_t BgL_idz00_30,
		long BgL_weightz00_31)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 151 */
			{	/* Ast/unit.scm 152 */
				bool_t BgL_testz00_5384;

				if (NULLP(BGl_za2unitzd2listza2zd2zzast_unitz00))
					{	/* Ast/unit.scm 152 */
						BgL_testz00_5384 = ((bool_t) 1);
					}
				else
					{	/* Ast/unit.scm 152 */
						obj_t BgL_arg2100z00_1670;

						BgL_arg2100z00_1670 =
							CDR(CAR(BGl_za2unitzd2listza2zd2zzast_unitz00));
						BgL_testz00_5384 =
							(BgL_weightz00_31 < (long) CINT(BgL_arg2100z00_1670));
					}
				if (BgL_testz00_5384)
					{	/* Ast/unit.scm 153 */
						obj_t BgL_arg2083z00_1651;

						BgL_arg2083z00_1651 =
							MAKE_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
						return (BGl_za2unitzd2listza2zd2zzast_unitz00 =
							MAKE_PAIR(BgL_arg2083z00_1651,
								BGl_za2unitzd2listza2zd2zzast_unitz00), BUNSPEC);
					}
				else
					{
						obj_t BgL_ulistz00_1653;

						BgL_ulistz00_1653 = BGl_za2unitzd2listza2zd2zzast_unitz00;
					BgL_zc3anonymousza32084ze3z83_1654:
						{	/* Ast/unit.scm 156 */
							bool_t BgL_testz00_5394;

							{	/* Ast/unit.scm 156 */
								long BgL_auxz00_5395;

								{	/* Ast/unit.scm 156 */
									obj_t BgL_pairz00_3970;

									BgL_pairz00_3970 = CAR(BgL_ulistz00_1653);
									BgL_auxz00_5395 = (long) CINT(CDR(BgL_pairz00_3970));
								}
								BgL_testz00_5394 = (BgL_weightz00_31 < BgL_auxz00_5395);
							}
							if (BgL_testz00_5394)
								{	/* Ast/unit.scm 156 */
									{	/* Ast/unit.scm 157 */
										obj_t BgL_arg2086z00_1656;

										BgL_arg2086z00_1656 =
											MAKE_PAIR(CAR(BgL_ulistz00_1653), CDR(BgL_ulistz00_1653));
										SET_CDR(BgL_ulistz00_1653, BgL_arg2086z00_1656);
									}
									{	/* Ast/unit.scm 158 */
										obj_t BgL_arg2090z00_1659;

										BgL_arg2090z00_1659 =
											MAKE_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
										return SET_CAR(BgL_ulistz00_1653, BgL_arg2090z00_1659);
									}
								}
							else
								{	/* Ast/unit.scm 156 */
									if (NULLP(CDR(BgL_ulistz00_1653)))
										{	/* Ast/unit.scm 160 */
											obj_t BgL_arg2092z00_1661;

											{	/* Ast/unit.scm 160 */
												obj_t BgL_arg2093z00_1662;

												BgL_arg2093z00_1662 =
													MAKE_PAIR(BgL_idz00_30, BINT(BgL_weightz00_31));
												{	/* Ast/unit.scm 160 */
													obj_t BgL_list2094z00_1663;

													BgL_list2094z00_1663 =
														MAKE_PAIR(BgL_arg2093z00_1662, BNIL);
													BgL_arg2092z00_1661 = BgL_list2094z00_1663;
												}
											}
											return SET_CDR(BgL_ulistz00_1653, BgL_arg2092z00_1661);
										}
									else
										{
											obj_t BgL_ulistz00_5414;

											BgL_ulistz00_5414 = CDR(BgL_ulistz00_1653);
											BgL_ulistz00_1653 = BgL_ulistz00_5414;
											goto BgL_zc3anonymousza32084ze3z83_1654;
										}
								}
						}
					}
			}
		}
	}



/* unit-initializer-id */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t
		BgL_idz00_32)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 167 */
			{	/* Ast/unit.scm 168 */
				obj_t BgL_arg2102z00_1672;

				{	/* Ast/unit.scm 168 */
					obj_t BgL_arg2103z00_1673;
					obj_t BgL_arg2104z00_1674;

					{	/* Ast/unit.scm 168 */
						obj_t BgL_res3152z00_3990;

						{	/* Ast/unit.scm 168 */
							obj_t BgL_arg1265z00_3989;

							BgL_arg1265z00_3989 = SYMBOL_TO_STRING(BgL_idz00_32);
							BgL_res3152z00_3990 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1265z00_3989);
						}
						BgL_arg2103z00_1673 = BgL_res3152z00_3990;
					}
					{	/* Ast/unit.scm 168 */
						obj_t BgL_res3153z00_3993;

						{	/* Ast/unit.scm 168 */
							obj_t BgL_symbolz00_3991;

							BgL_symbolz00_3991 = CNST_TABLE_REF(((long) 9));
							{	/* Ast/unit.scm 168 */
								obj_t BgL_arg1265z00_3992;

								BgL_arg1265z00_3992 = SYMBOL_TO_STRING(BgL_symbolz00_3991);
								BgL_res3153z00_3993 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1265z00_3992);
						}}
						BgL_arg2104z00_1674 = BgL_res3153z00_3993;
					}
					BgL_arg2102z00_1672 =
						string_append(BgL_arg2103z00_1673, BgL_arg2104z00_1674);
				}
				return bstring_to_symbol(BgL_arg2102z00_1672);
			}
		}
	}



/* &unit-initializer-id */
	obj_t BGl_z62unitzd2initializa7erzd2idzc5zzast_unitz00(obj_t BgL_envz00_5174,
		obj_t BgL_idz00_5175)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 167 */
			return BGl_unitzd2initializa7erzd2idza7zzast_unitz00(BgL_idz00_5175);
		}
	}



/* unit-require-init-id */
	obj_t BGl_unitzd2requirezd2initzd2idzd2zzast_unitz00(obj_t BgL_idz00_33)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 173 */
			{	/* Ast/unit.scm 174 */
				obj_t BgL_arg2105z00_1675;

				{	/* Ast/unit.scm 174 */
					obj_t BgL_arg2107z00_1676;
					obj_t BgL_arg2108z00_1677;

					{	/* Ast/unit.scm 174 */
						obj_t BgL_res3155z00_3998;

						{	/* Ast/unit.scm 174 */
							obj_t BgL_arg1265z00_3997;

							BgL_arg1265z00_3997 = SYMBOL_TO_STRING(BgL_idz00_33);
							BgL_res3155z00_3998 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1265z00_3997);
						}
						BgL_arg2107z00_1676 = BgL_res3155z00_3998;
					}
					{	/* Ast/unit.scm 174 */
						obj_t BgL_res3156z00_4001;

						{	/* Ast/unit.scm 174 */
							obj_t BgL_symbolz00_3999;

							BgL_symbolz00_3999 = CNST_TABLE_REF(((long) 10));
							{	/* Ast/unit.scm 174 */
								obj_t BgL_arg1265z00_4000;

								BgL_arg1265z00_4000 = SYMBOL_TO_STRING(BgL_symbolz00_3999);
								BgL_res3156z00_4001 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1265z00_4000);
						}}
						BgL_arg2108z00_1677 = BgL_res3156z00_4001;
					}
					BgL_arg2105z00_1675 =
						string_append(BgL_arg2107z00_1676, BgL_arg2108z00_1677);
				}
				return bstring_to_symbol(BgL_arg2105z00_1675);
			}
		}
	}



/* unit-initializers */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initializa7ersz75zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 179 */
			{	/* Ast/unit.scm 180 */
				obj_t BgL_l1923z00_1678;

				BgL_l1923z00_1678 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l1923z00_1678))
					{	/* Ast/unit.scm 180 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 180 */
						obj_t BgL_head1925z00_1680;

						{	/* Ast/unit.scm 180 */
							obj_t BgL_res3159z00_4008;

							BgL_res3159z00_4008 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1925z00_1680 = BgL_res3159z00_4008;
						}
						{
							obj_t BgL_l1923z00_1682;
							obj_t BgL_tail1926z00_1683;

							BgL_l1923z00_1682 = BgL_l1923z00_1678;
							BgL_tail1926z00_1683 = BgL_head1925z00_1680;
						BgL_zc3anonymousza32110ze3z83_1684:
							if (NULLP(BgL_l1923z00_1682))
								{	/* Ast/unit.scm 180 */
									return CDR(BgL_head1925z00_1680);
								}
							else
								{	/* Ast/unit.scm 180 */
									obj_t BgL_newtail1927z00_1686;

									{	/* Ast/unit.scm 180 */
										obj_t BgL_arg2113z00_1688;

										{	/* Ast/unit.scm 180 */
											obj_t BgL_unitz00_1689;

											BgL_unitz00_1689 = CAR(BgL_l1923z00_1682);
											{	/* Ast/unit.scm 181 */
												obj_t BgL_arg2114z00_1690;

												BgL_arg2114z00_1690 =
													BGl_unitzd2initializa7erzd2idza7zzast_unitz00(CAR
													(BgL_unitz00_1689));
												BgL_arg2113z00_1688 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg2114z00_1690,
													BGl_za2moduleza2z00zzmodule_modulez00);
											}
										}
										{	/* Ast/unit.scm 180 */
											obj_t BgL_res3161z00_4016;

											BgL_res3161z00_4016 =
												MAKE_PAIR(BgL_arg2113z00_1688, BNIL);
											BgL_newtail1927z00_1686 = BgL_res3161z00_4016;
										}
									}
									SET_CDR(BgL_tail1926z00_1683, BgL_newtail1927z00_1686);
									{
										obj_t BgL_tail1926z00_5445;
										obj_t BgL_l1923z00_5443;

										BgL_l1923z00_5443 = CDR(BgL_l1923z00_1682);
										BgL_tail1926z00_5445 = BgL_newtail1927z00_1686;
										BgL_tail1926z00_1683 = BgL_tail1926z00_5445;
										BgL_l1923z00_1682 = BgL_l1923z00_5443;
										goto BgL_zc3anonymousza32110ze3z83_1684;
									}
								}
						}
					}
			}
		}
	}



/* &unit-initializers */
	obj_t BGl_z62unitzd2initializa7ersz17zzast_unitz00(obj_t BgL_envz00_5176)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 179 */
			return BGl_unitzd2initializa7ersz75zzast_unitz00();
		}
	}



/* unit-init-calls */
	BGL_EXPORTED_DEF obj_t BGl_unitzd2initzd2callsz00zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 187 */
			{	/* Ast/unit.scm 188 */
				obj_t BgL_l1928z00_1693;

				BgL_l1928z00_1693 = BGl_za2unitzd2listza2zd2zzast_unitz00;
				if (NULLP(BgL_l1928z00_1693))
					{	/* Ast/unit.scm 188 */
						return BNIL;
					}
				else
					{	/* Ast/unit.scm 188 */
						obj_t BgL_head1930z00_1695;

						{	/* Ast/unit.scm 188 */
							obj_t BgL_res3163z00_4024;

							BgL_res3163z00_4024 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1930z00_1695 = BgL_res3163z00_4024;
						}
						{
							obj_t BgL_l1928z00_1697;
							obj_t BgL_tail1931z00_1698;

							BgL_l1928z00_1697 = BgL_l1928z00_1693;
							BgL_tail1931z00_1698 = BgL_head1930z00_1695;
						BgL_zc3anonymousza32117ze3z83_1699:
							if (NULLP(BgL_l1928z00_1697))
								{	/* Ast/unit.scm 188 */
									return CDR(BgL_head1930z00_1695);
								}
							else
								{	/* Ast/unit.scm 188 */
									obj_t BgL_newtail1932z00_1701;

									{	/* Ast/unit.scm 188 */
										obj_t BgL_arg2120z00_1703;

										{	/* Ast/unit.scm 188 */
											obj_t BgL_unitz00_1704;

											BgL_unitz00_1704 = CAR(BgL_l1928z00_1697);
											{	/* Ast/unit.scm 188 */
												obj_t BgL_arg2122z00_1705;

												{	/* Ast/unit.scm 188 */
													obj_t BgL_arg2123z00_1706;

													{	/* Ast/unit.scm 188 */
														obj_t BgL_arg2124z00_1707;
														obj_t BgL_arg2126z00_1708;

														BgL_arg2124z00_1707 =
															BGl_unitzd2initializa7erzd2idza7zzast_unitz00(CAR
															(BgL_unitz00_1704));
														BgL_arg2126z00_1708 =
															MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
															BNIL);
														BgL_arg2123z00_1706 =
															MAKE_PAIR(BgL_arg2124z00_1707,
															BgL_arg2126z00_1708);
													}
													BgL_arg2122z00_1705 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
														BgL_arg2123z00_1706);
												}
												BgL_arg2120z00_1703 =
													MAKE_PAIR(BgL_arg2122z00_1705, BNIL);
										}}
										{	/* Ast/unit.scm 188 */
											obj_t BgL_res3165z00_4032;

											BgL_res3165z00_4032 =
												MAKE_PAIR(BgL_arg2120z00_1703, BNIL);
											BgL_newtail1932z00_1701 = BgL_res3165z00_4032;
									}}
									SET_CDR(BgL_tail1931z00_1698, BgL_newtail1932z00_1701);
									{
										obj_t BgL_tail1931z00_5465;
										obj_t BgL_l1928z00_5463;

										BgL_l1928z00_5463 = CDR(BgL_l1928z00_1697);
										BgL_tail1931z00_5465 = BgL_newtail1932z00_1701;
										BgL_tail1931z00_1698 = BgL_tail1931z00_5465;
										BgL_l1928z00_1697 = BgL_l1928z00_5463;
										goto BgL_zc3anonymousza32117ze3z83_1699;
									}
								}
						}
					}
			}
		}
	}



/* &unit-init-calls */
	obj_t BGl_z62unitzd2initzd2callsz62zzast_unitz00(obj_t BgL_envz00_5177)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 187 */
			return BGl_unitzd2initzd2callsz00zzast_unitz00();
		}
	}



/* toplevel*->ast */
	obj_t BGl_toplevelza2zd2ze3astz93zzast_unitz00(obj_t BgL_sexpza2za2_34,
		obj_t BgL_gdefsz00_35)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 194 */
			{
				obj_t BgL_sexpza2za2_1713;
				obj_t BgL_aexpza2za2_1714;

				BgL_sexpza2za2_1713 = BgL_sexpza2za2_34;
				BgL_aexpza2za2_1714 = BNIL;
			BgL_zc3anonymousza32128ze3z83_1715:
				if (NULLP(BgL_sexpza2za2_1713))
					{	/* Ast/unit.scm 197 */
						return bgl_reverse_bang(BgL_aexpza2za2_1714);
					}
				else
					{
						obj_t BgL_aexpza2za2_5472;
						obj_t BgL_sexpza2za2_5470;

						BgL_sexpza2za2_5470 = CDR(BgL_sexpza2za2_1713);
						BgL_aexpza2za2_5472 =
							BGl_appendzd221011zd2zzast_unitz00
							(BGl_toplevelzd2ze3astz31zzast_unitz00(CAR(BgL_sexpza2za2_1713),
								BgL_gdefsz00_35), BgL_aexpza2za2_1714);
						BgL_aexpza2za2_1714 = BgL_aexpza2za2_5472;
						BgL_sexpza2za2_1713 = BgL_sexpza2za2_5470;
						goto BgL_zc3anonymousza32128ze3z83_1715;
					}
			}
		}
	}



/* toplevel->ast */
	obj_t BGl_toplevelzd2ze3astz31zzast_unitz00(obj_t BgL_sexpz00_36,
		obj_t BgL_gdefsz00_37)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 207 */
		BGl_toplevelzd2ze3astz31zzast_unitz00:
			{
				obj_t BgL_varz00_1739;
				obj_t BgL_var2z00_1740;
				obj_t BgL_modulez00_1741;
				obj_t BgL_varz00_1736;
				obj_t BgL_var2z00_1737;
				obj_t BgL_varz00_1729;
				obj_t BgL_argsz00_1730;
				obj_t BgL_expz00_1731;
				obj_t BgL_varz00_1725;
				obj_t BgL_argsz00_1726;
				obj_t BgL_expz00_1727;

				if (PAIRP(BgL_sexpz00_36))
					{	/* Ast/unit.scm 208 */
						if ((CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 2))))
							{	/* Ast/unit.scm 208 */
								if (NULLP(CDR(BgL_sexpz00_36)))
									{	/* Ast/unit.scm 208 */
										{	/* Ast/unit.scm 210 */
											obj_t BgL_list2317z00_2021;

											BgL_list2317z00_2021 = MAKE_PAIR(BgL_sexpz00_36, BNIL);
											return BgL_list2317z00_2021;
										}
									}
								else
									{	/* Ast/unit.scm 208 */
										obj_t BgL_arg2138z00_1773;

										BgL_arg2138z00_1773 = CDR(BgL_sexpz00_36);
										return
											bgl_reverse_bang(BGl_toplevelza2zd2ze3astz93zzast_unitz00
											(BgL_arg2138z00_1773, BgL_gdefsz00_37));
									}
							}
						else
							{	/* Ast/unit.scm 208 */
								obj_t BgL_cdrzd2412zd2_1775;

								BgL_cdrzd2412zd2_1775 = CDR(BgL_sexpz00_36);
								if ((CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 14))))
									{	/* Ast/unit.scm 208 */
										if (PAIRP(BgL_cdrzd2412zd2_1775))
											{	/* Ast/unit.scm 208 */
												obj_t BgL_carzd2416zd2_1778;

												BgL_carzd2416zd2_1778 = CAR(BgL_cdrzd2412zd2_1775);
												if (PAIRP(BgL_carzd2416zd2_1778))
													{	/* Ast/unit.scm 208 */
														BgL_varz00_1725 = CAR(BgL_carzd2416zd2_1778);
														BgL_argsz00_1726 = CDR(BgL_carzd2416zd2_1778);
														BgL_expz00_1727 = CDR(BgL_cdrzd2412zd2_1775);
														{	/* Ast/unit.scm 214 */
															obj_t BgL_idz00_2023;

															BgL_idz00_2023 =
																BGl_idzd2ofzd2idz00zzast_identz00
																(BgL_varz00_1725,
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_sexpz00_36));
															{	/* Ast/unit.scm 214 */
																obj_t BgL_defz00_2024;

																BgL_defz00_2024 =
																	BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_idz00_2023, BgL_gdefsz00_37);
																{	/* Ast/unit.scm 215 */
																	obj_t BgL_globalz00_2025;

																	BgL_globalz00_2025 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_idz00_2023,
																		BGl_za2moduleza2z00zzmodule_modulez00);
																	{	/* Ast/unit.scm 216 */

																		{	/* Ast/unit.scm 224 */
																			bool_t BgL_testz00_5503;

																			if (PAIRP(BgL_defz00_2024))
																				{	/* Ast/unit.scm 224 */
																					if (
																						(CAR(CDR(BgL_defz00_2024)) ==
																							CNST_TABLE_REF(((long) 11))))
																						{	/* Ast/unit.scm 226 */
																							bool_t BgL__ortest_1111z00_2038;

																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_globalz00_2025,
																									BGl_globalz00zzast_varz00))
																								{	/* Ast/unit.scm 226 */
																									BgL__ortest_1111z00_2038 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Ast/unit.scm 226 */
																									BgL__ortest_1111z00_2038 =
																										((bool_t) 1);
																								}
																							if (BgL__ortest_1111z00_2038)
																								{	/* Ast/unit.scm 226 */
																									BgL_testz00_5503 =
																										BgL__ortest_1111z00_2038;
																								}
																							else
																								{	/* Ast/unit.scm 226 */
																									BgL_testz00_5503 =
																										(
																										(((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_globalz00_bglt) BgL_globalz00_2025))))->BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
																						}}
																					else
																						{	/* Ast/unit.scm 225 */
																							BgL_testz00_5503 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/unit.scm 224 */
																					BgL_testz00_5503 = ((bool_t) 1);
																				}
																			if (BgL_testz00_5503)
																				{	/* Ast/unit.scm 230 */
																					obj_t BgL_arg2320z00_2027;

																					BgL_arg2320z00_2027 =
																						BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																						(BgL_expz00_1727, BgL_sexpz00_36,
																						BGl_findzd2locationzd2zztools_locationz00
																						(CDR(CDR(BgL_sexpz00_36))));
																					return
																						BGl_makezd2sfunzd2definitionz00zzast_unitz00
																						(BgL_varz00_1725,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_argsz00_1726,
																						BgL_arg2320z00_2027, BgL_sexpz00_36,
																						CNST_TABLE_REF(((long) 12)));
																				}
																			else
																				{	/* Ast/unit.scm 232 */
																					obj_t BgL_newzd2sexpzd2_2030;

																					{	/* Ast/unit.scm 232 */
																						obj_t BgL_arg2323z00_2031;

																						{	/* Ast/unit.scm 232 */
																							obj_t BgL_arg2324z00_2032;

																							{	/* Ast/unit.scm 232 */
																								obj_t BgL_arg2325z00_2033;

																								{	/* Ast/unit.scm 232 */
																									obj_t BgL_arg2327z00_2034;

																									BgL_arg2327z00_2034 =
																										MAKE_PAIR(BgL_argsz00_1726,
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_expz00_1727, BNIL));
																									BgL_arg2325z00_2033 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 13)),
																										BgL_arg2327z00_2034);
																								}
																								BgL_arg2324z00_2032 =
																									MAKE_PAIR(BgL_arg2325z00_2033,
																									BNIL);
																							}
																							BgL_arg2323z00_2031 =
																								MAKE_PAIR(BgL_varz00_1725,
																								BgL_arg2324z00_2032);
																						}
																						BgL_newzd2sexpzd2_2030 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									1)), BgL_arg2323z00_2031);
																					}
																					BGl_replacez12z12zztools_miscz00
																						(BgL_sexpz00_36,
																						BgL_newzd2sexpzd2_2030);
																					return
																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																						(BgL_varz00_1725, BgL_sexpz00_36);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/unit.scm 208 */
														obj_t BgL_cdrzd2440zd2_1784;

														BgL_cdrzd2440zd2_1784 = CDR(BgL_cdrzd2412zd2_1775);
														if (PAIRP(BgL_cdrzd2440zd2_1784))
															{	/* Ast/unit.scm 208 */
																obj_t BgL_carzd2444zd2_1786;

																BgL_carzd2444zd2_1786 =
																	CAR(BgL_cdrzd2440zd2_1784);
																if (PAIRP(BgL_carzd2444zd2_1786))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd2449zd2_1788;

																		BgL_cdrzd2449zd2_1788 =
																			CDR(BgL_carzd2444zd2_1786);
																		if (
																			(CAR(BgL_carzd2444zd2_1786) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/unit.scm 208 */
																				if (PAIRP(BgL_cdrzd2449zd2_1788))
																					{	/* Ast/unit.scm 208 */
																						if (NULLP(CDR
																								(BgL_cdrzd2440zd2_1784)))
																							{	/* Ast/unit.scm 208 */
																								BgL_varz00_1729 =
																									CAR(BgL_cdrzd2412zd2_1775);
																								BgL_argsz00_1730 =
																									CAR(BgL_cdrzd2449zd2_1788);
																								BgL_expz00_1731 =
																									CDR(BgL_cdrzd2449zd2_1788);
																								{	/* Ast/unit.scm 236 */
																									obj_t BgL_idz00_2044;

																									BgL_idz00_2044 =
																										BGl_idzd2ofzd2idz00zzast_identz00
																										(BgL_varz00_1729,
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_sexpz00_36));
																									{	/* Ast/unit.scm 236 */
																										obj_t BgL_defz00_2045;

																										BgL_defz00_2045 =
																											BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																											(BgL_idz00_2044,
																											BgL_gdefsz00_37);
																										{	/* Ast/unit.scm 237 */
																											obj_t BgL_globalz00_2046;

																											BgL_globalz00_2046 =
																												BGl_findzd2globalzf2modulez20zzast_envz00
																												(BgL_idz00_2044,
																												BGl_za2moduleza2z00zzmodule_modulez00);
																											{	/* Ast/unit.scm 238 */

																												{	/* Ast/unit.scm 240 */
																													bool_t
																														BgL_testz00_5558;
																													if ((CAR(CDR
																																(BgL_defz00_2045))
																															==
																															CNST_TABLE_REF((
																																	(long) 11))))
																														{	/* Ast/unit.scm 241 */
																															bool_t
																																BgL__ortest_1112z00_2052;
																															if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_2046, BGl_globalz00zzast_varz00))
																																{	/* Ast/unit.scm 241 */
																																	BgL__ortest_1112z00_2052
																																		=
																																		((bool_t)
																																		0);
																																}
																															else
																																{	/* Ast/unit.scm 241 */
																																	BgL__ortest_1112z00_2052
																																		=
																																		((bool_t)
																																		1);
																																}
																															if (BgL__ortest_1112z00_2052)
																																{	/* Ast/unit.scm 241 */
																																	BgL_testz00_5558
																																		=
																																		BgL__ortest_1112z00_2052;
																																}
																															else
																																{	/* Ast/unit.scm 241 */
																																	BgL_testz00_5558
																																		=
																																		((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_2046))))->BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
																														}}
																													else
																														{	/* Ast/unit.scm 240 */
																															BgL_testz00_5558 =
																																((bool_t) 0);
																														}
																													if (BgL_testz00_5558)
																														{	/* Ast/unit.scm 245 */
																															obj_t
																																BgL_arg2337z00_2048;
																															BgL_arg2337z00_2048
																																=
																																BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																																(BgL_expz00_1731,
																																BgL_sexpz00_36,
																																BGl_findzd2locationzd2zztools_locationz00
																																(CDR(CDR
																																		(BgL_sexpz00_36))));
																															return
																																BGl_makezd2sfunzd2definitionz00zzast_unitz00
																																(BgL_varz00_1729,
																																BGl_za2moduleza2z00zzmodule_modulez00,
																																BgL_argsz00_1730,
																																BgL_arg2337z00_2048,
																																BgL_sexpz00_36,
																																CNST_TABLE_REF((
																																		(long)
																																		12)));
																														}
																													else
																														{	/* Ast/unit.scm 240 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(BgL_varz00_1729,
																																BgL_sexpz00_36);
																														}
																												}
																											}
																										}
																									}
																								}
																							}
																						else
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_cdrzd2490zd2_1795;

																								BgL_cdrzd2490zd2_1795 =
																									CDR(BgL_sexpz00_36);
																								return
																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																									(CAR(BgL_cdrzd2490zd2_1795),
																									BgL_sexpz00_36);
																							}
																					}
																				else
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_cdrzd2517zd2_1799;

																						BgL_cdrzd2517zd2_1799 =
																							CDR(BgL_sexpz00_36);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_cdrzd2522zd2_1800;

																							BgL_cdrzd2522zd2_1800 =
																								CDR(BgL_cdrzd2517zd2_1799);
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_carzd2526zd2_1801;

																								BgL_carzd2526zd2_1801 =
																									CAR(BgL_cdrzd2522zd2_1800);
																								if (SYMBOLP
																									(BgL_carzd2526zd2_1801))
																									{	/* Ast/unit.scm 208 */
																										if (NULLP(CDR
																												(BgL_cdrzd2522zd2_1800)))
																											{	/* Ast/unit.scm 208 */
																												BgL_varz00_1736 =
																													CAR
																													(BgL_cdrzd2517zd2_1799);
																												BgL_var2z00_1737 =
																													BgL_carzd2526zd2_1801;
																											BgL_tagzd2364zd2_1738:
																												{	/* Ast/unit.scm 252 */
																													obj_t BgL_defz00_2059;

																													BgL_defz00_2059 =
																														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																														(BGl_idzd2ofzd2idz00zzast_identz00
																														(BgL_varz00_1736,
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_sexpz00_36)),
																														BgL_gdefsz00_37);
																													if ((CAR(CDR
																																(BgL_defz00_2059))
																															==
																															CNST_TABLE_REF((
																																	(long) 11))))
																														{	/* Ast/unit.scm 254 */
																															obj_t
																																BgL_gz00_2061;
																															BgL_gz00_2061 =
																																BGl_findzd2globalzd2zzast_envz00
																																(BgL_var2z00_1737,
																																BNIL);
																															{	/* Ast/unit.scm 254 */
																																obj_t
																																	BgL_arityz00_2062;
																																if (BGl_isazf3zf3zz__objectz00(BgL_gz00_2061, BGl_globalz00zzast_varz00))
																																	{	/* Ast/unit.scm 256 */
																																		bool_t
																																			BgL_testz00_5604;
																																		{	/* Ast/unit.scm 256 */
																																			BgL_valuez00_bglt
																																				BgL_arg2353z00_2070;
																																			BgL_arg2353z00_2070
																																				=
																																				(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_2061))))->BgL_valuez00);
																																			{	/* Ast/unit.scm 256 */
																																				bool_t
																																					BgL_res3173z00_4080;
																																				BgL_res3173z00_4080
																																					=
																																					BGl_isazf3zf3zz__objectz00
																																					(((obj_t) BgL_arg2353z00_2070), BGl_funz00zzast_varz00);
																																				BgL_testz00_5604
																																					=
																																					BgL_res3173z00_4080;
																																			}
																																		}
																																		if (BgL_testz00_5604)
																																			{	/* Ast/unit.scm 256 */
																																				BgL_arityz00_2062
																																					=
																																					BINT((
																																						((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) (((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_2061))))->BgL_valuez00))))->BgL_arityz00));
																																			}
																																		else
																																			{	/* Ast/unit.scm 256 */
																																				BgL_arityz00_2062
																																					=
																																					BFALSE;
																																			}
																																	}
																																else
																																	{	/* Ast/unit.scm 255 */
																																		BgL_arityz00_2062
																																			= BFALSE;
																																	}
																																{	/* Ast/unit.scm 255 */

																																	if (INTEGERP
																																		(BgL_arityz00_2062))
																																		{	/* Ast/unit.scm 258 */
																																			if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2061))
																																				{	/* Ast/unit.scm 260 */
																																					BGl_userzd2warningzd2zztools_errorz00
																																						(BgL_varz00_1736,
																																						BGl_string3365z00zzast_unitz00,
																																						BgL_sexpz00_36);
																																					return
																																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																																						(BgL_varz00_1736,
																																						BgL_sexpz00_36);
																																				}
																																			else
																																				{	/* Ast/unit.scm 260 */
																																					if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2061))
																																						{	/* Ast/unit.scm 265 */
																																							BGl_userzd2warningzd2zztools_errorz00
																																								(BgL_varz00_1736,
																																								BGl_string3366z00zzast_unitz00,
																																								BgL_sexpz00_36);
																																							return
																																								BGl_makezd2svarzd2definitionz00zzast_unitz00
																																								(BgL_varz00_1736,
																																								BgL_sexpz00_36);
																																						}
																																					else
																																						{
																																							obj_t
																																								BgL_sexpz00_5626;
																																							BgL_sexpz00_5626
																																								=
																																								BGl_etazd2expansezd2zzast_unitz00
																																								(BgL_sexpz00_36,
																																								BgL_arityz00_2062);
																																							BgL_sexpz00_36
																																								=
																																								BgL_sexpz00_5626;
																																							goto
																																								BGl_toplevelzd2ze3astz31zzast_unitz00;
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 258 */
																																			return
																																				BGl_makezd2svarzd2definitionz00zzast_unitz00
																																				(BgL_varz00_1736,
																																				BgL_sexpz00_36);
																																		}
																																}
																															}
																														}
																													else
																														{	/* Ast/unit.scm 253 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(BgL_varz00_1736,
																																BgL_sexpz00_36);
																														}
																												}
																											}
																										else
																											{	/* Ast/unit.scm 208 */
																												return
																													BGl_makezd2svarzd2definitionz00zzast_unitz00
																													(CAR
																													(BgL_cdrzd2517zd2_1799),
																													BgL_sexpz00_36);
																											}
																									}
																								else
																									{	/* Ast/unit.scm 208 */
																										return
																											BGl_makezd2svarzd2definitionz00zzast_unitz00
																											(CAR
																											(BgL_cdrzd2517zd2_1799),
																											BgL_sexpz00_36);
																									}
																							}
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_cdrzd2593zd2_1812;

																				BgL_cdrzd2593zd2_1812 =
																					CDR(BgL_sexpz00_36);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_cdrzd2598zd2_1813;

																					BgL_cdrzd2598zd2_1813 =
																						CDR(BgL_cdrzd2593zd2_1812);
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_carzd2602zd2_1814;

																						BgL_carzd2602zd2_1814 =
																							CAR(BgL_cdrzd2598zd2_1813);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_cdrzd2606zd2_1815;

																							BgL_cdrzd2606zd2_1815 =
																								CDR(BgL_carzd2602zd2_1814);
																							if (
																								(CAR(BgL_carzd2602zd2_1814) ==
																									CNST_TABLE_REF(((long) 2))))
																								{	/* Ast/unit.scm 208 */
																									if (PAIRP
																										(BgL_cdrzd2606zd2_1815))
																										{	/* Ast/unit.scm 208 */
																											if (NULLP(CDR
																													(BgL_cdrzd2606zd2_1815)))
																												{	/* Ast/unit.scm 208 */
																													if (NULLP(CDR
																															(BgL_cdrzd2598zd2_1813)))
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_arg2173z00_1821;
																															BgL_arg2173z00_1821
																																=
																																CAR
																																(BgL_cdrzd2606zd2_1815);
																															{	/* Ast/unit.scm 249 */
																																obj_t
																																	BgL_auxz00_5652;
																																BgL_auxz00_5652
																																	=
																																	CDR
																																	(BgL_cdrzd2593zd2_1812);
																																SET_CAR
																																	(BgL_auxz00_5652,
																																	BgL_arg2173z00_1821);
																															}
																															{

																																goto
																																	BGl_toplevelzd2ze3astz31zzast_unitz00;
																															}
																														}
																													else
																														{	/* Ast/unit.scm 208 */
																															return
																																BGl_makezd2svarzd2definitionz00zzast_unitz00
																																(CAR
																																(BgL_cdrzd2593zd2_1812),
																																BgL_sexpz00_36);
																														}
																												}
																											else
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_cdrzd2659zd2_1827;
																													BgL_cdrzd2659zd2_1827
																														=
																														CDR
																														(BgL_cdrzd2593zd2_1812);
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_carzd2663zd2_1828;
																														BgL_carzd2663zd2_1828
																															=
																															CAR
																															(BgL_cdrzd2659zd2_1827);
																														if (SYMBOLP
																															(BgL_carzd2663zd2_1828))
																															{	/* Ast/unit.scm 208 */
																																if (NULLP(CDR
																																		(BgL_cdrzd2659zd2_1827)))
																																	{
																																		obj_t
																																			BgL_var2z00_5666;
																																		obj_t
																																			BgL_varz00_5664;
																																		BgL_varz00_5664
																																			=
																																			CAR
																																			(BgL_cdrzd2593zd2_1812);
																																		BgL_var2z00_5666
																																			=
																																			BgL_carzd2663zd2_1828;
																																		BgL_var2z00_1737
																																			=
																																			BgL_var2z00_5666;
																																		BgL_varz00_1736
																																			=
																																			BgL_varz00_5664;
																																		goto
																																			BgL_tagzd2364zd2_1738;
																																	}
																																else
																																	{	/* Ast/unit.scm 208 */
																																		obj_t
																																			BgL_cdrzd2685zd2_1832;
																																		BgL_cdrzd2685zd2_1832
																																			=
																																			CDR
																																			(BgL_sexpz00_36);
																																		return
																																			BGl_makezd2svarzd2definitionz00zzast_unitz00
																																			(CAR
																																			(BgL_cdrzd2685zd2_1832),
																																			BgL_sexpz00_36);
																																	}
																															}
																														else
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_cdrzd2711zd2_1836;
																																BgL_cdrzd2711zd2_1836
																																	=
																																	CDR
																																	(BgL_sexpz00_36);
																																return
																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																	(CAR
																																	(BgL_cdrzd2711zd2_1836),
																																	BgL_sexpz00_36);
																															}
																													}
																												}
																										}
																									else
																										{	/* Ast/unit.scm 208 */
																											obj_t
																												BgL_cdrzd2734zd2_1841;
																											BgL_cdrzd2734zd2_1841 =
																												CDR
																												(BgL_cdrzd2593zd2_1812);
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_carzd2738zd2_1842;
																												BgL_carzd2738zd2_1842 =
																													CAR
																													(BgL_cdrzd2734zd2_1841);
																												if (SYMBOLP
																													(BgL_carzd2738zd2_1842))
																													{	/* Ast/unit.scm 208 */
																														if (NULLP(CDR
																																(BgL_cdrzd2734zd2_1841)))
																															{
																																obj_t
																																	BgL_var2z00_5682;
																																obj_t
																																	BgL_varz00_5680;
																																BgL_varz00_5680
																																	=
																																	CAR
																																	(BgL_cdrzd2593zd2_1812);
																																BgL_var2z00_5682
																																	=
																																	BgL_carzd2738zd2_1842;
																																BgL_var2z00_1737
																																	=
																																	BgL_var2z00_5682;
																																BgL_varz00_1736
																																	=
																																	BgL_varz00_5680;
																																goto
																																	BgL_tagzd2364zd2_1738;
																															}
																														else
																															{	/* Ast/unit.scm 208 */
																																obj_t
																																	BgL_cdrzd2760zd2_1846;
																																BgL_cdrzd2760zd2_1846
																																	=
																																	CDR
																																	(BgL_sexpz00_36);
																																return
																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																	(CAR
																																	(BgL_cdrzd2760zd2_1846),
																																	BgL_sexpz00_36);
																															}
																													}
																												else
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_cdrzd2786zd2_1850;
																														BgL_cdrzd2786zd2_1850
																															=
																															CDR
																															(BgL_sexpz00_36);
																														return
																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																															(CAR
																															(BgL_cdrzd2786zd2_1850),
																															BgL_sexpz00_36);
																													}
																											}
																										}
																								}
																							else
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_cdrzd2809zd2_1854;

																									BgL_cdrzd2809zd2_1854 =
																										CDR(BgL_cdrzd2593zd2_1812);
																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_carzd2813zd2_1855;

																										BgL_carzd2813zd2_1855 =
																											CAR
																											(BgL_cdrzd2809zd2_1854);
																										if (SYMBOLP
																											(BgL_carzd2813zd2_1855))
																											{	/* Ast/unit.scm 208 */
																												if (NULLP(CDR
																														(BgL_cdrzd2809zd2_1854)))
																													{
																														obj_t
																															BgL_var2z00_5698;
																														obj_t
																															BgL_varz00_5696;
																														BgL_varz00_5696 =
																															CAR
																															(BgL_cdrzd2593zd2_1812);
																														BgL_var2z00_5698 =
																															BgL_carzd2813zd2_1855;
																														BgL_var2z00_1737 =
																															BgL_var2z00_5698;
																														BgL_varz00_1736 =
																															BgL_varz00_5696;
																														goto
																															BgL_tagzd2364zd2_1738;
																													}
																												else
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_cdrzd2835zd2_1859;
																														BgL_cdrzd2835zd2_1859
																															=
																															CDR
																															(BgL_sexpz00_36);
																														return
																															BGl_makezd2svarzd2definitionz00zzast_unitz00
																															(CAR
																															(BgL_cdrzd2835zd2_1859),
																															BgL_sexpz00_36);
																													}
																											}
																										else
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_cdrzd2854zd2_1863;
																												BgL_cdrzd2854zd2_1863 =
																													CDR(BgL_sexpz00_36);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_cdrzd2860zd2_1864;
																													BgL_cdrzd2860zd2_1864
																														=
																														CDR
																														(BgL_cdrzd2854zd2_1863);
																													{	/* Ast/unit.scm 208 */
																														obj_t
																															BgL_carzd2865zd2_1865;
																														BgL_carzd2865zd2_1865
																															=
																															CAR
																															(BgL_cdrzd2860zd2_1864);
																														{	/* Ast/unit.scm 208 */
																															obj_t
																																BgL_cdrzd2870zd2_1866;
																															BgL_cdrzd2870zd2_1866
																																=
																																CDR
																																(BgL_carzd2865zd2_1865);
																															if ((CAR
																																	(BgL_carzd2865zd2_1865)
																																	==
																																	CNST_TABLE_REF
																																	(((long) 0))))
																																{	/* Ast/unit.scm 208 */
																																	if (PAIRP
																																		(BgL_cdrzd2870zd2_1866))
																																		{	/* Ast/unit.scm 208 */
																																			obj_t
																																				BgL_carzd2873zd2_1869;
																																			obj_t
																																				BgL_cdrzd2874zd2_1870;
																																			BgL_carzd2873zd2_1869
																																				=
																																				CAR
																																				(BgL_cdrzd2870zd2_1866);
																																			BgL_cdrzd2874zd2_1870
																																				=
																																				CDR
																																				(BgL_cdrzd2870zd2_1866);
																																			if (SYMBOLP(BgL_carzd2873zd2_1869))
																																				{	/* Ast/unit.scm 208 */
																																					if (PAIRP(BgL_cdrzd2874zd2_1870))
																																						{	/* Ast/unit.scm 208 */
																																							obj_t
																																								BgL_carzd2879zd2_1873;
																																							BgL_carzd2879zd2_1873
																																								=
																																								CAR
																																								(BgL_cdrzd2874zd2_1870);
																																							if (SYMBOLP(BgL_carzd2879zd2_1873))
																																								{	/* Ast/unit.scm 208 */
																																									if (NULLP(CDR(BgL_cdrzd2874zd2_1870)))
																																										{	/* Ast/unit.scm 208 */
																																											if (NULLP(CDR(BgL_cdrzd2860zd2_1864)))
																																												{	/* Ast/unit.scm 208 */
																																													BgL_varz00_1739
																																														=
																																														CAR
																																														(BgL_cdrzd2854zd2_1863);
																																													BgL_var2z00_1740
																																														=
																																														BgL_carzd2873zd2_1869;
																																													BgL_modulez00_1741
																																														=
																																														BgL_carzd2879zd2_1873;
																																													{	/* Ast/unit.scm 276 */
																																														obj_t
																																															BgL_defz00_2076;
																																														BgL_defz00_2076
																																															=
																																															BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																															(BGl_idzd2ofzd2idz00zzast_identz00
																																															(BgL_varz00_1739,
																																																BGl_findzd2locationzd2zztools_locationz00
																																																(BgL_sexpz00_36)),
																																															BgL_gdefsz00_37);
																																														if ((CAR(CDR(BgL_defz00_2076)) == CNST_TABLE_REF(((long) 11))))
																																															{	/* Ast/unit.scm 278 */
																																																obj_t
																																																	BgL_gz00_2078;
																																																BgL_gz00_2078
																																																	=
																																																	BGl_findzd2globalzf2modulez20zzast_envz00
																																																	(BgL_var2z00_1740,
																																																	BgL_modulez00_1741);
																																																{	/* Ast/unit.scm 278 */
																																																	obj_t
																																																		BgL_arityz00_2079;
																																																	if (BGl_isazf3zf3zz__objectz00(BgL_gz00_2078, BGl_globalz00zzast_varz00))
																																																		{	/* Ast/unit.scm 280 */
																																																			bool_t
																																																				BgL_testz00_5738;
																																																			{	/* Ast/unit.scm 280 */
																																																				BgL_valuez00_bglt
																																																					BgL_arg2363z00_2086;
																																																				BgL_arg2363z00_2086
																																																					=
																																																					(
																																																					((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gz00_2078))))->BgL_valuez00);
																																																				{	/* Ast/unit.scm 280 */
																																																					bool_t
																																																						BgL_res3179z00_4097;
																																																					BgL_res3179z00_4097
																																																						=
																																																						BGl_isazf3zf3zz__objectz00
																																																						(
																																																						((obj_t) BgL_arg2363z00_2086), BGl_funz00zzast_varz00);
																																																					BgL_testz00_5738
																																																						=
																																																						BgL_res3179z00_4097;
																																																				}
																																																			}
																																																			if (BgL_testz00_5738)
																																																				{	/* Ast/unit.scm 280 */
																																																					BgL_arityz00_2079
																																																						=
																																																						BINT
																																																						(BGl_globalzd2arityzd2zztools_argsz00
																																																						(BgL_gz00_2078));
																																																				}
																																																			else
																																																				{	/* Ast/unit.scm 280 */
																																																					BgL_arityz00_2079
																																																						=
																																																						BFALSE;
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/unit.scm 279 */
																																																			BgL_arityz00_2079
																																																				=
																																																				BFALSE;
																																																		}
																																																	{	/* Ast/unit.scm 279 */

																																																		if (INTEGERP(BgL_arityz00_2079))
																																																			{	/* Ast/unit.scm 282 */
																																																				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_2078))
																																																					{	/* Ast/unit.scm 284 */
																																																						BGl_userzd2warningzd2zztools_errorz00
																																																							(BgL_varz00_1739,
																																																							BGl_string3365z00zzast_unitz00,
																																																							BgL_sexpz00_36);
																																																						return
																																																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																							(BgL_varz00_1739,
																																																							BgL_sexpz00_36);
																																																					}
																																																				else
																																																					{	/* Ast/unit.scm 284 */
																																																						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_2078))
																																																							{	/* Ast/unit.scm 289 */
																																																								BGl_userzd2warningzd2zztools_errorz00
																																																									(BgL_varz00_1739,
																																																									BGl_string3366z00zzast_unitz00,
																																																									BgL_sexpz00_36);
																																																								return
																																																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																									(BgL_varz00_1739,
																																																									BgL_sexpz00_36);
																																																							}
																																																						else
																																																							{
																																																								obj_t
																																																									BgL_sexpz00_5756;
																																																								BgL_sexpz00_5756
																																																									=
																																																									BGl_etazd2expansezd2zzast_unitz00
																																																									(BgL_sexpz00_36,
																																																									BgL_arityz00_2079);
																																																								BgL_sexpz00_36
																																																									=
																																																									BgL_sexpz00_5756;
																																																								goto
																																																									BGl_toplevelzd2ze3astz31zzast_unitz00;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/unit.scm 282 */
																																																				return
																																																					BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																					(BgL_varz00_1739,
																																																					BgL_sexpz00_36);
																																																			}
																																																	}
																																																}
																																															}
																																														else
																																															{	/* Ast/unit.scm 277 */
																																																return
																																																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																																																	(BgL_varz00_1739,
																																																	BgL_sexpz00_36);
																																															}
																																													}
																																												}
																																											else
																																												{	/* Ast/unit.scm 208 */
																																													return
																																														BGl_makezd2svarzd2definitionz00zzast_unitz00
																																														(CAR
																																														(BgL_cdrzd2854zd2_1863),
																																														BgL_sexpz00_36);
																																												}
																																										}
																																									else
																																										{	/* Ast/unit.scm 208 */
																																											return
																																												BGl_makezd2svarzd2definitionz00zzast_unitz00
																																												(CAR
																																												(BgL_cdrzd2854zd2_1863),
																																												BgL_sexpz00_36);
																																										}
																																								}
																																							else
																																								{	/* Ast/unit.scm 208 */
																																									return
																																										BGl_makezd2svarzd2definitionz00zzast_unitz00
																																										(CAR
																																										(BgL_cdrzd2854zd2_1863),
																																										BgL_sexpz00_36);
																																								}
																																						}
																																					else
																																						{	/* Ast/unit.scm 208 */
																																							return
																																								BGl_makezd2svarzd2definitionz00zzast_unitz00
																																								(CAR
																																								(BgL_cdrzd2854zd2_1863),
																																								BgL_sexpz00_36);
																																						}
																																				}
																																			else
																																				{	/* Ast/unit.scm 208 */
																																					return
																																						BGl_makezd2svarzd2definitionz00zzast_unitz00
																																						(CAR
																																						(BgL_cdrzd2854zd2_1863),
																																						BgL_sexpz00_36);
																																				}
																																		}
																																	else
																																		{	/* Ast/unit.scm 208 */
																																			return
																																				BGl_makezd2svarzd2definitionz00zzast_unitz00
																																				(CAR
																																				(BgL_cdrzd2854zd2_1863),
																																				BgL_sexpz00_36);
																																		}
																																}
																															else
																																{	/* Ast/unit.scm 208 */
																																	return
																																		BGl_makezd2svarzd2definitionz00zzast_unitz00
																																		(CAR
																																		(BgL_cdrzd2854zd2_1863),
																																		BgL_sexpz00_36);
																																}
																														}
																													}
																												}
																											}
																									}
																								}
																						}
																					}
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd21021zd2_1904;

																		BgL_cdrzd21021zd2_1904 =
																			CDR(BgL_sexpz00_36);
																		{	/* Ast/unit.scm 208 */
																			obj_t BgL_cdrzd21026zd2_1905;

																			BgL_cdrzd21026zd2_1905 =
																				CDR(BgL_cdrzd21021zd2_1904);
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_carzd21030zd2_1906;

																				BgL_carzd21030zd2_1906 =
																					CAR(BgL_cdrzd21026zd2_1905);
																				if (SYMBOLP(BgL_carzd21030zd2_1906))
																					{	/* Ast/unit.scm 208 */
																						if (NULLP(CDR
																								(BgL_cdrzd21026zd2_1905)))
																							{
																								obj_t BgL_var2z00_5785;
																								obj_t BgL_varz00_5783;

																								BgL_varz00_5783 =
																									CAR(BgL_cdrzd21021zd2_1904);
																								BgL_var2z00_5785 =
																									BgL_carzd21030zd2_1906;
																								BgL_var2z00_1737 =
																									BgL_var2z00_5785;
																								BgL_varz00_1736 =
																									BgL_varz00_5783;
																								goto BgL_tagzd2364zd2_1738;
																							}
																						else
																							{	/* Ast/unit.scm 208 */
																								return
																									BGl_makezd2svarzd2definitionz00zzast_unitz00
																									(CAR(BgL_cdrzd21021zd2_1904),
																									BgL_sexpz00_36);
																							}
																					}
																				else
																					{	/* Ast/unit.scm 208 */
																						return
																							BGl_makezd2svarzd2definitionz00zzast_unitz00
																							(CAR(BgL_cdrzd21021zd2_1904),
																							BgL_sexpz00_36);
																					}
																			}
																		}
																	}
															}
														else
															{	/* Ast/unit.scm 208 */
																obj_t BgL_cdrzd21121zd2_1917;

																BgL_cdrzd21121zd2_1917 = CDR(BgL_sexpz00_36);
																return
																	BGl_makezd2svarzd2definitionz00zzast_unitz00
																	(CAR(BgL_cdrzd21121zd2_1917), BgL_sexpz00_36);
															}
													}
											}
										else
											{	/* Ast/unit.scm 208 */
											BgL_tagzd2372zd2_1768:
												{	/* Ast/unit.scm 322 */
													obj_t BgL_list2381z00_2103;

													BgL_list2381z00_2103 =
														MAKE_PAIR(BgL_sexpz00_36, BNIL);
													return BgL_list2381z00_2103;
												}
											}
									}
								else
									{	/* Ast/unit.scm 208 */
										if ((CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 15))))
											{	/* Ast/unit.scm 208 */
												if (PAIRP(BgL_cdrzd2412zd2_1775))
													{	/* Ast/unit.scm 208 */
														obj_t BgL_carzd21255zd2_1923;

														BgL_carzd21255zd2_1923 = CAR(BgL_cdrzd2412zd2_1775);
														if (PAIRP(BgL_carzd21255zd2_1923))
															{	/* Ast/unit.scm 208 */
																obj_t BgL_carzd21260zd2_1925;

																BgL_carzd21260zd2_1925 =
																	CAR(BgL_carzd21255zd2_1923);
																if (PAIRP(BgL_carzd21260zd2_1925))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd21265zd2_1927;

																		BgL_cdrzd21265zd2_1927 =
																			CDR(BgL_carzd21260zd2_1925);
																		if (
																			(CAR(BgL_carzd21260zd2_1925) ==
																				CNST_TABLE_REF(((long) 0))))
																			{	/* Ast/unit.scm 208 */
																				if (PAIRP(BgL_cdrzd21265zd2_1927))
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_cdrzd21269zd2_1930;

																						BgL_cdrzd21269zd2_1930 =
																							CDR(BgL_cdrzd21265zd2_1927);
																						if (PAIRP(BgL_cdrzd21269zd2_1930))
																							{	/* Ast/unit.scm 208 */
																								if (NULLP(CDR
																										(BgL_cdrzd21269zd2_1930)))
																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_arg2253z00_1933;
																										obj_t BgL_arg2254z00_1934;
																										obj_t BgL_arg2255z00_1935;
																										obj_t BgL_arg2256z00_1936;

																										BgL_arg2253z00_1933 =
																											CAR
																											(BgL_cdrzd21265zd2_1927);
																										BgL_arg2254z00_1934 =
																											CAR
																											(BgL_cdrzd21269zd2_1930);
																										BgL_arg2255z00_1935 =
																											CDR
																											(BgL_carzd21255zd2_1923);
																										BgL_arg2256z00_1936 =
																											CDR
																											(BgL_cdrzd2412zd2_1775);
																										{	/* Ast/unit.scm 304 */
																											obj_t BgL_arg2369z00_4377;

																											BgL_arg2369z00_4377 =
																												BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																												(BgL_arg2256z00_1936,
																												BgL_sexpz00_36,
																												BGl_findzd2locationzd2zztools_locationz00
																												(CDR(CDR
																														(BgL_sexpz00_36))));
																											return
																												BGl_makezd2sfunzd2definitionz00zzast_unitz00
																												(BgL_arg2253z00_1933,
																												BgL_arg2254z00_1934,
																												BgL_arg2255z00_1935,
																												BgL_arg2369z00_4377,
																												BgL_sexpz00_36,
																												CNST_TABLE_REF(((long)
																														16)));
																									}}
																								else
																									{	/* Ast/unit.scm 208 */
																										obj_t
																											BgL_cdrzd21285zd2_1937;
																										BgL_cdrzd21285zd2_1937 =
																											CDR(BgL_sexpz00_36);
																										{	/* Ast/unit.scm 208 */
																											obj_t
																												BgL_carzd21289zd2_1938;
																											BgL_carzd21289zd2_1938 =
																												CAR
																												(BgL_cdrzd21285zd2_1937);
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg2257z00_1939;
																												obj_t
																													BgL_arg2259z00_1940;
																												obj_t
																													BgL_arg2260z00_1941;
																												BgL_arg2257z00_1939 =
																													CAR
																													(BgL_carzd21289zd2_1938);
																												BgL_arg2259z00_1940 =
																													CDR
																													(BgL_carzd21289zd2_1938);
																												BgL_arg2260z00_1941 =
																													CDR
																													(BgL_cdrzd21285zd2_1937);
																												{	/* Ast/unit.scm 309 */
																													obj_t
																														BgL_arg2372z00_4392;
																													BgL_arg2372z00_4392 =
																														BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																														(BgL_arg2260z00_1941,
																														BgL_sexpz00_36,
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_arg2260z00_1941));
																													return
																														BGl_makezd2sfunzd2definitionz00zzast_unitz00
																														(BgL_arg2257z00_1939,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_arg2259z00_1940,
																														BgL_arg2372z00_4392,
																														BgL_sexpz00_36,
																														CNST_TABLE_REF((
																																(long) 16)));
																							}}}}}
																						else
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_cdrzd21306zd2_1943;

																								BgL_cdrzd21306zd2_1943 =
																									CDR(BgL_sexpz00_36);
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_carzd21310zd2_1944;

																									BgL_carzd21310zd2_1944 =
																										CAR(BgL_cdrzd21306zd2_1943);
																									{	/* Ast/unit.scm 208 */
																										obj_t BgL_arg2262z00_1945;
																										obj_t BgL_arg2263z00_1946;
																										obj_t BgL_arg2264z00_1947;

																										BgL_arg2262z00_1945 =
																											CAR
																											(BgL_carzd21310zd2_1944);
																										BgL_arg2263z00_1946 =
																											CDR
																											(BgL_carzd21310zd2_1944);
																										BgL_arg2264z00_1947 =
																											CDR
																											(BgL_cdrzd21306zd2_1943);
																										{	/* Ast/unit.scm 309 */
																											obj_t BgL_arg2372z00_4407;

																											BgL_arg2372z00_4407 =
																												BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																												(BgL_arg2264z00_1947,
																												BgL_sexpz00_36,
																												BGl_findzd2locationzd2zztools_locationz00
																												(BgL_arg2264z00_1947));
																											return
																												BGl_makezd2sfunzd2definitionz00zzast_unitz00
																												(BgL_arg2262z00_1945,
																												BGl_za2moduleza2z00zzmodule_modulez00,
																												BgL_arg2263z00_1946,
																												BgL_arg2372z00_4407,
																												BgL_sexpz00_36,
																												CNST_TABLE_REF(((long)
																														16)));
																					}}}}}
																				else
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_cdrzd21327zd2_1948;

																						BgL_cdrzd21327zd2_1948 =
																							CDR(BgL_sexpz00_36);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_carzd21331zd2_1949;

																							BgL_carzd21331zd2_1949 =
																								CAR(BgL_cdrzd21327zd2_1948);
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_arg2265z00_1950;
																								obj_t BgL_arg2266z00_1951;
																								obj_t BgL_arg2267z00_1952;

																								BgL_arg2265z00_1950 =
																									CAR(BgL_carzd21331zd2_1949);
																								BgL_arg2266z00_1951 =
																									CDR(BgL_carzd21331zd2_1949);
																								BgL_arg2267z00_1952 =
																									CDR(BgL_cdrzd21327zd2_1948);
																								{	/* Ast/unit.scm 309 */
																									obj_t BgL_arg2372z00_4422;

																									BgL_arg2372z00_4422 =
																										BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																										(BgL_arg2267z00_1952,
																										BgL_sexpz00_36,
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_arg2267z00_1952));
																									return
																										BGl_makezd2sfunzd2definitionz00zzast_unitz00
																										(BgL_arg2265z00_1950,
																										BGl_za2moduleza2z00zzmodule_modulez00,
																										BgL_arg2266z00_1951,
																										BgL_arg2372z00_4422,
																										BgL_sexpz00_36,
																										CNST_TABLE_REF(((long)
																												16)));
																			}}}}}
																		else
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_cdrzd21348zd2_1953;

																				BgL_cdrzd21348zd2_1953 =
																					CDR(BgL_sexpz00_36);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_carzd21352zd2_1954;

																					BgL_carzd21352zd2_1954 =
																						CAR(BgL_cdrzd21348zd2_1953);
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_arg2268z00_1955;
																						obj_t BgL_arg2269z00_1956;
																						obj_t BgL_arg2270z00_1957;

																						BgL_arg2268z00_1955 =
																							CAR(BgL_carzd21352zd2_1954);
																						BgL_arg2269z00_1956 =
																							CDR(BgL_carzd21352zd2_1954);
																						BgL_arg2270z00_1957 =
																							CDR(BgL_cdrzd21348zd2_1953);
																						{	/* Ast/unit.scm 309 */
																							obj_t BgL_arg2372z00_4437;

																							BgL_arg2372z00_4437 =
																								BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																								(BgL_arg2270z00_1957,
																								BgL_sexpz00_36,
																								BGl_findzd2locationzd2zztools_locationz00
																								(BgL_arg2270z00_1957));
																							return
																								BGl_makezd2sfunzd2definitionz00zzast_unitz00
																								(BgL_arg2268z00_1955,
																								BGl_za2moduleza2z00zzmodule_modulez00,
																								BgL_arg2269z00_1956,
																								BgL_arg2372z00_4437,
																								BgL_sexpz00_36,
																								CNST_TABLE_REF(((long) 16)));
																	}}}}}
																else
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_cdrzd21369zd2_1959;

																		BgL_cdrzd21369zd2_1959 =
																			CDR(BgL_sexpz00_36);
																		{	/* Ast/unit.scm 208 */
																			obj_t BgL_carzd21373zd2_1960;

																			BgL_carzd21373zd2_1960 =
																				CAR(BgL_cdrzd21369zd2_1959);
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_arg2272z00_1961;
																				obj_t BgL_arg2274z00_1962;
																				obj_t BgL_arg2275z00_1963;

																				BgL_arg2272z00_1961 =
																					CAR(BgL_carzd21373zd2_1960);
																				BgL_arg2274z00_1962 =
																					CDR(BgL_carzd21373zd2_1960);
																				BgL_arg2275z00_1963 =
																					CDR(BgL_cdrzd21369zd2_1959);
																				{	/* Ast/unit.scm 309 */
																					obj_t BgL_arg2372z00_4452;

																					BgL_arg2372z00_4452 =
																						BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																						(BgL_arg2275z00_1963,
																						BgL_sexpz00_36,
																						BGl_findzd2locationzd2zztools_locationz00
																						(BgL_arg2275z00_1963));
																					return
																						BGl_makezd2sfunzd2definitionz00zzast_unitz00
																						(BgL_arg2272z00_1961,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_arg2274z00_1962,
																						BgL_arg2372z00_4452, BgL_sexpz00_36,
																						CNST_TABLE_REF(((long) 16)));
															}}}}}
														else
															{	/* Ast/unit.scm 208 */
																goto BgL_tagzd2372zd2_1768;
															}
													}
												else
													{	/* Ast/unit.scm 208 */
														goto BgL_tagzd2372zd2_1768;
													}
											}
										else
											{	/* Ast/unit.scm 208 */
												obj_t BgL_cdrzd21452zd2_1964;

												BgL_cdrzd21452zd2_1964 = CDR(BgL_sexpz00_36);
												if (
													(CAR(BgL_sexpz00_36) == CNST_TABLE_REF(((long) 17))))
													{	/* Ast/unit.scm 208 */
														if (PAIRP(BgL_cdrzd21452zd2_1964))
															{	/* Ast/unit.scm 208 */
																obj_t BgL_carzd21457zd2_1967;

																BgL_carzd21457zd2_1967 =
																	CAR(BgL_cdrzd21452zd2_1964);
																if (PAIRP(BgL_carzd21457zd2_1967))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_carzd21462zd2_1969;

																		BgL_carzd21462zd2_1969 =
																			CAR(BgL_carzd21457zd2_1967);
																		if (PAIRP(BgL_carzd21462zd2_1969))
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_cdrzd21467zd2_1971;

																				BgL_cdrzd21467zd2_1971 =
																					CDR(BgL_carzd21462zd2_1969);
																				if (
																					(CAR(BgL_carzd21462zd2_1969) ==
																						CNST_TABLE_REF(((long) 0))))
																					{	/* Ast/unit.scm 208 */
																						if (PAIRP(BgL_cdrzd21467zd2_1971))
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_cdrzd21471zd2_1974;

																								BgL_cdrzd21471zd2_1974 =
																									CDR(BgL_cdrzd21467zd2_1971);
																								if (PAIRP
																									(BgL_cdrzd21471zd2_1974))
																									{	/* Ast/unit.scm 208 */
																										if (NULLP(CDR
																												(BgL_cdrzd21471zd2_1974)))
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_arg2284z00_1977;
																												obj_t
																													BgL_arg2285z00_1978;
																												obj_t
																													BgL_arg2286z00_1979;
																												obj_t
																													BgL_arg2287z00_1980;
																												BgL_arg2284z00_1977 =
																													CAR
																													(BgL_cdrzd21467zd2_1971);
																												BgL_arg2285z00_1978 =
																													CAR
																													(BgL_cdrzd21471zd2_1974);
																												BgL_arg2286z00_1979 =
																													CDR
																													(BgL_carzd21457zd2_1967);
																												BgL_arg2287z00_1980 =
																													CDR
																													(BgL_cdrzd21452zd2_1964);
																												{	/* Ast/unit.scm 312 */
																													obj_t
																														BgL_list2375z00_4487;
																													{	/* Ast/unit.scm 312 */
																														obj_t
																															BgL_arg2376z00_4488;
																														{	/* Ast/unit.scm 312 */
																															obj_t
																																BgL_arg2377z00_4489;
																															BgL_arg2377z00_4489
																																=
																																MAKE_PAIR
																																(BgL_sexpz00_36,
																																BNIL);
																															BgL_arg2376z00_4488
																																=
																																MAKE_PAIR
																																(BGl_string3367z00zzast_unitz00,
																																BgL_arg2377z00_4489);
																														}
																														BgL_list2375z00_4487
																															=
																															MAKE_PAIR
																															(BGl_string3368z00zzast_unitz00,
																															BgL_arg2376z00_4488);
																													}
																													BGl_warningz00zz__errorz00
																														(BgL_list2375z00_4487);
																												}
																												return
																													BGl_makezd2genericzd2definitionz00zzast_unitz00
																													(BgL_arg2284z00_1977,
																													BgL_arg2285z00_1978,
																													BgL_arg2286z00_1979,
																													BgL_arg2287z00_1980,
																													BgL_sexpz00_36);
																											}
																										else
																											{	/* Ast/unit.scm 208 */
																												obj_t
																													BgL_carzd21490zd2_1982;
																												BgL_carzd21490zd2_1982 =
																													CAR
																													(BgL_cdrzd21452zd2_1964);
																												{	/* Ast/unit.scm 208 */
																													obj_t
																														BgL_arg2288z00_1983;
																													obj_t
																														BgL_arg2289z00_1984;
																													obj_t
																														BgL_arg2290z00_1985;
																													BgL_arg2288z00_1983 =
																														CAR
																														(BgL_carzd21490zd2_1982);
																													BgL_arg2289z00_1984 =
																														CDR
																														(BgL_carzd21490zd2_1982);
																													BgL_arg2290z00_1985 =
																														CDR
																														(BgL_cdrzd21452zd2_1964);
																													return
																														BGl_makezd2genericzd2definitionz00zzast_unitz00
																														(BgL_arg2288z00_1983,
																														BGl_za2moduleza2z00zzmodule_modulez00,
																														BgL_arg2289z00_1984,
																														BgL_arg2290z00_1985,
																														BgL_sexpz00_36);
																												}
																											}
																									}
																								else
																									{	/* Ast/unit.scm 208 */
																										obj_t
																											BgL_carzd21510zd2_1988;
																										BgL_carzd21510zd2_1988 =
																											CAR
																											(BgL_cdrzd21452zd2_1964);
																										{	/* Ast/unit.scm 208 */
																											obj_t BgL_arg2292z00_1989;
																											obj_t BgL_arg2293z00_1990;
																											obj_t BgL_arg2294z00_1991;

																											BgL_arg2292z00_1989 =
																												CAR
																												(BgL_carzd21510zd2_1988);
																											BgL_arg2293z00_1990 =
																												CDR
																												(BgL_carzd21510zd2_1988);
																											BgL_arg2294z00_1991 =
																												CDR
																												(BgL_cdrzd21452zd2_1964);
																											return
																												BGl_makezd2genericzd2definitionz00zzast_unitz00
																												(BgL_arg2292z00_1989,
																												BGl_za2moduleza2z00zzmodule_modulez00,
																												BgL_arg2293z00_1990,
																												BgL_arg2294z00_1991,
																												BgL_sexpz00_36);
																										}
																									}
																							}
																						else
																							{	/* Ast/unit.scm 208 */
																								obj_t BgL_carzd21530zd2_1993;

																								BgL_carzd21530zd2_1993 =
																									CAR(BgL_cdrzd21452zd2_1964);
																								{	/* Ast/unit.scm 208 */
																									obj_t BgL_arg2295z00_1994;
																									obj_t BgL_arg2296z00_1995;
																									obj_t BgL_arg2298z00_1996;

																									BgL_arg2295z00_1994 =
																										CAR(BgL_carzd21530zd2_1993);
																									BgL_arg2296z00_1995 =
																										CDR(BgL_carzd21530zd2_1993);
																									BgL_arg2298z00_1996 =
																										CDR(BgL_cdrzd21452zd2_1964);
																									return
																										BGl_makezd2genericzd2definitionz00zzast_unitz00
																										(BgL_arg2295z00_1994,
																										BGl_za2moduleza2z00zzmodule_modulez00,
																										BgL_arg2296z00_1995,
																										BgL_arg2298z00_1996,
																										BgL_sexpz00_36);
																								}
																							}
																					}
																				else
																					{	/* Ast/unit.scm 208 */
																						obj_t BgL_carzd21550zd2_1998;

																						BgL_carzd21550zd2_1998 =
																							CAR(BgL_cdrzd21452zd2_1964);
																						{	/* Ast/unit.scm 208 */
																							obj_t BgL_arg2299z00_1999;
																							obj_t BgL_arg2300z00_2000;
																							obj_t BgL_arg2301z00_2001;

																							BgL_arg2299z00_1999 =
																								CAR(BgL_carzd21550zd2_1998);
																							BgL_arg2300z00_2000 =
																								CDR(BgL_carzd21550zd2_1998);
																							BgL_arg2301z00_2001 =
																								CDR(BgL_cdrzd21452zd2_1964);
																							return
																								BGl_makezd2genericzd2definitionz00zzast_unitz00
																								(BgL_arg2299z00_1999,
																								BGl_za2moduleza2z00zzmodule_modulez00,
																								BgL_arg2300z00_2000,
																								BgL_arg2301z00_2001,
																								BgL_sexpz00_36);
																						}
																					}
																			}
																		else
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_carzd21570zd2_2004;

																				BgL_carzd21570zd2_2004 =
																					CAR(BgL_cdrzd21452zd2_1964);
																				{	/* Ast/unit.scm 208 */
																					obj_t BgL_arg2303z00_2005;
																					obj_t BgL_arg2304z00_2006;
																					obj_t BgL_arg2305z00_2007;

																					BgL_arg2303z00_2005 =
																						CAR(BgL_carzd21570zd2_2004);
																					BgL_arg2304z00_2006 =
																						CDR(BgL_carzd21570zd2_2004);
																					BgL_arg2305z00_2007 =
																						CDR(BgL_cdrzd21452zd2_1964);
																					return
																						BGl_makezd2genericzd2definitionz00zzast_unitz00
																						(BgL_arg2303z00_2005,
																						BGl_za2moduleza2z00zzmodule_modulez00,
																						BgL_arg2304z00_2006,
																						BgL_arg2305z00_2007,
																						BgL_sexpz00_36);
																				}
																			}
																	}
																else
																	{	/* Ast/unit.scm 208 */
																		goto BgL_tagzd2372zd2_1768;
																	}
															}
														else
															{	/* Ast/unit.scm 208 */
																goto BgL_tagzd2372zd2_1768;
															}
													}
												else
													{	/* Ast/unit.scm 208 */
														if (
															(CAR(BgL_sexpz00_36) ==
																CNST_TABLE_REF(((long) 18))))
															{	/* Ast/unit.scm 208 */
																if (PAIRP(BgL_cdrzd21452zd2_1964))
																	{	/* Ast/unit.scm 208 */
																		obj_t BgL_carzd21620zd2_2011;

																		BgL_carzd21620zd2_2011 =
																			CAR(BgL_cdrzd21452zd2_1964);
																		if (PAIRP(BgL_carzd21620zd2_2011))
																			{	/* Ast/unit.scm 208 */
																				obj_t BgL_arg2309z00_2013;
																				obj_t BgL_arg2310z00_2014;
																				obj_t BgL_arg2311z00_2015;

																				BgL_arg2309z00_2013 =
																					CAR(BgL_carzd21620zd2_2011);
																				BgL_arg2310z00_2014 =
																					CDR(BgL_carzd21620zd2_2011);
																				BgL_arg2311z00_2015 =
																					CDR(BgL_cdrzd21452zd2_1964);
																				return
																					BGl_makezd2methodzd2definitionz00zzast_unitz00
																					(BgL_arg2309z00_2013,
																					BgL_arg2310z00_2014,
																					BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00
																					(BgL_arg2311z00_2015, BgL_sexpz00_36,
																						BGl_findzd2locationzd2zztools_locationz00
																						(CDR(CDR(BgL_sexpz00_36)))),
																					BgL_sexpz00_36);
																			}
																		else
																			{	/* Ast/unit.scm 208 */
																				goto BgL_tagzd2372zd2_1768;
																			}
																	}
																else
																	{	/* Ast/unit.scm 208 */
																		goto BgL_tagzd2372zd2_1768;
																	}
															}
														else
															{	/* Ast/unit.scm 208 */
																goto BgL_tagzd2372zd2_1768;
															}
													}
											}
									}
							}
					}
				else
					{	/* Ast/unit.scm 208 */
						goto BgL_tagzd2372zd2_1768;
					}
			}
		}
	}



/* normalize-progn/error */
	obj_t BGl_normaliza7ezd2prognzf2errorz87zzast_unitz00(obj_t BgL_expz00_38,
		obj_t BgL_srcz00_39, obj_t BgL_locz00_40)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 327 */
			if (NULLP(BgL_expz00_38))
				{	/* Ast/unit.scm 329 */
					obj_t BgL_arg2383z00_2105;

					BgL_arg2383z00_2105 =
						BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_39);
					return
						((obj_t)
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
						(BGl_string3369z00zzast_unitz00, BgL_srcz00_39,
							BgL_arg2383z00_2105));
				}
			else
				{	/* Ast/unit.scm 330 */
					obj_t BgL_expz00_2106;

					BgL_expz00_2106 =
						BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_expz00_38);
					if (CBOOL(BgL_locz00_40))
						{	/* Ast/unit.scm 334 */
							bool_t BgL_testz00_5959;

							{	/* Ast/unit.scm 334 */
								bool_t BgL_res3224z00_4553;

								BgL_res3224z00_4553 = EXTENDED_PAIRP(BgL_expz00_2106);
								BgL_testz00_5959 = BgL_res3224z00_4553;
							}
							if (BgL_testz00_5959)
								{	/* Ast/unit.scm 334 */
									return BgL_expz00_2106;
								}
							else
								{	/* Ast/unit.scm 334 */
									if (PAIRP(BgL_expz00_2106))
										{	/* Ast/unit.scm 337 */
											obj_t BgL_arg2386z00_2109;
											obj_t BgL_arg2387z00_2110;

											BgL_arg2386z00_2109 = CAR(BgL_expz00_2106);
											BgL_arg2387z00_2110 = CDR(BgL_expz00_2106);
											{	/* Ast/unit.scm 337 */
												obj_t BgL_res3226z00_4561;

												BgL_res3226z00_4561 =
													MAKE_EXTENDED_PAIR(BgL_arg2386z00_2109,
													BgL_arg2387z00_2110, BgL_locz00_40);
												return BgL_res3226z00_4561;
											}
										}
									else
										{	/* Ast/unit.scm 339 */
											obj_t BgL_arg2388z00_2111;

											{	/* Ast/unit.scm 339 */
												obj_t BgL_list2389z00_2112;

												BgL_list2389z00_2112 = MAKE_PAIR(BgL_expz00_2106, BNIL);
												BgL_arg2388z00_2111 = BgL_list2389z00_2112;
											}
											{	/* Ast/unit.scm 339 */
												obj_t BgL_res3228z00_4567;

												{	/* Ast/unit.scm 339 */
													obj_t BgL_obj1z00_4564;

													BgL_obj1z00_4564 = CNST_TABLE_REF(((long) 2));
													BgL_res3228z00_4567 =
														MAKE_EXTENDED_PAIR(BgL_obj1z00_4564,
														BgL_arg2388z00_2111, BgL_locz00_40);
												}
												return BgL_res3228z00_4567;
											}
										}
								}
						}
					else
						{	/* Ast/unit.scm 332 */
							return BgL_expz00_2106;
						}
				}
		}
	}



/* eta-expanse */
	obj_t BGl_etazd2expansezd2zzast_unitz00(obj_t BgL_sexpz00_44,
		obj_t BgL_arityz00_45)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 357 */
			{	/* Ast/unit.scm 358 */
				obj_t BgL_argsz00_2120;

				BgL_argsz00_2120 =
					BGl_makezd2nzd2protoz00zztools_argsz00(BgL_arityz00_45);
				{
					obj_t BgL_varz00_2215;
					obj_t BgL_id2z00_2216;
					obj_t BgL_modulez00_2217;

					if (PAIRP(BgL_sexpz00_44))
						{	/* Ast/unit.scm 382 */
							obj_t BgL_cdrzd21729zd2_2132;

							BgL_cdrzd21729zd2_2132 = CDR(BgL_sexpz00_44);
							if ((CAR(BgL_sexpz00_44) == CNST_TABLE_REF(((long) 14))))
								{	/* Ast/unit.scm 382 */
									if (PAIRP(BgL_cdrzd21729zd2_2132))
										{	/* Ast/unit.scm 382 */
											obj_t BgL_cdrzd21734zd2_2135;

											BgL_cdrzd21734zd2_2135 = CDR(BgL_cdrzd21729zd2_2132);
											if (PAIRP(BgL_cdrzd21734zd2_2135))
												{	/* Ast/unit.scm 382 */
													obj_t BgL_carzd21738zd2_2137;

													BgL_carzd21738zd2_2137 = CAR(BgL_cdrzd21734zd2_2135);
													if (PAIRP(BgL_carzd21738zd2_2137))
														{	/* Ast/unit.scm 382 */
															obj_t BgL_cdrzd21743zd2_2139;

															BgL_cdrzd21743zd2_2139 =
																CDR(BgL_carzd21738zd2_2137);
															if (
																(CAR(BgL_carzd21738zd2_2137) ==
																	CNST_TABLE_REF(((long) 0))))
																{	/* Ast/unit.scm 382 */
																	if (PAIRP(BgL_cdrzd21743zd2_2139))
																		{	/* Ast/unit.scm 382 */
																			obj_t BgL_cdrzd21747zd2_2142;

																			BgL_cdrzd21747zd2_2142 =
																				CDR(BgL_cdrzd21743zd2_2139);
																			if (PAIRP(BgL_cdrzd21747zd2_2142))
																				{	/* Ast/unit.scm 382 */
																					if (NULLP(CDR
																							(BgL_cdrzd21747zd2_2142)))
																						{	/* Ast/unit.scm 382 */
																							if (NULLP(CDR
																									(BgL_cdrzd21734zd2_2135)))
																								{	/* Ast/unit.scm 382 */
																									obj_t BgL_arg2407z00_2147;
																									obj_t BgL_arg2408z00_2148;

																									BgL_arg2407z00_2147 =
																										CAR(BgL_cdrzd21743zd2_2139);
																									BgL_arg2408z00_2148 =
																										CAR(BgL_cdrzd21747zd2_2142);
																									{	/* Ast/unit.scm 384 */
																										obj_t BgL_id2z00_4617;

																										BgL_id2z00_4617 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg2407z00_2147,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_44));
																										{	/* Ast/unit.scm 384 */

																											{	/* Ast/unit.scm 385 */
																												obj_t BgL_auxz00_6005;

																												BgL_varz00_2215 =
																													BgL_arg2407z00_2147;
																												BgL_id2z00_2216 =
																													BgL_id2z00_4617;
																												BgL_modulez00_2217 =
																													BgL_arg2408z00_2148;
																												if (((long)
																														CINT
																														(BgL_arityz00_45) >=
																														((long) 0)))
																													{	/* Ast/unit.scm 362 */
																														obj_t
																															BgL_arg2467z00_2220;
																														{	/* Ast/unit.scm 362 */
																															obj_t
																																BgL_arg2468z00_2221;
																															obj_t
																																BgL_arg2469z00_2222;
																															BgL_arg2468z00_2221
																																=
																																MAKE_PAIR
																																(BgL_varz00_2215,
																																BgL_argsz00_2120);
																															{	/* Ast/unit.scm 363 */
																																obj_t
																																	BgL_arg2470z00_2223;
																																{	/* Ast/unit.scm 363 */
																																	obj_t
																																		BgL_arg2471z00_2224;
																																	obj_t
																																		BgL_arg2472z00_2225;
																																	{	/* Ast/unit.scm 363 */
																																		obj_t
																																			BgL_arg2473z00_2226;
																																		{	/* Ast/unit.scm 363 */
																																			obj_t
																																				BgL_arg2474z00_2227;
																																			BgL_arg2474z00_2227
																																				=
																																				MAKE_PAIR
																																				(BgL_modulez00_2217,
																																				BNIL);
																																			BgL_arg2473z00_2226
																																				=
																																				MAKE_PAIR
																																				(BgL_id2z00_2216,
																																				BgL_arg2474z00_2227);
																																		}
																																		BgL_arg2471z00_2224
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					0)),
																																			BgL_arg2473z00_2226);
																																	}
																																	BgL_arg2472z00_2225
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_argsz00_2120,
																																		BNIL);
																																	BgL_arg2470z00_2223
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2471z00_2224,
																																		BgL_arg2472z00_2225);
																																}
																																BgL_arg2469z00_2222
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2470z00_2223,
																																	BNIL);
																															}
																															BgL_arg2467z00_2220
																																=
																																MAKE_PAIR
																																(BgL_arg2468z00_2221,
																																BgL_arg2469z00_2222);
																														}
																														BgL_auxz00_6005 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 14)),
																															BgL_arg2467z00_2220);
																													}
																												else
																													{	/* Ast/unit.scm 361 */
																														if (
																															((long)
																																CINT
																																(BgL_arityz00_45)
																																== ((long) -1)))
																															{	/* Ast/unit.scm 365 */
																																obj_t
																																	BgL_arg2476z00_2229;
																																{	/* Ast/unit.scm 365 */
																																	obj_t
																																		BgL_arg2477z00_2230;
																																	obj_t
																																		BgL_arg2478z00_2231;
																																	BgL_arg2477z00_2230
																																		=
																																		MAKE_PAIR
																																		(BgL_varz00_2215,
																																		BgL_argsz00_2120);
																																	{	/* Ast/unit.scm 366 */
																																		obj_t
																																			BgL_arg2479z00_2232;
																																		{	/* Ast/unit.scm 366 */
																																			obj_t
																																				BgL_arg2480z00_2233;
																																			{	/* Ast/unit.scm 366 */
																																				obj_t
																																					BgL_arg2481z00_2234;
																																				obj_t
																																					BgL_arg2482z00_2235;
																																				{	/* Ast/unit.scm 366 */
																																					obj_t
																																						BgL_arg2483z00_2236;
																																					{	/* Ast/unit.scm 366 */
																																						obj_t
																																							BgL_arg2484z00_2237;
																																						BgL_arg2484z00_2237
																																							=
																																							MAKE_PAIR
																																							(BgL_modulez00_2217,
																																							BNIL);
																																						BgL_arg2483z00_2236
																																							=
																																							MAKE_PAIR
																																							(BgL_id2z00_2216,
																																							BgL_arg2484z00_2237);
																																					}
																																					BgL_arg2481z00_2234
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 0)), BgL_arg2483z00_2236);
																																				}
																																				BgL_arg2482z00_2235
																																					=
																																					MAKE_PAIR
																																					(BgL_argsz00_2120,
																																					BNIL);
																																				BgL_arg2480z00_2233
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2481z00_2234,
																																					BgL_arg2482z00_2235);
																																			}
																																			BgL_arg2479z00_2232
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						19)),
																																				BgL_arg2480z00_2233);
																																		}
																																		BgL_arg2478z00_2231
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2479z00_2232,
																																			BNIL);
																																	}
																																	BgL_arg2476z00_2229
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2477z00_2230,
																																		BgL_arg2478z00_2231);
																																}
																																BgL_auxz00_6005
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 14)),
																																	BgL_arg2476z00_2229);
																															}
																														else
																															{	/* Ast/unit.scm 368 */
																																obj_t
																																	BgL_arg2485z00_2238;
																																{	/* Ast/unit.scm 368 */
																																	obj_t
																																		BgL_arg2486z00_2239;
																																	obj_t
																																		BgL_arg2487z00_2240;
																																	BgL_arg2486z00_2239
																																		=
																																		MAKE_PAIR
																																		(BgL_varz00_2215,
																																		BgL_argsz00_2120);
																																	{	/* Ast/unit.scm 369 */
																																		obj_t
																																			BgL_arg2488z00_2241;
																																		{	/* Ast/unit.scm 369 */
																																			obj_t
																																				BgL_arg2489z00_2242;
																																			{	/* Ast/unit.scm 369 */
																																				obj_t
																																					BgL_arg2490z00_2243;
																																				obj_t
																																					BgL_arg2491z00_2244;
																																				{	/* Ast/unit.scm 369 */
																																					obj_t
																																						BgL_arg2492z00_2245;
																																					{	/* Ast/unit.scm 369 */
																																						obj_t
																																							BgL_arg2494z00_2246;
																																						BgL_arg2494z00_2246
																																							=
																																							MAKE_PAIR
																																							(BgL_modulez00_2217,
																																							BNIL);
																																						BgL_arg2492z00_2245
																																							=
																																							MAKE_PAIR
																																							(BgL_id2z00_2216,
																																							BgL_arg2494z00_2246);
																																					}
																																					BgL_arg2490z00_2243
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 0)), BgL_arg2492z00_2245);
																																				}
																																				{	/* Ast/unit.scm 370 */
																																					obj_t
																																						BgL_arg2495z00_2247;
																																					{	/* Ast/unit.scm 370 */
																																						obj_t
																																							BgL_arg2496z00_2248;
																																						BgL_arg2496z00_2248
																																							=
																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																							(BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
																																							(BgL_argsz00_2120),
																																							BNIL);
																																						BgL_arg2495z00_2247
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 20)), BgL_arg2496z00_2248);
																																					}
																																					BgL_arg2491z00_2244
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2495z00_2247,
																																						BNIL);
																																				}
																																				BgL_arg2489z00_2242
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2490z00_2243,
																																					BgL_arg2491z00_2244);
																																			}
																																			BgL_arg2488z00_2241
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						19)),
																																				BgL_arg2489z00_2242);
																																		}
																																		BgL_arg2487z00_2240
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2488z00_2241,
																																			BNIL);
																																	}
																																	BgL_arg2485z00_2238
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2486z00_2239,
																																		BgL_arg2487z00_2240);
																																}
																																BgL_auxz00_6005
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 14)),
																																	BgL_arg2485z00_2238);
																													}}
																												return
																													BGl_replacez12z12zztools_miscz00
																													(BgL_sexpz00_44,
																													BgL_auxz00_6005);
																											}
																										}
																									}
																								}
																							else
																								{	/* Ast/unit.scm 382 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Ast/unit.scm 382 */
																							obj_t BgL_cdrzd21769zd2_2151;

																							BgL_cdrzd21769zd2_2151 =
																								CDR(BgL_cdrzd21729zd2_2132);
																							if (NULLP(CDR
																									(BgL_cdrzd21769zd2_2151)))
																								{	/* Ast/unit.scm 382 */
																									obj_t BgL_arg2411z00_2153;
																									obj_t BgL_arg2412z00_2154;

																									BgL_arg2411z00_2153 =
																										CAR(BgL_cdrzd21729zd2_2132);
																									BgL_arg2412z00_2154 =
																										CAR(BgL_cdrzd21769zd2_2151);
																									{	/* Ast/unit.scm 387 */
																										obj_t BgL_id2z00_4629;

																										BgL_id2z00_4629 =
																											BGl_idzd2ofzd2idz00zzast_identz00
																											(BgL_arg2412z00_2154,
																											BGl_findzd2locationzd2zztools_locationz00
																											(BgL_sexpz00_44));
																										return
																											BGl_replacez12z12zztools_miscz00
																											(BgL_sexpz00_44,
																											BGl_dozd2etazd2expansez00zzast_unitz00
																											(BgL_arityz00_45,
																												BgL_argsz00_2120,
																												BgL_arg2411z00_2153,
																												BgL_id2z00_4629));
																									}
																								}
																							else
																								{	/* Ast/unit.scm 382 */
																									return BFALSE;
																								}
																						}
																				}
																			else
																				{	/* Ast/unit.scm 382 */
																					obj_t BgL_cdrzd21787zd2_2158;

																					BgL_cdrzd21787zd2_2158 =
																						CDR(BgL_cdrzd21729zd2_2132);
																					if (NULLP(CDR
																							(BgL_cdrzd21787zd2_2158)))
																						{	/* Ast/unit.scm 382 */
																							obj_t BgL_arg2416z00_2160;
																							obj_t BgL_arg2417z00_2161;

																							BgL_arg2416z00_2160 =
																								CAR(BgL_cdrzd21729zd2_2132);
																							BgL_arg2417z00_2161 =
																								CAR(BgL_cdrzd21787zd2_2158);
																							{	/* Ast/unit.scm 387 */
																								obj_t BgL_id2z00_4641;

																								BgL_id2z00_4641 =
																									BGl_idzd2ofzd2idz00zzast_identz00
																									(BgL_arg2417z00_2161,
																									BGl_findzd2locationzd2zztools_locationz00
																									(BgL_sexpz00_44));
																								return
																									BGl_replacez12z12zztools_miscz00
																									(BgL_sexpz00_44,
																									BGl_dozd2etazd2expansez00zzast_unitz00
																									(BgL_arityz00_45,
																										BgL_argsz00_2120,
																										BgL_arg2416z00_2160,
																										BgL_id2z00_4641));
																							}
																						}
																					else
																						{	/* Ast/unit.scm 382 */
																							return BFALSE;
																						}
																				}
																		}
																	else
																		{	/* Ast/unit.scm 382 */
																			obj_t BgL_cdrzd21805zd2_2164;

																			BgL_cdrzd21805zd2_2164 =
																				CDR(BgL_cdrzd21729zd2_2132);
																			if (NULLP(CDR(BgL_cdrzd21805zd2_2164)))
																				{	/* Ast/unit.scm 382 */
																					obj_t BgL_arg2420z00_2166;
																					obj_t BgL_arg2421z00_2167;

																					BgL_arg2420z00_2166 =
																						CAR(BgL_cdrzd21729zd2_2132);
																					BgL_arg2421z00_2167 =
																						CAR(BgL_cdrzd21805zd2_2164);
																					{	/* Ast/unit.scm 387 */
																						obj_t BgL_id2z00_4653;

																						BgL_id2z00_4653 =
																							BGl_idzd2ofzd2idz00zzast_identz00
																							(BgL_arg2421z00_2167,
																							BGl_findzd2locationzd2zztools_locationz00
																							(BgL_sexpz00_44));
																						return
																							BGl_replacez12z12zztools_miscz00
																							(BgL_sexpz00_44,
																							BGl_dozd2etazd2expansez00zzast_unitz00
																							(BgL_arityz00_45,
																								BgL_argsz00_2120,
																								BgL_arg2420z00_2166,
																								BgL_id2z00_4653));
																					}
																				}
																			else
																				{	/* Ast/unit.scm 382 */
																					return BFALSE;
																				}
																		}
																}
															else
																{	/* Ast/unit.scm 382 */
																	obj_t BgL_cdrzd21823zd2_2170;

																	BgL_cdrzd21823zd2_2170 =
																		CDR(BgL_cdrzd21729zd2_2132);
																	if (NULLP(CDR(BgL_cdrzd21823zd2_2170)))
																		{	/* Ast/unit.scm 382 */
																			obj_t BgL_arg2424z00_2172;
																			obj_t BgL_arg2425z00_2173;

																			BgL_arg2424z00_2172 =
																				CAR(BgL_cdrzd21729zd2_2132);
																			BgL_arg2425z00_2173 =
																				CAR(BgL_cdrzd21823zd2_2170);
																			{	/* Ast/unit.scm 387 */
																				obj_t BgL_id2z00_4665;

																				BgL_id2z00_4665 =
																					BGl_idzd2ofzd2idz00zzast_identz00
																					(BgL_arg2425z00_2173,
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_sexpz00_44));
																				return
																					BGl_replacez12z12zztools_miscz00
																					(BgL_sexpz00_44,
																					BGl_dozd2etazd2expansez00zzast_unitz00
																					(BgL_arityz00_45, BgL_argsz00_2120,
																						BgL_arg2424z00_2172,
																						BgL_id2z00_4665));
																			}
																		}
																	else
																		{	/* Ast/unit.scm 382 */
																			return BFALSE;
																		}
																}
														}
													else
														{	/* Ast/unit.scm 382 */
															obj_t BgL_cdrzd21841zd2_2177;

															BgL_cdrzd21841zd2_2177 =
																CDR(BgL_cdrzd21729zd2_2132);
															if (NULLP(CDR(BgL_cdrzd21841zd2_2177)))
																{	/* Ast/unit.scm 382 */
																	obj_t BgL_arg2429z00_2179;
																	obj_t BgL_arg2430z00_2180;

																	BgL_arg2429z00_2179 =
																		CAR(BgL_cdrzd21729zd2_2132);
																	BgL_arg2430z00_2180 =
																		CAR(BgL_cdrzd21841zd2_2177);
																	{	/* Ast/unit.scm 387 */
																		obj_t BgL_id2z00_4677;

																		BgL_id2z00_4677 =
																			BGl_idzd2ofzd2idz00zzast_identz00
																			(BgL_arg2430z00_2180,
																			BGl_findzd2locationzd2zztools_locationz00
																			(BgL_sexpz00_44));
																		return
																			BGl_replacez12z12zztools_miscz00
																			(BgL_sexpz00_44,
																			BGl_dozd2etazd2expansez00zzast_unitz00
																			(BgL_arityz00_45, BgL_argsz00_2120,
																				BgL_arg2429z00_2179, BgL_id2z00_4677));
																	}
																}
															else
																{	/* Ast/unit.scm 382 */
																	return BFALSE;
																}
														}
												}
											else
												{	/* Ast/unit.scm 382 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/unit.scm 382 */
											return BFALSE;
										}
								}
							else
								{	/* Ast/unit.scm 382 */
									return BFALSE;
								}
						}
					else
						{	/* Ast/unit.scm 382 */
							return BFALSE;
						}
				}
			}
		}
	}



/* do-eta-expanse */
	obj_t BGl_dozd2etazd2expansez00zzast_unitz00(obj_t BgL_arityz00_5185,
		obj_t BgL_argsz00_5184, obj_t BgL_varz00_2189, obj_t BgL_id2z00_2190)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 381 */
			if (((long) CINT(BgL_arityz00_5185) >= ((long) 0)))
				{	/* Ast/unit.scm 374 */
					obj_t BgL_arg2441z00_2193;

					{	/* Ast/unit.scm 374 */
						obj_t BgL_arg2442z00_2194;
						obj_t BgL_arg2444z00_2195;

						BgL_arg2442z00_2194 = MAKE_PAIR(BgL_varz00_2189, BgL_argsz00_5184);
						{	/* Ast/unit.scm 375 */
							obj_t BgL_arg2445z00_2196;

							BgL_arg2445z00_2196 =
								MAKE_PAIR(BgL_id2z00_2190,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
								(BgL_argsz00_5184, BNIL));
							BgL_arg2444z00_2195 = MAKE_PAIR(BgL_arg2445z00_2196, BNIL);
						}
						BgL_arg2441z00_2193 =
							MAKE_PAIR(BgL_arg2442z00_2194, BgL_arg2444z00_2195);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg2441z00_2193);
				}
			else
				{	/* Ast/unit.scm 373 */
					if (((long) CINT(BgL_arityz00_5185) == ((long) -1)))
						{	/* Ast/unit.scm 377 */
							obj_t BgL_arg2448z00_2199;

							{	/* Ast/unit.scm 377 */
								obj_t BgL_arg2449z00_2200;
								obj_t BgL_arg2450z00_2201;

								BgL_arg2449z00_2200 =
									MAKE_PAIR(BgL_varz00_2189, BgL_argsz00_5184);
								{	/* Ast/unit.scm 378 */
									obj_t BgL_arg2451z00_2202;

									{	/* Ast/unit.scm 378 */
										obj_t BgL_arg2452z00_2203;

										{	/* Ast/unit.scm 378 */
											obj_t BgL_arg2453z00_2204;

											BgL_arg2453z00_2204 = MAKE_PAIR(BgL_argsz00_5184, BNIL);
											BgL_arg2452z00_2203 =
												MAKE_PAIR(BgL_id2z00_2190, BgL_arg2453z00_2204);
										}
										BgL_arg2451z00_2202 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
											BgL_arg2452z00_2203);
									}
									BgL_arg2450z00_2201 = MAKE_PAIR(BgL_arg2451z00_2202, BNIL);
								}
								BgL_arg2448z00_2199 =
									MAKE_PAIR(BgL_arg2449z00_2200, BgL_arg2450z00_2201);
							}
							return
								MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg2448z00_2199);
						}
					else
						{	/* Ast/unit.scm 380 */
							obj_t BgL_arg2454z00_2205;

							{	/* Ast/unit.scm 380 */
								obj_t BgL_arg2456z00_2206;
								obj_t BgL_arg2457z00_2207;

								BgL_arg2456z00_2206 =
									MAKE_PAIR(BgL_varz00_2189, BgL_argsz00_5184);
								{	/* Ast/unit.scm 381 */
									obj_t BgL_arg2458z00_2208;

									{	/* Ast/unit.scm 381 */
										obj_t BgL_arg2459z00_2209;

										{	/* Ast/unit.scm 381 */
											obj_t BgL_arg2460z00_2210;

											{	/* Ast/unit.scm 381 */
												obj_t BgL_arg2461z00_2211;

												{	/* Ast/unit.scm 381 */
													obj_t BgL_arg2462z00_2212;

													BgL_arg2462z00_2212 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
														(BgL_argsz00_5184), BNIL);
													BgL_arg2461z00_2211 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 20)),
														BgL_arg2462z00_2212);
												}
												BgL_arg2460z00_2210 =
													MAKE_PAIR(BgL_arg2461z00_2211, BNIL);
											}
											BgL_arg2459z00_2209 =
												MAKE_PAIR(BgL_id2z00_2190, BgL_arg2460z00_2210);
										}
										BgL_arg2458z00_2208 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
											BgL_arg2459z00_2209);
									}
									BgL_arg2457z00_2207 = MAKE_PAIR(BgL_arg2458z00_2208, BNIL);
								}
								BgL_arg2454z00_2205 =
									MAKE_PAIR(BgL_arg2456z00_2206, BgL_arg2457z00_2207);
							}
							return
								MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg2454z00_2205);
		}}}
	}



/* make-sfun-definition */
	obj_t BGl_makezd2sfunzd2definitionz00zzast_unitz00(obj_t BgL_idz00_46,
		obj_t BgL_modulez00_47, obj_t BgL_argsz00_48, obj_t BgL_bodyz00_49,
		obj_t BgL_srcz00_50, obj_t BgL_classz00_51)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 393 */
			{	/* Ast/unit.scm 394 */
				obj_t BgL_locz00_2251;
				obj_t BgL_optsz00_2252;
				obj_t BgL_keysz00_2253;

				BgL_locz00_2251 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_50);
				BgL_optsz00_2252 =
					BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_48);
				BgL_keysz00_2253 = BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_48);
				if (NULLP(BgL_optsz00_2252))
					{	/* Ast/unit.scm 398 */
						if (NULLP(BgL_keysz00_2253))
							{	/* Ast/unit.scm 641 */
								obj_t BgL_localsz00_4691;
								obj_t BgL_bodyz00_4692;

								BgL_localsz00_4691 =
									BGl_parsezd2funzd2argsz00zzast_unitz00(BgL_argsz00_48,
									BgL_srcz00_50, BgL_locz00_2251);
								BgL_bodyz00_4692 =
									BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
									(BgL_idz00_46, BgL_argsz00_48, BgL_bodyz00_49,
									BGl_userzd2errorzd2envz00zztools_errorz00);
								{	/* Ast/unit.scm 643 */
									BgL_globalz00_bglt BgL_arg2937z00_4693;

									BgL_arg2937z00_4693 =
										BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
										(BgL_idz00_46, BgL_argsz00_48, BgL_localsz00_4691,
										BgL_modulez00_47, BgL_classz00_51, BgL_srcz00_50,
										CNST_TABLE_REF(((long) 8)), BgL_bodyz00_4692);
									{	/* Ast/unit.scm 643 */
										obj_t BgL_list2938z00_4694;

										BgL_list2938z00_4694 =
											MAKE_PAIR(((obj_t) BgL_arg2937z00_4693), BNIL);
										return BgL_list2938z00_4694;
									}
								}
							}
						else
							{	/* Ast/unit.scm 400 */
								return
									BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00
									(BgL_keysz00_2253, BgL_idz00_46, BgL_modulez00_47,
									BgL_argsz00_48, BgL_bodyz00_49, BgL_srcz00_50,
									BgL_classz00_51, BgL_locz00_2251);
							}
					}
				else
					{	/* Ast/unit.scm 398 */
						return
							BGl_makezd2sfunzd2optzd2definitionzd2zzast_unitz00
							(BgL_optsz00_2252, BgL_idz00_46, BgL_modulez00_47, BgL_argsz00_48,
							BgL_bodyz00_49, BgL_srcz00_50, BgL_classz00_51, BgL_locz00_2251);
					}
			}
		}
	}



/* make-sfun-opt-definition */
	obj_t BGl_makezd2sfunzd2optzd2definitionzd2zzast_unitz00(obj_t
		BgL_optionalsz00_52, obj_t BgL_idz00_53, obj_t BgL_modulez00_54,
		obj_t BgL_argsz00_55, obj_t BgL_bodyz00_56, obj_t BgL_srcz00_57,
		obj_t BgL_classz00_58, obj_t BgL_locz00_59)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 408 */
			{	/* Ast/unit.scm 409 */
				obj_t BgL_localsz00_2256;

				{	/* Ast/unit.scm 409 */
					obj_t BgL_arg2502z00_2261;
					obj_t BgL_arg2503z00_2262;

					{	/* Ast/unit.scm 409 */
						obj_t BgL_l1933z00_2263;

						BgL_l1933z00_2263 =
							BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_55);
						if (NULLP(BgL_l1933z00_2263))
							{	/* Ast/unit.scm 409 */
								BgL_arg2502z00_2261 = BNIL;
							}
						else
							{	/* Ast/unit.scm 409 */
								obj_t BgL_head1935z00_2265;

								{	/* Ast/unit.scm 409 */
									obj_t BgL_res3250z00_4701;

									BgL_res3250z00_4701 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1935z00_2265 = BgL_res3250z00_4701;
								}
								{
									obj_t BgL_l1933z00_2267;
									obj_t BgL_tail1936z00_2268;

									BgL_l1933z00_2267 = BgL_l1933z00_2263;
									BgL_tail1936z00_2268 = BgL_head1935z00_2265;
								BgL_zc3anonymousza32505ze3z83_2269:
									if (NULLP(BgL_l1933z00_2267))
										{	/* Ast/unit.scm 409 */
											BgL_arg2502z00_2261 = CDR(BgL_head1935z00_2265);
										}
									else
										{	/* Ast/unit.scm 409 */
											obj_t BgL_newtail1937z00_2271;

											{	/* Ast/unit.scm 409 */
												BgL_localz00_bglt BgL_arg2508z00_2273;

												{	/* Ast/unit.scm 409 */
													obj_t BgL_az00_2274;

													BgL_az00_2274 = CAR(BgL_l1933z00_2267);
													{	/* Ast/unit.scm 410 */
														obj_t BgL_pidz00_2275;

														BgL_pidz00_2275 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_2274,
																BgL_locz00_59), BgL_srcz00_57);
														{	/* Ast/unit.scm 410 */
															obj_t BgL_idz00_2276;

															BgL_idz00_2276 = CAR(BgL_pidz00_2275);
															{	/* Ast/unit.scm 411 */
																obj_t BgL_typez00_2277;

																BgL_typez00_2277 = CDR(BgL_pidz00_2275);
																{	/* Ast/unit.scm 412 */

																	if (BGl_userzd2symbolzf3z21zzast_identz00
																		(BgL_idz00_2276))
																		{	/* Ast/unit.scm 413 */
																			BgL_arg2508z00_2273 =
																				BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																				(BgL_idz00_2276,
																				((BgL_typez00_bglt) BgL_typez00_2277));
																		}
																	else
																		{	/* Ast/unit.scm 413 */
																			BgL_arg2508z00_2273 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BgL_idz00_2276,
																				((BgL_typez00_bglt) BgL_typez00_2277));
																		}
																}
															}
														}
													}
												}
												{	/* Ast/unit.scm 409 */
													obj_t BgL_res3252z00_4710;

													BgL_res3252z00_4710 =
														MAKE_PAIR(((obj_t) BgL_arg2508z00_2273), BNIL);
													BgL_newtail1937z00_2271 = BgL_res3252z00_4710;
												}
											}
											SET_CDR(BgL_tail1936z00_2268, BgL_newtail1937z00_2271);
											{
												obj_t BgL_tail1936z00_6177;
												obj_t BgL_l1933z00_6175;

												BgL_l1933z00_6175 = CDR(BgL_l1933z00_2267);
												BgL_tail1936z00_6177 = BgL_newtail1937z00_2271;
												BgL_tail1936z00_2268 = BgL_tail1936z00_6177;
												BgL_l1933z00_2267 = BgL_l1933z00_6175;
												goto BgL_zc3anonymousza32505ze3z83_2269;
											}
										}
								}
							}
					}
					{	/* Ast/unit.scm 417 */
						obj_t BgL_head1940z00_2283;

						{	/* Ast/unit.scm 417 */
							obj_t BgL_res3254z00_4718;

							BgL_res3254z00_4718 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1940z00_2283 = BgL_res3254z00_4718;
						}
						{
							obj_t BgL_l1938z00_2285;
							obj_t BgL_tail1941z00_2286;

							BgL_l1938z00_2285 = BgL_optionalsz00_52;
							BgL_tail1941z00_2286 = BgL_head1940z00_2283;
						BgL_zc3anonymousza32512ze3z83_2287:
							if (NULLP(BgL_l1938z00_2285))
								{	/* Ast/unit.scm 417 */
									BgL_arg2503z00_2262 = CDR(BgL_head1940z00_2283);
								}
							else
								{	/* Ast/unit.scm 417 */
									obj_t BgL_newtail1942z00_2289;

									{	/* Ast/unit.scm 417 */
										BgL_localz00_bglt BgL_arg2515z00_2291;

										{	/* Ast/unit.scm 417 */
											obj_t BgL_oz00_2292;

											BgL_oz00_2292 = CAR(BgL_l1938z00_2285);
											{	/* Ast/unit.scm 418 */
												obj_t BgL_az00_2293;

												BgL_az00_2293 = CAR(BgL_oz00_2292);
												{	/* Ast/unit.scm 418 */
													obj_t BgL_pidz00_2294;

													BgL_pidz00_2294 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_2293,
															BgL_locz00_59), BgL_srcz00_57);
													{	/* Ast/unit.scm 419 */
														obj_t BgL_idz00_2295;

														BgL_idz00_2295 = CAR(BgL_pidz00_2294);
														{	/* Ast/unit.scm 420 */
															obj_t BgL_typez00_2296;

															BgL_typez00_2296 = CDR(BgL_pidz00_2294);
															{	/* Ast/unit.scm 421 */

																BgL_arg2515z00_2291 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_2295,
																	((BgL_typez00_bglt) BgL_typez00_2296));
															}
														}
													}
												}
											}
										}
										{	/* Ast/unit.scm 417 */
											obj_t BgL_res3256z00_4728;

											BgL_res3256z00_4728 =
												MAKE_PAIR(((obj_t) BgL_arg2515z00_2291), BNIL);
											BgL_newtail1942z00_2289 = BgL_res3256z00_4728;
										}
									}
									SET_CDR(BgL_tail1941z00_2286, BgL_newtail1942z00_2289);
									{
										obj_t BgL_tail1941z00_6195;
										obj_t BgL_l1938z00_6193;

										BgL_l1938z00_6193 = CDR(BgL_l1938z00_2285);
										BgL_tail1941z00_6195 = BgL_newtail1942z00_2289;
										BgL_tail1941z00_2286 = BgL_tail1941z00_6195;
										BgL_l1938z00_2285 = BgL_l1938z00_6193;
										goto BgL_zc3anonymousza32512ze3z83_2287;
									}
								}
						}
					}
					BgL_localsz00_2256 =
						BGl_appendzd221011zd2zzast_unitz00(BgL_arg2502z00_2261,
						BgL_arg2503z00_2262);
				}
				{	/* Ast/unit.scm 409 */
					BgL_globalz00_bglt BgL_gloz00_2257;

					BgL_gloz00_2257 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_53,
						BgL_argsz00_55, BgL_localsz00_2256, BgL_modulez00_54,
						BgL_classz00_58, BgL_srcz00_57, CNST_TABLE_REF(((long) 8)),
						BgL_bodyz00_56);
					{	/* Ast/unit.scm 424 */
						BgL_globalz00_bglt BgL_cloz00_2258;

						BgL_cloz00_2258 =
							BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(
							((obj_t) BgL_gloz00_2257), BgL_optionalsz00_52, BgL_idz00_53,
							BgL_modulez00_54, BgL_argsz00_55, BgL_bodyz00_56, BgL_srcz00_57,
							BgL_classz00_58, BgL_locz00_59);
						{	/* Ast/unit.scm 425 */

							{	/* Ast/unit.scm 426 */
								obj_t BgL_list2500z00_2259;

								{	/* Ast/unit.scm 426 */
									obj_t BgL_arg2501z00_2260;

									BgL_arg2501z00_2260 =
										MAKE_PAIR(((obj_t) BgL_cloz00_2258), BNIL);
									BgL_list2500z00_2259 =
										MAKE_PAIR(((obj_t) BgL_gloz00_2257), BgL_arg2501z00_2260);
								}
								return BgL_list2500z00_2259;
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-opt-closure */
	BgL_globalz00_bglt BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00(obj_t
		BgL_gloz00_60, obj_t BgL_optionalsz00_61, obj_t BgL_idz00_62,
		obj_t BgL_modulez00_63, obj_t BgL_argsz00_64, obj_t BgL_bodyz00_65,
		obj_t BgL_srcz00_66, obj_t BgL_classz00_67, obj_t BgL_locz00_68)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 439 */
			{	/* Ast/unit.scm 440 */
				long BgL_arityz00_2299;

				BgL_arityz00_2299 =
					(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_60))))->
										BgL_valuez00)))))->BgL_arityz00);
				{

					{	/* Ast/unit.scm 479 */
						obj_t BgL_idz00_2301;

						{	/* Ast/unit.scm 479 */
							obj_t BgL_arg2523z00_2311;

							{	/* Ast/unit.scm 479 */
								obj_t BgL_arg2524z00_2312;
								obj_t BgL_arg2525z00_2313;

								{	/* Ast/unit.scm 479 */
									obj_t BgL_res3288z00_4854;

									{	/* Ast/unit.scm 479 */
										obj_t BgL_symbolz00_4852;

										BgL_symbolz00_4852 = CNST_TABLE_REF(((long) 30));
										{	/* Ast/unit.scm 479 */
											obj_t BgL_arg1265z00_4853;

											BgL_arg1265z00_4853 =
												SYMBOL_TO_STRING(BgL_symbolz00_4852);
											BgL_res3288z00_4854 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_4853);
									}}
									BgL_arg2524z00_2312 = BgL_res3288z00_4854;
								}
								{	/* Ast/unit.scm 479 */
									obj_t BgL_res3289z00_4857;

									{	/* Ast/unit.scm 479 */
										obj_t BgL_arg1265z00_4856;

										BgL_arg1265z00_4856 = SYMBOL_TO_STRING(BgL_idz00_62);
										BgL_res3289z00_4857 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_4856);
									}
									BgL_arg2525z00_2313 = BgL_res3289z00_4857;
								}
								BgL_arg2523z00_2311 =
									string_append(BgL_arg2524z00_2312, BgL_arg2525z00_2313);
							}
							BgL_idz00_2301 = bstring_to_symbol(BgL_arg2523z00_2311);
						}
						{	/* Ast/unit.scm 479 */
							BgL_localz00_bglt BgL_optz00_2302;

							BgL_optz00_2302 =
								BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF(((long)
										21)),
								((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
							{	/* Ast/unit.scm 480 */
								BgL_localz00_bglt BgL_envz00_2303;

								BgL_envz00_2303 =
									BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
											(long) 31)),
									((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
								{	/* Ast/unit.scm 481 */
									BgL_globalz00_bglt BgL_gz00_2304;

									{	/* Ast/unit.scm 482 */
										obj_t BgL_arg2517z00_2305;
										obj_t BgL_arg2518z00_2306;

										{	/* Ast/unit.scm 482 */
											obj_t BgL_list2519z00_2307;

											{	/* Ast/unit.scm 482 */
												obj_t BgL_arg2520z00_2308;

												BgL_arg2520z00_2308 =
													MAKE_PAIR(((obj_t) BgL_optz00_2302), BNIL);
												BgL_list2519z00_2307 =
													MAKE_PAIR(
													((obj_t) BgL_envz00_2303), BgL_arg2520z00_2308);
											}
											BgL_arg2517z00_2305 = BgL_list2519z00_2307;
										}
										{	/* Ast/unit.scm 484 */
											obj_t BgL_auxz00_6228;

											{	/* Ast/unit.scm 484 */
												obj_t BgL_auxz00_6229;

												{	/* Ast/unit.scm 442 */
													long BgL_loptz00_2315;
													obj_t BgL_formsz00_2316;
													obj_t BgL_optsz00_2317;

													BgL_loptz00_2315 =
														bgl_list_length(BgL_optionalsz00_61);
													{	/* Ast/unit.scm 443 */
														obj_t BgL_l1943z00_2434;

														BgL_l1943z00_2434 =
															(((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gloz00_60))))->
																			BgL_valuez00))))->BgL_argsz00);
														if (NULLP(BgL_l1943z00_2434))
															{	/* Ast/unit.scm 443 */
																BgL_formsz00_2316 = BNIL;
															}
														else
															{	/* Ast/unit.scm 443 */
																obj_t BgL_head1945z00_2436;

																{	/* Ast/unit.scm 443 */
																	obj_t BgL_arg2615z00_2448;

																	BgL_arg2615z00_2448 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						CAR(BgL_l1943z00_2434)))))->
																		BgL_idz00);
																	{	/* Ast/unit.scm 443 */
																		obj_t BgL_res3263z00_4753;

																		BgL_res3263z00_4753 =
																			MAKE_PAIR(BgL_arg2615z00_2448, BNIL);
																		BgL_head1945z00_2436 = BgL_res3263z00_4753;
																	}
																}
																{	/* Ast/unit.scm 443 */
																	obj_t BgL_g1948z00_2437;

																	BgL_g1948z00_2437 = CDR(BgL_l1943z00_2434);
																	{
																		obj_t BgL_l1943z00_2439;
																		obj_t BgL_tail1946z00_2440;

																		BgL_l1943z00_2439 = BgL_g1948z00_2437;
																		BgL_tail1946z00_2440 = BgL_head1945z00_2436;
																	BgL_zc3anonymousza32610ze3z83_2441:
																		if (NULLP(BgL_l1943z00_2439))
																			{	/* Ast/unit.scm 443 */
																				BgL_formsz00_2316 =
																					BgL_head1945z00_2436;
																			}
																		else
																			{	/* Ast/unit.scm 443 */
																				obj_t BgL_newtail1947z00_2443;

																				{	/* Ast/unit.scm 443 */
																					obj_t BgL_arg2613z00_2445;

																					BgL_arg2613z00_2445 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										CAR(BgL_l1943z00_2439)))))->
																						BgL_idz00);
																					{	/* Ast/unit.scm 443 */
																						obj_t BgL_res3266z00_4763;

																						BgL_res3266z00_4763 =
																							MAKE_PAIR(BgL_arg2613z00_2445,
																							BNIL);
																						BgL_newtail1947z00_2443 =
																							BgL_res3266z00_4763;
																					}
																				}
																				SET_CDR(BgL_tail1946z00_2440,
																					BgL_newtail1947z00_2443);
																				{
																					obj_t BgL_tail1946z00_6254;
																					obj_t BgL_l1943z00_6252;

																					BgL_l1943z00_6252 =
																						CDR(BgL_l1943z00_2439);
																					BgL_tail1946z00_6254 =
																						BgL_newtail1947z00_2443;
																					BgL_tail1946z00_2440 =
																						BgL_tail1946z00_6254;
																					BgL_l1943z00_2439 = BgL_l1943z00_6252;
																					goto
																						BgL_zc3anonymousza32610ze3z83_2441;
																				}
																			}
																	}
																}
															}
													}
													{	/* Ast/unit.scm 444 */
														obj_t BgL_l1949z00_2451;

														BgL_l1949z00_2451 =
															(((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gloz00_60))))->
																			BgL_valuez00))))->BgL_optionalsz00);
														if (NULLP(BgL_l1949z00_2451))
															{	/* Ast/unit.scm 444 */
																BgL_optsz00_2317 = BNIL;
															}
														else
															{	/* Ast/unit.scm 444 */
																obj_t BgL_head1951z00_2453;

																{	/* Ast/unit.scm 444 */
																	obj_t BgL_res3269z00_4776;

																	BgL_res3269z00_4776 = MAKE_PAIR(BNIL, BNIL);
																	BgL_head1951z00_2453 = BgL_res3269z00_4776;
																}
																{
																	obj_t BgL_l1949z00_2455;
																	obj_t BgL_tail1952z00_2456;

																	BgL_l1949z00_2455 = BgL_l1949z00_2451;
																	BgL_tail1952z00_2456 = BgL_head1951z00_2453;
																BgL_zc3anonymousza32619ze3z83_2457:
																	if (NULLP(BgL_l1949z00_2455))
																		{	/* Ast/unit.scm 444 */
																			BgL_optsz00_2317 =
																				CDR(BgL_head1951z00_2453);
																		}
																	else
																		{	/* Ast/unit.scm 444 */
																			obj_t BgL_newtail1953z00_2459;

																			{	/* Ast/unit.scm 444 */
																				obj_t BgL_arg2622z00_2461;

																				{	/* Ast/unit.scm 444 */
																					obj_t BgL_oz00_2462;

																					BgL_oz00_2462 =
																						CAR(BgL_l1949z00_2455);
																					BgL_arg2622z00_2461 =
																						BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																						(CAR(BgL_oz00_2462), BgL_locz00_68);
																				}
																				{	/* Ast/unit.scm 444 */
																					obj_t BgL_res3271z00_4784;

																					BgL_res3271z00_4784 =
																						MAKE_PAIR(BgL_arg2622z00_2461,
																						BNIL);
																					BgL_newtail1953z00_2459 =
																						BgL_res3271z00_4784;
																				}
																			}
																			SET_CDR(BgL_tail1952z00_2456,
																				BgL_newtail1953z00_2459);
																			{
																				obj_t BgL_tail1952z00_6273;
																				obj_t BgL_l1949z00_6271;

																				BgL_l1949z00_6271 =
																					CDR(BgL_l1949z00_2455);
																				BgL_tail1952z00_6273 =
																					BgL_newtail1953z00_2459;
																				BgL_tail1952z00_2456 =
																					BgL_tail1952z00_6273;
																				BgL_l1949z00_2455 = BgL_l1949z00_6271;
																				goto BgL_zc3anonymousza32619ze3z83_2457;
																			}
																		}
																}
															}
													}
													{	/* Ast/unit.scm 447 */
														obj_t BgL_arg2527z00_2318;
														obj_t BgL_arg2528z00_2319;

														BgL_arg2527z00_2318 =
															BGl_letzd2symzd2zzast_letz00();
														{	/* Ast/unit.scm 447 */
															obj_t BgL_arg2529z00_2320;
															obj_t BgL_arg2530z00_2321;

															{	/* Ast/unit.scm 447 */
																obj_t BgL_ll1954z00_2322;
																obj_t BgL_ll1955z00_2323;

																BgL_ll1954z00_2322 =
																	BGl_takez00zz__r4_pairs_and_lists_6_3z00(
																	(((BgL_sfunz00_bglt) CREF(
																				((BgL_sfunz00_bglt)
																					(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_gloz00_60))))->
																						BgL_valuez00))))->
																		BgL_argszd2namezd2), BgL_arityz00_2299);
																BgL_ll1955z00_2323 =
																	BGl_iotaz00zz__r4_pairs_and_lists_6_3z00((int)
																	(BgL_arityz00_2299), BNIL);
																if (NULLP(BgL_ll1954z00_2322))
																	{	/* Ast/unit.scm 447 */
																		BgL_arg2529z00_2320 = BNIL;
																	}
																else
																	{	/* Ast/unit.scm 447 */
																		obj_t BgL_head1956z00_2325;

																		{	/* Ast/unit.scm 447 */
																			obj_t BgL_res3274z00_4797;

																			BgL_res3274z00_4797 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_head1956z00_2325 =
																				BgL_res3274z00_4797;
																		}
																		{
																			obj_t BgL_ll1954z00_2327;
																			obj_t BgL_ll1955z00_2328;
																			obj_t BgL_tail1957z00_2329;

																			BgL_ll1954z00_2327 = BgL_ll1954z00_2322;
																			BgL_ll1955z00_2328 = BgL_ll1955z00_2323;
																			BgL_tail1957z00_2329 =
																				BgL_head1956z00_2325;
																		BgL_zc3anonymousza32532ze3z83_2330:
																			if (NULLP(BgL_ll1954z00_2327))
																				{	/* Ast/unit.scm 447 */
																					BgL_arg2529z00_2320 =
																						CDR(BgL_head1956z00_2325);
																				}
																			else
																				{	/* Ast/unit.scm 447 */
																					obj_t BgL_newtail1958z00_2332;

																					{	/* Ast/unit.scm 447 */
																						obj_t BgL_arg2536z00_2335;

																						{	/* Ast/unit.scm 447 */
																							obj_t BgL_vz00_2336;
																							obj_t BgL_iz00_2337;

																							BgL_vz00_2336 =
																								CAR(BgL_ll1954z00_2327);
																							BgL_iz00_2337 =
																								CAR(BgL_ll1955z00_2328);
																							{	/* Ast/unit.scm 448 */
																								obj_t BgL_arg2537z00_2338;

																								{	/* Ast/unit.scm 448 */
																									obj_t BgL_arg2538z00_2339;

																									{	/* Ast/unit.scm 448 */
																										obj_t BgL_arg2539z00_2340;

																										{	/* Ast/unit.scm 448 */
																											obj_t BgL_arg2540z00_2341;

																											BgL_arg2540z00_2341 =
																												MAKE_PAIR(BgL_iz00_2337,
																												BNIL);
																											BgL_arg2539z00_2340 =
																												MAKE_PAIR(CNST_TABLE_REF
																												(((long) 21)),
																												BgL_arg2540z00_2341);
																										}
																										BgL_arg2538z00_2339 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 22)),
																											BgL_arg2539z00_2340);
																									}
																									BgL_arg2537z00_2338 =
																										MAKE_PAIR
																										(BgL_arg2538z00_2339, BNIL);
																								}
																								BgL_arg2536z00_2335 =
																									MAKE_PAIR(BgL_vz00_2336,
																									BgL_arg2537z00_2338);
																						}}
																						{	/* Ast/unit.scm 447 */
																							obj_t BgL_res3276z00_4805;

																							BgL_res3276z00_4805 =
																								MAKE_PAIR(BgL_arg2536z00_2335,
																								BNIL);
																							BgL_newtail1958z00_2332 =
																								BgL_res3276z00_4805;
																					}}
																					SET_CDR(BgL_tail1957z00_2329,
																						BgL_newtail1958z00_2332);
																					{
																						obj_t BgL_tail1957z00_6304;
																						obj_t BgL_ll1955z00_6302;
																						obj_t BgL_ll1954z00_6300;

																						BgL_ll1954z00_6300 =
																							CDR(BgL_ll1954z00_2327);
																						BgL_ll1955z00_6302 =
																							CDR(BgL_ll1955z00_2328);
																						BgL_tail1957z00_6304 =
																							BgL_newtail1958z00_2332;
																						BgL_tail1957z00_2329 =
																							BgL_tail1957z00_6304;
																						BgL_ll1955z00_2328 =
																							BgL_ll1955z00_6302;
																						BgL_ll1954z00_2327 =
																							BgL_ll1954z00_6300;
																						goto
																							BgL_zc3anonymousza32532ze3z83_2330;
																					}
																				}
																		}
																	}
															}
															{	/* Ast/unit.scm 451 */
																obj_t BgL_arg2544z00_2346;

																{	/* Ast/unit.scm 451 */
																	obj_t BgL_arg2545z00_2347;

																	{	/* Ast/unit.scm 451 */
																		obj_t BgL_arg2546z00_2348;
																		obj_t BgL_arg2547z00_2349;

																		{	/* Ast/unit.scm 451 */
																			obj_t BgL_arg2548z00_2350;

																			BgL_arg2548z00_2350 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 21)),
																				BNIL);
																			BgL_arg2546z00_2348 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 23)),
																				BgL_arg2548z00_2350);
																		}
																		{	/* Ast/unit.scm 452 */
																			obj_t BgL_arg2549z00_2351;
																			obj_t BgL_arg2550z00_2352;

																			{	/* Ast/unit.scm 452 */
																				obj_t BgL_l1966z00_2353;

																				{	/* Ast/unit.scm 467 */
																					obj_t BgL_arg2584z00_2405;

																					BgL_arg2584z00_2405 =
																						BGL_SAFE_PLUS_FX(((long) 1),
																						BgL_loptz00_2315);
																					BgL_l1966z00_2353 =
																						BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																						(CINT(BgL_arg2584z00_2405), BNIL);
																				}
																				if (NULLP(BgL_l1966z00_2353))
																					{	/* Ast/unit.scm 452 */
																						BgL_arg2549z00_2351 = BNIL;
																					}
																				else
																					{	/* Ast/unit.scm 452 */
																						obj_t BgL_head1968z00_2355;

																						{	/* Ast/unit.scm 452 */
																							obj_t BgL_res3279z00_4816;

																							BgL_res3279z00_4816 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_head1968z00_2355 =
																								BgL_res3279z00_4816;
																						}
																						{
																							obj_t BgL_l1966z00_2357;
																							obj_t BgL_tail1969z00_2358;

																							BgL_l1966z00_2357 =
																								BgL_l1966z00_2353;
																							BgL_tail1969z00_2358 =
																								BgL_head1968z00_2355;
																						BgL_zc3anonymousza32552ze3z83_2359:
																							if (NULLP(BgL_l1966z00_2357))
																								{	/* Ast/unit.scm 452 */
																									BgL_arg2549z00_2351 =
																										CDR(BgL_head1968z00_2355);
																								}
																							else
																								{	/* Ast/unit.scm 452 */
																									obj_t BgL_newtail1970z00_2361;

																									{	/* Ast/unit.scm 452 */
																										obj_t BgL_arg2555z00_2363;

																										{	/* Ast/unit.scm 452 */
																											obj_t BgL_iz00_2364;

																											BgL_iz00_2364 =
																												CAR(BgL_l1966z00_2357);
																											{	/* Ast/unit.scm 453 */
																												obj_t
																													BgL_arg2556z00_2365;
																												obj_t
																													BgL_arg2557z00_2366;
																												{	/* Ast/unit.scm 453 */
																													long
																														BgL_arg2558z00_2367;
																													BgL_arg2558z00_2367 =
																														(BgL_arityz00_2299 +
																														(long)
																														CINT
																														(BgL_iz00_2364));
																													BgL_arg2556z00_2365 =
																														MAKE_PAIR(BINT
																														(BgL_arg2558z00_2367),
																														BNIL);
																												}
																												{	/* Ast/unit.scm 454 */
																													obj_t
																														BgL_arg2559z00_2368;
																													{	/* Ast/unit.scm 454 */
																														obj_t
																															BgL_arg2560z00_2369;
																														{	/* Ast/unit.scm 454 */
																															obj_t
																																BgL_arg2561z00_2370;
																															obj_t
																																BgL_arg2562z00_2371;
																															{	/* Ast/unit.scm 454 */
																																obj_t
																																	BgL_arg2563z00_2372;
																																obj_t
																																	BgL_arg2564z00_2373;
																																{	/* Ast/unit.scm 454 */
																																	obj_t
																																		BgL_ll1960z00_2374;
																																	obj_t
																																		BgL_ll1961z00_2375;
																																	BgL_ll1960z00_2374
																																		=
																																		BGl_takez00zz__r4_pairs_and_lists_6_3z00
																																		(BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																		(BgL_formsz00_2316,
																																			BgL_arityz00_2299),
																																		(long)
																																		CINT
																																		(BgL_iz00_2364));
																																	{	/* Ast/unit.scm 457 */
																																		obj_t
																																			BgL_list2576z00_2396;
																																		BgL_list2576z00_2396
																																			=
																																			MAKE_PAIR
																																			(BINT
																																			(BgL_arityz00_2299),
																																			BNIL);
																																		BgL_ll1961z00_2375
																																			=
																																			BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																																			(CINT
																																			(BgL_iz00_2364),
																																			BgL_list2576z00_2396);
																																	}
																																	if (NULLP
																																		(BgL_ll1960z00_2374))
																																		{	/* Ast/unit.scm 454 */
																																			BgL_arg2563z00_2372
																																				= BNIL;
																																		}
																																	else
																																		{	/* Ast/unit.scm 454 */
																																			obj_t
																																				BgL_head1962z00_2377;
																																			{	/* Ast/unit.scm 454 */
																																				obj_t
																																					BgL_res3283z00_4828;
																																				BgL_res3283z00_4828
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_head1962z00_2377
																																					=
																																					BgL_res3283z00_4828;
																																			}
																																			{
																																				obj_t
																																					BgL_ll1960z00_2379;
																																				obj_t
																																					BgL_ll1961z00_2380;
																																				obj_t
																																					BgL_tail1963z00_2381;
																																				BgL_ll1960z00_2379
																																					=
																																					BgL_ll1960z00_2374;
																																				BgL_ll1961z00_2380
																																					=
																																					BgL_ll1961z00_2375;
																																				BgL_tail1963z00_2381
																																					=
																																					BgL_head1962z00_2377;
																																			BgL_zc3anonymousza32566ze3z83_2382:
																																				if (NULLP(BgL_ll1960z00_2379))
																																					{	/* Ast/unit.scm 454 */
																																						BgL_arg2563z00_2372
																																							=
																																							CDR
																																							(BgL_head1962z00_2377);
																																					}
																																				else
																																					{	/* Ast/unit.scm 454 */
																																						obj_t
																																							BgL_newtail1964z00_2384;
																																						{	/* Ast/unit.scm 454 */
																																							obj_t
																																								BgL_arg2570z00_2387;
																																							{	/* Ast/unit.scm 454 */
																																								obj_t
																																									BgL_vz00_2388;
																																								obj_t
																																									BgL_jz00_2389;
																																								BgL_vz00_2388
																																									=
																																									CAR
																																									(BgL_ll1960z00_2379);
																																								BgL_jz00_2389
																																									=
																																									CAR
																																									(BgL_ll1961z00_2380);
																																								{	/* Ast/unit.scm 455 */
																																									obj_t
																																										BgL_arg2571z00_2390;
																																									{	/* Ast/unit.scm 455 */
																																										obj_t
																																											BgL_arg2572z00_2391;
																																										{	/* Ast/unit.scm 455 */
																																											obj_t
																																												BgL_arg2573z00_2392;
																																											{	/* Ast/unit.scm 455 */
																																												obj_t
																																													BgL_arg2574z00_2393;
																																												BgL_arg2574z00_2393
																																													=
																																													MAKE_PAIR
																																													(BgL_jz00_2389,
																																													BNIL);
																																												BgL_arg2573z00_2392
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 21)), BgL_arg2574z00_2393);
																																											}
																																											BgL_arg2572z00_2391
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 22)), BgL_arg2573z00_2392);
																																										}
																																										BgL_arg2571z00_2390
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2572z00_2391,
																																											BNIL);
																																									}
																																									BgL_arg2570z00_2387
																																										=
																																										MAKE_PAIR
																																										(BgL_vz00_2388,
																																										BgL_arg2571z00_2390);
																																							}}
																																							{	/* Ast/unit.scm 454 */
																																								obj_t
																																									BgL_res3285z00_4836;
																																								BgL_res3285z00_4836
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2570z00_2387,
																																									BNIL);
																																								BgL_newtail1964z00_2384
																																									=
																																									BgL_res3285z00_4836;
																																						}}
																																						SET_CDR
																																							(BgL_tail1963z00_2381,
																																							BgL_newtail1964z00_2384);
																																						{
																																							obj_t
																																								BgL_tail1963z00_6351;
																																							obj_t
																																								BgL_ll1961z00_6349;
																																							obj_t
																																								BgL_ll1960z00_6347;
																																							BgL_ll1960z00_6347
																																								=
																																								CDR
																																								(BgL_ll1960z00_2379);
																																							BgL_ll1961z00_6349
																																								=
																																								CDR
																																								(BgL_ll1961z00_2380);
																																							BgL_tail1963z00_6351
																																								=
																																								BgL_newtail1964z00_2384;
																																							BgL_tail1963z00_2381
																																								=
																																								BgL_tail1963z00_6351;
																																							BgL_ll1961z00_2380
																																								=
																																								BgL_ll1961z00_6349;
																																							BgL_ll1960z00_2379
																																								=
																																								BgL_ll1960z00_6347;
																																							goto
																																								BgL_zc3anonymousza32566ze3z83_2382;
																																						}
																																					}
																																			}
																																		}
																																}
																																BgL_arg2564z00_2373
																																	=
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BGl_dropz00zz__r4_pairs_and_lists_6_3z00
																																	(BgL_optionalsz00_61,
																																		(long)
																																		CINT
																																		(BgL_iz00_2364)),
																																	BNIL);
																																BgL_arg2561z00_2370
																																	=
																																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg2563z00_2372,
																																	BgL_arg2564z00_2373);
																															}
																															{	/* Ast/unit.scm 461 */
																																obj_t
																																	BgL_arg2578z00_2398;
																																{	/* Ast/unit.scm 461 */
																																	obj_t
																																		BgL_arg2579z00_2399;
																																	BgL_arg2579z00_2399
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BGl_takez00zz__r4_pairs_and_lists_6_3z00
																																		((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) (((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_gloz00_60))))->BgL_valuez00))))->BgL_argszd2namezd2), BgL_arityz00_2299), BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_optsz00_2317, BNIL));
																																	BgL_arg2578z00_2398
																																		=
																																		MAKE_PAIR
																																		(BgL_gloz00_60,
																																		BgL_arg2579z00_2399);
																																}
																																BgL_arg2562z00_2371
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2578z00_2398,
																																	BNIL);
																															}
																															BgL_arg2560z00_2369
																																=
																																MAKE_PAIR
																																(BgL_arg2561z00_2370,
																																BgL_arg2562z00_2371);
																														}
																														BgL_arg2559z00_2368
																															=
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 24)),
																															BgL_arg2560z00_2369);
																													}
																													BgL_arg2557z00_2366 =
																														MAKE_PAIR
																														(BgL_arg2559z00_2368,
																														BNIL);
																												}
																												BgL_arg2555z00_2363 =
																													MAKE_PAIR
																													(BgL_arg2556z00_2365,
																													BgL_arg2557z00_2366);
																										}}
																										{	/* Ast/unit.scm 452 */
																											obj_t BgL_res3287z00_4848;

																											BgL_res3287z00_4848 =
																												MAKE_PAIR
																												(BgL_arg2555z00_2363,
																												BNIL);
																											BgL_newtail1970z00_2361 =
																												BgL_res3287z00_4848;
																									}}
																									SET_CDR(BgL_tail1969z00_2358,
																										BgL_newtail1970z00_2361);
																									{
																										obj_t BgL_tail1969z00_6375;
																										obj_t BgL_l1966z00_6373;

																										BgL_l1966z00_6373 =
																											CDR(BgL_l1966z00_2357);
																										BgL_tail1969z00_6375 =
																											BgL_newtail1970z00_2361;
																										BgL_tail1969z00_2358 =
																											BgL_tail1969z00_6375;
																										BgL_l1966z00_2357 =
																											BgL_l1966z00_6373;
																										goto
																											BgL_zc3anonymousza32552ze3z83_2359;
																									}
																								}
																						}
																					}
																			}
																			{	/* Ast/unit.scm 469 */
																				obj_t BgL_arg2587z00_2408;

																				{	/* Ast/unit.scm 469 */
																					obj_t BgL_arg2588z00_2409;

																					{	/* Ast/unit.scm 469 */
																						obj_t BgL_arg2589z00_2410;

																						if (CBOOL
																							(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																							{	/* Ast/unit.scm 469 */
																								BgL_arg2589z00_2410 = BUNSPEC;
																							}
																						else
																							{	/* Ast/unit.scm 471 */
																								obj_t BgL_arg2590z00_2411;
																								obj_t BgL_arg2591z00_2412;

																								{	/* Ast/unit.scm 471 */
																									obj_t BgL_arg2592z00_2413;

																									{	/* Ast/unit.scm 471 */
																										obj_t BgL_arg2593z00_2414;

																										BgL_arg2593z00_2414 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 25)), BNIL);
																										BgL_arg2592z00_2413 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 26)),
																											BgL_arg2593z00_2414);
																									}
																									BgL_arg2590z00_2411 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 0)),
																										BgL_arg2592z00_2413);
																								}
																								{	/* Ast/unit.scm 472 */
																									obj_t BgL_arg2594z00_2415;
																									obj_t BgL_arg2595z00_2416;

																									{	/* Ast/unit.scm 472 */
																										obj_t BgL_arg2596z00_2417;

																										BgL_arg2596z00_2417 =
																											MAKE_PAIR(BgL_idz00_62,
																											BNIL);
																										BgL_arg2594z00_2415 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 27)),
																											BgL_arg2596z00_2417);
																									}
																									{	/* Ast/unit.scm 475 */
																										obj_t BgL_arg2597z00_2418;
																										obj_t BgL_arg2598z00_2419;

																										{	/* Ast/unit.scm 475 */
																											obj_t BgL_arg2599z00_2420;
																											obj_t BgL_arg2600z00_2421;

																											{	/* Ast/unit.scm 475 */

																												BgL_arg2599z00_2420 =
																													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																													(BgL_arityz00_2299,
																													((long) 10));
																											}
																											{	/* Ast/unit.scm 476 */

																												BgL_arg2600z00_2421 =
																													BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																													((long)
																													CINT
																													(BGl_2zb2zb2zz__r4_numbers_6_5z00
																														(BINT
																															(BgL_arityz00_2299),
																															BINT
																															(BgL_loptz00_2315))),
																													((long) 10));
																											}
																											{	/* Ast/unit.scm 473 */
																												obj_t
																													BgL_list2601z00_2422;
																												{	/* Ast/unit.scm 473 */
																													obj_t
																														BgL_arg2602z00_2423;
																													{	/* Ast/unit.scm 473 */
																														obj_t
																															BgL_arg2603z00_2424;
																														{	/* Ast/unit.scm 473 */
																															obj_t
																																BgL_arg2604z00_2425;
																															{	/* Ast/unit.scm 473 */
																																obj_t
																																	BgL_arg2605z00_2426;
																																BgL_arg2605z00_2426
																																	=
																																	MAKE_PAIR
																																	(BGl_string3370z00zzast_unitz00,
																																	BNIL);
																																BgL_arg2604z00_2425
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2600z00_2421,
																																	BgL_arg2605z00_2426);
																															}
																															BgL_arg2603z00_2424
																																=
																																MAKE_PAIR
																																(BGl_string3371z00zzast_unitz00,
																																BgL_arg2604z00_2425);
																														}
																														BgL_arg2602z00_2423
																															=
																															MAKE_PAIR
																															(BgL_arg2599z00_2420,
																															BgL_arg2603z00_2424);
																													}
																													BgL_list2601z00_2422 =
																														MAKE_PAIR
																														(BGl_string3372z00zzast_unitz00,
																														BgL_arg2602z00_2423);
																												}
																												BgL_arg2597z00_2418 =
																													BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																													(BgL_list2601z00_2422);
																										}}
																										{	/* Ast/unit.scm 478 */
																											obj_t BgL_arg2607z00_2432;

																											{	/* Ast/unit.scm 478 */
																												obj_t
																													BgL_arg2608z00_2433;
																												BgL_arg2608z00_2433 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 21)),
																													BNIL);
																												BgL_arg2607z00_2432 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 23)),
																													BgL_arg2608z00_2433);
																											}
																											BgL_arg2598z00_2419 =
																												MAKE_PAIR
																												(BgL_arg2607z00_2432,
																												BNIL);
																										}
																										BgL_arg2595z00_2416 =
																											MAKE_PAIR
																											(BgL_arg2597z00_2418,
																											BgL_arg2598z00_2419);
																									}
																									BgL_arg2591z00_2412 =
																										MAKE_PAIR
																										(BgL_arg2594z00_2415,
																										BgL_arg2595z00_2416);
																								}
																								BgL_arg2589z00_2410 =
																									MAKE_PAIR(BgL_arg2590z00_2411,
																									BgL_arg2591z00_2412);
																							}
																						BgL_arg2588z00_2409 =
																							MAKE_PAIR(BgL_arg2589z00_2410,
																							BNIL);
																					}
																					BgL_arg2587z00_2408 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								28)), BgL_arg2588z00_2409);
																				}
																				BgL_arg2550z00_2352 =
																					MAKE_PAIR(BgL_arg2587z00_2408, BNIL);
																			}
																			BgL_arg2547z00_2349 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2549z00_2351,
																				BgL_arg2550z00_2352);
																		}
																		BgL_arg2545z00_2347 =
																			MAKE_PAIR(BgL_arg2546z00_2348,
																			BgL_arg2547z00_2349);
																	}
																	BgL_arg2544z00_2346 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 29)),
																		BgL_arg2545z00_2347);
																}
																BgL_arg2530z00_2321 =
																	MAKE_PAIR(BgL_arg2544z00_2346, BNIL);
															}
															BgL_arg2528z00_2319 =
																MAKE_PAIR(BgL_arg2529z00_2320,
																BgL_arg2530z00_2321);
														}
														BgL_auxz00_6229 =
															MAKE_PAIR(BgL_arg2527z00_2318,
															BgL_arg2528z00_2319);
												}}
												BgL_auxz00_6228 =
													BGl_comptimezd2expandzd2zzexpand_epsz00
													(BgL_auxz00_6229);
											}
											BgL_arg2518z00_2306 =
												BGl_compilezd2expandzd2zzexpand_epsz00(BgL_auxz00_6228);
										}
										BgL_gz00_2304 =
											BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
											(BgL_idz00_2301, CNST_TABLE_REF(((long) 32)),
											BgL_arg2517z00_2305, BgL_modulez00_63, BgL_classz00_67,
											BgL_srcz00_66, CNST_TABLE_REF(((long) 33)),
											BgL_arg2518z00_2306);
									}
									{	/* Ast/unit.scm 482 */

										((((BgL_globalz00_bglt) CREF(BgL_gz00_2304))->
												BgL_evaluablezf3zf3) =
											((bool_t) ((bool_t) 0)), BUNSPEC);
										{	/* Ast/unit.scm 486 */
											BgL_typez00_bglt BgL_vz00_4866;

											BgL_vz00_4866 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_gz00_2304)))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4866), BUNSPEC);
										}
										return BgL_gz00_2304;
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-key-definition */
	obj_t BGl_makezd2sfunzd2keyzd2definitionzd2zzast_unitz00(obj_t BgL_keysz00_69,
		obj_t BgL_idz00_70, obj_t BgL_modulez00_71, obj_t BgL_argsz00_72,
		obj_t BgL_bodyz00_73, obj_t BgL_srcz00_74, obj_t BgL_classz00_75,
		obj_t BgL_locz00_76)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 492 */
			{	/* Ast/unit.scm 493 */
				obj_t BgL_localsz00_2468;

				{	/* Ast/unit.scm 493 */
					obj_t BgL_arg2628z00_2473;
					obj_t BgL_arg2629z00_2474;

					{	/* Ast/unit.scm 493 */
						obj_t BgL_l1971z00_2475;

						BgL_l1971z00_2475 =
							BGl_dssslzd2beforezd2dssslz00zztools_dssslz00(BgL_argsz00_72);
						if (NULLP(BgL_l1971z00_2475))
							{	/* Ast/unit.scm 493 */
								BgL_arg2628z00_2473 = BNIL;
							}
						else
							{	/* Ast/unit.scm 493 */
								obj_t BgL_head1973z00_2477;

								{	/* Ast/unit.scm 493 */
									obj_t BgL_res3293z00_4872;

									BgL_res3293z00_4872 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1973z00_2477 = BgL_res3293z00_4872;
								}
								{
									obj_t BgL_l1971z00_2479;
									obj_t BgL_tail1974z00_2480;

									BgL_l1971z00_2479 = BgL_l1971z00_2475;
									BgL_tail1974z00_2480 = BgL_head1973z00_2477;
								BgL_zc3anonymousza32631ze3z83_2481:
									if (NULLP(BgL_l1971z00_2479))
										{	/* Ast/unit.scm 493 */
											BgL_arg2628z00_2473 = CDR(BgL_head1973z00_2477);
										}
									else
										{	/* Ast/unit.scm 493 */
											obj_t BgL_newtail1975z00_2483;

											{	/* Ast/unit.scm 493 */
												BgL_localz00_bglt BgL_arg2635z00_2485;

												{	/* Ast/unit.scm 493 */
													obj_t BgL_az00_2486;

													BgL_az00_2486 = CAR(BgL_l1971z00_2479);
													{	/* Ast/unit.scm 494 */
														obj_t BgL_pidz00_2487;

														BgL_pidz00_2487 =
															BGl_checkzd2idzd2zzast_identz00
															(BGl_parsezd2idzd2zzast_identz00(BgL_az00_2486,
																BgL_locz00_76), BgL_srcz00_74);
														{	/* Ast/unit.scm 494 */
															obj_t BgL_idz00_2488;

															BgL_idz00_2488 = CAR(BgL_pidz00_2487);
															{	/* Ast/unit.scm 495 */
																obj_t BgL_typez00_2489;

																BgL_typez00_2489 = CDR(BgL_pidz00_2487);
																{	/* Ast/unit.scm 496 */

																	if (BGl_userzd2symbolzf3z21zzast_identz00
																		(BgL_idz00_2488))
																		{	/* Ast/unit.scm 497 */
																			BgL_arg2635z00_2485 =
																				BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																				(BgL_idz00_2488,
																				((BgL_typez00_bglt) BgL_typez00_2489));
																		}
																	else
																		{	/* Ast/unit.scm 497 */
																			BgL_arg2635z00_2485 =
																				BGl_makezd2localzd2svarz00zzast_localz00
																				(BgL_idz00_2488,
																				((BgL_typez00_bglt) BgL_typez00_2489));
																		}
																}
															}
														}
													}
												}
												{	/* Ast/unit.scm 493 */
													obj_t BgL_res3295z00_4881;

													BgL_res3295z00_4881 =
														MAKE_PAIR(((obj_t) BgL_arg2635z00_2485), BNIL);
													BgL_newtail1975z00_2483 = BgL_res3295z00_4881;
												}
											}
											SET_CDR(BgL_tail1974z00_2480, BgL_newtail1975z00_2483);
											{
												obj_t BgL_tail1974z00_6450;
												obj_t BgL_l1971z00_6448;

												BgL_l1971z00_6448 = CDR(BgL_l1971z00_2479);
												BgL_tail1974z00_6450 = BgL_newtail1975z00_2483;
												BgL_tail1974z00_2480 = BgL_tail1974z00_6450;
												BgL_l1971z00_2479 = BgL_l1971z00_6448;
												goto BgL_zc3anonymousza32631ze3z83_2481;
											}
										}
								}
							}
					}
					{	/* Ast/unit.scm 501 */
						obj_t BgL_head1978z00_2495;

						{	/* Ast/unit.scm 501 */
							obj_t BgL_res3297z00_4889;

							BgL_res3297z00_4889 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1978z00_2495 = BgL_res3297z00_4889;
						}
						{
							obj_t BgL_l1976z00_2497;
							obj_t BgL_tail1979z00_2498;

							BgL_l1976z00_2497 = BgL_keysz00_69;
							BgL_tail1979z00_2498 = BgL_head1978z00_2495;
						BgL_zc3anonymousza32639ze3z83_2499:
							if (NULLP(BgL_l1976z00_2497))
								{	/* Ast/unit.scm 501 */
									BgL_arg2629z00_2474 = CDR(BgL_head1978z00_2495);
								}
							else
								{	/* Ast/unit.scm 501 */
									obj_t BgL_newtail1980z00_2501;

									{	/* Ast/unit.scm 501 */
										BgL_localz00_bglt BgL_arg2642z00_2503;

										{	/* Ast/unit.scm 501 */
											obj_t BgL_oz00_2504;

											BgL_oz00_2504 = CAR(BgL_l1976z00_2497);
											{	/* Ast/unit.scm 502 */
												obj_t BgL_az00_2505;

												BgL_az00_2505 = CAR(BgL_oz00_2504);
												{	/* Ast/unit.scm 502 */
													obj_t BgL_pidz00_2506;

													BgL_pidz00_2506 =
														BGl_checkzd2idzd2zzast_identz00
														(BGl_parsezd2idzd2zzast_identz00(BgL_az00_2505,
															BgL_locz00_76), BgL_srcz00_74);
													{	/* Ast/unit.scm 503 */
														obj_t BgL_idz00_2507;

														BgL_idz00_2507 = CAR(BgL_pidz00_2506);
														{	/* Ast/unit.scm 504 */
															obj_t BgL_typez00_2508;

															BgL_typez00_2508 = CDR(BgL_pidz00_2506);
															{	/* Ast/unit.scm 505 */

																BgL_arg2642z00_2503 =
																	BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																	(BgL_idz00_2507,
																	((BgL_typez00_bglt) BgL_typez00_2508));
															}
														}
													}
												}
											}
										}
										{	/* Ast/unit.scm 501 */
											obj_t BgL_res3299z00_4899;

											BgL_res3299z00_4899 =
												MAKE_PAIR(((obj_t) BgL_arg2642z00_2503), BNIL);
											BgL_newtail1980z00_2501 = BgL_res3299z00_4899;
										}
									}
									SET_CDR(BgL_tail1979z00_2498, BgL_newtail1980z00_2501);
									{
										obj_t BgL_tail1979z00_6468;
										obj_t BgL_l1976z00_6466;

										BgL_l1976z00_6466 = CDR(BgL_l1976z00_2497);
										BgL_tail1979z00_6468 = BgL_newtail1980z00_2501;
										BgL_tail1979z00_2498 = BgL_tail1979z00_6468;
										BgL_l1976z00_2497 = BgL_l1976z00_6466;
										goto BgL_zc3anonymousza32639ze3z83_2499;
									}
								}
						}
					}
					BgL_localsz00_2468 =
						BGl_appendzd221011zd2zzast_unitz00(BgL_arg2628z00_2473,
						BgL_arg2629z00_2474);
				}
				{	/* Ast/unit.scm 493 */
					BgL_globalz00_bglt BgL_gloz00_2469;

					BgL_gloz00_2469 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_70,
						BgL_argsz00_72, BgL_localsz00_2468, BgL_modulez00_71,
						BgL_classz00_75, BgL_srcz00_74, CNST_TABLE_REF(((long) 8)),
						BgL_bodyz00_73);
					{	/* Ast/unit.scm 508 */
						BgL_globalz00_bglt BgL_cloz00_2470;

						BgL_cloz00_2470 =
							BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(
							((obj_t) BgL_gloz00_2469), BgL_keysz00_69, BgL_idz00_70,
							BgL_modulez00_71, BgL_argsz00_72, BgL_bodyz00_73, BgL_srcz00_74,
							BgL_classz00_75, BgL_locz00_76);
						{	/* Ast/unit.scm 509 */

							{	/* Ast/unit.scm 510 */
								obj_t BgL_list2626z00_2471;

								{	/* Ast/unit.scm 510 */
									obj_t BgL_arg2627z00_2472;

									BgL_arg2627z00_2472 =
										MAKE_PAIR(((obj_t) BgL_cloz00_2470), BNIL);
									BgL_list2626z00_2471 =
										MAKE_PAIR(((obj_t) BgL_gloz00_2469), BgL_arg2627z00_2472);
								}
								return BgL_list2626z00_2471;
							}
						}
					}
				}
			}
		}
	}



/* make-sfun-key-closure */
	BgL_globalz00_bglt BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00(obj_t
		BgL_gloz00_77, obj_t BgL_keysz00_78, obj_t BgL_idz00_79,
		obj_t BgL_modulez00_80, obj_t BgL_argsz00_81, obj_t BgL_bodyz00_82,
		obj_t BgL_srcz00_83, obj_t BgL_classz00_84, obj_t BgL_locz00_85)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 517 */
			{	/* Ast/unit.scm 518 */
				long BgL_arityz00_2511;
				obj_t BgL_ioptz00_2512;
				long BgL_loptz00_2513;
				obj_t BgL_lz00_2514;
				obj_t BgL_searchz00_2515;
				obj_t BgL_checkz00_2516;
				obj_t BgL_varz00_2517;

				BgL_arityz00_2511 =
					(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_77))))->
										BgL_valuez00)))))->BgL_arityz00);
				BgL_ioptz00_2512 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 21)));
				BgL_loptz00_2513 = bgl_list_length(BgL_keysz00_78);
				BgL_lz00_2514 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 34)));
				BgL_searchz00_2515 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 35)));
				BgL_checkz00_2516 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36)));
				BgL_varz00_2517 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)));
				{
					obj_t BgL_keysz00_2823;

					{

						{	/* Ast/unit.scm 594 */
							obj_t BgL_idz00_2520;

							{	/* Ast/unit.scm 594 */
								obj_t BgL_arg2651z00_2530;

								{	/* Ast/unit.scm 594 */
									obj_t BgL_arg2652z00_2531;
									obj_t BgL_arg2653z00_2532;

									{	/* Ast/unit.scm 594 */
										obj_t BgL_res3329z00_5017;

										{	/* Ast/unit.scm 594 */
											obj_t BgL_symbolz00_5015;

											BgL_symbolz00_5015 = CNST_TABLE_REF(((long) 30));
											{	/* Ast/unit.scm 594 */
												obj_t BgL_arg1265z00_5016;

												BgL_arg1265z00_5016 =
													SYMBOL_TO_STRING(BgL_symbolz00_5015);
												BgL_res3329z00_5017 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1265z00_5016);
										}}
										BgL_arg2652z00_2531 = BgL_res3329z00_5017;
									}
									{	/* Ast/unit.scm 594 */
										obj_t BgL_res3330z00_5020;

										{	/* Ast/unit.scm 594 */
											obj_t BgL_arg1265z00_5019;

											BgL_arg1265z00_5019 = SYMBOL_TO_STRING(BgL_idz00_79);
											BgL_res3330z00_5020 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1265z00_5019);
										}
										BgL_arg2653z00_2532 = BgL_res3330z00_5020;
									}
									BgL_arg2651z00_2530 =
										string_append(BgL_arg2652z00_2531, BgL_arg2653z00_2532);
								}
								BgL_idz00_2520 = bstring_to_symbol(BgL_arg2651z00_2530);
							}
							{	/* Ast/unit.scm 594 */
								BgL_localz00_bglt BgL_optz00_2521;

								BgL_optz00_2521 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_ioptz00_2512,
									((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00));
								{	/* Ast/unit.scm 595 */
									BgL_localz00_bglt BgL_envz00_2522;

									BgL_envz00_2522 =
										BGl_makezd2localzd2svarz00zzast_localz00(CNST_TABLE_REF((
												(long) 31)),
										((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00));
									{	/* Ast/unit.scm 596 */
										BgL_globalz00_bglt BgL_gz00_2523;

										{	/* Ast/unit.scm 597 */
											obj_t BgL_arg2644z00_2524;
											obj_t BgL_arg2645z00_2525;

											{	/* Ast/unit.scm 597 */
												obj_t BgL_list2646z00_2526;

												{	/* Ast/unit.scm 597 */
													obj_t BgL_arg2647z00_2527;

													BgL_arg2647z00_2527 =
														MAKE_PAIR(((obj_t) BgL_optz00_2521), BNIL);
													BgL_list2646z00_2526 =
														MAKE_PAIR(
														((obj_t) BgL_envz00_2522), BgL_arg2647z00_2527);
												}
												BgL_arg2644z00_2524 = BgL_list2646z00_2526;
											}
											{	/* Ast/unit.scm 599 */
												obj_t BgL_auxz00_6511;

												{	/* Ast/unit.scm 600 */
													obj_t BgL_auxz00_6512;

													{	/* Ast/unit.scm 531 */
														obj_t BgL_arg2655z00_2534;
														obj_t BgL_arg2656z00_2535;

														BgL_arg2655z00_2534 =
															BGl_letzd2symzd2zzast_letz00();
														{	/* Ast/unit.scm 531 */
															obj_t BgL_arg2657z00_2536;
															obj_t BgL_arg2658z00_2537;

															{	/* Ast/unit.scm 531 */
																obj_t BgL_arg2659z00_2538;

																{	/* Ast/unit.scm 531 */
																	obj_t BgL_arg2660z00_2539;

																	{	/* Ast/unit.scm 531 */
																		obj_t BgL_arg2661z00_2540;

																		{	/* Ast/unit.scm 531 */
																			obj_t BgL_arg2662z00_2541;

																			BgL_arg2662z00_2541 =
																				MAKE_PAIR(BgL_ioptz00_2512, BNIL);
																			BgL_arg2661z00_2540 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 38)),
																				BgL_arg2662z00_2541);
																		}
																		BgL_arg2660z00_2539 =
																			MAKE_PAIR(BgL_arg2661z00_2540, BNIL);
																	}
																	BgL_arg2659z00_2538 =
																		MAKE_PAIR(BgL_lz00_2514,
																		BgL_arg2660z00_2539);
																}
																BgL_arg2657z00_2536 =
																	MAKE_PAIR(BgL_arg2659z00_2538, BNIL);
															}
															{	/* Ast/unit.scm 532 */
																obj_t BgL_arg2663z00_2542;

																{	/* Ast/unit.scm 532 */
																	obj_t BgL_arg2664z00_2543;

																	{	/* Ast/unit.scm 532 */
																		obj_t BgL_arg2665z00_2544;
																		obj_t BgL_arg2666z00_2545;

																		{	/* Ast/unit.scm 532 */
																			obj_t BgL_arg2668z00_2546;

																			{	/* Ast/unit.scm 532 */
																				obj_t BgL_arg2669z00_2547;

																				{	/* Ast/unit.scm 532 */
																					obj_t BgL_arg2670z00_2548;
																					obj_t BgL_arg2671z00_2549;

																					{	/* Ast/unit.scm 532 */
																						obj_t BgL_arg2672z00_2550;

																						BgL_arg2672z00_2550 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									39)), BNIL);
																						BgL_arg2670z00_2548 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									40)), BgL_arg2672z00_2550);
																					}
																					{	/* Ast/unit.scm 533 */
																						obj_t BgL_arg2673z00_2551;

																						{	/* Ast/unit.scm 533 */
																							obj_t BgL_arg2674z00_2552;

																							{	/* Ast/unit.scm 533 */
																								obj_t BgL_arg2675z00_2553;
																								obj_t BgL_arg2676z00_2554;

																								{	/* Ast/unit.scm 533 */
																									obj_t BgL_arg2677z00_2555;

																									{	/* Ast/unit.scm 533 */
																										obj_t BgL_arg2678z00_2556;

																										BgL_arg2678z00_2556 =
																											MAKE_PAIR(BgL_lz00_2514,
																											BNIL);
																										BgL_arg2677z00_2555 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 39)),
																											BgL_arg2678z00_2556);
																									}
																									BgL_arg2675z00_2553 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 41)),
																										BgL_arg2677z00_2555);
																								}
																								{	/* Ast/unit.scm 535 */
																									obj_t BgL_arg2679z00_2557;

																									{	/* Ast/unit.scm 535 */
																										obj_t BgL_arg2680z00_2558;

																										{	/* Ast/unit.scm 535 */
																											bool_t BgL_testz00_6529;

																											if (CBOOL
																												(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																												{	/* Ast/unit.scm 536 */
																													bool_t
																														BgL__ortest_1117z00_2643;
																													if ((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt) BgL_gloz00_77)))->BgL_evaluablezf3zf3))
																														{	/* Ast/unit.scm 536 */
																															BgL__ortest_1117z00_2643
																																= ((bool_t) 0);
																														}
																													else
																														{	/* Ast/unit.scm 536 */
																															BgL__ortest_1117z00_2643
																																= ((bool_t) 1);
																														}
																													if (BgL__ortest_1117z00_2643)
																														{	/* Ast/unit.scm 536 */
																															BgL_testz00_6529 =
																																BgL__ortest_1117z00_2643;
																														}
																													else
																														{	/* Ast/unit.scm 536 */
																															BgL_testz00_6529 =
																																CBOOL
																																(BGl_za2unsafezd2evalza2zd2zzengine_paramz00);
																														}
																												}
																											else
																												{	/* Ast/unit.scm 535 */
																													BgL_testz00_6529 =
																														((bool_t) 0);
																												}
																											if (BgL_testz00_6529)
																												{	/* Ast/unit.scm 538 */
																													obj_t
																														BgL_arg2682z00_2560;
																													obj_t
																														BgL_arg2683z00_2561;
																													BgL_arg2682z00_2560 =
																														BGl_letzd2symzd2zzast_letz00
																														();
																													{	/* Ast/unit.scm 538 */
																														obj_t
																															BgL_arg2684z00_2562;
																														obj_t
																															BgL_arg2685z00_2563;
																														{	/* Ast/unit.scm 538 */
																															obj_t
																																BgL_arg2686z00_2564;
																															{	/* Ast/unit.scm 538 */
																																obj_t
																																	BgL_arg2687z00_2565;
																																{	/* Ast/unit.scm 538 */
																																	obj_t
																																		BgL_arg2688z00_2566;
																																	{	/* Ast/unit.scm 538 */
																																		obj_t
																																			BgL_arg2689z00_2567;
																																		{	/* Ast/unit.scm 538 */
																																			obj_t
																																				BgL_arg2690z00_2568;
																																			BgL_arg2690z00_2568
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						39)),
																																				BNIL);
																																			BgL_arg2689z00_2567
																																				=
																																				MAKE_PAIR
																																				(BgL_ioptz00_2512,
																																				BgL_arg2690z00_2568);
																																		}
																																		BgL_arg2688z00_2566
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					22)),
																																			BgL_arg2689z00_2567);
																																	}
																																	BgL_arg2687z00_2565
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2688z00_2566,
																																		BNIL);
																																}
																																BgL_arg2686z00_2564
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 42)),
																																	BgL_arg2687z00_2565);
																															}
																															BgL_arg2684z00_2562
																																=
																																MAKE_PAIR
																																(BgL_arg2686z00_2564,
																																BNIL);
																														}
																														{	/* Ast/unit.scm 539 */
																															obj_t
																																BgL_arg2691z00_2569;
																															{	/* Ast/unit.scm 539 */
																																obj_t
																																	BgL_arg2692z00_2570;
																																{	/* Ast/unit.scm 539 */
																																	obj_t
																																		BgL_arg2693z00_2571;
																																	obj_t
																																		BgL_arg2694z00_2572;
																																	{	/* Ast/unit.scm 539 */
																																		obj_t
																																			BgL_arg2695z00_2573;
																																		{	/* Ast/unit.scm 539 */
																																			obj_t
																																				BgL_arg2696z00_2574;
																																			BgL_arg2696z00_2574
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						40)),
																																				BNIL);
																																			BgL_arg2695z00_2573
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						42)),
																																				BgL_arg2696z00_2574);
																																		}
																																		BgL_arg2693z00_2571
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					43)),
																																			BgL_arg2695z00_2573);
																																	}
																																	{	/* Ast/unit.scm 540 */
																																		obj_t
																																			BgL_arg2697z00_2575;
																																		obj_t
																																			BgL_arg2698z00_2576;
																																		{	/* Ast/unit.scm 540 */
																																			obj_t
																																				BgL_arg2699z00_2577;
																																			{	/* Ast/unit.scm 540 */
																																				obj_t
																																					BgL_arg2700z00_2578;
																																				BgL_arg2700z00_2578
																																					=
																																					MAKE_PAIR
																																					(BINT(
																																						((long) 1)), BNIL);
																																				BgL_arg2699z00_2577
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 39)), BgL_arg2700z00_2578);
																																			}
																																			BgL_arg2697z00_2575
																																				=
																																				MAKE_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						44)),
																																				BgL_arg2699z00_2577);
																																		}
																																		{	/* Ast/unit.scm 541 */
																																			obj_t
																																				BgL_arg2701z00_2579;
																																			{	/* Ast/unit.scm 541 */
																																				obj_t
																																					BgL_arg2703z00_2580;
																																				{	/* Ast/unit.scm 541 */
																																					obj_t
																																						BgL_arg2704z00_2581;
																																					{	/* Ast/unit.scm 541 */
																																						obj_t
																																							BgL_arg2705z00_2582;
																																						{	/* Ast/unit.scm 541 */
																																							obj_t
																																								BgL_arg2706z00_2583;
																																							{	/* Ast/unit.scm 541 */
																																								obj_t
																																									BgL_arg2707z00_2584;
																																								BgL_arg2707z00_2584
																																									=
																																									MAKE_PAIR
																																									(BINT
																																									(((long) 2)), BNIL);
																																								BgL_arg2706z00_2583
																																									=
																																									MAKE_PAIR
																																									(CNST_TABLE_REF
																																									(((long) 39)), BgL_arg2707z00_2584);
																																							}
																																							BgL_arg2705z00_2582
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 44)), BgL_arg2706z00_2583);
																																						}
																																						BgL_arg2704z00_2581
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2705z00_2582,
																																							BNIL);
																																					}
																																					BgL_arg2703z00_2580
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 40)), BgL_arg2704z00_2581);
																																				}
																																				BgL_arg2701z00_2579
																																					=
																																					MAKE_PAIR
																																					(BgL_searchz00_2515,
																																					BgL_arg2703z00_2580);
																																			}
																																			BgL_arg2698z00_2576
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2701z00_2579,
																																				BNIL);
																																		}
																																		BgL_arg2694z00_2572
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2697z00_2575,
																																			BgL_arg2698z00_2576);
																																	}
																																	BgL_arg2692z00_2570
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2693z00_2571,
																																		BgL_arg2694z00_2572);
																																}
																																BgL_arg2691z00_2569
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 3)),
																																	BgL_arg2692z00_2570);
																															}
																															BgL_arg2685z00_2563
																																=
																																MAKE_PAIR
																																(BgL_arg2691z00_2569,
																																BNIL);
																														}
																														BgL_arg2683z00_2561
																															=
																															MAKE_PAIR
																															(BgL_arg2684z00_2562,
																															BgL_arg2685z00_2563);
																													}
																													BgL_arg2680z00_2558 =
																														MAKE_PAIR
																														(BgL_arg2682z00_2560,
																														BgL_arg2683z00_2561);
																												}
																											else
																												{	/* Ast/unit.scm 542 */
																													obj_t
																														BgL_arg2708z00_2585;
																													{	/* Ast/unit.scm 542 */
																														obj_t
																															BgL_arg2709z00_2586;
																														obj_t
																															BgL_arg2710z00_2587;
																														{	/* Ast/unit.scm 542 */
																															obj_t
																																BgL_arg2711z00_2588;
																															{	/* Ast/unit.scm 542 */
																																obj_t
																																	BgL_arg2713z00_2589;
																																{	/* Ast/unit.scm 542 */
																																	obj_t
																																		BgL_arg2714z00_2590;
																																	{	/* Ast/unit.scm 542 */
																																		obj_t
																																			BgL_arg2715z00_2591;
																																		{	/* Ast/unit.scm 542 */
																																			obj_t
																																				BgL_arg2716z00_2592;
																																			BgL_arg2716z00_2592
																																				=
																																				MAKE_PAIR
																																				(BINT((
																																						(long)
																																						1)),
																																				BNIL);
																																			BgL_arg2715z00_2591
																																				=
																																				MAKE_PAIR
																																				(BgL_lz00_2514,
																																				BgL_arg2716z00_2592);
																																		}
																																		BgL_arg2714z00_2590
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					45)),
																																			BgL_arg2715z00_2591);
																																	}
																																	BgL_arg2713z00_2589
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2714z00_2590,
																																		BNIL);
																																}
																																BgL_arg2711z00_2588
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 39)),
																																	BgL_arg2713z00_2589);
																															}
																															BgL_arg2709z00_2586
																																=
																																MAKE_PAIR
																																(CNST_TABLE_REF(
																																	((long) 41)),
																																BgL_arg2711z00_2588);
																														}
																														{	/* Ast/unit.scm 543 */
																															obj_t
																																BgL_arg2717z00_2593;
																															obj_t
																																BgL_arg2718z00_2594;
																															{	/* Ast/unit.scm 543 */
																																obj_t
																																	BgL_arg2719z00_2595;
																																obj_t
																																	BgL_arg2720z00_2596;
																																{	/* Ast/unit.scm 543 */
																																	obj_t
																																		BgL_arg2721z00_2597;
																																	{	/* Ast/unit.scm 543 */
																																		obj_t
																																			BgL_arg2722z00_2598;
																																		BgL_arg2722z00_2598
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					25)),
																																			BNIL);
																																		BgL_arg2721z00_2597
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					26)),
																																			BgL_arg2722z00_2598);
																																	}
																																	BgL_arg2719z00_2595
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				0)),
																																		BgL_arg2721z00_2597);
																																}
																																{	/* Ast/unit.scm 544 */
																																	obj_t
																																		BgL_arg2723z00_2599;
																																	obj_t
																																		BgL_arg2724z00_2600;
																																	{	/* Ast/unit.scm 544 */
																																		obj_t
																																			BgL_arg2726z00_2601;
																																		BgL_arg2726z00_2601
																																			=
																																			MAKE_PAIR
																																			(BgL_idz00_79,
																																			BNIL);
																																		BgL_arg2723z00_2599
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					27)),
																																			BgL_arg2726z00_2601);
																																	}
																																	{	/* Ast/unit.scm 547 */
																																		obj_t
																																			BgL_arg2727z00_2602;
																																		obj_t
																																			BgL_arg2728z00_2603;
																																		{	/* Ast/unit.scm 547 */
																																			obj_t
																																				BgL_arg2729z00_2604;
																																			obj_t
																																				BgL_arg2730z00_2605;
																																			{	/* Ast/unit.scm 547 */

																																				BgL_arg2729z00_2604
																																					=
																																					BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																					(BgL_arityz00_2511,
																																					((long) 10));
																																			}
																																			{	/* Ast/unit.scm 548 */

																																				BgL_arg2730z00_2605
																																					=
																																					BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
																																					(
																																					(long)
																																					CINT
																																					(BGl_2zb2zb2zz__r4_numbers_6_5z00
																																						(BINT
																																							(BgL_arityz00_2511),
																																							BINT
																																							(BgL_loptz00_2513))),
																																					((long) 10));
																																			}
																																			{	/* Ast/unit.scm 545 */
																																				obj_t
																																					BgL_list2731z00_2606;
																																				{	/* Ast/unit.scm 545 */
																																					obj_t
																																						BgL_arg2732z00_2607;
																																					{	/* Ast/unit.scm 545 */
																																						obj_t
																																							BgL_arg2733z00_2608;
																																						{	/* Ast/unit.scm 545 */
																																							obj_t
																																								BgL_arg2734z00_2609;
																																							{	/* Ast/unit.scm 545 */
																																								obj_t
																																									BgL_arg2735z00_2610;
																																								BgL_arg2735z00_2610
																																									=
																																									MAKE_PAIR
																																									(BGl_string3370z00zzast_unitz00,
																																									BNIL);
																																								BgL_arg2734z00_2609
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2730z00_2605,
																																									BgL_arg2735z00_2610);
																																							}
																																							BgL_arg2733z00_2608
																																								=
																																								MAKE_PAIR
																																								(BGl_string3371z00zzast_unitz00,
																																								BgL_arg2734z00_2609);
																																						}
																																						BgL_arg2732z00_2607
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2729z00_2604,
																																							BgL_arg2733z00_2608);
																																					}
																																					BgL_list2731z00_2606
																																						=
																																						MAKE_PAIR
																																						(BGl_string3372z00zzast_unitz00,
																																						BgL_arg2732z00_2607);
																																				}
																																				BgL_arg2727z00_2602
																																					=
																																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																					(BgL_list2731z00_2606);
																																		}}
																																		{	/* Ast/unit.scm 550 */
																																			obj_t
																																				BgL_arg2737z00_2616;
																																			{	/* Ast/unit.scm 550 */
																																				obj_t
																																					BgL_arg2738z00_2617;
																																				BgL_arg2738z00_2617
																																					=
																																					MAKE_PAIR
																																					(BgL_ioptz00_2512,
																																					BNIL);
																																				BgL_arg2737z00_2616
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 23)), BgL_arg2738z00_2617);
																																			}
																																			BgL_arg2728z00_2603
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2737z00_2616,
																																				BNIL);
																																		}
																																		BgL_arg2724z00_2600
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2727z00_2602,
																																			BgL_arg2728z00_2603);
																																	}
																																	BgL_arg2720z00_2596
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2723z00_2599,
																																		BgL_arg2724z00_2600);
																																}
																																BgL_arg2717z00_2593
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2719z00_2595,
																																	BgL_arg2720z00_2596);
																															}
																															{	/* Ast/unit.scm 551 */
																																obj_t
																																	BgL_arg2739z00_2618;
																																{	/* Ast/unit.scm 551 */
																																	obj_t
																																		BgL_arg2740z00_2619;
																																	{	/* Ast/unit.scm 551 */
																																		obj_t
																																			BgL_arg2741z00_2620;
																																		obj_t
																																			BgL_arg2742z00_2621;
																																		{	/* Ast/unit.scm 551 */
																																			obj_t
																																				BgL_arg2743z00_2622;
																																			{	/* Ast/unit.scm 551 */
																																				obj_t
																																					BgL_arg2744z00_2623;
																																				{	/* Ast/unit.scm 551 */
																																					obj_t
																																						BgL_arg2745z00_2624;
																																					{	/* Ast/unit.scm 551 */
																																						obj_t
																																							BgL_arg2746z00_2625;
																																						{	/* Ast/unit.scm 551 */
																																							obj_t
																																								BgL_arg2747z00_2626;
																																							BgL_arg2747z00_2626
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 39)), BNIL);
																																							BgL_arg2746z00_2625
																																								=
																																								MAKE_PAIR
																																								(BgL_ioptz00_2512,
																																								BgL_arg2747z00_2626);
																																						}
																																						BgL_arg2745z00_2624
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 22)), BgL_arg2746z00_2625);
																																					}
																																					BgL_arg2744z00_2623
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2745z00_2624,
																																						BNIL);
																																				}
																																				BgL_arg2743z00_2622
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 42)), BgL_arg2744z00_2623);
																																			}
																																			BgL_arg2741z00_2620
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2743z00_2622,
																																				BNIL);
																																		}
																																		{	/* Ast/unit.scm 552 */
																																			obj_t
																																				BgL_arg2749z00_2627;
																																			{	/* Ast/unit.scm 552 */
																																				obj_t
																																					BgL_arg2750z00_2628;
																																				{	/* Ast/unit.scm 552 */
																																					obj_t
																																						BgL_arg2751z00_2629;
																																					obj_t
																																						BgL_arg2752z00_2630;
																																					{	/* Ast/unit.scm 552 */
																																						obj_t
																																							BgL_arg2753z00_2631;
																																						{	/* Ast/unit.scm 552 */
																																							obj_t
																																								BgL_arg2754z00_2632;
																																							BgL_arg2754z00_2632
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 40)), BNIL);
																																							BgL_arg2753z00_2631
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 42)), BgL_arg2754z00_2632);
																																						}
																																						BgL_arg2751z00_2629
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 43)), BgL_arg2753z00_2631);
																																					}
																																					{	/* Ast/unit.scm 553 */
																																						obj_t
																																							BgL_arg2755z00_2633;
																																						obj_t
																																							BgL_arg2756z00_2634;
																																						{	/* Ast/unit.scm 553 */
																																							obj_t
																																								BgL_arg2757z00_2635;
																																							{	/* Ast/unit.scm 553 */
																																								obj_t
																																									BgL_arg2758z00_2636;
																																								BgL_arg2758z00_2636
																																									=
																																									MAKE_PAIR
																																									(BINT
																																									(((long) 1)), BNIL);
																																								BgL_arg2757z00_2635
																																									=
																																									MAKE_PAIR
																																									(CNST_TABLE_REF
																																									(((long) 39)), BgL_arg2758z00_2636);
																																							}
																																							BgL_arg2755z00_2633
																																								=
																																								MAKE_PAIR
																																								(CNST_TABLE_REF
																																								(((long) 44)), BgL_arg2757z00_2635);
																																						}
																																						{	/* Ast/unit.scm 554 */
																																							obj_t
																																								BgL_arg2759z00_2637;
																																							{	/* Ast/unit.scm 554 */
																																								obj_t
																																									BgL_arg2760z00_2638;
																																								{	/* Ast/unit.scm 554 */
																																									obj_t
																																										BgL_arg2761z00_2639;
																																									{	/* Ast/unit.scm 554 */
																																										obj_t
																																											BgL_arg2762z00_2640;
																																										{	/* Ast/unit.scm 554 */
																																											obj_t
																																												BgL_arg2763z00_2641;
																																											{	/* Ast/unit.scm 554 */
																																												obj_t
																																													BgL_arg2764z00_2642;
																																												BgL_arg2764z00_2642
																																													=
																																													MAKE_PAIR
																																													(BINT
																																													(((long) 2)), BNIL);
																																												BgL_arg2763z00_2641
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 39)), BgL_arg2764z00_2642);
																																											}
																																											BgL_arg2762z00_2640
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 44)), BgL_arg2763z00_2641);
																																										}
																																										BgL_arg2761z00_2639
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2762z00_2640,
																																											BNIL);
																																									}
																																									BgL_arg2760z00_2638
																																										=
																																										MAKE_PAIR
																																										(CNST_TABLE_REF
																																										(((long) 40)), BgL_arg2761z00_2639);
																																								}
																																								BgL_arg2759z00_2637
																																									=
																																									MAKE_PAIR
																																									(BgL_searchz00_2515,
																																									BgL_arg2760z00_2638);
																																							}
																																							BgL_arg2756z00_2634
																																								=
																																								MAKE_PAIR
																																								(BgL_arg2759z00_2637,
																																								BNIL);
																																						}
																																						BgL_arg2752z00_2630
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2755z00_2633,
																																							BgL_arg2756z00_2634);
																																					}
																																					BgL_arg2750z00_2628
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2751z00_2629,
																																						BgL_arg2752z00_2630);
																																				}
																																				BgL_arg2749z00_2627
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 3)), BgL_arg2750z00_2628);
																																			}
																																			BgL_arg2742z00_2621
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2749z00_2627,
																																				BNIL);
																																		}
																																		BgL_arg2740z00_2619
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2741z00_2620,
																																			BgL_arg2742z00_2621);
																																	}
																																	BgL_arg2739z00_2618
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				46)),
																																		BgL_arg2740z00_2619);
																																}
																																BgL_arg2718z00_2594
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2739z00_2618,
																																	BNIL);
																															}
																															BgL_arg2710z00_2587
																																=
																																MAKE_PAIR
																																(BgL_arg2717z00_2593,
																																BgL_arg2718z00_2594);
																														}
																														BgL_arg2708z00_2585
																															=
																															MAKE_PAIR
																															(BgL_arg2709z00_2586,
																															BgL_arg2710z00_2587);
																													}
																													BgL_arg2680z00_2558 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 3)),
																														BgL_arg2708z00_2585);
																										}}
																										BgL_arg2679z00_2557 =
																											MAKE_PAIR
																											(BgL_arg2680z00_2558,
																											BNIL);
																									}
																									BgL_arg2676z00_2554 =
																										MAKE_PAIR(BINT(((long) -1)),
																										BgL_arg2679z00_2557);
																								}
																								BgL_arg2674z00_2552 =
																									MAKE_PAIR(BgL_arg2675z00_2553,
																									BgL_arg2676z00_2554);
																							}
																							BgL_arg2673z00_2551 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										3)), BgL_arg2674z00_2552);
																						}
																						BgL_arg2671z00_2549 =
																							MAKE_PAIR(BgL_arg2673z00_2551,
																							BNIL);
																					}
																					BgL_arg2669z00_2547 =
																						MAKE_PAIR(BgL_arg2670z00_2548,
																						BgL_arg2671z00_2549);
																				}
																				BgL_arg2668z00_2546 =
																					MAKE_PAIR(BgL_searchz00_2515,
																					BgL_arg2669z00_2547);
																			}
																			BgL_arg2665z00_2544 =
																				MAKE_PAIR(BgL_arg2668z00_2546, BNIL);
																		}
																		{	/* Ast/unit.scm 555 */
																			obj_t BgL_arg2766z00_2645;

																			{	/* Ast/unit.scm 555 */
																				obj_t BgL_arg2767z00_2646;

																				{	/* Ast/unit.scm 555 */
																					obj_t BgL_arg2768z00_2647;
																					obj_t BgL_arg2769z00_2648;

																					{	/* Ast/unit.scm 555 */
																						obj_t BgL_ll1986z00_2649;
																						obj_t BgL_ll1987z00_2650;

																						BgL_ll1986z00_2649 =
																							BGl_takez00zz__r4_pairs_and_lists_6_3z00
																							((((BgL_sfunz00_bglt)
																									CREF(((BgL_sfunz00_bglt) ((
																													(BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_gloz00_77))))->BgL_valuez00))))->BgL_argszd2namezd2), BgL_arityz00_2511);
																						BgL_ll1987z00_2650 =
																							BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																							((int) (BgL_arityz00_2511), BNIL);
																						if (NULLP(BgL_ll1986z00_2649))
																							{	/* Ast/unit.scm 555 */
																								BgL_arg2768z00_2647 = BNIL;
																							}
																						else
																							{	/* Ast/unit.scm 555 */
																								obj_t BgL_head1988z00_2652;

																								{	/* Ast/unit.scm 555 */
																									obj_t BgL_res3310z00_4939;

																									BgL_res3310z00_4939 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_head1988z00_2652 =
																										BgL_res3310z00_4939;
																								}
																								{
																									obj_t BgL_ll1986z00_2654;
																									obj_t BgL_ll1987z00_2655;
																									obj_t BgL_tail1989z00_2656;

																									BgL_ll1986z00_2654 =
																										BgL_ll1986z00_2649;
																									BgL_ll1987z00_2655 =
																										BgL_ll1987z00_2650;
																									BgL_tail1989z00_2656 =
																										BgL_head1988z00_2652;
																								BgL_zc3anonymousza32771ze3z83_2657:
																									if (NULLP
																										(BgL_ll1986z00_2654))
																										{	/* Ast/unit.scm 555 */
																											BgL_arg2768z00_2647 =
																												CDR
																												(BgL_head1988z00_2652);
																										}
																									else
																										{	/* Ast/unit.scm 555 */
																											obj_t
																												BgL_newtail1990z00_2659;
																											{	/* Ast/unit.scm 555 */
																												obj_t
																													BgL_arg2775z00_2662;
																												{	/* Ast/unit.scm 555 */
																													obj_t BgL_vz00_2663;
																													obj_t BgL_iz00_2664;

																													BgL_vz00_2663 =
																														CAR
																														(BgL_ll1986z00_2654);
																													BgL_iz00_2664 =
																														CAR
																														(BgL_ll1987z00_2655);
																													{	/* Ast/unit.scm 556 */
																														obj_t
																															BgL_arg2776z00_2665;
																														{	/* Ast/unit.scm 556 */
																															obj_t
																																BgL_arg2777z00_2666;
																															{	/* Ast/unit.scm 556 */
																																obj_t
																																	BgL_arg2778z00_2667;
																																{	/* Ast/unit.scm 556 */
																																	obj_t
																																		BgL_arg2779z00_2668;
																																	BgL_arg2779z00_2668
																																		=
																																		MAKE_PAIR
																																		(BgL_iz00_2664,
																																		BNIL);
																																	BgL_arg2778z00_2667
																																		=
																																		MAKE_PAIR
																																		(BgL_ioptz00_2512,
																																		BgL_arg2779z00_2668);
																																}
																																BgL_arg2777z00_2666
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 22)),
																																	BgL_arg2778z00_2667);
																															}
																															BgL_arg2776z00_2665
																																=
																																MAKE_PAIR
																																(BgL_arg2777z00_2666,
																																BNIL);
																														}
																														BgL_arg2775z00_2662
																															=
																															MAKE_PAIR
																															(BgL_vz00_2663,
																															BgL_arg2776z00_2665);
																												}}
																												{	/* Ast/unit.scm 555 */
																													obj_t
																														BgL_res3312z00_4947;
																													BgL_res3312z00_4947 =
																														MAKE_PAIR
																														(BgL_arg2775z00_2662,
																														BNIL);
																													BgL_newtail1990z00_2659
																														=
																														BgL_res3312z00_4947;
																											}}
																											SET_CDR
																												(BgL_tail1989z00_2656,
																												BgL_newtail1990z00_2659);
																											{
																												obj_t
																													BgL_tail1989z00_6698;
																												obj_t
																													BgL_ll1987z00_6696;
																												obj_t
																													BgL_ll1986z00_6694;
																												BgL_ll1986z00_6694 =
																													CDR
																													(BgL_ll1986z00_2654);
																												BgL_ll1987z00_6696 =
																													CDR
																													(BgL_ll1987z00_2655);
																												BgL_tail1989z00_6698 =
																													BgL_newtail1990z00_2659;
																												BgL_tail1989z00_2656 =
																													BgL_tail1989z00_6698;
																												BgL_ll1987z00_2655 =
																													BgL_ll1987z00_6696;
																												BgL_ll1986z00_2654 =
																													BgL_ll1986z00_6694;
																												goto
																													BgL_zc3anonymousza32771ze3z83_2657;
																											}
																										}
																								}
																							}
																					}
																					{	/* Ast/unit.scm 559 */
																						obj_t BgL_arg2783z00_2673;

																						{	/* Ast/unit.scm 559 */
																							obj_t BgL_arg2784z00_2674;

																							{	/* Ast/unit.scm 559 */
																								obj_t BgL_arg2785z00_2675;
																								obj_t BgL_arg2786z00_2676;

																								{	/* Ast/unit.scm 559 */
																									obj_t BgL_head1994z00_2679;

																									{	/* Ast/unit.scm 559 */
																										obj_t BgL_res3314z00_4956;

																										BgL_res3314z00_4956 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_head1994z00_2679 =
																											BgL_res3314z00_4956;
																									}
																									{
																										obj_t BgL_l1992z00_2681;
																										obj_t BgL_tail1995z00_2682;

																										BgL_l1992z00_2681 =
																											BgL_keysz00_78;
																										BgL_tail1995z00_2682 =
																											BgL_head1994z00_2679;
																									BgL_zc3anonymousza32788ze3z83_2683:
																										if (NULLP
																											(BgL_l1992z00_2681))
																											{	/* Ast/unit.scm 559 */
																												BgL_arg2785z00_2675 =
																													CDR
																													(BgL_head1994z00_2679);
																											}
																										else
																											{	/* Ast/unit.scm 559 */
																												obj_t
																													BgL_newtail1996z00_2685;
																												{	/* Ast/unit.scm 559 */
																													obj_t
																														BgL_arg2791z00_2687;
																													{	/* Ast/unit.scm 559 */
																														obj_t BgL_pz00_2688;

																														BgL_pz00_2688 =
																															CAR
																															(BgL_l1992z00_2681);
																														{	/* Ast/unit.scm 559 */
																															obj_t
																																BgL_arg2792z00_2689;
																															obj_t
																																BgL_arg2793z00_2690;
																															BgL_arg2792z00_2689
																																=
																																CAR
																																(BgL_pz00_2688);
																															BgL_arg2793z00_2690
																																=
																																CAR(CDR
																																(BgL_pz00_2688));
																															{	/* Ast/unit.scm 559 */
																																obj_t
																																	BgL_list2794z00_2691;
																																{	/* Ast/unit.scm 559 */
																																	obj_t
																																		BgL_arg2795z00_2692;
																																	BgL_arg2795z00_2692
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2793z00_2690,
																																		BNIL);
																																	BgL_list2794z00_2691
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2792z00_2689,
																																		BgL_arg2795z00_2692);
																																}
																																BgL_arg2791z00_2687
																																	=
																																	BgL_list2794z00_2691;
																															}
																														}
																													}
																													{	/* Ast/unit.scm 559 */
																														obj_t
																															BgL_res3317z00_4970;
																														BgL_res3317z00_4970
																															=
																															MAKE_PAIR
																															(BgL_arg2791z00_2687,
																															BNIL);
																														BgL_newtail1996z00_2685
																															=
																															BgL_res3317z00_4970;
																													}
																												}
																												SET_CDR
																													(BgL_tail1995z00_2682,
																													BgL_newtail1996z00_2685);
																												{
																													obj_t
																														BgL_tail1995z00_6713;
																													obj_t
																														BgL_l1992z00_6711;
																													BgL_l1992z00_6711 =
																														CDR
																														(BgL_l1992z00_2681);
																													BgL_tail1995z00_6713 =
																														BgL_newtail1996z00_2685;
																													BgL_tail1995z00_2682 =
																														BgL_tail1995z00_6713;
																													BgL_l1992z00_2681 =
																														BgL_l1992z00_6711;
																													goto
																														BgL_zc3anonymousza32788ze3z83_2683;
																												}
																											}
																									}
																								}
																								{	/* Ast/unit.scm 561 */
																									obj_t BgL_arg2796z00_2694;
																									obj_t BgL_arg2797z00_2695;

																									{	/* Ast/unit.scm 561 */
																										bool_t BgL_testz00_6714;

																										if (CBOOL
																											(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
																											{	/* Ast/unit.scm 562 */
																												bool_t
																													BgL__ortest_1118z00_2745;
																												if ((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt) BgL_gloz00_77)))->BgL_evaluablezf3zf3))
																													{	/* Ast/unit.scm 562 */
																														BgL__ortest_1118z00_2745
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Ast/unit.scm 562 */
																														BgL__ortest_1118z00_2745
																															= ((bool_t) 1);
																													}
																												if (BgL__ortest_1118z00_2745)
																													{	/* Ast/unit.scm 562 */
																														BgL_testz00_6714 =
																															BgL__ortest_1118z00_2745;
																													}
																												else
																													{	/* Ast/unit.scm 562 */
																														BgL_testz00_6714 =
																															CBOOL
																															(BGl_za2unsafezd2evalza2zd2zzengine_paramz00);
																													}
																											}
																										else
																											{	/* Ast/unit.scm 561 */
																												BgL_testz00_6714 =
																													((bool_t) 0);
																											}
																										if (BgL_testz00_6714)
																											{	/* Ast/unit.scm 561 */
																												BgL_arg2796z00_2694 =
																													BUNSPEC;
																											}
																										else
																											{	/* Ast/unit.scm 565 */
																												obj_t
																													BgL_arg2799z00_2697;
																												{	/* Ast/unit.scm 565 */
																													obj_t
																														BgL_arg2800z00_2698;
																													obj_t
																														BgL_arg2801z00_2699;
																													{	/* Ast/unit.scm 565 */
																														obj_t
																															BgL_arg2802z00_2700;
																														{	/* Ast/unit.scm 565 */
																															obj_t
																																BgL_arg2803z00_2701;
																															{	/* Ast/unit.scm 565 */
																																obj_t
																																	BgL_arg2804z00_2702;
																																obj_t
																																	BgL_arg2805z00_2703;
																																BgL_arg2804z00_2702
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 39)),
																																	BNIL);
																																{	/* Ast/unit.scm 566 */
																																	obj_t
																																		BgL_arg2806z00_2704;
																																	{	/* Ast/unit.scm 566 */
																																		obj_t
																																			BgL_arg2808z00_2705;
																																		{	/* Ast/unit.scm 566 */
																																			obj_t
																																				BgL_arg2809z00_2706;
																																			obj_t
																																				BgL_arg2810z00_2707;
																																			{	/* Ast/unit.scm 566 */
																																				obj_t
																																					BgL_arg2812z00_2708;
																																				{	/* Ast/unit.scm 566 */
																																					obj_t
																																						BgL_arg2813z00_2709;
																																					BgL_arg2813z00_2709
																																						=
																																						MAKE_PAIR
																																						(BgL_lz00_2514,
																																						BNIL);
																																					BgL_arg2812z00_2708
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 39)), BgL_arg2813z00_2709);
																																				}
																																				BgL_arg2809z00_2706
																																					=
																																					MAKE_PAIR
																																					(CNST_TABLE_REF
																																					(((long) 41)), BgL_arg2812z00_2708);
																																			}
																																			{	/* Ast/unit.scm 567 */
																																				obj_t
																																					BgL_arg2814z00_2710;
																																				obj_t
																																					BgL_arg2815z00_2711;
																																				{	/* Ast/unit.scm 567 */
																																					obj_t
																																						BgL_arg2816z00_2712;
																																					BgL_arg2816z00_2712
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_arg2814z00_2710
																																						=
																																						MAKE_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 27)), BgL_arg2816z00_2712);
																																				}
																																				{	/* Ast/unit.scm 568 */
																																					obj_t
																																						BgL_arg2817z00_2713;
																																					{	/* Ast/unit.scm 568 */
																																						obj_t
																																							BgL_arg2818z00_2714;
																																						{	/* Ast/unit.scm 568 */
																																							obj_t
																																								BgL_arg2819z00_2715;
																																							obj_t
																																								BgL_arg2820z00_2716;
																																							{	/* Ast/unit.scm 568 */
																																								obj_t
																																									BgL_arg2821z00_2717;
																																								{	/* Ast/unit.scm 568 */
																																									obj_t
																																										BgL_arg2822z00_2718;
																																									obj_t
																																										BgL_arg2823z00_2719;
																																									{	/* Ast/unit.scm 568 */
																																										obj_t
																																											BgL_arg2824z00_2720;
																																										{	/* Ast/unit.scm 568 */
																																											obj_t
																																												BgL_arg2825z00_2721;
																																											BgL_arg2825z00_2721
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 39)), BNIL);
																																											BgL_arg2824z00_2720
																																												=
																																												MAKE_PAIR
																																												(BgL_ioptz00_2512,
																																												BgL_arg2825z00_2721);
																																										}
																																										BgL_arg2822z00_2718
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 47)), BgL_arg2824z00_2720);
																																									}
																																									{	/* Ast/unit.scm 569 */
																																										obj_t
																																											BgL_arg2826z00_2722;
																																										{	/* Ast/unit.scm 569 */
																																											obj_t
																																												BgL_arg2827z00_2723;
																																											{	/* Ast/unit.scm 569 */
																																												obj_t
																																													BgL_auxz00_6737;
																																												BgL_keysz00_2823
																																													=
																																													BgL_keysz00_78;
																																												{	/* Ast/unit.scm 527 */
																																													obj_t
																																														BgL_head1983z00_2827;
																																													{	/* Ast/unit.scm 527 */
																																														obj_t
																																															BgL_res3304z00_4915;
																																														BgL_res3304z00_4915
																																															=
																																															MAKE_PAIR
																																															(BNIL,
																																															BNIL);
																																														BgL_head1983z00_2827
																																															=
																																															BgL_res3304z00_4915;
																																													}
																																													{
																																														obj_t
																																															BgL_l1981z00_2829;
																																														obj_t
																																															BgL_tail1984z00_2830;
																																														BgL_l1981z00_2829
																																															=
																																															BgL_keysz00_2823;
																																														BgL_tail1984z00_2830
																																															=
																																															BgL_head1983z00_2827;
																																													BgL_zc3anonymousza32911ze3z83_2831:
																																														if (NULLP(BgL_l1981z00_2829))
																																															{	/* Ast/unit.scm 527 */
																																																BgL_auxz00_6737
																																																	=
																																																	CDR
																																																	(BgL_head1983z00_2827);
																																															}
																																														else
																																															{	/* Ast/unit.scm 527 */
																																																obj_t
																																																	BgL_newtail1985z00_2833;
																																																{	/* Ast/unit.scm 527 */
																																																	obj_t
																																																		BgL_arg2915z00_2835;
																																																	{	/* Ast/unit.scm 527 */
																																																		obj_t
																																																			BgL_kz00_2836;
																																																		BgL_kz00_2836
																																																			=
																																																			CAR
																																																			(BgL_l1981z00_2829);
																																																		BgL_arg2915z00_2835
																																																			=
																																																			BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																																			(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																			(CAR
																																																				(BgL_kz00_2836),
																																																				BgL_locz00_85));
																																																	}
																																																	{	/* Ast/unit.scm 527 */
																																																		obj_t
																																																			BgL_res3306z00_4923;
																																																		BgL_res3306z00_4923
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg2915z00_2835,
																																																			BNIL);
																																																		BgL_newtail1985z00_2833
																																																			=
																																																			BgL_res3306z00_4923;
																																																	}
																																																}
																																																SET_CDR
																																																	(BgL_tail1984z00_2830,
																																																	BgL_newtail1985z00_2833);
																																																{
																																																	obj_t
																																																		BgL_tail1984z00_6750;
																																																	obj_t
																																																		BgL_l1981z00_6748;
																																																	BgL_l1981z00_6748
																																																		=
																																																		CDR
																																																		(BgL_l1981z00_2829);
																																																	BgL_tail1984z00_6750
																																																		=
																																																		BgL_newtail1985z00_2833;
																																																	BgL_tail1984z00_2830
																																																		=
																																																		BgL_tail1984z00_6750;
																																																	BgL_l1981z00_2829
																																																		=
																																																		BgL_l1981z00_6748;
																																																	goto
																																																		BgL_zc3anonymousza32911ze3z83_2831;
																																																}
																																															}
																																													}
																																												}
																																												BgL_arg2827z00_2723
																																													=
																																													MAKE_PAIR
																																													(BgL_auxz00_6737,
																																													BNIL);
																																											}
																																											BgL_arg2826z00_2722
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 27)), BgL_arg2827z00_2723);
																																										}
																																										BgL_arg2823z00_2719
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2826z00_2722,
																																											BNIL);
																																									}
																																									BgL_arg2821z00_2717
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2822z00_2718,
																																										BgL_arg2823z00_2719);
																																								}
																																								BgL_arg2819z00_2715
																																									=
																																									MAKE_PAIR
																																									(CNST_TABLE_REF
																																									(((long) 48)), BgL_arg2821z00_2717);
																																							}
																																							{	/* Ast/unit.scm 570 */
																																								obj_t
																																									BgL_arg2829z00_2725;
																																								obj_t
																																									BgL_arg2830z00_2726;
																																								{	/* Ast/unit.scm 570 */
																																									obj_t
																																										BgL_arg2831z00_2727;
																																									{	/* Ast/unit.scm 570 */
																																										obj_t
																																											BgL_arg2832z00_2728;
																																										{	/* Ast/unit.scm 570 */
																																											obj_t
																																												BgL_arg2833z00_2729;
																																											{	/* Ast/unit.scm 570 */
																																												obj_t
																																													BgL_arg2834z00_2730;
																																												BgL_arg2834z00_2730
																																													=
																																													MAKE_PAIR
																																													(BINT
																																													(((long) 2)), BNIL);
																																												BgL_arg2833z00_2729
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 39)), BgL_arg2834z00_2730);
																																											}
																																											BgL_arg2832z00_2728
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 44)), BgL_arg2833z00_2729);
																																										}
																																										BgL_arg2831z00_2727
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2832z00_2728,
																																											BNIL);
																																									}
																																									BgL_arg2829z00_2725
																																										=
																																										MAKE_PAIR
																																										(BgL_checkz00_2516,
																																										BgL_arg2831z00_2727);
																																								}
																																								{	/* Ast/unit.scm 571 */
																																									obj_t
																																										BgL_arg2836z00_2731;
																																									{	/* Ast/unit.scm 571 */
																																										obj_t
																																											BgL_arg2837z00_2732;
																																										obj_t
																																											BgL_arg2838z00_2733;
																																										{	/* Ast/unit.scm 571 */
																																											obj_t
																																												BgL_arg2840z00_2734;
																																											{	/* Ast/unit.scm 571 */
																																												obj_t
																																													BgL_arg2841z00_2735;
																																												BgL_arg2841z00_2735
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 25)), BNIL);
																																												BgL_arg2840z00_2734
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 26)), BgL_arg2841z00_2735);
																																											}
																																											BgL_arg2837z00_2732
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 0)), BgL_arg2840z00_2734);
																																										}
																																										{	/* Ast/unit.scm 572 */
																																											obj_t
																																												BgL_arg2842z00_2736;
																																											obj_t
																																												BgL_arg2843z00_2737;
																																											{	/* Ast/unit.scm 572 */
																																												obj_t
																																													BgL_arg2844z00_2738;
																																												BgL_arg2844z00_2738
																																													=
																																													MAKE_PAIR
																																													(BgL_idz00_79,
																																													BNIL);
																																												BgL_arg2842z00_2736
																																													=
																																													MAKE_PAIR
																																													(CNST_TABLE_REF
																																													(((long) 27)), BgL_arg2844z00_2738);
																																											}
																																											{	/* Ast/unit.scm 574 */
																																												obj_t
																																													BgL_arg2845z00_2739;
																																												{	/* Ast/unit.scm 574 */
																																													obj_t
																																														BgL_arg2846z00_2740;
																																													{	/* Ast/unit.scm 574 */
																																														obj_t
																																															BgL_arg2847z00_2741;
																																														{	/* Ast/unit.scm 574 */
																																															obj_t
																																																BgL_arg2848z00_2742;
																																															BgL_arg2848z00_2742
																																																=
																																																MAKE_PAIR
																																																(CNST_TABLE_REF
																																																(((long) 39)), BNIL);
																																															BgL_arg2847z00_2741
																																																=
																																																MAKE_PAIR
																																																(BgL_ioptz00_2512,
																																																BgL_arg2848z00_2742);
																																														}
																																														BgL_arg2846z00_2740
																																															=
																																															MAKE_PAIR
																																															(CNST_TABLE_REF
																																															(((long) 47)), BgL_arg2847z00_2741);
																																													}
																																													BgL_arg2845z00_2739
																																														=
																																														MAKE_PAIR
																																														(BgL_arg2846z00_2740,
																																														BNIL);
																																												}
																																												BgL_arg2843z00_2737
																																													=
																																													MAKE_PAIR
																																													(BGl_string3373z00zzast_unitz00,
																																													BgL_arg2845z00_2739);
																																											}
																																											BgL_arg2838z00_2733
																																												=
																																												MAKE_PAIR
																																												(BgL_arg2842z00_2736,
																																												BgL_arg2843z00_2737);
																																										}
																																										BgL_arg2836z00_2731
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2837z00_2732,
																																											BgL_arg2838z00_2733);
																																									}
																																									BgL_arg2830z00_2726
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2836z00_2731,
																																										BNIL);
																																								}
																																								BgL_arg2820z00_2716
																																									=
																																									MAKE_PAIR
																																									(BgL_arg2829z00_2725,
																																									BgL_arg2830z00_2726);
																																							}
																																							BgL_arg2818z00_2714
																																								=
																																								MAKE_PAIR
																																								(BgL_arg2819z00_2715,
																																								BgL_arg2820z00_2716);
																																						}
																																						BgL_arg2817z00_2713
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 3)), BgL_arg2818z00_2714);
																																					}
																																					BgL_arg2815z00_2711
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2817z00_2713,
																																						BNIL);
																																				}
																																				BgL_arg2810z00_2707
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2814z00_2710,
																																					BgL_arg2815z00_2711);
																																			}
																																			BgL_arg2808z00_2705
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2809z00_2706,
																																				BgL_arg2810z00_2707);
																																		}
																																		BgL_arg2806z00_2704
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					3)),
																																			BgL_arg2808z00_2705);
																																	}
																																	BgL_arg2805z00_2703
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2806z00_2704,
																																		BNIL);
																																}
																																BgL_arg2803z00_2701
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2804z00_2702,
																																	BgL_arg2805z00_2703);
																															}
																															BgL_arg2802z00_2700
																																=
																																MAKE_PAIR
																																(BgL_checkz00_2516,
																																BgL_arg2803z00_2701);
																														}
																														BgL_arg2800z00_2698
																															=
																															MAKE_PAIR
																															(BgL_arg2802z00_2700,
																															BNIL);
																													}
																													{	/* Ast/unit.scm 575 */
																														obj_t
																															BgL_arg2849z00_2743;
																														{	/* Ast/unit.scm 575 */
																															obj_t
																																BgL_arg2850z00_2744;
																															BgL_arg2850z00_2744
																																=
																																MAKE_PAIR(BINT
																																(BgL_arityz00_2511),
																																BNIL);
																															BgL_arg2849z00_2743
																																=
																																MAKE_PAIR
																																(BgL_checkz00_2516,
																																BgL_arg2850z00_2744);
																														}
																														BgL_arg2801z00_2699
																															=
																															MAKE_PAIR
																															(BgL_arg2849z00_2743,
																															BNIL);
																													}
																													BgL_arg2799z00_2697 =
																														MAKE_PAIR
																														(BgL_arg2800z00_2698,
																														BgL_arg2801z00_2699);
																												}
																												BgL_arg2796z00_2694 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 49)),
																													BgL_arg2799z00_2697);
																									}}
																									{	/* Ast/unit.scm 576 */
																										obj_t BgL_arg2852z00_2747;
																										obj_t BgL_arg2853z00_2748;

																										{	/* Ast/unit.scm 576 */
																											obj_t
																												BgL_head1999z00_2751;
																											{	/* Ast/unit.scm 576 */
																												obj_t
																													BgL_res3320z00_4981;
																												BgL_res3320z00_4981 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_head1999z00_2751 =
																													BgL_res3320z00_4981;
																											}
																											{
																												obj_t BgL_l1997z00_2753;
																												obj_t
																													BgL_tail2000z00_2754;
																												BgL_l1997z00_2753 =
																													BgL_keysz00_78;
																												BgL_tail2000z00_2754 =
																													BgL_head1999z00_2751;
																											BgL_zc3anonymousza32855ze3z83_2755:
																												if (NULLP
																													(BgL_l1997z00_2753))
																													{	/* Ast/unit.scm 576 */
																														BgL_arg2852z00_2747
																															=
																															CDR
																															(BgL_head1999z00_2751);
																													}
																												else
																													{	/* Ast/unit.scm 576 */
																														obj_t
																															BgL_newtail2001z00_2757;
																														{	/* Ast/unit.scm 576 */
																															obj_t
																																BgL_arg2858z00_2759;
																															{	/* Ast/unit.scm 576 */
																																obj_t
																																	BgL_pz00_2760;
																																BgL_pz00_2760 =
																																	CAR
																																	(BgL_l1997z00_2753);
																																{	/* Ast/unit.scm 577 */
																																	obj_t
																																		BgL_iz00_2761;
																																	BgL_iz00_2761
																																		=
																																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																		(CAR
																																		(BgL_pz00_2760),
																																		BgL_locz00_85);
																																	{	/* Ast/unit.scm 577 */
																																		obj_t
																																			BgL_k1z00_2762;
																																		BgL_k1z00_2762
																																			=
																																			BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																			(BgL_iz00_2761);
																																		{	/* Ast/unit.scm 578 */
																																			obj_t
																																				BgL_indz00_2763;
																																			BgL_indz00_2763
																																				=
																																				BGl_gensymz00zz__r4_symbols_6_4z00
																																				(CNST_TABLE_REF
																																				(((long)
																																						50)));
																																			{	/* Ast/unit.scm 579 */

																																				{	/* Ast/unit.scm 580 */
																																					obj_t
																																						BgL_arg2859z00_2764;
																																					obj_t
																																						BgL_arg2860z00_2765;
																																					BgL_arg2859z00_2764
																																						=
																																						BGl_letzd2symzd2zzast_letz00
																																						();
																																					{	/* Ast/unit.scm 580 */
																																						obj_t
																																							BgL_arg2861z00_2766;
																																						obj_t
																																							BgL_arg2862z00_2767;
																																						{	/* Ast/unit.scm 580 */
																																							obj_t
																																								BgL_arg2863z00_2768;
																																							{	/* Ast/unit.scm 580 */
																																								obj_t
																																									BgL_arg2864z00_2769;
																																								{	/* Ast/unit.scm 580 */
																																									obj_t
																																										BgL_arg2865z00_2770;
																																									{	/* Ast/unit.scm 580 */
																																										obj_t
																																											BgL_arg2867z00_2771;
																																										{	/* Ast/unit.scm 580 */
																																											obj_t
																																												BgL_arg2868z00_2772;
																																											BgL_arg2868z00_2772
																																												=
																																												MAKE_PAIR
																																												(BINT
																																												(BgL_arityz00_2511),
																																												BNIL);
																																											BgL_arg2867z00_2771
																																												=
																																												MAKE_PAIR
																																												(BgL_k1z00_2762,
																																												BgL_arg2868z00_2772);
																																										}
																																										BgL_arg2865z00_2770
																																											=
																																											MAKE_PAIR
																																											(BgL_searchz00_2515,
																																											BgL_arg2867z00_2771);
																																									}
																																									BgL_arg2864z00_2769
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2865z00_2770,
																																										BNIL);
																																								}
																																								BgL_arg2863z00_2768
																																									=
																																									MAKE_PAIR
																																									(BgL_indz00_2763,
																																									BgL_arg2864z00_2769);
																																							}
																																							BgL_arg2861z00_2766
																																								=
																																								MAKE_PAIR
																																								(BgL_arg2863z00_2768,
																																								BNIL);
																																						}
																																						{	/* Ast/unit.scm 581 */
																																							obj_t
																																								BgL_arg2869z00_2773;
																																							{	/* Ast/unit.scm 581 */
																																								obj_t
																																									BgL_arg2870z00_2774;
																																								{	/* Ast/unit.scm 581 */
																																									obj_t
																																										BgL_arg2871z00_2775;
																																									obj_t
																																										BgL_arg2872z00_2776;
																																									{	/* Ast/unit.scm 581 */
																																										obj_t
																																											BgL_arg2874z00_2777;
																																										{	/* Ast/unit.scm 581 */
																																											obj_t
																																												BgL_arg2875z00_2778;
																																											BgL_arg2875z00_2778
																																												=
																																												MAKE_PAIR
																																												(BINT
																																												(((long) 0)), BNIL);
																																											BgL_arg2874z00_2777
																																												=
																																												MAKE_PAIR
																																												(BgL_indz00_2763,
																																												BgL_arg2875z00_2778);
																																										}
																																										BgL_arg2871z00_2775
																																											=
																																											MAKE_PAIR
																																											(CNST_TABLE_REF
																																											(((long) 51)), BgL_arg2874z00_2777);
																																									}
																																									{	/* Ast/unit.scm 582 */
																																										obj_t
																																											BgL_arg2876z00_2779;
																																										{	/* Ast/unit.scm 582 */
																																											obj_t
																																												BgL_arg2877z00_2780;
																																											{	/* Ast/unit.scm 582 */
																																												obj_t
																																													BgL_arg2878z00_2781;
																																												{	/* Ast/unit.scm 582 */
																																													obj_t
																																														BgL_arg2879z00_2782;
																																													{	/* Ast/unit.scm 582 */
																																														obj_t
																																															BgL_arg2881z00_2783;
																																														{	/* Ast/unit.scm 582 */
																																															obj_t
																																																BgL_arg2882z00_2784;
																																															BgL_arg2882z00_2784
																																																=
																																																MAKE_PAIR
																																																(BgL_indz00_2763,
																																																BNIL);
																																															BgL_arg2881z00_2783
																																																=
																																																MAKE_PAIR
																																																(BgL_ioptz00_2512,
																																																BgL_arg2882z00_2784);
																																														}
																																														BgL_arg2879z00_2782
																																															=
																																															MAKE_PAIR
																																															(CNST_TABLE_REF
																																															(((long) 22)), BgL_arg2881z00_2783);
																																													}
																																													BgL_arg2878z00_2781
																																														=
																																														MAKE_PAIR
																																														(BgL_arg2879z00_2782,
																																														BNIL);
																																												}
																																												BgL_arg2877z00_2780
																																													=
																																													MAKE_PAIR
																																													(BgL_iz00_2761,
																																													BgL_arg2878z00_2781);
																																											}
																																											BgL_arg2876z00_2779
																																												=
																																												MAKE_PAIR
																																												(CNST_TABLE_REF
																																												(((long) 1)), BgL_arg2877z00_2780);
																																										}
																																										BgL_arg2872z00_2776
																																											=
																																											MAKE_PAIR
																																											(BgL_arg2876z00_2779,
																																											BNIL);
																																									}
																																									BgL_arg2870z00_2774
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2871z00_2775,
																																										BgL_arg2872z00_2776);
																																								}
																																								BgL_arg2869z00_2773
																																									=
																																									MAKE_PAIR
																																									(CNST_TABLE_REF
																																									(((long) 52)), BgL_arg2870z00_2774);
																																							}
																																							BgL_arg2862z00_2767
																																								=
																																								MAKE_PAIR
																																								(BgL_arg2869z00_2773,
																																								BNIL);
																																						}
																																						BgL_arg2860z00_2765
																																							=
																																							MAKE_PAIR
																																							(BgL_arg2861z00_2766,
																																							BgL_arg2862z00_2767);
																																					}
																																					BgL_arg2858z00_2759
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2859z00_2764,
																																						BgL_arg2860z00_2765);
																															}}}}}}
																															{	/* Ast/unit.scm 576 */
																																obj_t
																																	BgL_res3322z00_4989;
																																BgL_res3322z00_4989
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2858z00_2759,
																																	BNIL);
																																BgL_newtail2001z00_2757
																																	=
																																	BgL_res3322z00_4989;
																														}}
																														SET_CDR
																															(BgL_tail2000z00_2754,
																															BgL_newtail2001z00_2757);
																														{
																															obj_t
																																BgL_tail2000z00_6847;
																															obj_t
																																BgL_l1997z00_6845;
																															BgL_l1997z00_6845
																																=
																																CDR
																																(BgL_l1997z00_2753);
																															BgL_tail2000z00_6847
																																=
																																BgL_newtail2001z00_2757;
																															BgL_tail2000z00_2754
																																=
																																BgL_tail2000z00_6847;
																															BgL_l1997z00_2753
																																=
																																BgL_l1997z00_6845;
																															goto
																																BgL_zc3anonymousza32855ze3z83_2755;
																														}
																													}
																											}
																										}
																										{	/* Ast/unit.scm 584 */
																											obj_t BgL_arg2884z00_2787;

																											{	/* Ast/unit.scm 584 */
																												obj_t
																													BgL_arg2885z00_2788;
																												{	/* Ast/unit.scm 584 */
																													obj_t
																														BgL_arg2886z00_2789;
																													obj_t
																														BgL_arg2888z00_2790;
																													{	/* Ast/unit.scm 584 */
																														obj_t
																															BgL_l2002z00_2791;
																														BgL_l2002z00_2791 =
																															BGl_iotaz00zz__r4_pairs_and_lists_6_3z00
																															((int)
																															(BgL_arityz00_2511),
																															BNIL);
																														if (NULLP
																															(BgL_l2002z00_2791))
																															{	/* Ast/unit.scm 584 */
																																BgL_arg2886z00_2789
																																	= BNIL;
																															}
																														else
																															{	/* Ast/unit.scm 584 */
																																obj_t
																																	BgL_head2004z00_2793;
																																{	/* Ast/unit.scm 584 */
																																	obj_t
																																		BgL_res3324z00_4997;
																																	BgL_res3324z00_4997
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_head2004z00_2793
																																		=
																																		BgL_res3324z00_4997;
																																}
																																{
																																	obj_t
																																		BgL_l2002z00_2795;
																																	obj_t
																																		BgL_tail2005z00_2796;
																																	BgL_l2002z00_2795
																																		=
																																		BgL_l2002z00_2791;
																																	BgL_tail2005z00_2796
																																		=
																																		BgL_head2004z00_2793;
																																BgL_zc3anonymousza32890ze3z83_2797:
																																	if (NULLP
																																		(BgL_l2002z00_2795))
																																		{	/* Ast/unit.scm 584 */
																																			BgL_arg2886z00_2789
																																				=
																																				CDR
																																				(BgL_head2004z00_2793);
																																		}
																																	else
																																		{	/* Ast/unit.scm 584 */
																																			obj_t
																																				BgL_newtail2006z00_2799;
																																			{	/* Ast/unit.scm 584 */
																																				obj_t
																																					BgL_arg2893z00_2801;
																																				{	/* Ast/unit.scm 584 */
																																					obj_t
																																						BgL_jz00_2802;
																																					BgL_jz00_2802
																																						=
																																						CAR
																																						(BgL_l2002z00_2795);
																																					{	/* Ast/unit.scm 585 */
																																						obj_t
																																							BgL_arg2894z00_2803;
																																						{	/* Ast/unit.scm 585 */
																																							obj_t
																																								BgL_arg2895z00_2804;
																																							BgL_arg2895z00_2804
																																								=
																																								MAKE_PAIR
																																								(BgL_jz00_2802,
																																								BNIL);
																																							BgL_arg2894z00_2803
																																								=
																																								MAKE_PAIR
																																								(BgL_ioptz00_2512,
																																								BgL_arg2895z00_2804);
																																						}
																																						BgL_arg2893z00_2801
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 22)), BgL_arg2894z00_2803);
																																				}}
																																				{	/* Ast/unit.scm 584 */
																																					obj_t
																																						BgL_res3326z00_5004;
																																					BgL_res3326z00_5004
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2893z00_2801,
																																						BNIL);
																																					BgL_newtail2006z00_2799
																																						=
																																						BgL_res3326z00_5004;
																																			}}
																																			SET_CDR
																																				(BgL_tail2005z00_2796,
																																				BgL_newtail2006z00_2799);
																																			{
																																				obj_t
																																					BgL_tail2005z00_6865;
																																				obj_t
																																					BgL_l2002z00_6863;
																																				BgL_l2002z00_6863
																																					=
																																					CDR
																																					(BgL_l2002z00_2795);
																																				BgL_tail2005z00_6865
																																					=
																																					BgL_newtail2006z00_2799;
																																				BgL_tail2005z00_2796
																																					=
																																					BgL_tail2005z00_6865;
																																				BgL_l2002z00_2795
																																					=
																																					BgL_l2002z00_6863;
																																				goto
																																					BgL_zc3anonymousza32890ze3z83_2797;
																																			}
																																		}
																																}
																															}
																													}
																													BgL_arg2888z00_2790 =
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BGl_zc3anonymousza32898ze3z83zzast_unitz00
																														(BgL_locz00_85,
																															BgL_keysz00_78),
																														BNIL);
																													BgL_arg2885z00_2788 =
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2886z00_2789,
																														BgL_arg2888z00_2790);
																												}
																												BgL_arg2884z00_2787 =
																													MAKE_PAIR
																													(BgL_gloz00_77,
																													BgL_arg2885z00_2788);
																											}
																											BgL_arg2853z00_2748 =
																												MAKE_PAIR
																												(BgL_arg2884z00_2787,
																												BNIL);
																										}
																										BgL_arg2797z00_2695 =
																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2852z00_2747,
																											BgL_arg2853z00_2748);
																									}
																									BgL_arg2786z00_2676 =
																										MAKE_PAIR
																										(BgL_arg2796z00_2694,
																										BgL_arg2797z00_2695);
																								}
																								BgL_arg2784z00_2674 =
																									MAKE_PAIR(BgL_arg2785z00_2675,
																									BgL_arg2786z00_2676);
																							}
																							BgL_arg2783z00_2673 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										24)), BgL_arg2784z00_2674);
																						}
																						BgL_arg2769z00_2648 =
																							MAKE_PAIR(BgL_arg2783z00_2673,
																							BNIL);
																					}
																					BgL_arg2767z00_2646 =
																						MAKE_PAIR(BgL_arg2768z00_2647,
																						BgL_arg2769z00_2648);
																				}
																				BgL_arg2766z00_2645 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 46)),
																					BgL_arg2767z00_2646);
																			}
																			BgL_arg2666z00_2545 =
																				MAKE_PAIR(BgL_arg2766z00_2645, BNIL);
																		}
																		BgL_arg2664z00_2543 =
																			MAKE_PAIR(BgL_arg2665z00_2544,
																			BgL_arg2666z00_2545);
																	}
																	BgL_arg2663z00_2542 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 49)),
																		BgL_arg2664z00_2543);
																}
																BgL_arg2658z00_2537 =
																	MAKE_PAIR(BgL_arg2663z00_2542, BNIL);
															}
															BgL_arg2656z00_2535 =
																MAKE_PAIR(BgL_arg2657z00_2536,
																BgL_arg2658z00_2537);
														}
														BgL_auxz00_6512 =
															MAKE_PAIR(BgL_arg2655z00_2534,
															BgL_arg2656z00_2535);
													}
													BgL_auxz00_6511 =
														BGl_comptimezd2expandzd2zzexpand_epsz00
														(BgL_auxz00_6512);
												}
												BgL_arg2645z00_2525 =
													BGl_compilezd2expandzd2zzexpand_epsz00
													(BgL_auxz00_6511);
											}
											BgL_gz00_2523 =
												BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
												(BgL_idz00_2520, CNST_TABLE_REF(((long) 32)),
												BgL_arg2644z00_2524, BgL_modulez00_80, BgL_classz00_84,
												BgL_srcz00_83, CNST_TABLE_REF(((long) 33)),
												BgL_arg2645z00_2525);
										}
										{	/* Ast/unit.scm 597 */

											{	/* Ast/unit.scm 601 */
												BgL_typez00_bglt BgL_vz00_5026;

												BgL_vz00_5026 =
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_gz00_2523)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_5026), BUNSPEC);
											}
											((((BgL_globalz00_bglt) CREF(BgL_gz00_2523))->
													BgL_evaluablezf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
											return BgL_gz00_2523;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:2898> */
	obj_t BGl_zc3anonymousza32898ze3z83zzast_unitz00(obj_t BgL_locz00_5183,
		obj_t BgL_l2008z00_2809)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 587 */
			if (NULLP(BgL_l2008z00_2809))
				{	/* Ast/unit.scm 587 */
					return BNIL;
				}
			else
				{	/* Ast/unit.scm 588 */
					obj_t BgL_arg2900z00_2812;
					obj_t BgL_arg2902z00_2813;

					{	/* Ast/unit.scm 588 */
						obj_t BgL_pz00_2814;

						BgL_pz00_2814 = CAR(BgL_l2008z00_2809);
						{	/* Ast/unit.scm 588 */
							obj_t BgL_idz00_2815;

							BgL_idz00_2815 =
								BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(CAR(BgL_pz00_2814),
								BgL_locz00_5183);
							{	/* Ast/unit.scm 591 */
								obj_t BgL_arg2903z00_2816;

								BgL_arg2903z00_2816 =
									BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
									(BgL_idz00_2815);
								{	/* Ast/unit.scm 590 */
									obj_t BgL_list2904z00_2817;

									{	/* Ast/unit.scm 590 */
										obj_t BgL_arg2905z00_2818;

										BgL_arg2905z00_2818 = MAKE_PAIR(BgL_idz00_2815, BNIL);
										BgL_list2904z00_2817 =
											MAKE_PAIR(BgL_arg2903z00_2816, BgL_arg2905z00_2818);
									}
									BgL_arg2900z00_2812 = BgL_list2904z00_2817;
								}
							}
						}
					}
					BgL_arg2902z00_2813 =
						BGl_zc3anonymousza32898ze3z83zzast_unitz00(BgL_locz00_5183,
						CDR(BgL_l2008z00_2809));
					return bgl_append2(BgL_arg2900z00_2812, BgL_arg2902z00_2813);
				}
		}
	}



/* parse-fun-args */
	obj_t BGl_parsezd2funzd2argsz00zzast_unitz00(obj_t BgL_argsz00_86,
		obj_t BgL_srcz00_87, obj_t BgL_locz00_88)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 608 */
			{
				obj_t BgL_argsz00_2844;
				obj_t BgL_resz00_2845;

				BgL_argsz00_2844 = BgL_argsz00_86;
				BgL_resz00_2845 = BNIL;
			BgL_zc3anonymousza32919ze3z83_2846:
				if (NULLP(BgL_argsz00_2844))
					{	/* Ast/unit.scm 612 */
						return bgl_reverse_bang(BgL_resz00_2845);
					}
				else
					{	/* Ast/unit.scm 612 */
						if (PAIRP(BgL_argsz00_2844))
							{	/* Ast/unit.scm 614 */
								if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
										(BgL_argsz00_2844)))
									{	/* Ast/unit.scm 623 */
										obj_t BgL_argz00_2850;

										BgL_argz00_2850 =
											BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00
											(BgL_argsz00_2844);
										if (CBOOL(BgL_argz00_2850))
											{	/* Ast/unit.scm 625 */
												obj_t BgL_arg2923z00_2851;

												{	/* Ast/unit.scm 625 */
													BgL_localz00_bglt BgL_arg2925z00_2852;

													BgL_arg2925z00_2852 =
														BGl_makezd2userzd2localzd2svarzd2zzast_localz00
														(BgL_argz00_2850,
														((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00));
													BgL_arg2923z00_2851 =
														MAKE_PAIR(((obj_t) BgL_arg2925z00_2852),
														BgL_resz00_2845);
												}
												return bgl_reverse_bang(BgL_arg2923z00_2851);
											}
										else
											{	/* Ast/unit.scm 624 */
												return bgl_reverse_bang(BgL_resz00_2845);
											}
									}
								else
									{	/* Ast/unit.scm 628 */
										obj_t BgL_pidz00_2853;

										BgL_pidz00_2853 =
											BGl_checkzd2idzd2zzast_identz00
											(BGl_parsezd2idzd2zzast_identz00(CAR(BgL_argsz00_2844),
												BgL_locz00_88), BgL_srcz00_87);
										{	/* Ast/unit.scm 628 */
											obj_t BgL_idz00_2854;

											BgL_idz00_2854 = CAR(BgL_pidz00_2853);
											{	/* Ast/unit.scm 629 */
												obj_t BgL_typez00_2855;

												BgL_typez00_2855 = CDR(BgL_pidz00_2853);
												{	/* Ast/unit.scm 630 */

													{	/* Ast/unit.scm 631 */
														obj_t BgL_arg2926z00_2856;
														obj_t BgL_arg2927z00_2857;

														BgL_arg2926z00_2856 = CDR(BgL_argsz00_2844);
														{	/* Ast/unit.scm 632 */
															BgL_localz00_bglt BgL_arg2928z00_2858;

															if (BGl_userzd2symbolzf3z21zzast_identz00
																(BgL_idz00_2854))
																{	/* Ast/unit.scm 632 */
																	BgL_arg2928z00_2858 =
																		BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																		(BgL_idz00_2854,
																		((BgL_typez00_bglt) BgL_typez00_2855));
																}
															else
																{	/* Ast/unit.scm 632 */
																	BgL_arg2928z00_2858 =
																		BGl_makezd2localzd2svarz00zzast_localz00
																		(BgL_idz00_2854,
																		((BgL_typez00_bglt) BgL_typez00_2855));
																}
															BgL_arg2927z00_2857 =
																MAKE_PAIR(
																((obj_t) BgL_arg2928z00_2858), BgL_resz00_2845);
														}
														{
															obj_t BgL_resz00_6939;
															obj_t BgL_argsz00_6938;

															BgL_argsz00_6938 = BgL_arg2926z00_2856;
															BgL_resz00_6939 = BgL_arg2927z00_2857;
															BgL_resz00_2845 = BgL_resz00_6939;
															BgL_argsz00_2844 = BgL_argsz00_6938;
															goto BgL_zc3anonymousza32919ze3z83_2846;
														}
													}
												}
											}
										}
									}
							}
						else
							{	/* Ast/unit.scm 615 */
								obj_t BgL_pidz00_2863;

								BgL_pidz00_2863 =
									BGl_checkzd2idzd2zzast_identz00
									(BGl_parsezd2idzd2zzast_identz00(BgL_argsz00_2844,
										BgL_locz00_88), BgL_srcz00_87);
								{	/* Ast/unit.scm 615 */
									obj_t BgL_idz00_2864;

									BgL_idz00_2864 = CAR(BgL_pidz00_2863);
									{	/* Ast/unit.scm 616 */
										obj_t BgL_typez00_2865;

										BgL_typez00_2865 = CDR(BgL_pidz00_2863);
										{	/* Ast/unit.scm 617 */

											{	/* Ast/unit.scm 621 */
												obj_t BgL_arg2934z00_2866;

												{	/* Ast/unit.scm 621 */
													BgL_localz00_bglt BgL_arg2935z00_2867;

													BgL_arg2935z00_2867 =
														BGl_makezd2userzd2localzd2svarzd2zzast_localz00
														(BgL_idz00_2864,
														((BgL_typez00_bglt) BgL_typez00_2865));
													BgL_arg2934z00_2866 =
														MAKE_PAIR(((obj_t) BgL_arg2935z00_2867),
														BgL_resz00_2845);
												}
												return bgl_reverse_bang(BgL_arg2934z00_2866);
											}
										}
									}
								}
							}
					}
			}
		}
	}



/* make-svar-definition */
	obj_t BGl_makezd2svarzd2definitionz00zzast_unitz00(obj_t BgL_idz00_96,
		obj_t BgL_srcz00_97)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 648 */
			BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_96,
				BGl_za2moduleza2z00zzmodule_modulez00, BgL_srcz00_97,
				CNST_TABLE_REF(((long) 8)));
			{	/* Ast/unit.scm 652 */
				obj_t BgL_auxz00_6953;
				obj_t BgL_auxz00_6951;

				BgL_auxz00_6953 =
					CAR(BGl_checkzd2idzd2zzast_identz00(BGl_parsezd2idzd2zzast_identz00
						(BgL_idz00_96,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_97)),
						BgL_srcz00_97));
				BgL_auxz00_6951 = CDR(BgL_srcz00_97);
				SET_CAR(BgL_auxz00_6951, BgL_auxz00_6953);
			}
			{	/* Ast/unit.scm 653 */
				obj_t BgL_list2945z00_2879;

				BgL_list2945z00_2879 = MAKE_PAIR(BgL_srcz00_97, BNIL);
				return BgL_list2945z00_2879;
			}
		}
	}



/* make-generic-definition */
	obj_t BGl_makezd2genericzd2definitionz00zzast_unitz00(obj_t BgL_idz00_104,
		obj_t BgL_modulez00_105, obj_t BgL_argsz00_106, obj_t BgL_bodyz00_107,
		obj_t BgL_srcz00_108)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 688 */
			{	/* Ast/unit.scm 691 */
				obj_t BgL_optsz00_2911;
				obj_t BgL_keysz00_2912;

				BgL_optsz00_2911 =
					BGl_dssslzd2optionalszd2zztools_dssslz00(BgL_argsz00_106);
				BgL_keysz00_2912 = BGl_dssslzd2keyszd2zztools_dssslz00(BgL_argsz00_106);
				if (NULLP(BgL_optsz00_2911))
					{	/* Ast/unit.scm 694 */
						if (NULLP(BgL_keysz00_2912))
							{	/* Ast/unit.scm 696 */
								return
									BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00
									(BgL_idz00_104, BgL_modulez00_105, BgL_argsz00_106,
									BgL_bodyz00_107, BgL_srcz00_108);
							}
						else
							{	/* Ast/unit.scm 715 */
								obj_t BgL_locz00_5075;

								BgL_locz00_5075 =
									BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_108);
								{	/* Ast/unit.scm 715 */
									obj_t BgL_genz00_5076;

									BgL_genz00_5076 =
										BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00
										(BgL_idz00_104, BgL_modulez00_105, BgL_argsz00_106,
										BgL_bodyz00_107, BgL_srcz00_108);
									{	/* Ast/unit.scm 716 */
										obj_t BgL_gloz00_5077;

										{	/* Ast/unit.scm 717 */
											obj_t BgL_list2981z00_5078;

											BgL_list2981z00_5078 = MAKE_PAIR(BgL_modulez00_105, BNIL);
											BgL_gloz00_5077 =
												BGl_findzd2globalzd2zzast_envz00(BgL_idz00_104,
												BgL_list2981z00_5078);
										}
										{	/* Ast/unit.scm 717 */
											BgL_globalz00_bglt BgL_cloz00_5079;

											BgL_cloz00_5079 =
												BGl_makezd2sfunzd2keyzd2closurezd2zzast_unitz00
												(BgL_gloz00_5077, BgL_keysz00_2912, BgL_idz00_104,
												BgL_modulez00_105, BgL_argsz00_106, BgL_bodyz00_107,
												BgL_srcz00_108, CNST_TABLE_REF(((long) 12)),
												BgL_locz00_5075);
											{	/* Ast/unit.scm 718 */

												return
													MAKE_PAIR(((obj_t) BgL_cloz00_5079), BgL_genz00_5076);
											}
										}
									}
								}
							}
					}
				else
					{	/* Ast/unit.scm 705 */
						obj_t BgL_locz00_5062;

						BgL_locz00_5062 =
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_108);
						{	/* Ast/unit.scm 705 */
							obj_t BgL_genz00_5063;

							BgL_genz00_5063 =
								BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00
								(BgL_idz00_104, BgL_modulez00_105, BgL_argsz00_106,
								BgL_bodyz00_107, BgL_srcz00_108);
							{	/* Ast/unit.scm 706 */
								obj_t BgL_gloz00_5064;

								{	/* Ast/unit.scm 707 */
									obj_t BgL_list2980z00_5065;

									BgL_list2980z00_5065 = MAKE_PAIR(BgL_modulez00_105, BNIL);
									BgL_gloz00_5064 =
										BGl_findzd2globalzd2zzast_envz00(BgL_idz00_104,
										BgL_list2980z00_5065);
								}
								{	/* Ast/unit.scm 707 */
									BgL_globalz00_bglt BgL_cloz00_5066;

									BgL_cloz00_5066 =
										BGl_makezd2sfunzd2optzd2closurezd2zzast_unitz00
										(BgL_gloz00_5064, BgL_optsz00_2911, BgL_idz00_104,
										BgL_modulez00_105, BgL_argsz00_106, BgL_bodyz00_107,
										BgL_srcz00_108, CNST_TABLE_REF(((long) 12)),
										BgL_locz00_5062);
									{	/* Ast/unit.scm 708 */

										return
											MAKE_PAIR(((obj_t) BgL_cloz00_5066), BgL_genz00_5063);
									}
								}
							}
						}
					}
			}
		}
	}



/* make-generic-noopt-definition */
	obj_t BGl_makezd2genericzd2nooptzd2definitionzd2zzast_unitz00(obj_t
		BgL_idz00_121, obj_t BgL_modulez00_122, obj_t BgL_argsz00_123,
		obj_t BgL_bodyz00_124, obj_t BgL_srcz00_125)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 724 */
			{	/* Ast/unit.scm 725 */
				bool_t BgL_testz00_6983;

				if (PAIRP(BgL_argsz00_123))
					{	/* Ast/unit.scm 725 */
						obj_t BgL_auxz00_6986;

						BgL_auxz00_6986 = CAR(BgL_argsz00_123);
						BgL_testz00_6983 = SYMBOLP(BgL_auxz00_6986);
					}
				else
					{	/* Ast/unit.scm 725 */
						BgL_testz00_6983 = ((bool_t) 0);
					}
				if (BgL_testz00_6983)
					{	/* Ast/unit.scm 730 */
						obj_t BgL_locz00_2926;

						BgL_locz00_2926 =
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_125);
						{	/* Ast/unit.scm 730 */
							obj_t BgL_localsz00_2927;

							BgL_localsz00_2927 =
								BGl_parsezd2funzd2argsz00zzast_unitz00(BgL_argsz00_123,
								BgL_srcz00_125, BgL_locz00_2926);
							{	/* Ast/unit.scm 731 */
								obj_t BgL_pidz00_2928;

								BgL_pidz00_2928 =
									BGl_checkzd2idzd2zzast_identz00
									(BGl_parsezd2idzd2zzast_identz00(BgL_idz00_121,
										BgL_locz00_2926), BgL_srcz00_125);
								{	/* Ast/unit.scm 732 */
									obj_t BgL_namez00_2929;

									BgL_namez00_2929 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CAR(BgL_pidz00_2928));
									{	/* Ast/unit.scm 734 */
										obj_t BgL_defz00_2931;

										{	/* Ast/unit.scm 739 */
											obj_t BgL_arg3015z00_2955;

											{	/* Ast/unit.scm 739 */
												obj_t BgL_arg3016z00_2956;
												obj_t BgL_arg3017z00_2957;

												{	/* Ast/unit.scm 739 */
													obj_t BgL_arg3018z00_2958;

													{	/* Ast/unit.scm 739 */
														obj_t BgL_arg3019z00_2959;

														{	/* Ast/unit.scm 739 */
															obj_t BgL_arg3020z00_2960;

															{	/* Ast/unit.scm 739 */
																obj_t BgL_arg3021z00_2961;

																if (PAIRP(BgL_bodyz00_124))
																	{	/* Ast/unit.scm 739 */
																		BgL_arg3021z00_2961 = BgL_bodyz00_124;
																	}
																else
																	{	/* Ast/unit.scm 741 */
																		obj_t BgL_arg3023z00_2963;

																		{	/* Ast/unit.scm 741 */
																			obj_t BgL_arg3024z00_2964;
																			obj_t BgL_arg3025z00_2965;

																			{	/* Ast/unit.scm 741 */
																				obj_t BgL_arg3026z00_2966;

																				{	/* Ast/unit.scm 741 */
																					obj_t BgL_arg3027z00_2967;

																					BgL_arg3027z00_2967 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								25)), BNIL);
																					BgL_arg3026z00_2966 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								26)), BgL_arg3027z00_2967);
																				}
																				BgL_arg3024z00_2964 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																					BgL_arg3026z00_2966);
																			}
																			{	/* Ast/unit.scm 742 */
																				obj_t BgL_arg3039z00_2968;
																				obj_t BgL_arg3040z00_2969;

																				{	/* Ast/unit.scm 742 */
																					obj_t BgL_arg3041z00_2970;

																					BgL_arg3041z00_2970 =
																						MAKE_PAIR(BgL_namez00_2929, BNIL);
																					BgL_arg3039z00_2968 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								27)), BgL_arg3041z00_2970);
																				}
																				{	/* Ast/unit.scm 743 */
																					obj_t BgL_arg3042z00_2971;

																					BgL_arg3042z00_2971 =
																						MAKE_PAIR
																						(BGl_idzd2ofzd2idz00zzast_identz00
																						(CAR(BgL_argsz00_123),
																							BGl_findzd2locationzd2zztools_locationz00
																							(BgL_srcz00_125)), BNIL);
																					BgL_arg3040z00_2969 =
																						MAKE_PAIR
																						(BGl_string3374z00zzast_unitz00,
																						BgL_arg3042z00_2971);
																				}
																				BgL_arg3025z00_2965 =
																					MAKE_PAIR(BgL_arg3039z00_2968,
																					BgL_arg3040z00_2969);
																			}
																			BgL_arg3023z00_2963 =
																				MAKE_PAIR(BgL_arg3024z00_2964,
																				BgL_arg3025z00_2965);
																		}
																		BgL_arg3021z00_2961 =
																			MAKE_PAIR(BgL_arg3023z00_2963, BNIL);
																	}
																BgL_arg3020z00_2960 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg3021z00_2961, BNIL);
															}
															BgL_arg3019z00_2959 =
																MAKE_PAIR(BgL_argsz00_123, BgL_arg3020z00_2960);
														}
														BgL_arg3018z00_2958 =
															MAKE_PAIR(BgL_namez00_2929, BgL_arg3019z00_2959);
													}
													BgL_arg3016z00_2956 =
														MAKE_PAIR(BgL_arg3018z00_2958, BNIL);
												}
												BgL_arg3017z00_2957 = MAKE_PAIR(BgL_namez00_2929, BNIL);
												BgL_arg3015z00_2955 =
													MAKE_PAIR(BgL_arg3016z00_2956, BgL_arg3017z00_2957);
											}
											BgL_defz00_2931 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 49)),
												BgL_arg3015z00_2955);
										}
										{	/* Ast/unit.scm 735 */
											obj_t BgL_gbodyz00_2932;

											BgL_gbodyz00_2932 =
												BGl_makezd2genericzd2bodyz00zzobject_genericz00
												(BgL_idz00_121, BgL_localsz00_2927, BgL_argsz00_123,
												BgL_srcz00_125);
											{	/* Ast/unit.scm 745 */
												BgL_globalz00_bglt BgL_genericz00_2933;

												BgL_genericz00_2933 =
													BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2
													(BgL_idz00_121, BgL_argsz00_123, BgL_localsz00_2927,
													BgL_modulez00_122, CNST_TABLE_REF(((long) 53)),
													BgL_srcz00_125, CNST_TABLE_REF(((long) 8)),
													BgL_gbodyz00_2932);
												{	/* Ast/unit.scm 746 */

													BGl_markzd2methodz12zc0zzobject_methodz00
														(BgL_namez00_2929);
													{	/* Ast/unit.scm 752 */
														obj_t BgL_ozd2unitzd2_2934;

														BgL_ozd2unitzd2_2934 =
															BGl_getzd2genericzd2unitz00zzmodule_classz00();
														{	/* Ast/unit.scm 752 */
															BgL_typez00_bglt BgL_typez00_2935;

															BgL_typez00_2935 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(BgL_localsz00_2927)))))->
																BgL_typez00);
															{	/* Ast/unit.scm 753 */
																obj_t BgL_genz00_2936;

																{	/* Ast/unit.scm 755 */
																	obj_t BgL_arg2987z00_2942;

																	{	/* Ast/unit.scm 755 */
																		obj_t BgL_arg2991z00_2943;
																		obj_t BgL_arg2993z00_2944;

																		{	/* Ast/unit.scm 755 */
																			obj_t BgL_arg2999z00_2945;

																			{	/* Ast/unit.scm 755 */
																				obj_t BgL_arg3000z00_2946;
																				obj_t BgL_arg3003z00_2947;

																				BgL_arg3000z00_2946 =
																					(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								BgL_genericz00_2933)))->
																					BgL_idz00);
																				BgL_arg3003z00_2947 =
																					MAKE_PAIR(BgL_modulez00_122, BNIL);
																				BgL_arg2999z00_2945 =
																					MAKE_PAIR(BgL_arg3000z00_2946,
																					BgL_arg3003z00_2947);
																			}
																			BgL_arg2991z00_2943 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																				BgL_arg2999z00_2945);
																		}
																		{	/* Ast/unit.scm 756 */
																			obj_t BgL_arg3004z00_2948;
																			obj_t BgL_arg3005z00_2949;

																			BgL_arg3004z00_2948 =
																				BGl_epairifyzd2propagatezd2locz00zztools_miscz00
																				(BgL_defz00_2931, BgL_locz00_2926);
																			{	/* Ast/unit.scm 757 */
																				obj_t BgL_arg3006z00_2950;
																				obj_t BgL_arg3009z00_2951;

																				{	/* Ast/unit.scm 757 */
																					bool_t BgL_testz00_7039;

																					{	/* Ast/unit.scm 757 */
																						bool_t BgL_res3344z00_5108;

																						BgL_res3344z00_5108 =
																							BGl_isazf3zf3zz__objectz00(
																							((obj_t) BgL_typez00_2935),
																							BGl_tclassz00zzobject_classz00);
																						BgL_testz00_7039 =
																							BgL_res3344z00_5108;
																					}
																					if (BgL_testz00_7039)
																						{
																							BgL_globalz00_bglt
																								BgL_auxz00_7042;
																							{
																								BgL_tclassz00_bglt
																									BgL_auxz00_7043;
																								{
																									obj_t BgL_auxz00_7044;

																									{	/* Ast/unit.scm 757 */
																										BgL_objectz00_bglt
																											BgL_auxz00_7045;
																										BgL_auxz00_7045 =
																											((BgL_objectz00_bglt) (
																												(BgL_typez00_bglt)
																												BgL_typez00_2935));
																										BgL_auxz00_7044 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_7045);
																									}
																									BgL_auxz00_7043 =
																										((BgL_tclassz00_bglt)
																										BgL_auxz00_7044);
																								}
																								BgL_auxz00_7042 =
																									(((BgL_tclassz00_bglt)
																										CREF(BgL_auxz00_7043))->
																									BgL_holderz00);
																							}
																							BgL_arg3006z00_2950 =
																								((obj_t) BgL_auxz00_7042);
																						}
																					else
																						{	/* Ast/unit.scm 757 */
																							BgL_arg3006z00_2950 = BFALSE;
																						}
																				}
																				{	/* Ast/unit.scm 758 */
																					obj_t BgL_arg3011z00_2953;

																					{	/* Ast/unit.scm 758 */
																						obj_t BgL_res3346z00_5114;

																						{	/* Ast/unit.scm 758 */
																							obj_t BgL_arg1265z00_5113;

																							BgL_arg1265z00_5113 =
																								SYMBOL_TO_STRING
																								(BgL_namez00_2929);
																							BgL_res3346z00_5114 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg1265z00_5113);
																						}
																						BgL_arg3011z00_2953 =
																							BgL_res3346z00_5114;
																					}
																					BgL_arg3009z00_2951 =
																						MAKE_PAIR(BgL_arg3011z00_2953,
																						BNIL);
																				}
																				BgL_arg3005z00_2949 =
																					MAKE_PAIR(BgL_arg3006z00_2950,
																					BgL_arg3009z00_2951);
																			}
																			BgL_arg2993z00_2944 =
																				MAKE_PAIR(BgL_arg3004z00_2948,
																				BgL_arg3005z00_2949);
																		}
																		BgL_arg2987z00_2942 =
																			MAKE_PAIR(BgL_arg2991z00_2943,
																			BgL_arg2993z00_2944);
																	}
																	BgL_genz00_2936 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 54)),
																		BgL_arg2987z00_2942);
																}
																{	/* Ast/unit.scm 754 */
																	obj_t BgL_sexpza2za2_2937;

																	{	/* Ast/unit.scm 759 */
																		obj_t BgL_list2985z00_2940;

																		{	/* Ast/unit.scm 759 */
																			obj_t BgL_arg2986z00_2941;

																			BgL_arg2986z00_2941 =
																				MAKE_PAIR(BgL_genz00_2936, BNIL);
																			BgL_list2985z00_2940 =
																				MAKE_PAIR(
																				((obj_t) BgL_genericz00_2933),
																				BgL_arg2986z00_2941);
																		}
																		BgL_sexpza2za2_2937 = BgL_list2985z00_2940;
																	}
																	{	/* Ast/unit.scm 759 */

																		{	/* Ast/unit.scm 760 */
																			bool_t BgL_testz00_7063;

																			if (STRUCTP(BgL_ozd2unitzd2_2934))
																				{	/* Ast/unit.scm 760 */
																					BgL_testz00_7063 =
																						(STRUCT_KEY(BgL_ozd2unitzd2_2934) ==
																						CNST_TABLE_REF(((long) 55)));
																				}
																			else
																				{	/* Ast/unit.scm 760 */
																					BgL_testz00_7063 = ((bool_t) 0);
																				}
																			if (BgL_testz00_7063)
																				{	/* Ast/unit.scm 760 */
																					BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
																						(BgL_ozd2unitzd2_2934,
																						BgL_sexpza2za2_2937);
																					{	/* Ast/unit.scm 764 */
																						obj_t BgL_list2984z00_2939;

																						BgL_list2984z00_2939 =
																							MAKE_PAIR(BUNSPEC, BNIL);
																						return BgL_list2984z00_2939;
																					}
																				}
																			else
																				{	/* Ast/unit.scm 760 */
																					return BgL_sexpza2za2_2937;
																				}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				else
					{	/* Ast/unit.scm 725 */
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string3375z00zzast_unitz00, BgL_srcz00_125,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_125));
						{	/* Ast/unit.scm 729 */
							obj_t BgL_list3052z00_2978;

							BgL_list3052z00_2978 = MAKE_PAIR(BUNSPEC, BNIL);
							return BgL_list3052z00_2978;
						}
					}
			}
		}
	}



/* make-method-definition */
	obj_t BGl_makezd2methodzd2definitionz00zzast_unitz00(obj_t BgL_idz00_126,
		obj_t BgL_argsz00_127, obj_t BgL_bodyz00_128, obj_t BgL_srcz00_129)
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 769 */
			{	/* Ast/unit.scm 770 */
				bool_t BgL_testz00_7074;

				if (PAIRP(BgL_argsz00_127))
					{	/* Ast/unit.scm 770 */
						obj_t BgL_auxz00_7077;

						BgL_auxz00_7077 = CAR(BgL_argsz00_127);
						BgL_testz00_7074 = SYMBOLP(BgL_auxz00_7077);
					}
				else
					{	/* Ast/unit.scm 770 */
						BgL_testz00_7074 = ((bool_t) 0);
					}
				if (BgL_testz00_7074)
					{	/* Ast/unit.scm 775 */
						obj_t BgL_locz00_2982;

						BgL_locz00_2982 =
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_129);
						{	/* Ast/unit.scm 775 */
							obj_t BgL_localsz00_2983;

							BgL_localsz00_2983 =
								BGl_parsezd2funzd2argsz00zzast_unitz00(BgL_argsz00_127,
								BgL_srcz00_129, BgL_locz00_2982);
							{	/* Ast/unit.scm 776 */

								if (BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2
									(BgL_idz00_126, BgL_argsz00_127, BgL_localsz00_2983,
										BgL_srcz00_129))
									{	/* Ast/unit.scm 779 */
										obj_t BgL_ozd2unitzd2_2985;
										obj_t BgL_sexpza2za2_2986;

										BgL_ozd2unitzd2_2985 =
											BGl_getzd2methodzd2unitz00zzmodule_classz00();
										BgL_sexpza2za2_2986 =
											BGl_makezd2methodzd2bodyz00zzobject_methodz00
											(BgL_idz00_126, BgL_argsz00_127, BgL_localsz00_2983,
											BgL_bodyz00_128, BgL_srcz00_129);
										{	/* Ast/unit.scm 781 */
											bool_t BgL_testz00_7086;

											if (STRUCTP(BgL_ozd2unitzd2_2985))
												{	/* Ast/unit.scm 781 */
													BgL_testz00_7086 =
														(STRUCT_KEY(BgL_ozd2unitzd2_2985) ==
														CNST_TABLE_REF(((long) 55)));
												}
											else
												{	/* Ast/unit.scm 781 */
													BgL_testz00_7086 = ((bool_t) 0);
												}
											if (BgL_testz00_7086)
												{	/* Ast/unit.scm 781 */
													BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
														(BgL_ozd2unitzd2_2985, BgL_sexpza2za2_2986);
													{	/* Ast/unit.scm 785 */
														obj_t BgL_list3059z00_2988;

														BgL_list3059z00_2988 = MAKE_PAIR(BUNSPEC, BNIL);
														return BgL_list3059z00_2988;
													}
												}
											else
												{	/* Ast/unit.scm 781 */
													return BgL_sexpza2za2_2986;
												}
										}
									}
								else
									{	/* Ast/unit.scm 778 */
										obj_t BgL_list3060z00_2989;

										BgL_list3060z00_2989 = MAKE_PAIR(BUNSPEC, BNIL);
										return BgL_list3060z00_2989;
									}
							}
						}
					}
				else
					{	/* Ast/unit.scm 770 */
						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
							(BGl_string3376z00zzast_unitz00, BgL_srcz00_129,
							BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_129));
						{	/* Ast/unit.scm 774 */
							obj_t BgL_list3063z00_2991;

							BgL_list3063z00_2991 = MAKE_PAIR(BUNSPEC, BNIL);
							return BgL_list3063z00_2991;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_unitz00()
	{
		AN_OBJECT;
		{	/* Ast/unit.scm 21 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long) 502577483),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_genericz00(((long) 3606241),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzobject_methodz00(((long) 530519242),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 153808441),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 478324304),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
			return
				BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string3377z00zzast_unitz00));
		}
	}

#ifdef __cplusplus
}
#endif
