/*===========================================================================*/
/*   (Ast/walk.scm)                                                          */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62walk0zd2sequence2222zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2setq2382za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2boxzd2setz122556z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33789ze3z83zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2node2198zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2funcall2308z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2boxzd2ref2516z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62walk2zd2sync2562zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2appzd2ly2272z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2conditional2390zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2ref2528z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk3z12zd2sequence2244za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2fun2626z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2letzd2var2636z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2app2258z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2jumpzd2exzd2it2484za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33898ze3z83zzast_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12zd2select2602za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2var2648z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzast_walkz00();
	static obj_t BGl_z62walk3zd2jumpzd2exzd2it2468zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za22177zc0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2cast2342zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2app2268za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2boxzd2setz122546zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12zd2appzd2ly2290z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2conditional2408za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2fail2414zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2makezd2box2492z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32802ze3z83zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2boxzd2ref2524zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2funcall2314za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2boxzd2setz122536z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2setzd2exzd2it2446z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za2zd2node2208z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2appzd2ly2282zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2setq2366zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2sequence2234z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_walkz00();
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2setzd2exzd2it2458za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2sync2570z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2funcall2296zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62walk3za2zd2cast2356z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2jumpzd2exzd2it2472z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2sync2564zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za22179zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33801ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2letzd2var2644zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32732ze3z83zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2fail2428z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2cast2350z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2sequence2224zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32704ze3ze1zzast_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2makezd2box2506z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2setzd2exzd2it2442zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2node2220za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2fail2422z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2makezd2box2494zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2app2260z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2extern2322zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2node2214za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2sync2576za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2setq2380z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33910ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2cast2344zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza33627ze3z83zzast_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2extern2334za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2setq2374z12zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2cast2362za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2ref2530z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2letzd2fun2606z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2fail2416zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za22181zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2select2604za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2fun2628z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32754ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32827ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32708ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk02167z62zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2fail2434za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2extern2326z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2boxzd2setz122554z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33646ze3z83zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32739ze3z83zzast_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62walk1zd2conditional2392zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2var2650z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2setq2368zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2select2586zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2appzd2ly2292z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2jumpzd2exzd2it2478za2zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2setq2386za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2select2598za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32919ze3z83zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2letzd2fun2614zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk4z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32671ze3ze1zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2sequence2242za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk12169z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za22183zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2app2246zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2appzd2ly2284zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2funcall2316za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2boxzd2setz122538z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2funcall2298zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32937ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2jumpzd2exzd2it2466zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2setzd2exzd2it2452z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2select2590z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza33772ze3z83zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk0zd2appzd2ly2270z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2conditional2400z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33014ze3z83zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2cast2346zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2boxzd2setz122544zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33668ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2appzd2ly2276z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2conditional2410za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32691ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32675ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk2zd2sequence2226zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32659ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk2zd2fail2418zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2funcall2302z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk22171z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2jumpzd2exzd2it2474z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk4za22185zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2setzd2exzd2it2456za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk1z12zd2extern2336za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2sequence2232z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2setq2370zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2letzd2fun2608z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62walk0zd2boxzd2ref2510z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2ref2532z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32695ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32679ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1za2zd2extern2328z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2app2248zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2node2212z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk32173z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2node2206z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2sync2568z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2makezd2box2504z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2letzd2var2630z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2makezd2box2486z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2setzd2exzd2it2440zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2var2652z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zc0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_walkz00 = BUNSPEC;
	static obj_t BGl_z62walk2za2zd2cast2354z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2boxzd2ref2518zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2cast2348zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33887ze3z83zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32699ze3ze1zzast_walkz00(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62walk1za2zd2letzd2fun2616zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2fail2426z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk42175z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0z122187z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2conditional2394zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2node2200zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2node2218za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2letzd2var2638zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_walkz00();
	static obj_t BGl_z62walk1za2zd2select2592z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2extern2320zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2fail2420zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2sync2580za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2boxzd2setz122540z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2boxzd2setz122552z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk4z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2setq2378z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2jumpzd2exzd2it2480za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk4za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_walkz00();
	static BgL_nodez00_bglt BGl_z62walk0z12zd2sync2574za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2setq2372zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2cast2360za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62walk3zd2sequence2228zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2app2250zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2funcall2304z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2jumpzd2exzd2it2464zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2sequence2240za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2extern2338za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2fail2432za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1z122189z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2select2584zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2setzd2exzd2it2450z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2conditional2402z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32811ze3z83zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2boxzd2ref2512z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2letzd2fun2610z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2fun2622z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2setq2384za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2makezd2box2498zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2boxzd2setz122542zd2zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2conditional2412za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2extern2330z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2app2262za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2jumpzd2exzd2it2476z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2letzd2var2632z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2node2202zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2setzd2exzd2it2454za2zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2makezd2box2488z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32712ze3ze1zzast_walkz00(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62walk2z122191z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2appzd2ly2274z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2sequence2230z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2conditional2398z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2appzd2ly2286z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2boxzd2ref2520zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2funcall2310za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2app2252zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2sync2558zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2letzd2fun2618zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33813ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2select2594z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2makezd2box2500zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2appzd2ly2278zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2setzd2exzd2it2438zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk4z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62walk1za2zd2letzd2var2640zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33920ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32746ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2makezd2box2502z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32819ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32716ze3ze1zzast_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62walk0za2zd2app2254z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3z122193z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2conditional2396zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2app2264za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62walk2za2zd2node2210z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2sync2572z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2funcall2306z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk3z12zd2extern2340za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2jumpzd2exzd2it2482za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2boxzd2setz122548zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_walkz00();
	static obj_t BGl_z62walk3zd2node2204zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_walkz00();
	static obj_t BGl_z62walk0za2zd2sync2566z12zzast_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	static obj_t BGl_zc3anonymousza32928ze3z83zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2boxzd2ref2514z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32663ze3ze1zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2ref2526z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2letzd2fun2612z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2boxzd2setz122550z62zzast_walkz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk0za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_zc3anonymousza33658ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2conditional2406za2zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2cast2352z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2fun2624z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2extern2332z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33021ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk1za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32946ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2extern2318zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk4z122195z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2letzd2var2634z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2var2646z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2sequence2236z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2fail2424z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza33006ze3z83zzast_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk2za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2setzd2exzd2it2448z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2jumpzd2exzd2it2462zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2sequence2238za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk1z12zd2select2600za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2sync2560zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk3z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2node2216za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2sync2578za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk3za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2extern2324zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32683ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32667ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk3za2zd2conditional2404z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2setzd2exzd2it2460za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk4z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za2zd2setq2376z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk4za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2cast2364za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2makezd2box2490z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2jumpzd2exzd2it2470z12zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2appzd2ly2288z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2funcall2300zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2app2256z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2cast2358za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2select2596z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2makezd2box2508z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2boxzd2ref2522zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2funcall2312za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2fail2436za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2setzd2exzd2it2444zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2boxzd2setz122534z70zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za2zd2makezd2box2496zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2select2582zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2letzd2fun2620zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12zd2app2266za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2fail2430za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32687ze3ze1zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1za2zd2appzd2ly2280zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2letzd2var2642zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2funcall2294zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2setq2388za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza33028ze3z83zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2select2588zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_walk2za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7c0za7za74534za7, BGl_z62walk2za2zc0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string4300z00zzast_walkz00,
		BgL_bgl_string4300za700za7za7a4535za7, "walk0", 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7c0za7za74536za7, BGl_z62walk3za2zc0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4400z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2condi4537z00,
		BGl_z62walk3zd2conditional2396zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4401z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2co4538za7,
		BGl_z62walk0za2zd2conditional2398z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4402z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2co4539za7,
		BGl_z62walk1za2zd2conditional2400z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4403z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2co4540za7,
		BGl_z62walk2za2zd2conditional2402z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4404z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2co4541za7,
		BGl_z62walk3za2zd2conditional2404z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4405z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2co4542za7,
		BGl_z62walk0z12zd2conditional2406za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4406z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2co4543za7,
		BGl_z62walk1z12zd2conditional2408za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4407z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2co4544za7,
		BGl_z62walk2z12zd2conditional2410za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4408z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2co4545za7,
		BGl_z62walk3z12zd2conditional2412za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4409z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2fail24546z00,
		BGl_z62walk0zd2fail2414zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4410z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2fail24547z00,
		BGl_z62walk1zd2fail2416zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4411z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2fail24548z00,
		BGl_z62walk2zd2fail2418zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4412z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2fail24549z00,
		BGl_z62walk3zd2fail2420zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4413z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2fa4550za7,
		BGl_z62walk0za2zd2fail2422z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4414z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2fa4551za7,
		BGl_z62walk1za2zd2fail2424z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4415z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2fa4552za7,
		BGl_z62walk2za2zd2fail2426z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4416z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2fa4553za7,
		BGl_z62walk3za2zd2fail2428z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4417z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2fa4554za7,
		BGl_z62walk0z12zd2fail2430za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4418z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2fa4555za7,
		BGl_z62walk1z12zd2fail2432za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4256z00zzast_walkz00,
		BgL_bgl_za762walk02167za762za74556za7, BGl_z62walk02167z62zzast_walkz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4419z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2fa4557za7,
		BGl_z62walk2z12zd2fail2434za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4258z00zzast_walkz00,
		BgL_bgl_za762walk12169za762za74558za7, BGl_z62walk12169z62zzast_walkz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk0za762za7za7ast4559z00, BGl_z62walk0z62zzast_walkz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4420z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2fa4560za7,
		BGl_z62walk3z12zd2fail2436za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4421z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2setza7d4561za7,
		BGl_z62walk0zd2setzd2exzd2it2438zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4422z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2setza7d4562za7,
		BGl_z62walk1zd2setzd2exzd2it2440zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4260z00zzast_walkz00,
		BgL_bgl_za762walk22171za762za74563za7, BGl_z62walk22171z62zzast_walkz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4423z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2setza7d4564za7,
		BGl_z62walk2zd2setzd2exzd2it2442zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4424z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2setza7d4565za7,
		BGl_z62walk3zd2setzd2exzd2it2444zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4262z00zzast_walkz00,
		BgL_bgl_za762walk32173za762za74566za7, BGl_z62walk32173z62zzast_walkz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4425z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4567za7,
		BGl_z62walk0za2zd2setzd2exzd2it2446z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4426z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4568za7,
		BGl_z62walk1za2zd2setzd2exzd2it2448z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4264z00zzast_walkz00,
		BgL_bgl_za762walk42175za762za74569za7, BGl_z62walk42175z62zzast_walkz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4427z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4570za7,
		BGl_z62walk2za2zd2setzd2exzd2it2450z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4428z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4571za7,
		BGl_z62walk3za2zd2setzd2exzd2it2452z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4266z00zzast_walkz00,
		BgL_bgl_za762walk0za7a22177za74572za7, BGl_z62walk0za22177zc0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4429z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4573za7,
		BGl_z62walk0z12zd2setzd2exzd2it2454za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4268z00zzast_walkz00,
		BgL_bgl_za762walk1za7a22179za74574za7, BGl_z62walk1za22179zc0zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4430z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4575za7,
		BGl_z62walk1z12zd2setzd2exzd2it2456za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4431z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4576za7,
		BGl_z62walk2z12zd2setzd2exzd2it2458za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4432z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4577za7,
		BGl_z62walk3z12zd2setzd2exzd2it2460za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4270z00zzast_walkz00,
		BgL_bgl_za762walk2za7a22181za74578za7, BGl_z62walk2za22181zc0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4433z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2jumpza74579za7,
		BGl_z62walk0zd2jumpzd2exzd2it2462zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4434z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2jumpza74580za7,
		BGl_z62walk1zd2jumpzd2exzd2it2464zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4272z00zzast_walkz00,
		BgL_bgl_za762walk3za7a22183za74581za7, BGl_z62walk3za22183zc0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk4za7a2za7c0za7za74582za7, BGl_z62walk4za2zc0zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4435z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2jumpza74583za7,
		BGl_z62walk2zd2jumpzd2exzd2it2466zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4436z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2jumpza74584za7,
		BGl_z62walk3zd2jumpzd2exzd2it2468zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4274z00zzast_walkz00,
		BgL_bgl_za762walk4za7a22185za74585za7, BGl_z62walk4za22185zc0zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4437z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ju4586za7,
		BGl_z62walk0za2zd2jumpzd2exzd2it2470z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4438z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ju4587za7,
		BGl_z62walk1za2zd2jumpzd2exzd2it2472z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4276z00zzast_walkz00,
		BgL_bgl_za762walk0za7122187za74588za7, BGl_z62walk0z122187z70zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4439z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ju4589za7,
		BGl_z62walk2za2zd2jumpzd2exzd2it2474z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4278z00zzast_walkz00,
		BgL_bgl_za762walk1za7122189za74590za7, BGl_z62walk1z122189z70zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string4529z00zzast_walkz00,
		BgL_bgl_string4529za700za7za7a4591za7, "ast_walk", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4440z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ju4592za7,
		BGl_z62walk3za2zd2jumpzd2exzd2it2476z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4441z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ju4593za7,
		BGl_z62walk0z12zd2jumpzd2exzd2it2478za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4442z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ju4594za7,
		BGl_z62walk1z12zd2jumpzd2exzd2it2480za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4280z00zzast_walkz00,
		BgL_bgl_za762walk2za7122191za74595za7, BGl_z62walk2z122191z70zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4443z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ju4596za7,
		BGl_z62walk2z12zd2jumpzd2exzd2it2482za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4444z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ju4597za7,
		BGl_z62walk3z12zd2jumpzd2exzd2it2484za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4282z00zzast_walkz00,
		BgL_bgl_za762walk3za7122193za74598za7, BGl_z62walk3z122193z70zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4445z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2makeza74599za7,
		BGl_z62walk0zd2makezd2box2486z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4446z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2makeza74600za7,
		BGl_z62walk1zd2makezd2box2488z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4284z00zzast_walkz00,
		BgL_bgl_za762walk4za7122195za74601za7, BGl_z62walk4z122195z70zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4447z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2makeza74602za7,
		BGl_z62walk2zd2makezd2box2490z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4448z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2makeza74603za7,
		BGl_z62walk3zd2makezd2box2492z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4449z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ma4604za7,
		BGl_z62walk0za2zd2makezd2box2494zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4450z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ma4605za7,
		BGl_z62walk1za2zd2makezd2box2496zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4451z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ma4606za7,
		BGl_z62walk2za2zd2makezd2box2498zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4452z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ma4607za7,
		BGl_z62walk3za2zd2makezd2box2500zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4453z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ma4608za7,
		BGl_z62walk0z12zd2makezd2box2502z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4454z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ma4609za7,
		BGl_z62walk1z12zd2makezd2box2504z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4455z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ma4610za7,
		BGl_z62walk2z12zd2makezd2box2506z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4456z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ma4611za7,
		BGl_z62walk3z12zd2makezd2box2508z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4457z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2boxza7d4612za7,
		BGl_z62walk0zd2boxzd2ref2510z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4458z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2boxza7d4613za7,
		BGl_z62walk1zd2boxzd2ref2512z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4459z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2boxza7d4614za7,
		BGl_z62walk2zd2boxzd2ref2514z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk1za762za7za7ast4615z00, BGl_z62walk1z62zzast_walkz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4460z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2boxza7d4616za7,
		BGl_z62walk3zd2boxzd2ref2516z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4461z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2bo4617za7,
		BGl_z62walk0za2zd2boxzd2ref2518zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4462z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2bo4618za7,
		BGl_z62walk1za2zd2boxzd2ref2520zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4463z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2bo4619za7,
		BGl_z62walk2za2zd2boxzd2ref2522zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4464z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2bo4620za7,
		BGl_z62walk3za2zd2boxzd2ref2524zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4465z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2bo4621za7,
		BGl_z62walk0z12zd2boxzd2ref2526z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4466z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2bo4622za7,
		BGl_z62walk1z12zd2boxzd2ref2528z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4467z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2bo4623za7,
		BGl_z62walk2z12zd2boxzd2ref2530z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4468z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2bo4624za7,
		BGl_z62walk3z12zd2boxzd2ref2532z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4469z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2boxza7d4625za7,
		BGl_z62walk0zd2boxzd2setz122534z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4470z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2boxza7d4626za7,
		BGl_z62walk1zd2boxzd2setz122536z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4471z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2boxza7d4627za7,
		BGl_z62walk2zd2boxzd2setz122538z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4472z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2boxza7d4628za7,
		BGl_z62walk3zd2boxzd2setz122540z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4473z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2bo4629za7,
		BGl_z62walk0za2zd2boxzd2setz122542zd2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4474z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2bo4630za7,
		BGl_z62walk1za2zd2boxzd2setz122544zd2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4475z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2bo4631za7,
		BGl_z62walk2za2zd2boxzd2setz122546zd2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4476z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2bo4632za7,
		BGl_z62walk3za2zd2boxzd2setz122548zd2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4477z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2bo4633za7,
		BGl_z62walk0z12zd2boxzd2setz122550z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4478z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2bo4634za7,
		BGl_z62walk1z12zd2boxzd2setz122552z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4479z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2bo4635za7,
		BGl_z62walk2z12zd2boxzd2setz122554z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4480z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2bo4636za7,
		BGl_z62walk3z12zd2boxzd2setz122556z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4481z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2sync24637z00,
		BGl_z62walk0zd2sync2558zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4482z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2sync24638z00,
		BGl_z62walk1zd2sync2560zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4483z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2sync24639z00,
		BGl_z62walk2zd2sync2562zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4484z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2sync24640z00,
		BGl_z62walk3zd2sync2564zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4485z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2sy4641za7,
		BGl_z62walk0za2zd2sync2566z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4486z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2sy4642za7,
		BGl_z62walk1za2zd2sync2568z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4487z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2sy4643za7,
		BGl_z62walk2za2zd2sync2570z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4488z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2sy4644za7,
		BGl_z62walk3za2zd2sync2572z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4489z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2sy4645za7,
		BGl_z62walk0z12zd2sync2574za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4490z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2sy4646za7,
		BGl_z62walk1z12zd2sync2576za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4491z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2sy4647za7,
		BGl_z62walk2z12zd2sync2578za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4492z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2sy4648za7,
		BGl_z62walk3z12zd2sync2580za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4493z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2selec4649z00,
		BGl_z62walk0zd2select2582zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4494z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2selec4650z00,
		BGl_z62walk1zd2select2584zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4495z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2selec4651z00,
		BGl_z62walk2zd2select2586zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4496z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2selec4652z00,
		BGl_z62walk3zd2select2588zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4497z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4653za7,
		BGl_z62walk0za2zd2select2590z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4498z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4654za7,
		BGl_z62walk1za2zd2select2592z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4499z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4655za7,
		BGl_z62walk2za2zd2select2594z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk2za762za7za7ast4656z00, BGl_z62walk2z62zzast_walkz00, 0L,
		BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk0za712za770za7za74657za7, BGl_z62walk0z12z70zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk3za762za7za7ast4658z00, BGl_z62walk3z62zzast_walkz00, 0L,
		BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk1za712za770za7za74659za7, BGl_z62walk1z12z70zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk4za762za7za7ast4660z00, BGl_z62walk4z62zzast_walkz00, 0L,
		BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk2za712za770za7za74661za7, BGl_z62walk2z12z70zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk3za712za770za7za74662za7, BGl_z62walk3z12z70zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4301z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2node24663z00,
		BGl_z62walk0zd2node2198zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4302z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2node24664z00,
		BGl_z62walk1zd2node2200zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4303z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2node24665z00,
		BGl_z62walk2zd2node2202zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4304z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2node24666z00,
		BGl_z62walk3zd2node2204zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4305z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2no4667za7,
		BGl_z62walk0za2zd2node2206z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4306z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2no4668za7,
		BGl_z62walk1za2zd2node2208z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4307z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2no4669za7,
		BGl_z62walk2za2zd2node2210z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4308z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2no4670za7,
		BGl_z62walk3za2zd2node2212z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4309z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2no4671za7,
		BGl_z62walk0z12zd2node2214za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk4za712za770za7za74672za7, BGl_z62walk4z12z70zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4310z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2no4673za7,
		BGl_z62walk1z12zd2node2216za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4311z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2no4674za7,
		BGl_z62walk2z12zd2node2218za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4312z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2no4675za7,
		BGl_z62walk3z12zd2node2220za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4313z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2seque4676z00,
		BGl_z62walk0zd2sequence2222zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4314z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2seque4677z00,
		BGl_z62walk1zd2sequence2224zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4315z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2seque4678z00,
		BGl_z62walk2zd2sequence2226zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4316z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2seque4679z00,
		BGl_z62walk3zd2sequence2228zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4317z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4680za7,
		BGl_z62walk0za2zd2sequence2230z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4318z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4681za7,
		BGl_z62walk1za2zd2sequence2232z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4319z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4682za7,
		BGl_z62walk2za2zd2sequence2234z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4320z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4683za7,
		BGl_z62walk3za2zd2sequence2236z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4321z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4684za7,
		BGl_z62walk0z12zd2sequence2238za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4322z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4685za7,
		BGl_z62walk1z12zd2sequence2240za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4323z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4686za7,
		BGl_z62walk2z12zd2sequence2242za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4324z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4687za7,
		BGl_z62walk3z12zd2sequence2244za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4325z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2app224688z00, BGl_z62walk0zd2app2246zb0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4326z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2app224689z00, BGl_z62walk1zd2app2248zb0zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4327z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2app224690z00, BGl_z62walk2zd2app2250zb0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4328z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2app224691z00, BGl_z62walk3zd2app2252zb0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4329z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ap4692za7,
		BGl_z62walk0za2zd2app2254z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4257z00zzast_walkz00,
		BgL_bgl_string4257za700za7za7a4693za7, "walk02167", 9);
	      DEFINE_STRING(BGl_string4259z00zzast_walkz00,
		BgL_bgl_string4259za700za7za7a4694za7, "walk12169", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4330z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ap4695za7,
		BGl_z62walk1za2zd2app2256z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4331z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ap4696za7,
		BGl_z62walk2za2zd2app2258z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4332z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ap4697za7,
		BGl_z62walk3za2zd2app2260z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4333z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ap4698za7,
		BGl_z62walk0z12zd2app2262za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4334z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ap4699za7,
		BGl_z62walk1z12zd2app2264za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4335z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ap4700za7,
		BGl_z62walk2z12zd2app2266za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4336z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ap4701za7,
		BGl_z62walk3z12zd2app2268za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string4261z00zzast_walkz00,
		BgL_bgl_string4261za700za7za7a4702za7, "walk22171", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4337z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2appza7d4703za7,
		BGl_z62walk0zd2appzd2ly2270z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4338z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2appza7d4704za7,
		BGl_z62walk1zd2appzd2ly2272z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string4263z00zzast_walkz00,
		BgL_bgl_string4263za700za7za7a4705za7, "walk32173", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4339z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2appza7d4706za7,
		BGl_z62walk2zd2appzd2ly2274z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string4265z00zzast_walkz00,
		BgL_bgl_string4265za700za7za7a4707za7, "walk42175", 9);
	      DEFINE_STRING(BGl_string4267z00zzast_walkz00,
		BgL_bgl_string4267za700za7za7a4708za7, "walk0*2177", 10);
	      DEFINE_STRING(BGl_string4269z00zzast_walkz00,
		BgL_bgl_string4269za700za7za7a4709za7, "walk1*2179", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4500z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4710za7,
		BGl_z62walk3za2zd2select2596z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4501z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4711za7,
		BGl_z62walk0z12zd2select2598za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4502z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4712za7,
		BGl_z62walk1z12zd2select2600za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4340z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2appza7d4713za7,
		BGl_z62walk3zd2appzd2ly2276z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4503z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4714za7,
		BGl_z62walk2z12zd2select2602za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4341z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ap4715za7,
		BGl_z62walk0za2zd2appzd2ly2278zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4504z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4716za7,
		BGl_z62walk3z12zd2select2604za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4342z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ap4717za7,
		BGl_z62walk1za2zd2appzd2ly2280zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4505z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2letza7d4718za7,
		BGl_z62walk0zd2letzd2fun2606z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4343z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ap4719za7,
		BGl_z62walk2za2zd2appzd2ly2282zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4506z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2letza7d4720za7,
		BGl_z62walk1zd2letzd2fun2608z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4344z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ap4721za7,
		BGl_z62walk3za2zd2appzd2ly2284zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4507z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2letza7d4722za7,
		BGl_z62walk2zd2letzd2fun2610z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4345z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ap4723za7,
		BGl_z62walk0z12zd2appzd2ly2286z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4508z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2letza7d4724za7,
		BGl_z62walk3zd2letzd2fun2612z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4346z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ap4725za7,
		BGl_z62walk1z12zd2appzd2ly2288z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string4271z00zzast_walkz00,
		BgL_bgl_string4271za700za7za7a4726za7, "walk2*2181", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4509z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2le4727za7,
		BGl_z62walk0za2zd2letzd2fun2614zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4347z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ap4728za7,
		BGl_z62walk2z12zd2appzd2ly2290z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4348z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ap4729za7,
		BGl_z62walk3z12zd2appzd2ly2292z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string4273z00zzast_walkz00,
		BgL_bgl_string4273za700za7za7a4730za7, "walk3*2183", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4349z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2funca4731z00,
		BGl_z62walk0zd2funcall2294zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4275z00zzast_walkz00,
		BgL_bgl_string4275za700za7za7a4732za7, "walk4*2185", 10);
	      DEFINE_STRING(BGl_string4277z00zzast_walkz00,
		BgL_bgl_string4277za700za7za7a4733za7, "walk0!2187", 10);
	      DEFINE_STRING(BGl_string4279z00zzast_walkz00,
		BgL_bgl_string4279za700za7za7a4734za7, "walk1!2189", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4510z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2le4735za7,
		BGl_z62walk1za2zd2letzd2fun2616zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4511z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2le4736za7,
		BGl_z62walk2za2zd2letzd2fun2618zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4512z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2le4737za7,
		BGl_z62walk3za2zd2letzd2fun2620zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4350z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2funca4738z00,
		BGl_z62walk1zd2funcall2296zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4513z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2le4739za7,
		BGl_z62walk0z12zd2letzd2fun2622z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4351z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2funca4740z00,
		BGl_z62walk2zd2funcall2298zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4514z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2le4741za7,
		BGl_z62walk1z12zd2letzd2fun2624z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4352z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2funca4742z00,
		BGl_z62walk3zd2funcall2300zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4515z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2le4743za7,
		BGl_z62walk2z12zd2letzd2fun2626z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4353z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2fu4744za7,
		BGl_z62walk0za2zd2funcall2302z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4516z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2le4745za7,
		BGl_z62walk3z12zd2letzd2fun2628z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4354z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2fu4746za7,
		BGl_z62walk1za2zd2funcall2304z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4517z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2letza7d4747za7,
		BGl_z62walk0zd2letzd2var2630z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4355z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2fu4748za7,
		BGl_z62walk2za2zd2funcall2306z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4518z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2letza7d4749za7,
		BGl_z62walk1zd2letzd2var2632z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4356z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2fu4750za7,
		BGl_z62walk3za2zd2funcall2308z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string4281z00zzast_walkz00,
		BgL_bgl_string4281za700za7za7a4751za7, "walk2!2191", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4519z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2letza7d4752za7,
		BGl_z62walk2zd2letzd2var2634z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4357z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2fu4753za7,
		BGl_z62walk0z12zd2funcall2310za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4358z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2fu4754za7,
		BGl_z62walk1z12zd2funcall2312za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string4283z00zzast_walkz00,
		BgL_bgl_string4283za700za7za7a4755za7, "walk3!2193", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4359z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2fu4756za7,
		BGl_z62walk2z12zd2funcall2314za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string4285z00zzast_walkz00,
		BgL_bgl_string4285za700za7za7a4757za7, "walk4!2195", 10);
	      DEFINE_STRING(BGl_string4286z00zzast_walkz00,
		BgL_bgl_string4286za700za7za7a4758za7, "walk4!", 6);
	      DEFINE_STRING(BGl_string4287z00zzast_walkz00,
		BgL_bgl_string4287za700za7za7a4759za7, "Internal Error: forgot Node type",
		32);
	      DEFINE_STRING(BGl_string4288z00zzast_walkz00,
		BgL_bgl_string4288za700za7za7a4760za7, "walk3!", 6);
	      DEFINE_STRING(BGl_string4289z00zzast_walkz00,
		BgL_bgl_string4289za700za7za7a4761za7, "walk2!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4520z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2letza7d4762za7,
		BGl_z62walk3zd2letzd2var2636z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4521z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2le4763za7,
		BGl_z62walk0za2zd2letzd2var2638zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4522z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2le4764za7,
		BGl_z62walk1za2zd2letzd2var2640zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4360z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2fu4765za7,
		BGl_z62walk3z12zd2funcall2316za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4523z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2le4766za7,
		BGl_z62walk2za2zd2letzd2var2642zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4361z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2exter4767z00,
		BGl_z62walk0zd2extern2318zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4524z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2le4768za7,
		BGl_z62walk3za2zd2letzd2var2644zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4362z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2exter4769z00,
		BGl_z62walk1zd2extern2320zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4525z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2le4770za7,
		BGl_z62walk0z12zd2letzd2var2646z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4363z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2exter4771z00,
		BGl_z62walk2zd2extern2322zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4526z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2le4772za7,
		BGl_z62walk1z12zd2letzd2var2648z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4364z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2exter4773z00,
		BGl_z62walk3zd2extern2324zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4527z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2le4774za7,
		BGl_z62walk2z12zd2letzd2var2650z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4365z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ex4775za7,
		BGl_z62walk0za2zd2extern2326z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4290z00zzast_walkz00,
		BgL_bgl_string4290za700za7za7a4776za7, "walk1!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4528z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2le4777za7,
		BGl_z62walk3z12zd2letzd2var2652z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4366z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ex4778za7,
		BGl_z62walk1za2zd2extern2328z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string4291z00zzast_walkz00,
		BgL_bgl_string4291za700za7za7a4779za7, "walk0!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4367z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ex4780za7,
		BGl_z62walk2za2zd2extern2330z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string4292z00zzast_walkz00,
		BgL_bgl_string4292za700za7za7a4781za7, "walk3*", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4368z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ex4782za7,
		BGl_z62walk3za2zd2extern2332z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string4293z00zzast_walkz00,
		BgL_bgl_string4293za700za7za7a4783za7, "walk2*", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4369z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ex4784za7,
		BGl_z62walk0z12zd2extern2334za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4294z00zzast_walkz00,
		BgL_bgl_string4294za700za7za7a4785za7, "walk1*", 6);
	      DEFINE_STRING(BGl_string4295z00zzast_walkz00,
		BgL_bgl_string4295za700za7za7a4786za7, "walk0*", 6);
	      DEFINE_STRING(BGl_string4296z00zzast_walkz00,
		BgL_bgl_string4296za700za7za7a4787za7, "walk4", 5);
	      DEFINE_STRING(BGl_string4297z00zzast_walkz00,
		BgL_bgl_string4297za700za7za7a4788za7, "walk3", 5);
	      DEFINE_STRING(BGl_string4298z00zzast_walkz00,
		BgL_bgl_string4298za700za7za7a4789za7, "walk2", 5);
	      DEFINE_STRING(BGl_string4299z00zzast_walkz00,
		BgL_bgl_string4299za700za7za7a4790za7, "walk1", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4370z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ex4791za7,
		BGl_z62walk1z12zd2extern2336za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4371z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ex4792za7,
		BGl_z62walk2z12zd2extern2338za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4372z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ex4793za7,
		BGl_z62walk3z12zd2extern2340za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4373z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2cast24794z00,
		BGl_z62walk0zd2cast2342zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4374z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2cast24795z00,
		BGl_z62walk1zd2cast2344zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4375z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2cast24796z00,
		BGl_z62walk2zd2cast2346zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4376z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2cast24797z00,
		BGl_z62walk3zd2cast2348zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4377z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ca4798za7,
		BGl_z62walk0za2zd2cast2350z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4378z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ca4799za7,
		BGl_z62walk1za2zd2cast2352z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4379z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ca4800za7,
		BGl_z62walk2za2zd2cast2354z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4380z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ca4801za7,
		BGl_z62walk3za2zd2cast2356z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4381z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ca4802za7,
		BGl_z62walk0z12zd2cast2358za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4382z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ca4803za7,
		BGl_z62walk1z12zd2cast2360za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4383z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ca4804za7,
		BGl_z62walk2z12zd2cast2362za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4384z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ca4805za7,
		BGl_z62walk3z12zd2cast2364za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4385z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2setq24806z00,
		BGl_z62walk0zd2setq2366zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4386z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2setq24807z00,
		BGl_z62walk1zd2setq2368zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4387z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2setq24808z00,
		BGl_z62walk2zd2setq2370zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4388z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2setq24809z00,
		BGl_z62walk3zd2setq2372zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4389z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4810za7,
		BGl_z62walk0za2zd2setq2374z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4390z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4811za7,
		BGl_z62walk1za2zd2setq2376z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4391z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4812za7,
		BGl_z62walk2za2zd2setq2378z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4392z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4813za7,
		BGl_z62walk3za2zd2setq2380z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4393z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4814za7,
		BGl_z62walk0z12zd2setq2382za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4394z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4815za7,
		BGl_z62walk1z12zd2setq2384za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4395z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4816za7,
		BGl_z62walk2z12zd2setq2386za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4396z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4817za7,
		BGl_z62walk3z12zd2setq2388za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4397z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2condi4818z00,
		BGl_z62walk0zd2conditional2390zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4398z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2condi4819z00,
		BGl_z62walk1zd2conditional2392zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4399z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2condi4820z00,
		BGl_z62walk2zd2conditional2394zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7c0za7za74821za7, BGl_z62walk0za2zc0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7c0za7za74822za7, BGl_z62walk1za2zc0zzast_walkz00,
		0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long
		BgL_checksumz00_8862, char *BgL_fromz00_8863)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzast_walkz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_walkz00();
					BGl_importedzd2moduleszd2initz00zzast_walkz00();
					BGl_genericzd2initzd2zzast_walkz00();
					BGl_methodzd2initzd2zzast_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_walkz00()
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__pp_circlez00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_walk");
			return BUNSPEC;
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_walkz00()
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_2058;

				BgL_headz00_2058 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2059;
					obj_t BgL_tailz00_2060;

					BgL_prevz00_2059 = BgL_headz00_2058;
					BgL_tailz00_2060 = BgL_l1z00_1;
				BgL_loopz00_2061:
					if (PAIRP(BgL_tailz00_2060))
						{
							obj_t BgL_newzd2prevzd2_2063;

							BgL_newzd2prevzd2_2063 =
								MAKE_PAIR(CAR(BgL_tailz00_2060), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2059, BgL_newzd2prevzd2_2063);
							{
								obj_t BgL_tailz00_8886;
								obj_t BgL_prevz00_8885;

								BgL_prevz00_8885 = BgL_newzd2prevzd2_2063;
								BgL_tailz00_8886 = CDR(BgL_tailz00_2060);
								BgL_tailz00_2060 = BgL_tailz00_8886;
								BgL_prevz00_2059 = BgL_prevz00_8885;
								goto BgL_loopz00_2061;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2058);
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_walkz00()
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_walkz00()
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk0zd2envzd2zzast_walkz00,
				BGl_proc4256z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4257z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk1zd2envzd2zzast_walkz00,
				BGl_proc4258z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4259z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk2zd2envzd2zzast_walkz00,
				BGl_proc4260z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4261z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk3zd2envzd2zzast_walkz00,
				BGl_proc4262z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4263z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk4zd2envzd2zzast_walkz00,
				BGl_proc4264z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string4265z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_proc4266z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4267z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_proc4268z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4269z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_proc4270z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4271z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_proc4272z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4273z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk4za2zd2envz70zzast_walkz00, BGl_proc4274z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4275z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_proc4276z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4277z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_proc4278z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4279z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_proc4280z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4281z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_proc4282z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4283z00zzast_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk4z12zd2envzc0zzast_walkz00, BGl_proc4284z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string4285z00zzast_walkz00);
		}
	}



/* &walk4!2195 */
	obj_t BGl_z62walk4z122195z70zzast_walkz00(obj_t BgL_envz00_7312,
		obj_t BgL_nz00_7313, obj_t BgL_pz00_7314, obj_t BgL_arg0z00_7315,
		obj_t BgL_arg1z00_7316, obj_t BgL_arg2z00_7317, obj_t BgL_arg3z00_7318)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 160 */
			{
				BgL_nodez00_bglt BgL_nz00_2247;
				obj_t BgL_pz00_2248;
				obj_t BgL_arg0z00_2249;
				obj_t BgL_arg1z00_2250;
				obj_t BgL_arg2z00_2251;
				obj_t BgL_arg3z00_2252;

				BgL_nz00_2247 = ((BgL_nodez00_bglt) BgL_nz00_7313);
				BgL_pz00_2248 = BgL_pz00_7314;
				BgL_arg0z00_2249 = BgL_arg0z00_7315;
				BgL_arg1z00_2250 = BgL_arg1z00_7316;
				BgL_arg2z00_2251 = BgL_arg2z00_7317;
				BgL_arg3z00_2252 = BgL_arg3z00_7318;
				{	/* Ast/walk.scm 162 */
					obj_t BgL_arg2714z00_6106;

					{	/* Ast/walk.scm 162 */
						obj_t BgL_zc3anonymousza32716ze3z83_7282;

						BgL_zc3anonymousza32716ze3z83_7282 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32716ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32716ze3z83_7282,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2247));
						BgL_arg2714z00_6106 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32716ze3z83_7282);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4286z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2714z00_6106);
				}
			}
		}
	}



/* &<anonymous:2716> */
	obj_t BGl_z62zc3anonymousza32716ze3ze1zzast_walkz00(obj_t BgL_envz00_7319)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 162 */
			{	/* Ast/walk.scm 162 */
				BgL_nodez00_bglt BgL_nz00_7320;

				BgL_nz00_7320 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7319, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 162 */
						obj_t BgL_portz00_6109;

						{	/* Ast/walk.scm 162 */
							obj_t BgL_res4050z00_6111;

							{	/* Ast/walk.scm 162 */
								obj_t BgL_auxz00_8916;

								BgL_auxz00_8916 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4050z00_6111 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_8916);
							}
							BgL_portz00_6109 = BgL_res4050z00_6111;
						}
						{	/* Ast/walk.scm 162 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7320), BgL_portz00_6109);
						}
					}
				}
			}
		}
	}



/* &walk3!2193 */
	obj_t BGl_z62walk3z122193z70zzast_walkz00(obj_t BgL_envz00_7321,
		obj_t BgL_nz00_7322, obj_t BgL_pz00_7323, obj_t BgL_arg0z00_7324,
		obj_t BgL_arg1z00_7325, obj_t BgL_arg2z00_7326)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 157 */
			{
				BgL_nodez00_bglt BgL_nz00_2233;
				obj_t BgL_pz00_2234;
				obj_t BgL_arg0z00_2235;
				obj_t BgL_arg1z00_2236;
				obj_t BgL_arg2z00_2237;

				BgL_nz00_2233 = ((BgL_nodez00_bglt) BgL_nz00_7322);
				BgL_pz00_2234 = BgL_pz00_7323;
				BgL_arg0z00_2235 = BgL_arg0z00_7324;
				BgL_arg1z00_2236 = BgL_arg1z00_7325;
				BgL_arg2z00_2237 = BgL_arg2z00_7326;
				{	/* Ast/walk.scm 159 */
					obj_t BgL_arg2710z00_6100;

					{	/* Ast/walk.scm 159 */
						obj_t BgL_zc3anonymousza32712ze3z83_7284;

						BgL_zc3anonymousza32712ze3z83_7284 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32712ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32712ze3z83_7284,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2233));
						BgL_arg2710z00_6100 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32712ze3z83_7284);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4288z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2710z00_6100);
				}
			}
		}
	}



/* &<anonymous:2712> */
	obj_t BGl_z62zc3anonymousza32712ze3ze1zzast_walkz00(obj_t BgL_envz00_7327)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 159 */
			{	/* Ast/walk.scm 159 */
				BgL_nodez00_bglt BgL_nz00_7328;

				BgL_nz00_7328 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7327, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 159 */
						obj_t BgL_portz00_6103;

						{	/* Ast/walk.scm 159 */
							obj_t BgL_res4049z00_6105;

							{	/* Ast/walk.scm 159 */
								obj_t BgL_auxz00_8933;

								BgL_auxz00_8933 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4049z00_6105 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_8933);
							}
							BgL_portz00_6103 = BgL_res4049z00_6105;
						}
						{	/* Ast/walk.scm 159 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7328), BgL_portz00_6103);
						}
					}
				}
			}
		}
	}



/* &walk2!2191 */
	obj_t BGl_z62walk2z122191z70zzast_walkz00(obj_t BgL_envz00_7329,
		obj_t BgL_nz00_7330, obj_t BgL_pz00_7331, obj_t BgL_arg0z00_7332,
		obj_t BgL_arg1z00_7333)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 154 */
			{
				BgL_nodez00_bglt BgL_nz00_2220;
				obj_t BgL_pz00_2221;
				obj_t BgL_arg0z00_2222;
				obj_t BgL_arg1z00_2223;

				BgL_nz00_2220 = ((BgL_nodez00_bglt) BgL_nz00_7330);
				BgL_pz00_2221 = BgL_pz00_7331;
				BgL_arg0z00_2222 = BgL_arg0z00_7332;
				BgL_arg1z00_2223 = BgL_arg1z00_7333;
				{	/* Ast/walk.scm 156 */
					obj_t BgL_arg2706z00_6094;

					{	/* Ast/walk.scm 156 */
						obj_t BgL_zc3anonymousza32708ze3z83_7286;

						BgL_zc3anonymousza32708ze3z83_7286 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32708ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32708ze3z83_7286,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2220));
						BgL_arg2706z00_6094 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32708ze3z83_7286);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4289z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2706z00_6094);
				}
			}
		}
	}



/* &<anonymous:2708> */
	obj_t BGl_z62zc3anonymousza32708ze3ze1zzast_walkz00(obj_t BgL_envz00_7334)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 156 */
			{	/* Ast/walk.scm 156 */
				BgL_nodez00_bglt BgL_nz00_7335;

				BgL_nz00_7335 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7334, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 156 */
						obj_t BgL_portz00_6097;

						{	/* Ast/walk.scm 156 */
							obj_t BgL_res4048z00_6099;

							{	/* Ast/walk.scm 156 */
								obj_t BgL_auxz00_8950;

								BgL_auxz00_8950 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4048z00_6099 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_8950);
							}
							BgL_portz00_6097 = BgL_res4048z00_6099;
						}
						{	/* Ast/walk.scm 156 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7335), BgL_portz00_6097);
						}
					}
				}
			}
		}
	}



/* &walk1!2189 */
	obj_t BGl_z62walk1z122189z70zzast_walkz00(obj_t BgL_envz00_7336,
		obj_t BgL_nz00_7337, obj_t BgL_pz00_7338, obj_t BgL_arg0z00_7339)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 151 */
			{
				BgL_nodez00_bglt BgL_nz00_2208;
				obj_t BgL_pz00_2209;
				obj_t BgL_arg0z00_2210;

				BgL_nz00_2208 = ((BgL_nodez00_bglt) BgL_nz00_7337);
				BgL_pz00_2209 = BgL_pz00_7338;
				BgL_arg0z00_2210 = BgL_arg0z00_7339;
				{	/* Ast/walk.scm 153 */
					obj_t BgL_arg2701z00_6088;

					{	/* Ast/walk.scm 153 */
						obj_t BgL_zc3anonymousza32704ze3z83_7288;

						BgL_zc3anonymousza32704ze3z83_7288 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32704ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32704ze3z83_7288,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2208));
						BgL_arg2701z00_6088 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32704ze3z83_7288);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4290z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2701z00_6088);
				}
			}
		}
	}



/* &<anonymous:2704> */
	obj_t BGl_z62zc3anonymousza32704ze3ze1zzast_walkz00(obj_t BgL_envz00_7340)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 153 */
			{	/* Ast/walk.scm 153 */
				BgL_nodez00_bglt BgL_nz00_7341;

				BgL_nz00_7341 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7340, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 153 */
						obj_t BgL_portz00_6091;

						{	/* Ast/walk.scm 153 */
							obj_t BgL_res4047z00_6093;

							{	/* Ast/walk.scm 153 */
								obj_t BgL_auxz00_8967;

								BgL_auxz00_8967 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4047z00_6093 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_8967);
							}
							BgL_portz00_6091 = BgL_res4047z00_6093;
						}
						{	/* Ast/walk.scm 153 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7341), BgL_portz00_6091);
						}
					}
				}
			}
		}
	}



/* &walk0!2187 */
	obj_t BGl_z62walk0z122187z70zzast_walkz00(obj_t BgL_envz00_7342,
		obj_t BgL_nz00_7343, obj_t BgL_pz00_7344)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 148 */
			{
				BgL_nodez00_bglt BgL_nz00_2197;
				obj_t BgL_pz00_2198;

				BgL_nz00_2197 = ((BgL_nodez00_bglt) BgL_nz00_7343);
				BgL_pz00_2198 = BgL_pz00_7344;
				{	/* Ast/walk.scm 150 */
					obj_t BgL_arg2697z00_2200;

					{	/* Ast/walk.scm 150 */
						obj_t BgL_zc3anonymousza32699ze3z83_7290;

						BgL_zc3anonymousza32699ze3z83_7290 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32699ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32699ze3z83_7290,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2197));
						BgL_arg2697z00_2200 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32699ze3z83_7290);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4291z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2697z00_2200);
				}
			}
		}
	}



/* &<anonymous:2699> */
	obj_t BGl_z62zc3anonymousza32699ze3ze1zzast_walkz00(obj_t BgL_envz00_7345)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 150 */
			{	/* Ast/walk.scm 150 */
				BgL_nodez00_bglt BgL_nz00_7346;

				BgL_nz00_7346 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7345, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 150 */
						obj_t BgL_portz00_2204;

						{	/* Ast/walk.scm 150 */
							obj_t BgL_res4046z00_6087;

							{	/* Ast/walk.scm 150 */
								obj_t BgL_auxz00_8984;

								BgL_auxz00_8984 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4046z00_6087 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_8984);
							}
							BgL_portz00_2204 = BgL_res4046z00_6087;
						}
						{	/* Ast/walk.scm 150 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7346), BgL_portz00_2204);
						}
					}
				}
			}
		}
	}



/* &walk4*2185 */
	obj_t BGl_z62walk4za22185zc0zzast_walkz00(obj_t BgL_envz00_7347,
		obj_t BgL_nz00_7348, obj_t BgL_pz00_7349, obj_t BgL_arg0z00_7350,
		obj_t BgL_arg1z00_7351, obj_t BgL_arg2z00_7352, obj_t BgL_arg3z00_7353)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 144 */
			{
				BgL_nodez00_bglt BgL_nz00_2182;
				obj_t BgL_pz00_2183;
				obj_t BgL_arg0z00_2184;
				obj_t BgL_arg1z00_2185;
				obj_t BgL_arg2z00_2186;
				obj_t BgL_arg3z00_2187;

				BgL_nz00_2182 = ((BgL_nodez00_bglt) BgL_nz00_7348);
				BgL_pz00_2183 = BgL_pz00_7349;
				BgL_arg0z00_2184 = BgL_arg0z00_7350;
				BgL_arg1z00_2185 = BgL_arg1z00_7351;
				BgL_arg2z00_2186 = BgL_arg2z00_7352;
				BgL_arg3z00_2187 = BgL_arg3z00_7353;
				{	/* Ast/walk.scm 146 */
					obj_t BgL_arg2693z00_6080;

					{	/* Ast/walk.scm 146 */
						obj_t BgL_zc3anonymousza32695ze3z83_7292;

						BgL_zc3anonymousza32695ze3z83_7292 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32695ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32695ze3z83_7292,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2182));
						BgL_arg2693z00_6080 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32695ze3z83_7292);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4286z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2693z00_6080);
				}
			}
		}
	}



/* &<anonymous:2695> */
	obj_t BGl_z62zc3anonymousza32695ze3ze1zzast_walkz00(obj_t BgL_envz00_7354)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 146 */
			{	/* Ast/walk.scm 146 */
				BgL_nodez00_bglt BgL_nz00_7355;

				BgL_nz00_7355 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7354, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 146 */
						obj_t BgL_portz00_6083;

						{	/* Ast/walk.scm 146 */
							obj_t BgL_res4045z00_6085;

							{	/* Ast/walk.scm 146 */
								obj_t BgL_auxz00_9001;

								BgL_auxz00_9001 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4045z00_6085 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9001);
							}
							BgL_portz00_6083 = BgL_res4045z00_6085;
						}
						{	/* Ast/walk.scm 146 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7355), BgL_portz00_6083);
						}
					}
				}
			}
		}
	}



/* &walk3*2183 */
	obj_t BGl_z62walk3za22183zc0zzast_walkz00(obj_t BgL_envz00_7356,
		obj_t BgL_nz00_7357, obj_t BgL_pz00_7358, obj_t BgL_arg0z00_7359,
		obj_t BgL_arg1z00_7360, obj_t BgL_arg2z00_7361)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 141 */
			{
				BgL_nodez00_bglt BgL_nz00_2168;
				obj_t BgL_pz00_2169;
				obj_t BgL_arg0z00_2170;
				obj_t BgL_arg1z00_2171;
				obj_t BgL_arg2z00_2172;

				BgL_nz00_2168 = ((BgL_nodez00_bglt) BgL_nz00_7357);
				BgL_pz00_2169 = BgL_pz00_7358;
				BgL_arg0z00_2170 = BgL_arg0z00_7359;
				BgL_arg1z00_2171 = BgL_arg1z00_7360;
				BgL_arg2z00_2172 = BgL_arg2z00_7361;
				{	/* Ast/walk.scm 143 */
					obj_t BgL_arg2689z00_6074;

					{	/* Ast/walk.scm 143 */
						obj_t BgL_zc3anonymousza32691ze3z83_7294;

						BgL_zc3anonymousza32691ze3z83_7294 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32691ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32691ze3z83_7294,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2168));
						BgL_arg2689z00_6074 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32691ze3z83_7294);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4292z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2689z00_6074);
				}
			}
		}
	}



/* &<anonymous:2691> */
	obj_t BGl_z62zc3anonymousza32691ze3ze1zzast_walkz00(obj_t BgL_envz00_7362)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 143 */
			{	/* Ast/walk.scm 143 */
				BgL_nodez00_bglt BgL_nz00_7363;

				BgL_nz00_7363 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7362, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 143 */
						obj_t BgL_portz00_6077;

						{	/* Ast/walk.scm 143 */
							obj_t BgL_res4044z00_6079;

							{	/* Ast/walk.scm 143 */
								obj_t BgL_auxz00_9018;

								BgL_auxz00_9018 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4044z00_6079 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9018);
							}
							BgL_portz00_6077 = BgL_res4044z00_6079;
						}
						{	/* Ast/walk.scm 143 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7363), BgL_portz00_6077);
						}
					}
				}
			}
		}
	}



/* &walk2*2181 */
	obj_t BGl_z62walk2za22181zc0zzast_walkz00(obj_t BgL_envz00_7364,
		obj_t BgL_nz00_7365, obj_t BgL_pz00_7366, obj_t BgL_arg0z00_7367,
		obj_t BgL_arg1z00_7368)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 138 */
			{
				BgL_nodez00_bglt BgL_nz00_2155;
				obj_t BgL_pz00_2156;
				obj_t BgL_arg0z00_2157;
				obj_t BgL_arg1z00_2158;

				BgL_nz00_2155 = ((BgL_nodez00_bglt) BgL_nz00_7365);
				BgL_pz00_2156 = BgL_pz00_7366;
				BgL_arg0z00_2157 = BgL_arg0z00_7367;
				BgL_arg1z00_2158 = BgL_arg1z00_7368;
				{	/* Ast/walk.scm 140 */
					obj_t BgL_arg2685z00_6068;

					{	/* Ast/walk.scm 140 */
						obj_t BgL_zc3anonymousza32687ze3z83_7296;

						BgL_zc3anonymousza32687ze3z83_7296 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32687ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32687ze3z83_7296,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2155));
						BgL_arg2685z00_6068 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32687ze3z83_7296);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4293z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2685z00_6068);
				}
			}
		}
	}



/* &<anonymous:2687> */
	obj_t BGl_z62zc3anonymousza32687ze3ze1zzast_walkz00(obj_t BgL_envz00_7369)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 140 */
			{	/* Ast/walk.scm 140 */
				BgL_nodez00_bglt BgL_nz00_7370;

				BgL_nz00_7370 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7369, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 140 */
						obj_t BgL_portz00_6071;

						{	/* Ast/walk.scm 140 */
							obj_t BgL_res4043z00_6073;

							{	/* Ast/walk.scm 140 */
								obj_t BgL_auxz00_9035;

								BgL_auxz00_9035 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4043z00_6073 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9035);
							}
							BgL_portz00_6071 = BgL_res4043z00_6073;
						}
						{	/* Ast/walk.scm 140 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7370), BgL_portz00_6071);
						}
					}
				}
			}
		}
	}



/* &walk1*2179 */
	obj_t BGl_z62walk1za22179zc0zzast_walkz00(obj_t BgL_envz00_7371,
		obj_t BgL_nz00_7372, obj_t BgL_pz00_7373, obj_t BgL_arg0z00_7374)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 135 */
			{
				BgL_nodez00_bglt BgL_nz00_2143;
				obj_t BgL_pz00_2144;
				obj_t BgL_arg0z00_2145;

				BgL_nz00_2143 = ((BgL_nodez00_bglt) BgL_nz00_7372);
				BgL_pz00_2144 = BgL_pz00_7373;
				BgL_arg0z00_2145 = BgL_arg0z00_7374;
				{	/* Ast/walk.scm 137 */
					obj_t BgL_arg2681z00_6062;

					{	/* Ast/walk.scm 137 */
						obj_t BgL_zc3anonymousza32683ze3z83_7298;

						BgL_zc3anonymousza32683ze3z83_7298 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32683ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32683ze3z83_7298,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2143));
						BgL_arg2681z00_6062 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32683ze3z83_7298);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4294z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2681z00_6062);
				}
			}
		}
	}



/* &<anonymous:2683> */
	obj_t BGl_z62zc3anonymousza32683ze3ze1zzast_walkz00(obj_t BgL_envz00_7375)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 137 */
			{	/* Ast/walk.scm 137 */
				BgL_nodez00_bglt BgL_nz00_7376;

				BgL_nz00_7376 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7375, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 137 */
						obj_t BgL_portz00_6065;

						{	/* Ast/walk.scm 137 */
							obj_t BgL_res4042z00_6067;

							{	/* Ast/walk.scm 137 */
								obj_t BgL_auxz00_9052;

								BgL_auxz00_9052 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4042z00_6067 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9052);
							}
							BgL_portz00_6065 = BgL_res4042z00_6067;
						}
						{	/* Ast/walk.scm 137 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7376), BgL_portz00_6065);
						}
					}
				}
			}
		}
	}



/* &walk0*2177 */
	obj_t BGl_z62walk0za22177zc0zzast_walkz00(obj_t BgL_envz00_7377,
		obj_t BgL_nz00_7378, obj_t BgL_pz00_7379)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 132 */
			{
				BgL_nodez00_bglt BgL_nz00_2132;
				obj_t BgL_pz00_2133;

				BgL_nz00_2132 = ((BgL_nodez00_bglt) BgL_nz00_7378);
				BgL_pz00_2133 = BgL_pz00_7379;
				{	/* Ast/walk.scm 134 */
					obj_t BgL_arg2677z00_2135;

					{	/* Ast/walk.scm 134 */
						obj_t BgL_zc3anonymousza32679ze3z83_7300;

						BgL_zc3anonymousza32679ze3z83_7300 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32679ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32679ze3z83_7300,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2132));
						BgL_arg2677z00_2135 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32679ze3z83_7300);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4295z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2677z00_2135);
				}
			}
		}
	}



/* &<anonymous:2679> */
	obj_t BGl_z62zc3anonymousza32679ze3ze1zzast_walkz00(obj_t BgL_envz00_7380)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 134 */
			{	/* Ast/walk.scm 134 */
				BgL_nodez00_bglt BgL_nz00_7381;

				BgL_nz00_7381 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7380, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 134 */
						obj_t BgL_portz00_2139;

						{	/* Ast/walk.scm 134 */
							obj_t BgL_res4041z00_6061;

							{	/* Ast/walk.scm 134 */
								obj_t BgL_auxz00_9069;

								BgL_auxz00_9069 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4041z00_6061 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9069);
							}
							BgL_portz00_2139 = BgL_res4041z00_6061;
						}
						{	/* Ast/walk.scm 134 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7381), BgL_portz00_2139);
						}
					}
				}
			}
		}
	}



/* &walk42175 */
	obj_t BGl_z62walk42175z62zzast_walkz00(obj_t BgL_envz00_7382,
		obj_t BgL_nz00_7383, obj_t BgL_pz00_7384, obj_t BgL_arg0z00_7385,
		obj_t BgL_arg1z00_7386, obj_t BgL_arg2z00_7387, obj_t BgL_arg3z00_7388)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 128 */
			{
				BgL_nodez00_bglt BgL_nz00_2117;
				obj_t BgL_pz00_2118;
				obj_t BgL_arg0z00_2119;
				obj_t BgL_arg1z00_2120;
				obj_t BgL_arg2z00_2121;
				obj_t BgL_arg3z00_2122;

				BgL_nz00_2117 = ((BgL_nodez00_bglt) BgL_nz00_7383);
				BgL_pz00_2118 = BgL_pz00_7384;
				BgL_arg0z00_2119 = BgL_arg0z00_7385;
				BgL_arg1z00_2120 = BgL_arg1z00_7386;
				BgL_arg2z00_2121 = BgL_arg2z00_7387;
				BgL_arg3z00_2122 = BgL_arg3z00_7388;
				{	/* Ast/walk.scm 130 */
					obj_t BgL_arg2673z00_6054;

					{	/* Ast/walk.scm 130 */
						obj_t BgL_zc3anonymousza32675ze3z83_7302;

						BgL_zc3anonymousza32675ze3z83_7302 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32675ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32675ze3z83_7302,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2117));
						BgL_arg2673z00_6054 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32675ze3z83_7302);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4296z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2673z00_6054);
				}
			}
		}
	}



/* &<anonymous:2675> */
	obj_t BGl_z62zc3anonymousza32675ze3ze1zzast_walkz00(obj_t BgL_envz00_7389)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 130 */
			{	/* Ast/walk.scm 130 */
				BgL_nodez00_bglt BgL_nz00_7390;

				BgL_nz00_7390 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7389, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 130 */
						obj_t BgL_portz00_6057;

						{	/* Ast/walk.scm 130 */
							obj_t BgL_res4040z00_6059;

							{	/* Ast/walk.scm 130 */
								obj_t BgL_auxz00_9086;

								BgL_auxz00_9086 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4040z00_6059 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9086);
							}
							BgL_portz00_6057 = BgL_res4040z00_6059;
						}
						{	/* Ast/walk.scm 130 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7390), BgL_portz00_6057);
						}
					}
				}
			}
		}
	}



/* &walk32173 */
	obj_t BGl_z62walk32173z62zzast_walkz00(obj_t BgL_envz00_7391,
		obj_t BgL_nz00_7392, obj_t BgL_pz00_7393, obj_t BgL_arg0z00_7394,
		obj_t BgL_arg1z00_7395, obj_t BgL_arg2z00_7396)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 125 */
			{
				BgL_nodez00_bglt BgL_nz00_2103;
				obj_t BgL_pz00_2104;
				obj_t BgL_arg0z00_2105;
				obj_t BgL_arg1z00_2106;
				obj_t BgL_arg2z00_2107;

				BgL_nz00_2103 = ((BgL_nodez00_bglt) BgL_nz00_7392);
				BgL_pz00_2104 = BgL_pz00_7393;
				BgL_arg0z00_2105 = BgL_arg0z00_7394;
				BgL_arg1z00_2106 = BgL_arg1z00_7395;
				BgL_arg2z00_2107 = BgL_arg2z00_7396;
				{	/* Ast/walk.scm 127 */
					obj_t BgL_arg2669z00_6048;

					{	/* Ast/walk.scm 127 */
						obj_t BgL_zc3anonymousza32671ze3z83_7304;

						BgL_zc3anonymousza32671ze3z83_7304 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32671ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32671ze3z83_7304,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2103));
						BgL_arg2669z00_6048 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32671ze3z83_7304);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4297z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2669z00_6048);
				}
			}
		}
	}



/* &<anonymous:2671> */
	obj_t BGl_z62zc3anonymousza32671ze3ze1zzast_walkz00(obj_t BgL_envz00_7397)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 127 */
			{	/* Ast/walk.scm 127 */
				BgL_nodez00_bglt BgL_nz00_7398;

				BgL_nz00_7398 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7397, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 127 */
						obj_t BgL_portz00_6051;

						{	/* Ast/walk.scm 127 */
							obj_t BgL_res4039z00_6053;

							{	/* Ast/walk.scm 127 */
								obj_t BgL_auxz00_9103;

								BgL_auxz00_9103 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4039z00_6053 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9103);
							}
							BgL_portz00_6051 = BgL_res4039z00_6053;
						}
						{	/* Ast/walk.scm 127 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7398), BgL_portz00_6051);
						}
					}
				}
			}
		}
	}



/* &walk22171 */
	obj_t BGl_z62walk22171z62zzast_walkz00(obj_t BgL_envz00_7399,
		obj_t BgL_nz00_7400, obj_t BgL_pz00_7401, obj_t BgL_arg0z00_7402,
		obj_t BgL_arg1z00_7403)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 122 */
			{
				BgL_nodez00_bglt BgL_nz00_2090;
				obj_t BgL_pz00_2091;
				obj_t BgL_arg0z00_2092;
				obj_t BgL_arg1z00_2093;

				BgL_nz00_2090 = ((BgL_nodez00_bglt) BgL_nz00_7400);
				BgL_pz00_2091 = BgL_pz00_7401;
				BgL_arg0z00_2092 = BgL_arg0z00_7402;
				BgL_arg1z00_2093 = BgL_arg1z00_7403;
				{	/* Ast/walk.scm 124 */
					obj_t BgL_arg2665z00_6042;

					{	/* Ast/walk.scm 124 */
						obj_t BgL_zc3anonymousza32667ze3z83_7306;

						BgL_zc3anonymousza32667ze3z83_7306 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32667ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32667ze3z83_7306,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2090));
						BgL_arg2665z00_6042 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32667ze3z83_7306);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4298z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2665z00_6042);
				}
			}
		}
	}



/* &<anonymous:2667> */
	obj_t BGl_z62zc3anonymousza32667ze3ze1zzast_walkz00(obj_t BgL_envz00_7404)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 124 */
			{	/* Ast/walk.scm 124 */
				BgL_nodez00_bglt BgL_nz00_7405;

				BgL_nz00_7405 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7404, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 124 */
						obj_t BgL_portz00_6045;

						{	/* Ast/walk.scm 124 */
							obj_t BgL_res4038z00_6047;

							{	/* Ast/walk.scm 124 */
								obj_t BgL_auxz00_9120;

								BgL_auxz00_9120 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4038z00_6047 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9120);
							}
							BgL_portz00_6045 = BgL_res4038z00_6047;
						}
						{	/* Ast/walk.scm 124 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7405), BgL_portz00_6045);
						}
					}
				}
			}
		}
	}



/* &walk12169 */
	obj_t BGl_z62walk12169z62zzast_walkz00(obj_t BgL_envz00_7406,
		obj_t BgL_nz00_7407, obj_t BgL_pz00_7408, obj_t BgL_arg0z00_7409)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 119 */
			{
				BgL_nodez00_bglt BgL_nz00_2078;
				obj_t BgL_pz00_2079;
				obj_t BgL_arg0z00_2080;

				BgL_nz00_2078 = ((BgL_nodez00_bglt) BgL_nz00_7407);
				BgL_pz00_2079 = BgL_pz00_7408;
				BgL_arg0z00_2080 = BgL_arg0z00_7409;
				{	/* Ast/walk.scm 121 */
					obj_t BgL_arg2661z00_6036;

					{	/* Ast/walk.scm 121 */
						obj_t BgL_zc3anonymousza32663ze3z83_7308;

						BgL_zc3anonymousza32663ze3z83_7308 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32663ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32663ze3z83_7308,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2078));
						BgL_arg2661z00_6036 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32663ze3z83_7308);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4299z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2661z00_6036);
				}
			}
		}
	}



/* &<anonymous:2663> */
	obj_t BGl_z62zc3anonymousza32663ze3ze1zzast_walkz00(obj_t BgL_envz00_7410)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 121 */
			{	/* Ast/walk.scm 121 */
				BgL_nodez00_bglt BgL_nz00_7411;

				BgL_nz00_7411 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7410, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 121 */
						obj_t BgL_portz00_6039;

						{	/* Ast/walk.scm 121 */
							obj_t BgL_res4037z00_6041;

							{	/* Ast/walk.scm 121 */
								obj_t BgL_auxz00_9137;

								BgL_auxz00_9137 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4037z00_6041 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9137);
							}
							BgL_portz00_6039 = BgL_res4037z00_6041;
						}
						{	/* Ast/walk.scm 121 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7411), BgL_portz00_6039);
						}
					}
				}
			}
		}
	}



/* &walk02167 */
	obj_t BGl_z62walk02167z62zzast_walkz00(obj_t BgL_envz00_7412,
		obj_t BgL_nz00_7413, obj_t BgL_pz00_7414)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 116 */
			{
				BgL_nodez00_bglt BgL_nz00_2067;
				obj_t BgL_pz00_2068;

				BgL_nz00_2067 = ((BgL_nodez00_bglt) BgL_nz00_7413);
				BgL_pz00_2068 = BgL_pz00_7414;
				{	/* Ast/walk.scm 118 */
					obj_t BgL_arg2657z00_2070;

					{	/* Ast/walk.scm 118 */
						obj_t BgL_zc3anonymousza32659ze3z83_7310;

						BgL_zc3anonymousza32659ze3z83_7310 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32659ze3ze1zzast_walkz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32659ze3z83_7310,
							(int) (((long) 0)), ((obj_t) BgL_nz00_2067));
						BgL_arg2657z00_2070 =
							BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
							(BgL_zc3anonymousza32659ze3z83_7310);
					}
					return
						BGl_errorz00zz__errorz00(BGl_string4300z00zzast_walkz00,
						BGl_string4287z00zzast_walkz00, BgL_arg2657z00_2070);
				}
			}
		}
	}



/* &<anonymous:2659> */
	obj_t BGl_z62zc3anonymousza32659ze3ze1zzast_walkz00(obj_t BgL_envz00_7415)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 118 */
			{	/* Ast/walk.scm 118 */
				BgL_nodez00_bglt BgL_nz00_7416;

				BgL_nz00_7416 =
					((BgL_nodez00_bglt)
					PROCEDURE_REF(BgL_envz00_7415, (int) (((long) 0))));
				{

					{	/* Ast/walk.scm 118 */
						obj_t BgL_portz00_2074;

						{	/* Ast/walk.scm 118 */
							obj_t BgL_res4036z00_6035;

							{	/* Ast/walk.scm 118 */
								obj_t BgL_auxz00_9154;

								BgL_auxz00_9154 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res4036z00_6035 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_9154);
							}
							BgL_portz00_2074 = BgL_res4036z00_6035;
						}
						{	/* Ast/walk.scm 118 */

							return
								BGl_writezd2circlezd2zz__pp_circlez00(
								((obj_t) BgL_nz00_7416), BgL_portz00_2074);
						}
					}
				}
			}
		}
	}



/* walk0 */
	BGL_EXPORTED_DEF obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_3,
		obj_t BgL_pz00_4)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 116 */
			{	/* Ast/walk.scm 116 */
				obj_t BgL_method2168z00_2261;

				{	/* Ast/walk.scm 116 */
					obj_t BgL_res4057z00_6140;

					{	/* Ast/walk.scm 116 */
						long BgL_objzd2classzd2numz00_6113;

						{	/* Ast/walk.scm 116 */
							long BgL_res4051z00_6116;

							BgL_res4051z00_6116 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_3));
							BgL_objzd2classzd2numz00_6113 = BgL_res4051z00_6116;
						}
						{	/* Ast/walk.scm 116 */
							obj_t BgL_arg1769z00_6114;

							BgL_arg1769z00_6114 =
								PROCEDURE_REF(BGl_walk0zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 116 */
								int BgL_offsetz00_6118;

								BgL_offsetz00_6118 = (int) (BgL_objzd2classzd2numz00_6113);
								{	/* Ast/walk.scm 116 */
									long BgL_offsetz00_6119;

									BgL_offsetz00_6119 =
										((long) (BgL_offsetz00_6118) - OBJECT_TYPE);
									{	/* Ast/walk.scm 116 */
										long BgL_modz00_6120;

										{	/* Ast/walk.scm 116 */
											int BgL_arg1771z00_6121;

											BgL_arg1771z00_6121 = (int) (((long) 16));
											{	/* Ast/walk.scm 116 */
												long BgL_res4054z00_6131;

												{	/* Ast/walk.scm 116 */
													long BgL_auxz00_9167;

													BgL_auxz00_9167 = (long) (BgL_arg1771z00_6121);
													BgL_res4054z00_6131 =
														(BgL_offsetz00_6119 / BgL_auxz00_9167);
												}
												BgL_modz00_6120 = BgL_res4054z00_6131;
										}}
										{	/* Ast/walk.scm 116 */
											long BgL_restz00_6122;

											{	/* Ast/walk.scm 116 */
												int BgL_arg1770z00_6123;

												BgL_arg1770z00_6123 = (int) (((long) 16));
												{	/* Ast/walk.scm 116 */
													long BgL_res4056z00_6135;

													{	/* Ast/walk.scm 116 */
														long BgL_auxz00_9171;

														BgL_auxz00_9171 = (long) (BgL_arg1770z00_6123);
														BgL_res4056z00_6135 =
															(BgL_offsetz00_6119 % BgL_auxz00_9171);
													}
													BgL_restz00_6122 = BgL_res4056z00_6135;
											}}
											{	/* Ast/walk.scm 116 */

												BgL_res4057z00_6140 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6114,
														(int) (BgL_modz00_6120)), (int) (BgL_restz00_6122));
					}}}}}}}
					BgL_method2168z00_2261 = BgL_res4057z00_6140;
				}
				return
					PROCEDURE_ENTRY(BgL_method2168z00_2261) (BgL_method2168z00_2261,
					((obj_t) BgL_nz00_3), BgL_pz00_4, BEOA);
			}
		}
	}



/* &walk0 */
	obj_t BGl_z62walk0z62zzast_walkz00(obj_t BgL_envz00_7417, obj_t BgL_nz00_7418,
		obj_t BgL_pz00_7419)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 116 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7418), BgL_pz00_7419);
		}
	}



/* walk1 */
	BGL_EXPORTED_DEF obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_5,
		obj_t BgL_pz00_6, obj_t BgL_arg0z00_7)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 119 */
			{	/* Ast/walk.scm 119 */
				obj_t BgL_method2170z00_2262;

				{	/* Ast/walk.scm 119 */
					obj_t BgL_res4064z00_6169;

					{	/* Ast/walk.scm 119 */
						long BgL_objzd2classzd2numz00_6142;

						{	/* Ast/walk.scm 119 */
							long BgL_res4058z00_6145;

							BgL_res4058z00_6145 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_5));
							BgL_objzd2classzd2numz00_6142 = BgL_res4058z00_6145;
						}
						{	/* Ast/walk.scm 119 */
							obj_t BgL_arg1769z00_6143;

							BgL_arg1769z00_6143 =
								PROCEDURE_REF(BGl_walk1zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 119 */
								int BgL_offsetz00_6147;

								BgL_offsetz00_6147 = (int) (BgL_objzd2classzd2numz00_6142);
								{	/* Ast/walk.scm 119 */
									long BgL_offsetz00_6148;

									BgL_offsetz00_6148 =
										((long) (BgL_offsetz00_6147) - OBJECT_TYPE);
									{	/* Ast/walk.scm 119 */
										long BgL_modz00_6149;

										{	/* Ast/walk.scm 119 */
											int BgL_arg1771z00_6150;

											BgL_arg1771z00_6150 = (int) (((long) 16));
											{	/* Ast/walk.scm 119 */
												long BgL_res4061z00_6160;

												{	/* Ast/walk.scm 119 */
													long BgL_auxz00_9194;

													BgL_auxz00_9194 = (long) (BgL_arg1771z00_6150);
													BgL_res4061z00_6160 =
														(BgL_offsetz00_6148 / BgL_auxz00_9194);
												}
												BgL_modz00_6149 = BgL_res4061z00_6160;
										}}
										{	/* Ast/walk.scm 119 */
											long BgL_restz00_6151;

											{	/* Ast/walk.scm 119 */
												int BgL_arg1770z00_6152;

												BgL_arg1770z00_6152 = (int) (((long) 16));
												{	/* Ast/walk.scm 119 */
													long BgL_res4063z00_6164;

													{	/* Ast/walk.scm 119 */
														long BgL_auxz00_9198;

														BgL_auxz00_9198 = (long) (BgL_arg1770z00_6152);
														BgL_res4063z00_6164 =
															(BgL_offsetz00_6148 % BgL_auxz00_9198);
													}
													BgL_restz00_6151 = BgL_res4063z00_6164;
											}}
											{	/* Ast/walk.scm 119 */

												BgL_res4064z00_6169 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6143,
														(int) (BgL_modz00_6149)), (int) (BgL_restz00_6151));
					}}}}}}}
					BgL_method2170z00_2262 = BgL_res4064z00_6169;
				}
				return
					PROCEDURE_ENTRY(BgL_method2170z00_2262) (BgL_method2170z00_2262,
					((obj_t) BgL_nz00_5), BgL_pz00_6, BgL_arg0z00_7, BEOA);
			}
		}
	}



/* &walk1 */
	obj_t BGl_z62walk1z62zzast_walkz00(obj_t BgL_envz00_7420, obj_t BgL_nz00_7421,
		obj_t BgL_pz00_7422, obj_t BgL_arg0z00_7423)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 119 */
			return
				BGl_walk1z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7421), BgL_pz00_7422, BgL_arg0z00_7423);
		}
	}



/* walk2 */
	BGL_EXPORTED_DEF obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_8,
		obj_t BgL_pz00_9, obj_t BgL_arg0z00_10, obj_t BgL_arg1z00_11)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 122 */
			{	/* Ast/walk.scm 122 */
				obj_t BgL_method2172z00_2263;

				{	/* Ast/walk.scm 122 */
					obj_t BgL_res4071z00_6198;

					{	/* Ast/walk.scm 122 */
						long BgL_objzd2classzd2numz00_6171;

						{	/* Ast/walk.scm 122 */
							long BgL_res4065z00_6174;

							BgL_res4065z00_6174 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_8));
							BgL_objzd2classzd2numz00_6171 = BgL_res4065z00_6174;
						}
						{	/* Ast/walk.scm 122 */
							obj_t BgL_arg1769z00_6172;

							BgL_arg1769z00_6172 =
								PROCEDURE_REF(BGl_walk2zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 122 */
								int BgL_offsetz00_6176;

								BgL_offsetz00_6176 = (int) (BgL_objzd2classzd2numz00_6171);
								{	/* Ast/walk.scm 122 */
									long BgL_offsetz00_6177;

									BgL_offsetz00_6177 =
										((long) (BgL_offsetz00_6176) - OBJECT_TYPE);
									{	/* Ast/walk.scm 122 */
										long BgL_modz00_6178;

										{	/* Ast/walk.scm 122 */
											int BgL_arg1771z00_6179;

											BgL_arg1771z00_6179 = (int) (((long) 16));
											{	/* Ast/walk.scm 122 */
												long BgL_res4068z00_6189;

												{	/* Ast/walk.scm 122 */
													long BgL_auxz00_9222;

													BgL_auxz00_9222 = (long) (BgL_arg1771z00_6179);
													BgL_res4068z00_6189 =
														(BgL_offsetz00_6177 / BgL_auxz00_9222);
												}
												BgL_modz00_6178 = BgL_res4068z00_6189;
										}}
										{	/* Ast/walk.scm 122 */
											long BgL_restz00_6180;

											{	/* Ast/walk.scm 122 */
												int BgL_arg1770z00_6181;

												BgL_arg1770z00_6181 = (int) (((long) 16));
												{	/* Ast/walk.scm 122 */
													long BgL_res4070z00_6193;

													{	/* Ast/walk.scm 122 */
														long BgL_auxz00_9226;

														BgL_auxz00_9226 = (long) (BgL_arg1770z00_6181);
														BgL_res4070z00_6193 =
															(BgL_offsetz00_6177 % BgL_auxz00_9226);
													}
													BgL_restz00_6180 = BgL_res4070z00_6193;
											}}
											{	/* Ast/walk.scm 122 */

												BgL_res4071z00_6198 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6172,
														(int) (BgL_modz00_6178)), (int) (BgL_restz00_6180));
					}}}}}}}
					BgL_method2172z00_2263 = BgL_res4071z00_6198;
				}
				return
					PROCEDURE_ENTRY(BgL_method2172z00_2263) (BgL_method2172z00_2263,
					((obj_t) BgL_nz00_8), BgL_pz00_9, BgL_arg0z00_10, BgL_arg1z00_11,
					BEOA);
			}
		}
	}



/* &walk2 */
	obj_t BGl_z62walk2z62zzast_walkz00(obj_t BgL_envz00_7424, obj_t BgL_nz00_7425,
		obj_t BgL_pz00_7426, obj_t BgL_arg0z00_7427, obj_t BgL_arg1z00_7428)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 122 */
			return
				BGl_walk2z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7425), BgL_pz00_7426, BgL_arg0z00_7427,
				BgL_arg1z00_7428);
		}
	}



/* walk3 */
	BGL_EXPORTED_DEF obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_12,
		obj_t BgL_pz00_13, obj_t BgL_arg0z00_14, obj_t BgL_arg1z00_15,
		obj_t BgL_arg2z00_16)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 125 */
			{	/* Ast/walk.scm 125 */
				obj_t BgL_method2174z00_2264;

				{	/* Ast/walk.scm 125 */
					obj_t BgL_res4078z00_6227;

					{	/* Ast/walk.scm 125 */
						long BgL_objzd2classzd2numz00_6200;

						{	/* Ast/walk.scm 125 */
							long BgL_res4072z00_6203;

							BgL_res4072z00_6203 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_12));
							BgL_objzd2classzd2numz00_6200 = BgL_res4072z00_6203;
						}
						{	/* Ast/walk.scm 125 */
							obj_t BgL_arg1769z00_6201;

							BgL_arg1769z00_6201 =
								PROCEDURE_REF(BGl_walk3zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 125 */
								int BgL_offsetz00_6205;

								BgL_offsetz00_6205 = (int) (BgL_objzd2classzd2numz00_6200);
								{	/* Ast/walk.scm 125 */
									long BgL_offsetz00_6206;

									BgL_offsetz00_6206 =
										((long) (BgL_offsetz00_6205) - OBJECT_TYPE);
									{	/* Ast/walk.scm 125 */
										long BgL_modz00_6207;

										{	/* Ast/walk.scm 125 */
											int BgL_arg1771z00_6208;

											BgL_arg1771z00_6208 = (int) (((long) 16));
											{	/* Ast/walk.scm 125 */
												long BgL_res4075z00_6218;

												{	/* Ast/walk.scm 125 */
													long BgL_auxz00_9251;

													BgL_auxz00_9251 = (long) (BgL_arg1771z00_6208);
													BgL_res4075z00_6218 =
														(BgL_offsetz00_6206 / BgL_auxz00_9251);
												}
												BgL_modz00_6207 = BgL_res4075z00_6218;
										}}
										{	/* Ast/walk.scm 125 */
											long BgL_restz00_6209;

											{	/* Ast/walk.scm 125 */
												int BgL_arg1770z00_6210;

												BgL_arg1770z00_6210 = (int) (((long) 16));
												{	/* Ast/walk.scm 125 */
													long BgL_res4077z00_6222;

													{	/* Ast/walk.scm 125 */
														long BgL_auxz00_9255;

														BgL_auxz00_9255 = (long) (BgL_arg1770z00_6210);
														BgL_res4077z00_6222 =
															(BgL_offsetz00_6206 % BgL_auxz00_9255);
													}
													BgL_restz00_6209 = BgL_res4077z00_6222;
											}}
											{	/* Ast/walk.scm 125 */

												BgL_res4078z00_6227 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6201,
														(int) (BgL_modz00_6207)), (int) (BgL_restz00_6209));
					}}}}}}}
					BgL_method2174z00_2264 = BgL_res4078z00_6227;
				}
				return
					PROCEDURE_ENTRY(BgL_method2174z00_2264) (BgL_method2174z00_2264,
					((obj_t) BgL_nz00_12), BgL_pz00_13, BgL_arg0z00_14, BgL_arg1z00_15,
					BgL_arg2z00_16, BEOA);
			}
		}
	}



/* &walk3 */
	obj_t BGl_z62walk3z62zzast_walkz00(obj_t BgL_envz00_7429, obj_t BgL_nz00_7430,
		obj_t BgL_pz00_7431, obj_t BgL_arg0z00_7432, obj_t BgL_arg1z00_7433,
		obj_t BgL_arg2z00_7434)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 125 */
			return
				BGl_walk3z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7430), BgL_pz00_7431, BgL_arg0z00_7432,
				BgL_arg1z00_7433, BgL_arg2z00_7434);
		}
	}



/* walk4 */
	BGL_EXPORTED_DEF obj_t BGl_walk4z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_17,
		obj_t BgL_pz00_18, obj_t BgL_arg0z00_19, obj_t BgL_arg1z00_20,
		obj_t BgL_arg2z00_21, obj_t BgL_arg3z00_22)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 128 */
			{	/* Ast/walk.scm 128 */
				obj_t BgL_method2176z00_2265;

				{	/* Ast/walk.scm 128 */
					obj_t BgL_res4085z00_6256;

					{	/* Ast/walk.scm 128 */
						long BgL_objzd2classzd2numz00_6229;

						{	/* Ast/walk.scm 128 */
							long BgL_res4079z00_6232;

							BgL_res4079z00_6232 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_17));
							BgL_objzd2classzd2numz00_6229 = BgL_res4079z00_6232;
						}
						{	/* Ast/walk.scm 128 */
							obj_t BgL_arg1769z00_6230;

							BgL_arg1769z00_6230 =
								PROCEDURE_REF(BGl_walk4zd2envzd2zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 128 */
								int BgL_offsetz00_6234;

								BgL_offsetz00_6234 = (int) (BgL_objzd2classzd2numz00_6229);
								{	/* Ast/walk.scm 128 */
									long BgL_offsetz00_6235;

									BgL_offsetz00_6235 =
										((long) (BgL_offsetz00_6234) - OBJECT_TYPE);
									{	/* Ast/walk.scm 128 */
										long BgL_modz00_6236;

										{	/* Ast/walk.scm 128 */
											int BgL_arg1771z00_6237;

											BgL_arg1771z00_6237 = (int) (((long) 16));
											{	/* Ast/walk.scm 128 */
												long BgL_res4082z00_6247;

												{	/* Ast/walk.scm 128 */
													long BgL_auxz00_9281;

													BgL_auxz00_9281 = (long) (BgL_arg1771z00_6237);
													BgL_res4082z00_6247 =
														(BgL_offsetz00_6235 / BgL_auxz00_9281);
												}
												BgL_modz00_6236 = BgL_res4082z00_6247;
										}}
										{	/* Ast/walk.scm 128 */
											long BgL_restz00_6238;

											{	/* Ast/walk.scm 128 */
												int BgL_arg1770z00_6239;

												BgL_arg1770z00_6239 = (int) (((long) 16));
												{	/* Ast/walk.scm 128 */
													long BgL_res4084z00_6251;

													{	/* Ast/walk.scm 128 */
														long BgL_auxz00_9285;

														BgL_auxz00_9285 = (long) (BgL_arg1770z00_6239);
														BgL_res4084z00_6251 =
															(BgL_offsetz00_6235 % BgL_auxz00_9285);
													}
													BgL_restz00_6238 = BgL_res4084z00_6251;
											}}
											{	/* Ast/walk.scm 128 */

												BgL_res4085z00_6256 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6230,
														(int) (BgL_modz00_6236)), (int) (BgL_restz00_6238));
					}}}}}}}
					BgL_method2176z00_2265 = BgL_res4085z00_6256;
				}
				return
					PROCEDURE_ENTRY(BgL_method2176z00_2265) (BgL_method2176z00_2265,
					((obj_t) BgL_nz00_17), BgL_pz00_18, BgL_arg0z00_19, BgL_arg1z00_20,
					BgL_arg2z00_21, BgL_arg3z00_22, BEOA);
			}
		}
	}



/* &walk4 */
	obj_t BGl_z62walk4z62zzast_walkz00(obj_t BgL_envz00_7435, obj_t BgL_nz00_7436,
		obj_t BgL_pz00_7437, obj_t BgL_arg0z00_7438, obj_t BgL_arg1z00_7439,
		obj_t BgL_arg2z00_7440, obj_t BgL_arg3z00_7441)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 128 */
			return
				BGl_walk4z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7436), BgL_pz00_7437, BgL_arg0z00_7438,
				BgL_arg1z00_7439, BgL_arg2z00_7440, BgL_arg3z00_7441);
		}
	}



/* walk0* */
	BGL_EXPORTED_DEF obj_t BGl_walk0za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_23, obj_t BgL_pz00_24)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 132 */
			{	/* Ast/walk.scm 132 */
				obj_t BgL_method2178z00_2266;

				{	/* Ast/walk.scm 132 */
					obj_t BgL_res4092z00_6285;

					{	/* Ast/walk.scm 132 */
						long BgL_objzd2classzd2numz00_6258;

						{	/* Ast/walk.scm 132 */
							long BgL_res4086z00_6261;

							BgL_res4086z00_6261 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_23));
							BgL_objzd2classzd2numz00_6258 = BgL_res4086z00_6261;
						}
						{	/* Ast/walk.scm 132 */
							obj_t BgL_arg1769z00_6259;

							BgL_arg1769z00_6259 =
								PROCEDURE_REF(BGl_walk0za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 132 */
								int BgL_offsetz00_6263;

								BgL_offsetz00_6263 = (int) (BgL_objzd2classzd2numz00_6258);
								{	/* Ast/walk.scm 132 */
									long BgL_offsetz00_6264;

									BgL_offsetz00_6264 =
										((long) (BgL_offsetz00_6263) - OBJECT_TYPE);
									{	/* Ast/walk.scm 132 */
										long BgL_modz00_6265;

										{	/* Ast/walk.scm 132 */
											int BgL_arg1771z00_6266;

											BgL_arg1771z00_6266 = (int) (((long) 16));
											{	/* Ast/walk.scm 132 */
												long BgL_res4089z00_6276;

												{	/* Ast/walk.scm 132 */
													long BgL_auxz00_9312;

													BgL_auxz00_9312 = (long) (BgL_arg1771z00_6266);
													BgL_res4089z00_6276 =
														(BgL_offsetz00_6264 / BgL_auxz00_9312);
												}
												BgL_modz00_6265 = BgL_res4089z00_6276;
										}}
										{	/* Ast/walk.scm 132 */
											long BgL_restz00_6267;

											{	/* Ast/walk.scm 132 */
												int BgL_arg1770z00_6268;

												BgL_arg1770z00_6268 = (int) (((long) 16));
												{	/* Ast/walk.scm 132 */
													long BgL_res4091z00_6280;

													{	/* Ast/walk.scm 132 */
														long BgL_auxz00_9316;

														BgL_auxz00_9316 = (long) (BgL_arg1770z00_6268);
														BgL_res4091z00_6280 =
															(BgL_offsetz00_6264 % BgL_auxz00_9316);
													}
													BgL_restz00_6267 = BgL_res4091z00_6280;
											}}
											{	/* Ast/walk.scm 132 */

												BgL_res4092z00_6285 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6259,
														(int) (BgL_modz00_6265)), (int) (BgL_restz00_6267));
					}}}}}}}
					BgL_method2178z00_2266 = BgL_res4092z00_6285;
				}
				return
					PROCEDURE_ENTRY(BgL_method2178z00_2266) (BgL_method2178z00_2266,
					((obj_t) BgL_nz00_23), BgL_pz00_24, BEOA);
			}
		}
	}



/* &walk0* */
	obj_t BGl_z62walk0za2zc0zzast_walkz00(obj_t BgL_envz00_7442,
		obj_t BgL_nz00_7443, obj_t BgL_pz00_7444)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 132 */
			return
				BGl_walk0za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7443), BgL_pz00_7444);
		}
	}



/* walk1* */
	BGL_EXPORTED_DEF obj_t BGl_walk1za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_25, obj_t BgL_pz00_26, obj_t BgL_arg0z00_27)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 135 */
			{	/* Ast/walk.scm 135 */
				obj_t BgL_method2180z00_2267;

				{	/* Ast/walk.scm 135 */
					obj_t BgL_res4099z00_6314;

					{	/* Ast/walk.scm 135 */
						long BgL_objzd2classzd2numz00_6287;

						{	/* Ast/walk.scm 135 */
							long BgL_res4093z00_6290;

							BgL_res4093z00_6290 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_25));
							BgL_objzd2classzd2numz00_6287 = BgL_res4093z00_6290;
						}
						{	/* Ast/walk.scm 135 */
							obj_t BgL_arg1769z00_6288;

							BgL_arg1769z00_6288 =
								PROCEDURE_REF(BGl_walk1za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 135 */
								int BgL_offsetz00_6292;

								BgL_offsetz00_6292 = (int) (BgL_objzd2classzd2numz00_6287);
								{	/* Ast/walk.scm 135 */
									long BgL_offsetz00_6293;

									BgL_offsetz00_6293 =
										((long) (BgL_offsetz00_6292) - OBJECT_TYPE);
									{	/* Ast/walk.scm 135 */
										long BgL_modz00_6294;

										{	/* Ast/walk.scm 135 */
											int BgL_arg1771z00_6295;

											BgL_arg1771z00_6295 = (int) (((long) 16));
											{	/* Ast/walk.scm 135 */
												long BgL_res4096z00_6305;

												{	/* Ast/walk.scm 135 */
													long BgL_auxz00_9339;

													BgL_auxz00_9339 = (long) (BgL_arg1771z00_6295);
													BgL_res4096z00_6305 =
														(BgL_offsetz00_6293 / BgL_auxz00_9339);
												}
												BgL_modz00_6294 = BgL_res4096z00_6305;
										}}
										{	/* Ast/walk.scm 135 */
											long BgL_restz00_6296;

											{	/* Ast/walk.scm 135 */
												int BgL_arg1770z00_6297;

												BgL_arg1770z00_6297 = (int) (((long) 16));
												{	/* Ast/walk.scm 135 */
													long BgL_res4098z00_6309;

													{	/* Ast/walk.scm 135 */
														long BgL_auxz00_9343;

														BgL_auxz00_9343 = (long) (BgL_arg1770z00_6297);
														BgL_res4098z00_6309 =
															(BgL_offsetz00_6293 % BgL_auxz00_9343);
													}
													BgL_restz00_6296 = BgL_res4098z00_6309;
											}}
											{	/* Ast/walk.scm 135 */

												BgL_res4099z00_6314 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6288,
														(int) (BgL_modz00_6294)), (int) (BgL_restz00_6296));
					}}}}}}}
					BgL_method2180z00_2267 = BgL_res4099z00_6314;
				}
				return
					PROCEDURE_ENTRY(BgL_method2180z00_2267) (BgL_method2180z00_2267,
					((obj_t) BgL_nz00_25), BgL_pz00_26, BgL_arg0z00_27, BEOA);
			}
		}
	}



/* &walk1* */
	obj_t BGl_z62walk1za2zc0zzast_walkz00(obj_t BgL_envz00_7445,
		obj_t BgL_nz00_7446, obj_t BgL_pz00_7447, obj_t BgL_arg0z00_7448)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 135 */
			return
				BGl_walk1za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7446), BgL_pz00_7447, BgL_arg0z00_7448);
		}
	}



/* walk2* */
	BGL_EXPORTED_DEF obj_t BGl_walk2za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_28, obj_t BgL_pz00_29, obj_t BgL_arg0z00_30, obj_t BgL_arg1z00_31)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 138 */
			{	/* Ast/walk.scm 138 */
				obj_t BgL_method2182z00_2268;

				{	/* Ast/walk.scm 138 */
					obj_t BgL_res4106z00_6343;

					{	/* Ast/walk.scm 138 */
						long BgL_objzd2classzd2numz00_6316;

						{	/* Ast/walk.scm 138 */
							long BgL_res4100z00_6319;

							BgL_res4100z00_6319 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_28));
							BgL_objzd2classzd2numz00_6316 = BgL_res4100z00_6319;
						}
						{	/* Ast/walk.scm 138 */
							obj_t BgL_arg1769z00_6317;

							BgL_arg1769z00_6317 =
								PROCEDURE_REF(BGl_walk2za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 138 */
								int BgL_offsetz00_6321;

								BgL_offsetz00_6321 = (int) (BgL_objzd2classzd2numz00_6316);
								{	/* Ast/walk.scm 138 */
									long BgL_offsetz00_6322;

									BgL_offsetz00_6322 =
										((long) (BgL_offsetz00_6321) - OBJECT_TYPE);
									{	/* Ast/walk.scm 138 */
										long BgL_modz00_6323;

										{	/* Ast/walk.scm 138 */
											int BgL_arg1771z00_6324;

											BgL_arg1771z00_6324 = (int) (((long) 16));
											{	/* Ast/walk.scm 138 */
												long BgL_res4103z00_6334;

												{	/* Ast/walk.scm 138 */
													long BgL_auxz00_9367;

													BgL_auxz00_9367 = (long) (BgL_arg1771z00_6324);
													BgL_res4103z00_6334 =
														(BgL_offsetz00_6322 / BgL_auxz00_9367);
												}
												BgL_modz00_6323 = BgL_res4103z00_6334;
										}}
										{	/* Ast/walk.scm 138 */
											long BgL_restz00_6325;

											{	/* Ast/walk.scm 138 */
												int BgL_arg1770z00_6326;

												BgL_arg1770z00_6326 = (int) (((long) 16));
												{	/* Ast/walk.scm 138 */
													long BgL_res4105z00_6338;

													{	/* Ast/walk.scm 138 */
														long BgL_auxz00_9371;

														BgL_auxz00_9371 = (long) (BgL_arg1770z00_6326);
														BgL_res4105z00_6338 =
															(BgL_offsetz00_6322 % BgL_auxz00_9371);
													}
													BgL_restz00_6325 = BgL_res4105z00_6338;
											}}
											{	/* Ast/walk.scm 138 */

												BgL_res4106z00_6343 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6317,
														(int) (BgL_modz00_6323)), (int) (BgL_restz00_6325));
					}}}}}}}
					BgL_method2182z00_2268 = BgL_res4106z00_6343;
				}
				return
					PROCEDURE_ENTRY(BgL_method2182z00_2268) (BgL_method2182z00_2268,
					((obj_t) BgL_nz00_28), BgL_pz00_29, BgL_arg0z00_30, BgL_arg1z00_31,
					BEOA);
			}
		}
	}



/* &walk2* */
	obj_t BGl_z62walk2za2zc0zzast_walkz00(obj_t BgL_envz00_7449,
		obj_t BgL_nz00_7450, obj_t BgL_pz00_7451, obj_t BgL_arg0z00_7452,
		obj_t BgL_arg1z00_7453)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 138 */
			return
				BGl_walk2za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7450), BgL_pz00_7451, BgL_arg0z00_7452,
				BgL_arg1z00_7453);
		}
	}



/* walk3* */
	BGL_EXPORTED_DEF obj_t BGl_walk3za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_32, obj_t BgL_pz00_33, obj_t BgL_arg0z00_34, obj_t BgL_arg1z00_35,
		obj_t BgL_arg2z00_36)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 141 */
			{	/* Ast/walk.scm 141 */
				obj_t BgL_method2184z00_2269;

				{	/* Ast/walk.scm 141 */
					obj_t BgL_res4113z00_6372;

					{	/* Ast/walk.scm 141 */
						long BgL_objzd2classzd2numz00_6345;

						{	/* Ast/walk.scm 141 */
							long BgL_res4107z00_6348;

							BgL_res4107z00_6348 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_32));
							BgL_objzd2classzd2numz00_6345 = BgL_res4107z00_6348;
						}
						{	/* Ast/walk.scm 141 */
							obj_t BgL_arg1769z00_6346;

							BgL_arg1769z00_6346 =
								PROCEDURE_REF(BGl_walk3za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 141 */
								int BgL_offsetz00_6350;

								BgL_offsetz00_6350 = (int) (BgL_objzd2classzd2numz00_6345);
								{	/* Ast/walk.scm 141 */
									long BgL_offsetz00_6351;

									BgL_offsetz00_6351 =
										((long) (BgL_offsetz00_6350) - OBJECT_TYPE);
									{	/* Ast/walk.scm 141 */
										long BgL_modz00_6352;

										{	/* Ast/walk.scm 141 */
											int BgL_arg1771z00_6353;

											BgL_arg1771z00_6353 = (int) (((long) 16));
											{	/* Ast/walk.scm 141 */
												long BgL_res4110z00_6363;

												{	/* Ast/walk.scm 141 */
													long BgL_auxz00_9396;

													BgL_auxz00_9396 = (long) (BgL_arg1771z00_6353);
													BgL_res4110z00_6363 =
														(BgL_offsetz00_6351 / BgL_auxz00_9396);
												}
												BgL_modz00_6352 = BgL_res4110z00_6363;
										}}
										{	/* Ast/walk.scm 141 */
											long BgL_restz00_6354;

											{	/* Ast/walk.scm 141 */
												int BgL_arg1770z00_6355;

												BgL_arg1770z00_6355 = (int) (((long) 16));
												{	/* Ast/walk.scm 141 */
													long BgL_res4112z00_6367;

													{	/* Ast/walk.scm 141 */
														long BgL_auxz00_9400;

														BgL_auxz00_9400 = (long) (BgL_arg1770z00_6355);
														BgL_res4112z00_6367 =
															(BgL_offsetz00_6351 % BgL_auxz00_9400);
													}
													BgL_restz00_6354 = BgL_res4112z00_6367;
											}}
											{	/* Ast/walk.scm 141 */

												BgL_res4113z00_6372 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6346,
														(int) (BgL_modz00_6352)), (int) (BgL_restz00_6354));
					}}}}}}}
					BgL_method2184z00_2269 = BgL_res4113z00_6372;
				}
				return
					PROCEDURE_ENTRY(BgL_method2184z00_2269) (BgL_method2184z00_2269,
					((obj_t) BgL_nz00_32), BgL_pz00_33, BgL_arg0z00_34, BgL_arg1z00_35,
					BgL_arg2z00_36, BEOA);
			}
		}
	}



/* &walk3* */
	obj_t BGl_z62walk3za2zc0zzast_walkz00(obj_t BgL_envz00_7454,
		obj_t BgL_nz00_7455, obj_t BgL_pz00_7456, obj_t BgL_arg0z00_7457,
		obj_t BgL_arg1z00_7458, obj_t BgL_arg2z00_7459)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 141 */
			return
				BGl_walk3za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7455), BgL_pz00_7456, BgL_arg0z00_7457,
				BgL_arg1z00_7458, BgL_arg2z00_7459);
		}
	}



/* walk4* */
	BGL_EXPORTED_DEF obj_t BGl_walk4za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_37, obj_t BgL_pz00_38, obj_t BgL_arg0z00_39, obj_t BgL_arg1z00_40,
		obj_t BgL_arg2z00_41, obj_t BgL_arg3z00_42)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 144 */
			{	/* Ast/walk.scm 144 */
				obj_t BgL_method2186z00_2270;

				{	/* Ast/walk.scm 144 */
					obj_t BgL_res4120z00_6401;

					{	/* Ast/walk.scm 144 */
						long BgL_objzd2classzd2numz00_6374;

						{	/* Ast/walk.scm 144 */
							long BgL_res4114z00_6377;

							BgL_res4114z00_6377 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_37));
							BgL_objzd2classzd2numz00_6374 = BgL_res4114z00_6377;
						}
						{	/* Ast/walk.scm 144 */
							obj_t BgL_arg1769z00_6375;

							BgL_arg1769z00_6375 =
								PROCEDURE_REF(BGl_walk4za2zd2envz70zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 144 */
								int BgL_offsetz00_6379;

								BgL_offsetz00_6379 = (int) (BgL_objzd2classzd2numz00_6374);
								{	/* Ast/walk.scm 144 */
									long BgL_offsetz00_6380;

									BgL_offsetz00_6380 =
										((long) (BgL_offsetz00_6379) - OBJECT_TYPE);
									{	/* Ast/walk.scm 144 */
										long BgL_modz00_6381;

										{	/* Ast/walk.scm 144 */
											int BgL_arg1771z00_6382;

											BgL_arg1771z00_6382 = (int) (((long) 16));
											{	/* Ast/walk.scm 144 */
												long BgL_res4117z00_6392;

												{	/* Ast/walk.scm 144 */
													long BgL_auxz00_9426;

													BgL_auxz00_9426 = (long) (BgL_arg1771z00_6382);
													BgL_res4117z00_6392 =
														(BgL_offsetz00_6380 / BgL_auxz00_9426);
												}
												BgL_modz00_6381 = BgL_res4117z00_6392;
										}}
										{	/* Ast/walk.scm 144 */
											long BgL_restz00_6383;

											{	/* Ast/walk.scm 144 */
												int BgL_arg1770z00_6384;

												BgL_arg1770z00_6384 = (int) (((long) 16));
												{	/* Ast/walk.scm 144 */
													long BgL_res4119z00_6396;

													{	/* Ast/walk.scm 144 */
														long BgL_auxz00_9430;

														BgL_auxz00_9430 = (long) (BgL_arg1770z00_6384);
														BgL_res4119z00_6396 =
															(BgL_offsetz00_6380 % BgL_auxz00_9430);
													}
													BgL_restz00_6383 = BgL_res4119z00_6396;
											}}
											{	/* Ast/walk.scm 144 */

												BgL_res4120z00_6401 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6375,
														(int) (BgL_modz00_6381)), (int) (BgL_restz00_6383));
					}}}}}}}
					BgL_method2186z00_2270 = BgL_res4120z00_6401;
				}
				return
					PROCEDURE_ENTRY(BgL_method2186z00_2270) (BgL_method2186z00_2270,
					((obj_t) BgL_nz00_37), BgL_pz00_38, BgL_arg0z00_39, BgL_arg1z00_40,
					BgL_arg2z00_41, BgL_arg3z00_42, BEOA);
			}
		}
	}



/* &walk4* */
	obj_t BGl_z62walk4za2zc0zzast_walkz00(obj_t BgL_envz00_7460,
		obj_t BgL_nz00_7461, obj_t BgL_pz00_7462, obj_t BgL_arg0z00_7463,
		obj_t BgL_arg1z00_7464, obj_t BgL_arg2z00_7465, obj_t BgL_arg3z00_7466)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 144 */
			return
				BGl_walk4za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7461), BgL_pz00_7462, BgL_arg0z00_7463,
				BgL_arg1z00_7464, BgL_arg2z00_7465, BgL_arg3z00_7466);
		}
	}



/* walk0! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_43,
		obj_t BgL_pz00_44)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 148 */
			{	/* Ast/walk.scm 148 */
				obj_t BgL_method2188z00_2271;

				{	/* Ast/walk.scm 148 */
					obj_t BgL_res4127z00_6430;

					{	/* Ast/walk.scm 148 */
						long BgL_objzd2classzd2numz00_6403;

						{	/* Ast/walk.scm 148 */
							long BgL_res4121z00_6406;

							BgL_res4121z00_6406 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_43));
							BgL_objzd2classzd2numz00_6403 = BgL_res4121z00_6406;
						}
						{	/* Ast/walk.scm 148 */
							obj_t BgL_arg1769z00_6404;

							BgL_arg1769z00_6404 =
								PROCEDURE_REF(BGl_walk0z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 148 */
								int BgL_offsetz00_6408;

								BgL_offsetz00_6408 = (int) (BgL_objzd2classzd2numz00_6403);
								{	/* Ast/walk.scm 148 */
									long BgL_offsetz00_6409;

									BgL_offsetz00_6409 =
										((long) (BgL_offsetz00_6408) - OBJECT_TYPE);
									{	/* Ast/walk.scm 148 */
										long BgL_modz00_6410;

										{	/* Ast/walk.scm 148 */
											int BgL_arg1771z00_6411;

											BgL_arg1771z00_6411 = (int) (((long) 16));
											{	/* Ast/walk.scm 148 */
												long BgL_res4124z00_6421;

												{	/* Ast/walk.scm 148 */
													long BgL_auxz00_9457;

													BgL_auxz00_9457 = (long) (BgL_arg1771z00_6411);
													BgL_res4124z00_6421 =
														(BgL_offsetz00_6409 / BgL_auxz00_9457);
												}
												BgL_modz00_6410 = BgL_res4124z00_6421;
										}}
										{	/* Ast/walk.scm 148 */
											long BgL_restz00_6412;

											{	/* Ast/walk.scm 148 */
												int BgL_arg1770z00_6413;

												BgL_arg1770z00_6413 = (int) (((long) 16));
												{	/* Ast/walk.scm 148 */
													long BgL_res4126z00_6425;

													{	/* Ast/walk.scm 148 */
														long BgL_auxz00_9461;

														BgL_auxz00_9461 = (long) (BgL_arg1770z00_6413);
														BgL_res4126z00_6425 =
															(BgL_offsetz00_6409 % BgL_auxz00_9461);
													}
													BgL_restz00_6412 = BgL_res4126z00_6425;
											}}
											{	/* Ast/walk.scm 148 */

												BgL_res4127z00_6430 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6404,
														(int) (BgL_modz00_6410)), (int) (BgL_restz00_6412));
					}}}}}}}
					BgL_method2188z00_2271 = BgL_res4127z00_6430;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method2188z00_2271) (BgL_method2188z00_2271,
						((obj_t) BgL_nz00_43), BgL_pz00_44, BEOA));
			}
		}
	}



/* &walk0! */
	BgL_nodez00_bglt BGl_z62walk0z12z70zzast_walkz00(obj_t BgL_envz00_7467,
		obj_t BgL_nz00_7468, obj_t BgL_pz00_7469)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 148 */
			return
				BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7468), BgL_pz00_7469);
		}
	}



/* walk1! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_45,
		obj_t BgL_pz00_46, obj_t BgL_arg0z00_47)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 151 */
			{	/* Ast/walk.scm 151 */
				obj_t BgL_method2190z00_2272;

				{	/* Ast/walk.scm 151 */
					obj_t BgL_res4134z00_6459;

					{	/* Ast/walk.scm 151 */
						long BgL_objzd2classzd2numz00_6432;

						{	/* Ast/walk.scm 151 */
							long BgL_res4128z00_6435;

							BgL_res4128z00_6435 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_45));
							BgL_objzd2classzd2numz00_6432 = BgL_res4128z00_6435;
						}
						{	/* Ast/walk.scm 151 */
							obj_t BgL_arg1769z00_6433;

							BgL_arg1769z00_6433 =
								PROCEDURE_REF(BGl_walk1z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 151 */
								int BgL_offsetz00_6437;

								BgL_offsetz00_6437 = (int) (BgL_objzd2classzd2numz00_6432);
								{	/* Ast/walk.scm 151 */
									long BgL_offsetz00_6438;

									BgL_offsetz00_6438 =
										((long) (BgL_offsetz00_6437) - OBJECT_TYPE);
									{	/* Ast/walk.scm 151 */
										long BgL_modz00_6439;

										{	/* Ast/walk.scm 151 */
											int BgL_arg1771z00_6440;

											BgL_arg1771z00_6440 = (int) (((long) 16));
											{	/* Ast/walk.scm 151 */
												long BgL_res4131z00_6450;

												{	/* Ast/walk.scm 151 */
													long BgL_auxz00_9485;

													BgL_auxz00_9485 = (long) (BgL_arg1771z00_6440);
													BgL_res4131z00_6450 =
														(BgL_offsetz00_6438 / BgL_auxz00_9485);
												}
												BgL_modz00_6439 = BgL_res4131z00_6450;
										}}
										{	/* Ast/walk.scm 151 */
											long BgL_restz00_6441;

											{	/* Ast/walk.scm 151 */
												int BgL_arg1770z00_6442;

												BgL_arg1770z00_6442 = (int) (((long) 16));
												{	/* Ast/walk.scm 151 */
													long BgL_res4133z00_6454;

													{	/* Ast/walk.scm 151 */
														long BgL_auxz00_9489;

														BgL_auxz00_9489 = (long) (BgL_arg1770z00_6442);
														BgL_res4133z00_6454 =
															(BgL_offsetz00_6438 % BgL_auxz00_9489);
													}
													BgL_restz00_6441 = BgL_res4133z00_6454;
											}}
											{	/* Ast/walk.scm 151 */

												BgL_res4134z00_6459 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6433,
														(int) (BgL_modz00_6439)), (int) (BgL_restz00_6441));
					}}}}}}}
					BgL_method2190z00_2272 = BgL_res4134z00_6459;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method2190z00_2272) (BgL_method2190z00_2272,
						((obj_t) BgL_nz00_45), BgL_pz00_46, BgL_arg0z00_47, BEOA));
			}
		}
	}



/* &walk1! */
	BgL_nodez00_bglt BGl_z62walk1z12z70zzast_walkz00(obj_t BgL_envz00_7470,
		obj_t BgL_nz00_7471, obj_t BgL_pz00_7472, obj_t BgL_arg0z00_7473)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 151 */
			return
				BGl_walk1z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7471), BgL_pz00_7472, BgL_arg0z00_7473);
		}
	}



/* walk2! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_48,
		obj_t BgL_pz00_49, obj_t BgL_arg0z00_50, obj_t BgL_arg1z00_51)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 154 */
			{	/* Ast/walk.scm 154 */
				obj_t BgL_method2192z00_2273;

				{	/* Ast/walk.scm 154 */
					obj_t BgL_res4141z00_6488;

					{	/* Ast/walk.scm 154 */
						long BgL_objzd2classzd2numz00_6461;

						{	/* Ast/walk.scm 154 */
							long BgL_res4135z00_6464;

							BgL_res4135z00_6464 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_48));
							BgL_objzd2classzd2numz00_6461 = BgL_res4135z00_6464;
						}
						{	/* Ast/walk.scm 154 */
							obj_t BgL_arg1769z00_6462;

							BgL_arg1769z00_6462 =
								PROCEDURE_REF(BGl_walk2z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 154 */
								int BgL_offsetz00_6466;

								BgL_offsetz00_6466 = (int) (BgL_objzd2classzd2numz00_6461);
								{	/* Ast/walk.scm 154 */
									long BgL_offsetz00_6467;

									BgL_offsetz00_6467 =
										((long) (BgL_offsetz00_6466) - OBJECT_TYPE);
									{	/* Ast/walk.scm 154 */
										long BgL_modz00_6468;

										{	/* Ast/walk.scm 154 */
											int BgL_arg1771z00_6469;

											BgL_arg1771z00_6469 = (int) (((long) 16));
											{	/* Ast/walk.scm 154 */
												long BgL_res4138z00_6479;

												{	/* Ast/walk.scm 154 */
													long BgL_auxz00_9514;

													BgL_auxz00_9514 = (long) (BgL_arg1771z00_6469);
													BgL_res4138z00_6479 =
														(BgL_offsetz00_6467 / BgL_auxz00_9514);
												}
												BgL_modz00_6468 = BgL_res4138z00_6479;
										}}
										{	/* Ast/walk.scm 154 */
											long BgL_restz00_6470;

											{	/* Ast/walk.scm 154 */
												int BgL_arg1770z00_6471;

												BgL_arg1770z00_6471 = (int) (((long) 16));
												{	/* Ast/walk.scm 154 */
													long BgL_res4140z00_6483;

													{	/* Ast/walk.scm 154 */
														long BgL_auxz00_9518;

														BgL_auxz00_9518 = (long) (BgL_arg1770z00_6471);
														BgL_res4140z00_6483 =
															(BgL_offsetz00_6467 % BgL_auxz00_9518);
													}
													BgL_restz00_6470 = BgL_res4140z00_6483;
											}}
											{	/* Ast/walk.scm 154 */

												BgL_res4141z00_6488 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6462,
														(int) (BgL_modz00_6468)), (int) (BgL_restz00_6470));
					}}}}}}}
					BgL_method2192z00_2273 = BgL_res4141z00_6488;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method2192z00_2273) (BgL_method2192z00_2273,
						((obj_t) BgL_nz00_48), BgL_pz00_49, BgL_arg0z00_50, BgL_arg1z00_51,
						BEOA));
			}
		}
	}



/* &walk2! */
	BgL_nodez00_bglt BGl_z62walk2z12z70zzast_walkz00(obj_t BgL_envz00_7474,
		obj_t BgL_nz00_7475, obj_t BgL_pz00_7476, obj_t BgL_arg0z00_7477,
		obj_t BgL_arg1z00_7478)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 154 */
			return
				BGl_walk2z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7475), BgL_pz00_7476, BgL_arg0z00_7477,
				BgL_arg1z00_7478);
		}
	}



/* walk3! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk3z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_52,
		obj_t BgL_pz00_53, obj_t BgL_arg0z00_54, obj_t BgL_arg1z00_55,
		obj_t BgL_arg2z00_56)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 157 */
			{	/* Ast/walk.scm 157 */
				obj_t BgL_method2194z00_2274;

				{	/* Ast/walk.scm 157 */
					obj_t BgL_res4148z00_6517;

					{	/* Ast/walk.scm 157 */
						long BgL_objzd2classzd2numz00_6490;

						{	/* Ast/walk.scm 157 */
							long BgL_res4142z00_6493;

							BgL_res4142z00_6493 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_52));
							BgL_objzd2classzd2numz00_6490 = BgL_res4142z00_6493;
						}
						{	/* Ast/walk.scm 157 */
							obj_t BgL_arg1769z00_6491;

							BgL_arg1769z00_6491 =
								PROCEDURE_REF(BGl_walk3z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 157 */
								int BgL_offsetz00_6495;

								BgL_offsetz00_6495 = (int) (BgL_objzd2classzd2numz00_6490);
								{	/* Ast/walk.scm 157 */
									long BgL_offsetz00_6496;

									BgL_offsetz00_6496 =
										((long) (BgL_offsetz00_6495) - OBJECT_TYPE);
									{	/* Ast/walk.scm 157 */
										long BgL_modz00_6497;

										{	/* Ast/walk.scm 157 */
											int BgL_arg1771z00_6498;

											BgL_arg1771z00_6498 = (int) (((long) 16));
											{	/* Ast/walk.scm 157 */
												long BgL_res4145z00_6508;

												{	/* Ast/walk.scm 157 */
													long BgL_auxz00_9544;

													BgL_auxz00_9544 = (long) (BgL_arg1771z00_6498);
													BgL_res4145z00_6508 =
														(BgL_offsetz00_6496 / BgL_auxz00_9544);
												}
												BgL_modz00_6497 = BgL_res4145z00_6508;
										}}
										{	/* Ast/walk.scm 157 */
											long BgL_restz00_6499;

											{	/* Ast/walk.scm 157 */
												int BgL_arg1770z00_6500;

												BgL_arg1770z00_6500 = (int) (((long) 16));
												{	/* Ast/walk.scm 157 */
													long BgL_res4147z00_6512;

													{	/* Ast/walk.scm 157 */
														long BgL_auxz00_9548;

														BgL_auxz00_9548 = (long) (BgL_arg1770z00_6500);
														BgL_res4147z00_6512 =
															(BgL_offsetz00_6496 % BgL_auxz00_9548);
													}
													BgL_restz00_6499 = BgL_res4147z00_6512;
											}}
											{	/* Ast/walk.scm 157 */

												BgL_res4148z00_6517 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6491,
														(int) (BgL_modz00_6497)), (int) (BgL_restz00_6499));
					}}}}}}}
					BgL_method2194z00_2274 = BgL_res4148z00_6517;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method2194z00_2274) (BgL_method2194z00_2274,
						((obj_t) BgL_nz00_52), BgL_pz00_53, BgL_arg0z00_54, BgL_arg1z00_55,
						BgL_arg2z00_56, BEOA));
			}
		}
	}



/* &walk3! */
	BgL_nodez00_bglt BGl_z62walk3z12z70zzast_walkz00(obj_t BgL_envz00_7479,
		obj_t BgL_nz00_7480, obj_t BgL_pz00_7481, obj_t BgL_arg0z00_7482,
		obj_t BgL_arg1z00_7483, obj_t BgL_arg2z00_7484)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 157 */
			return
				BGl_walk3z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7480), BgL_pz00_7481, BgL_arg0z00_7482,
				BgL_arg1z00_7483, BgL_arg2z00_7484);
		}
	}



/* walk4! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk4z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_57,
		obj_t BgL_pz00_58, obj_t BgL_arg0z00_59, obj_t BgL_arg1z00_60,
		obj_t BgL_arg2z00_61, obj_t BgL_arg3z00_62)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 160 */
			{	/* Ast/walk.scm 160 */
				obj_t BgL_method2196z00_2275;

				{	/* Ast/walk.scm 160 */
					obj_t BgL_res4155z00_6546;

					{	/* Ast/walk.scm 160 */
						long BgL_objzd2classzd2numz00_6519;

						{	/* Ast/walk.scm 160 */
							long BgL_res4149z00_6522;

							BgL_res4149z00_6522 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_57));
							BgL_objzd2classzd2numz00_6519 = BgL_res4149z00_6522;
						}
						{	/* Ast/walk.scm 160 */
							obj_t BgL_arg1769z00_6520;

							BgL_arg1769z00_6520 =
								PROCEDURE_REF(BGl_walk4z12zd2envzc0zzast_walkz00,
								(int) (((long) 1)));
							{	/* Ast/walk.scm 160 */
								int BgL_offsetz00_6524;

								BgL_offsetz00_6524 = (int) (BgL_objzd2classzd2numz00_6519);
								{	/* Ast/walk.scm 160 */
									long BgL_offsetz00_6525;

									BgL_offsetz00_6525 =
										((long) (BgL_offsetz00_6524) - OBJECT_TYPE);
									{	/* Ast/walk.scm 160 */
										long BgL_modz00_6526;

										{	/* Ast/walk.scm 160 */
											int BgL_arg1771z00_6527;

											BgL_arg1771z00_6527 = (int) (((long) 16));
											{	/* Ast/walk.scm 160 */
												long BgL_res4152z00_6537;

												{	/* Ast/walk.scm 160 */
													long BgL_auxz00_9575;

													BgL_auxz00_9575 = (long) (BgL_arg1771z00_6527);
													BgL_res4152z00_6537 =
														(BgL_offsetz00_6525 / BgL_auxz00_9575);
												}
												BgL_modz00_6526 = BgL_res4152z00_6537;
										}}
										{	/* Ast/walk.scm 160 */
											long BgL_restz00_6528;

											{	/* Ast/walk.scm 160 */
												int BgL_arg1770z00_6529;

												BgL_arg1770z00_6529 = (int) (((long) 16));
												{	/* Ast/walk.scm 160 */
													long BgL_res4154z00_6541;

													{	/* Ast/walk.scm 160 */
														long BgL_auxz00_9579;

														BgL_auxz00_9579 = (long) (BgL_arg1770z00_6529);
														BgL_res4154z00_6541 =
															(BgL_offsetz00_6525 % BgL_auxz00_9579);
													}
													BgL_restz00_6528 = BgL_res4154z00_6541;
											}}
											{	/* Ast/walk.scm 160 */

												BgL_res4155z00_6546 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6520,
														(int) (BgL_modz00_6526)), (int) (BgL_restz00_6528));
					}}}}}}}
					BgL_method2196z00_2275 = BgL_res4155z00_6546;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method2196z00_2275) (BgL_method2196z00_2275,
						((obj_t) BgL_nz00_57), BgL_pz00_58, BgL_arg0z00_59, BgL_arg1z00_60,
						BgL_arg2z00_61, BgL_arg3z00_62, BEOA));
			}
		}
	}



/* &walk4! */
	BgL_nodez00_bglt BGl_z62walk4z12z70zzast_walkz00(obj_t BgL_envz00_7485,
		obj_t BgL_nz00_7486, obj_t BgL_pz00_7487, obj_t BgL_arg0z00_7488,
		obj_t BgL_arg1z00_7489, obj_t BgL_arg2z00_7490, obj_t BgL_arg3z00_7491)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 160 */
			return
				BGl_walk4z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7486), BgL_pz00_7487, BgL_arg0z00_7488,
				BgL_arg1z00_7489, BgL_arg2z00_7490, BgL_arg3z00_7491);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_walkz00()
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4301z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4302z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4303z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4304z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4305z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4306z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4307z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4308z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4309z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4310z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4311z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc4312z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4313z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4314z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4315z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4316z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4317z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4318z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4319z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4320z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4321z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4322z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4323z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc4324z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4325z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4326z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4327z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4328z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4329z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4330z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4331z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4332z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4333z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4334z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4335z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc4336z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4337z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4338z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4339z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4340z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4341z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4342z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4343z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4344z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4345z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4346z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4347z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc4348z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4349z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4350z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4351z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4352z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4353z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4354z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4355z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4356z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4357z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4358z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4359z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc4360z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4361z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4362z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4363z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4364z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4365z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4366z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4367z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4368z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4369z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4370z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4371z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc4372z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4373z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4374z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4375z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4376z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4377z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4378z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4379z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4380z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4381z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4382z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4383z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc4384z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4385z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4386z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4387z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4388z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4389z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4390z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4391z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4392z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4393z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4394z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4395z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc4396z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4397z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4398z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4399z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4400z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4401z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4402z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4403z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4404z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4405z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4406z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4407z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc4408z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4409z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4410z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4411z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4412z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4413z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4414z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4415z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4416z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4417z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4418z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4419z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc4420z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4421z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4422z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4423z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4424z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4425z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4426z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4427z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4428z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4429z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4430z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4431z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc4432z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4433z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4434z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4435z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4436z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4437z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4438z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4439z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4440z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4441z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4442z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4443z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc4444z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4445z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4446z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4447z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4448z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4449z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4450z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4451z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4452z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4453z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4454z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4455z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc4456z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4457z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4458z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4459z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4460z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4461z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4462z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4463z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4464z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4465z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4466z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4467z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc4468z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4469z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4470z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4471z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4472z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4473z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4474z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4475z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4476z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4477z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4478z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4479z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4480z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4481z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4482z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4483z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4484z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4485z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4486z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4487z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4488z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4489z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4490z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4491z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4492z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4493z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4494z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4495z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4496z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4497z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4498z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4499z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4500z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4501z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4502z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4503z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc4504z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4505z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4506z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4507z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4508z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4509z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4510z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4511z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4512z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4513z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4514z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4515z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4516z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4517z00zzast_walkz00, BGl_string4300z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4518z00zzast_walkz00, BGl_string4299z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4519z00zzast_walkz00, BGl_string4298z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4520z00zzast_walkz00, BGl_string4297z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4521z00zzast_walkz00, BGl_string4295z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4522z00zzast_walkz00, BGl_string4294z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4523z00zzast_walkz00, BGl_string4293z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4524z00zzast_walkz00, BGl_string4292z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4525z00zzast_walkz00, BGl_string4291z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4526z00zzast_walkz00, BGl_string4290z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4527z00zzast_walkz00, BGl_string4289z00zzast_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4528z00zzast_walkz00, BGl_string4288z00zzast_walkz00);
		}
	}



/* &walk3!-let-var2652 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2var2652z70zzast_walkz00(obj_t
		BgL_envz00_7720, obj_t BgL_nz00_7721, obj_t BgL_pz00_7722,
		obj_t BgL_arg0z00_7723, obj_t BgL_arg1z00_7724, obj_t BgL_arg2z00_7725)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5285;
				obj_t BgL_pz00_5286;
				obj_t BgL_arg0z00_5287;
				obj_t BgL_arg1z00_5288;
				obj_t BgL_arg2z00_5289;

				BgL_nz00_5285 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7721);
				BgL_pz00_5286 = BgL_pz00_7722;
				BgL_arg0z00_5287 = BgL_arg0z00_7723;
				BgL_arg1z00_5288 = BgL_arg1z00_7724;
				BgL_arg2z00_5289 = BgL_arg2z00_7725;
				{
					obj_t BgL_fieldsz00_5295;

					BgL_fieldsz00_5295 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5285))->BgL_bindingsz00);
				BgL_zc3anonymousza33961ze3z83_5296:
					if (NULLP(BgL_fieldsz00_5295))
						{	/* Ast/walk.scm 318 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 318 */
							{	/* Ast/walk.scm 318 */
								obj_t BgL_arg3963z00_5298;
								obj_t BgL_arg3964z00_5299;

								BgL_arg3963z00_5298 = CAR(BgL_fieldsz00_5295);
								{	/* Ast/walk.scm 318 */
									obj_t BgL_arg3965z00_5300;

									BgL_arg3965z00_5300 = CDR(CAR(BgL_fieldsz00_5295));
									BgL_arg3964z00_5299 =
										PROCEDURE_ENTRY(BgL_pz00_5286) (BgL_pz00_5286,
										BgL_arg3965z00_5300, BgL_arg0z00_5287, BgL_arg1z00_5288,
										BgL_arg2z00_5289, BEOA);
								}
								SET_CDR(BgL_arg3963z00_5298, BgL_arg3964z00_5299);
							}
							{
								obj_t BgL_fieldsz00_9840;

								BgL_fieldsz00_9840 = CDR(BgL_fieldsz00_5295);
								BgL_fieldsz00_5295 = BgL_fieldsz00_9840;
								goto BgL_zc3anonymousza33961ze3z83_5296;
							}
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_9843;

					{	/* Ast/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg3968z00_5304;

						BgL_arg3968z00_5304 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5285))->BgL_bodyz00);
						BgL_auxz00_9843 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_5286) (BgL_pz00_5286,
								((obj_t) BgL_arg3968z00_5304), BgL_arg0z00_5287,
								BgL_arg1z00_5288, BgL_arg2z00_5289, BEOA));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5285))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_9843), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_5285);
			}
		}
	}



/* &walk2!-let-var2650 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2var2650z70zzast_walkz00(obj_t
		BgL_envz00_7726, obj_t BgL_nz00_7727, obj_t BgL_pz00_7728,
		obj_t BgL_arg0z00_7729, obj_t BgL_arg1z00_7730)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5265;
				obj_t BgL_pz00_5266;
				obj_t BgL_arg0z00_5267;
				obj_t BgL_arg1z00_5268;

				BgL_nz00_5265 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7727);
				BgL_pz00_5266 = BgL_pz00_7728;
				BgL_arg0z00_5267 = BgL_arg0z00_7729;
				BgL_arg1z00_5268 = BgL_arg1z00_7730;
				{
					obj_t BgL_fieldsz00_5274;

					BgL_fieldsz00_5274 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5265))->BgL_bindingsz00);
				BgL_zc3anonymousza33951ze3z83_5275:
					if (NULLP(BgL_fieldsz00_5274))
						{	/* Ast/walk.scm 318 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 318 */
							{	/* Ast/walk.scm 318 */
								obj_t BgL_arg3953z00_5277;
								obj_t BgL_arg3954z00_5278;

								BgL_arg3953z00_5277 = CAR(BgL_fieldsz00_5274);
								{	/* Ast/walk.scm 318 */
									obj_t BgL_arg3955z00_5279;

									BgL_arg3955z00_5279 = CDR(CAR(BgL_fieldsz00_5274));
									BgL_arg3954z00_5278 =
										PROCEDURE_ENTRY(BgL_pz00_5266) (BgL_pz00_5266,
										BgL_arg3955z00_5279, BgL_arg0z00_5267, BgL_arg1z00_5268,
										BEOA);
								}
								SET_CDR(BgL_arg3953z00_5277, BgL_arg3954z00_5278);
							}
							{
								obj_t BgL_fieldsz00_9869;

								BgL_fieldsz00_9869 = CDR(BgL_fieldsz00_5274);
								BgL_fieldsz00_5274 = BgL_fieldsz00_9869;
								goto BgL_zc3anonymousza33951ze3z83_5275;
							}
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_9872;

					{	/* Ast/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg3959z00_5283;

						BgL_arg3959z00_5283 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5265))->BgL_bodyz00);
						BgL_auxz00_9872 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_5266) (BgL_pz00_5266,
								((obj_t) BgL_arg3959z00_5283), BgL_arg0z00_5267,
								BgL_arg1z00_5268, BEOA));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5265))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_9872), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_5265);
			}
		}
	}



/* &walk1!-let-var2648 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2var2648z70zzast_walkz00(obj_t
		BgL_envz00_7731, obj_t BgL_nz00_7732, obj_t BgL_pz00_7733,
		obj_t BgL_arg0z00_7734)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5246;
				obj_t BgL_pz00_5247;
				obj_t BgL_arg0z00_5248;

				BgL_nz00_5246 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7732);
				BgL_pz00_5247 = BgL_pz00_7733;
				BgL_arg0z00_5248 = BgL_arg0z00_7734;
				{
					obj_t BgL_fieldsz00_5254;

					BgL_fieldsz00_5254 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5246))->BgL_bindingsz00);
				BgL_zc3anonymousza33940ze3z83_5255:
					if (NULLP(BgL_fieldsz00_5254))
						{	/* Ast/walk.scm 318 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 318 */
							{	/* Ast/walk.scm 318 */
								obj_t BgL_arg3942z00_5257;
								obj_t BgL_arg3943z00_5258;

								BgL_arg3942z00_5257 = CAR(BgL_fieldsz00_5254);
								{	/* Ast/walk.scm 318 */
									obj_t BgL_arg3944z00_5259;

									BgL_arg3944z00_5259 = CDR(CAR(BgL_fieldsz00_5254));
									BgL_arg3943z00_5258 =
										PROCEDURE_ENTRY(BgL_pz00_5247) (BgL_pz00_5247,
										BgL_arg3944z00_5259, BgL_arg0z00_5248, BEOA);
								}
								SET_CDR(BgL_arg3942z00_5257, BgL_arg3943z00_5258);
							}
							{
								obj_t BgL_fieldsz00_9896;

								BgL_fieldsz00_9896 = CDR(BgL_fieldsz00_5254);
								BgL_fieldsz00_5254 = BgL_fieldsz00_9896;
								goto BgL_zc3anonymousza33940ze3z83_5255;
							}
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_9899;

					{	/* Ast/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg3948z00_5263;

						BgL_arg3948z00_5263 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5246))->BgL_bodyz00);
						BgL_auxz00_9899 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_5247) (BgL_pz00_5247,
								((obj_t) BgL_arg3948z00_5263), BgL_arg0z00_5248, BEOA));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5246))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_9899), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_5246);
			}
		}
	}



/* &walk0!-let-var2646 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2var2646z70zzast_walkz00(obj_t
		BgL_envz00_7735, obj_t BgL_nz00_7736, obj_t BgL_pz00_7737)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5228;
				obj_t BgL_pz00_5229;

				BgL_nz00_5228 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7736);
				BgL_pz00_5229 = BgL_pz00_7737;
				{
					obj_t BgL_fieldsz00_5235;

					BgL_fieldsz00_5235 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5228))->BgL_bindingsz00);
				BgL_zc3anonymousza33929ze3z83_5236:
					if (NULLP(BgL_fieldsz00_5235))
						{	/* Ast/walk.scm 318 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 318 */
							{	/* Ast/walk.scm 318 */
								obj_t BgL_arg3931z00_5238;
								obj_t BgL_arg3932z00_5239;

								BgL_arg3931z00_5238 = CAR(BgL_fieldsz00_5235);
								{	/* Ast/walk.scm 318 */
									obj_t BgL_arg3934z00_5240;

									BgL_arg3934z00_5240 = CDR(CAR(BgL_fieldsz00_5235));
									BgL_arg3932z00_5239 =
										PROCEDURE_ENTRY(BgL_pz00_5229) (BgL_pz00_5229,
										BgL_arg3934z00_5240, BEOA);
								}
								SET_CDR(BgL_arg3931z00_5238, BgL_arg3932z00_5239);
							}
							{
								obj_t BgL_fieldsz00_9921;

								BgL_fieldsz00_9921 = CDR(BgL_fieldsz00_5235);
								BgL_fieldsz00_5235 = BgL_fieldsz00_9921;
								goto BgL_zc3anonymousza33929ze3z83_5236;
							}
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_9924;

					{	/* Ast/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg3938z00_5244;

						BgL_arg3938z00_5244 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5228))->BgL_bodyz00);
						BgL_auxz00_9924 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_5229) (BgL_pz00_5229,
								((obj_t) BgL_arg3938z00_5244), BEOA));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5228))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_9924), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_5228);
			}
		}
	}



/* &walk3*-let-var2644 */
	obj_t BGl_z62walk3za2zd2letzd2var2644zc0zzast_walkz00(obj_t BgL_envz00_7738,
		obj_t BgL_nz00_7739, obj_t BgL_pz00_7740, obj_t BgL_arg0z00_7741,
		obj_t BgL_arg1z00_7742, obj_t BgL_arg2z00_7743)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5205;
				obj_t BgL_pz00_5206;
				obj_t BgL_arg0z00_5207;
				obj_t BgL_arg1z00_5208;
				obj_t BgL_arg2z00_5209;

				BgL_nz00_5205 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7739);
				BgL_pz00_5206 = BgL_pz00_7740;
				BgL_arg0z00_5207 = BgL_arg0z00_7741;
				BgL_arg1z00_5208 = BgL_arg1z00_7742;
				BgL_arg2z00_5209 = BgL_arg2z00_7743;
				{	/* Ast/walk.scm 318 */
					obj_t BgL_arg3918z00_5213;
					obj_t BgL_arg3919z00_5214;

					BgL_arg3918z00_5213 =
						BGl_zc3anonymousza33920ze3z83zzast_walkz00(BgL_arg2z00_5209,
						BgL_arg1z00_5208, BgL_arg0z00_5207, BgL_pz00_5206,
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5205))->BgL_bindingsz00));
					{	/* Ast/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg3927z00_5226;

						BgL_arg3927z00_5226 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5205))->BgL_bodyz00);
						BgL_arg3919z00_5214 =
							PROCEDURE_ENTRY(BgL_pz00_5206) (BgL_pz00_5206,
							((obj_t) BgL_arg3927z00_5226), BgL_arg0z00_5207, BgL_arg1z00_5208,
							BgL_arg2z00_5209, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3918z00_5213,
						BgL_arg3919z00_5214);
				}
			}
		}
	}



/* <anonymous:3920> */
	obj_t BGl_zc3anonymousza33920ze3z83zzast_walkz00(obj_t BgL_arg2z00_8815,
		obj_t BgL_arg1z00_8814, obj_t BgL_arg0z00_8813, obj_t BgL_pz00_8812,
		obj_t BgL_l2165z00_5217)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			if (NULLP(BgL_l2165z00_5217))
				{	/* Ast/walk.scm 318 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 318 */
					obj_t BgL_arg3922z00_5220;
					obj_t BgL_arg3923z00_5221;

					{	/* Ast/walk.scm 318 */
						obj_t BgL_fz00_5222;

						BgL_fz00_5222 = CAR(BgL_l2165z00_5217);
						{	/* Ast/walk.scm 318 */
							obj_t BgL_arg3924z00_5223;

							BgL_arg3924z00_5223 = CDR(BgL_fz00_5222);
							BgL_arg3922z00_5220 =
								PROCEDURE_ENTRY(BgL_pz00_8812) (BgL_pz00_8812,
								BgL_arg3924z00_5223, BgL_arg0z00_8813, BgL_arg1z00_8814,
								BgL_arg2z00_8815, BEOA);
						}
					}
					BgL_arg3923z00_5221 =
						BGl_zc3anonymousza33920ze3z83zzast_walkz00(BgL_arg2z00_8815,
						BgL_arg1z00_8814, BgL_arg0z00_8813, BgL_pz00_8812,
						CDR(BgL_l2165z00_5217));
					return bgl_append2(BgL_arg3922z00_5220, BgL_arg3923z00_5221);
				}
		}
	}



/* &walk2*-let-var2642 */
	obj_t BGl_z62walk2za2zd2letzd2var2642zc0zzast_walkz00(obj_t BgL_envz00_7744,
		obj_t BgL_nz00_7745, obj_t BgL_pz00_7746, obj_t BgL_arg0z00_7747,
		obj_t BgL_arg1z00_7748)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5183;
				obj_t BgL_pz00_5184;
				obj_t BgL_arg0z00_5185;
				obj_t BgL_arg1z00_5186;

				BgL_nz00_5183 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7745);
				BgL_pz00_5184 = BgL_pz00_7746;
				BgL_arg0z00_5185 = BgL_arg0z00_7747;
				BgL_arg1z00_5186 = BgL_arg1z00_7748;
				{	/* Ast/walk.scm 318 */
					obj_t BgL_arg3907z00_5190;
					obj_t BgL_arg3909z00_5191;

					BgL_arg3907z00_5190 =
						BGl_zc3anonymousza33910ze3z83zzast_walkz00(BgL_arg1z00_5186,
						BgL_arg0z00_5185, BgL_pz00_5184,
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5183))->BgL_bindingsz00));
					{	/* Ast/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg3917z00_5203;

						BgL_arg3917z00_5203 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5183))->BgL_bodyz00);
						BgL_arg3909z00_5191 =
							PROCEDURE_ENTRY(BgL_pz00_5184) (BgL_pz00_5184,
							((obj_t) BgL_arg3917z00_5203), BgL_arg0z00_5185, BgL_arg1z00_5186,
							BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3907z00_5190,
						BgL_arg3909z00_5191);
				}
			}
		}
	}



/* <anonymous:3910> */
	obj_t BGl_zc3anonymousza33910ze3z83zzast_walkz00(obj_t BgL_arg1z00_8811,
		obj_t BgL_arg0z00_8810, obj_t BgL_pz00_8809, obj_t BgL_l2162z00_5194)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			if (NULLP(BgL_l2162z00_5194))
				{	/* Ast/walk.scm 318 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 318 */
					obj_t BgL_arg3912z00_5197;
					obj_t BgL_arg3913z00_5198;

					{	/* Ast/walk.scm 318 */
						obj_t BgL_fz00_5199;

						BgL_fz00_5199 = CAR(BgL_l2162z00_5194);
						{	/* Ast/walk.scm 318 */
							obj_t BgL_arg3914z00_5200;

							BgL_arg3914z00_5200 = CDR(BgL_fz00_5199);
							BgL_arg3912z00_5197 =
								PROCEDURE_ENTRY(BgL_pz00_8809) (BgL_pz00_8809,
								BgL_arg3914z00_5200, BgL_arg0z00_8810, BgL_arg1z00_8811, BEOA);
						}
					}
					BgL_arg3913z00_5198 =
						BGl_zc3anonymousza33910ze3z83zzast_walkz00(BgL_arg1z00_8811,
						BgL_arg0z00_8810, BgL_pz00_8809, CDR(BgL_l2162z00_5194));
					return bgl_append2(BgL_arg3912z00_5197, BgL_arg3913z00_5198);
				}
		}
	}



/* &walk1*-let-var2640 */
	obj_t BGl_z62walk1za2zd2letzd2var2640zc0zzast_walkz00(obj_t BgL_envz00_7749,
		obj_t BgL_nz00_7750, obj_t BgL_pz00_7751, obj_t BgL_arg0z00_7752)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5162;
				obj_t BgL_pz00_5163;
				obj_t BgL_arg0z00_5164;

				BgL_nz00_5162 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7750);
				BgL_pz00_5163 = BgL_pz00_7751;
				BgL_arg0z00_5164 = BgL_arg0z00_7752;
				{	/* Ast/walk.scm 318 */
					obj_t BgL_arg3896z00_5168;
					obj_t BgL_arg3897z00_5169;

					BgL_arg3896z00_5168 =
						BGl_zc3anonymousza33898ze3z83zzast_walkz00(BgL_arg0z00_5164,
						BgL_pz00_5163,
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5162))->BgL_bindingsz00));
					{	/* Ast/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg3906z00_5181;

						BgL_arg3906z00_5181 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5162))->BgL_bodyz00);
						BgL_arg3897z00_5169 =
							PROCEDURE_ENTRY(BgL_pz00_5163) (BgL_pz00_5163,
							((obj_t) BgL_arg3906z00_5181), BgL_arg0z00_5164, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3896z00_5168,
						BgL_arg3897z00_5169);
				}
			}
		}
	}



/* <anonymous:3898> */
	obj_t BGl_zc3anonymousza33898ze3z83zzast_walkz00(obj_t BgL_arg0z00_8808,
		obj_t BgL_pz00_8807, obj_t BgL_l2159z00_5172)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			if (NULLP(BgL_l2159z00_5172))
				{	/* Ast/walk.scm 318 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 318 */
					obj_t BgL_arg3901z00_5175;
					obj_t BgL_arg3902z00_5176;

					{	/* Ast/walk.scm 318 */
						obj_t BgL_fz00_5177;

						BgL_fz00_5177 = CAR(BgL_l2159z00_5172);
						{	/* Ast/walk.scm 318 */
							obj_t BgL_arg3904z00_5178;

							BgL_arg3904z00_5178 = CDR(BgL_fz00_5177);
							BgL_arg3901z00_5175 =
								PROCEDURE_ENTRY(BgL_pz00_8807) (BgL_pz00_8807,
								BgL_arg3904z00_5178, BgL_arg0z00_8808, BEOA);
						}
					}
					BgL_arg3902z00_5176 =
						BGl_zc3anonymousza33898ze3z83zzast_walkz00(BgL_arg0z00_8808,
						BgL_pz00_8807, CDR(BgL_l2159z00_5172));
					return bgl_append2(BgL_arg3901z00_5175, BgL_arg3902z00_5176);
				}
		}
	}



/* &walk0*-let-var2638 */
	obj_t BGl_z62walk0za2zd2letzd2var2638zc0zzast_walkz00(obj_t BgL_envz00_7753,
		obj_t BgL_nz00_7754, obj_t BgL_pz00_7755)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5142;
				obj_t BgL_pz00_5143;

				BgL_nz00_5142 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7754);
				BgL_pz00_5143 = BgL_pz00_7755;
				{	/* Ast/walk.scm 318 */
					obj_t BgL_arg3885z00_5147;
					obj_t BgL_arg3886z00_5148;

					BgL_arg3885z00_5147 =
						BGl_zc3anonymousza33887ze3z83zzast_walkz00(BgL_pz00_5143,
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5142))->BgL_bindingsz00));
					{	/* Ast/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg3894z00_5160;

						BgL_arg3894z00_5160 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5142))->BgL_bodyz00);
						BgL_arg3886z00_5148 =
							PROCEDURE_ENTRY(BgL_pz00_5143) (BgL_pz00_5143,
							((obj_t) BgL_arg3894z00_5160), BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3885z00_5147,
						BgL_arg3886z00_5148);
				}
			}
		}
	}



/* <anonymous:3887> */
	obj_t BGl_zc3anonymousza33887ze3z83zzast_walkz00(obj_t BgL_pz00_8806,
		obj_t BgL_l2156z00_5151)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			if (NULLP(BgL_l2156z00_5151))
				{	/* Ast/walk.scm 318 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 318 */
					obj_t BgL_arg3889z00_5154;
					obj_t BgL_arg3891z00_5155;

					{	/* Ast/walk.scm 318 */
						obj_t BgL_fz00_5156;

						BgL_fz00_5156 = CAR(BgL_l2156z00_5151);
						{	/* Ast/walk.scm 318 */
							obj_t BgL_arg3892z00_5157;

							BgL_arg3892z00_5157 = CDR(BgL_fz00_5156);
							BgL_arg3889z00_5154 =
								PROCEDURE_ENTRY(BgL_pz00_8806) (BgL_pz00_8806,
								BgL_arg3892z00_5157, BEOA);
						}
					}
					BgL_arg3891z00_5155 =
						BGl_zc3anonymousza33887ze3z83zzast_walkz00(BgL_pz00_8806,
						CDR(BgL_l2156z00_5151));
					return bgl_append2(BgL_arg3889z00_5154, BgL_arg3891z00_5155);
				}
		}
	}



/* &walk3-let-var2636 */
	obj_t BGl_z62walk3zd2letzd2var2636z62zzast_walkz00(obj_t BgL_envz00_7756,
		obj_t BgL_nz00_7757, obj_t BgL_pz00_7758, obj_t BgL_arg0z00_7759,
		obj_t BgL_arg1z00_7760, obj_t BgL_arg2z00_7761)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5123;
				obj_t BgL_pz00_5124;
				obj_t BgL_arg0z00_5125;
				obj_t BgL_arg1z00_5126;
				obj_t BgL_arg2z00_5127;

				BgL_nz00_5123 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7757);
				BgL_pz00_5124 = BgL_pz00_7758;
				BgL_arg0z00_5125 = BgL_arg0z00_7759;
				BgL_arg1z00_5126 = BgL_arg1z00_7760;
				BgL_arg2z00_5127 = BgL_arg2z00_7761;
				{	/* Ast/walk.scm 318 */
					obj_t BgL_g2154z00_5131;

					BgL_g2154z00_5131 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5123))->BgL_bindingsz00);
					{
						obj_t BgL_l2152z00_5133;

						BgL_l2152z00_5133 = BgL_g2154z00_5131;
					BgL_zc3anonymousza33879ze3z83_5134:
						if (PAIRP(BgL_l2152z00_5133))
							{	/* Ast/walk.scm 318 */
								{	/* Ast/walk.scm 318 */
									obj_t BgL_fz00_5136;

									BgL_fz00_5136 = CAR(BgL_l2152z00_5133);
									{	/* Ast/walk.scm 318 */
										obj_t BgL_arg3881z00_5137;

										BgL_arg3881z00_5137 = CDR(BgL_fz00_5136);
										PROCEDURE_ENTRY(BgL_pz00_5124) (BgL_pz00_5124,
											BgL_arg3881z00_5137, BgL_arg0z00_5125, BgL_arg1z00_5126,
											BgL_arg2z00_5127, BEOA);
									}
								}
								{
									obj_t BgL_l2152z00_10043;

									BgL_l2152z00_10043 = CDR(BgL_l2152z00_5133);
									BgL_l2152z00_5133 = BgL_l2152z00_10043;
									goto BgL_zc3anonymousza33879ze3z83_5134;
								}
							}
						else
							{	/* Ast/walk.scm 318 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/walk.scm 318 */
					BgL_nodez00_bglt BgL_arg3884z00_5140;

					BgL_arg3884z00_5140 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5123))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_5124) (BgL_pz00_5124,
						((obj_t) BgL_arg3884z00_5140), BgL_arg0z00_5125, BgL_arg1z00_5126,
						BgL_arg2z00_5127, BEOA);
				}
			}
		}
	}



/* &walk2-let-var2634 */
	obj_t BGl_z62walk2zd2letzd2var2634z62zzast_walkz00(obj_t BgL_envz00_7762,
		obj_t BgL_nz00_7763, obj_t BgL_pz00_7764, obj_t BgL_arg0z00_7765,
		obj_t BgL_arg1z00_7766)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5105;
				obj_t BgL_pz00_5106;
				obj_t BgL_arg0z00_5107;
				obj_t BgL_arg1z00_5108;

				BgL_nz00_5105 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7763);
				BgL_pz00_5106 = BgL_pz00_7764;
				BgL_arg0z00_5107 = BgL_arg0z00_7765;
				BgL_arg1z00_5108 = BgL_arg1z00_7766;
				{	/* Ast/walk.scm 318 */
					obj_t BgL_g2151z00_5112;

					BgL_g2151z00_5112 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5105))->BgL_bindingsz00);
					{
						obj_t BgL_l2149z00_5114;

						BgL_l2149z00_5114 = BgL_g2151z00_5112;
					BgL_zc3anonymousza33874ze3z83_5115:
						if (PAIRP(BgL_l2149z00_5114))
							{	/* Ast/walk.scm 318 */
								{	/* Ast/walk.scm 318 */
									obj_t BgL_fz00_5117;

									BgL_fz00_5117 = CAR(BgL_l2149z00_5114);
									{	/* Ast/walk.scm 318 */
										obj_t BgL_arg3876z00_5118;

										BgL_arg3876z00_5118 = CDR(BgL_fz00_5117);
										PROCEDURE_ENTRY(BgL_pz00_5106) (BgL_pz00_5106,
											BgL_arg3876z00_5118, BgL_arg0z00_5107, BgL_arg1z00_5108,
											BEOA);
									}
								}
								{
									obj_t BgL_l2149z00_10066;

									BgL_l2149z00_10066 = CDR(BgL_l2149z00_5114);
									BgL_l2149z00_5114 = BgL_l2149z00_10066;
									goto BgL_zc3anonymousza33874ze3z83_5115;
								}
							}
						else
							{	/* Ast/walk.scm 318 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/walk.scm 318 */
					BgL_nodez00_bglt BgL_arg3878z00_5121;

					BgL_arg3878z00_5121 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5105))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_5106) (BgL_pz00_5106,
						((obj_t) BgL_arg3878z00_5121), BgL_arg0z00_5107, BgL_arg1z00_5108,
						BEOA);
				}
			}
		}
	}



/* &walk1-let-var2632 */
	obj_t BGl_z62walk1zd2letzd2var2632z62zzast_walkz00(obj_t BgL_envz00_7767,
		obj_t BgL_nz00_7768, obj_t BgL_pz00_7769, obj_t BgL_arg0z00_7770)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5088;
				obj_t BgL_pz00_5089;
				obj_t BgL_arg0z00_5090;

				BgL_nz00_5088 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7768);
				BgL_pz00_5089 = BgL_pz00_7769;
				BgL_arg0z00_5090 = BgL_arg0z00_7770;
				{	/* Ast/walk.scm 318 */
					obj_t BgL_g2148z00_5094;

					BgL_g2148z00_5094 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5088))->BgL_bindingsz00);
					{
						obj_t BgL_l2146z00_5096;

						BgL_l2146z00_5096 = BgL_g2148z00_5094;
					BgL_zc3anonymousza33868ze3z83_5097:
						if (PAIRP(BgL_l2146z00_5096))
							{	/* Ast/walk.scm 318 */
								{	/* Ast/walk.scm 318 */
									obj_t BgL_fz00_5099;

									BgL_fz00_5099 = CAR(BgL_l2146z00_5096);
									{	/* Ast/walk.scm 318 */
										obj_t BgL_arg3870z00_5100;

										BgL_arg3870z00_5100 = CDR(BgL_fz00_5099);
										PROCEDURE_ENTRY(BgL_pz00_5089) (BgL_pz00_5089,
											BgL_arg3870z00_5100, BgL_arg0z00_5090, BEOA);
									}
								}
								{
									obj_t BgL_l2146z00_10087;

									BgL_l2146z00_10087 = CDR(BgL_l2146z00_5096);
									BgL_l2146z00_5096 = BgL_l2146z00_10087;
									goto BgL_zc3anonymousza33868ze3z83_5097;
								}
							}
						else
							{	/* Ast/walk.scm 318 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/walk.scm 318 */
					BgL_nodez00_bglt BgL_arg3873z00_5103;

					BgL_arg3873z00_5103 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5088))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_5089) (BgL_pz00_5089,
						((obj_t) BgL_arg3873z00_5103), BgL_arg0z00_5090, BEOA);
				}
			}
		}
	}



/* &walk0-let-var2630 */
	obj_t BGl_z62walk0zd2letzd2var2630z62zzast_walkz00(obj_t BgL_envz00_7771,
		obj_t BgL_nz00_7772, obj_t BgL_pz00_7773)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 318 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_5072;
				obj_t BgL_pz00_5073;

				BgL_nz00_5072 = ((BgL_letzd2varzd2_bglt) BgL_nz00_7772);
				BgL_pz00_5073 = BgL_pz00_7773;
				{	/* Ast/walk.scm 318 */
					obj_t BgL_g2145z00_5077;

					BgL_g2145z00_5077 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5072))->BgL_bindingsz00);
					{
						obj_t BgL_l2143z00_5079;

						BgL_l2143z00_5079 = BgL_g2145z00_5077;
					BgL_zc3anonymousza33863ze3z83_5080:
						if (PAIRP(BgL_l2143z00_5079))
							{	/* Ast/walk.scm 318 */
								{	/* Ast/walk.scm 318 */
									obj_t BgL_fz00_5082;

									BgL_fz00_5082 = CAR(BgL_l2143z00_5079);
									{	/* Ast/walk.scm 318 */
										obj_t BgL_arg3865z00_5083;

										BgL_arg3865z00_5083 = CDR(BgL_fz00_5082);
										PROCEDURE_ENTRY(BgL_pz00_5073) (BgL_pz00_5073,
											BgL_arg3865z00_5083, BEOA);
									}
								}
								{
									obj_t BgL_l2143z00_10106;

									BgL_l2143z00_10106 = CDR(BgL_l2143z00_5079);
									BgL_l2143z00_5079 = BgL_l2143z00_10106;
									goto BgL_zc3anonymousza33863ze3z83_5080;
								}
							}
						else
							{	/* Ast/walk.scm 318 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/walk.scm 318 */
					BgL_nodez00_bglt BgL_arg3867z00_5086;

					BgL_arg3867z00_5086 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_5072))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_5073) (BgL_pz00_5073,
						((obj_t) BgL_arg3867z00_5086), BEOA);
				}
			}
		}
	}



/* &walk3!-let-fun2628 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2fun2628z70zzast_walkz00(obj_t
		BgL_envz00_7774, obj_t BgL_nz00_7775, obj_t BgL_pz00_7776,
		obj_t BgL_arg0z00_7777, obj_t BgL_arg1z00_7778, obj_t BgL_arg2z00_7779)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_5049;
				obj_t BgL_pz00_5050;
				obj_t BgL_arg0z00_5051;
				obj_t BgL_arg1z00_5052;
				obj_t BgL_arg2z00_5053;

				BgL_nz00_5049 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7775);
				BgL_pz00_5050 = BgL_pz00_7776;
				BgL_arg0z00_5051 = BgL_arg0z00_7777;
				BgL_arg1z00_5052 = BgL_arg1z00_7778;
				BgL_arg2z00_5053 = BgL_arg2z00_7779;
				{
					obj_t BgL_fieldsz00_5059;

					BgL_fieldsz00_5059 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_5049))->BgL_localsz00);
				BgL_zc3anonymousza33854ze3z83_5060:
					if (NULLP(BgL_fieldsz00_5059))
						{	/* Ast/walk.scm 313 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 313 */
							{	/* Ast/walk.scm 313 */
								obj_t BgL_vz00_5062;
								obj_t BgL_bz00_5063;

								BgL_vz00_5062 = CAR(BgL_fieldsz00_5059);
								{	/* Ast/walk.scm 313 */
									obj_t BgL_arg3858z00_5065;

									BgL_arg3858z00_5065 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	CAR(BgL_fieldsz00_5059))))->BgL_valuez00))))->
										BgL_bodyz00);
									BgL_bz00_5063 =
										PROCEDURE_ENTRY(BgL_pz00_5050) (BgL_pz00_5050,
										BgL_arg3858z00_5065, BgL_arg0z00_5051, BgL_arg1z00_5052,
										BgL_arg2z00_5053, BEOA);
								}
								{	/* Ast/walk.scm 315 */
									BgL_valuez00_bglt BgL_arg3856z00_5064;

									BgL_arg3856z00_5064 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_vz00_5062)))->BgL_valuez00);
									((((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_arg3856z00_5064)))->
											BgL_bodyz00) = ((obj_t) BgL_bz00_5063), BUNSPEC);
								}
							}
							{
								obj_t BgL_fieldsz00_10134;

								BgL_fieldsz00_10134 = CDR(BgL_fieldsz00_5059);
								BgL_fieldsz00_5059 = BgL_fieldsz00_10134;
								goto BgL_zc3anonymousza33854ze3z83_5060;
							}
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10137;

					{	/* Ast/walk.scm 313 */
						BgL_nodez00_bglt BgL_arg3862z00_5070;

						BgL_arg3862z00_5070 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_5049))->BgL_bodyz00);
						BgL_auxz00_10137 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_5050) (BgL_pz00_5050,
								((obj_t) BgL_arg3862z00_5070), BgL_arg0z00_5051,
								BgL_arg1z00_5052, BgL_arg2z00_5053, BEOA));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_5049))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10137), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_5049);
			}
		}
	}



/* &walk2!-let-fun2626 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2fun2626z70zzast_walkz00(obj_t
		BgL_envz00_7780, obj_t BgL_nz00_7781, obj_t BgL_pz00_7782,
		obj_t BgL_arg0z00_7783, obj_t BgL_arg1z00_7784)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_5027;
				obj_t BgL_pz00_5028;
				obj_t BgL_arg0z00_5029;
				obj_t BgL_arg1z00_5030;

				BgL_nz00_5027 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7781);
				BgL_pz00_5028 = BgL_pz00_7782;
				BgL_arg0z00_5029 = BgL_arg0z00_7783;
				BgL_arg1z00_5030 = BgL_arg1z00_7784;
				{
					obj_t BgL_fieldsz00_5036;

					BgL_fieldsz00_5036 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_5027))->BgL_localsz00);
				BgL_zc3anonymousza33844ze3z83_5037:
					if (NULLP(BgL_fieldsz00_5036))
						{	/* Ast/walk.scm 313 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 313 */
							{	/* Ast/walk.scm 313 */
								obj_t BgL_vz00_5039;
								obj_t BgL_bz00_5040;

								BgL_vz00_5039 = CAR(BgL_fieldsz00_5036);
								{	/* Ast/walk.scm 313 */
									obj_t BgL_arg3847z00_5042;

									BgL_arg3847z00_5042 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	CAR(BgL_fieldsz00_5036))))->BgL_valuez00))))->
										BgL_bodyz00);
									BgL_bz00_5040 =
										PROCEDURE_ENTRY(BgL_pz00_5028) (BgL_pz00_5028,
										BgL_arg3847z00_5042, BgL_arg0z00_5029, BgL_arg1z00_5030,
										BEOA);
								}
								{	/* Ast/walk.scm 315 */
									BgL_valuez00_bglt BgL_arg3846z00_5041;

									BgL_arg3846z00_5041 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_vz00_5039)))->BgL_valuez00);
									((((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_arg3846z00_5041)))->
											BgL_bodyz00) = ((obj_t) BgL_bz00_5040), BUNSPEC);
								}
							}
							{
								obj_t BgL_fieldsz00_10169;

								BgL_fieldsz00_10169 = CDR(BgL_fieldsz00_5036);
								BgL_fieldsz00_5036 = BgL_fieldsz00_10169;
								goto BgL_zc3anonymousza33844ze3z83_5037;
							}
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10172;

					{	/* Ast/walk.scm 313 */
						BgL_nodez00_bglt BgL_arg3852z00_5047;

						BgL_arg3852z00_5047 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_5027))->BgL_bodyz00);
						BgL_auxz00_10172 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_5028) (BgL_pz00_5028,
								((obj_t) BgL_arg3852z00_5047), BgL_arg0z00_5029,
								BgL_arg1z00_5030, BEOA));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_5027))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10172), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_5027);
			}
		}
	}



/* &walk1!-let-fun2624 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2fun2624z70zzast_walkz00(obj_t
		BgL_envz00_7785, obj_t BgL_nz00_7786, obj_t BgL_pz00_7787,
		obj_t BgL_arg0z00_7788)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_5006;
				obj_t BgL_pz00_5007;
				obj_t BgL_arg0z00_5008;

				BgL_nz00_5006 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7786);
				BgL_pz00_5007 = BgL_pz00_7787;
				BgL_arg0z00_5008 = BgL_arg0z00_7788;
				{
					obj_t BgL_fieldsz00_5014;

					BgL_fieldsz00_5014 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_5006))->BgL_localsz00);
				BgL_zc3anonymousza33834ze3z83_5015:
					if (NULLP(BgL_fieldsz00_5014))
						{	/* Ast/walk.scm 313 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 313 */
							{	/* Ast/walk.scm 313 */
								obj_t BgL_vz00_5017;
								obj_t BgL_bz00_5018;

								BgL_vz00_5017 = CAR(BgL_fieldsz00_5014);
								{	/* Ast/walk.scm 313 */
									obj_t BgL_arg3838z00_5020;

									BgL_arg3838z00_5020 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	CAR(BgL_fieldsz00_5014))))->BgL_valuez00))))->
										BgL_bodyz00);
									BgL_bz00_5018 =
										PROCEDURE_ENTRY(BgL_pz00_5007) (BgL_pz00_5007,
										BgL_arg3838z00_5020, BgL_arg0z00_5008, BEOA);
								}
								{	/* Ast/walk.scm 315 */
									BgL_valuez00_bglt BgL_arg3836z00_5019;

									BgL_arg3836z00_5019 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_vz00_5017)))->BgL_valuez00);
									((((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_arg3836z00_5019)))->
											BgL_bodyz00) = ((obj_t) BgL_bz00_5018), BUNSPEC);
								}
							}
							{
								obj_t BgL_fieldsz00_10202;

								BgL_fieldsz00_10202 = CDR(BgL_fieldsz00_5014);
								BgL_fieldsz00_5014 = BgL_fieldsz00_10202;
								goto BgL_zc3anonymousza33834ze3z83_5015;
							}
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10205;

					{	/* Ast/walk.scm 313 */
						BgL_nodez00_bglt BgL_arg3841z00_5025;

						BgL_arg3841z00_5025 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_5006))->BgL_bodyz00);
						BgL_auxz00_10205 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_5007) (BgL_pz00_5007,
								((obj_t) BgL_arg3841z00_5025), BgL_arg0z00_5008, BEOA));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_5006))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10205), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_5006);
			}
		}
	}



/* &walk0!-let-fun2622 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2fun2622z70zzast_walkz00(obj_t
		BgL_envz00_7789, obj_t BgL_nz00_7790, obj_t BgL_pz00_7791)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_4986;
				obj_t BgL_pz00_4987;

				BgL_nz00_4986 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7790);
				BgL_pz00_4987 = BgL_pz00_7791;
				{
					obj_t BgL_fieldsz00_4993;

					BgL_fieldsz00_4993 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4986))->BgL_localsz00);
				BgL_zc3anonymousza33824ze3z83_4994:
					if (NULLP(BgL_fieldsz00_4993))
						{	/* Ast/walk.scm 313 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 313 */
							{	/* Ast/walk.scm 313 */
								obj_t BgL_vz00_4996;
								obj_t BgL_bz00_4997;

								BgL_vz00_4996 = CAR(BgL_fieldsz00_4993);
								{	/* Ast/walk.scm 313 */
									obj_t BgL_arg3828z00_4999;

									BgL_arg3828z00_4999 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	CAR(BgL_fieldsz00_4993))))->BgL_valuez00))))->
										BgL_bodyz00);
									BgL_bz00_4997 =
										PROCEDURE_ENTRY(BgL_pz00_4987) (BgL_pz00_4987,
										BgL_arg3828z00_4999, BEOA);
								}
								{	/* Ast/walk.scm 315 */
									BgL_valuez00_bglt BgL_arg3827z00_4998;

									BgL_arg3827z00_4998 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_vz00_4996)))->BgL_valuez00);
									((((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_arg3827z00_4998)))->
											BgL_bodyz00) = ((obj_t) BgL_bz00_4997), BUNSPEC);
								}
							}
							{
								obj_t BgL_fieldsz00_10233;

								BgL_fieldsz00_10233 = CDR(BgL_fieldsz00_4993);
								BgL_fieldsz00_4993 = BgL_fieldsz00_10233;
								goto BgL_zc3anonymousza33824ze3z83_4994;
							}
						}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10236;

					{	/* Ast/walk.scm 313 */
						BgL_nodez00_bglt BgL_arg3832z00_5004;

						BgL_arg3832z00_5004 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4986))->BgL_bodyz00);
						BgL_auxz00_10236 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4987) (BgL_pz00_4987,
								((obj_t) BgL_arg3832z00_5004), BEOA));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4986))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10236), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4986);
			}
		}
	}



/* &walk3*-let-fun2620 */
	obj_t BGl_z62walk3za2zd2letzd2fun2620zc0zzast_walkz00(obj_t BgL_envz00_7792,
		obj_t BgL_nz00_7793, obj_t BgL_pz00_7794, obj_t BgL_arg0z00_7795,
		obj_t BgL_arg1z00_7796, obj_t BgL_arg2z00_7797)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_4961;
				obj_t BgL_pz00_4962;
				obj_t BgL_arg0z00_4963;
				obj_t BgL_arg1z00_4964;
				obj_t BgL_arg2z00_4965;

				BgL_nz00_4961 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7793);
				BgL_pz00_4962 = BgL_pz00_7794;
				BgL_arg0z00_4963 = BgL_arg0z00_7795;
				BgL_arg1z00_4964 = BgL_arg1z00_7796;
				BgL_arg2z00_4965 = BgL_arg2z00_7797;
				{	/* Ast/walk.scm 313 */
					obj_t BgL_arg3811z00_4969;
					obj_t BgL_arg3812z00_4970;

					BgL_arg3811z00_4969 =
						BGl_zc3anonymousza33813ze3z83zzast_walkz00(BgL_arg2z00_4965,
						BgL_arg1z00_4964, BgL_arg0z00_4963, BgL_pz00_4962,
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4961))->BgL_localsz00));
					{	/* Ast/walk.scm 313 */
						BgL_nodez00_bglt BgL_arg3822z00_4984;

						BgL_arg3822z00_4984 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4961))->BgL_bodyz00);
						BgL_arg3812z00_4970 =
							PROCEDURE_ENTRY(BgL_pz00_4962) (BgL_pz00_4962,
							((obj_t) BgL_arg3822z00_4984), BgL_arg0z00_4963, BgL_arg1z00_4964,
							BgL_arg2z00_4965, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3811z00_4969,
						BgL_arg3812z00_4970);
				}
			}
		}
	}



/* <anonymous:3813> */
	obj_t BGl_zc3anonymousza33813ze3z83zzast_walkz00(obj_t BgL_arg2z00_8805,
		obj_t BgL_arg1z00_8804, obj_t BgL_arg0z00_8803, obj_t BgL_pz00_8802,
		obj_t BgL_l2141z00_4973)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			if (NULLP(BgL_l2141z00_4973))
				{	/* Ast/walk.scm 313 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 313 */
					obj_t BgL_arg3816z00_4976;
					obj_t BgL_arg3817z00_4977;

					{	/* Ast/walk.scm 313 */
						obj_t BgL_fz00_4978;

						BgL_fz00_4978 = CAR(BgL_l2141z00_4973);
						{	/* Ast/walk.scm 314 */
							obj_t BgL_arg3818z00_4979;

							BgL_arg3818z00_4979 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_fz00_4978)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3816z00_4976 =
								PROCEDURE_ENTRY(BgL_pz00_8802) (BgL_pz00_8802,
								BgL_arg3818z00_4979, BgL_arg0z00_8803, BgL_arg1z00_8804,
								BgL_arg2z00_8805, BEOA);
						}
					}
					BgL_arg3817z00_4977 =
						BGl_zc3anonymousza33813ze3z83zzast_walkz00(BgL_arg2z00_8805,
						BgL_arg1z00_8804, BgL_arg0z00_8803, BgL_pz00_8802,
						CDR(BgL_l2141z00_4973));
					return bgl_append2(BgL_arg3816z00_4976, BgL_arg3817z00_4977);
				}
		}
	}



/* &walk2*-let-fun2618 */
	obj_t BGl_z62walk2za2zd2letzd2fun2618zc0zzast_walkz00(obj_t BgL_envz00_7798,
		obj_t BgL_nz00_7799, obj_t BgL_pz00_7800, obj_t BgL_arg0z00_7801,
		obj_t BgL_arg1z00_7802)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_4937;
				obj_t BgL_pz00_4938;
				obj_t BgL_arg0z00_4939;
				obj_t BgL_arg1z00_4940;

				BgL_nz00_4937 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7799);
				BgL_pz00_4938 = BgL_pz00_7800;
				BgL_arg0z00_4939 = BgL_arg0z00_7801;
				BgL_arg1z00_4940 = BgL_arg1z00_7802;
				{	/* Ast/walk.scm 313 */
					obj_t BgL_arg3799z00_4944;
					obj_t BgL_arg3800z00_4945;

					BgL_arg3799z00_4944 =
						BGl_zc3anonymousza33801ze3z83zzast_walkz00(BgL_arg1z00_4940,
						BgL_arg0z00_4939, BgL_pz00_4938,
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4937))->BgL_localsz00));
					{	/* Ast/walk.scm 313 */
						BgL_nodez00_bglt BgL_arg3810z00_4959;

						BgL_arg3810z00_4959 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4937))->BgL_bodyz00);
						BgL_arg3800z00_4945 =
							PROCEDURE_ENTRY(BgL_pz00_4938) (BgL_pz00_4938,
							((obj_t) BgL_arg3810z00_4959), BgL_arg0z00_4939, BgL_arg1z00_4940,
							BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3799z00_4944,
						BgL_arg3800z00_4945);
				}
			}
		}
	}



/* <anonymous:3801> */
	obj_t BGl_zc3anonymousza33801ze3z83zzast_walkz00(obj_t BgL_arg1z00_8801,
		obj_t BgL_arg0z00_8800, obj_t BgL_pz00_8799, obj_t BgL_l2138z00_4948)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			if (NULLP(BgL_l2138z00_4948))
				{	/* Ast/walk.scm 313 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 313 */
					obj_t BgL_arg3803z00_4951;
					obj_t BgL_arg3805z00_4952;

					{	/* Ast/walk.scm 313 */
						obj_t BgL_fz00_4953;

						BgL_fz00_4953 = CAR(BgL_l2138z00_4948);
						{	/* Ast/walk.scm 314 */
							obj_t BgL_arg3806z00_4954;

							BgL_arg3806z00_4954 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_fz00_4953)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3803z00_4951 =
								PROCEDURE_ENTRY(BgL_pz00_8799) (BgL_pz00_8799,
								BgL_arg3806z00_4954, BgL_arg0z00_8800, BgL_arg1z00_8801, BEOA);
						}
					}
					BgL_arg3805z00_4952 =
						BGl_zc3anonymousza33801ze3z83zzast_walkz00(BgL_arg1z00_8801,
						BgL_arg0z00_8800, BgL_pz00_8799, CDR(BgL_l2138z00_4948));
					return bgl_append2(BgL_arg3803z00_4951, BgL_arg3805z00_4952);
				}
		}
	}



/* &walk1*-let-fun2616 */
	obj_t BGl_z62walk1za2zd2letzd2fun2616zc0zzast_walkz00(obj_t BgL_envz00_7803,
		obj_t BgL_nz00_7804, obj_t BgL_pz00_7805, obj_t BgL_arg0z00_7806)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_4914;
				obj_t BgL_pz00_4915;
				obj_t BgL_arg0z00_4916;

				BgL_nz00_4914 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7804);
				BgL_pz00_4915 = BgL_pz00_7805;
				BgL_arg0z00_4916 = BgL_arg0z00_7806;
				{	/* Ast/walk.scm 313 */
					obj_t BgL_arg3787z00_4920;
					obj_t BgL_arg3788z00_4921;

					BgL_arg3787z00_4920 =
						BGl_zc3anonymousza33789ze3z83zzast_walkz00(BgL_arg0z00_4916,
						BgL_pz00_4915,
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4914))->BgL_localsz00));
					{	/* Ast/walk.scm 313 */
						BgL_nodez00_bglt BgL_arg3798z00_4935;

						BgL_arg3798z00_4935 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4914))->BgL_bodyz00);
						BgL_arg3788z00_4921 =
							PROCEDURE_ENTRY(BgL_pz00_4915) (BgL_pz00_4915,
							((obj_t) BgL_arg3798z00_4935), BgL_arg0z00_4916, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3787z00_4920,
						BgL_arg3788z00_4921);
				}
			}
		}
	}



/* <anonymous:3789> */
	obj_t BGl_zc3anonymousza33789ze3z83zzast_walkz00(obj_t BgL_arg0z00_8798,
		obj_t BgL_pz00_8797, obj_t BgL_l2135z00_4924)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			if (NULLP(BgL_l2135z00_4924))
				{	/* Ast/walk.scm 313 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 313 */
					obj_t BgL_arg3791z00_4927;
					obj_t BgL_arg3792z00_4928;

					{	/* Ast/walk.scm 313 */
						obj_t BgL_fz00_4929;

						BgL_fz00_4929 = CAR(BgL_l2135z00_4924);
						{	/* Ast/walk.scm 314 */
							obj_t BgL_arg3794z00_4930;

							BgL_arg3794z00_4930 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_fz00_4929)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3791z00_4927 =
								PROCEDURE_ENTRY(BgL_pz00_8797) (BgL_pz00_8797,
								BgL_arg3794z00_4930, BgL_arg0z00_8798, BEOA);
						}
					}
					BgL_arg3792z00_4928 =
						BGl_zc3anonymousza33789ze3z83zzast_walkz00(BgL_arg0z00_8798,
						BgL_pz00_8797, CDR(BgL_l2135z00_4924));
					return bgl_append2(BgL_arg3791z00_4927, BgL_arg3792z00_4928);
				}
		}
	}



/* &walk0*-let-fun2614 */
	obj_t BGl_z62walk0za2zd2letzd2fun2614zc0zzast_walkz00(obj_t BgL_envz00_7807,
		obj_t BgL_nz00_7808, obj_t BgL_pz00_7809)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_4892;
				obj_t BgL_pz00_4893;

				BgL_nz00_4892 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7808);
				BgL_pz00_4893 = BgL_pz00_7809;
				{	/* Ast/walk.scm 313 */
					obj_t BgL_arg3767z00_4897;
					obj_t BgL_arg3771z00_4898;

					BgL_arg3767z00_4897 =
						BGl_zc3anonymousza33772ze3z83zzast_walkz00(BgL_pz00_4893,
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4892))->BgL_localsz00));
					{	/* Ast/walk.scm 313 */
						BgL_nodez00_bglt BgL_arg3785z00_4912;

						BgL_arg3785z00_4912 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4892))->BgL_bodyz00);
						BgL_arg3771z00_4898 =
							PROCEDURE_ENTRY(BgL_pz00_4893) (BgL_pz00_4893,
							((obj_t) BgL_arg3785z00_4912), BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3767z00_4897,
						BgL_arg3771z00_4898);
				}
			}
		}
	}



/* <anonymous:3772> */
	obj_t BGl_zc3anonymousza33772ze3z83zzast_walkz00(obj_t BgL_pz00_8796,
		obj_t BgL_l2132z00_4901)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			if (NULLP(BgL_l2132z00_4901))
				{	/* Ast/walk.scm 313 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 313 */
					obj_t BgL_arg3779z00_4904;
					obj_t BgL_arg3780z00_4905;

					{	/* Ast/walk.scm 313 */
						obj_t BgL_fz00_4906;

						BgL_fz00_4906 = CAR(BgL_l2132z00_4901);
						{	/* Ast/walk.scm 314 */
							obj_t BgL_arg3782z00_4907;

							BgL_arg3782z00_4907 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_fz00_4906)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3779z00_4904 =
								PROCEDURE_ENTRY(BgL_pz00_8796) (BgL_pz00_8796,
								BgL_arg3782z00_4907, BEOA);
						}
					}
					BgL_arg3780z00_4905 =
						BGl_zc3anonymousza33772ze3z83zzast_walkz00(BgL_pz00_8796,
						CDR(BgL_l2132z00_4901));
					return bgl_append2(BgL_arg3779z00_4904, BgL_arg3780z00_4905);
				}
		}
	}



/* &walk3-let-fun2612 */
	obj_t BGl_z62walk3zd2letzd2fun2612z62zzast_walkz00(obj_t BgL_envz00_7810,
		obj_t BgL_nz00_7811, obj_t BgL_pz00_7812, obj_t BgL_arg0z00_7813,
		obj_t BgL_arg1z00_7814, obj_t BgL_arg2z00_7815)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_4871;
				obj_t BgL_pz00_4872;
				obj_t BgL_arg0z00_4873;
				obj_t BgL_arg1z00_4874;
				obj_t BgL_arg2z00_4875;

				BgL_nz00_4871 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7811);
				BgL_pz00_4872 = BgL_pz00_7812;
				BgL_arg0z00_4873 = BgL_arg0z00_7813;
				BgL_arg1z00_4874 = BgL_arg1z00_7814;
				BgL_arg2z00_4875 = BgL_arg2z00_7815;
				{	/* Ast/walk.scm 313 */
					obj_t BgL_g2130z00_4879;

					BgL_g2130z00_4879 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4871))->BgL_localsz00);
					{
						obj_t BgL_l2128z00_4881;

						BgL_l2128z00_4881 = BgL_g2130z00_4879;
					BgL_zc3anonymousza33759ze3z83_4882:
						if (PAIRP(BgL_l2128z00_4881))
							{	/* Ast/walk.scm 313 */
								{	/* Ast/walk.scm 313 */
									obj_t BgL_fz00_4884;

									BgL_fz00_4884 = CAR(BgL_l2128z00_4881);
									{	/* Ast/walk.scm 314 */
										obj_t BgL_arg3761z00_4885;

										BgL_arg3761z00_4885 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_fz00_4884)))->
															BgL_valuez00))))->BgL_bodyz00);
										PROCEDURE_ENTRY(BgL_pz00_4872) (BgL_pz00_4872,
											BgL_arg3761z00_4885, BgL_arg0z00_4873, BgL_arg1z00_4874,
											BgL_arg2z00_4875, BEOA);
									}
								}
								{
									obj_t BgL_l2128z00_10370;

									BgL_l2128z00_10370 = CDR(BgL_l2128z00_4881);
									BgL_l2128z00_4881 = BgL_l2128z00_10370;
									goto BgL_zc3anonymousza33759ze3z83_4882;
								}
							}
						else
							{	/* Ast/walk.scm 313 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/walk.scm 313 */
					BgL_nodez00_bglt BgL_arg3764z00_4890;

					BgL_arg3764z00_4890 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4871))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4872) (BgL_pz00_4872,
						((obj_t) BgL_arg3764z00_4890), BgL_arg0z00_4873, BgL_arg1z00_4874,
						BgL_arg2z00_4875, BEOA);
				}
			}
		}
	}



/* &walk2-let-fun2610 */
	obj_t BGl_z62walk2zd2letzd2fun2610z62zzast_walkz00(obj_t BgL_envz00_7816,
		obj_t BgL_nz00_7817, obj_t BgL_pz00_7818, obj_t BgL_arg0z00_7819,
		obj_t BgL_arg1z00_7820)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_4851;
				obj_t BgL_pz00_4852;
				obj_t BgL_arg0z00_4853;
				obj_t BgL_arg1z00_4854;

				BgL_nz00_4851 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7817);
				BgL_pz00_4852 = BgL_pz00_7818;
				BgL_arg0z00_4853 = BgL_arg0z00_7819;
				BgL_arg1z00_4854 = BgL_arg1z00_7820;
				{	/* Ast/walk.scm 313 */
					obj_t BgL_g2127z00_4858;

					BgL_g2127z00_4858 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4851))->BgL_localsz00);
					{
						obj_t BgL_l2125z00_4860;

						BgL_l2125z00_4860 = BgL_g2127z00_4858;
					BgL_zc3anonymousza33753ze3z83_4861:
						if (PAIRP(BgL_l2125z00_4860))
							{	/* Ast/walk.scm 313 */
								{	/* Ast/walk.scm 313 */
									obj_t BgL_fz00_4863;

									BgL_fz00_4863 = CAR(BgL_l2125z00_4860);
									{	/* Ast/walk.scm 314 */
										obj_t BgL_arg3755z00_4864;

										BgL_arg3755z00_4864 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_fz00_4863)))->
															BgL_valuez00))))->BgL_bodyz00);
										PROCEDURE_ENTRY(BgL_pz00_4852) (BgL_pz00_4852,
											BgL_arg3755z00_4864, BgL_arg0z00_4853, BgL_arg1z00_4854,
											BEOA);
									}
								}
								{
									obj_t BgL_l2125z00_10396;

									BgL_l2125z00_10396 = CDR(BgL_l2125z00_4860);
									BgL_l2125z00_4860 = BgL_l2125z00_10396;
									goto BgL_zc3anonymousza33753ze3z83_4861;
								}
							}
						else
							{	/* Ast/walk.scm 313 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/walk.scm 313 */
					BgL_nodez00_bglt BgL_arg3758z00_4869;

					BgL_arg3758z00_4869 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4851))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4852) (BgL_pz00_4852,
						((obj_t) BgL_arg3758z00_4869), BgL_arg0z00_4853, BgL_arg1z00_4854,
						BEOA);
				}
			}
		}
	}



/* &walk1-let-fun2608 */
	obj_t BGl_z62walk1zd2letzd2fun2608z62zzast_walkz00(obj_t BgL_envz00_7821,
		obj_t BgL_nz00_7822, obj_t BgL_pz00_7823, obj_t BgL_arg0z00_7824)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_4832;
				obj_t BgL_pz00_4833;
				obj_t BgL_arg0z00_4834;

				BgL_nz00_4832 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7822);
				BgL_pz00_4833 = BgL_pz00_7823;
				BgL_arg0z00_4834 = BgL_arg0z00_7824;
				{	/* Ast/walk.scm 313 */
					obj_t BgL_g2124z00_4838;

					BgL_g2124z00_4838 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4832))->BgL_localsz00);
					{
						obj_t BgL_l2122z00_4840;

						BgL_l2122z00_4840 = BgL_g2124z00_4838;
					BgL_zc3anonymousza33743ze3z83_4841:
						if (PAIRP(BgL_l2122z00_4840))
							{	/* Ast/walk.scm 313 */
								{	/* Ast/walk.scm 313 */
									obj_t BgL_fz00_4843;

									BgL_fz00_4843 = CAR(BgL_l2122z00_4840);
									{	/* Ast/walk.scm 314 */
										obj_t BgL_arg3745z00_4844;

										BgL_arg3745z00_4844 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_fz00_4843)))->
															BgL_valuez00))))->BgL_bodyz00);
										PROCEDURE_ENTRY(BgL_pz00_4833) (BgL_pz00_4833,
											BgL_arg3745z00_4844, BgL_arg0z00_4834, BEOA);
									}
								}
								{
									obj_t BgL_l2122z00_10420;

									BgL_l2122z00_10420 = CDR(BgL_l2122z00_4840);
									BgL_l2122z00_4840 = BgL_l2122z00_10420;
									goto BgL_zc3anonymousza33743ze3z83_4841;
								}
							}
						else
							{	/* Ast/walk.scm 313 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/walk.scm 313 */
					BgL_nodez00_bglt BgL_arg3752z00_4849;

					BgL_arg3752z00_4849 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4832))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4833) (BgL_pz00_4833,
						((obj_t) BgL_arg3752z00_4849), BgL_arg0z00_4834, BEOA);
				}
			}
		}
	}



/* &walk0-let-fun2606 */
	obj_t BGl_z62walk0zd2letzd2fun2606z62zzast_walkz00(obj_t BgL_envz00_7825,
		obj_t BgL_nz00_7826, obj_t BgL_pz00_7827)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 313 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_4814;
				obj_t BgL_pz00_4815;

				BgL_nz00_4814 = ((BgL_letzd2funzd2_bglt) BgL_nz00_7826);
				BgL_pz00_4815 = BgL_pz00_7827;
				{	/* Ast/walk.scm 313 */
					obj_t BgL_g2121z00_4819;

					BgL_g2121z00_4819 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4814))->BgL_localsz00);
					{
						obj_t BgL_l2119z00_4821;

						BgL_l2119z00_4821 = BgL_g2121z00_4819;
					BgL_zc3anonymousza33736ze3z83_4822:
						if (PAIRP(BgL_l2119z00_4821))
							{	/* Ast/walk.scm 313 */
								{	/* Ast/walk.scm 313 */
									obj_t BgL_fz00_4824;

									BgL_fz00_4824 = CAR(BgL_l2119z00_4821);
									{	/* Ast/walk.scm 314 */
										obj_t BgL_arg3739z00_4825;

										BgL_arg3739z00_4825 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_fz00_4824)))->
															BgL_valuez00))))->BgL_bodyz00);
										PROCEDURE_ENTRY(BgL_pz00_4815) (BgL_pz00_4815,
											BgL_arg3739z00_4825, BEOA);
									}
								}
								{
									obj_t BgL_l2119z00_10442;

									BgL_l2119z00_10442 = CDR(BgL_l2119z00_4821);
									BgL_l2119z00_4821 = BgL_l2119z00_10442;
									goto BgL_zc3anonymousza33736ze3z83_4822;
								}
							}
						else
							{	/* Ast/walk.scm 313 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/walk.scm 313 */
					BgL_nodez00_bglt BgL_arg3742z00_4830;

					BgL_arg3742z00_4830 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_4814))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4815) (BgL_pz00_4815,
						((obj_t) BgL_arg3742z00_4830), BEOA);
				}
			}
		}
	}



/* &walk3!-select2604 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2select2604za2zzast_walkz00(obj_t
		BgL_envz00_7828, obj_t BgL_nz00_7829, obj_t BgL_pz00_7830,
		obj_t BgL_arg0z00_7831, obj_t BgL_arg1z00_7832, obj_t BgL_arg2z00_7833)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4793;
				obj_t BgL_pz00_4794;
				obj_t BgL_arg0z00_4795;
				obj_t BgL_arg1z00_4796;
				obj_t BgL_arg2z00_4797;

				BgL_nz00_4793 = ((BgL_selectz00_bglt) BgL_nz00_7829);
				BgL_pz00_4794 = BgL_pz00_7830;
				BgL_arg0z00_4795 = BgL_arg0z00_7831;
				BgL_arg1z00_4796 = BgL_arg1z00_7832;
				BgL_arg2z00_4797 = BgL_arg2z00_7833;
				{
					BgL_nodez00_bglt BgL_auxz00_10451;

					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3727z00_4801;

						BgL_arg3727z00_4801 =
							(((BgL_selectz00_bglt) CREF(BgL_nz00_4793))->BgL_testz00);
						BgL_auxz00_10451 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4794) (BgL_pz00_4794,
								((obj_t) BgL_arg3727z00_4801), BgL_arg0z00_4795,
								BgL_arg1z00_4796, BgL_arg2z00_4797, BEOA));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nz00_4793))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10451), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_4804;

					BgL_fieldsz00_4804 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4793))->BgL_clausesz00);
				BgL_zc3anonymousza33729ze3z83_4805:
					if (NULLP(BgL_fieldsz00_4804))
						{	/* Ast/walk.scm 310 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 310 */
							{	/* Ast/walk.scm 310 */
								obj_t BgL_arg3731z00_4807;
								obj_t BgL_arg3732z00_4808;

								BgL_arg3731z00_4807 = CAR(BgL_fieldsz00_4804);
								{	/* Ast/walk.scm 310 */
									obj_t BgL_arg3733z00_4809;

									BgL_arg3733z00_4809 = CDR(CAR(BgL_fieldsz00_4804));
									BgL_arg3732z00_4808 =
										PROCEDURE_ENTRY(BgL_pz00_4794) (BgL_pz00_4794,
										BgL_arg3733z00_4809, BgL_arg0z00_4795, BgL_arg1z00_4796,
										BgL_arg2z00_4797, BEOA);
								}
								SET_CDR(BgL_arg3731z00_4807, BgL_arg3732z00_4808);
							}
							{
								obj_t BgL_fieldsz00_10476;

								BgL_fieldsz00_10476 = CDR(BgL_fieldsz00_4804);
								BgL_fieldsz00_4804 = BgL_fieldsz00_10476;
								goto BgL_zc3anonymousza33729ze3z83_4805;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4793);
			}
		}
	}



/* &walk2!-select2602 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2select2602za2zzast_walkz00(obj_t
		BgL_envz00_7834, obj_t BgL_nz00_7835, obj_t BgL_pz00_7836,
		obj_t BgL_arg0z00_7837, obj_t BgL_arg1z00_7838)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4773;
				obj_t BgL_pz00_4774;
				obj_t BgL_arg0z00_4775;
				obj_t BgL_arg1z00_4776;

				BgL_nz00_4773 = ((BgL_selectz00_bglt) BgL_nz00_7835);
				BgL_pz00_4774 = BgL_pz00_7836;
				BgL_arg0z00_4775 = BgL_arg0z00_7837;
				BgL_arg1z00_4776 = BgL_arg1z00_7838;
				{
					BgL_nodez00_bglt BgL_auxz00_10481;

					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3715z00_4780;

						BgL_arg3715z00_4780 =
							(((BgL_selectz00_bglt) CREF(BgL_nz00_4773))->BgL_testz00);
						BgL_auxz00_10481 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4774) (BgL_pz00_4774,
								((obj_t) BgL_arg3715z00_4780), BgL_arg0z00_4775,
								BgL_arg1z00_4776, BEOA));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nz00_4773))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10481), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_4783;

					BgL_fieldsz00_4783 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4773))->BgL_clausesz00);
				BgL_zc3anonymousza33717ze3z83_4784:
					if (NULLP(BgL_fieldsz00_4783))
						{	/* Ast/walk.scm 310 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 310 */
							{	/* Ast/walk.scm 310 */
								obj_t BgL_arg3719z00_4786;
								obj_t BgL_arg3720z00_4787;

								BgL_arg3719z00_4786 = CAR(BgL_fieldsz00_4783);
								{	/* Ast/walk.scm 310 */
									obj_t BgL_arg3721z00_4788;

									BgL_arg3721z00_4788 = CDR(CAR(BgL_fieldsz00_4783));
									BgL_arg3720z00_4787 =
										PROCEDURE_ENTRY(BgL_pz00_4774) (BgL_pz00_4774,
										BgL_arg3721z00_4788, BgL_arg0z00_4775, BgL_arg1z00_4776,
										BEOA);
								}
								SET_CDR(BgL_arg3719z00_4786, BgL_arg3720z00_4787);
							}
							{
								obj_t BgL_fieldsz00_10504;

								BgL_fieldsz00_10504 = CDR(BgL_fieldsz00_4783);
								BgL_fieldsz00_4783 = BgL_fieldsz00_10504;
								goto BgL_zc3anonymousza33717ze3z83_4784;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4773);
			}
		}
	}



/* &walk1!-select2600 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2select2600za2zzast_walkz00(obj_t
		BgL_envz00_7839, obj_t BgL_nz00_7840, obj_t BgL_pz00_7841,
		obj_t BgL_arg0z00_7842)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4754;
				obj_t BgL_pz00_4755;
				obj_t BgL_arg0z00_4756;

				BgL_nz00_4754 = ((BgL_selectz00_bglt) BgL_nz00_7840);
				BgL_pz00_4755 = BgL_pz00_7841;
				BgL_arg0z00_4756 = BgL_arg0z00_7842;
				{
					BgL_nodez00_bglt BgL_auxz00_10509;

					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3697z00_4760;

						BgL_arg3697z00_4760 =
							(((BgL_selectz00_bglt) CREF(BgL_nz00_4754))->BgL_testz00);
						BgL_auxz00_10509 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4755) (BgL_pz00_4755,
								((obj_t) BgL_arg3697z00_4760), BgL_arg0z00_4756, BEOA));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nz00_4754))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10509), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_4763;

					BgL_fieldsz00_4763 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4754))->BgL_clausesz00);
				BgL_zc3anonymousza33705ze3z83_4764:
					if (NULLP(BgL_fieldsz00_4763))
						{	/* Ast/walk.scm 310 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 310 */
							{	/* Ast/walk.scm 310 */
								obj_t BgL_arg3707z00_4766;
								obj_t BgL_arg3708z00_4767;

								BgL_arg3707z00_4766 = CAR(BgL_fieldsz00_4763);
								{	/* Ast/walk.scm 310 */
									obj_t BgL_arg3709z00_4768;

									BgL_arg3709z00_4768 = CDR(CAR(BgL_fieldsz00_4763));
									BgL_arg3708z00_4767 =
										PROCEDURE_ENTRY(BgL_pz00_4755) (BgL_pz00_4755,
										BgL_arg3709z00_4768, BgL_arg0z00_4756, BEOA);
								}
								SET_CDR(BgL_arg3707z00_4766, BgL_arg3708z00_4767);
							}
							{
								obj_t BgL_fieldsz00_10530;

								BgL_fieldsz00_10530 = CDR(BgL_fieldsz00_4763);
								BgL_fieldsz00_4763 = BgL_fieldsz00_10530;
								goto BgL_zc3anonymousza33705ze3z83_4764;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4754);
			}
		}
	}



/* &walk0!-select2598 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2select2598za2zzast_walkz00(obj_t
		BgL_envz00_7843, obj_t BgL_nz00_7844, obj_t BgL_pz00_7845)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4736;
				obj_t BgL_pz00_4737;

				BgL_nz00_4736 = ((BgL_selectz00_bglt) BgL_nz00_7844);
				BgL_pz00_4737 = BgL_pz00_7845;
				{
					BgL_nodez00_bglt BgL_auxz00_10535;

					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3674z00_4741;

						BgL_arg3674z00_4741 =
							(((BgL_selectz00_bglt) CREF(BgL_nz00_4736))->BgL_testz00);
						BgL_auxz00_10535 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4737) (BgL_pz00_4737,
								((obj_t) BgL_arg3674z00_4741), BEOA));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nz00_4736))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10535), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_4744;

					BgL_fieldsz00_4744 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4736))->BgL_clausesz00);
				BgL_zc3anonymousza33676ze3z83_4745:
					if (NULLP(BgL_fieldsz00_4744))
						{	/* Ast/walk.scm 310 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 310 */
							{	/* Ast/walk.scm 310 */
								obj_t BgL_arg3678z00_4747;
								obj_t BgL_arg3679z00_4748;

								BgL_arg3678z00_4747 = CAR(BgL_fieldsz00_4744);
								{	/* Ast/walk.scm 310 */
									obj_t BgL_arg3680z00_4749;

									BgL_arg3680z00_4749 = CDR(CAR(BgL_fieldsz00_4744));
									BgL_arg3679z00_4748 =
										PROCEDURE_ENTRY(BgL_pz00_4737) (BgL_pz00_4737,
										BgL_arg3680z00_4749, BEOA);
								}
								SET_CDR(BgL_arg3678z00_4747, BgL_arg3679z00_4748);
							}
							{
								obj_t BgL_fieldsz00_10554;

								BgL_fieldsz00_10554 = CDR(BgL_fieldsz00_4744);
								BgL_fieldsz00_4744 = BgL_fieldsz00_10554;
								goto BgL_zc3anonymousza33676ze3z83_4745;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4736);
			}
		}
	}



/* &walk3*-select2596 */
	obj_t BGl_z62walk3za2zd2select2596z12zzast_walkz00(obj_t BgL_envz00_7846,
		obj_t BgL_nz00_7847, obj_t BgL_pz00_7848, obj_t BgL_arg0z00_7849,
		obj_t BgL_arg1z00_7850, obj_t BgL_arg2z00_7851)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4713;
				obj_t BgL_pz00_4714;
				obj_t BgL_arg0z00_4715;
				obj_t BgL_arg1z00_4716;
				obj_t BgL_arg2z00_4717;

				BgL_nz00_4713 = ((BgL_selectz00_bglt) BgL_nz00_7847);
				BgL_pz00_4714 = BgL_pz00_7848;
				BgL_arg0z00_4715 = BgL_arg0z00_7849;
				BgL_arg1z00_4716 = BgL_arg1z00_7850;
				BgL_arg2z00_4717 = BgL_arg2z00_7851;
				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3665z00_4721;
					obj_t BgL_arg3666z00_4722;

					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3667z00_4723;

						BgL_arg3667z00_4723 =
							(((BgL_selectz00_bglt) CREF(BgL_nz00_4713))->BgL_testz00);
						BgL_arg3665z00_4721 =
							PROCEDURE_ENTRY(BgL_pz00_4714) (BgL_pz00_4714,
							((obj_t) BgL_arg3667z00_4723), BgL_arg0z00_4715, BgL_arg1z00_4716,
							BgL_arg2z00_4717, BEOA);
					}
					BgL_arg3666z00_4722 =
						BGl_zc3anonymousza33668ze3z83zzast_walkz00(BgL_arg2z00_4717,
						BgL_arg1z00_4716, BgL_arg0z00_4715, BgL_pz00_4714,
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4713))->BgL_clausesz00));
					return BGl_appendzd221011zd2zzast_walkz00(BgL_arg3665z00_4721,
						BgL_arg3666z00_4722);
				}
			}
		}
	}



/* <anonymous:3668> */
	obj_t BGl_zc3anonymousza33668ze3z83zzast_walkz00(obj_t BgL_arg2z00_8795,
		obj_t BgL_arg1z00_8794, obj_t BgL_arg0z00_8793, obj_t BgL_pz00_8792,
		obj_t BgL_l2117z00_4726)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			if (NULLP(BgL_l2117z00_4726))
				{	/* Ast/walk.scm 310 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3670z00_4729;
					obj_t BgL_arg3671z00_4730;

					{	/* Ast/walk.scm 310 */
						obj_t BgL_fz00_4731;

						BgL_fz00_4731 = CAR(BgL_l2117z00_4726);
						{	/* Ast/walk.scm 310 */
							obj_t BgL_arg3672z00_4732;

							BgL_arg3672z00_4732 = CDR(BgL_fz00_4731);
							BgL_arg3670z00_4729 =
								PROCEDURE_ENTRY(BgL_pz00_8792) (BgL_pz00_8792,
								BgL_arg3672z00_4732, BgL_arg0z00_8793, BgL_arg1z00_8794,
								BgL_arg2z00_8795, BEOA);
						}
					}
					BgL_arg3671z00_4730 =
						BGl_zc3anonymousza33668ze3z83zzast_walkz00(BgL_arg2z00_8795,
						BgL_arg1z00_8794, BgL_arg0z00_8793, BgL_pz00_8792,
						CDR(BgL_l2117z00_4726));
					return bgl_append2(BgL_arg3670z00_4729, BgL_arg3671z00_4730);
				}
		}
	}



/* &walk2*-select2594 */
	obj_t BGl_z62walk2za2zd2select2594z12zzast_walkz00(obj_t BgL_envz00_7852,
		obj_t BgL_nz00_7853, obj_t BgL_pz00_7854, obj_t BgL_arg0z00_7855,
		obj_t BgL_arg1z00_7856)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4691;
				obj_t BgL_pz00_4692;
				obj_t BgL_arg0z00_4693;
				obj_t BgL_arg1z00_4694;

				BgL_nz00_4691 = ((BgL_selectz00_bglt) BgL_nz00_7853);
				BgL_pz00_4692 = BgL_pz00_7854;
				BgL_arg0z00_4693 = BgL_arg0z00_7855;
				BgL_arg1z00_4694 = BgL_arg1z00_7856;
				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3654z00_4698;
					obj_t BgL_arg3655z00_4699;

					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3657z00_4700;

						BgL_arg3657z00_4700 =
							(((BgL_selectz00_bglt) CREF(BgL_nz00_4691))->BgL_testz00);
						BgL_arg3654z00_4698 =
							PROCEDURE_ENTRY(BgL_pz00_4692) (BgL_pz00_4692,
							((obj_t) BgL_arg3657z00_4700), BgL_arg0z00_4693, BgL_arg1z00_4694,
							BEOA);
					}
					BgL_arg3655z00_4699 =
						BGl_zc3anonymousza33658ze3z83zzast_walkz00(BgL_arg1z00_4694,
						BgL_arg0z00_4693, BgL_pz00_4692,
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4691))->BgL_clausesz00));
					return BGl_appendzd221011zd2zzast_walkz00(BgL_arg3654z00_4698,
						BgL_arg3655z00_4699);
				}
			}
		}
	}



/* <anonymous:3658> */
	obj_t BGl_zc3anonymousza33658ze3z83zzast_walkz00(obj_t BgL_arg1z00_8791,
		obj_t BgL_arg0z00_8790, obj_t BgL_pz00_8789, obj_t BgL_l2114z00_4703)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			if (NULLP(BgL_l2114z00_4703))
				{	/* Ast/walk.scm 310 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3660z00_4706;
					obj_t BgL_arg3661z00_4707;

					{	/* Ast/walk.scm 310 */
						obj_t BgL_fz00_4708;

						BgL_fz00_4708 = CAR(BgL_l2114z00_4703);
						{	/* Ast/walk.scm 310 */
							obj_t BgL_arg3663z00_4709;

							BgL_arg3663z00_4709 = CDR(BgL_fz00_4708);
							BgL_arg3660z00_4706 =
								PROCEDURE_ENTRY(BgL_pz00_8789) (BgL_pz00_8789,
								BgL_arg3663z00_4709, BgL_arg0z00_8790, BgL_arg1z00_8791, BEOA);
						}
					}
					BgL_arg3661z00_4707 =
						BGl_zc3anonymousza33658ze3z83zzast_walkz00(BgL_arg1z00_8791,
						BgL_arg0z00_8790, BgL_pz00_8789, CDR(BgL_l2114z00_4703));
					return bgl_append2(BgL_arg3660z00_4706, BgL_arg3661z00_4707);
				}
		}
	}



/* &walk1*-select2592 */
	obj_t BGl_z62walk1za2zd2select2592z12zzast_walkz00(obj_t BgL_envz00_7857,
		obj_t BgL_nz00_7858, obj_t BgL_pz00_7859, obj_t BgL_arg0z00_7860)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4670;
				obj_t BgL_pz00_4671;
				obj_t BgL_arg0z00_4672;

				BgL_nz00_4670 = ((BgL_selectz00_bglt) BgL_nz00_7858);
				BgL_pz00_4671 = BgL_pz00_7859;
				BgL_arg0z00_4672 = BgL_arg0z00_7860;
				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3641z00_4676;
					obj_t BgL_arg3642z00_4677;

					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3645z00_4678;

						BgL_arg3645z00_4678 =
							(((BgL_selectz00_bglt) CREF(BgL_nz00_4670))->BgL_testz00);
						BgL_arg3641z00_4676 =
							PROCEDURE_ENTRY(BgL_pz00_4671) (BgL_pz00_4671,
							((obj_t) BgL_arg3645z00_4678), BgL_arg0z00_4672, BEOA);
					}
					BgL_arg3642z00_4677 =
						BGl_zc3anonymousza33646ze3z83zzast_walkz00(BgL_arg0z00_4672,
						BgL_pz00_4671,
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4670))->BgL_clausesz00));
					return BGl_appendzd221011zd2zzast_walkz00(BgL_arg3641z00_4676,
						BgL_arg3642z00_4677);
				}
			}
		}
	}



/* <anonymous:3646> */
	obj_t BGl_zc3anonymousza33646ze3z83zzast_walkz00(obj_t BgL_arg0z00_8788,
		obj_t BgL_pz00_8787, obj_t BgL_l2111z00_4681)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			if (NULLP(BgL_l2111z00_4681))
				{	/* Ast/walk.scm 310 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3648z00_4684;
					obj_t BgL_arg3649z00_4685;

					{	/* Ast/walk.scm 310 */
						obj_t BgL_fz00_4686;

						BgL_fz00_4686 = CAR(BgL_l2111z00_4681);
						{	/* Ast/walk.scm 310 */
							obj_t BgL_arg3651z00_4687;

							BgL_arg3651z00_4687 = CDR(BgL_fz00_4686);
							BgL_arg3648z00_4684 =
								PROCEDURE_ENTRY(BgL_pz00_8787) (BgL_pz00_8787,
								BgL_arg3651z00_4687, BgL_arg0z00_8788, BEOA);
						}
					}
					BgL_arg3649z00_4685 =
						BGl_zc3anonymousza33646ze3z83zzast_walkz00(BgL_arg0z00_8788,
						BgL_pz00_8787, CDR(BgL_l2111z00_4681));
					return bgl_append2(BgL_arg3648z00_4684, BgL_arg3649z00_4685);
				}
		}
	}



/* &walk0*-select2590 */
	obj_t BGl_z62walk0za2zd2select2590z12zzast_walkz00(obj_t BgL_envz00_7861,
		obj_t BgL_nz00_7862, obj_t BgL_pz00_7863)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4650;
				obj_t BgL_pz00_4651;

				BgL_nz00_4650 = ((BgL_selectz00_bglt) BgL_nz00_7862);
				BgL_pz00_4651 = BgL_pz00_7863;
				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3624z00_4655;
					obj_t BgL_arg3625z00_4656;

					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3626z00_4657;

						BgL_arg3626z00_4657 =
							(((BgL_selectz00_bglt) CREF(BgL_nz00_4650))->BgL_testz00);
						BgL_arg3624z00_4655 =
							PROCEDURE_ENTRY(BgL_pz00_4651) (BgL_pz00_4651,
							((obj_t) BgL_arg3626z00_4657), BEOA);
					}
					BgL_arg3625z00_4656 =
						BGl_zc3anonymousza33627ze3z83zzast_walkz00(BgL_pz00_4651,
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4650))->BgL_clausesz00));
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3624z00_4655,
						BgL_arg3625z00_4656);
				}
			}
		}
	}



/* <anonymous:3627> */
	obj_t BGl_zc3anonymousza33627ze3z83zzast_walkz00(obj_t BgL_pz00_8786,
		obj_t BgL_l2108z00_4660)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			if (NULLP(BgL_l2108z00_4660))
				{	/* Ast/walk.scm 310 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3629z00_4663;
					obj_t BgL_arg3630z00_4664;

					{	/* Ast/walk.scm 310 */
						obj_t BgL_fz00_4665;

						BgL_fz00_4665 = CAR(BgL_l2108z00_4660);
						{	/* Ast/walk.scm 310 */
							obj_t BgL_arg3631z00_4666;

							BgL_arg3631z00_4666 = CDR(BgL_fz00_4665);
							BgL_arg3629z00_4663 =
								PROCEDURE_ENTRY(BgL_pz00_8786) (BgL_pz00_8786,
								BgL_arg3631z00_4666, BEOA);
						}
					}
					BgL_arg3630z00_4664 =
						BGl_zc3anonymousza33627ze3z83zzast_walkz00(BgL_pz00_8786,
						CDR(BgL_l2108z00_4660));
					return bgl_append2(BgL_arg3629z00_4663, BgL_arg3630z00_4664);
				}
		}
	}



/* &walk3-select2588 */
	obj_t BGl_z62walk3zd2select2588zb0zzast_walkz00(obj_t BgL_envz00_7864,
		obj_t BgL_nz00_7865, obj_t BgL_pz00_7866, obj_t BgL_arg0z00_7867,
		obj_t BgL_arg1z00_7868, obj_t BgL_arg2z00_7869)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4631;
				obj_t BgL_pz00_4632;
				obj_t BgL_arg0z00_4633;
				obj_t BgL_arg1z00_4634;
				obj_t BgL_arg2z00_4635;

				BgL_nz00_4631 = ((BgL_selectz00_bglt) BgL_nz00_7865);
				BgL_pz00_4632 = BgL_pz00_7866;
				BgL_arg0z00_4633 = BgL_arg0z00_7867;
				BgL_arg1z00_4634 = BgL_arg1z00_7868;
				BgL_arg2z00_4635 = BgL_arg2z00_7869;
				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3619z00_4639;

					BgL_arg3619z00_4639 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4631))->BgL_testz00);
					PROCEDURE_ENTRY(BgL_pz00_4632) (BgL_pz00_4632,
						((obj_t) BgL_arg3619z00_4639), BgL_arg0z00_4633, BgL_arg1z00_4634,
						BgL_arg2z00_4635, BEOA);
				}
				{	/* Ast/walk.scm 310 */
					obj_t BgL_g2106z00_4640;

					BgL_g2106z00_4640 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4631))->BgL_clausesz00);
					{
						obj_t BgL_l2104z00_4642;

						{	/* Ast/walk.scm 310 */
							bool_t BgL_auxz00_10665;

							BgL_l2104z00_4642 = BgL_g2106z00_4640;
						BgL_zc3anonymousza33620ze3z83_4643:
							if (PAIRP(BgL_l2104z00_4642))
								{	/* Ast/walk.scm 310 */
									{	/* Ast/walk.scm 310 */
										obj_t BgL_fz00_4645;

										BgL_fz00_4645 = CAR(BgL_l2104z00_4642);
										{	/* Ast/walk.scm 310 */
											obj_t BgL_arg3622z00_4646;

											BgL_arg3622z00_4646 = CDR(BgL_fz00_4645);
											PROCEDURE_ENTRY(BgL_pz00_4632) (BgL_pz00_4632,
												BgL_arg3622z00_4646, BgL_arg0z00_4633, BgL_arg1z00_4634,
												BgL_arg2z00_4635, BEOA);
										}
									}
									{
										obj_t BgL_l2104z00_10677;

										BgL_l2104z00_10677 = CDR(BgL_l2104z00_4642);
										BgL_l2104z00_4642 = BgL_l2104z00_10677;
										goto BgL_zc3anonymousza33620ze3z83_4643;
									}
								}
							else
								{	/* Ast/walk.scm 310 */
									BgL_auxz00_10665 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_10665);
						}
					}
				}
			}
		}
	}



/* &walk2-select2586 */
	obj_t BGl_z62walk2zd2select2586zb0zzast_walkz00(obj_t BgL_envz00_7870,
		obj_t BgL_nz00_7871, obj_t BgL_pz00_7872, obj_t BgL_arg0z00_7873,
		obj_t BgL_arg1z00_7874)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4613;
				obj_t BgL_pz00_4614;
				obj_t BgL_arg0z00_4615;
				obj_t BgL_arg1z00_4616;

				BgL_nz00_4613 = ((BgL_selectz00_bglt) BgL_nz00_7871);
				BgL_pz00_4614 = BgL_pz00_7872;
				BgL_arg0z00_4615 = BgL_arg0z00_7873;
				BgL_arg1z00_4616 = BgL_arg1z00_7874;
				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3610z00_4620;

					BgL_arg3610z00_4620 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4613))->BgL_testz00);
					PROCEDURE_ENTRY(BgL_pz00_4614) (BgL_pz00_4614,
						((obj_t) BgL_arg3610z00_4620), BgL_arg0z00_4615, BgL_arg1z00_4616,
						BEOA);
				}
				{	/* Ast/walk.scm 310 */
					obj_t BgL_g2103z00_4621;

					BgL_g2103z00_4621 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4613))->BgL_clausesz00);
					{
						obj_t BgL_l2101z00_4623;

						{	/* Ast/walk.scm 310 */
							bool_t BgL_auxz00_10690;

							BgL_l2101z00_4623 = BgL_g2103z00_4621;
						BgL_zc3anonymousza33611ze3z83_4624:
							if (PAIRP(BgL_l2101z00_4623))
								{	/* Ast/walk.scm 310 */
									{	/* Ast/walk.scm 310 */
										obj_t BgL_fz00_4626;

										BgL_fz00_4626 = CAR(BgL_l2101z00_4623);
										{	/* Ast/walk.scm 310 */
											obj_t BgL_arg3613z00_4627;

											BgL_arg3613z00_4627 = CDR(BgL_fz00_4626);
											PROCEDURE_ENTRY(BgL_pz00_4614) (BgL_pz00_4614,
												BgL_arg3613z00_4627, BgL_arg0z00_4615, BgL_arg1z00_4616,
												BEOA);
										}
									}
									{
										obj_t BgL_l2101z00_10701;

										BgL_l2101z00_10701 = CDR(BgL_l2101z00_4623);
										BgL_l2101z00_4623 = BgL_l2101z00_10701;
										goto BgL_zc3anonymousza33611ze3z83_4624;
									}
								}
							else
								{	/* Ast/walk.scm 310 */
									BgL_auxz00_10690 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_10690);
						}
					}
				}
			}
		}
	}



/* &walk1-select2584 */
	obj_t BGl_z62walk1zd2select2584zb0zzast_walkz00(obj_t BgL_envz00_7875,
		obj_t BgL_nz00_7876, obj_t BgL_pz00_7877, obj_t BgL_arg0z00_7878)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4596;
				obj_t BgL_pz00_4597;
				obj_t BgL_arg0z00_4598;

				BgL_nz00_4596 = ((BgL_selectz00_bglt) BgL_nz00_7876);
				BgL_pz00_4597 = BgL_pz00_7877;
				BgL_arg0z00_4598 = BgL_arg0z00_7878;
				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3604z00_4602;

					BgL_arg3604z00_4602 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4596))->BgL_testz00);
					PROCEDURE_ENTRY(BgL_pz00_4597) (BgL_pz00_4597,
						((obj_t) BgL_arg3604z00_4602), BgL_arg0z00_4598, BEOA);
				}
				{	/* Ast/walk.scm 310 */
					obj_t BgL_g2100z00_4603;

					BgL_g2100z00_4603 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4596))->BgL_clausesz00);
					{
						obj_t BgL_l2098z00_4605;

						{	/* Ast/walk.scm 310 */
							bool_t BgL_auxz00_10713;

							BgL_l2098z00_4605 = BgL_g2100z00_4603;
						BgL_zc3anonymousza33605ze3z83_4606:
							if (PAIRP(BgL_l2098z00_4605))
								{	/* Ast/walk.scm 310 */
									{	/* Ast/walk.scm 310 */
										obj_t BgL_fz00_4608;

										BgL_fz00_4608 = CAR(BgL_l2098z00_4605);
										{	/* Ast/walk.scm 310 */
											obj_t BgL_arg3608z00_4609;

											BgL_arg3608z00_4609 = CDR(BgL_fz00_4608);
											PROCEDURE_ENTRY(BgL_pz00_4597) (BgL_pz00_4597,
												BgL_arg3608z00_4609, BgL_arg0z00_4598, BEOA);
										}
									}
									{
										obj_t BgL_l2098z00_10723;

										BgL_l2098z00_10723 = CDR(BgL_l2098z00_4605);
										BgL_l2098z00_4605 = BgL_l2098z00_10723;
										goto BgL_zc3anonymousza33605ze3z83_4606;
									}
								}
							else
								{	/* Ast/walk.scm 310 */
									BgL_auxz00_10713 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_10713);
						}
					}
				}
			}
		}
	}



/* &walk0-select2582 */
	obj_t BGl_z62walk0zd2select2582zb0zzast_walkz00(obj_t BgL_envz00_7879,
		obj_t BgL_nz00_7880, obj_t BgL_pz00_7881)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 310 */
			{
				BgL_selectz00_bglt BgL_nz00_4580;
				obj_t BgL_pz00_4581;

				BgL_nz00_4580 = ((BgL_selectz00_bglt) BgL_nz00_7880);
				BgL_pz00_4581 = BgL_pz00_7881;
				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3595z00_4585;

					BgL_arg3595z00_4585 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4580))->BgL_testz00);
					PROCEDURE_ENTRY(BgL_pz00_4581) (BgL_pz00_4581,
						((obj_t) BgL_arg3595z00_4585), BEOA);
				}
				{	/* Ast/walk.scm 310 */
					obj_t BgL_g2097z00_4586;

					BgL_g2097z00_4586 =
						(((BgL_selectz00_bglt) CREF(BgL_nz00_4580))->BgL_clausesz00);
					{
						obj_t BgL_l2095z00_4588;

						{	/* Ast/walk.scm 310 */
							bool_t BgL_auxz00_10734;

							BgL_l2095z00_4588 = BgL_g2097z00_4586;
						BgL_zc3anonymousza33596ze3z83_4589:
							if (PAIRP(BgL_l2095z00_4588))
								{	/* Ast/walk.scm 310 */
									{	/* Ast/walk.scm 310 */
										obj_t BgL_fz00_4591;

										BgL_fz00_4591 = CAR(BgL_l2095z00_4588);
										{	/* Ast/walk.scm 310 */
											obj_t BgL_arg3601z00_4592;

											BgL_arg3601z00_4592 = CDR(BgL_fz00_4591);
											PROCEDURE_ENTRY(BgL_pz00_4581) (BgL_pz00_4581,
												BgL_arg3601z00_4592, BEOA);
										}
									}
									{
										obj_t BgL_l2095z00_10743;

										BgL_l2095z00_10743 = CDR(BgL_l2095z00_4588);
										BgL_l2095z00_4588 = BgL_l2095z00_10743;
										goto BgL_zc3anonymousza33596ze3z83_4589;
									}
								}
							else
								{	/* Ast/walk.scm 310 */
									BgL_auxz00_10734 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_10734);
						}
					}
				}
			}
		}
	}



/* &walk3!-sync2580 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2sync2580za2zzast_walkz00(obj_t
		BgL_envz00_7882, obj_t BgL_nz00_7883, obj_t BgL_pz00_7884,
		obj_t BgL_arg0z00_7885, obj_t BgL_arg1z00_7886, obj_t BgL_arg2z00_7887)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4568;
				obj_t BgL_pz00_4569;
				obj_t BgL_arg0z00_4570;
				obj_t BgL_arg1z00_4571;
				obj_t BgL_arg2z00_4572;

				BgL_nz00_4568 = ((BgL_syncz00_bglt) BgL_nz00_7883);
				BgL_pz00_4569 = BgL_pz00_7884;
				BgL_arg0z00_4570 = BgL_arg0z00_7885;
				BgL_arg1z00_4571 = BgL_arg1z00_7886;
				BgL_arg2z00_4572 = BgL_arg2z00_7887;
				{
					BgL_nodez00_bglt BgL_auxz00_10747;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3591z00_4576;

						BgL_arg3591z00_4576 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4568))->BgL_mutexz00);
						BgL_auxz00_10747 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4569) (BgL_pz00_4569,
								((obj_t) BgL_arg3591z00_4576), BgL_arg0z00_4570,
								BgL_arg1z00_4571, BgL_arg2z00_4572, BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4568))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10747), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10759;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3592z00_4577;

						BgL_arg3592z00_4577 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4568))->BgL_prelockz00);
						BgL_auxz00_10759 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4569) (BgL_pz00_4569,
								((obj_t) BgL_arg3592z00_4577), BgL_arg0z00_4570,
								BgL_arg1z00_4571, BgL_arg2z00_4572, BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4568))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10759), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10771;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3593z00_4578;

						BgL_arg3593z00_4578 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4568))->BgL_bodyz00);
						BgL_auxz00_10771 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4569) (BgL_pz00_4569,
								((obj_t) BgL_arg3593z00_4578), BgL_arg0z00_4570,
								BgL_arg1z00_4571, BgL_arg2z00_4572, BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4568))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10771), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4568);
			}
		}
	}



/* &walk2!-sync2578 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2sync2578za2zzast_walkz00(obj_t
		BgL_envz00_7888, obj_t BgL_nz00_7889, obj_t BgL_pz00_7890,
		obj_t BgL_arg0z00_7891, obj_t BgL_arg1z00_7892)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4557;
				obj_t BgL_pz00_4558;
				obj_t BgL_arg0z00_4559;
				obj_t BgL_arg1z00_4560;

				BgL_nz00_4557 = ((BgL_syncz00_bglt) BgL_nz00_7889);
				BgL_pz00_4558 = BgL_pz00_7890;
				BgL_arg0z00_4559 = BgL_arg0z00_7891;
				BgL_arg1z00_4560 = BgL_arg1z00_7892;
				{
					BgL_nodez00_bglt BgL_auxz00_10785;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3588z00_4564;

						BgL_arg3588z00_4564 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4557))->BgL_mutexz00);
						BgL_auxz00_10785 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4558) (BgL_pz00_4558,
								((obj_t) BgL_arg3588z00_4564), BgL_arg0z00_4559,
								BgL_arg1z00_4560, BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4557))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10785), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10796;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3589z00_4565;

						BgL_arg3589z00_4565 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4557))->BgL_prelockz00);
						BgL_auxz00_10796 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4558) (BgL_pz00_4558,
								((obj_t) BgL_arg3589z00_4565), BgL_arg0z00_4559,
								BgL_arg1z00_4560, BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4557))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10796), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10807;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3590z00_4566;

						BgL_arg3590z00_4566 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4557))->BgL_bodyz00);
						BgL_auxz00_10807 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4558) (BgL_pz00_4558,
								((obj_t) BgL_arg3590z00_4566), BgL_arg0z00_4559,
								BgL_arg1z00_4560, BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4557))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10807), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4557);
			}
		}
	}



/* &walk1!-sync2576 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2sync2576za2zzast_walkz00(obj_t
		BgL_envz00_7893, obj_t BgL_nz00_7894, obj_t BgL_pz00_7895,
		obj_t BgL_arg0z00_7896)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4547;
				obj_t BgL_pz00_4548;
				obj_t BgL_arg0z00_4549;

				BgL_nz00_4547 = ((BgL_syncz00_bglt) BgL_nz00_7894);
				BgL_pz00_4548 = BgL_pz00_7895;
				BgL_arg0z00_4549 = BgL_arg0z00_7896;
				{
					BgL_nodez00_bglt BgL_auxz00_10820;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3581z00_4553;

						BgL_arg3581z00_4553 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4547))->BgL_mutexz00);
						BgL_auxz00_10820 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4548) (BgL_pz00_4548,
								((obj_t) BgL_arg3581z00_4553), BgL_arg0z00_4549, BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4547))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10820), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10830;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3582z00_4554;

						BgL_arg3582z00_4554 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4547))->BgL_prelockz00);
						BgL_auxz00_10830 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4548) (BgL_pz00_4548,
								((obj_t) BgL_arg3582z00_4554), BgL_arg0z00_4549, BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4547))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10830), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10840;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3585z00_4555;

						BgL_arg3585z00_4555 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4547))->BgL_bodyz00);
						BgL_auxz00_10840 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4548) (BgL_pz00_4548,
								((obj_t) BgL_arg3585z00_4555), BgL_arg0z00_4549, BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4547))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10840), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4547);
			}
		}
	}



/* &walk0!-sync2574 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2sync2574za2zzast_walkz00(obj_t
		BgL_envz00_7897, obj_t BgL_nz00_7898, obj_t BgL_pz00_7899)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4538;
				obj_t BgL_pz00_4539;

				BgL_nz00_4538 = ((BgL_syncz00_bglt) BgL_nz00_7898);
				BgL_pz00_4539 = BgL_pz00_7899;
				{
					BgL_nodez00_bglt BgL_auxz00_10852;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3577z00_4543;

						BgL_arg3577z00_4543 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4538))->BgL_mutexz00);
						BgL_auxz00_10852 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4539) (BgL_pz00_4539,
								((obj_t) BgL_arg3577z00_4543), BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4538))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10852), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10861;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3578z00_4544;

						BgL_arg3578z00_4544 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4538))->BgL_prelockz00);
						BgL_auxz00_10861 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4539) (BgL_pz00_4539,
								((obj_t) BgL_arg3578z00_4544), BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4538))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10861), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_10870;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3579z00_4545;

						BgL_arg3579z00_4545 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4538))->BgL_bodyz00);
						BgL_auxz00_10870 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4539) (BgL_pz00_4539,
								((obj_t) BgL_arg3579z00_4545), BEOA));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nz00_4538))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_10870), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4538);
			}
		}
	}



/* &walk3*-sync2572 */
	obj_t BGl_z62walk3za2zd2sync2572z12zzast_walkz00(obj_t BgL_envz00_7900,
		obj_t BgL_nz00_7901, obj_t BgL_pz00_7902, obj_t BgL_arg0z00_7903,
		obj_t BgL_arg1z00_7904, obj_t BgL_arg2z00_7905)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4520;
				obj_t BgL_pz00_4521;
				obj_t BgL_arg0z00_4522;
				obj_t BgL_arg1z00_4523;
				obj_t BgL_arg2z00_4524;

				BgL_nz00_4520 = ((BgL_syncz00_bglt) BgL_nz00_7901);
				BgL_pz00_4521 = BgL_pz00_7902;
				BgL_arg0z00_4522 = BgL_arg0z00_7903;
				BgL_arg1z00_4523 = BgL_arg1z00_7904;
				BgL_arg2z00_4524 = BgL_arg2z00_7905;
				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3556z00_4528;
					obj_t BgL_arg3557z00_4529;
					obj_t BgL_arg3558z00_4530;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3573z00_4534;

						BgL_arg3573z00_4534 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4520))->BgL_mutexz00);
						BgL_arg3556z00_4528 =
							PROCEDURE_ENTRY(BgL_pz00_4521) (BgL_pz00_4521,
							((obj_t) BgL_arg3573z00_4534), BgL_arg0z00_4522, BgL_arg1z00_4523,
							BgL_arg2z00_4524, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3574z00_4535;

						BgL_arg3574z00_4535 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4520))->BgL_prelockz00);
						BgL_arg3557z00_4529 =
							PROCEDURE_ENTRY(BgL_pz00_4521) (BgL_pz00_4521,
							((obj_t) BgL_arg3574z00_4535), BgL_arg0z00_4522, BgL_arg1z00_4523,
							BgL_arg2z00_4524, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3576z00_4536;

						BgL_arg3576z00_4536 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4520))->BgL_bodyz00);
						BgL_arg3558z00_4530 =
							PROCEDURE_ENTRY(BgL_pz00_4521) (BgL_pz00_4521,
							((obj_t) BgL_arg3576z00_4536), BgL_arg0z00_4522, BgL_arg1z00_4523,
							BgL_arg2z00_4524, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3559z00_4531;

						{	/* Ast/walk.scm 309 */
							obj_t BgL_arg3570z00_4532;

							{	/* Ast/walk.scm 309 */
								obj_t BgL_arg3571z00_4533;

								BgL_arg3571z00_4533 = MAKE_PAIR(BgL_arg3558z00_4530, BNIL);
								BgL_arg3570z00_4532 =
									MAKE_PAIR(BgL_arg3557z00_4529, BgL_arg3571z00_4533);
							}
							BgL_list3559z00_4531 =
								MAKE_PAIR(BgL_arg3556z00_4528, BgL_arg3570z00_4532);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3559z00_4531);
					}
				}
			}
		}
	}



/* &walk2*-sync2570 */
	obj_t BGl_z62walk2za2zd2sync2570z12zzast_walkz00(obj_t BgL_envz00_7906,
		obj_t BgL_nz00_7907, obj_t BgL_pz00_7908, obj_t BgL_arg0z00_7909,
		obj_t BgL_arg1z00_7910)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4503;
				obj_t BgL_pz00_4504;
				obj_t BgL_arg0z00_4505;
				obj_t BgL_arg1z00_4506;

				BgL_nz00_4503 = ((BgL_syncz00_bglt) BgL_nz00_7907);
				BgL_pz00_4504 = BgL_pz00_7908;
				BgL_arg0z00_4505 = BgL_arg0z00_7909;
				BgL_arg1z00_4506 = BgL_arg1z00_7910;
				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3544z00_4510;
					obj_t BgL_arg3547z00_4511;
					obj_t BgL_arg3548z00_4512;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3552z00_4516;

						BgL_arg3552z00_4516 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4503))->BgL_mutexz00);
						BgL_arg3544z00_4510 =
							PROCEDURE_ENTRY(BgL_pz00_4504) (BgL_pz00_4504,
							((obj_t) BgL_arg3552z00_4516), BgL_arg0z00_4505, BgL_arg1z00_4506,
							BEOA);
					}
					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3553z00_4517;

						BgL_arg3553z00_4517 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4503))->BgL_prelockz00);
						BgL_arg3547z00_4511 =
							PROCEDURE_ENTRY(BgL_pz00_4504) (BgL_pz00_4504,
							((obj_t) BgL_arg3553z00_4517), BgL_arg0z00_4505, BgL_arg1z00_4506,
							BEOA);
					}
					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3554z00_4518;

						BgL_arg3554z00_4518 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4503))->BgL_bodyz00);
						BgL_arg3548z00_4512 =
							PROCEDURE_ENTRY(BgL_pz00_4504) (BgL_pz00_4504,
							((obj_t) BgL_arg3554z00_4518), BgL_arg0z00_4505, BgL_arg1z00_4506,
							BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3549z00_4513;

						{	/* Ast/walk.scm 309 */
							obj_t BgL_arg3550z00_4514;

							{	/* Ast/walk.scm 309 */
								obj_t BgL_arg3551z00_4515;

								BgL_arg3551z00_4515 = MAKE_PAIR(BgL_arg3548z00_4512, BNIL);
								BgL_arg3550z00_4514 =
									MAKE_PAIR(BgL_arg3547z00_4511, BgL_arg3551z00_4515);
							}
							BgL_list3549z00_4513 =
								MAKE_PAIR(BgL_arg3544z00_4510, BgL_arg3550z00_4514);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3549z00_4513);
					}
				}
			}
		}
	}



/* &walk1*-sync2568 */
	obj_t BGl_z62walk1za2zd2sync2568z12zzast_walkz00(obj_t BgL_envz00_7911,
		obj_t BgL_nz00_7912, obj_t BgL_pz00_7913, obj_t BgL_arg0z00_7914)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4487;
				obj_t BgL_pz00_4488;
				obj_t BgL_arg0z00_4489;

				BgL_nz00_4487 = ((BgL_syncz00_bglt) BgL_nz00_7912);
				BgL_pz00_4488 = BgL_pz00_7913;
				BgL_arg0z00_4489 = BgL_arg0z00_7914;
				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3532z00_4493;
					obj_t BgL_arg3533z00_4494;
					obj_t BgL_arg3535z00_4495;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3541z00_4499;

						BgL_arg3541z00_4499 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4487))->BgL_mutexz00);
						BgL_arg3532z00_4493 =
							PROCEDURE_ENTRY(BgL_pz00_4488) (BgL_pz00_4488,
							((obj_t) BgL_arg3541z00_4499), BgL_arg0z00_4489, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3542z00_4500;

						BgL_arg3542z00_4500 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4487))->BgL_prelockz00);
						BgL_arg3533z00_4494 =
							PROCEDURE_ENTRY(BgL_pz00_4488) (BgL_pz00_4488,
							((obj_t) BgL_arg3542z00_4500), BgL_arg0z00_4489, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3543z00_4501;

						BgL_arg3543z00_4501 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4487))->BgL_bodyz00);
						BgL_arg3535z00_4495 =
							PROCEDURE_ENTRY(BgL_pz00_4488) (BgL_pz00_4488,
							((obj_t) BgL_arg3543z00_4501), BgL_arg0z00_4489, BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3536z00_4496;

						{	/* Ast/walk.scm 309 */
							obj_t BgL_arg3538z00_4497;

							{	/* Ast/walk.scm 309 */
								obj_t BgL_arg3539z00_4498;

								BgL_arg3539z00_4498 = MAKE_PAIR(BgL_arg3535z00_4495, BNIL);
								BgL_arg3538z00_4497 =
									MAKE_PAIR(BgL_arg3533z00_4494, BgL_arg3539z00_4498);
							}
							BgL_list3536z00_4496 =
								MAKE_PAIR(BgL_arg3532z00_4493, BgL_arg3538z00_4497);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3536z00_4496);
					}
				}
			}
		}
	}



/* &walk0*-sync2566 */
	obj_t BGl_z62walk0za2zd2sync2566z12zzast_walkz00(obj_t BgL_envz00_7915,
		obj_t BgL_nz00_7916, obj_t BgL_pz00_7917)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4472;
				obj_t BgL_pz00_4473;

				BgL_nz00_4472 = ((BgL_syncz00_bglt) BgL_nz00_7916);
				BgL_pz00_4473 = BgL_pz00_7917;
				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3521z00_4477;
					obj_t BgL_arg3522z00_4478;
					obj_t BgL_arg3523z00_4479;

					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3527z00_4483;

						BgL_arg3527z00_4483 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4472))->BgL_mutexz00);
						BgL_arg3521z00_4477 =
							PROCEDURE_ENTRY(BgL_pz00_4473) (BgL_pz00_4473,
							((obj_t) BgL_arg3527z00_4483), BEOA);
					}
					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3529z00_4484;

						BgL_arg3529z00_4484 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4472))->BgL_prelockz00);
						BgL_arg3522z00_4478 =
							PROCEDURE_ENTRY(BgL_pz00_4473) (BgL_pz00_4473,
							((obj_t) BgL_arg3529z00_4484), BEOA);
					}
					{	/* Ast/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg3530z00_4485;

						BgL_arg3530z00_4485 =
							(((BgL_syncz00_bglt) CREF(BgL_nz00_4472))->BgL_bodyz00);
						BgL_arg3523z00_4479 =
							PROCEDURE_ENTRY(BgL_pz00_4473) (BgL_pz00_4473,
							((obj_t) BgL_arg3530z00_4485), BEOA);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3524z00_4480;

						{	/* Ast/walk.scm 309 */
							obj_t BgL_arg3525z00_4481;

							{	/* Ast/walk.scm 309 */
								obj_t BgL_arg3526z00_4482;

								BgL_arg3526z00_4482 = MAKE_PAIR(BgL_arg3523z00_4479, BNIL);
								BgL_arg3525z00_4481 =
									MAKE_PAIR(BgL_arg3522z00_4478, BgL_arg3526z00_4482);
							}
							BgL_list3524z00_4480 =
								MAKE_PAIR(BgL_arg3521z00_4477, BgL_arg3525z00_4481);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3524z00_4480);
					}
				}
			}
		}
	}



/* &walk3-sync2564 */
	obj_t BGl_z62walk3zd2sync2564zb0zzast_walkz00(obj_t BgL_envz00_7918,
		obj_t BgL_nz00_7919, obj_t BgL_pz00_7920, obj_t BgL_arg0z00_7921,
		obj_t BgL_arg1z00_7922, obj_t BgL_arg2z00_7923)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4460;
				obj_t BgL_pz00_4461;
				obj_t BgL_arg0z00_4462;
				obj_t BgL_arg1z00_4463;
				obj_t BgL_arg2z00_4464;

				BgL_nz00_4460 = ((BgL_syncz00_bglt) BgL_nz00_7919);
				BgL_pz00_4461 = BgL_pz00_7920;
				BgL_arg0z00_4462 = BgL_arg0z00_7921;
				BgL_arg1z00_4463 = BgL_arg1z00_7922;
				BgL_arg2z00_4464 = BgL_arg2z00_7923;
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3507z00_4468;

					BgL_arg3507z00_4468 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4460))->BgL_mutexz00);
					PROCEDURE_ENTRY(BgL_pz00_4461) (BgL_pz00_4461,
						((obj_t) BgL_arg3507z00_4468), BgL_arg0z00_4462, BgL_arg1z00_4463,
						BgL_arg2z00_4464, BEOA);
				}
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3508z00_4469;

					BgL_arg3508z00_4469 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4460))->BgL_prelockz00);
					PROCEDURE_ENTRY(BgL_pz00_4461) (BgL_pz00_4461,
						((obj_t) BgL_arg3508z00_4469), BgL_arg0z00_4462, BgL_arg1z00_4463,
						BgL_arg2z00_4464, BEOA);
				}
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3510z00_4470;

					BgL_arg3510z00_4470 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4460))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4461) (BgL_pz00_4461,
						((obj_t) BgL_arg3510z00_4470), BgL_arg0z00_4462, BgL_arg1z00_4463,
						BgL_arg2z00_4464, BEOA);
				}
			}
		}
	}



/* &walk2-sync2562 */
	obj_t BGl_z62walk2zd2sync2562zb0zzast_walkz00(obj_t BgL_envz00_7924,
		obj_t BgL_nz00_7925, obj_t BgL_pz00_7926, obj_t BgL_arg0z00_7927,
		obj_t BgL_arg1z00_7928)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4449;
				obj_t BgL_pz00_4450;
				obj_t BgL_arg0z00_4451;
				obj_t BgL_arg1z00_4452;

				BgL_nz00_4449 = ((BgL_syncz00_bglt) BgL_nz00_7925);
				BgL_pz00_4450 = BgL_pz00_7926;
				BgL_arg0z00_4451 = BgL_arg0z00_7927;
				BgL_arg1z00_4452 = BgL_arg1z00_7928;
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3504z00_4456;

					BgL_arg3504z00_4456 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4449))->BgL_mutexz00);
					PROCEDURE_ENTRY(BgL_pz00_4450) (BgL_pz00_4450,
						((obj_t) BgL_arg3504z00_4456), BgL_arg0z00_4451, BgL_arg1z00_4452,
						BEOA);
				}
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3505z00_4457;

					BgL_arg3505z00_4457 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4449))->BgL_prelockz00);
					PROCEDURE_ENTRY(BgL_pz00_4450) (BgL_pz00_4450,
						((obj_t) BgL_arg3505z00_4457), BgL_arg0z00_4451, BgL_arg1z00_4452,
						BEOA);
				}
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3506z00_4458;

					BgL_arg3506z00_4458 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4449))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4450) (BgL_pz00_4450,
						((obj_t) BgL_arg3506z00_4458), BgL_arg0z00_4451, BgL_arg1z00_4452,
						BEOA);
				}
			}
		}
	}



/* &walk1-sync2560 */
	obj_t BGl_z62walk1zd2sync2560zb0zzast_walkz00(obj_t BgL_envz00_7929,
		obj_t BgL_nz00_7930, obj_t BgL_pz00_7931, obj_t BgL_arg0z00_7932)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4439;
				obj_t BgL_pz00_4440;
				obj_t BgL_arg0z00_4441;

				BgL_nz00_4439 = ((BgL_syncz00_bglt) BgL_nz00_7930);
				BgL_pz00_4440 = BgL_pz00_7931;
				BgL_arg0z00_4441 = BgL_arg0z00_7932;
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3501z00_4445;

					BgL_arg3501z00_4445 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4439))->BgL_mutexz00);
					PROCEDURE_ENTRY(BgL_pz00_4440) (BgL_pz00_4440,
						((obj_t) BgL_arg3501z00_4445), BgL_arg0z00_4441, BEOA);
				}
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3502z00_4446;

					BgL_arg3502z00_4446 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4439))->BgL_prelockz00);
					PROCEDURE_ENTRY(BgL_pz00_4440) (BgL_pz00_4440,
						((obj_t) BgL_arg3502z00_4446), BgL_arg0z00_4441, BEOA);
				}
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3503z00_4447;

					BgL_arg3503z00_4447 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4439))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4440) (BgL_pz00_4440,
						((obj_t) BgL_arg3503z00_4447), BgL_arg0z00_4441, BEOA);
				}
			}
		}
	}



/* &walk0-sync2558 */
	obj_t BGl_z62walk0zd2sync2558zb0zzast_walkz00(obj_t BgL_envz00_7933,
		obj_t BgL_nz00_7934, obj_t BgL_pz00_7935)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 309 */
			{
				BgL_syncz00_bglt BgL_nz00_4430;
				obj_t BgL_pz00_4431;

				BgL_nz00_4430 = ((BgL_syncz00_bglt) BgL_nz00_7934);
				BgL_pz00_4431 = BgL_pz00_7935;
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3495z00_4435;

					BgL_arg3495z00_4435 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4430))->BgL_mutexz00);
					PROCEDURE_ENTRY(BgL_pz00_4431) (BgL_pz00_4431,
						((obj_t) BgL_arg3495z00_4435), BEOA);
				}
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3497z00_4436;

					BgL_arg3497z00_4436 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4430))->BgL_prelockz00);
					PROCEDURE_ENTRY(BgL_pz00_4431) (BgL_pz00_4431,
						((obj_t) BgL_arg3497z00_4436), BEOA);
				}
				{	/* Ast/walk.scm 309 */
					BgL_nodez00_bglt BgL_arg3498z00_4437;

					BgL_arg3498z00_4437 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_4430))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4431) (BgL_pz00_4431,
						((obj_t) BgL_arg3498z00_4437), BEOA);
				}
			}
		}
	}



/* &walk3!-box-set!2556 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2setz122556z62zzast_walkz00(obj_t
		BgL_envz00_7936, obj_t BgL_nz00_7937, obj_t BgL_pz00_7938,
		obj_t BgL_arg0z00_7939, obj_t BgL_arg1z00_7940, obj_t BgL_arg2z00_7941)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4419;
				obj_t BgL_pz00_4420;
				obj_t BgL_arg0z00_4421;
				obj_t BgL_arg1z00_4422;
				obj_t BgL_arg2z00_4423;

				BgL_nz00_4419 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7937);
				BgL_pz00_4420 = BgL_pz00_7938;
				BgL_arg0z00_4421 = BgL_arg0z00_7939;
				BgL_arg1z00_4422 = BgL_arg1z00_7940;
				BgL_arg2z00_4423 = BgL_arg2z00_7941;
				{
					BgL_varz00_bglt BgL_auxz00_11085;

					{	/* Ast/walk.scm 308 */
						BgL_varz00_bglt BgL_arg3492z00_6997;

						BgL_arg3492z00_6997 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4419))->BgL_varz00);
						BgL_auxz00_11085 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4420) (BgL_pz00_4420,
								((obj_t) BgL_arg3492z00_6997), BgL_arg0z00_4421,
								BgL_arg1z00_4422, BgL_arg2z00_4423, BEOA));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4419))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_11085), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11097;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3494z00_6998;

						BgL_arg3494z00_6998 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4419))->BgL_valuez00);
						BgL_auxz00_11097 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4420) (BgL_pz00_4420,
								((obj_t) BgL_arg3494z00_6998), BgL_arg0z00_4421,
								BgL_arg1z00_4422, BgL_arg2z00_4423, BEOA));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4419))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11097), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4419);
			}
		}
	}



/* &walk2!-box-set!2554 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2setz122554z62zzast_walkz00(obj_t
		BgL_envz00_7942, obj_t BgL_nz00_7943, obj_t BgL_pz00_7944,
		obj_t BgL_arg0z00_7945, obj_t BgL_arg1z00_7946)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4409;
				obj_t BgL_pz00_4410;
				obj_t BgL_arg0z00_4411;
				obj_t BgL_arg1z00_4412;

				BgL_nz00_4409 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7943);
				BgL_pz00_4410 = BgL_pz00_7944;
				BgL_arg0z00_4411 = BgL_arg0z00_7945;
				BgL_arg1z00_4412 = BgL_arg1z00_7946;
				{
					BgL_varz00_bglt BgL_auxz00_11111;

					{	/* Ast/walk.scm 308 */
						BgL_varz00_bglt BgL_arg3490z00_4416;

						BgL_arg3490z00_4416 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4409))->BgL_varz00);
						BgL_auxz00_11111 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4410) (BgL_pz00_4410,
								((obj_t) BgL_arg3490z00_4416), BgL_arg0z00_4411,
								BgL_arg1z00_4412, BEOA));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4409))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_11111), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11122;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3491z00_4417;

						BgL_arg3491z00_4417 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4409))->BgL_valuez00);
						BgL_auxz00_11122 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4410) (BgL_pz00_4410,
								((obj_t) BgL_arg3491z00_4417), BgL_arg0z00_4411,
								BgL_arg1z00_4412, BEOA));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4409))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11122), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4409);
			}
		}
	}



/* &walk1!-box-set!2552 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2setz122552z62zzast_walkz00(obj_t
		BgL_envz00_7947, obj_t BgL_nz00_7948, obj_t BgL_pz00_7949,
		obj_t BgL_arg0z00_7950)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4400;
				obj_t BgL_pz00_4401;
				obj_t BgL_arg0z00_4402;

				BgL_nz00_4400 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7948);
				BgL_pz00_4401 = BgL_pz00_7949;
				BgL_arg0z00_4402 = BgL_arg0z00_7950;
				{
					BgL_varz00_bglt BgL_auxz00_11135;

					{	/* Ast/walk.scm 308 */
						BgL_varz00_bglt BgL_arg3487z00_4406;

						BgL_arg3487z00_4406 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4400))->BgL_varz00);
						BgL_auxz00_11135 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4401) (BgL_pz00_4401,
								((obj_t) BgL_arg3487z00_4406), BgL_arg0z00_4402, BEOA));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4400))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_11135), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11145;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3489z00_4407;

						BgL_arg3489z00_4407 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4400))->BgL_valuez00);
						BgL_auxz00_11145 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4401) (BgL_pz00_4401,
								((obj_t) BgL_arg3489z00_4407), BgL_arg0z00_4402, BEOA));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4400))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11145), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4400);
			}
		}
	}



/* &walk0!-box-set!2550 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2setz122550z62zzast_walkz00(obj_t
		BgL_envz00_7951, obj_t BgL_nz00_7952, obj_t BgL_pz00_7953)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4392;
				obj_t BgL_pz00_4393;

				BgL_nz00_4392 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7952);
				BgL_pz00_4393 = BgL_pz00_7953;
				{
					BgL_varz00_bglt BgL_auxz00_11157;

					{	/* Ast/walk.scm 308 */
						BgL_varz00_bglt BgL_arg3485z00_4397;

						BgL_arg3485z00_4397 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4392))->BgL_varz00);
						BgL_auxz00_11157 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4393) (BgL_pz00_4393,
								((obj_t) BgL_arg3485z00_4397), BEOA));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4392))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_11157), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11166;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3486z00_4398;

						BgL_arg3486z00_4398 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4392))->BgL_valuez00);
						BgL_auxz00_11166 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4393) (BgL_pz00_4393,
								((obj_t) BgL_arg3486z00_4398), BEOA));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4392))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11166), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4392);
			}
		}
	}



/* &walk3*-box-set!2548 */
	obj_t BGl_z62walk3za2zd2boxzd2setz122548zd2zzast_walkz00(obj_t
		BgL_envz00_7954, obj_t BgL_nz00_7955, obj_t BgL_pz00_7956,
		obj_t BgL_arg0z00_7957, obj_t BgL_arg1z00_7958, obj_t BgL_arg2z00_7959)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4379;
				obj_t BgL_pz00_4380;
				obj_t BgL_arg0z00_4381;
				obj_t BgL_arg1z00_4382;
				obj_t BgL_arg2z00_4383;

				BgL_nz00_4379 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7955);
				BgL_pz00_4380 = BgL_pz00_7956;
				BgL_arg0z00_4381 = BgL_arg0z00_7957;
				BgL_arg1z00_4382 = BgL_arg1z00_7958;
				BgL_arg2z00_4383 = BgL_arg2z00_7959;
				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3463z00_6992;
					obj_t BgL_arg3464z00_6993;

					{	/* Ast/walk.scm 308 */
						BgL_varz00_bglt BgL_arg3465z00_6994;

						BgL_arg3465z00_6994 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4379))->BgL_varz00);
						BgL_arg3463z00_6992 =
							PROCEDURE_ENTRY(BgL_pz00_4380) (BgL_pz00_4380,
							((obj_t) BgL_arg3465z00_6994), BgL_arg0z00_4381, BgL_arg1z00_4382,
							BgL_arg2z00_4383, BEOA);
					}
					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3469z00_6995;

						BgL_arg3469z00_6995 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4379))->BgL_valuez00);
						BgL_arg3464z00_6993 =
							PROCEDURE_ENTRY(BgL_pz00_4380) (BgL_pz00_4380,
							((obj_t) BgL_arg3469z00_6995), BgL_arg0z00_4381, BgL_arg1z00_4382,
							BgL_arg2z00_4383, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3463z00_6992,
						BgL_arg3464z00_6993);
				}
			}
		}
	}



/* &walk2*-box-set!2546 */
	obj_t BGl_z62walk2za2zd2boxzd2setz122546zd2zzast_walkz00(obj_t
		BgL_envz00_7960, obj_t BgL_nz00_7961, obj_t BgL_pz00_7962,
		obj_t BgL_arg0z00_7963, obj_t BgL_arg1z00_7964)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4367;
				obj_t BgL_pz00_4368;
				obj_t BgL_arg0z00_4369;
				obj_t BgL_arg1z00_4370;

				BgL_nz00_4367 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7961);
				BgL_pz00_4368 = BgL_pz00_7962;
				BgL_arg0z00_4369 = BgL_arg0z00_7963;
				BgL_arg1z00_4370 = BgL_arg1z00_7964;
				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3459z00_6987;
					obj_t BgL_arg3460z00_6988;

					{	/* Ast/walk.scm 308 */
						BgL_varz00_bglt BgL_arg3461z00_6989;

						BgL_arg3461z00_6989 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4367))->BgL_varz00);
						BgL_arg3459z00_6987 =
							PROCEDURE_ENTRY(BgL_pz00_4368) (BgL_pz00_4368,
							((obj_t) BgL_arg3461z00_6989), BgL_arg0z00_4369, BgL_arg1z00_4370,
							BEOA);
					}
					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3462z00_6990;

						BgL_arg3462z00_6990 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4367))->BgL_valuez00);
						BgL_arg3460z00_6988 =
							PROCEDURE_ENTRY(BgL_pz00_4368) (BgL_pz00_4368,
							((obj_t) BgL_arg3462z00_6990), BgL_arg0z00_4369, BgL_arg1z00_4370,
							BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3459z00_6987,
						BgL_arg3460z00_6988);
				}
			}
		}
	}



/* &walk1*-box-set!2544 */
	obj_t BGl_z62walk1za2zd2boxzd2setz122544zd2zzast_walkz00(obj_t
		BgL_envz00_7965, obj_t BgL_nz00_7966, obj_t BgL_pz00_7967,
		obj_t BgL_arg0z00_7968)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4356;
				obj_t BgL_pz00_4357;
				obj_t BgL_arg0z00_4358;

				BgL_nz00_4356 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7966);
				BgL_pz00_4357 = BgL_pz00_7967;
				BgL_arg0z00_4358 = BgL_arg0z00_7968;
				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3455z00_4362;
					obj_t BgL_arg3456z00_4363;

					{	/* Ast/walk.scm 308 */
						BgL_varz00_bglt BgL_arg3457z00_4364;

						BgL_arg3457z00_4364 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4356))->BgL_varz00);
						BgL_arg3455z00_4362 =
							PROCEDURE_ENTRY(BgL_pz00_4357) (BgL_pz00_4357,
							((obj_t) BgL_arg3457z00_4364), BgL_arg0z00_4358, BEOA);
					}
					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3458z00_4365;

						BgL_arg3458z00_4365 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4356))->BgL_valuez00);
						BgL_arg3456z00_4363 =
							PROCEDURE_ENTRY(BgL_pz00_4357) (BgL_pz00_4357,
							((obj_t) BgL_arg3458z00_4365), BgL_arg0z00_4358, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3455z00_4362,
						BgL_arg3456z00_4363);
				}
			}
		}
	}



/* &walk0*-box-set!2542 */
	obj_t BGl_z62walk0za2zd2boxzd2setz122542zd2zzast_walkz00(obj_t
		BgL_envz00_7969, obj_t BgL_nz00_7970, obj_t BgL_pz00_7971)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4346;
				obj_t BgL_pz00_4347;

				BgL_nz00_4346 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7970);
				BgL_pz00_4347 = BgL_pz00_7971;
				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3451z00_4351;
					obj_t BgL_arg3452z00_4352;

					{	/* Ast/walk.scm 308 */
						BgL_varz00_bglt BgL_arg3453z00_4353;

						BgL_arg3453z00_4353 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4346))->BgL_varz00);
						BgL_arg3451z00_4351 =
							PROCEDURE_ENTRY(BgL_pz00_4347) (BgL_pz00_4347,
							((obj_t) BgL_arg3453z00_4353), BEOA);
					}
					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3454z00_4354;

						BgL_arg3454z00_4354 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4346))->BgL_valuez00);
						BgL_arg3452z00_4352 =
							PROCEDURE_ENTRY(BgL_pz00_4347) (BgL_pz00_4347,
							((obj_t) BgL_arg3454z00_4354), BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3451z00_4351,
						BgL_arg3452z00_4352);
				}
			}
		}
	}



/* &walk3-box-set!2540 */
	obj_t BGl_z62walk3zd2boxzd2setz122540z70zzast_walkz00(obj_t BgL_envz00_7972,
		obj_t BgL_nz00_7973, obj_t BgL_pz00_7974, obj_t BgL_arg0z00_7975,
		obj_t BgL_arg1z00_7976, obj_t BgL_arg2z00_7977)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4335;
				obj_t BgL_pz00_4336;
				obj_t BgL_arg0z00_4337;
				obj_t BgL_arg1z00_4338;
				obj_t BgL_arg2z00_4339;

				BgL_nz00_4335 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7973);
				BgL_pz00_4336 = BgL_pz00_7974;
				BgL_arg0z00_4337 = BgL_arg0z00_7975;
				BgL_arg1z00_4338 = BgL_arg1z00_7976;
				BgL_arg2z00_4339 = BgL_arg2z00_7977;
				{	/* Ast/walk.scm 308 */
					BgL_varz00_bglt BgL_arg3448z00_6984;

					BgL_arg3448z00_6984 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4335))->BgL_varz00);
					PROCEDURE_ENTRY(BgL_pz00_4336) (BgL_pz00_4336,
						((obj_t) BgL_arg3448z00_6984), BgL_arg0z00_4337, BgL_arg1z00_4338,
						BgL_arg2z00_4339, BEOA);
				}
				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3450z00_6985;

					BgL_arg3450z00_6985 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4335))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4336) (BgL_pz00_4336,
						((obj_t) BgL_arg3450z00_6985), BgL_arg0z00_4337, BgL_arg1z00_4338,
						BgL_arg2z00_4339, BEOA);
				}
			}
		}
	}



/* &walk2-box-set!2538 */
	obj_t BGl_z62walk2zd2boxzd2setz122538z70zzast_walkz00(obj_t BgL_envz00_7978,
		obj_t BgL_nz00_7979, obj_t BgL_pz00_7980, obj_t BgL_arg0z00_7981,
		obj_t BgL_arg1z00_7982)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4325;
				obj_t BgL_pz00_4326;
				obj_t BgL_arg0z00_4327;
				obj_t BgL_arg1z00_4328;

				BgL_nz00_4325 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7979);
				BgL_pz00_4326 = BgL_pz00_7980;
				BgL_arg0z00_4327 = BgL_arg0z00_7981;
				BgL_arg1z00_4328 = BgL_arg1z00_7982;
				{	/* Ast/walk.scm 308 */
					BgL_varz00_bglt BgL_arg3446z00_6981;

					BgL_arg3446z00_6981 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4325))->BgL_varz00);
					PROCEDURE_ENTRY(BgL_pz00_4326) (BgL_pz00_4326,
						((obj_t) BgL_arg3446z00_6981), BgL_arg0z00_4327, BgL_arg1z00_4328,
						BEOA);
				}
				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3447z00_6982;

					BgL_arg3447z00_6982 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4325))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4326) (BgL_pz00_4326,
						((obj_t) BgL_arg3447z00_6982), BgL_arg0z00_4327, BgL_arg1z00_4328,
						BEOA);
				}
			}
		}
	}



/* &walk1-box-set!2536 */
	obj_t BGl_z62walk1zd2boxzd2setz122536z70zzast_walkz00(obj_t BgL_envz00_7983,
		obj_t BgL_nz00_7984, obj_t BgL_pz00_7985, obj_t BgL_arg0z00_7986)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4316;
				obj_t BgL_pz00_4317;
				obj_t BgL_arg0z00_4318;

				BgL_nz00_4316 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7984);
				BgL_pz00_4317 = BgL_pz00_7985;
				BgL_arg0z00_4318 = BgL_arg0z00_7986;
				{	/* Ast/walk.scm 308 */
					BgL_varz00_bglt BgL_arg3444z00_6978;

					BgL_arg3444z00_6978 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4316))->BgL_varz00);
					PROCEDURE_ENTRY(BgL_pz00_4317) (BgL_pz00_4317,
						((obj_t) BgL_arg3444z00_6978), BgL_arg0z00_4318, BEOA);
				}
				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3445z00_6979;

					BgL_arg3445z00_6979 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4316))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4317) (BgL_pz00_4317,
						((obj_t) BgL_arg3445z00_6979), BgL_arg0z00_4318, BEOA);
				}
			}
		}
	}



/* &walk0-box-set!2534 */
	obj_t BGl_z62walk0zd2boxzd2setz122534z70zzast_walkz00(obj_t BgL_envz00_7987,
		obj_t BgL_nz00_7988, obj_t BgL_pz00_7989)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_4308;
				obj_t BgL_pz00_4309;

				BgL_nz00_4308 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7988);
				BgL_pz00_4309 = BgL_pz00_7989;
				{	/* Ast/walk.scm 308 */
					BgL_varz00_bglt BgL_arg3442z00_6975;

					BgL_arg3442z00_6975 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4308))->BgL_varz00);
					PROCEDURE_ENTRY(BgL_pz00_4309) (BgL_pz00_4309,
						((obj_t) BgL_arg3442z00_6975), BEOA);
				}
				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3443z00_6976;

					BgL_arg3443z00_6976 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_4308))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4309) (BgL_pz00_4309,
						((obj_t) BgL_arg3443z00_6976), BEOA);
				}
			}
		}
	}



/* &walk3!-box-ref2532 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2ref2532z70zzast_walkz00(obj_t
		BgL_envz00_7990, obj_t BgL_nz00_7991, obj_t BgL_pz00_7992,
		obj_t BgL_arg0z00_7993, obj_t BgL_arg1z00_7994, obj_t BgL_arg2z00_7995)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4298;
				obj_t BgL_pz00_4299;
				obj_t BgL_arg0z00_4300;
				obj_t BgL_arg1z00_4301;
				obj_t BgL_arg2z00_4302;

				BgL_nz00_4298 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_7991);
				BgL_pz00_4299 = BgL_pz00_7992;
				BgL_arg0z00_4300 = BgL_arg0z00_7993;
				BgL_arg1z00_4301 = BgL_arg1z00_7994;
				BgL_arg2z00_4302 = BgL_arg2z00_7995;
				{
					BgL_varz00_bglt BgL_auxz00_11309;

					{	/* Ast/walk.scm 307 */
						BgL_varz00_bglt BgL_arg3441z00_6973;

						BgL_arg3441z00_6973 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4298))->BgL_varz00);
						BgL_auxz00_11309 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4299) (BgL_pz00_4299,
								((obj_t) BgL_arg3441z00_6973), BgL_arg0z00_4300,
								BgL_arg1z00_4301, BgL_arg2z00_4302, BEOA));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4298))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_11309), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4298);
			}
		}
	}



/* &walk2!-box-ref2530 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2ref2530z70zzast_walkz00(obj_t
		BgL_envz00_7996, obj_t BgL_nz00_7997, obj_t BgL_pz00_7998,
		obj_t BgL_arg0z00_7999, obj_t BgL_arg1z00_8000)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4289;
				obj_t BgL_pz00_4290;
				obj_t BgL_arg0z00_4291;
				obj_t BgL_arg1z00_4292;

				BgL_nz00_4289 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_7997);
				BgL_pz00_4290 = BgL_pz00_7998;
				BgL_arg0z00_4291 = BgL_arg0z00_7999;
				BgL_arg1z00_4292 = BgL_arg1z00_8000;
				{
					BgL_varz00_bglt BgL_auxz00_11323;

					{	/* Ast/walk.scm 307 */
						BgL_varz00_bglt BgL_arg3440z00_6971;

						BgL_arg3440z00_6971 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4289))->BgL_varz00);
						BgL_auxz00_11323 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4290) (BgL_pz00_4290,
								((obj_t) BgL_arg3440z00_6971), BgL_arg0z00_4291,
								BgL_arg1z00_4292, BEOA));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4289))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_11323), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4289);
			}
		}
	}



/* &walk1!-box-ref2528 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2ref2528z70zzast_walkz00(obj_t
		BgL_envz00_8001, obj_t BgL_nz00_8002, obj_t BgL_pz00_8003,
		obj_t BgL_arg0z00_8004)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4281;
				obj_t BgL_pz00_4282;
				obj_t BgL_arg0z00_4283;

				BgL_nz00_4281 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8002);
				BgL_pz00_4282 = BgL_pz00_8003;
				BgL_arg0z00_4283 = BgL_arg0z00_8004;
				{
					BgL_varz00_bglt BgL_auxz00_11336;

					{	/* Ast/walk.scm 307 */
						BgL_varz00_bglt BgL_arg3436z00_6969;

						BgL_arg3436z00_6969 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4281))->BgL_varz00);
						BgL_auxz00_11336 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4282) (BgL_pz00_4282,
								((obj_t) BgL_arg3436z00_6969), BgL_arg0z00_4283, BEOA));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4281))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_11336), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4281);
			}
		}
	}



/* &walk0!-box-ref2526 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2ref2526z70zzast_walkz00(obj_t
		BgL_envz00_8005, obj_t BgL_nz00_8006, obj_t BgL_pz00_8007)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4274;
				obj_t BgL_pz00_4275;

				BgL_nz00_4274 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8006);
				BgL_pz00_4275 = BgL_pz00_8007;
				{
					BgL_varz00_bglt BgL_auxz00_11348;

					{	/* Ast/walk.scm 307 */
						BgL_varz00_bglt BgL_arg3435z00_6967;

						BgL_arg3435z00_6967 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4274))->BgL_varz00);
						BgL_auxz00_11348 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4275) (BgL_pz00_4275,
								((obj_t) BgL_arg3435z00_6967), BEOA));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4274))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_11348), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4274);
			}
		}
	}



/* &walk3*-box-ref2524 */
	obj_t BGl_z62walk3za2zd2boxzd2ref2524zc0zzast_walkz00(obj_t BgL_envz00_8008,
		obj_t BgL_nz00_8009, obj_t BgL_pz00_8010, obj_t BgL_arg0z00_8011,
		obj_t BgL_arg1z00_8012, obj_t BgL_arg2z00_8013)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4262;
				obj_t BgL_pz00_4263;
				obj_t BgL_arg0z00_4264;
				obj_t BgL_arg1z00_4265;
				obj_t BgL_arg2z00_4266;

				BgL_nz00_4262 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8009);
				BgL_pz00_4263 = BgL_pz00_8010;
				BgL_arg0z00_4264 = BgL_arg0z00_8011;
				BgL_arg1z00_4265 = BgL_arg1z00_8012;
				BgL_arg2z00_4266 = BgL_arg2z00_8013;
				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3432z00_6963;

					{	/* Ast/walk.scm 307 */
						BgL_varz00_bglt BgL_arg3434z00_6964;

						BgL_arg3434z00_6964 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4262))->BgL_varz00);
						BgL_arg3432z00_6963 =
							PROCEDURE_ENTRY(BgL_pz00_4263) (BgL_pz00_4263,
							((obj_t) BgL_arg3434z00_6964), BgL_arg0z00_4264, BgL_arg1z00_4265,
							BgL_arg2z00_4266, BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3433z00_6965;

						BgL_list3433z00_6965 = MAKE_PAIR(BgL_arg3432z00_6963, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3433z00_6965);
					}
				}
			}
		}
	}



/* &walk2*-box-ref2522 */
	obj_t BGl_z62walk2za2zd2boxzd2ref2522zc0zzast_walkz00(obj_t BgL_envz00_8014,
		obj_t BgL_nz00_8015, obj_t BgL_pz00_8016, obj_t BgL_arg0z00_8017,
		obj_t BgL_arg1z00_8018)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4251;
				obj_t BgL_pz00_4252;
				obj_t BgL_arg0z00_4253;
				obj_t BgL_arg1z00_4254;

				BgL_nz00_4251 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8015);
				BgL_pz00_4252 = BgL_pz00_8016;
				BgL_arg0z00_4253 = BgL_arg0z00_8017;
				BgL_arg1z00_4254 = BgL_arg1z00_8018;
				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3429z00_6959;

					{	/* Ast/walk.scm 307 */
						BgL_varz00_bglt BgL_arg3431z00_6960;

						BgL_arg3431z00_6960 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4251))->BgL_varz00);
						BgL_arg3429z00_6959 =
							PROCEDURE_ENTRY(BgL_pz00_4252) (BgL_pz00_4252,
							((obj_t) BgL_arg3431z00_6960), BgL_arg0z00_4253, BgL_arg1z00_4254,
							BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3430z00_6961;

						BgL_list3430z00_6961 = MAKE_PAIR(BgL_arg3429z00_6959, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3430z00_6961);
					}
				}
			}
		}
	}



/* &walk1*-box-ref2520 */
	obj_t BGl_z62walk1za2zd2boxzd2ref2520zc0zzast_walkz00(obj_t BgL_envz00_8019,
		obj_t BgL_nz00_8020, obj_t BgL_pz00_8021, obj_t BgL_arg0z00_8022)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4241;
				obj_t BgL_pz00_4242;
				obj_t BgL_arg0z00_4243;

				BgL_nz00_4241 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8020);
				BgL_pz00_4242 = BgL_pz00_8021;
				BgL_arg0z00_4243 = BgL_arg0z00_8022;
				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3424z00_6955;

					{	/* Ast/walk.scm 307 */
						BgL_varz00_bglt BgL_arg3428z00_6956;

						BgL_arg3428z00_6956 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4241))->BgL_varz00);
						BgL_arg3424z00_6955 =
							PROCEDURE_ENTRY(BgL_pz00_4242) (BgL_pz00_4242,
							((obj_t) BgL_arg3428z00_6956), BgL_arg0z00_4243, BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3425z00_6957;

						BgL_list3425z00_6957 = MAKE_PAIR(BgL_arg3424z00_6955, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3425z00_6957);
					}
				}
			}
		}
	}



/* &walk0*-box-ref2518 */
	obj_t BGl_z62walk0za2zd2boxzd2ref2518zc0zzast_walkz00(obj_t BgL_envz00_8023,
		obj_t BgL_nz00_8024, obj_t BgL_pz00_8025)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4232;
				obj_t BgL_pz00_4233;

				BgL_nz00_4232 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8024);
				BgL_pz00_4233 = BgL_pz00_8025;
				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3421z00_6951;

					{	/* Ast/walk.scm 307 */
						BgL_varz00_bglt BgL_arg3423z00_6952;

						BgL_arg3423z00_6952 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4232))->BgL_varz00);
						BgL_arg3421z00_6951 =
							PROCEDURE_ENTRY(BgL_pz00_4233) (BgL_pz00_4233,
							((obj_t) BgL_arg3423z00_6952), BEOA);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3422z00_6953;

						BgL_list3422z00_6953 = MAKE_PAIR(BgL_arg3421z00_6951, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3422z00_6953);
					}
				}
			}
		}
	}



/* &walk3-box-ref2516 */
	obj_t BGl_z62walk3zd2boxzd2ref2516z62zzast_walkz00(obj_t BgL_envz00_8026,
		obj_t BgL_nz00_8027, obj_t BgL_pz00_8028, obj_t BgL_arg0z00_8029,
		obj_t BgL_arg1z00_8030, obj_t BgL_arg2z00_8031)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4222;
				obj_t BgL_pz00_4223;
				obj_t BgL_arg0z00_4224;
				obj_t BgL_arg1z00_4225;
				obj_t BgL_arg2z00_4226;

				BgL_nz00_4222 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8027);
				BgL_pz00_4223 = BgL_pz00_8028;
				BgL_arg0z00_4224 = BgL_arg0z00_8029;
				BgL_arg1z00_4225 = BgL_arg1z00_8030;
				BgL_arg2z00_4226 = BgL_arg2z00_8031;
				{	/* Ast/walk.scm 307 */
					BgL_varz00_bglt BgL_arg3420z00_6949;

					BgL_arg3420z00_6949 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4222))->BgL_varz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4223) (BgL_pz00_4223,
						((obj_t) BgL_arg3420z00_6949), BgL_arg0z00_4224, BgL_arg1z00_4225,
						BgL_arg2z00_4226, BEOA);
				}
			}
		}
	}



/* &walk2-box-ref2514 */
	obj_t BGl_z62walk2zd2boxzd2ref2514z62zzast_walkz00(obj_t BgL_envz00_8032,
		obj_t BgL_nz00_8033, obj_t BgL_pz00_8034, obj_t BgL_arg0z00_8035,
		obj_t BgL_arg1z00_8036)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4213;
				obj_t BgL_pz00_4214;
				obj_t BgL_arg0z00_4215;
				obj_t BgL_arg1z00_4216;

				BgL_nz00_4213 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8033);
				BgL_pz00_4214 = BgL_pz00_8034;
				BgL_arg0z00_4215 = BgL_arg0z00_8035;
				BgL_arg1z00_4216 = BgL_arg1z00_8036;
				{	/* Ast/walk.scm 307 */
					BgL_varz00_bglt BgL_arg3419z00_6947;

					BgL_arg3419z00_6947 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4213))->BgL_varz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4214) (BgL_pz00_4214,
						((obj_t) BgL_arg3419z00_6947), BgL_arg0z00_4215, BgL_arg1z00_4216,
						BEOA);
				}
			}
		}
	}



/* &walk1-box-ref2512 */
	obj_t BGl_z62walk1zd2boxzd2ref2512z62zzast_walkz00(obj_t BgL_envz00_8037,
		obj_t BgL_nz00_8038, obj_t BgL_pz00_8039, obj_t BgL_arg0z00_8040)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4205;
				obj_t BgL_pz00_4206;
				obj_t BgL_arg0z00_4207;

				BgL_nz00_4205 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8038);
				BgL_pz00_4206 = BgL_pz00_8039;
				BgL_arg0z00_4207 = BgL_arg0z00_8040;
				{	/* Ast/walk.scm 307 */
					BgL_varz00_bglt BgL_arg3418z00_6945;

					BgL_arg3418z00_6945 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4205))->BgL_varz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4206) (BgL_pz00_4206,
						((obj_t) BgL_arg3418z00_6945), BgL_arg0z00_4207, BEOA);
				}
			}
		}
	}



/* &walk0-box-ref2510 */
	obj_t BGl_z62walk0zd2boxzd2ref2510z62zzast_walkz00(obj_t BgL_envz00_8041,
		obj_t BgL_nz00_8042, obj_t BgL_pz00_8043)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 307 */
			{
				BgL_boxzd2refzd2_bglt BgL_nz00_4198;
				obj_t BgL_pz00_4199;

				BgL_nz00_4198 = ((BgL_boxzd2refzd2_bglt) BgL_nz00_8042);
				BgL_pz00_4199 = BgL_pz00_8043;
				{	/* Ast/walk.scm 307 */
					BgL_varz00_bglt BgL_arg3414z00_6943;

					BgL_arg3414z00_6943 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nz00_4198))->BgL_varz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4199) (BgL_pz00_4199,
						((obj_t) BgL_arg3414z00_6943), BEOA);
				}
			}
		}
	}



/* &walk3!-make-box2508 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2makezd2box2508z70zzast_walkz00(obj_t
		BgL_envz00_8044, obj_t BgL_nz00_8045, obj_t BgL_pz00_8046,
		obj_t BgL_arg0z00_8047, obj_t BgL_arg1z00_8048, obj_t BgL_arg2z00_8049)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4188;
				obj_t BgL_pz00_4189;
				obj_t BgL_arg0z00_4190;
				obj_t BgL_arg1z00_4191;
				obj_t BgL_arg2z00_4192;

				BgL_nz00_4188 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8045);
				BgL_pz00_4189 = BgL_pz00_8046;
				BgL_arg0z00_4190 = BgL_arg0z00_8047;
				BgL_arg1z00_4191 = BgL_arg1z00_8048;
				BgL_arg2z00_4192 = BgL_arg2z00_8049;
				{
					BgL_nodez00_bglt BgL_auxz00_11435;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3413z00_6941;

						BgL_arg3413z00_6941 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4188))->BgL_valuez00);
						BgL_auxz00_11435 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4189) (BgL_pz00_4189,
								((obj_t) BgL_arg3413z00_6941), BgL_arg0z00_4190,
								BgL_arg1z00_4191, BgL_arg2z00_4192, BEOA));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4188))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11435), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4188);
			}
		}
	}



/* &walk2!-make-box2506 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2makezd2box2506z70zzast_walkz00(obj_t
		BgL_envz00_8050, obj_t BgL_nz00_8051, obj_t BgL_pz00_8052,
		obj_t BgL_arg0z00_8053, obj_t BgL_arg1z00_8054)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4179;
				obj_t BgL_pz00_4180;
				obj_t BgL_arg0z00_4181;
				obj_t BgL_arg1z00_4182;

				BgL_nz00_4179 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8051);
				BgL_pz00_4180 = BgL_pz00_8052;
				BgL_arg0z00_4181 = BgL_arg0z00_8053;
				BgL_arg1z00_4182 = BgL_arg1z00_8054;
				{
					BgL_nodez00_bglt BgL_auxz00_11449;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3412z00_6939;

						BgL_arg3412z00_6939 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4179))->BgL_valuez00);
						BgL_auxz00_11449 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4180) (BgL_pz00_4180,
								((obj_t) BgL_arg3412z00_6939), BgL_arg0z00_4181,
								BgL_arg1z00_4182, BEOA));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4179))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11449), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4179);
			}
		}
	}



/* &walk1!-make-box2504 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2makezd2box2504z70zzast_walkz00(obj_t
		BgL_envz00_8055, obj_t BgL_nz00_8056, obj_t BgL_pz00_8057,
		obj_t BgL_arg0z00_8058)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4171;
				obj_t BgL_pz00_4172;
				obj_t BgL_arg0z00_4173;

				BgL_nz00_4171 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8056);
				BgL_pz00_4172 = BgL_pz00_8057;
				BgL_arg0z00_4173 = BgL_arg0z00_8058;
				{
					BgL_nodez00_bglt BgL_auxz00_11462;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3411z00_6937;

						BgL_arg3411z00_6937 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4171))->BgL_valuez00);
						BgL_auxz00_11462 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4172) (BgL_pz00_4172,
								((obj_t) BgL_arg3411z00_6937), BgL_arg0z00_4173, BEOA));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4171))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11462), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4171);
			}
		}
	}



/* &walk0!-make-box2502 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2makezd2box2502z70zzast_walkz00(obj_t
		BgL_envz00_8059, obj_t BgL_nz00_8060, obj_t BgL_pz00_8061)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4164;
				obj_t BgL_pz00_4165;

				BgL_nz00_4164 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8060);
				BgL_pz00_4165 = BgL_pz00_8061;
				{
					BgL_nodez00_bglt BgL_auxz00_11474;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3410z00_6935;

						BgL_arg3410z00_6935 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4164))->BgL_valuez00);
						BgL_auxz00_11474 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4165) (BgL_pz00_4165,
								((obj_t) BgL_arg3410z00_6935), BEOA));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4164))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11474), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4164);
			}
		}
	}



/* &walk3*-make-box2500 */
	obj_t BGl_z62walk3za2zd2makezd2box2500zc0zzast_walkz00(obj_t BgL_envz00_8062,
		obj_t BgL_nz00_8063, obj_t BgL_pz00_8064, obj_t BgL_arg0z00_8065,
		obj_t BgL_arg1z00_8066, obj_t BgL_arg2z00_8067)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4152;
				obj_t BgL_pz00_4153;
				obj_t BgL_arg0z00_4154;
				obj_t BgL_arg1z00_4155;
				obj_t BgL_arg2z00_4156;

				BgL_nz00_4152 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8063);
				BgL_pz00_4153 = BgL_pz00_8064;
				BgL_arg0z00_4154 = BgL_arg0z00_8065;
				BgL_arg1z00_4155 = BgL_arg1z00_8066;
				BgL_arg2z00_4156 = BgL_arg2z00_8067;
				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg3407z00_6931;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3409z00_6932;

						BgL_arg3409z00_6932 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4152))->BgL_valuez00);
						BgL_arg3407z00_6931 =
							PROCEDURE_ENTRY(BgL_pz00_4153) (BgL_pz00_4153,
							((obj_t) BgL_arg3409z00_6932), BgL_arg0z00_4154, BgL_arg1z00_4155,
							BgL_arg2z00_4156, BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list3408z00_6933;

						BgL_list3408z00_6933 = MAKE_PAIR(BgL_arg3407z00_6931, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3408z00_6933);
					}
				}
			}
		}
	}



/* &walk2*-make-box2498 */
	obj_t BGl_z62walk2za2zd2makezd2box2498zc0zzast_walkz00(obj_t BgL_envz00_8068,
		obj_t BgL_nz00_8069, obj_t BgL_pz00_8070, obj_t BgL_arg0z00_8071,
		obj_t BgL_arg1z00_8072)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4141;
				obj_t BgL_pz00_4142;
				obj_t BgL_arg0z00_4143;
				obj_t BgL_arg1z00_4144;

				BgL_nz00_4141 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8069);
				BgL_pz00_4142 = BgL_pz00_8070;
				BgL_arg0z00_4143 = BgL_arg0z00_8071;
				BgL_arg1z00_4144 = BgL_arg1z00_8072;
				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg3377z00_6927;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3406z00_6928;

						BgL_arg3406z00_6928 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4141))->BgL_valuez00);
						BgL_arg3377z00_6927 =
							PROCEDURE_ENTRY(BgL_pz00_4142) (BgL_pz00_4142,
							((obj_t) BgL_arg3406z00_6928), BgL_arg0z00_4143, BgL_arg1z00_4144,
							BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list3378z00_6929;

						BgL_list3378z00_6929 = MAKE_PAIR(BgL_arg3377z00_6927, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3378z00_6929);
					}
				}
			}
		}
	}



/* &walk1*-make-box2496 */
	obj_t BGl_z62walk1za2zd2makezd2box2496zc0zzast_walkz00(obj_t BgL_envz00_8073,
		obj_t BgL_nz00_8074, obj_t BgL_pz00_8075, obj_t BgL_arg0z00_8076)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4131;
				obj_t BgL_pz00_4132;
				obj_t BgL_arg0z00_4133;

				BgL_nz00_4131 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8074);
				BgL_pz00_4132 = BgL_pz00_8075;
				BgL_arg0z00_4133 = BgL_arg0z00_8076;
				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg3374z00_6923;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3376z00_6924;

						BgL_arg3376z00_6924 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4131))->BgL_valuez00);
						BgL_arg3374z00_6923 =
							PROCEDURE_ENTRY(BgL_pz00_4132) (BgL_pz00_4132,
							((obj_t) BgL_arg3376z00_6924), BgL_arg0z00_4133, BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list3375z00_6925;

						BgL_list3375z00_6925 = MAKE_PAIR(BgL_arg3374z00_6923, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3375z00_6925);
					}
				}
			}
		}
	}



/* &walk0*-make-box2494 */
	obj_t BGl_z62walk0za2zd2makezd2box2494zc0zzast_walkz00(obj_t BgL_envz00_8077,
		obj_t BgL_nz00_8078, obj_t BgL_pz00_8079)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4122;
				obj_t BgL_pz00_4123;

				BgL_nz00_4122 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8078);
				BgL_pz00_4123 = BgL_pz00_8079;
				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg3371z00_6919;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3373z00_6920;

						BgL_arg3373z00_6920 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4122))->BgL_valuez00);
						BgL_arg3371z00_6919 =
							PROCEDURE_ENTRY(BgL_pz00_4123) (BgL_pz00_4123,
							((obj_t) BgL_arg3373z00_6920), BEOA);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list3372z00_6921;

						BgL_list3372z00_6921 = MAKE_PAIR(BgL_arg3371z00_6919, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3372z00_6921);
					}
				}
			}
		}
	}



/* &walk3-make-box2492 */
	obj_t BGl_z62walk3zd2makezd2box2492z62zzast_walkz00(obj_t BgL_envz00_8080,
		obj_t BgL_nz00_8081, obj_t BgL_pz00_8082, obj_t BgL_arg0z00_8083,
		obj_t BgL_arg1z00_8084, obj_t BgL_arg2z00_8085)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4112;
				obj_t BgL_pz00_4113;
				obj_t BgL_arg0z00_4114;
				obj_t BgL_arg1z00_4115;
				obj_t BgL_arg2z00_4116;

				BgL_nz00_4112 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8081);
				BgL_pz00_4113 = BgL_pz00_8082;
				BgL_arg0z00_4114 = BgL_arg0z00_8083;
				BgL_arg1z00_4115 = BgL_arg1z00_8084;
				BgL_arg2z00_4116 = BgL_arg2z00_8085;
				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg3370z00_6917;

					BgL_arg3370z00_6917 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4112))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4113) (BgL_pz00_4113,
						((obj_t) BgL_arg3370z00_6917), BgL_arg0z00_4114, BgL_arg1z00_4115,
						BgL_arg2z00_4116, BEOA);
				}
			}
		}
	}



/* &walk2-make-box2490 */
	obj_t BGl_z62walk2zd2makezd2box2490z62zzast_walkz00(obj_t BgL_envz00_8086,
		obj_t BgL_nz00_8087, obj_t BgL_pz00_8088, obj_t BgL_arg0z00_8089,
		obj_t BgL_arg1z00_8090)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4103;
				obj_t BgL_pz00_4104;
				obj_t BgL_arg0z00_4105;
				obj_t BgL_arg1z00_4106;

				BgL_nz00_4103 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8087);
				BgL_pz00_4104 = BgL_pz00_8088;
				BgL_arg0z00_4105 = BgL_arg0z00_8089;
				BgL_arg1z00_4106 = BgL_arg1z00_8090;
				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg3369z00_6915;

					BgL_arg3369z00_6915 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4103))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4104) (BgL_pz00_4104,
						((obj_t) BgL_arg3369z00_6915), BgL_arg0z00_4105, BgL_arg1z00_4106,
						BEOA);
				}
			}
		}
	}



/* &walk1-make-box2488 */
	obj_t BGl_z62walk1zd2makezd2box2488z62zzast_walkz00(obj_t BgL_envz00_8091,
		obj_t BgL_nz00_8092, obj_t BgL_pz00_8093, obj_t BgL_arg0z00_8094)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4095;
				obj_t BgL_pz00_4096;
				obj_t BgL_arg0z00_4097;

				BgL_nz00_4095 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8092);
				BgL_pz00_4096 = BgL_pz00_8093;
				BgL_arg0z00_4097 = BgL_arg0z00_8094;
				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg3368z00_6913;

					BgL_arg3368z00_6913 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4095))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4096) (BgL_pz00_4096,
						((obj_t) BgL_arg3368z00_6913), BgL_arg0z00_4097, BEOA);
				}
			}
		}
	}



/* &walk0-make-box2486 */
	obj_t BGl_z62walk0zd2makezd2box2486z62zzast_walkz00(obj_t BgL_envz00_8095,
		obj_t BgL_nz00_8096, obj_t BgL_pz00_8097)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 306 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_4088;
				obj_t BgL_pz00_4089;

				BgL_nz00_4088 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_8096);
				BgL_pz00_4089 = BgL_pz00_8097;
				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg3367z00_6911;

					BgL_arg3367z00_6911 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_4088))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_4089) (BgL_pz00_4089,
						((obj_t) BgL_arg3367z00_6911), BEOA);
				}
			}
		}
	}



/* &walk3!-jump-ex-it2484 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2jumpzd2exzd2it2484za2zzast_walkz00(obj_t
		BgL_envz00_8098, obj_t BgL_nz00_8099, obj_t BgL_pz00_8100,
		obj_t BgL_arg0z00_8101, obj_t BgL_arg1z00_8102, obj_t BgL_arg2z00_8103)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_4077;
				obj_t BgL_pz00_4078;
				obj_t BgL_arg0z00_4079;
				obj_t BgL_arg1z00_4080;
				obj_t BgL_arg2z00_4081;

				BgL_nz00_4077 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8099);
				BgL_pz00_4078 = BgL_pz00_8100;
				BgL_arg0z00_4079 = BgL_arg0z00_8101;
				BgL_arg1z00_4080 = BgL_arg1z00_8102;
				BgL_arg2z00_4081 = BgL_arg2z00_8103;
				{
					BgL_nodez00_bglt BgL_auxz00_11561;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3365z00_6908;

						BgL_arg3365z00_6908 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4077))->BgL_exitz00);
						BgL_auxz00_11561 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4078) (BgL_pz00_4078,
								((obj_t) BgL_arg3365z00_6908), BgL_arg0z00_4079,
								BgL_arg1z00_4080, BgL_arg2z00_4081, BEOA));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4077))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11561), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11573;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3366z00_6909;

						BgL_arg3366z00_6909 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4077))->
							BgL_valuez00);
						BgL_auxz00_11573 =
							((BgL_nodez00_bglt) PROCEDURE_ENTRY(BgL_pz00_4078) (BgL_pz00_4078,
								((obj_t) BgL_arg3366z00_6909), BgL_arg0z00_4079,
								BgL_arg1z00_4080, BgL_arg2z00_4081, BEOA));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4077))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11573), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4077);
			}
		}
	}



/* &walk2!-jump-ex-it2482 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2jumpzd2exzd2it2482za2zzast_walkz00(obj_t
		BgL_envz00_8104, obj_t BgL_nz00_8105, obj_t BgL_pz00_8106,
		obj_t BgL_arg0z00_8107, obj_t BgL_arg1z00_8108)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_4067;
				obj_t BgL_pz00_4068;
				obj_t BgL_arg0z00_4069;
				obj_t BgL_arg1z00_4070;

				BgL_nz00_4067 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8105);
				BgL_pz00_4068 = BgL_pz00_8106;
				BgL_arg0z00_4069 = BgL_arg0z00_8107;
				BgL_arg1z00_4070 = BgL_arg1z00_8108;
				{
					BgL_nodez00_bglt BgL_auxz00_11587;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3363z00_4074;

						BgL_arg3363z00_4074 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4067))->BgL_exitz00);
						BgL_auxz00_11587 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4068) (BgL_pz00_4068,
								((obj_t) BgL_arg3363z00_4074), BgL_arg0z00_4069,
								BgL_arg1z00_4070, BEOA));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4067))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11587), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11598;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3364z00_4075;

						BgL_arg3364z00_4075 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4067))->
							BgL_valuez00);
						BgL_auxz00_11598 =
							((BgL_nodez00_bglt) PROCEDURE_ENTRY(BgL_pz00_4068) (BgL_pz00_4068,
								((obj_t) BgL_arg3364z00_4075), BgL_arg0z00_4069,
								BgL_arg1z00_4070, BEOA));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4067))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11598), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4067);
			}
		}
	}



/* &walk1!-jump-ex-it2480 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2jumpzd2exzd2it2480za2zzast_walkz00(obj_t
		BgL_envz00_8109, obj_t BgL_nz00_8110, obj_t BgL_pz00_8111,
		obj_t BgL_arg0z00_8112)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_4058;
				obj_t BgL_pz00_4059;
				obj_t BgL_arg0z00_4060;

				BgL_nz00_4058 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8110);
				BgL_pz00_4059 = BgL_pz00_8111;
				BgL_arg0z00_4060 = BgL_arg0z00_8112;
				{
					BgL_nodez00_bglt BgL_auxz00_11611;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3361z00_4064;

						BgL_arg3361z00_4064 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4058))->BgL_exitz00);
						BgL_auxz00_11611 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4059) (BgL_pz00_4059,
								((obj_t) BgL_arg3361z00_4064), BgL_arg0z00_4060, BEOA));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4058))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11611), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11621;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3362z00_4065;

						BgL_arg3362z00_4065 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4058))->
							BgL_valuez00);
						BgL_auxz00_11621 =
							((BgL_nodez00_bglt) PROCEDURE_ENTRY(BgL_pz00_4059) (BgL_pz00_4059,
								((obj_t) BgL_arg3362z00_4065), BgL_arg0z00_4060, BEOA));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4058))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11621), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4058);
			}
		}
	}



/* &walk0!-jump-ex-it2478 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2jumpzd2exzd2it2478za2zzast_walkz00(obj_t
		BgL_envz00_8113, obj_t BgL_nz00_8114, obj_t BgL_pz00_8115)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_4050;
				obj_t BgL_pz00_4051;

				BgL_nz00_4050 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8114);
				BgL_pz00_4051 = BgL_pz00_8115;
				{
					BgL_nodez00_bglt BgL_auxz00_11633;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3359z00_4055;

						BgL_arg3359z00_4055 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4050))->BgL_exitz00);
						BgL_auxz00_11633 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_4051) (BgL_pz00_4051,
								((obj_t) BgL_arg3359z00_4055), BEOA));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4050))->BgL_exitz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11633), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11642;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3360z00_4056;

						BgL_arg3360z00_4056 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4050))->
							BgL_valuez00);
						BgL_auxz00_11642 =
							((BgL_nodez00_bglt) PROCEDURE_ENTRY(BgL_pz00_4051) (BgL_pz00_4051,
								((obj_t) BgL_arg3360z00_4056), BEOA));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4050))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_11642), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_4050);
			}
		}
	}



/* &walk3*-jump-ex-it2476 */
	obj_t BGl_z62walk3za2zd2jumpzd2exzd2it2476z12zzast_walkz00(obj_t
		BgL_envz00_8116, obj_t BgL_nz00_8117, obj_t BgL_pz00_8118,
		obj_t BgL_arg0z00_8119, obj_t BgL_arg1z00_8120, obj_t BgL_arg2z00_8121)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_4037;
				obj_t BgL_pz00_4038;
				obj_t BgL_arg0z00_4039;
				obj_t BgL_arg1z00_4040;
				obj_t BgL_arg2z00_4041;

				BgL_nz00_4037 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8117);
				BgL_pz00_4038 = BgL_pz00_8118;
				BgL_arg0z00_4039 = BgL_arg0z00_8119;
				BgL_arg1z00_4040 = BgL_arg1z00_8120;
				BgL_arg2z00_4041 = BgL_arg2z00_8121;
				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg3355z00_6903;
					obj_t BgL_arg3356z00_6904;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3357z00_6905;

						BgL_arg3357z00_6905 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4037))->BgL_exitz00);
						BgL_arg3355z00_6903 =
							PROCEDURE_ENTRY(BgL_pz00_4038) (BgL_pz00_4038,
							((obj_t) BgL_arg3357z00_6905), BgL_arg0z00_4039, BgL_arg1z00_4040,
							BgL_arg2z00_4041, BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3358z00_6906;

						BgL_arg3358z00_6906 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4037))->
							BgL_valuez00);
						BgL_arg3356z00_6904 =
							PROCEDURE_ENTRY(BgL_pz00_4038) (BgL_pz00_4038,
							((obj_t) BgL_arg3358z00_6906), BgL_arg0z00_4039, BgL_arg1z00_4040,
							BgL_arg2z00_4041, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3355z00_6903,
						BgL_arg3356z00_6904);
				}
			}
		}
	}



/* &walk2*-jump-ex-it2474 */
	obj_t BGl_z62walk2za2zd2jumpzd2exzd2it2474z12zzast_walkz00(obj_t
		BgL_envz00_8122, obj_t BgL_nz00_8123, obj_t BgL_pz00_8124,
		obj_t BgL_arg0z00_8125, obj_t BgL_arg1z00_8126)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_4025;
				obj_t BgL_pz00_4026;
				obj_t BgL_arg0z00_4027;
				obj_t BgL_arg1z00_4028;

				BgL_nz00_4025 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8123);
				BgL_pz00_4026 = BgL_pz00_8124;
				BgL_arg0z00_4027 = BgL_arg0z00_8125;
				BgL_arg1z00_4028 = BgL_arg1z00_8126;
				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg3351z00_6898;
					obj_t BgL_arg3352z00_6899;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3353z00_6900;

						BgL_arg3353z00_6900 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4025))->BgL_exitz00);
						BgL_arg3351z00_6898 =
							PROCEDURE_ENTRY(BgL_pz00_4026) (BgL_pz00_4026,
							((obj_t) BgL_arg3353z00_6900), BgL_arg0z00_4027, BgL_arg1z00_4028,
							BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3354z00_6901;

						BgL_arg3354z00_6901 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4025))->
							BgL_valuez00);
						BgL_arg3352z00_6899 =
							PROCEDURE_ENTRY(BgL_pz00_4026) (BgL_pz00_4026,
							((obj_t) BgL_arg3354z00_6901), BgL_arg0z00_4027, BgL_arg1z00_4028,
							BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3351z00_6898,
						BgL_arg3352z00_6899);
				}
			}
		}
	}



/* &walk1*-jump-ex-it2472 */
	obj_t BGl_z62walk1za2zd2jumpzd2exzd2it2472z12zzast_walkz00(obj_t
		BgL_envz00_8127, obj_t BgL_nz00_8128, obj_t BgL_pz00_8129,
		obj_t BgL_arg0z00_8130)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_4014;
				obj_t BgL_pz00_4015;
				obj_t BgL_arg0z00_4016;

				BgL_nz00_4014 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8128);
				BgL_pz00_4015 = BgL_pz00_8129;
				BgL_arg0z00_4016 = BgL_arg0z00_8130;
				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg3347z00_4020;
					obj_t BgL_arg3348z00_4021;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3349z00_4022;

						BgL_arg3349z00_4022 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4014))->BgL_exitz00);
						BgL_arg3347z00_4020 =
							PROCEDURE_ENTRY(BgL_pz00_4015) (BgL_pz00_4015,
							((obj_t) BgL_arg3349z00_4022), BgL_arg0z00_4016, BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3350z00_4023;

						BgL_arg3350z00_4023 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4014))->
							BgL_valuez00);
						BgL_arg3348z00_4021 =
							PROCEDURE_ENTRY(BgL_pz00_4015) (BgL_pz00_4015,
							((obj_t) BgL_arg3350z00_4023), BgL_arg0z00_4016, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3347z00_4020,
						BgL_arg3348z00_4021);
				}
			}
		}
	}



/* &walk0*-jump-ex-it2470 */
	obj_t BGl_z62walk0za2zd2jumpzd2exzd2it2470z12zzast_walkz00(obj_t
		BgL_envz00_8131, obj_t BgL_nz00_8132, obj_t BgL_pz00_8133)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_4004;
				obj_t BgL_pz00_4005;

				BgL_nz00_4004 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8132);
				BgL_pz00_4005 = BgL_pz00_8133;
				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg3340z00_4009;
					obj_t BgL_arg3341z00_4010;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3342z00_4011;

						BgL_arg3342z00_4011 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4004))->BgL_exitz00);
						BgL_arg3340z00_4009 =
							PROCEDURE_ENTRY(BgL_pz00_4005) (BgL_pz00_4005,
							((obj_t) BgL_arg3342z00_4011), BEOA);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3346z00_4012;

						BgL_arg3346z00_4012 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_4004))->
							BgL_valuez00);
						BgL_arg3341z00_4010 =
							PROCEDURE_ENTRY(BgL_pz00_4005) (BgL_pz00_4005,
							((obj_t) BgL_arg3346z00_4012), BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3340z00_4009,
						BgL_arg3341z00_4010);
				}
			}
		}
	}



/* &walk3-jump-ex-it2468 */
	obj_t BGl_z62walk3zd2jumpzd2exzd2it2468zb0zzast_walkz00(obj_t BgL_envz00_8134,
		obj_t BgL_nz00_8135, obj_t BgL_pz00_8136, obj_t BgL_arg0z00_8137,
		obj_t BgL_arg1z00_8138, obj_t BgL_arg2z00_8139)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_3993;
				obj_t BgL_pz00_3994;
				obj_t BgL_arg0z00_3995;
				obj_t BgL_arg1z00_3996;
				obj_t BgL_arg2z00_3997;

				BgL_nz00_3993 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8135);
				BgL_pz00_3994 = BgL_pz00_8136;
				BgL_arg0z00_3995 = BgL_arg0z00_8137;
				BgL_arg1z00_3996 = BgL_arg1z00_8138;
				BgL_arg2z00_3997 = BgL_arg2z00_8139;
				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3338z00_6895;

					BgL_arg3338z00_6895 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_3993))->BgL_exitz00);
					PROCEDURE_ENTRY(BgL_pz00_3994) (BgL_pz00_3994,
						((obj_t) BgL_arg3338z00_6895), BgL_arg0z00_3995, BgL_arg1z00_3996,
						BgL_arg2z00_3997, BEOA);
				}
				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3339z00_6896;

					BgL_arg3339z00_6896 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_3993))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3994) (BgL_pz00_3994,
						((obj_t) BgL_arg3339z00_6896), BgL_arg0z00_3995, BgL_arg1z00_3996,
						BgL_arg2z00_3997, BEOA);
				}
			}
		}
	}



/* &walk2-jump-ex-it2466 */
	obj_t BGl_z62walk2zd2jumpzd2exzd2it2466zb0zzast_walkz00(obj_t BgL_envz00_8140,
		obj_t BgL_nz00_8141, obj_t BgL_pz00_8142, obj_t BgL_arg0z00_8143,
		obj_t BgL_arg1z00_8144)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_3983;
				obj_t BgL_pz00_3984;
				obj_t BgL_arg0z00_3985;
				obj_t BgL_arg1z00_3986;

				BgL_nz00_3983 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8141);
				BgL_pz00_3984 = BgL_pz00_8142;
				BgL_arg0z00_3985 = BgL_arg0z00_8143;
				BgL_arg1z00_3986 = BgL_arg1z00_8144;
				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3336z00_6892;

					BgL_arg3336z00_6892 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_3983))->BgL_exitz00);
					PROCEDURE_ENTRY(BgL_pz00_3984) (BgL_pz00_3984,
						((obj_t) BgL_arg3336z00_6892), BgL_arg0z00_3985, BgL_arg1z00_3986,
						BEOA);
				}
				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3337z00_6893;

					BgL_arg3337z00_6893 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_3983))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3984) (BgL_pz00_3984,
						((obj_t) BgL_arg3337z00_6893), BgL_arg0z00_3985, BgL_arg1z00_3986,
						BEOA);
				}
			}
		}
	}



/* &walk1-jump-ex-it2464 */
	obj_t BGl_z62walk1zd2jumpzd2exzd2it2464zb0zzast_walkz00(obj_t BgL_envz00_8145,
		obj_t BgL_nz00_8146, obj_t BgL_pz00_8147, obj_t BgL_arg0z00_8148)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_3974;
				obj_t BgL_pz00_3975;
				obj_t BgL_arg0z00_3976;

				BgL_nz00_3974 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8146);
				BgL_pz00_3975 = BgL_pz00_8147;
				BgL_arg0z00_3976 = BgL_arg0z00_8148;
				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3334z00_6889;

					BgL_arg3334z00_6889 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_3974))->BgL_exitz00);
					PROCEDURE_ENTRY(BgL_pz00_3975) (BgL_pz00_3975,
						((obj_t) BgL_arg3334z00_6889), BgL_arg0z00_3976, BEOA);
				}
				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3335z00_6890;

					BgL_arg3335z00_6890 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_3974))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3975) (BgL_pz00_3975,
						((obj_t) BgL_arg3335z00_6890), BgL_arg0z00_3976, BEOA);
				}
			}
		}
	}



/* &walk0-jump-ex-it2462 */
	obj_t BGl_z62walk0zd2jumpzd2exzd2it2462zb0zzast_walkz00(obj_t BgL_envz00_8149,
		obj_t BgL_nz00_8150, obj_t BgL_pz00_8151)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 305 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nz00_3966;
				obj_t BgL_pz00_3967;

				BgL_nz00_3966 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8150);
				BgL_pz00_3967 = BgL_pz00_8151;
				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3329z00_6886;

					BgL_arg3329z00_6886 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_3966))->BgL_exitz00);
					PROCEDURE_ENTRY(BgL_pz00_3967) (BgL_pz00_3967,
						((obj_t) BgL_arg3329z00_6886), BEOA);
				}
				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3330z00_6887;

					BgL_arg3330z00_6887 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nz00_3966))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3967) (BgL_pz00_3967,
						((obj_t) BgL_arg3330z00_6887), BEOA);
				}
			}
		}
	}



/* &walk3!-set-ex-it2460 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2setzd2exzd2it2460za2zzast_walkz00(obj_t
		BgL_envz00_8152, obj_t BgL_nz00_8153, obj_t BgL_pz00_8154,
		obj_t BgL_arg0z00_8155, obj_t BgL_arg1z00_8156, obj_t BgL_arg2z00_8157)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3956;
				obj_t BgL_pz00_3957;
				obj_t BgL_arg0z00_3958;
				obj_t BgL_arg1z00_3959;
				obj_t BgL_arg2z00_3960;

				BgL_nz00_3956 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8153);
				BgL_pz00_3957 = BgL_pz00_8154;
				BgL_arg0z00_3958 = BgL_arg0z00_8155;
				BgL_arg1z00_3959 = BgL_arg1z00_8156;
				BgL_arg2z00_3960 = BgL_arg2z00_8157;
				{
					BgL_nodez00_bglt BgL_auxz00_11785;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg3328z00_6884;

						BgL_arg3328z00_6884 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3956))->BgL_bodyz00);
						BgL_auxz00_11785 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3957) (BgL_pz00_3957,
								((obj_t) BgL_arg3328z00_6884), BgL_arg0z00_3958,
								BgL_arg1z00_3959, BgL_arg2z00_3960, BEOA));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3956))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11785), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3956);
			}
		}
	}



/* &walk2!-set-ex-it2458 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2setzd2exzd2it2458za2zzast_walkz00(obj_t
		BgL_envz00_8158, obj_t BgL_nz00_8159, obj_t BgL_pz00_8160,
		obj_t BgL_arg0z00_8161, obj_t BgL_arg1z00_8162)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3947;
				obj_t BgL_pz00_3948;
				obj_t BgL_arg0z00_3949;
				obj_t BgL_arg1z00_3950;

				BgL_nz00_3947 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8159);
				BgL_pz00_3948 = BgL_pz00_8160;
				BgL_arg0z00_3949 = BgL_arg0z00_8161;
				BgL_arg1z00_3950 = BgL_arg1z00_8162;
				{
					BgL_nodez00_bglt BgL_auxz00_11799;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg3327z00_6882;

						BgL_arg3327z00_6882 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3947))->BgL_bodyz00);
						BgL_auxz00_11799 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3948) (BgL_pz00_3948,
								((obj_t) BgL_arg3327z00_6882), BgL_arg0z00_3949,
								BgL_arg1z00_3950, BEOA));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3947))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11799), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3947);
			}
		}
	}



/* &walk1!-set-ex-it2456 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2setzd2exzd2it2456za2zzast_walkz00(obj_t
		BgL_envz00_8163, obj_t BgL_nz00_8164, obj_t BgL_pz00_8165,
		obj_t BgL_arg0z00_8166)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3939;
				obj_t BgL_pz00_3940;
				obj_t BgL_arg0z00_3941;

				BgL_nz00_3939 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8164);
				BgL_pz00_3940 = BgL_pz00_8165;
				BgL_arg0z00_3941 = BgL_arg0z00_8166;
				{
					BgL_nodez00_bglt BgL_auxz00_11812;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg3326z00_6880;

						BgL_arg3326z00_6880 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3939))->BgL_bodyz00);
						BgL_auxz00_11812 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3940) (BgL_pz00_3940,
								((obj_t) BgL_arg3326z00_6880), BgL_arg0z00_3941, BEOA));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3939))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11812), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3939);
			}
		}
	}



/* &walk0!-set-ex-it2454 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2setzd2exzd2it2454za2zzast_walkz00(obj_t
		BgL_envz00_8167, obj_t BgL_nz00_8168, obj_t BgL_pz00_8169)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3932;
				obj_t BgL_pz00_3933;

				BgL_nz00_3932 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8168);
				BgL_pz00_3933 = BgL_pz00_8169;
				{
					BgL_nodez00_bglt BgL_auxz00_11824;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg3325z00_6878;

						BgL_arg3325z00_6878 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3932))->BgL_bodyz00);
						BgL_auxz00_11824 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3933) (BgL_pz00_3933,
								((obj_t) BgL_arg3325z00_6878), BEOA));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3932))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11824), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3932);
			}
		}
	}



/* &walk3*-set-ex-it2452 */
	obj_t BGl_z62walk3za2zd2setzd2exzd2it2452z12zzast_walkz00(obj_t
		BgL_envz00_8170, obj_t BgL_nz00_8171, obj_t BgL_pz00_8172,
		obj_t BgL_arg0z00_8173, obj_t BgL_arg1z00_8174, obj_t BgL_arg2z00_8175)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3920;
				obj_t BgL_pz00_3921;
				obj_t BgL_arg0z00_3922;
				obj_t BgL_arg1z00_3923;
				obj_t BgL_arg2z00_3924;

				BgL_nz00_3920 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8171);
				BgL_pz00_3921 = BgL_pz00_8172;
				BgL_arg0z00_3922 = BgL_arg0z00_8173;
				BgL_arg1z00_3923 = BgL_arg1z00_8174;
				BgL_arg2z00_3924 = BgL_arg2z00_8175;
				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg3322z00_6874;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg3324z00_6875;

						BgL_arg3324z00_6875 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3920))->BgL_bodyz00);
						BgL_arg3322z00_6874 =
							PROCEDURE_ENTRY(BgL_pz00_3921) (BgL_pz00_3921,
							((obj_t) BgL_arg3324z00_6875), BgL_arg0z00_3922, BgL_arg1z00_3923,
							BgL_arg2z00_3924, BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list3323z00_6876;

						BgL_list3323z00_6876 = MAKE_PAIR(BgL_arg3322z00_6874, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3323z00_6876);
					}
				}
			}
		}
	}



/* &walk2*-set-ex-it2450 */
	obj_t BGl_z62walk2za2zd2setzd2exzd2it2450z12zzast_walkz00(obj_t
		BgL_envz00_8176, obj_t BgL_nz00_8177, obj_t BgL_pz00_8178,
		obj_t BgL_arg0z00_8179, obj_t BgL_arg1z00_8180)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3909;
				obj_t BgL_pz00_3910;
				obj_t BgL_arg0z00_3911;
				obj_t BgL_arg1z00_3912;

				BgL_nz00_3909 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8177);
				BgL_pz00_3910 = BgL_pz00_8178;
				BgL_arg0z00_3911 = BgL_arg0z00_8179;
				BgL_arg1z00_3912 = BgL_arg1z00_8180;
				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg3316z00_6870;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg3321z00_6871;

						BgL_arg3321z00_6871 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3909))->BgL_bodyz00);
						BgL_arg3316z00_6870 =
							PROCEDURE_ENTRY(BgL_pz00_3910) (BgL_pz00_3910,
							((obj_t) BgL_arg3321z00_6871), BgL_arg0z00_3911, BgL_arg1z00_3912,
							BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list3317z00_6872;

						BgL_list3317z00_6872 = MAKE_PAIR(BgL_arg3316z00_6870, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3317z00_6872);
					}
				}
			}
		}
	}



/* &walk1*-set-ex-it2448 */
	obj_t BGl_z62walk1za2zd2setzd2exzd2it2448z12zzast_walkz00(obj_t
		BgL_envz00_8181, obj_t BgL_nz00_8182, obj_t BgL_pz00_8183,
		obj_t BgL_arg0z00_8184)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3899;
				obj_t BgL_pz00_3900;
				obj_t BgL_arg0z00_3901;

				BgL_nz00_3899 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8182);
				BgL_pz00_3900 = BgL_pz00_8183;
				BgL_arg0z00_3901 = BgL_arg0z00_8184;
				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg3313z00_6866;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg3315z00_6867;

						BgL_arg3315z00_6867 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3899))->BgL_bodyz00);
						BgL_arg3313z00_6866 =
							PROCEDURE_ENTRY(BgL_pz00_3900) (BgL_pz00_3900,
							((obj_t) BgL_arg3315z00_6867), BgL_arg0z00_3901, BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list3314z00_6868;

						BgL_list3314z00_6868 = MAKE_PAIR(BgL_arg3313z00_6866, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3314z00_6868);
					}
				}
			}
		}
	}



/* &walk0*-set-ex-it2446 */
	obj_t BGl_z62walk0za2zd2setzd2exzd2it2446z12zzast_walkz00(obj_t
		BgL_envz00_8185, obj_t BgL_nz00_8186, obj_t BgL_pz00_8187)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3890;
				obj_t BgL_pz00_3891;

				BgL_nz00_3890 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8186);
				BgL_pz00_3891 = BgL_pz00_8187;
				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg3310z00_6862;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg3312z00_6863;

						BgL_arg3312z00_6863 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3890))->BgL_bodyz00);
						BgL_arg3310z00_6862 =
							PROCEDURE_ENTRY(BgL_pz00_3891) (BgL_pz00_3891,
							((obj_t) BgL_arg3312z00_6863), BEOA);
					}
					{	/* Ast/walk.scm 304 */
						obj_t BgL_list3311z00_6864;

						BgL_list3311z00_6864 = MAKE_PAIR(BgL_arg3310z00_6862, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3311z00_6864);
					}
				}
			}
		}
	}



/* &walk3-set-ex-it2444 */
	obj_t BGl_z62walk3zd2setzd2exzd2it2444zb0zzast_walkz00(obj_t BgL_envz00_8188,
		obj_t BgL_nz00_8189, obj_t BgL_pz00_8190, obj_t BgL_arg0z00_8191,
		obj_t BgL_arg1z00_8192, obj_t BgL_arg2z00_8193)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3880;
				obj_t BgL_pz00_3881;
				obj_t BgL_arg0z00_3882;
				obj_t BgL_arg1z00_3883;
				obj_t BgL_arg2z00_3884;

				BgL_nz00_3880 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8189);
				BgL_pz00_3881 = BgL_pz00_8190;
				BgL_arg0z00_3882 = BgL_arg0z00_8191;
				BgL_arg1z00_3883 = BgL_arg1z00_8192;
				BgL_arg2z00_3884 = BgL_arg2z00_8193;
				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg3309z00_6860;

					BgL_arg3309z00_6860 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3880))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3881) (BgL_pz00_3881,
						((obj_t) BgL_arg3309z00_6860), BgL_arg0z00_3882, BgL_arg1z00_3883,
						BgL_arg2z00_3884, BEOA);
				}
			}
		}
	}



/* &walk2-set-ex-it2442 */
	obj_t BGl_z62walk2zd2setzd2exzd2it2442zb0zzast_walkz00(obj_t BgL_envz00_8194,
		obj_t BgL_nz00_8195, obj_t BgL_pz00_8196, obj_t BgL_arg0z00_8197,
		obj_t BgL_arg1z00_8198)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3871;
				obj_t BgL_pz00_3872;
				obj_t BgL_arg0z00_3873;
				obj_t BgL_arg1z00_3874;

				BgL_nz00_3871 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8195);
				BgL_pz00_3872 = BgL_pz00_8196;
				BgL_arg0z00_3873 = BgL_arg0z00_8197;
				BgL_arg1z00_3874 = BgL_arg1z00_8198;
				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg3286z00_6858;

					BgL_arg3286z00_6858 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3871))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3872) (BgL_pz00_3872,
						((obj_t) BgL_arg3286z00_6858), BgL_arg0z00_3873, BgL_arg1z00_3874,
						BEOA);
				}
			}
		}
	}



/* &walk1-set-ex-it2440 */
	obj_t BGl_z62walk1zd2setzd2exzd2it2440zb0zzast_walkz00(obj_t BgL_envz00_8199,
		obj_t BgL_nz00_8200, obj_t BgL_pz00_8201, obj_t BgL_arg0z00_8202)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3863;
				obj_t BgL_pz00_3864;
				obj_t BgL_arg0z00_3865;

				BgL_nz00_3863 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8200);
				BgL_pz00_3864 = BgL_pz00_8201;
				BgL_arg0z00_3865 = BgL_arg0z00_8202;
				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg3285z00_6856;

					BgL_arg3285z00_6856 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3863))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3864) (BgL_pz00_3864,
						((obj_t) BgL_arg3285z00_6856), BgL_arg0z00_3865, BEOA);
				}
			}
		}
	}



/* &walk0-set-ex-it2438 */
	obj_t BGl_z62walk0zd2setzd2exzd2it2438zb0zzast_walkz00(obj_t BgL_envz00_8203,
		obj_t BgL_nz00_8204, obj_t BgL_pz00_8205)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 304 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nz00_3856;
				obj_t BgL_pz00_3857;

				BgL_nz00_3856 = ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8204);
				BgL_pz00_3857 = BgL_pz00_8205;
				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg3284z00_6854;

					BgL_arg3284z00_6854 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nz00_3856))->BgL_bodyz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3857) (BgL_pz00_3857,
						((obj_t) BgL_arg3284z00_6854), BEOA);
				}
			}
		}
	}



/* &walk3!-fail2436 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2fail2436za2zzast_walkz00(obj_t
		BgL_envz00_8206, obj_t BgL_nz00_8207, obj_t BgL_pz00_8208,
		obj_t BgL_arg0z00_8209, obj_t BgL_arg1z00_8210, obj_t BgL_arg2z00_8211)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3844;
				obj_t BgL_pz00_3845;
				obj_t BgL_arg0z00_3846;
				obj_t BgL_arg1z00_3847;
				obj_t BgL_arg2z00_3848;

				BgL_nz00_3844 = ((BgL_failz00_bglt) BgL_nz00_8207);
				BgL_pz00_3845 = BgL_pz00_8208;
				BgL_arg0z00_3846 = BgL_arg0z00_8209;
				BgL_arg1z00_3847 = BgL_arg1z00_8210;
				BgL_arg2z00_3848 = BgL_arg2z00_8211;
				{
					BgL_nodez00_bglt BgL_auxz00_11911;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3280z00_3852;

						BgL_arg3280z00_3852 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3844))->BgL_procz00);
						BgL_auxz00_11911 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3845) (BgL_pz00_3845,
								((obj_t) BgL_arg3280z00_3852), BgL_arg0z00_3846,
								BgL_arg1z00_3847, BgL_arg2z00_3848, BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3844))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11911), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11923;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3281z00_3853;

						BgL_arg3281z00_3853 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3844))->BgL_msgz00);
						BgL_auxz00_11923 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3845) (BgL_pz00_3845,
								((obj_t) BgL_arg3281z00_3853), BgL_arg0z00_3846,
								BgL_arg1z00_3847, BgL_arg2z00_3848, BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3844))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11923), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11935;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3283z00_3854;

						BgL_arg3283z00_3854 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3844))->BgL_objz00);
						BgL_auxz00_11935 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3845) (BgL_pz00_3845,
								((obj_t) BgL_arg3283z00_3854), BgL_arg0z00_3846,
								BgL_arg1z00_3847, BgL_arg2z00_3848, BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3844))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11935), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3844);
			}
		}
	}



/* &walk2!-fail2434 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2fail2434za2zzast_walkz00(obj_t
		BgL_envz00_8212, obj_t BgL_nz00_8213, obj_t BgL_pz00_8214,
		obj_t BgL_arg0z00_8215, obj_t BgL_arg1z00_8216)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3833;
				obj_t BgL_pz00_3834;
				obj_t BgL_arg0z00_3835;
				obj_t BgL_arg1z00_3836;

				BgL_nz00_3833 = ((BgL_failz00_bglt) BgL_nz00_8213);
				BgL_pz00_3834 = BgL_pz00_8214;
				BgL_arg0z00_3835 = BgL_arg0z00_8215;
				BgL_arg1z00_3836 = BgL_arg1z00_8216;
				{
					BgL_nodez00_bglt BgL_auxz00_11949;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3277z00_3840;

						BgL_arg3277z00_3840 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3833))->BgL_procz00);
						BgL_auxz00_11949 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3834) (BgL_pz00_3834,
								((obj_t) BgL_arg3277z00_3840), BgL_arg0z00_3835,
								BgL_arg1z00_3836, BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3833))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11949), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11960;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3278z00_3841;

						BgL_arg3278z00_3841 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3833))->BgL_msgz00);
						BgL_auxz00_11960 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3834) (BgL_pz00_3834,
								((obj_t) BgL_arg3278z00_3841), BgL_arg0z00_3835,
								BgL_arg1z00_3836, BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3833))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11960), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11971;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3279z00_3842;

						BgL_arg3279z00_3842 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3833))->BgL_objz00);
						BgL_auxz00_11971 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3834) (BgL_pz00_3834,
								((obj_t) BgL_arg3279z00_3842), BgL_arg0z00_3835,
								BgL_arg1z00_3836, BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3833))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11971), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3833);
			}
		}
	}



/* &walk1!-fail2432 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2fail2432za2zzast_walkz00(obj_t
		BgL_envz00_8217, obj_t BgL_nz00_8218, obj_t BgL_pz00_8219,
		obj_t BgL_arg0z00_8220)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3823;
				obj_t BgL_pz00_3824;
				obj_t BgL_arg0z00_3825;

				BgL_nz00_3823 = ((BgL_failz00_bglt) BgL_nz00_8218);
				BgL_pz00_3824 = BgL_pz00_8219;
				BgL_arg0z00_3825 = BgL_arg0z00_8220;
				{
					BgL_nodez00_bglt BgL_auxz00_11984;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3274z00_3829;

						BgL_arg3274z00_3829 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3823))->BgL_procz00);
						BgL_auxz00_11984 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3824) (BgL_pz00_3824,
								((obj_t) BgL_arg3274z00_3829), BgL_arg0z00_3825, BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3823))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11984), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11994;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3275z00_3830;

						BgL_arg3275z00_3830 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3823))->BgL_msgz00);
						BgL_auxz00_11994 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3824) (BgL_pz00_3824,
								((obj_t) BgL_arg3275z00_3830), BgL_arg0z00_3825, BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3823))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_11994), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12004;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3276z00_3831;

						BgL_arg3276z00_3831 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3823))->BgL_objz00);
						BgL_auxz00_12004 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3824) (BgL_pz00_3824,
								((obj_t) BgL_arg3276z00_3831), BgL_arg0z00_3825, BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3823))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12004), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3823);
			}
		}
	}



/* &walk0!-fail2430 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2fail2430za2zzast_walkz00(obj_t
		BgL_envz00_8221, obj_t BgL_nz00_8222, obj_t BgL_pz00_8223)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3814;
				obj_t BgL_pz00_3815;

				BgL_nz00_3814 = ((BgL_failz00_bglt) BgL_nz00_8222);
				BgL_pz00_3815 = BgL_pz00_8223;
				{
					BgL_nodez00_bglt BgL_auxz00_12016;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3271z00_3819;

						BgL_arg3271z00_3819 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3814))->BgL_procz00);
						BgL_auxz00_12016 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3815) (BgL_pz00_3815,
								((obj_t) BgL_arg3271z00_3819), BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3814))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12016), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12025;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3272z00_3820;

						BgL_arg3272z00_3820 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3814))->BgL_msgz00);
						BgL_auxz00_12025 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3815) (BgL_pz00_3815,
								((obj_t) BgL_arg3272z00_3820), BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3814))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12025), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12034;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3273z00_3821;

						BgL_arg3273z00_3821 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3814))->BgL_objz00);
						BgL_auxz00_12034 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3815) (BgL_pz00_3815,
								((obj_t) BgL_arg3273z00_3821), BEOA));
					}
					((((BgL_failz00_bglt) CREF(BgL_nz00_3814))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12034), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3814);
			}
		}
	}



/* &walk3*-fail2428 */
	obj_t BGl_z62walk3za2zd2fail2428z12zzast_walkz00(obj_t BgL_envz00_8224,
		obj_t BgL_nz00_8225, obj_t BgL_pz00_8226, obj_t BgL_arg0z00_8227,
		obj_t BgL_arg1z00_8228, obj_t BgL_arg2z00_8229)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3796;
				obj_t BgL_pz00_3797;
				obj_t BgL_arg0z00_3798;
				obj_t BgL_arg1z00_3799;
				obj_t BgL_arg2z00_3800;

				BgL_nz00_3796 = ((BgL_failz00_bglt) BgL_nz00_8225);
				BgL_pz00_3797 = BgL_pz00_8226;
				BgL_arg0z00_3798 = BgL_arg0z00_8227;
				BgL_arg1z00_3799 = BgL_arg1z00_8228;
				BgL_arg2z00_3800 = BgL_arg2z00_8229;
				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg3260z00_3804;
					obj_t BgL_arg3263z00_3805;
					obj_t BgL_arg3264z00_3806;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3268z00_3810;

						BgL_arg3268z00_3810 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3796))->BgL_procz00);
						BgL_arg3260z00_3804 =
							PROCEDURE_ENTRY(BgL_pz00_3797) (BgL_pz00_3797,
							((obj_t) BgL_arg3268z00_3810), BgL_arg0z00_3798, BgL_arg1z00_3799,
							BgL_arg2z00_3800, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3269z00_3811;

						BgL_arg3269z00_3811 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3796))->BgL_msgz00);
						BgL_arg3263z00_3805 =
							PROCEDURE_ENTRY(BgL_pz00_3797) (BgL_pz00_3797,
							((obj_t) BgL_arg3269z00_3811), BgL_arg0z00_3798, BgL_arg1z00_3799,
							BgL_arg2z00_3800, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3270z00_3812;

						BgL_arg3270z00_3812 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3796))->BgL_objz00);
						BgL_arg3264z00_3806 =
							PROCEDURE_ENTRY(BgL_pz00_3797) (BgL_pz00_3797,
							((obj_t) BgL_arg3270z00_3812), BgL_arg0z00_3798, BgL_arg1z00_3799,
							BgL_arg2z00_3800, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list3265z00_3807;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg3266z00_3808;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg3267z00_3809;

								BgL_arg3267z00_3809 = MAKE_PAIR(BgL_arg3264z00_3806, BNIL);
								BgL_arg3266z00_3808 =
									MAKE_PAIR(BgL_arg3263z00_3805, BgL_arg3267z00_3809);
							}
							BgL_list3265z00_3807 =
								MAKE_PAIR(BgL_arg3260z00_3804, BgL_arg3266z00_3808);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3265z00_3807);
					}
				}
			}
		}
	}



/* &walk2*-fail2426 */
	obj_t BGl_z62walk2za2zd2fail2426z12zzast_walkz00(obj_t BgL_envz00_8230,
		obj_t BgL_nz00_8231, obj_t BgL_pz00_8232, obj_t BgL_arg0z00_8233,
		obj_t BgL_arg1z00_8234)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3779;
				obj_t BgL_pz00_3780;
				obj_t BgL_arg0z00_3781;
				obj_t BgL_arg1z00_3782;

				BgL_nz00_3779 = ((BgL_failz00_bglt) BgL_nz00_8231);
				BgL_pz00_3780 = BgL_pz00_8232;
				BgL_arg0z00_3781 = BgL_arg0z00_8233;
				BgL_arg1z00_3782 = BgL_arg1z00_8234;
				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg3248z00_3786;
					obj_t BgL_arg3250z00_3787;
					obj_t BgL_arg3251z00_3788;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3257z00_3792;

						BgL_arg3257z00_3792 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3779))->BgL_procz00);
						BgL_arg3248z00_3786 =
							PROCEDURE_ENTRY(BgL_pz00_3780) (BgL_pz00_3780,
							((obj_t) BgL_arg3257z00_3792), BgL_arg0z00_3781, BgL_arg1z00_3782,
							BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3258z00_3793;

						BgL_arg3258z00_3793 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3779))->BgL_msgz00);
						BgL_arg3250z00_3787 =
							PROCEDURE_ENTRY(BgL_pz00_3780) (BgL_pz00_3780,
							((obj_t) BgL_arg3258z00_3793), BgL_arg0z00_3781, BgL_arg1z00_3782,
							BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3259z00_3794;

						BgL_arg3259z00_3794 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3779))->BgL_objz00);
						BgL_arg3251z00_3788 =
							PROCEDURE_ENTRY(BgL_pz00_3780) (BgL_pz00_3780,
							((obj_t) BgL_arg3259z00_3794), BgL_arg0z00_3781, BgL_arg1z00_3782,
							BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list3252z00_3789;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg3253z00_3790;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg3254z00_3791;

								BgL_arg3254z00_3791 = MAKE_PAIR(BgL_arg3251z00_3788, BNIL);
								BgL_arg3253z00_3790 =
									MAKE_PAIR(BgL_arg3250z00_3787, BgL_arg3254z00_3791);
							}
							BgL_list3252z00_3789 =
								MAKE_PAIR(BgL_arg3248z00_3786, BgL_arg3253z00_3790);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3252z00_3789);
					}
				}
			}
		}
	}



/* &walk1*-fail2424 */
	obj_t BGl_z62walk1za2zd2fail2424z12zzast_walkz00(obj_t BgL_envz00_8235,
		obj_t BgL_nz00_8236, obj_t BgL_pz00_8237, obj_t BgL_arg0z00_8238)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3763;
				obj_t BgL_pz00_3764;
				obj_t BgL_arg0z00_3765;

				BgL_nz00_3763 = ((BgL_failz00_bglt) BgL_nz00_8236);
				BgL_pz00_3764 = BgL_pz00_8237;
				BgL_arg0z00_3765 = BgL_arg0z00_8238;
				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg3225z00_3769;
					obj_t BgL_arg3226z00_3770;
					obj_t BgL_arg3227z00_3771;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3235z00_3775;

						BgL_arg3235z00_3775 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3763))->BgL_procz00);
						BgL_arg3225z00_3769 =
							PROCEDURE_ENTRY(BgL_pz00_3764) (BgL_pz00_3764,
							((obj_t) BgL_arg3235z00_3775), BgL_arg0z00_3765, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3245z00_3776;

						BgL_arg3245z00_3776 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3763))->BgL_msgz00);
						BgL_arg3226z00_3770 =
							PROCEDURE_ENTRY(BgL_pz00_3764) (BgL_pz00_3764,
							((obj_t) BgL_arg3245z00_3776), BgL_arg0z00_3765, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3246z00_3777;

						BgL_arg3246z00_3777 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3763))->BgL_objz00);
						BgL_arg3227z00_3771 =
							PROCEDURE_ENTRY(BgL_pz00_3764) (BgL_pz00_3764,
							((obj_t) BgL_arg3246z00_3777), BgL_arg0z00_3765, BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list3228z00_3772;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg3229z00_3773;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg3231z00_3774;

								BgL_arg3231z00_3774 = MAKE_PAIR(BgL_arg3227z00_3771, BNIL);
								BgL_arg3229z00_3773 =
									MAKE_PAIR(BgL_arg3226z00_3770, BgL_arg3231z00_3774);
							}
							BgL_list3228z00_3772 =
								MAKE_PAIR(BgL_arg3225z00_3769, BgL_arg3229z00_3773);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3228z00_3772);
					}
				}
			}
		}
	}



/* &walk0*-fail2422 */
	obj_t BGl_z62walk0za2zd2fail2422z12zzast_walkz00(obj_t BgL_envz00_8239,
		obj_t BgL_nz00_8240, obj_t BgL_pz00_8241)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3748;
				obj_t BgL_pz00_3749;

				BgL_nz00_3748 = ((BgL_failz00_bglt) BgL_nz00_8240);
				BgL_pz00_3749 = BgL_pz00_8241;
				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg3215z00_3753;
					obj_t BgL_arg3217z00_3754;
					obj_t BgL_arg3218z00_3755;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3222z00_3759;

						BgL_arg3222z00_3759 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3748))->BgL_procz00);
						BgL_arg3215z00_3753 =
							PROCEDURE_ENTRY(BgL_pz00_3749) (BgL_pz00_3749,
							((obj_t) BgL_arg3222z00_3759), BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3223z00_3760;

						BgL_arg3223z00_3760 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3748))->BgL_msgz00);
						BgL_arg3217z00_3754 =
							PROCEDURE_ENTRY(BgL_pz00_3749) (BgL_pz00_3749,
							((obj_t) BgL_arg3223z00_3760), BEOA);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg3224z00_3761;

						BgL_arg3224z00_3761 =
							(((BgL_failz00_bglt) CREF(BgL_nz00_3748))->BgL_objz00);
						BgL_arg3218z00_3755 =
							PROCEDURE_ENTRY(BgL_pz00_3749) (BgL_pz00_3749,
							((obj_t) BgL_arg3224z00_3761), BEOA);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list3219z00_3756;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg3220z00_3757;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg3221z00_3758;

								BgL_arg3221z00_3758 = MAKE_PAIR(BgL_arg3218z00_3755, BNIL);
								BgL_arg3220z00_3757 =
									MAKE_PAIR(BgL_arg3217z00_3754, BgL_arg3221z00_3758);
							}
							BgL_list3219z00_3756 =
								MAKE_PAIR(BgL_arg3215z00_3753, BgL_arg3220z00_3757);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3219z00_3756);
					}
				}
			}
		}
	}



/* &walk3-fail2420 */
	obj_t BGl_z62walk3zd2fail2420zb0zzast_walkz00(obj_t BgL_envz00_8242,
		obj_t BgL_nz00_8243, obj_t BgL_pz00_8244, obj_t BgL_arg0z00_8245,
		obj_t BgL_arg1z00_8246, obj_t BgL_arg2z00_8247)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3736;
				obj_t BgL_pz00_3737;
				obj_t BgL_arg0z00_3738;
				obj_t BgL_arg1z00_3739;
				obj_t BgL_arg2z00_3740;

				BgL_nz00_3736 = ((BgL_failz00_bglt) BgL_nz00_8243);
				BgL_pz00_3737 = BgL_pz00_8244;
				BgL_arg0z00_3738 = BgL_arg0z00_8245;
				BgL_arg1z00_3739 = BgL_arg1z00_8246;
				BgL_arg2z00_3740 = BgL_arg2z00_8247;
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3211z00_3744;

					BgL_arg3211z00_3744 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3736))->BgL_procz00);
					PROCEDURE_ENTRY(BgL_pz00_3737) (BgL_pz00_3737,
						((obj_t) BgL_arg3211z00_3744), BgL_arg0z00_3738, BgL_arg1z00_3739,
						BgL_arg2z00_3740, BEOA);
				}
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3212z00_3745;

					BgL_arg3212z00_3745 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3736))->BgL_msgz00);
					PROCEDURE_ENTRY(BgL_pz00_3737) (BgL_pz00_3737,
						((obj_t) BgL_arg3212z00_3745), BgL_arg0z00_3738, BgL_arg1z00_3739,
						BgL_arg2z00_3740, BEOA);
				}
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3214z00_3746;

					BgL_arg3214z00_3746 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3736))->BgL_objz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3737) (BgL_pz00_3737,
						((obj_t) BgL_arg3214z00_3746), BgL_arg0z00_3738, BgL_arg1z00_3739,
						BgL_arg2z00_3740, BEOA);
				}
			}
		}
	}



/* &walk2-fail2418 */
	obj_t BGl_z62walk2zd2fail2418zb0zzast_walkz00(obj_t BgL_envz00_8248,
		obj_t BgL_nz00_8249, obj_t BgL_pz00_8250, obj_t BgL_arg0z00_8251,
		obj_t BgL_arg1z00_8252)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3725;
				obj_t BgL_pz00_3726;
				obj_t BgL_arg0z00_3727;
				obj_t BgL_arg1z00_3728;

				BgL_nz00_3725 = ((BgL_failz00_bglt) BgL_nz00_8249);
				BgL_pz00_3726 = BgL_pz00_8250;
				BgL_arg0z00_3727 = BgL_arg0z00_8251;
				BgL_arg1z00_3728 = BgL_arg1z00_8252;
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3207z00_3732;

					BgL_arg3207z00_3732 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3725))->BgL_procz00);
					PROCEDURE_ENTRY(BgL_pz00_3726) (BgL_pz00_3726,
						((obj_t) BgL_arg3207z00_3732), BgL_arg0z00_3727, BgL_arg1z00_3728,
						BEOA);
				}
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3208z00_3733;

					BgL_arg3208z00_3733 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3725))->BgL_msgz00);
					PROCEDURE_ENTRY(BgL_pz00_3726) (BgL_pz00_3726,
						((obj_t) BgL_arg3208z00_3733), BgL_arg0z00_3727, BgL_arg1z00_3728,
						BEOA);
				}
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3210z00_3734;

					BgL_arg3210z00_3734 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3725))->BgL_objz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3726) (BgL_pz00_3726,
						((obj_t) BgL_arg3210z00_3734), BgL_arg0z00_3727, BgL_arg1z00_3728,
						BEOA);
				}
			}
		}
	}



/* &walk1-fail2416 */
	obj_t BGl_z62walk1zd2fail2416zb0zzast_walkz00(obj_t BgL_envz00_8253,
		obj_t BgL_nz00_8254, obj_t BgL_pz00_8255, obj_t BgL_arg0z00_8256)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3715;
				obj_t BgL_pz00_3716;
				obj_t BgL_arg0z00_3717;

				BgL_nz00_3715 = ((BgL_failz00_bglt) BgL_nz00_8254);
				BgL_pz00_3716 = BgL_pz00_8255;
				BgL_arg0z00_3717 = BgL_arg0z00_8256;
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3200z00_3721;

					BgL_arg3200z00_3721 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3715))->BgL_procz00);
					PROCEDURE_ENTRY(BgL_pz00_3716) (BgL_pz00_3716,
						((obj_t) BgL_arg3200z00_3721), BgL_arg0z00_3717, BEOA);
				}
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3203z00_3722;

					BgL_arg3203z00_3722 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3715))->BgL_msgz00);
					PROCEDURE_ENTRY(BgL_pz00_3716) (BgL_pz00_3716,
						((obj_t) BgL_arg3203z00_3722), BgL_arg0z00_3717, BEOA);
				}
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3206z00_3723;

					BgL_arg3206z00_3723 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3715))->BgL_objz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3716) (BgL_pz00_3716,
						((obj_t) BgL_arg3206z00_3723), BgL_arg0z00_3717, BEOA);
				}
			}
		}
	}



/* &walk0-fail2414 */
	obj_t BGl_z62walk0zd2fail2414zb0zzast_walkz00(obj_t BgL_envz00_8257,
		obj_t BgL_nz00_8258, obj_t BgL_pz00_8259)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 303 */
			{
				BgL_failz00_bglt BgL_nz00_3706;
				obj_t BgL_pz00_3707;

				BgL_nz00_3706 = ((BgL_failz00_bglt) BgL_nz00_8258);
				BgL_pz00_3707 = BgL_pz00_8259;
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3197z00_3711;

					BgL_arg3197z00_3711 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3706))->BgL_procz00);
					PROCEDURE_ENTRY(BgL_pz00_3707) (BgL_pz00_3707,
						((obj_t) BgL_arg3197z00_3711), BEOA);
				}
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3198z00_3712;

					BgL_arg3198z00_3712 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3706))->BgL_msgz00);
					PROCEDURE_ENTRY(BgL_pz00_3707) (BgL_pz00_3707,
						((obj_t) BgL_arg3198z00_3712), BEOA);
				}
				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg3199z00_3713;

					BgL_arg3199z00_3713 =
						(((BgL_failz00_bglt) CREF(BgL_nz00_3706))->BgL_objz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3707) (BgL_pz00_3707,
						((obj_t) BgL_arg3199z00_3713), BEOA);
				}
			}
		}
	}



/* &walk3!-conditional2412 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2conditional2412za2zzast_walkz00(obj_t
		BgL_envz00_8260, obj_t BgL_nz00_8261, obj_t BgL_pz00_8262,
		obj_t BgL_arg0z00_8263, obj_t BgL_arg1z00_8264, obj_t BgL_arg2z00_8265)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3694;
				obj_t BgL_pz00_3695;
				obj_t BgL_arg0z00_3696;
				obj_t BgL_arg1z00_3697;
				obj_t BgL_arg2z00_3698;

				BgL_nz00_3694 = ((BgL_conditionalz00_bglt) BgL_nz00_8261);
				BgL_pz00_3695 = BgL_pz00_8262;
				BgL_arg0z00_3696 = BgL_arg0z00_8263;
				BgL_arg1z00_3697 = BgL_arg1z00_8264;
				BgL_arg2z00_3698 = BgL_arg2z00_8265;
				{
					BgL_nodez00_bglt BgL_auxz00_12249;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3193z00_3702;

						BgL_arg3193z00_3702 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3694))->BgL_testz00);
						BgL_auxz00_12249 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3695) (BgL_pz00_3695,
								((obj_t) BgL_arg3193z00_3702), BgL_arg0z00_3696,
								BgL_arg1z00_3697, BgL_arg2z00_3698, BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3694))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12249), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12261;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3194z00_3703;

						BgL_arg3194z00_3703 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3694))->BgL_truez00);
						BgL_auxz00_12261 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3695) (BgL_pz00_3695,
								((obj_t) BgL_arg3194z00_3703), BgL_arg0z00_3696,
								BgL_arg1z00_3697, BgL_arg2z00_3698, BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3694))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12261), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12273;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3195z00_3704;

						BgL_arg3195z00_3704 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3694))->BgL_falsez00);
						BgL_auxz00_12273 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3695) (BgL_pz00_3695,
								((obj_t) BgL_arg3195z00_3704), BgL_arg0z00_3696,
								BgL_arg1z00_3697, BgL_arg2z00_3698, BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3694))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12273), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3694);
			}
		}
	}



/* &walk2!-conditional2410 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2conditional2410za2zzast_walkz00(obj_t
		BgL_envz00_8266, obj_t BgL_nz00_8267, obj_t BgL_pz00_8268,
		obj_t BgL_arg0z00_8269, obj_t BgL_arg1z00_8270)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3683;
				obj_t BgL_pz00_3684;
				obj_t BgL_arg0z00_3685;
				obj_t BgL_arg1z00_3686;

				BgL_nz00_3683 = ((BgL_conditionalz00_bglt) BgL_nz00_8267);
				BgL_pz00_3684 = BgL_pz00_8268;
				BgL_arg0z00_3685 = BgL_arg0z00_8269;
				BgL_arg1z00_3686 = BgL_arg1z00_8270;
				{
					BgL_nodez00_bglt BgL_auxz00_12287;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3190z00_3690;

						BgL_arg3190z00_3690 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3683))->BgL_testz00);
						BgL_auxz00_12287 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3684) (BgL_pz00_3684,
								((obj_t) BgL_arg3190z00_3690), BgL_arg0z00_3685,
								BgL_arg1z00_3686, BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3683))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12287), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12298;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3191z00_3691;

						BgL_arg3191z00_3691 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3683))->BgL_truez00);
						BgL_auxz00_12298 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3684) (BgL_pz00_3684,
								((obj_t) BgL_arg3191z00_3691), BgL_arg0z00_3685,
								BgL_arg1z00_3686, BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3683))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12298), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12309;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3192z00_3692;

						BgL_arg3192z00_3692 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3683))->BgL_falsez00);
						BgL_auxz00_12309 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3684) (BgL_pz00_3684,
								((obj_t) BgL_arg3192z00_3692), BgL_arg0z00_3685,
								BgL_arg1z00_3686, BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3683))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12309), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3683);
			}
		}
	}



/* &walk1!-conditional2408 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2conditional2408za2zzast_walkz00(obj_t
		BgL_envz00_8271, obj_t BgL_nz00_8272, obj_t BgL_pz00_8273,
		obj_t BgL_arg0z00_8274)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3673;
				obj_t BgL_pz00_3674;
				obj_t BgL_arg0z00_3675;

				BgL_nz00_3673 = ((BgL_conditionalz00_bglt) BgL_nz00_8272);
				BgL_pz00_3674 = BgL_pz00_8273;
				BgL_arg0z00_3675 = BgL_arg0z00_8274;
				{
					BgL_nodez00_bglt BgL_auxz00_12322;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3186z00_3679;

						BgL_arg3186z00_3679 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3673))->BgL_testz00);
						BgL_auxz00_12322 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3674) (BgL_pz00_3674,
								((obj_t) BgL_arg3186z00_3679), BgL_arg0z00_3675, BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3673))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12322), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12332;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3187z00_3680;

						BgL_arg3187z00_3680 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3673))->BgL_truez00);
						BgL_auxz00_12332 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3674) (BgL_pz00_3674,
								((obj_t) BgL_arg3187z00_3680), BgL_arg0z00_3675, BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3673))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12332), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12342;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3188z00_3681;

						BgL_arg3188z00_3681 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3673))->BgL_falsez00);
						BgL_auxz00_12342 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3674) (BgL_pz00_3674,
								((obj_t) BgL_arg3188z00_3681), BgL_arg0z00_3675, BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3673))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12342), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3673);
			}
		}
	}



/* &walk0!-conditional2406 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2conditional2406za2zzast_walkz00(obj_t
		BgL_envz00_8275, obj_t BgL_nz00_8276, obj_t BgL_pz00_8277)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3664;
				obj_t BgL_pz00_3665;

				BgL_nz00_3664 = ((BgL_conditionalz00_bglt) BgL_nz00_8276);
				BgL_pz00_3665 = BgL_pz00_8277;
				{
					BgL_nodez00_bglt BgL_auxz00_12354;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3183z00_3669;

						BgL_arg3183z00_3669 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3664))->BgL_testz00);
						BgL_auxz00_12354 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3665) (BgL_pz00_3665,
								((obj_t) BgL_arg3183z00_3669), BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3664))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12354), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12363;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3184z00_3670;

						BgL_arg3184z00_3670 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3664))->BgL_truez00);
						BgL_auxz00_12363 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3665) (BgL_pz00_3665,
								((obj_t) BgL_arg3184z00_3670), BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3664))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12363), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12372;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3185z00_3671;

						BgL_arg3185z00_3671 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3664))->BgL_falsez00);
						BgL_auxz00_12372 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3665) (BgL_pz00_3665,
								((obj_t) BgL_arg3185z00_3671), BEOA));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nz00_3664))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12372), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3664);
			}
		}
	}



/* &walk3*-conditional2404 */
	obj_t BGl_z62walk3za2zd2conditional2404z12zzast_walkz00(obj_t BgL_envz00_8278,
		obj_t BgL_nz00_8279, obj_t BgL_pz00_8280, obj_t BgL_arg0z00_8281,
		obj_t BgL_arg1z00_8282, obj_t BgL_arg2z00_8283)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3646;
				obj_t BgL_pz00_3647;
				obj_t BgL_arg0z00_3648;
				obj_t BgL_arg1z00_3649;
				obj_t BgL_arg2z00_3650;

				BgL_nz00_3646 = ((BgL_conditionalz00_bglt) BgL_nz00_8279);
				BgL_pz00_3647 = BgL_pz00_8280;
				BgL_arg0z00_3648 = BgL_arg0z00_8281;
				BgL_arg1z00_3649 = BgL_arg1z00_8282;
				BgL_arg2z00_3650 = BgL_arg2z00_8283;
				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg3173z00_3654;
					obj_t BgL_arg3174z00_3655;
					obj_t BgL_arg3175z00_3656;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3179z00_3660;

						BgL_arg3179z00_3660 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3646))->BgL_testz00);
						BgL_arg3173z00_3654 =
							PROCEDURE_ENTRY(BgL_pz00_3647) (BgL_pz00_3647,
							((obj_t) BgL_arg3179z00_3660), BgL_arg0z00_3648, BgL_arg1z00_3649,
							BgL_arg2z00_3650, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3180z00_3661;

						BgL_arg3180z00_3661 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3646))->BgL_truez00);
						BgL_arg3174z00_3655 =
							PROCEDURE_ENTRY(BgL_pz00_3647) (BgL_pz00_3647,
							((obj_t) BgL_arg3180z00_3661), BgL_arg0z00_3648, BgL_arg1z00_3649,
							BgL_arg2z00_3650, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3181z00_3662;

						BgL_arg3181z00_3662 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3646))->BgL_falsez00);
						BgL_arg3175z00_3656 =
							PROCEDURE_ENTRY(BgL_pz00_3647) (BgL_pz00_3647,
							((obj_t) BgL_arg3181z00_3662), BgL_arg0z00_3648, BgL_arg1z00_3649,
							BgL_arg2z00_3650, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list3176z00_3657;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg3177z00_3658;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg3178z00_3659;

								BgL_arg3178z00_3659 = MAKE_PAIR(BgL_arg3175z00_3656, BNIL);
								BgL_arg3177z00_3658 =
									MAKE_PAIR(BgL_arg3174z00_3655, BgL_arg3178z00_3659);
							}
							BgL_list3176z00_3657 =
								MAKE_PAIR(BgL_arg3173z00_3654, BgL_arg3177z00_3658);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3176z00_3657);
					}
				}
			}
		}
	}



/* &walk2*-conditional2402 */
	obj_t BGl_z62walk2za2zd2conditional2402z12zzast_walkz00(obj_t BgL_envz00_8284,
		obj_t BgL_nz00_8285, obj_t BgL_pz00_8286, obj_t BgL_arg0z00_8287,
		obj_t BgL_arg1z00_8288)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3629;
				obj_t BgL_pz00_3630;
				obj_t BgL_arg0z00_3631;
				obj_t BgL_arg1z00_3632;

				BgL_nz00_3629 = ((BgL_conditionalz00_bglt) BgL_nz00_8285);
				BgL_pz00_3630 = BgL_pz00_8286;
				BgL_arg0z00_3631 = BgL_arg0z00_8287;
				BgL_arg1z00_3632 = BgL_arg1z00_8288;
				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg3164z00_3636;
					obj_t BgL_arg3165z00_3637;
					obj_t BgL_arg3166z00_3638;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3170z00_3642;

						BgL_arg3170z00_3642 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3629))->BgL_testz00);
						BgL_arg3164z00_3636 =
							PROCEDURE_ENTRY(BgL_pz00_3630) (BgL_pz00_3630,
							((obj_t) BgL_arg3170z00_3642), BgL_arg0z00_3631, BgL_arg1z00_3632,
							BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3171z00_3643;

						BgL_arg3171z00_3643 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3629))->BgL_truez00);
						BgL_arg3165z00_3637 =
							PROCEDURE_ENTRY(BgL_pz00_3630) (BgL_pz00_3630,
							((obj_t) BgL_arg3171z00_3643), BgL_arg0z00_3631, BgL_arg1z00_3632,
							BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3172z00_3644;

						BgL_arg3172z00_3644 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3629))->BgL_falsez00);
						BgL_arg3166z00_3638 =
							PROCEDURE_ENTRY(BgL_pz00_3630) (BgL_pz00_3630,
							((obj_t) BgL_arg3172z00_3644), BgL_arg0z00_3631, BgL_arg1z00_3632,
							BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list3167z00_3639;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg3168z00_3640;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg3169z00_3641;

								BgL_arg3169z00_3641 = MAKE_PAIR(BgL_arg3166z00_3638, BNIL);
								BgL_arg3168z00_3640 =
									MAKE_PAIR(BgL_arg3165z00_3637, BgL_arg3169z00_3641);
							}
							BgL_list3167z00_3639 =
								MAKE_PAIR(BgL_arg3164z00_3636, BgL_arg3168z00_3640);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3167z00_3639);
					}
				}
			}
		}
	}



/* &walk1*-conditional2400 */
	obj_t BGl_z62walk1za2zd2conditional2400z12zzast_walkz00(obj_t BgL_envz00_8289,
		obj_t BgL_nz00_8290, obj_t BgL_pz00_8291, obj_t BgL_arg0z00_8292)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3613;
				obj_t BgL_pz00_3614;
				obj_t BgL_arg0z00_3615;

				BgL_nz00_3613 = ((BgL_conditionalz00_bglt) BgL_nz00_8290);
				BgL_pz00_3614 = BgL_pz00_8291;
				BgL_arg0z00_3615 = BgL_arg0z00_8292;
				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg3155z00_3619;
					obj_t BgL_arg3156z00_3620;
					obj_t BgL_arg3157z00_3621;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3161z00_3625;

						BgL_arg3161z00_3625 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3613))->BgL_testz00);
						BgL_arg3155z00_3619 =
							PROCEDURE_ENTRY(BgL_pz00_3614) (BgL_pz00_3614,
							((obj_t) BgL_arg3161z00_3625), BgL_arg0z00_3615, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3162z00_3626;

						BgL_arg3162z00_3626 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3613))->BgL_truez00);
						BgL_arg3156z00_3620 =
							PROCEDURE_ENTRY(BgL_pz00_3614) (BgL_pz00_3614,
							((obj_t) BgL_arg3162z00_3626), BgL_arg0z00_3615, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3163z00_3627;

						BgL_arg3163z00_3627 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3613))->BgL_falsez00);
						BgL_arg3157z00_3621 =
							PROCEDURE_ENTRY(BgL_pz00_3614) (BgL_pz00_3614,
							((obj_t) BgL_arg3163z00_3627), BgL_arg0z00_3615, BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list3158z00_3622;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg3159z00_3623;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg3160z00_3624;

								BgL_arg3160z00_3624 = MAKE_PAIR(BgL_arg3157z00_3621, BNIL);
								BgL_arg3159z00_3623 =
									MAKE_PAIR(BgL_arg3156z00_3620, BgL_arg3160z00_3624);
							}
							BgL_list3158z00_3622 =
								MAKE_PAIR(BgL_arg3155z00_3619, BgL_arg3159z00_3623);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3158z00_3622);
					}
				}
			}
		}
	}



/* &walk0*-conditional2398 */
	obj_t BGl_z62walk0za2zd2conditional2398z12zzast_walkz00(obj_t BgL_envz00_8293,
		obj_t BgL_nz00_8294, obj_t BgL_pz00_8295)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3598;
				obj_t BgL_pz00_3599;

				BgL_nz00_3598 = ((BgL_conditionalz00_bglt) BgL_nz00_8294);
				BgL_pz00_3599 = BgL_pz00_8295;
				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg3146z00_3603;
					obj_t BgL_arg3147z00_3604;
					obj_t BgL_arg3148z00_3605;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3152z00_3609;

						BgL_arg3152z00_3609 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3598))->BgL_testz00);
						BgL_arg3146z00_3603 =
							PROCEDURE_ENTRY(BgL_pz00_3599) (BgL_pz00_3599,
							((obj_t) BgL_arg3152z00_3609), BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3153z00_3610;

						BgL_arg3153z00_3610 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3598))->BgL_truez00);
						BgL_arg3147z00_3604 =
							PROCEDURE_ENTRY(BgL_pz00_3599) (BgL_pz00_3599,
							((obj_t) BgL_arg3153z00_3610), BEOA);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg3154z00_3611;

						BgL_arg3154z00_3611 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3598))->BgL_falsez00);
						BgL_arg3148z00_3605 =
							PROCEDURE_ENTRY(BgL_pz00_3599) (BgL_pz00_3599,
							((obj_t) BgL_arg3154z00_3611), BEOA);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list3149z00_3606;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg3150z00_3607;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg3151z00_3608;

								BgL_arg3151z00_3608 = MAKE_PAIR(BgL_arg3148z00_3605, BNIL);
								BgL_arg3150z00_3607 =
									MAKE_PAIR(BgL_arg3147z00_3604, BgL_arg3151z00_3608);
							}
							BgL_list3149z00_3606 =
								MAKE_PAIR(BgL_arg3146z00_3603, BgL_arg3150z00_3607);
						}
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3149z00_3606);
					}
				}
			}
		}
	}



/* &walk3-conditional2396 */
	obj_t BGl_z62walk3zd2conditional2396zb0zzast_walkz00(obj_t BgL_envz00_8296,
		obj_t BgL_nz00_8297, obj_t BgL_pz00_8298, obj_t BgL_arg0z00_8299,
		obj_t BgL_arg1z00_8300, obj_t BgL_arg2z00_8301)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3586;
				obj_t BgL_pz00_3587;
				obj_t BgL_arg0z00_3588;
				obj_t BgL_arg1z00_3589;
				obj_t BgL_arg2z00_3590;

				BgL_nz00_3586 = ((BgL_conditionalz00_bglt) BgL_nz00_8297);
				BgL_pz00_3587 = BgL_pz00_8298;
				BgL_arg0z00_3588 = BgL_arg0z00_8299;
				BgL_arg1z00_3589 = BgL_arg1z00_8300;
				BgL_arg2z00_3590 = BgL_arg2z00_8301;
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3143z00_3594;

					BgL_arg3143z00_3594 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3586))->BgL_testz00);
					PROCEDURE_ENTRY(BgL_pz00_3587) (BgL_pz00_3587,
						((obj_t) BgL_arg3143z00_3594), BgL_arg0z00_3588, BgL_arg1z00_3589,
						BgL_arg2z00_3590, BEOA);
				}
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3144z00_3595;

					BgL_arg3144z00_3595 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3586))->BgL_truez00);
					PROCEDURE_ENTRY(BgL_pz00_3587) (BgL_pz00_3587,
						((obj_t) BgL_arg3144z00_3595), BgL_arg0z00_3588, BgL_arg1z00_3589,
						BgL_arg2z00_3590, BEOA);
				}
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3145z00_3596;

					BgL_arg3145z00_3596 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3586))->BgL_falsez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3587) (BgL_pz00_3587,
						((obj_t) BgL_arg3145z00_3596), BgL_arg0z00_3588, BgL_arg1z00_3589,
						BgL_arg2z00_3590, BEOA);
				}
			}
		}
	}



/* &walk2-conditional2394 */
	obj_t BGl_z62walk2zd2conditional2394zb0zzast_walkz00(obj_t BgL_envz00_8302,
		obj_t BgL_nz00_8303, obj_t BgL_pz00_8304, obj_t BgL_arg0z00_8305,
		obj_t BgL_arg1z00_8306)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3575;
				obj_t BgL_pz00_3576;
				obj_t BgL_arg0z00_3577;
				obj_t BgL_arg1z00_3578;

				BgL_nz00_3575 = ((BgL_conditionalz00_bglt) BgL_nz00_8303);
				BgL_pz00_3576 = BgL_pz00_8304;
				BgL_arg0z00_3577 = BgL_arg0z00_8305;
				BgL_arg1z00_3578 = BgL_arg1z00_8306;
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3139z00_3582;

					BgL_arg3139z00_3582 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3575))->BgL_testz00);
					PROCEDURE_ENTRY(BgL_pz00_3576) (BgL_pz00_3576,
						((obj_t) BgL_arg3139z00_3582), BgL_arg0z00_3577, BgL_arg1z00_3578,
						BEOA);
				}
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3140z00_3583;

					BgL_arg3140z00_3583 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3575))->BgL_truez00);
					PROCEDURE_ENTRY(BgL_pz00_3576) (BgL_pz00_3576,
						((obj_t) BgL_arg3140z00_3583), BgL_arg0z00_3577, BgL_arg1z00_3578,
						BEOA);
				}
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3142z00_3584;

					BgL_arg3142z00_3584 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3575))->BgL_falsez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3576) (BgL_pz00_3576,
						((obj_t) BgL_arg3142z00_3584), BgL_arg0z00_3577, BgL_arg1z00_3578,
						BEOA);
				}
			}
		}
	}



/* &walk1-conditional2392 */
	obj_t BGl_z62walk1zd2conditional2392zb0zzast_walkz00(obj_t BgL_envz00_8307,
		obj_t BgL_nz00_8308, obj_t BgL_pz00_8309, obj_t BgL_arg0z00_8310)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3565;
				obj_t BgL_pz00_3566;
				obj_t BgL_arg0z00_3567;

				BgL_nz00_3565 = ((BgL_conditionalz00_bglt) BgL_nz00_8308);
				BgL_pz00_3566 = BgL_pz00_8309;
				BgL_arg0z00_3567 = BgL_arg0z00_8310;
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3136z00_3571;

					BgL_arg3136z00_3571 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3565))->BgL_testz00);
					PROCEDURE_ENTRY(BgL_pz00_3566) (BgL_pz00_3566,
						((obj_t) BgL_arg3136z00_3571), BgL_arg0z00_3567, BEOA);
				}
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3137z00_3572;

					BgL_arg3137z00_3572 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3565))->BgL_truez00);
					PROCEDURE_ENTRY(BgL_pz00_3566) (BgL_pz00_3566,
						((obj_t) BgL_arg3137z00_3572), BgL_arg0z00_3567, BEOA);
				}
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3138z00_3573;

					BgL_arg3138z00_3573 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3565))->BgL_falsez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3566) (BgL_pz00_3566,
						((obj_t) BgL_arg3138z00_3573), BgL_arg0z00_3567, BEOA);
				}
			}
		}
	}



/* &walk0-conditional2390 */
	obj_t BGl_z62walk0zd2conditional2390zb0zzast_walkz00(obj_t BgL_envz00_8311,
		obj_t BgL_nz00_8312, obj_t BgL_pz00_8313)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 302 */
			{
				BgL_conditionalz00_bglt BgL_nz00_3556;
				obj_t BgL_pz00_3557;

				BgL_nz00_3556 = ((BgL_conditionalz00_bglt) BgL_nz00_8312);
				BgL_pz00_3557 = BgL_pz00_8313;
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3133z00_3561;

					BgL_arg3133z00_3561 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3556))->BgL_testz00);
					PROCEDURE_ENTRY(BgL_pz00_3557) (BgL_pz00_3557,
						((obj_t) BgL_arg3133z00_3561), BEOA);
				}
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3134z00_3562;

					BgL_arg3134z00_3562 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3556))->BgL_truez00);
					PROCEDURE_ENTRY(BgL_pz00_3557) (BgL_pz00_3557,
						((obj_t) BgL_arg3134z00_3562), BEOA);
				}
				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg3135z00_3563;

					BgL_arg3135z00_3563 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_3556))->BgL_falsez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3557) (BgL_pz00_3557,
						((obj_t) BgL_arg3135z00_3563), BEOA);
				}
			}
		}
	}



/* &walk3!-setq2388 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2setq2388za2zzast_walkz00(obj_t
		BgL_envz00_8314, obj_t BgL_nz00_8315, obj_t BgL_pz00_8316,
		obj_t BgL_arg0z00_8317, obj_t BgL_arg1z00_8318, obj_t BgL_arg2z00_8319)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3545;
				obj_t BgL_pz00_3546;
				obj_t BgL_arg0z00_3547;
				obj_t BgL_arg1z00_3548;
				obj_t BgL_arg2z00_3549;

				BgL_nz00_3545 = ((BgL_setqz00_bglt) BgL_nz00_8315);
				BgL_pz00_3546 = BgL_pz00_8316;
				BgL_arg0z00_3547 = BgL_arg0z00_8317;
				BgL_arg1z00_3548 = BgL_arg1z00_8318;
				BgL_arg2z00_3549 = BgL_arg2z00_8319;
				{
					BgL_varz00_bglt BgL_auxz00_12587;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg3131z00_6851;

						BgL_arg3131z00_6851 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3545))->BgL_varz00);
						BgL_auxz00_12587 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3546) (BgL_pz00_3546,
								((obj_t) BgL_arg3131z00_6851), BgL_arg0z00_3547,
								BgL_arg1z00_3548, BgL_arg2z00_3549, BEOA));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nz00_3545))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_12587), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12599;

					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg3132z00_6852;

						BgL_arg3132z00_6852 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3545))->BgL_valuez00);
						BgL_auxz00_12599 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3546) (BgL_pz00_3546,
								((obj_t) BgL_arg3132z00_6852), BgL_arg0z00_3547,
								BgL_arg1z00_3548, BgL_arg2z00_3549, BEOA));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nz00_3545))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12599), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3545);
			}
		}
	}



/* &walk2!-setq2386 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2setq2386za2zzast_walkz00(obj_t
		BgL_envz00_8320, obj_t BgL_nz00_8321, obj_t BgL_pz00_8322,
		obj_t BgL_arg0z00_8323, obj_t BgL_arg1z00_8324)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3535;
				obj_t BgL_pz00_3536;
				obj_t BgL_arg0z00_3537;
				obj_t BgL_arg1z00_3538;

				BgL_nz00_3535 = ((BgL_setqz00_bglt) BgL_nz00_8321);
				BgL_pz00_3536 = BgL_pz00_8322;
				BgL_arg0z00_3537 = BgL_arg0z00_8323;
				BgL_arg1z00_3538 = BgL_arg1z00_8324;
				{
					BgL_varz00_bglt BgL_auxz00_12613;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg3128z00_3542;

						BgL_arg3128z00_3542 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3535))->BgL_varz00);
						BgL_auxz00_12613 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3536) (BgL_pz00_3536,
								((obj_t) BgL_arg3128z00_3542), BgL_arg0z00_3537,
								BgL_arg1z00_3538, BEOA));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nz00_3535))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_12613), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12624;

					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg3130z00_3543;

						BgL_arg3130z00_3543 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3535))->BgL_valuez00);
						BgL_auxz00_12624 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3536) (BgL_pz00_3536,
								((obj_t) BgL_arg3130z00_3543), BgL_arg0z00_3537,
								BgL_arg1z00_3538, BEOA));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nz00_3535))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12624), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3535);
			}
		}
	}



/* &walk1!-setq2384 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2setq2384za2zzast_walkz00(obj_t
		BgL_envz00_8325, obj_t BgL_nz00_8326, obj_t BgL_pz00_8327,
		obj_t BgL_arg0z00_8328)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3526;
				obj_t BgL_pz00_3527;
				obj_t BgL_arg0z00_3528;

				BgL_nz00_3526 = ((BgL_setqz00_bglt) BgL_nz00_8326);
				BgL_pz00_3527 = BgL_pz00_8327;
				BgL_arg0z00_3528 = BgL_arg0z00_8328;
				{
					BgL_varz00_bglt BgL_auxz00_12637;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg3126z00_3532;

						BgL_arg3126z00_3532 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3526))->BgL_varz00);
						BgL_auxz00_12637 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3527) (BgL_pz00_3527,
								((obj_t) BgL_arg3126z00_3532), BgL_arg0z00_3528, BEOA));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nz00_3526))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_12637), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12647;

					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg3127z00_3533;

						BgL_arg3127z00_3533 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3526))->BgL_valuez00);
						BgL_auxz00_12647 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3527) (BgL_pz00_3527,
								((obj_t) BgL_arg3127z00_3533), BgL_arg0z00_3528, BEOA));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nz00_3526))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12647), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3526);
			}
		}
	}



/* &walk0!-setq2382 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2setq2382za2zzast_walkz00(obj_t
		BgL_envz00_8329, obj_t BgL_nz00_8330, obj_t BgL_pz00_8331)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3518;
				obj_t BgL_pz00_3519;

				BgL_nz00_3518 = ((BgL_setqz00_bglt) BgL_nz00_8330);
				BgL_pz00_3519 = BgL_pz00_8331;
				{
					BgL_varz00_bglt BgL_auxz00_12659;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg3123z00_3523;

						BgL_arg3123z00_3523 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3518))->BgL_varz00);
						BgL_auxz00_12659 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3519) (BgL_pz00_3519,
								((obj_t) BgL_arg3123z00_3523), BEOA));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nz00_3518))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_12659), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12668;

					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg3124z00_3524;

						BgL_arg3124z00_3524 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3518))->BgL_valuez00);
						BgL_auxz00_12668 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3519) (BgL_pz00_3519,
								((obj_t) BgL_arg3124z00_3524), BEOA));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nz00_3518))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_12668), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3518);
			}
		}
	}



/* &walk3*-setq2380 */
	obj_t BGl_z62walk3za2zd2setq2380z12zzast_walkz00(obj_t BgL_envz00_8332,
		obj_t BgL_nz00_8333, obj_t BgL_pz00_8334, obj_t BgL_arg0z00_8335,
		obj_t BgL_arg1z00_8336, obj_t BgL_arg2z00_8337)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3505;
				obj_t BgL_pz00_3506;
				obj_t BgL_arg0z00_3507;
				obj_t BgL_arg1z00_3508;
				obj_t BgL_arg2z00_3509;

				BgL_nz00_3505 = ((BgL_setqz00_bglt) BgL_nz00_8333);
				BgL_pz00_3506 = BgL_pz00_8334;
				BgL_arg0z00_3507 = BgL_arg0z00_8335;
				BgL_arg1z00_3508 = BgL_arg1z00_8336;
				BgL_arg2z00_3509 = BgL_arg2z00_8337;
				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg3118z00_6846;
					obj_t BgL_arg3120z00_6847;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg3121z00_6848;

						BgL_arg3121z00_6848 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3505))->BgL_varz00);
						BgL_arg3118z00_6846 =
							PROCEDURE_ENTRY(BgL_pz00_3506) (BgL_pz00_3506,
							((obj_t) BgL_arg3121z00_6848), BgL_arg0z00_3507, BgL_arg1z00_3508,
							BgL_arg2z00_3509, BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg3122z00_6849;

						BgL_arg3122z00_6849 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3505))->BgL_valuez00);
						BgL_arg3120z00_6847 =
							PROCEDURE_ENTRY(BgL_pz00_3506) (BgL_pz00_3506,
							((obj_t) BgL_arg3122z00_6849), BgL_arg0z00_3507, BgL_arg1z00_3508,
							BgL_arg2z00_3509, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3118z00_6846,
						BgL_arg3120z00_6847);
				}
			}
		}
	}



/* &walk2*-setq2378 */
	obj_t BGl_z62walk2za2zd2setq2378z12zzast_walkz00(obj_t BgL_envz00_8338,
		obj_t BgL_nz00_8339, obj_t BgL_pz00_8340, obj_t BgL_arg0z00_8341,
		obj_t BgL_arg1z00_8342)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3493;
				obj_t BgL_pz00_3494;
				obj_t BgL_arg0z00_3495;
				obj_t BgL_arg1z00_3496;

				BgL_nz00_3493 = ((BgL_setqz00_bglt) BgL_nz00_8339);
				BgL_pz00_3494 = BgL_pz00_8340;
				BgL_arg0z00_3495 = BgL_arg0z00_8341;
				BgL_arg1z00_3496 = BgL_arg1z00_8342;
				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg3113z00_6841;
					obj_t BgL_arg3114z00_6842;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg3115z00_6843;

						BgL_arg3115z00_6843 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3493))->BgL_varz00);
						BgL_arg3113z00_6841 =
							PROCEDURE_ENTRY(BgL_pz00_3494) (BgL_pz00_3494,
							((obj_t) BgL_arg3115z00_6843), BgL_arg0z00_3495, BgL_arg1z00_3496,
							BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg3116z00_6844;

						BgL_arg3116z00_6844 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3493))->BgL_valuez00);
						BgL_arg3114z00_6842 =
							PROCEDURE_ENTRY(BgL_pz00_3494) (BgL_pz00_3494,
							((obj_t) BgL_arg3116z00_6844), BgL_arg0z00_3495, BgL_arg1z00_3496,
							BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3113z00_6841,
						BgL_arg3114z00_6842);
				}
			}
		}
	}



/* &walk1*-setq2376 */
	obj_t BGl_z62walk1za2zd2setq2376z12zzast_walkz00(obj_t BgL_envz00_8343,
		obj_t BgL_nz00_8344, obj_t BgL_pz00_8345, obj_t BgL_arg0z00_8346)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3482;
				obj_t BgL_pz00_3483;
				obj_t BgL_arg0z00_3484;

				BgL_nz00_3482 = ((BgL_setqz00_bglt) BgL_nz00_8344);
				BgL_pz00_3483 = BgL_pz00_8345;
				BgL_arg0z00_3484 = BgL_arg0z00_8346;
				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg3107z00_3488;
					obj_t BgL_arg3108z00_3489;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg3110z00_3490;

						BgL_arg3110z00_3490 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3482))->BgL_varz00);
						BgL_arg3107z00_3488 =
							PROCEDURE_ENTRY(BgL_pz00_3483) (BgL_pz00_3483,
							((obj_t) BgL_arg3110z00_3490), BgL_arg0z00_3484, BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg3112z00_3491;

						BgL_arg3112z00_3491 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3482))->BgL_valuez00);
						BgL_arg3108z00_3489 =
							PROCEDURE_ENTRY(BgL_pz00_3483) (BgL_pz00_3483,
							((obj_t) BgL_arg3112z00_3491), BgL_arg0z00_3484, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3107z00_3488,
						BgL_arg3108z00_3489);
				}
			}
		}
	}



/* &walk0*-setq2374 */
	obj_t BGl_z62walk0za2zd2setq2374z12zzast_walkz00(obj_t BgL_envz00_8347,
		obj_t BgL_nz00_8348, obj_t BgL_pz00_8349)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3472;
				obj_t BgL_pz00_3473;

				BgL_nz00_3472 = ((BgL_setqz00_bglt) BgL_nz00_8348);
				BgL_pz00_3473 = BgL_pz00_8349;
				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg3102z00_3477;
					obj_t BgL_arg3104z00_3478;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg3105z00_3479;

						BgL_arg3105z00_3479 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3472))->BgL_varz00);
						BgL_arg3102z00_3477 =
							PROCEDURE_ENTRY(BgL_pz00_3473) (BgL_pz00_3473,
							((obj_t) BgL_arg3105z00_3479), BEOA);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg3106z00_3480;

						BgL_arg3106z00_3480 =
							(((BgL_setqz00_bglt) CREF(BgL_nz00_3472))->BgL_valuez00);
						BgL_arg3104z00_3478 =
							PROCEDURE_ENTRY(BgL_pz00_3473) (BgL_pz00_3473,
							((obj_t) BgL_arg3106z00_3480), BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3102z00_3477,
						BgL_arg3104z00_3478);
				}
			}
		}
	}



/* &walk3-setq2372 */
	obj_t BGl_z62walk3zd2setq2372zb0zzast_walkz00(obj_t BgL_envz00_8350,
		obj_t BgL_nz00_8351, obj_t BgL_pz00_8352, obj_t BgL_arg0z00_8353,
		obj_t BgL_arg1z00_8354, obj_t BgL_arg2z00_8355)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3461;
				obj_t BgL_pz00_3462;
				obj_t BgL_arg0z00_3463;
				obj_t BgL_arg1z00_3464;
				obj_t BgL_arg2z00_3465;

				BgL_nz00_3461 = ((BgL_setqz00_bglt) BgL_nz00_8351);
				BgL_pz00_3462 = BgL_pz00_8352;
				BgL_arg0z00_3463 = BgL_arg0z00_8353;
				BgL_arg1z00_3464 = BgL_arg1z00_8354;
				BgL_arg2z00_3465 = BgL_arg2z00_8355;
				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg3099z00_6838;

					BgL_arg3099z00_6838 =
						(((BgL_setqz00_bglt) CREF(BgL_nz00_3461))->BgL_varz00);
					PROCEDURE_ENTRY(BgL_pz00_3462) (BgL_pz00_3462,
						((obj_t) BgL_arg3099z00_6838), BgL_arg0z00_3463, BgL_arg1z00_3464,
						BgL_arg2z00_3465, BEOA);
				}
				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg3100z00_6839;

					BgL_arg3100z00_6839 =
						(((BgL_setqz00_bglt) CREF(BgL_nz00_3461))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3462) (BgL_pz00_3462,
						((obj_t) BgL_arg3100z00_6839), BgL_arg0z00_3463, BgL_arg1z00_3464,
						BgL_arg2z00_3465, BEOA);
				}
			}
		}
	}



/* &walk2-setq2370 */
	obj_t BGl_z62walk2zd2setq2370zb0zzast_walkz00(obj_t BgL_envz00_8356,
		obj_t BgL_nz00_8357, obj_t BgL_pz00_8358, obj_t BgL_arg0z00_8359,
		obj_t BgL_arg1z00_8360)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3451;
				obj_t BgL_pz00_3452;
				obj_t BgL_arg0z00_3453;
				obj_t BgL_arg1z00_3454;

				BgL_nz00_3451 = ((BgL_setqz00_bglt) BgL_nz00_8357);
				BgL_pz00_3452 = BgL_pz00_8358;
				BgL_arg0z00_3453 = BgL_arg0z00_8359;
				BgL_arg1z00_3454 = BgL_arg1z00_8360;
				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg3097z00_6835;

					BgL_arg3097z00_6835 =
						(((BgL_setqz00_bglt) CREF(BgL_nz00_3451))->BgL_varz00);
					PROCEDURE_ENTRY(BgL_pz00_3452) (BgL_pz00_3452,
						((obj_t) BgL_arg3097z00_6835), BgL_arg0z00_3453, BgL_arg1z00_3454,
						BEOA);
				}
				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg3098z00_6836;

					BgL_arg3098z00_6836 =
						(((BgL_setqz00_bglt) CREF(BgL_nz00_3451))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3452) (BgL_pz00_3452,
						((obj_t) BgL_arg3098z00_6836), BgL_arg0z00_3453, BgL_arg1z00_3454,
						BEOA);
				}
			}
		}
	}



/* &walk1-setq2368 */
	obj_t BGl_z62walk1zd2setq2368zb0zzast_walkz00(obj_t BgL_envz00_8361,
		obj_t BgL_nz00_8362, obj_t BgL_pz00_8363, obj_t BgL_arg0z00_8364)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3442;
				obj_t BgL_pz00_3443;
				obj_t BgL_arg0z00_3444;

				BgL_nz00_3442 = ((BgL_setqz00_bglt) BgL_nz00_8362);
				BgL_pz00_3443 = BgL_pz00_8363;
				BgL_arg0z00_3444 = BgL_arg0z00_8364;
				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg3094z00_6832;

					BgL_arg3094z00_6832 =
						(((BgL_setqz00_bglt) CREF(BgL_nz00_3442))->BgL_varz00);
					PROCEDURE_ENTRY(BgL_pz00_3443) (BgL_pz00_3443,
						((obj_t) BgL_arg3094z00_6832), BgL_arg0z00_3444, BEOA);
				}
				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg3096z00_6833;

					BgL_arg3096z00_6833 =
						(((BgL_setqz00_bglt) CREF(BgL_nz00_3442))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3443) (BgL_pz00_3443,
						((obj_t) BgL_arg3096z00_6833), BgL_arg0z00_3444, BEOA);
				}
			}
		}
	}



/* &walk0-setq2366 */
	obj_t BGl_z62walk0zd2setq2366zb0zzast_walkz00(obj_t BgL_envz00_8365,
		obj_t BgL_nz00_8366, obj_t BgL_pz00_8367)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 301 */
			{
				BgL_setqz00_bglt BgL_nz00_3434;
				obj_t BgL_pz00_3435;

				BgL_nz00_3434 = ((BgL_setqz00_bglt) BgL_nz00_8366);
				BgL_pz00_3435 = BgL_pz00_8367;
				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg3092z00_6829;

					BgL_arg3092z00_6829 =
						(((BgL_setqz00_bglt) CREF(BgL_nz00_3434))->BgL_varz00);
					PROCEDURE_ENTRY(BgL_pz00_3435) (BgL_pz00_3435,
						((obj_t) BgL_arg3092z00_6829), BEOA);
				}
				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg3093z00_6830;

					BgL_arg3093z00_6830 =
						(((BgL_setqz00_bglt) CREF(BgL_nz00_3434))->BgL_valuez00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3435) (BgL_pz00_3435,
						((obj_t) BgL_arg3093z00_6830), BEOA);
				}
			}
		}
	}



/* &walk3!-cast2364 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2cast2364za2zzast_walkz00(obj_t
		BgL_envz00_8368, obj_t BgL_nz00_8369, obj_t BgL_pz00_8370,
		obj_t BgL_arg0z00_8371, obj_t BgL_arg1z00_8372, obj_t BgL_arg2z00_8373)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3424;
				obj_t BgL_pz00_3425;
				obj_t BgL_arg0z00_3426;
				obj_t BgL_arg1z00_3427;
				obj_t BgL_arg2z00_3428;

				BgL_nz00_3424 = ((BgL_castz00_bglt) BgL_nz00_8369);
				BgL_pz00_3425 = BgL_pz00_8370;
				BgL_arg0z00_3426 = BgL_arg0z00_8371;
				BgL_arg1z00_3427 = BgL_arg1z00_8372;
				BgL_arg2z00_3428 = BgL_arg2z00_8373;
				{
					BgL_nodez00_bglt BgL_auxz00_12811;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg3091z00_6827;

						BgL_arg3091z00_6827 =
							(((BgL_castz00_bglt) CREF(BgL_nz00_3424))->BgL_argz00);
						BgL_auxz00_12811 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3425) (BgL_pz00_3425,
								((obj_t) BgL_arg3091z00_6827), BgL_arg0z00_3426,
								BgL_arg1z00_3427, BgL_arg2z00_3428, BEOA));
					}
					((((BgL_castz00_bglt) CREF(BgL_nz00_3424))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12811), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3424);
			}
		}
	}



/* &walk2!-cast2362 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2cast2362za2zzast_walkz00(obj_t
		BgL_envz00_8374, obj_t BgL_nz00_8375, obj_t BgL_pz00_8376,
		obj_t BgL_arg0z00_8377, obj_t BgL_arg1z00_8378)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3415;
				obj_t BgL_pz00_3416;
				obj_t BgL_arg0z00_3417;
				obj_t BgL_arg1z00_3418;

				BgL_nz00_3415 = ((BgL_castz00_bglt) BgL_nz00_8375);
				BgL_pz00_3416 = BgL_pz00_8376;
				BgL_arg0z00_3417 = BgL_arg0z00_8377;
				BgL_arg1z00_3418 = BgL_arg1z00_8378;
				{
					BgL_nodez00_bglt BgL_auxz00_12825;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg3090z00_6825;

						BgL_arg3090z00_6825 =
							(((BgL_castz00_bglt) CREF(BgL_nz00_3415))->BgL_argz00);
						BgL_auxz00_12825 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3416) (BgL_pz00_3416,
								((obj_t) BgL_arg3090z00_6825), BgL_arg0z00_3417,
								BgL_arg1z00_3418, BEOA));
					}
					((((BgL_castz00_bglt) CREF(BgL_nz00_3415))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12825), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3415);
			}
		}
	}



/* &walk1!-cast2360 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2cast2360za2zzast_walkz00(obj_t
		BgL_envz00_8379, obj_t BgL_nz00_8380, obj_t BgL_pz00_8381,
		obj_t BgL_arg0z00_8382)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3407;
				obj_t BgL_pz00_3408;
				obj_t BgL_arg0z00_3409;

				BgL_nz00_3407 = ((BgL_castz00_bglt) BgL_nz00_8380);
				BgL_pz00_3408 = BgL_pz00_8381;
				BgL_arg0z00_3409 = BgL_arg0z00_8382;
				{
					BgL_nodez00_bglt BgL_auxz00_12838;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg3089z00_6823;

						BgL_arg3089z00_6823 =
							(((BgL_castz00_bglt) CREF(BgL_nz00_3407))->BgL_argz00);
						BgL_auxz00_12838 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3408) (BgL_pz00_3408,
								((obj_t) BgL_arg3089z00_6823), BgL_arg0z00_3409, BEOA));
					}
					((((BgL_castz00_bglt) CREF(BgL_nz00_3407))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12838), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3407);
			}
		}
	}



/* &walk0!-cast2358 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2cast2358za2zzast_walkz00(obj_t
		BgL_envz00_8383, obj_t BgL_nz00_8384, obj_t BgL_pz00_8385)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3400;
				obj_t BgL_pz00_3401;

				BgL_nz00_3400 = ((BgL_castz00_bglt) BgL_nz00_8384);
				BgL_pz00_3401 = BgL_pz00_8385;
				{
					BgL_nodez00_bglt BgL_auxz00_12850;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg3087z00_6821;

						BgL_arg3087z00_6821 =
							(((BgL_castz00_bglt) CREF(BgL_nz00_3400))->BgL_argz00);
						BgL_auxz00_12850 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3401) (BgL_pz00_3401,
								((obj_t) BgL_arg3087z00_6821), BEOA));
					}
					((((BgL_castz00_bglt) CREF(BgL_nz00_3400))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12850), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3400);
			}
		}
	}



/* &walk3*-cast2356 */
	obj_t BGl_z62walk3za2zd2cast2356z12zzast_walkz00(obj_t BgL_envz00_8386,
		obj_t BgL_nz00_8387, obj_t BgL_pz00_8388, obj_t BgL_arg0z00_8389,
		obj_t BgL_arg1z00_8390, obj_t BgL_arg2z00_8391)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3388;
				obj_t BgL_pz00_3389;
				obj_t BgL_arg0z00_3390;
				obj_t BgL_arg1z00_3391;
				obj_t BgL_arg2z00_3392;

				BgL_nz00_3388 = ((BgL_castz00_bglt) BgL_nz00_8387);
				BgL_pz00_3389 = BgL_pz00_8388;
				BgL_arg0z00_3390 = BgL_arg0z00_8389;
				BgL_arg1z00_3391 = BgL_arg1z00_8390;
				BgL_arg2z00_3392 = BgL_arg2z00_8391;
				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg3084z00_6817;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg3086z00_6818;

						BgL_arg3086z00_6818 =
							(((BgL_castz00_bglt) CREF(BgL_nz00_3388))->BgL_argz00);
						BgL_arg3084z00_6817 =
							PROCEDURE_ENTRY(BgL_pz00_3389) (BgL_pz00_3389,
							((obj_t) BgL_arg3086z00_6818), BgL_arg0z00_3390, BgL_arg1z00_3391,
							BgL_arg2z00_3392, BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list3085z00_6819;

						BgL_list3085z00_6819 = MAKE_PAIR(BgL_arg3084z00_6817, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3085z00_6819);
					}
				}
			}
		}
	}



/* &walk2*-cast2354 */
	obj_t BGl_z62walk2za2zd2cast2354z12zzast_walkz00(obj_t BgL_envz00_8392,
		obj_t BgL_nz00_8393, obj_t BgL_pz00_8394, obj_t BgL_arg0z00_8395,
		obj_t BgL_arg1z00_8396)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3377;
				obj_t BgL_pz00_3378;
				obj_t BgL_arg0z00_3379;
				obj_t BgL_arg1z00_3380;

				BgL_nz00_3377 = ((BgL_castz00_bglt) BgL_nz00_8393);
				BgL_pz00_3378 = BgL_pz00_8394;
				BgL_arg0z00_3379 = BgL_arg0z00_8395;
				BgL_arg1z00_3380 = BgL_arg1z00_8396;
				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg3081z00_6813;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg3083z00_6814;

						BgL_arg3083z00_6814 =
							(((BgL_castz00_bglt) CREF(BgL_nz00_3377))->BgL_argz00);
						BgL_arg3081z00_6813 =
							PROCEDURE_ENTRY(BgL_pz00_3378) (BgL_pz00_3378,
							((obj_t) BgL_arg3083z00_6814), BgL_arg0z00_3379, BgL_arg1z00_3380,
							BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list3082z00_6815;

						BgL_list3082z00_6815 = MAKE_PAIR(BgL_arg3081z00_6813, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3082z00_6815);
					}
				}
			}
		}
	}



/* &walk1*-cast2352 */
	obj_t BGl_z62walk1za2zd2cast2352z12zzast_walkz00(obj_t BgL_envz00_8397,
		obj_t BgL_nz00_8398, obj_t BgL_pz00_8399, obj_t BgL_arg0z00_8400)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3367;
				obj_t BgL_pz00_3368;
				obj_t BgL_arg0z00_3369;

				BgL_nz00_3367 = ((BgL_castz00_bglt) BgL_nz00_8398);
				BgL_pz00_3368 = BgL_pz00_8399;
				BgL_arg0z00_3369 = BgL_arg0z00_8400;
				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg3077z00_6809;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg3080z00_6810;

						BgL_arg3080z00_6810 =
							(((BgL_castz00_bglt) CREF(BgL_nz00_3367))->BgL_argz00);
						BgL_arg3077z00_6809 =
							PROCEDURE_ENTRY(BgL_pz00_3368) (BgL_pz00_3368,
							((obj_t) BgL_arg3080z00_6810), BgL_arg0z00_3369, BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list3078z00_6811;

						BgL_list3078z00_6811 = MAKE_PAIR(BgL_arg3077z00_6809, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3078z00_6811);
					}
				}
			}
		}
	}



/* &walk0*-cast2350 */
	obj_t BGl_z62walk0za2zd2cast2350z12zzast_walkz00(obj_t BgL_envz00_8401,
		obj_t BgL_nz00_8402, obj_t BgL_pz00_8403)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3358;
				obj_t BgL_pz00_3359;

				BgL_nz00_3358 = ((BgL_castz00_bglt) BgL_nz00_8402);
				BgL_pz00_3359 = BgL_pz00_8403;
				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg3074z00_6805;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg3076z00_6806;

						BgL_arg3076z00_6806 =
							(((BgL_castz00_bglt) CREF(BgL_nz00_3358))->BgL_argz00);
						BgL_arg3074z00_6805 =
							PROCEDURE_ENTRY(BgL_pz00_3359) (BgL_pz00_3359,
							((obj_t) BgL_arg3076z00_6806), BEOA);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list3075z00_6807;

						BgL_list3075z00_6807 = MAKE_PAIR(BgL_arg3074z00_6805, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3075z00_6807);
					}
				}
			}
		}
	}



/* &walk3-cast2348 */
	obj_t BGl_z62walk3zd2cast2348zb0zzast_walkz00(obj_t BgL_envz00_8404,
		obj_t BgL_nz00_8405, obj_t BgL_pz00_8406, obj_t BgL_arg0z00_8407,
		obj_t BgL_arg1z00_8408, obj_t BgL_arg2z00_8409)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3348;
				obj_t BgL_pz00_3349;
				obj_t BgL_arg0z00_3350;
				obj_t BgL_arg1z00_3351;
				obj_t BgL_arg2z00_3352;

				BgL_nz00_3348 = ((BgL_castz00_bglt) BgL_nz00_8405);
				BgL_pz00_3349 = BgL_pz00_8406;
				BgL_arg0z00_3350 = BgL_arg0z00_8407;
				BgL_arg1z00_3351 = BgL_arg1z00_8408;
				BgL_arg2z00_3352 = BgL_arg2z00_8409;
				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg3073z00_6803;

					BgL_arg3073z00_6803 =
						(((BgL_castz00_bglt) CREF(BgL_nz00_3348))->BgL_argz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3349) (BgL_pz00_3349,
						((obj_t) BgL_arg3073z00_6803), BgL_arg0z00_3350, BgL_arg1z00_3351,
						BgL_arg2z00_3352, BEOA);
				}
			}
		}
	}



/* &walk2-cast2346 */
	obj_t BGl_z62walk2zd2cast2346zb0zzast_walkz00(obj_t BgL_envz00_8410,
		obj_t BgL_nz00_8411, obj_t BgL_pz00_8412, obj_t BgL_arg0z00_8413,
		obj_t BgL_arg1z00_8414)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3339;
				obj_t BgL_pz00_3340;
				obj_t BgL_arg0z00_3341;
				obj_t BgL_arg1z00_3342;

				BgL_nz00_3339 = ((BgL_castz00_bglt) BgL_nz00_8411);
				BgL_pz00_3340 = BgL_pz00_8412;
				BgL_arg0z00_3341 = BgL_arg0z00_8413;
				BgL_arg1z00_3342 = BgL_arg1z00_8414;
				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg3072z00_6801;

					BgL_arg3072z00_6801 =
						(((BgL_castz00_bglt) CREF(BgL_nz00_3339))->BgL_argz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3340) (BgL_pz00_3340,
						((obj_t) BgL_arg3072z00_6801), BgL_arg0z00_3341, BgL_arg1z00_3342,
						BEOA);
				}
			}
		}
	}



/* &walk1-cast2344 */
	obj_t BGl_z62walk1zd2cast2344zb0zzast_walkz00(obj_t BgL_envz00_8415,
		obj_t BgL_nz00_8416, obj_t BgL_pz00_8417, obj_t BgL_arg0z00_8418)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3331;
				obj_t BgL_pz00_3332;
				obj_t BgL_arg0z00_3333;

				BgL_nz00_3331 = ((BgL_castz00_bglt) BgL_nz00_8416);
				BgL_pz00_3332 = BgL_pz00_8417;
				BgL_arg0z00_3333 = BgL_arg0z00_8418;
				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg3071z00_6799;

					BgL_arg3071z00_6799 =
						(((BgL_castz00_bglt) CREF(BgL_nz00_3331))->BgL_argz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3332) (BgL_pz00_3332,
						((obj_t) BgL_arg3071z00_6799), BgL_arg0z00_3333, BEOA);
				}
			}
		}
	}



/* &walk0-cast2342 */
	obj_t BGl_z62walk0zd2cast2342zb0zzast_walkz00(obj_t BgL_envz00_8419,
		obj_t BgL_nz00_8420, obj_t BgL_pz00_8421)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 300 */
			{
				BgL_castz00_bglt BgL_nz00_3324;
				obj_t BgL_pz00_3325;

				BgL_nz00_3324 = ((BgL_castz00_bglt) BgL_nz00_8420);
				BgL_pz00_3325 = BgL_pz00_8421;
				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg3069z00_6797;

					BgL_arg3069z00_6797 =
						(((BgL_castz00_bglt) CREF(BgL_nz00_3324))->BgL_argz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_3325) (BgL_pz00_3325,
						((obj_t) BgL_arg3069z00_6797), BEOA);
				}
			}
		}
	}



/* &walk3!-extern2340 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2extern2340za2zzast_walkz00(obj_t
		BgL_envz00_8422, obj_t BgL_nz00_8423, obj_t BgL_pz00_8424,
		obj_t BgL_arg0z00_8425, obj_t BgL_arg1z00_8426, obj_t BgL_arg2z00_8427)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3306;
				obj_t BgL_pz00_3307;
				obj_t BgL_arg0z00_3308;
				obj_t BgL_arg1z00_3309;
				obj_t BgL_arg2z00_3310;

				BgL_nz00_3306 = ((BgL_externz00_bglt) BgL_nz00_8423);
				BgL_pz00_3307 = BgL_pz00_8424;
				BgL_arg0z00_3308 = BgL_arg0z00_8425;
				BgL_arg1z00_3309 = BgL_arg1z00_8426;
				BgL_arg2z00_3310 = BgL_arg2z00_8427;
				{
					obj_t BgL_fieldsz00_3316;

					BgL_fieldsz00_3316 =
						(((BgL_externz00_bglt) CREF(BgL_nz00_3306))->BgL_exprza2za2);
				BgL_zc3anonymousza33063ze3z83_3317:
					if (NULLP(BgL_fieldsz00_3316))
						{	/* Ast/walk.scm 299 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 299 */
							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg3065z00_3319;

								{	/* Ast/walk.scm 299 */
									obj_t BgL_arg3067z00_3320;

									BgL_arg3067z00_3320 = CAR(BgL_fieldsz00_3316);
									BgL_arg3065z00_3319 =
										PROCEDURE_ENTRY(BgL_pz00_3307) (BgL_pz00_3307,
										BgL_arg3067z00_3320, BgL_arg0z00_3308, BgL_arg1z00_3309,
										BgL_arg2z00_3310, BEOA);
								}
								SET_CAR(BgL_fieldsz00_3316, BgL_arg3065z00_3319);
							}
							{
								obj_t BgL_fieldsz00_12948;

								BgL_fieldsz00_12948 = CDR(BgL_fieldsz00_3316);
								BgL_fieldsz00_3316 = BgL_fieldsz00_12948;
								goto BgL_zc3anonymousza33063ze3z83_3317;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3306);
			}
		}
	}



/* &walk2!-extern2338 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2extern2338za2zzast_walkz00(obj_t
		BgL_envz00_8428, obj_t BgL_nz00_8429, obj_t BgL_pz00_8430,
		obj_t BgL_arg0z00_8431, obj_t BgL_arg1z00_8432)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3289;
				obj_t BgL_pz00_3290;
				obj_t BgL_arg0z00_3291;
				obj_t BgL_arg1z00_3292;

				BgL_nz00_3289 = ((BgL_externz00_bglt) BgL_nz00_8429);
				BgL_pz00_3290 = BgL_pz00_8430;
				BgL_arg0z00_3291 = BgL_arg0z00_8431;
				BgL_arg1z00_3292 = BgL_arg1z00_8432;
				{
					obj_t BgL_fieldsz00_3298;

					BgL_fieldsz00_3298 =
						(((BgL_externz00_bglt) CREF(BgL_nz00_3289))->BgL_exprza2za2);
				BgL_zc3anonymousza33056ze3z83_3299:
					if (NULLP(BgL_fieldsz00_3298))
						{	/* Ast/walk.scm 299 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 299 */
							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg3058z00_3301;

								{	/* Ast/walk.scm 299 */
									obj_t BgL_arg3059z00_3302;

									BgL_arg3059z00_3302 = CAR(BgL_fieldsz00_3298);
									BgL_arg3058z00_3301 =
										PROCEDURE_ENTRY(BgL_pz00_3290) (BgL_pz00_3290,
										BgL_arg3059z00_3302, BgL_arg0z00_3291, BgL_arg1z00_3292,
										BEOA);
								}
								SET_CAR(BgL_fieldsz00_3298, BgL_arg3058z00_3301);
							}
							{
								obj_t BgL_fieldsz00_12963;

								BgL_fieldsz00_12963 = CDR(BgL_fieldsz00_3298);
								BgL_fieldsz00_3298 = BgL_fieldsz00_12963;
								goto BgL_zc3anonymousza33056ze3z83_3299;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3289);
			}
		}
	}



/* &walk1!-extern2336 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2extern2336za2zzast_walkz00(obj_t
		BgL_envz00_8433, obj_t BgL_nz00_8434, obj_t BgL_pz00_8435,
		obj_t BgL_arg0z00_8436)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3273;
				obj_t BgL_pz00_3274;
				obj_t BgL_arg0z00_3275;

				BgL_nz00_3273 = ((BgL_externz00_bglt) BgL_nz00_8434);
				BgL_pz00_3274 = BgL_pz00_8435;
				BgL_arg0z00_3275 = BgL_arg0z00_8436;
				{
					obj_t BgL_fieldsz00_3281;

					BgL_fieldsz00_3281 =
						(((BgL_externz00_bglt) CREF(BgL_nz00_3273))->BgL_exprza2za2);
				BgL_zc3anonymousza33049ze3z83_3282:
					if (NULLP(BgL_fieldsz00_3281))
						{	/* Ast/walk.scm 299 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 299 */
							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg3051z00_3284;

								{	/* Ast/walk.scm 299 */
									obj_t BgL_arg3052z00_3285;

									BgL_arg3052z00_3285 = CAR(BgL_fieldsz00_3281);
									BgL_arg3051z00_3284 =
										PROCEDURE_ENTRY(BgL_pz00_3274) (BgL_pz00_3274,
										BgL_arg3052z00_3285, BgL_arg0z00_3275, BEOA);
								}
								SET_CAR(BgL_fieldsz00_3281, BgL_arg3051z00_3284);
							}
							{
								obj_t BgL_fieldsz00_12977;

								BgL_fieldsz00_12977 = CDR(BgL_fieldsz00_3281);
								BgL_fieldsz00_3281 = BgL_fieldsz00_12977;
								goto BgL_zc3anonymousza33049ze3z83_3282;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3273);
			}
		}
	}



/* &walk0!-extern2334 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2extern2334za2zzast_walkz00(obj_t
		BgL_envz00_8437, obj_t BgL_nz00_8438, obj_t BgL_pz00_8439)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3258;
				obj_t BgL_pz00_3259;

				BgL_nz00_3258 = ((BgL_externz00_bglt) BgL_nz00_8438);
				BgL_pz00_3259 = BgL_pz00_8439;
				{
					obj_t BgL_fieldsz00_3265;

					BgL_fieldsz00_3265 =
						(((BgL_externz00_bglt) CREF(BgL_nz00_3258))->BgL_exprza2za2);
				BgL_zc3anonymousza33043ze3z83_3266:
					if (NULLP(BgL_fieldsz00_3265))
						{	/* Ast/walk.scm 299 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 299 */
							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg3045z00_3268;

								{	/* Ast/walk.scm 299 */
									obj_t BgL_arg3046z00_3269;

									BgL_arg3046z00_3269 = CAR(BgL_fieldsz00_3265);
									BgL_arg3045z00_3268 =
										PROCEDURE_ENTRY(BgL_pz00_3259) (BgL_pz00_3259,
										BgL_arg3046z00_3269, BEOA);
								}
								SET_CAR(BgL_fieldsz00_3265, BgL_arg3045z00_3268);
							}
							{
								obj_t BgL_fieldsz00_12990;

								BgL_fieldsz00_12990 = CDR(BgL_fieldsz00_3265);
								BgL_fieldsz00_3265 = BgL_fieldsz00_12990;
								goto BgL_zc3anonymousza33043ze3z83_3266;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3258);
			}
		}
	}



/* &walk3*-extern2332 */
	obj_t BGl_z62walk3za2zd2extern2332z12zzast_walkz00(obj_t BgL_envz00_8440,
		obj_t BgL_nz00_8441, obj_t BgL_pz00_8442, obj_t BgL_arg0z00_8443,
		obj_t BgL_arg1z00_8444, obj_t BgL_arg2z00_8445)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3237;
				obj_t BgL_pz00_3238;
				obj_t BgL_arg0z00_3239;
				obj_t BgL_arg1z00_3240;
				obj_t BgL_arg2z00_3241;

				BgL_nz00_3237 = ((BgL_externz00_bglt) BgL_nz00_8441);
				BgL_pz00_3238 = BgL_pz00_8442;
				BgL_arg0z00_3239 = BgL_arg0z00_8443;
				BgL_arg1z00_3240 = BgL_arg1z00_8444;
				BgL_arg2z00_3241 = BgL_arg2z00_8445;
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg3026z00_3245;

					BgL_arg3026z00_3245 =
						BGl_zc3anonymousza33028ze3z83zzast_walkz00(BgL_arg2z00_3241,
						BgL_arg1z00_3240, BgL_arg0z00_3239, BgL_pz00_3238,
						(((BgL_externz00_bglt) CREF(BgL_nz00_3237))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list3027z00_3246;

						BgL_list3027z00_3246 = MAKE_PAIR(BgL_arg3026z00_3245, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3027z00_3246);
					}
				}
			}
		}
	}



/* <anonymous:3028> */
	obj_t BGl_zc3anonymousza33028ze3z83zzast_walkz00(obj_t BgL_arg2z00_8785,
		obj_t BgL_arg1z00_8784, obj_t BgL_arg0z00_8783, obj_t BgL_pz00_8782,
		obj_t BgL_l2093z00_3249)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l2093z00_3249))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg3039z00_3252;
					obj_t BgL_arg3040z00_3253;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3254;

						BgL_fz00_3254 = CAR(BgL_l2093z00_3249);
						BgL_arg3039z00_3252 =
							PROCEDURE_ENTRY(BgL_pz00_8782) (BgL_pz00_8782, BgL_fz00_3254,
							BgL_arg0z00_8783, BgL_arg1z00_8784, BgL_arg2z00_8785, BEOA);
					}
					BgL_arg3040z00_3253 =
						BGl_zc3anonymousza33028ze3z83zzast_walkz00(BgL_arg2z00_8785,
						BgL_arg1z00_8784, BgL_arg0z00_8783, BgL_pz00_8782,
						CDR(BgL_l2093z00_3249));
					return bgl_append2(BgL_arg3039z00_3252, BgL_arg3040z00_3253);
				}
		}
	}



/* &walk2*-extern2330 */
	obj_t BGl_z62walk2za2zd2extern2330z12zzast_walkz00(obj_t BgL_envz00_8446,
		obj_t BgL_nz00_8447, obj_t BgL_pz00_8448, obj_t BgL_arg0z00_8449,
		obj_t BgL_arg1z00_8450)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3217;
				obj_t BgL_pz00_3218;
				obj_t BgL_arg0z00_3219;
				obj_t BgL_arg1z00_3220;

				BgL_nz00_3217 = ((BgL_externz00_bglt) BgL_nz00_8447);
				BgL_pz00_3218 = BgL_pz00_8448;
				BgL_arg0z00_3219 = BgL_arg0z00_8449;
				BgL_arg1z00_3220 = BgL_arg1z00_8450;
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg3019z00_3224;

					BgL_arg3019z00_3224 =
						BGl_zc3anonymousza33021ze3z83zzast_walkz00(BgL_arg1z00_3220,
						BgL_arg0z00_3219, BgL_pz00_3218,
						(((BgL_externz00_bglt) CREF(BgL_nz00_3217))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list3020z00_3225;

						BgL_list3020z00_3225 = MAKE_PAIR(BgL_arg3019z00_3224, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3020z00_3225);
					}
				}
			}
		}
	}



/* <anonymous:3021> */
	obj_t BGl_zc3anonymousza33021ze3z83zzast_walkz00(obj_t BgL_arg1z00_8781,
		obj_t BgL_arg0z00_8780, obj_t BgL_pz00_8779, obj_t BgL_l2090z00_3228)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l2090z00_3228))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg3023z00_3231;
					obj_t BgL_arg3024z00_3232;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3233;

						BgL_fz00_3233 = CAR(BgL_l2090z00_3228);
						BgL_arg3023z00_3231 =
							PROCEDURE_ENTRY(BgL_pz00_8779) (BgL_pz00_8779, BgL_fz00_3233,
							BgL_arg0z00_8780, BgL_arg1z00_8781, BEOA);
					}
					BgL_arg3024z00_3232 =
						BGl_zc3anonymousza33021ze3z83zzast_walkz00(BgL_arg1z00_8781,
						BgL_arg0z00_8780, BgL_pz00_8779, CDR(BgL_l2090z00_3228));
					return bgl_append2(BgL_arg3023z00_3231, BgL_arg3024z00_3232);
				}
		}
	}



/* &walk1*-extern2328 */
	obj_t BGl_z62walk1za2zd2extern2328z12zzast_walkz00(obj_t BgL_envz00_8451,
		obj_t BgL_nz00_8452, obj_t BgL_pz00_8453, obj_t BgL_arg0z00_8454)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3198;
				obj_t BgL_pz00_3199;
				obj_t BgL_arg0z00_3200;

				BgL_nz00_3198 = ((BgL_externz00_bglt) BgL_nz00_8452);
				BgL_pz00_3199 = BgL_pz00_8453;
				BgL_arg0z00_3200 = BgL_arg0z00_8454;
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg3012z00_3204;

					BgL_arg3012z00_3204 =
						BGl_zc3anonymousza33014ze3z83zzast_walkz00(BgL_arg0z00_3200,
						BgL_pz00_3199,
						(((BgL_externz00_bglt) CREF(BgL_nz00_3198))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list3013z00_3205;

						BgL_list3013z00_3205 = MAKE_PAIR(BgL_arg3012z00_3204, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3013z00_3205);
					}
				}
			}
		}
	}



/* <anonymous:3014> */
	obj_t BGl_zc3anonymousza33014ze3z83zzast_walkz00(obj_t BgL_arg0z00_8778,
		obj_t BgL_pz00_8777, obj_t BgL_l2087z00_3208)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l2087z00_3208))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg3016z00_3211;
					obj_t BgL_arg3017z00_3212;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3213;

						BgL_fz00_3213 = CAR(BgL_l2087z00_3208);
						BgL_arg3016z00_3211 =
							PROCEDURE_ENTRY(BgL_pz00_8777) (BgL_pz00_8777, BgL_fz00_3213,
							BgL_arg0z00_8778, BEOA);
					}
					BgL_arg3017z00_3212 =
						BGl_zc3anonymousza33014ze3z83zzast_walkz00(BgL_arg0z00_8778,
						BgL_pz00_8777, CDR(BgL_l2087z00_3208));
					return bgl_append2(BgL_arg3016z00_3211, BgL_arg3017z00_3212);
				}
		}
	}



/* &walk0*-extern2326 */
	obj_t BGl_z62walk0za2zd2extern2326z12zzast_walkz00(obj_t BgL_envz00_8455,
		obj_t BgL_nz00_8456, obj_t BgL_pz00_8457)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3180;
				obj_t BgL_pz00_3181;

				BgL_nz00_3180 = ((BgL_externz00_bglt) BgL_nz00_8456);
				BgL_pz00_3181 = BgL_pz00_8457;
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg3004z00_3185;

					BgL_arg3004z00_3185 =
						BGl_zc3anonymousza33006ze3z83zzast_walkz00(BgL_pz00_3181,
						(((BgL_externz00_bglt) CREF(BgL_nz00_3180))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list3005z00_3186;

						BgL_list3005z00_3186 = MAKE_PAIR(BgL_arg3004z00_3185, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3005z00_3186);
					}
				}
			}
		}
	}



/* <anonymous:3006> */
	obj_t BGl_zc3anonymousza33006ze3z83zzast_walkz00(obj_t BgL_pz00_8776,
		obj_t BgL_l2084z00_3189)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l2084z00_3189))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg3009z00_3192;
					obj_t BgL_arg3010z00_3193;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3194;

						BgL_fz00_3194 = CAR(BgL_l2084z00_3189);
						BgL_arg3009z00_3192 =
							PROCEDURE_ENTRY(BgL_pz00_8776) (BgL_pz00_8776, BgL_fz00_3194,
							BEOA);
					}
					BgL_arg3010z00_3193 =
						BGl_zc3anonymousza33006ze3z83zzast_walkz00(BgL_pz00_8776,
						CDR(BgL_l2084z00_3189));
					return bgl_append2(BgL_arg3009z00_3192, BgL_arg3010z00_3193);
				}
		}
	}



/* &walk3-extern2324 */
	obj_t BGl_z62walk3zd2extern2324zb0zzast_walkz00(obj_t BgL_envz00_8458,
		obj_t BgL_nz00_8459, obj_t BgL_pz00_8460, obj_t BgL_arg0z00_8461,
		obj_t BgL_arg1z00_8462, obj_t BgL_arg2z00_8463)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3163;
				obj_t BgL_pz00_3164;
				obj_t BgL_arg0z00_3165;
				obj_t BgL_arg1z00_3166;
				obj_t BgL_arg2z00_3167;

				BgL_nz00_3163 = ((BgL_externz00_bglt) BgL_nz00_8459);
				BgL_pz00_3164 = BgL_pz00_8460;
				BgL_arg0z00_3165 = BgL_arg0z00_8461;
				BgL_arg1z00_3166 = BgL_arg1z00_8462;
				BgL_arg2z00_3167 = BgL_arg2z00_8463;
				{	/* Ast/walk.scm 299 */
					obj_t BgL_g2082z00_3171;

					BgL_g2082z00_3171 =
						(((BgL_externz00_bglt) CREF(BgL_nz00_3163))->BgL_exprza2za2);
					{
						obj_t BgL_l2080z00_3173;

						{	/* Ast/walk.scm 299 */
							bool_t BgL_auxz00_13062;

							BgL_l2080z00_3173 = BgL_g2082z00_3171;
						BgL_zc3anonymousza33000ze3z83_3174:
							if (PAIRP(BgL_l2080z00_3173))
								{	/* Ast/walk.scm 299 */
									{	/* Ast/walk.scm 299 */
										obj_t BgL_fz00_3176;

										BgL_fz00_3176 = CAR(BgL_l2080z00_3173);
										PROCEDURE_ENTRY(BgL_pz00_3164) (BgL_pz00_3164,
											BgL_fz00_3176, BgL_arg0z00_3165, BgL_arg1z00_3166,
											BgL_arg2z00_3167, BEOA);
									}
									{
										obj_t BgL_l2080z00_13073;

										BgL_l2080z00_13073 = CDR(BgL_l2080z00_3173);
										BgL_l2080z00_3173 = BgL_l2080z00_13073;
										goto BgL_zc3anonymousza33000ze3z83_3174;
									}
								}
							else
								{	/* Ast/walk.scm 299 */
									BgL_auxz00_13062 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13062);
						}
					}
				}
			}
		}
	}



/* &walk2-extern2322 */
	obj_t BGl_z62walk2zd2extern2322zb0zzast_walkz00(obj_t BgL_envz00_8464,
		obj_t BgL_nz00_8465, obj_t BgL_pz00_8466, obj_t BgL_arg0z00_8467,
		obj_t BgL_arg1z00_8468)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3147;
				obj_t BgL_pz00_3148;
				obj_t BgL_arg0z00_3149;
				obj_t BgL_arg1z00_3150;

				BgL_nz00_3147 = ((BgL_externz00_bglt) BgL_nz00_8465);
				BgL_pz00_3148 = BgL_pz00_8466;
				BgL_arg0z00_3149 = BgL_arg0z00_8467;
				BgL_arg1z00_3150 = BgL_arg1z00_8468;
				{	/* Ast/walk.scm 299 */
					obj_t BgL_g2079z00_3154;

					BgL_g2079z00_3154 =
						(((BgL_externz00_bglt) CREF(BgL_nz00_3147))->BgL_exprza2za2);
					{
						obj_t BgL_l2077z00_3156;

						{	/* Ast/walk.scm 299 */
							bool_t BgL_auxz00_13078;

							BgL_l2077z00_3156 = BgL_g2079z00_3154;
						BgL_zc3anonymousza32992ze3z83_3157:
							if (PAIRP(BgL_l2077z00_3156))
								{	/* Ast/walk.scm 299 */
									{	/* Ast/walk.scm 299 */
										obj_t BgL_fz00_3159;

										BgL_fz00_3159 = CAR(BgL_l2077z00_3156);
										PROCEDURE_ENTRY(BgL_pz00_3148) (BgL_pz00_3148,
											BgL_fz00_3159, BgL_arg0z00_3149, BgL_arg1z00_3150, BEOA);
									}
									{
										obj_t BgL_l2077z00_13088;

										BgL_l2077z00_13088 = CDR(BgL_l2077z00_3156);
										BgL_l2077z00_3156 = BgL_l2077z00_13088;
										goto BgL_zc3anonymousza32992ze3z83_3157;
									}
								}
							else
								{	/* Ast/walk.scm 299 */
									BgL_auxz00_13078 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13078);
						}
					}
				}
			}
		}
	}



/* &walk1-extern2320 */
	obj_t BGl_z62walk1zd2extern2320zb0zzast_walkz00(obj_t BgL_envz00_8469,
		obj_t BgL_nz00_8470, obj_t BgL_pz00_8471, obj_t BgL_arg0z00_8472)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3132;
				obj_t BgL_pz00_3133;
				obj_t BgL_arg0z00_3134;

				BgL_nz00_3132 = ((BgL_externz00_bglt) BgL_nz00_8470);
				BgL_pz00_3133 = BgL_pz00_8471;
				BgL_arg0z00_3134 = BgL_arg0z00_8472;
				{	/* Ast/walk.scm 299 */
					obj_t BgL_g2076z00_3138;

					BgL_g2076z00_3138 =
						(((BgL_externz00_bglt) CREF(BgL_nz00_3132))->BgL_exprza2za2);
					{
						obj_t BgL_l2074z00_3140;

						{	/* Ast/walk.scm 299 */
							bool_t BgL_auxz00_13093;

							BgL_l2074z00_3140 = BgL_g2076z00_3138;
						BgL_zc3anonymousza32986ze3z83_3141:
							if (PAIRP(BgL_l2074z00_3140))
								{	/* Ast/walk.scm 299 */
									{	/* Ast/walk.scm 299 */
										obj_t BgL_fz00_3143;

										BgL_fz00_3143 = CAR(BgL_l2074z00_3140);
										PROCEDURE_ENTRY(BgL_pz00_3133) (BgL_pz00_3133,
											BgL_fz00_3143, BgL_arg0z00_3134, BEOA);
									}
									{
										obj_t BgL_l2074z00_13102;

										BgL_l2074z00_13102 = CDR(BgL_l2074z00_3140);
										BgL_l2074z00_3140 = BgL_l2074z00_13102;
										goto BgL_zc3anonymousza32986ze3z83_3141;
									}
								}
							else
								{	/* Ast/walk.scm 299 */
									BgL_auxz00_13093 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13093);
						}
					}
				}
			}
		}
	}



/* &walk0-extern2318 */
	obj_t BGl_z62walk0zd2extern2318zb0zzast_walkz00(obj_t BgL_envz00_8473,
		obj_t BgL_nz00_8474, obj_t BgL_pz00_8475)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 299 */
			{
				BgL_externz00_bglt BgL_nz00_3118;
				obj_t BgL_pz00_3119;

				BgL_nz00_3118 = ((BgL_externz00_bglt) BgL_nz00_8474);
				BgL_pz00_3119 = BgL_pz00_8475;
				{	/* Ast/walk.scm 299 */
					obj_t BgL_g2073z00_3123;

					BgL_g2073z00_3123 =
						(((BgL_externz00_bglt) CREF(BgL_nz00_3118))->BgL_exprza2za2);
					{
						obj_t BgL_l2071z00_3125;

						{	/* Ast/walk.scm 299 */
							bool_t BgL_auxz00_13107;

							BgL_l2071z00_3125 = BgL_g2073z00_3123;
						BgL_zc3anonymousza32983ze3z83_3126:
							if (PAIRP(BgL_l2071z00_3125))
								{	/* Ast/walk.scm 299 */
									{	/* Ast/walk.scm 299 */
										obj_t BgL_fz00_3128;

										BgL_fz00_3128 = CAR(BgL_l2071z00_3125);
										PROCEDURE_ENTRY(BgL_pz00_3119) (BgL_pz00_3119,
											BgL_fz00_3128, BEOA);
									}
									{
										obj_t BgL_l2071z00_13115;

										BgL_l2071z00_13115 = CDR(BgL_l2071z00_3125);
										BgL_l2071z00_3125 = BgL_l2071z00_13115;
										goto BgL_zc3anonymousza32983ze3z83_3126;
									}
								}
							else
								{	/* Ast/walk.scm 299 */
									BgL_auxz00_13107 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13107);
						}
					}
				}
			}
		}
	}



/* &walk3!-funcall2316 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2funcall2316za2zzast_walkz00(obj_t
		BgL_envz00_8476, obj_t BgL_nz00_8477, obj_t BgL_pz00_8478,
		obj_t BgL_arg0z00_8479, obj_t BgL_arg1z00_8480, obj_t BgL_arg2z00_8481)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_3099;
				obj_t BgL_pz00_3100;
				obj_t BgL_arg0z00_3101;
				obj_t BgL_arg1z00_3102;
				obj_t BgL_arg2z00_3103;

				BgL_nz00_3099 = ((BgL_funcallz00_bglt) BgL_nz00_8477);
				BgL_pz00_3100 = BgL_pz00_8478;
				BgL_arg0z00_3101 = BgL_arg0z00_8479;
				BgL_arg1z00_3102 = BgL_arg1z00_8480;
				BgL_arg2z00_3103 = BgL_arg2z00_8481;
				{
					BgL_nodez00_bglt BgL_auxz00_13119;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2976z00_3107;

						BgL_arg2976z00_3107 =
							(((BgL_funcallz00_bglt) CREF(BgL_nz00_3099))->BgL_funz00);
						BgL_auxz00_13119 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3100) (BgL_pz00_3100,
								((obj_t) BgL_arg2976z00_3107), BgL_arg0z00_3101,
								BgL_arg1z00_3102, BgL_arg2z00_3103, BEOA));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nz00_3099))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13119), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_3110;

					BgL_fieldsz00_3110 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_3099))->BgL_argsz00);
				BgL_zc3anonymousza32978ze3z83_3111:
					if (NULLP(BgL_fieldsz00_3110))
						{	/* Ast/walk.scm 298 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 298 */
							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2980z00_3113;

								{	/* Ast/walk.scm 298 */
									obj_t BgL_arg2981z00_3114;

									BgL_arg2981z00_3114 = CAR(BgL_fieldsz00_3110);
									BgL_arg2980z00_3113 =
										PROCEDURE_ENTRY(BgL_pz00_3100) (BgL_pz00_3100,
										BgL_arg2981z00_3114, BgL_arg0z00_3101, BgL_arg1z00_3102,
										BgL_arg2z00_3103, BEOA);
								}
								SET_CAR(BgL_fieldsz00_3110, BgL_arg2980z00_3113);
							}
							{
								obj_t BgL_fieldsz00_13142;

								BgL_fieldsz00_13142 = CDR(BgL_fieldsz00_3110);
								BgL_fieldsz00_3110 = BgL_fieldsz00_13142;
								goto BgL_zc3anonymousza32978ze3z83_3111;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3099);
			}
		}
	}



/* &walk2!-funcall2314 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2funcall2314za2zzast_walkz00(obj_t
		BgL_envz00_8482, obj_t BgL_nz00_8483, obj_t BgL_pz00_8484,
		obj_t BgL_arg0z00_8485, obj_t BgL_arg1z00_8486)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_3081;
				obj_t BgL_pz00_3082;
				obj_t BgL_arg0z00_3083;
				obj_t BgL_arg1z00_3084;

				BgL_nz00_3081 = ((BgL_funcallz00_bglt) BgL_nz00_8483);
				BgL_pz00_3082 = BgL_pz00_8484;
				BgL_arg0z00_3083 = BgL_arg0z00_8485;
				BgL_arg1z00_3084 = BgL_arg1z00_8486;
				{
					BgL_nodez00_bglt BgL_auxz00_13147;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2968z00_3088;

						BgL_arg2968z00_3088 =
							(((BgL_funcallz00_bglt) CREF(BgL_nz00_3081))->BgL_funz00);
						BgL_auxz00_13147 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3082) (BgL_pz00_3082,
								((obj_t) BgL_arg2968z00_3088), BgL_arg0z00_3083,
								BgL_arg1z00_3084, BEOA));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nz00_3081))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13147), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_3091;

					BgL_fieldsz00_3091 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_3081))->BgL_argsz00);
				BgL_zc3anonymousza32970ze3z83_3092:
					if (NULLP(BgL_fieldsz00_3091))
						{	/* Ast/walk.scm 298 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 298 */
							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2972z00_3094;

								{	/* Ast/walk.scm 298 */
									obj_t BgL_arg2974z00_3095;

									BgL_arg2974z00_3095 = CAR(BgL_fieldsz00_3091);
									BgL_arg2972z00_3094 =
										PROCEDURE_ENTRY(BgL_pz00_3082) (BgL_pz00_3082,
										BgL_arg2974z00_3095, BgL_arg0z00_3083, BgL_arg1z00_3084,
										BEOA);
								}
								SET_CAR(BgL_fieldsz00_3091, BgL_arg2972z00_3094);
							}
							{
								obj_t BgL_fieldsz00_13168;

								BgL_fieldsz00_13168 = CDR(BgL_fieldsz00_3091);
								BgL_fieldsz00_3091 = BgL_fieldsz00_13168;
								goto BgL_zc3anonymousza32970ze3z83_3092;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3081);
			}
		}
	}



/* &walk1!-funcall2312 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2funcall2312za2zzast_walkz00(obj_t
		BgL_envz00_8487, obj_t BgL_nz00_8488, obj_t BgL_pz00_8489,
		obj_t BgL_arg0z00_8490)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_3064;
				obj_t BgL_pz00_3065;
				obj_t BgL_arg0z00_3066;

				BgL_nz00_3064 = ((BgL_funcallz00_bglt) BgL_nz00_8488);
				BgL_pz00_3065 = BgL_pz00_8489;
				BgL_arg0z00_3066 = BgL_arg0z00_8490;
				{
					BgL_nodez00_bglt BgL_auxz00_13173;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2960z00_3070;

						BgL_arg2960z00_3070 =
							(((BgL_funcallz00_bglt) CREF(BgL_nz00_3064))->BgL_funz00);
						BgL_auxz00_13173 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3065) (BgL_pz00_3065,
								((obj_t) BgL_arg2960z00_3070), BgL_arg0z00_3066, BEOA));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nz00_3064))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13173), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_3073;

					BgL_fieldsz00_3073 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_3064))->BgL_argsz00);
				BgL_zc3anonymousza32962ze3z83_3074:
					if (NULLP(BgL_fieldsz00_3073))
						{	/* Ast/walk.scm 298 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 298 */
							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2964z00_3076;

								{	/* Ast/walk.scm 298 */
									obj_t BgL_arg2966z00_3077;

									BgL_arg2966z00_3077 = CAR(BgL_fieldsz00_3073);
									BgL_arg2964z00_3076 =
										PROCEDURE_ENTRY(BgL_pz00_3065) (BgL_pz00_3065,
										BgL_arg2966z00_3077, BgL_arg0z00_3066, BEOA);
								}
								SET_CAR(BgL_fieldsz00_3073, BgL_arg2964z00_3076);
							}
							{
								obj_t BgL_fieldsz00_13192;

								BgL_fieldsz00_13192 = CDR(BgL_fieldsz00_3073);
								BgL_fieldsz00_3073 = BgL_fieldsz00_13192;
								goto BgL_zc3anonymousza32962ze3z83_3074;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3064);
			}
		}
	}



/* &walk0!-funcall2310 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2funcall2310za2zzast_walkz00(obj_t
		BgL_envz00_8491, obj_t BgL_nz00_8492, obj_t BgL_pz00_8493)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_3048;
				obj_t BgL_pz00_3049;

				BgL_nz00_3048 = ((BgL_funcallz00_bglt) BgL_nz00_8492);
				BgL_pz00_3049 = BgL_pz00_8493;
				{
					BgL_nodez00_bglt BgL_auxz00_13197;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2952z00_3053;

						BgL_arg2952z00_3053 =
							(((BgL_funcallz00_bglt) CREF(BgL_nz00_3048))->BgL_funz00);
						BgL_auxz00_13197 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_3049) (BgL_pz00_3049,
								((obj_t) BgL_arg2952z00_3053), BEOA));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nz00_3048))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13197), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_3056;

					BgL_fieldsz00_3056 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_3048))->BgL_argsz00);
				BgL_zc3anonymousza32954ze3z83_3057:
					if (NULLP(BgL_fieldsz00_3056))
						{	/* Ast/walk.scm 298 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 298 */
							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2956z00_3059;

								{	/* Ast/walk.scm 298 */
									obj_t BgL_arg2958z00_3060;

									BgL_arg2958z00_3060 = CAR(BgL_fieldsz00_3056);
									BgL_arg2956z00_3059 =
										PROCEDURE_ENTRY(BgL_pz00_3049) (BgL_pz00_3049,
										BgL_arg2958z00_3060, BEOA);
								}
								SET_CAR(BgL_fieldsz00_3056, BgL_arg2956z00_3059);
							}
							{
								obj_t BgL_fieldsz00_13214;

								BgL_fieldsz00_13214 = CDR(BgL_fieldsz00_3056);
								BgL_fieldsz00_3056 = BgL_fieldsz00_13214;
								goto BgL_zc3anonymousza32954ze3z83_3057;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_3048);
			}
		}
	}



/* &walk3*-funcall2308 */
	obj_t BGl_z62walk3za2zd2funcall2308z12zzast_walkz00(obj_t BgL_envz00_8494,
		obj_t BgL_nz00_8495, obj_t BgL_pz00_8496, obj_t BgL_arg0z00_8497,
		obj_t BgL_arg1z00_8498, obj_t BgL_arg2z00_8499)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_3026;
				obj_t BgL_pz00_3027;
				obj_t BgL_arg0z00_3028;
				obj_t BgL_arg1z00_3029;
				obj_t BgL_arg2z00_3030;

				BgL_nz00_3026 = ((BgL_funcallz00_bglt) BgL_nz00_8495);
				BgL_pz00_3027 = BgL_pz00_8496;
				BgL_arg0z00_3028 = BgL_arg0z00_8497;
				BgL_arg1z00_3029 = BgL_arg1z00_8498;
				BgL_arg2z00_3030 = BgL_arg2z00_8499;
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2943z00_3034;
					obj_t BgL_arg2944z00_3035;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2945z00_3036;

						BgL_arg2945z00_3036 =
							(((BgL_funcallz00_bglt) CREF(BgL_nz00_3026))->BgL_funz00);
						BgL_arg2943z00_3034 =
							PROCEDURE_ENTRY(BgL_pz00_3027) (BgL_pz00_3027,
							((obj_t) BgL_arg2945z00_3036), BgL_arg0z00_3028, BgL_arg1z00_3029,
							BgL_arg2z00_3030, BEOA);
					}
					BgL_arg2944z00_3035 =
						BGl_zc3anonymousza32946ze3z83zzast_walkz00(BgL_arg2z00_3030,
						BgL_arg1z00_3029, BgL_arg0z00_3028, BgL_pz00_3027,
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_3026))->BgL_argsz00));
					return BGl_appendzd221011zd2zzast_walkz00(BgL_arg2943z00_3034,
						BgL_arg2944z00_3035);
				}
			}
		}
	}



/* <anonymous:2946> */
	obj_t BGl_zc3anonymousza32946ze3z83zzast_walkz00(obj_t BgL_arg2z00_8775,
		obj_t BgL_arg1z00_8774, obj_t BgL_arg0z00_8773, obj_t BgL_pz00_8772,
		obj_t BgL_l2069z00_3039)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l2069z00_3039))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2948z00_3042;
					obj_t BgL_arg2950z00_3043;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3044;

						BgL_fz00_3044 = CAR(BgL_l2069z00_3039);
						BgL_arg2948z00_3042 =
							PROCEDURE_ENTRY(BgL_pz00_8772) (BgL_pz00_8772, BgL_fz00_3044,
							BgL_arg0z00_8773, BgL_arg1z00_8774, BgL_arg2z00_8775, BEOA);
					}
					BgL_arg2950z00_3043 =
						BGl_zc3anonymousza32946ze3z83zzast_walkz00(BgL_arg2z00_8775,
						BgL_arg1z00_8774, BgL_arg0z00_8773, BgL_pz00_8772,
						CDR(BgL_l2069z00_3039));
					return bgl_append2(BgL_arg2948z00_3042, BgL_arg2950z00_3043);
				}
		}
	}



/* &walk2*-funcall2306 */
	obj_t BGl_z62walk2za2zd2funcall2306z12zzast_walkz00(obj_t BgL_envz00_8500,
		obj_t BgL_nz00_8501, obj_t BgL_pz00_8502, obj_t BgL_arg0z00_8503,
		obj_t BgL_arg1z00_8504)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_3005;
				obj_t BgL_pz00_3006;
				obj_t BgL_arg0z00_3007;
				obj_t BgL_arg1z00_3008;

				BgL_nz00_3005 = ((BgL_funcallz00_bglt) BgL_nz00_8501);
				BgL_pz00_3006 = BgL_pz00_8502;
				BgL_arg0z00_3007 = BgL_arg0z00_8503;
				BgL_arg1z00_3008 = BgL_arg1z00_8504;
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2934z00_3012;
					obj_t BgL_arg2935z00_3013;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2936z00_3014;

						BgL_arg2936z00_3014 =
							(((BgL_funcallz00_bglt) CREF(BgL_nz00_3005))->BgL_funz00);
						BgL_arg2934z00_3012 =
							PROCEDURE_ENTRY(BgL_pz00_3006) (BgL_pz00_3006,
							((obj_t) BgL_arg2936z00_3014), BgL_arg0z00_3007, BgL_arg1z00_3008,
							BEOA);
					}
					BgL_arg2935z00_3013 =
						BGl_zc3anonymousza32937ze3z83zzast_walkz00(BgL_arg1z00_3008,
						BgL_arg0z00_3007, BgL_pz00_3006,
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_3005))->BgL_argsz00));
					return BGl_appendzd221011zd2zzast_walkz00(BgL_arg2934z00_3012,
						BgL_arg2935z00_3013);
				}
			}
		}
	}



/* <anonymous:2937> */
	obj_t BGl_zc3anonymousza32937ze3z83zzast_walkz00(obj_t BgL_arg1z00_8771,
		obj_t BgL_arg0z00_8770, obj_t BgL_pz00_8769, obj_t BgL_l2066z00_3017)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l2066z00_3017))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2939z00_3020;
					obj_t BgL_arg2940z00_3021;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3022;

						BgL_fz00_3022 = CAR(BgL_l2066z00_3017);
						BgL_arg2939z00_3020 =
							PROCEDURE_ENTRY(BgL_pz00_8769) (BgL_pz00_8769, BgL_fz00_3022,
							BgL_arg0z00_8770, BgL_arg1z00_8771, BEOA);
					}
					BgL_arg2940z00_3021 =
						BGl_zc3anonymousza32937ze3z83zzast_walkz00(BgL_arg1z00_8771,
						BgL_arg0z00_8770, BgL_pz00_8769, CDR(BgL_l2066z00_3017));
					return bgl_append2(BgL_arg2939z00_3020, BgL_arg2940z00_3021);
				}
		}
	}



/* &walk1*-funcall2304 */
	obj_t BGl_z62walk1za2zd2funcall2304z12zzast_walkz00(obj_t BgL_envz00_8505,
		obj_t BgL_nz00_8506, obj_t BgL_pz00_8507, obj_t BgL_arg0z00_8508)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_2985;
				obj_t BgL_pz00_2986;
				obj_t BgL_arg0z00_2987;

				BgL_nz00_2985 = ((BgL_funcallz00_bglt) BgL_nz00_8506);
				BgL_pz00_2986 = BgL_pz00_8507;
				BgL_arg0z00_2987 = BgL_arg0z00_8508;
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2925z00_2991;
					obj_t BgL_arg2926z00_2992;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2927z00_2993;

						BgL_arg2927z00_2993 =
							(((BgL_funcallz00_bglt) CREF(BgL_nz00_2985))->BgL_funz00);
						BgL_arg2925z00_2991 =
							PROCEDURE_ENTRY(BgL_pz00_2986) (BgL_pz00_2986,
							((obj_t) BgL_arg2927z00_2993), BgL_arg0z00_2987, BEOA);
					}
					BgL_arg2926z00_2992 =
						BGl_zc3anonymousza32928ze3z83zzast_walkz00(BgL_arg0z00_2987,
						BgL_pz00_2986,
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2985))->BgL_argsz00));
					return BGl_appendzd221011zd2zzast_walkz00(BgL_arg2925z00_2991,
						BgL_arg2926z00_2992);
				}
			}
		}
	}



/* <anonymous:2928> */
	obj_t BGl_zc3anonymousza32928ze3z83zzast_walkz00(obj_t BgL_arg0z00_8768,
		obj_t BgL_pz00_8767, obj_t BgL_l2063z00_2996)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l2063z00_2996))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2930z00_2999;
					obj_t BgL_arg2931z00_3000;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3001;

						BgL_fz00_3001 = CAR(BgL_l2063z00_2996);
						BgL_arg2930z00_2999 =
							PROCEDURE_ENTRY(BgL_pz00_8767) (BgL_pz00_8767, BgL_fz00_3001,
							BgL_arg0z00_8768, BEOA);
					}
					BgL_arg2931z00_3000 =
						BGl_zc3anonymousza32928ze3z83zzast_walkz00(BgL_arg0z00_8768,
						BgL_pz00_8767, CDR(BgL_l2063z00_2996));
					return bgl_append2(BgL_arg2930z00_2999, BgL_arg2931z00_3000);
				}
		}
	}



/* &walk0*-funcall2302 */
	obj_t BGl_z62walk0za2zd2funcall2302z12zzast_walkz00(obj_t BgL_envz00_8509,
		obj_t BgL_nz00_8510, obj_t BgL_pz00_8511)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_2966;
				obj_t BgL_pz00_2967;

				BgL_nz00_2966 = ((BgL_funcallz00_bglt) BgL_nz00_8510);
				BgL_pz00_2967 = BgL_pz00_8511;
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2916z00_2971;
					obj_t BgL_arg2917z00_2972;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2918z00_2973;

						BgL_arg2918z00_2973 =
							(((BgL_funcallz00_bglt) CREF(BgL_nz00_2966))->BgL_funz00);
						BgL_arg2916z00_2971 =
							PROCEDURE_ENTRY(BgL_pz00_2967) (BgL_pz00_2967,
							((obj_t) BgL_arg2918z00_2973), BEOA);
					}
					BgL_arg2917z00_2972 =
						BGl_zc3anonymousza32919ze3z83zzast_walkz00(BgL_pz00_2967,
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2966))->BgL_argsz00));
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2916z00_2971,
						BgL_arg2917z00_2972);
				}
			}
		}
	}



/* <anonymous:2919> */
	obj_t BGl_zc3anonymousza32919ze3z83zzast_walkz00(obj_t BgL_pz00_8766,
		obj_t BgL_l2060z00_2976)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l2060z00_2976))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2921z00_2979;
					obj_t BgL_arg2922z00_2980;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_2981;

						BgL_fz00_2981 = CAR(BgL_l2060z00_2976);
						BgL_arg2921z00_2979 =
							PROCEDURE_ENTRY(BgL_pz00_8766) (BgL_pz00_8766, BgL_fz00_2981,
							BEOA);
					}
					BgL_arg2922z00_2980 =
						BGl_zc3anonymousza32919ze3z83zzast_walkz00(BgL_pz00_8766,
						CDR(BgL_l2060z00_2976));
					return bgl_append2(BgL_arg2921z00_2979, BgL_arg2922z00_2980);
				}
		}
	}



/* &walk3-funcall2300 */
	obj_t BGl_z62walk3zd2funcall2300zb0zzast_walkz00(obj_t BgL_envz00_8512,
		obj_t BgL_nz00_8513, obj_t BgL_pz00_8514, obj_t BgL_arg0z00_8515,
		obj_t BgL_arg1z00_8516, obj_t BgL_arg2z00_8517)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_2948;
				obj_t BgL_pz00_2949;
				obj_t BgL_arg0z00_2950;
				obj_t BgL_arg1z00_2951;
				obj_t BgL_arg2z00_2952;

				BgL_nz00_2948 = ((BgL_funcallz00_bglt) BgL_nz00_8513);
				BgL_pz00_2949 = BgL_pz00_8514;
				BgL_arg0z00_2950 = BgL_arg0z00_8515;
				BgL_arg1z00_2951 = BgL_arg1z00_8516;
				BgL_arg2z00_2952 = BgL_arg2z00_8517;
				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2912z00_2956;

					BgL_arg2912z00_2956 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2948))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2949) (BgL_pz00_2949,
						((obj_t) BgL_arg2912z00_2956), BgL_arg0z00_2950, BgL_arg1z00_2951,
						BgL_arg2z00_2952, BEOA);
				}
				{	/* Ast/walk.scm 298 */
					obj_t BgL_g2058z00_2957;

					BgL_g2058z00_2957 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2948))->BgL_argsz00);
					{
						obj_t BgL_l2056z00_2959;

						{	/* Ast/walk.scm 298 */
							bool_t BgL_auxz00_13321;

							BgL_l2056z00_2959 = BgL_g2058z00_2957;
						BgL_zc3anonymousza32913ze3z83_2960:
							if (PAIRP(BgL_l2056z00_2959))
								{	/* Ast/walk.scm 298 */
									{	/* Ast/walk.scm 298 */
										obj_t BgL_fz00_2962;

										BgL_fz00_2962 = CAR(BgL_l2056z00_2959);
										PROCEDURE_ENTRY(BgL_pz00_2949) (BgL_pz00_2949,
											BgL_fz00_2962, BgL_arg0z00_2950, BgL_arg1z00_2951,
											BgL_arg2z00_2952, BEOA);
									}
									{
										obj_t BgL_l2056z00_13332;

										BgL_l2056z00_13332 = CDR(BgL_l2056z00_2959);
										BgL_l2056z00_2959 = BgL_l2056z00_13332;
										goto BgL_zc3anonymousza32913ze3z83_2960;
									}
								}
							else
								{	/* Ast/walk.scm 298 */
									BgL_auxz00_13321 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13321);
						}
					}
				}
			}
		}
	}



/* &walk2-funcall2298 */
	obj_t BGl_z62walk2zd2funcall2298zb0zzast_walkz00(obj_t BgL_envz00_8518,
		obj_t BgL_nz00_8519, obj_t BgL_pz00_8520, obj_t BgL_arg0z00_8521,
		obj_t BgL_arg1z00_8522)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_2931;
				obj_t BgL_pz00_2932;
				obj_t BgL_arg0z00_2933;
				obj_t BgL_arg1z00_2934;

				BgL_nz00_2931 = ((BgL_funcallz00_bglt) BgL_nz00_8519);
				BgL_pz00_2932 = BgL_pz00_8520;
				BgL_arg0z00_2933 = BgL_arg0z00_8521;
				BgL_arg1z00_2934 = BgL_arg1z00_8522;
				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2908z00_2938;

					BgL_arg2908z00_2938 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2931))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2932) (BgL_pz00_2932,
						((obj_t) BgL_arg2908z00_2938), BgL_arg0z00_2933, BgL_arg1z00_2934,
						BEOA);
				}
				{	/* Ast/walk.scm 298 */
					obj_t BgL_g2055z00_2939;

					BgL_g2055z00_2939 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2931))->BgL_argsz00);
					{
						obj_t BgL_l2053z00_2941;

						{	/* Ast/walk.scm 298 */
							bool_t BgL_auxz00_13345;

							BgL_l2053z00_2941 = BgL_g2055z00_2939;
						BgL_zc3anonymousza32909ze3z83_2942:
							if (PAIRP(BgL_l2053z00_2941))
								{	/* Ast/walk.scm 298 */
									{	/* Ast/walk.scm 298 */
										obj_t BgL_fz00_2944;

										BgL_fz00_2944 = CAR(BgL_l2053z00_2941);
										PROCEDURE_ENTRY(BgL_pz00_2932) (BgL_pz00_2932,
											BgL_fz00_2944, BgL_arg0z00_2933, BgL_arg1z00_2934, BEOA);
									}
									{
										obj_t BgL_l2053z00_13355;

										BgL_l2053z00_13355 = CDR(BgL_l2053z00_2941);
										BgL_l2053z00_2941 = BgL_l2053z00_13355;
										goto BgL_zc3anonymousza32909ze3z83_2942;
									}
								}
							else
								{	/* Ast/walk.scm 298 */
									BgL_auxz00_13345 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13345);
						}
					}
				}
			}
		}
	}



/* &walk1-funcall2296 */
	obj_t BGl_z62walk1zd2funcall2296zb0zzast_walkz00(obj_t BgL_envz00_8523,
		obj_t BgL_nz00_8524, obj_t BgL_pz00_8525, obj_t BgL_arg0z00_8526)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_2915;
				obj_t BgL_pz00_2916;
				obj_t BgL_arg0z00_2917;

				BgL_nz00_2915 = ((BgL_funcallz00_bglt) BgL_nz00_8524);
				BgL_pz00_2916 = BgL_pz00_8525;
				BgL_arg0z00_2917 = BgL_arg0z00_8526;
				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2903z00_2921;

					BgL_arg2903z00_2921 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2915))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2916) (BgL_pz00_2916,
						((obj_t) BgL_arg2903z00_2921), BgL_arg0z00_2917, BEOA);
				}
				{	/* Ast/walk.scm 298 */
					obj_t BgL_g2052z00_2922;

					BgL_g2052z00_2922 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2915))->BgL_argsz00);
					{
						obj_t BgL_l2050z00_2924;

						{	/* Ast/walk.scm 298 */
							bool_t BgL_auxz00_13367;

							BgL_l2050z00_2924 = BgL_g2052z00_2922;
						BgL_zc3anonymousza32904ze3z83_2925:
							if (PAIRP(BgL_l2050z00_2924))
								{	/* Ast/walk.scm 298 */
									{	/* Ast/walk.scm 298 */
										obj_t BgL_fz00_2927;

										BgL_fz00_2927 = CAR(BgL_l2050z00_2924);
										PROCEDURE_ENTRY(BgL_pz00_2916) (BgL_pz00_2916,
											BgL_fz00_2927, BgL_arg0z00_2917, BEOA);
									}
									{
										obj_t BgL_l2050z00_13376;

										BgL_l2050z00_13376 = CDR(BgL_l2050z00_2924);
										BgL_l2050z00_2924 = BgL_l2050z00_13376;
										goto BgL_zc3anonymousza32904ze3z83_2925;
									}
								}
							else
								{	/* Ast/walk.scm 298 */
									BgL_auxz00_13367 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13367);
						}
					}
				}
			}
		}
	}



/* &walk0-funcall2294 */
	obj_t BGl_z62walk0zd2funcall2294zb0zzast_walkz00(obj_t BgL_envz00_8527,
		obj_t BgL_nz00_8528, obj_t BgL_pz00_8529)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 298 */
			{
				BgL_funcallz00_bglt BgL_nz00_2900;
				obj_t BgL_pz00_2901;

				BgL_nz00_2900 = ((BgL_funcallz00_bglt) BgL_nz00_8528);
				BgL_pz00_2901 = BgL_pz00_8529;
				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2899z00_2905;

					BgL_arg2899z00_2905 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2900))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2901) (BgL_pz00_2901,
						((obj_t) BgL_arg2899z00_2905), BEOA);
				}
				{	/* Ast/walk.scm 298 */
					obj_t BgL_g2049z00_2906;

					BgL_g2049z00_2906 =
						(((BgL_funcallz00_bglt) CREF(BgL_nz00_2900))->BgL_argsz00);
					{
						obj_t BgL_l2047z00_2908;

						{	/* Ast/walk.scm 298 */
							bool_t BgL_auxz00_13387;

							BgL_l2047z00_2908 = BgL_g2049z00_2906;
						BgL_zc3anonymousza32900ze3z83_2909:
							if (PAIRP(BgL_l2047z00_2908))
								{	/* Ast/walk.scm 298 */
									{	/* Ast/walk.scm 298 */
										obj_t BgL_fz00_2911;

										BgL_fz00_2911 = CAR(BgL_l2047z00_2908);
										PROCEDURE_ENTRY(BgL_pz00_2901) (BgL_pz00_2901,
											BgL_fz00_2911, BEOA);
									}
									{
										obj_t BgL_l2047z00_13395;

										BgL_l2047z00_13395 = CDR(BgL_l2047z00_2908);
										BgL_l2047z00_2908 = BgL_l2047z00_13395;
										goto BgL_zc3anonymousza32900ze3z83_2909;
									}
								}
							else
								{	/* Ast/walk.scm 298 */
									BgL_auxz00_13387 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13387);
						}
					}
				}
			}
		}
	}



/* &walk3!-app-ly2292 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2appzd2ly2292z70zzast_walkz00(obj_t
		BgL_envz00_8530, obj_t BgL_nz00_8531, obj_t BgL_pz00_8532,
		obj_t BgL_arg0z00_8533, obj_t BgL_arg1z00_8534, obj_t BgL_arg2z00_8535)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2889;
				obj_t BgL_pz00_2890;
				obj_t BgL_arg0z00_2891;
				obj_t BgL_arg1z00_2892;
				obj_t BgL_arg2z00_2893;

				BgL_nz00_2889 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8531);
				BgL_pz00_2890 = BgL_pz00_8532;
				BgL_arg0z00_2891 = BgL_arg0z00_8533;
				BgL_arg1z00_2892 = BgL_arg1z00_8534;
				BgL_arg2z00_2893 = BgL_arg2z00_8535;
				{
					BgL_nodez00_bglt BgL_auxz00_13399;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2897z00_6682;

						BgL_arg2897z00_6682 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2889))->BgL_funz00);
						BgL_auxz00_13399 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2890) (BgL_pz00_2890,
								((obj_t) BgL_arg2897z00_6682), BgL_arg0z00_2891,
								BgL_arg1z00_2892, BgL_arg2z00_2893, BEOA));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2889))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13399), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13411;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2898z00_6683;

						BgL_arg2898z00_6683 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2889))->BgL_argz00);
						BgL_auxz00_13411 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2890) (BgL_pz00_2890,
								((obj_t) BgL_arg2898z00_6683), BgL_arg0z00_2891,
								BgL_arg1z00_2892, BgL_arg2z00_2893, BEOA));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2889))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13411), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2889);
			}
		}
	}



/* &walk2!-app-ly2290 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2appzd2ly2290z70zzast_walkz00(obj_t
		BgL_envz00_8536, obj_t BgL_nz00_8537, obj_t BgL_pz00_8538,
		obj_t BgL_arg0z00_8539, obj_t BgL_arg1z00_8540)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2879;
				obj_t BgL_pz00_2880;
				obj_t BgL_arg0z00_2881;
				obj_t BgL_arg1z00_2882;

				BgL_nz00_2879 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8537);
				BgL_pz00_2880 = BgL_pz00_8538;
				BgL_arg0z00_2881 = BgL_arg0z00_8539;
				BgL_arg1z00_2882 = BgL_arg1z00_8540;
				{
					BgL_nodez00_bglt BgL_auxz00_13425;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2894z00_2886;

						BgL_arg2894z00_2886 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2879))->BgL_funz00);
						BgL_auxz00_13425 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2880) (BgL_pz00_2880,
								((obj_t) BgL_arg2894z00_2886), BgL_arg0z00_2881,
								BgL_arg1z00_2882, BEOA));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2879))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13425), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13436;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2895z00_2887;

						BgL_arg2895z00_2887 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2879))->BgL_argz00);
						BgL_auxz00_13436 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2880) (BgL_pz00_2880,
								((obj_t) BgL_arg2895z00_2887), BgL_arg0z00_2881,
								BgL_arg1z00_2882, BEOA));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2879))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13436), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2879);
			}
		}
	}



/* &walk1!-app-ly2288 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2appzd2ly2288z70zzast_walkz00(obj_t
		BgL_envz00_8541, obj_t BgL_nz00_8542, obj_t BgL_pz00_8543,
		obj_t BgL_arg0z00_8544)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2870;
				obj_t BgL_pz00_2871;
				obj_t BgL_arg0z00_2872;

				BgL_nz00_2870 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8542);
				BgL_pz00_2871 = BgL_pz00_8543;
				BgL_arg0z00_2872 = BgL_arg0z00_8544;
				{
					BgL_nodez00_bglt BgL_auxz00_13449;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2892z00_2876;

						BgL_arg2892z00_2876 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2870))->BgL_funz00);
						BgL_auxz00_13449 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2871) (BgL_pz00_2871,
								((obj_t) BgL_arg2892z00_2876), BgL_arg0z00_2872, BEOA));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2870))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13449), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13459;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2893z00_2877;

						BgL_arg2893z00_2877 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2870))->BgL_argz00);
						BgL_auxz00_13459 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2871) (BgL_pz00_2871,
								((obj_t) BgL_arg2893z00_2877), BgL_arg0z00_2872, BEOA));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2870))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13459), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2870);
			}
		}
	}



/* &walk0!-app-ly2286 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2appzd2ly2286z70zzast_walkz00(obj_t
		BgL_envz00_8545, obj_t BgL_nz00_8546, obj_t BgL_pz00_8547)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2862;
				obj_t BgL_pz00_2863;

				BgL_nz00_2862 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8546);
				BgL_pz00_2863 = BgL_pz00_8547;
				{
					BgL_nodez00_bglt BgL_auxz00_13471;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2890z00_2867;

						BgL_arg2890z00_2867 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2862))->BgL_funz00);
						BgL_auxz00_13471 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2863) (BgL_pz00_2863,
								((obj_t) BgL_arg2890z00_2867), BEOA));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2862))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13471), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13480;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2891z00_2868;

						BgL_arg2891z00_2868 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2862))->BgL_argz00);
						BgL_auxz00_13480 =
							((BgL_nodez00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2863) (BgL_pz00_2863,
								((obj_t) BgL_arg2891z00_2868), BEOA));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2862))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13480), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2862);
			}
		}
	}



/* &walk3*-app-ly2284 */
	obj_t BGl_z62walk3za2zd2appzd2ly2284zc0zzast_walkz00(obj_t BgL_envz00_8548,
		obj_t BgL_nz00_8549, obj_t BgL_pz00_8550, obj_t BgL_arg0z00_8551,
		obj_t BgL_arg1z00_8552, obj_t BgL_arg2z00_8553)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2849;
				obj_t BgL_pz00_2850;
				obj_t BgL_arg0z00_2851;
				obj_t BgL_arg1z00_2852;
				obj_t BgL_arg2z00_2853;

				BgL_nz00_2849 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8549);
				BgL_pz00_2850 = BgL_pz00_8550;
				BgL_arg0z00_2851 = BgL_arg0z00_8551;
				BgL_arg1z00_2852 = BgL_arg1z00_8552;
				BgL_arg2z00_2853 = BgL_arg2z00_8553;
				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2884z00_6677;
					obj_t BgL_arg2885z00_6678;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2886z00_6679;

						BgL_arg2886z00_6679 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2849))->BgL_funz00);
						BgL_arg2884z00_6677 =
							PROCEDURE_ENTRY(BgL_pz00_2850) (BgL_pz00_2850,
							((obj_t) BgL_arg2886z00_6679), BgL_arg0z00_2851, BgL_arg1z00_2852,
							BgL_arg2z00_2853, BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2888z00_6680;

						BgL_arg2888z00_6680 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2849))->BgL_argz00);
						BgL_arg2885z00_6678 =
							PROCEDURE_ENTRY(BgL_pz00_2850) (BgL_pz00_2850,
							((obj_t) BgL_arg2888z00_6680), BgL_arg0z00_2851, BgL_arg1z00_2852,
							BgL_arg2z00_2853, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2884z00_6677,
						BgL_arg2885z00_6678);
				}
			}
		}
	}



/* &walk2*-app-ly2282 */
	obj_t BGl_z62walk2za2zd2appzd2ly2282zc0zzast_walkz00(obj_t BgL_envz00_8554,
		obj_t BgL_nz00_8555, obj_t BgL_pz00_8556, obj_t BgL_arg0z00_8557,
		obj_t BgL_arg1z00_8558)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2837;
				obj_t BgL_pz00_2838;
				obj_t BgL_arg0z00_2839;
				obj_t BgL_arg1z00_2840;

				BgL_nz00_2837 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8555);
				BgL_pz00_2838 = BgL_pz00_8556;
				BgL_arg0z00_2839 = BgL_arg0z00_8557;
				BgL_arg1z00_2840 = BgL_arg1z00_8558;
				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2879z00_6672;
					obj_t BgL_arg2881z00_6673;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2882z00_6674;

						BgL_arg2882z00_6674 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2837))->BgL_funz00);
						BgL_arg2879z00_6672 =
							PROCEDURE_ENTRY(BgL_pz00_2838) (BgL_pz00_2838,
							((obj_t) BgL_arg2882z00_6674), BgL_arg0z00_2839, BgL_arg1z00_2840,
							BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2883z00_6675;

						BgL_arg2883z00_6675 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2837))->BgL_argz00);
						BgL_arg2881z00_6673 =
							PROCEDURE_ENTRY(BgL_pz00_2838) (BgL_pz00_2838,
							((obj_t) BgL_arg2883z00_6675), BgL_arg0z00_2839, BgL_arg1z00_2840,
							BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2879z00_6672,
						BgL_arg2881z00_6673);
				}
			}
		}
	}



/* &walk1*-app-ly2280 */
	obj_t BGl_z62walk1za2zd2appzd2ly2280zc0zzast_walkz00(obj_t BgL_envz00_8559,
		obj_t BgL_nz00_8560, obj_t BgL_pz00_8561, obj_t BgL_arg0z00_8562)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2826;
				obj_t BgL_pz00_2827;
				obj_t BgL_arg0z00_2828;

				BgL_nz00_2826 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8560);
				BgL_pz00_2827 = BgL_pz00_8561;
				BgL_arg0z00_2828 = BgL_arg0z00_8562;
				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2875z00_2832;
					obj_t BgL_arg2876z00_2833;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2877z00_2834;

						BgL_arg2877z00_2834 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2826))->BgL_funz00);
						BgL_arg2875z00_2832 =
							PROCEDURE_ENTRY(BgL_pz00_2827) (BgL_pz00_2827,
							((obj_t) BgL_arg2877z00_2834), BgL_arg0z00_2828, BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2878z00_2835;

						BgL_arg2878z00_2835 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2826))->BgL_argz00);
						BgL_arg2876z00_2833 =
							PROCEDURE_ENTRY(BgL_pz00_2827) (BgL_pz00_2827,
							((obj_t) BgL_arg2878z00_2835), BgL_arg0z00_2828, BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2875z00_2832,
						BgL_arg2876z00_2833);
				}
			}
		}
	}



/* &walk0*-app-ly2278 */
	obj_t BGl_z62walk0za2zd2appzd2ly2278zc0zzast_walkz00(obj_t BgL_envz00_8563,
		obj_t BgL_nz00_8564, obj_t BgL_pz00_8565)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2816;
				obj_t BgL_pz00_2817;

				BgL_nz00_2816 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8564);
				BgL_pz00_2817 = BgL_pz00_8565;
				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2870z00_2821;
					obj_t BgL_arg2871z00_2822;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2872z00_2823;

						BgL_arg2872z00_2823 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2816))->BgL_funz00);
						BgL_arg2870z00_2821 =
							PROCEDURE_ENTRY(BgL_pz00_2817) (BgL_pz00_2817,
							((obj_t) BgL_arg2872z00_2823), BEOA);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2874z00_2824;

						BgL_arg2874z00_2824 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2816))->BgL_argz00);
						BgL_arg2871z00_2822 =
							PROCEDURE_ENTRY(BgL_pz00_2817) (BgL_pz00_2817,
							((obj_t) BgL_arg2874z00_2824), BEOA);
					}
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2870z00_2821,
						BgL_arg2871z00_2822);
				}
			}
		}
	}



/* &walk3-app-ly2276 */
	obj_t BGl_z62walk3zd2appzd2ly2276z62zzast_walkz00(obj_t BgL_envz00_8566,
		obj_t BgL_nz00_8567, obj_t BgL_pz00_8568, obj_t BgL_arg0z00_8569,
		obj_t BgL_arg1z00_8570, obj_t BgL_arg2z00_8571)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2805;
				obj_t BgL_pz00_2806;
				obj_t BgL_arg0z00_2807;
				obj_t BgL_arg1z00_2808;
				obj_t BgL_arg2z00_2809;

				BgL_nz00_2805 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8567);
				BgL_pz00_2806 = BgL_pz00_8568;
				BgL_arg0z00_2807 = BgL_arg0z00_8569;
				BgL_arg1z00_2808 = BgL_arg1z00_8570;
				BgL_arg2z00_2809 = BgL_arg2z00_8571;
				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2868z00_6669;

					BgL_arg2868z00_6669 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2805))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2806) (BgL_pz00_2806,
						((obj_t) BgL_arg2868z00_6669), BgL_arg0z00_2807, BgL_arg1z00_2808,
						BgL_arg2z00_2809, BEOA);
				}
				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2869z00_6670;

					BgL_arg2869z00_6670 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2805))->BgL_argz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_2806) (BgL_pz00_2806,
						((obj_t) BgL_arg2869z00_6670), BgL_arg0z00_2807, BgL_arg1z00_2808,
						BgL_arg2z00_2809, BEOA);
				}
			}
		}
	}



/* &walk2-app-ly2274 */
	obj_t BGl_z62walk2zd2appzd2ly2274z62zzast_walkz00(obj_t BgL_envz00_8572,
		obj_t BgL_nz00_8573, obj_t BgL_pz00_8574, obj_t BgL_arg0z00_8575,
		obj_t BgL_arg1z00_8576)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2795;
				obj_t BgL_pz00_2796;
				obj_t BgL_arg0z00_2797;
				obj_t BgL_arg1z00_2798;

				BgL_nz00_2795 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8573);
				BgL_pz00_2796 = BgL_pz00_8574;
				BgL_arg0z00_2797 = BgL_arg0z00_8575;
				BgL_arg1z00_2798 = BgL_arg1z00_8576;
				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2865z00_6666;

					BgL_arg2865z00_6666 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2795))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2796) (BgL_pz00_2796,
						((obj_t) BgL_arg2865z00_6666), BgL_arg0z00_2797, BgL_arg1z00_2798,
						BEOA);
				}
				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2867z00_6667;

					BgL_arg2867z00_6667 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2795))->BgL_argz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_2796) (BgL_pz00_2796,
						((obj_t) BgL_arg2867z00_6667), BgL_arg0z00_2797, BgL_arg1z00_2798,
						BEOA);
				}
			}
		}
	}



/* &walk1-app-ly2272 */
	obj_t BGl_z62walk1zd2appzd2ly2272z62zzast_walkz00(obj_t BgL_envz00_8577,
		obj_t BgL_nz00_8578, obj_t BgL_pz00_8579, obj_t BgL_arg0z00_8580)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2786;
				obj_t BgL_pz00_2787;
				obj_t BgL_arg0z00_2788;

				BgL_nz00_2786 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8578);
				BgL_pz00_2787 = BgL_pz00_8579;
				BgL_arg0z00_2788 = BgL_arg0z00_8580;
				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2863z00_6663;

					BgL_arg2863z00_6663 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2786))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2787) (BgL_pz00_2787,
						((obj_t) BgL_arg2863z00_6663), BgL_arg0z00_2788, BEOA);
				}
				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2864z00_6664;

					BgL_arg2864z00_6664 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2786))->BgL_argz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_2787) (BgL_pz00_2787,
						((obj_t) BgL_arg2864z00_6664), BgL_arg0z00_2788, BEOA);
				}
			}
		}
	}



/* &walk0-app-ly2270 */
	obj_t BGl_z62walk0zd2appzd2ly2270z62zzast_walkz00(obj_t BgL_envz00_8581,
		obj_t BgL_nz00_8582, obj_t BgL_pz00_8583)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 297 */
			{
				BgL_appzd2lyzd2_bglt BgL_nz00_2778;
				obj_t BgL_pz00_2779;

				BgL_nz00_2778 = ((BgL_appzd2lyzd2_bglt) BgL_nz00_8582);
				BgL_pz00_2779 = BgL_pz00_8583;
				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2861z00_6660;

					BgL_arg2861z00_6660 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2778))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2779) (BgL_pz00_2779,
						((obj_t) BgL_arg2861z00_6660), BEOA);
				}
				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2862z00_6661;

					BgL_arg2862z00_6661 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nz00_2778))->BgL_argz00);
					return
						PROCEDURE_ENTRY(BgL_pz00_2779) (BgL_pz00_2779,
						((obj_t) BgL_arg2862z00_6661), BEOA);
				}
			}
		}
	}



/* &walk3!-app2268 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2app2268za2zzast_walkz00(obj_t
		BgL_envz00_8584, obj_t BgL_nz00_8585, obj_t BgL_pz00_8586,
		obj_t BgL_arg0z00_8587, obj_t BgL_arg1z00_8588, obj_t BgL_arg2z00_8589)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2759;
				obj_t BgL_pz00_2760;
				obj_t BgL_arg0z00_2761;
				obj_t BgL_arg1z00_2762;
				obj_t BgL_arg2z00_2763;

				BgL_nz00_2759 = ((BgL_appz00_bglt) BgL_nz00_8585);
				BgL_pz00_2760 = BgL_pz00_8586;
				BgL_arg0z00_2761 = BgL_arg0z00_8587;
				BgL_arg1z00_2762 = BgL_arg1z00_8588;
				BgL_arg2z00_2763 = BgL_arg2z00_8589;
				{
					BgL_varz00_bglt BgL_auxz00_13623;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2854z00_2767;

						BgL_arg2854z00_2767 =
							(((BgL_appz00_bglt) CREF(BgL_nz00_2759))->BgL_funz00);
						BgL_auxz00_13623 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2760) (BgL_pz00_2760,
								((obj_t) BgL_arg2854z00_2767), BgL_arg0z00_2761,
								BgL_arg1z00_2762, BgL_arg2z00_2763, BEOA));
					}
					((((BgL_appz00_bglt) CREF(BgL_nz00_2759))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_13623), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_2770;

					BgL_fieldsz00_2770 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2759))->BgL_argsz00);
				BgL_zc3anonymousza32856ze3z83_2771:
					if (NULLP(BgL_fieldsz00_2770))
						{	/* Ast/walk.scm 296 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 296 */
							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2858z00_2773;

								{	/* Ast/walk.scm 296 */
									obj_t BgL_arg2859z00_2774;

									BgL_arg2859z00_2774 = CAR(BgL_fieldsz00_2770);
									BgL_arg2858z00_2773 =
										PROCEDURE_ENTRY(BgL_pz00_2760) (BgL_pz00_2760,
										BgL_arg2859z00_2774, BgL_arg0z00_2761, BgL_arg1z00_2762,
										BgL_arg2z00_2763, BEOA);
								}
								SET_CAR(BgL_fieldsz00_2770, BgL_arg2858z00_2773);
							}
							{
								obj_t BgL_fieldsz00_13646;

								BgL_fieldsz00_13646 = CDR(BgL_fieldsz00_2770);
								BgL_fieldsz00_2770 = BgL_fieldsz00_13646;
								goto BgL_zc3anonymousza32856ze3z83_2771;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2759);
			}
		}
	}



/* &walk2!-app2266 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2app2266za2zzast_walkz00(obj_t
		BgL_envz00_8590, obj_t BgL_nz00_8591, obj_t BgL_pz00_8592,
		obj_t BgL_arg0z00_8593, obj_t BgL_arg1z00_8594)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2741;
				obj_t BgL_pz00_2742;
				obj_t BgL_arg0z00_2743;
				obj_t BgL_arg1z00_2744;

				BgL_nz00_2741 = ((BgL_appz00_bglt) BgL_nz00_8591);
				BgL_pz00_2742 = BgL_pz00_8592;
				BgL_arg0z00_2743 = BgL_arg0z00_8593;
				BgL_arg1z00_2744 = BgL_arg1z00_8594;
				{
					BgL_varz00_bglt BgL_auxz00_13651;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2847z00_2748;

						BgL_arg2847z00_2748 =
							(((BgL_appz00_bglt) CREF(BgL_nz00_2741))->BgL_funz00);
						BgL_auxz00_13651 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2742) (BgL_pz00_2742,
								((obj_t) BgL_arg2847z00_2748), BgL_arg0z00_2743,
								BgL_arg1z00_2744, BEOA));
					}
					((((BgL_appz00_bglt) CREF(BgL_nz00_2741))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_13651), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_2751;

					BgL_fieldsz00_2751 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2741))->BgL_argsz00);
				BgL_zc3anonymousza32849ze3z83_2752:
					if (NULLP(BgL_fieldsz00_2751))
						{	/* Ast/walk.scm 296 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 296 */
							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2851z00_2754;

								{	/* Ast/walk.scm 296 */
									obj_t BgL_arg2852z00_2755;

									BgL_arg2852z00_2755 = CAR(BgL_fieldsz00_2751);
									BgL_arg2851z00_2754 =
										PROCEDURE_ENTRY(BgL_pz00_2742) (BgL_pz00_2742,
										BgL_arg2852z00_2755, BgL_arg0z00_2743, BgL_arg1z00_2744,
										BEOA);
								}
								SET_CAR(BgL_fieldsz00_2751, BgL_arg2851z00_2754);
							}
							{
								obj_t BgL_fieldsz00_13672;

								BgL_fieldsz00_13672 = CDR(BgL_fieldsz00_2751);
								BgL_fieldsz00_2751 = BgL_fieldsz00_13672;
								goto BgL_zc3anonymousza32849ze3z83_2752;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2741);
			}
		}
	}



/* &walk1!-app2264 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2app2264za2zzast_walkz00(obj_t
		BgL_envz00_8595, obj_t BgL_nz00_8596, obj_t BgL_pz00_8597,
		obj_t BgL_arg0z00_8598)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2724;
				obj_t BgL_pz00_2725;
				obj_t BgL_arg0z00_2726;

				BgL_nz00_2724 = ((BgL_appz00_bglt) BgL_nz00_8596);
				BgL_pz00_2725 = BgL_pz00_8597;
				BgL_arg0z00_2726 = BgL_arg0z00_8598;
				{
					BgL_varz00_bglt BgL_auxz00_13677;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2840z00_2730;

						BgL_arg2840z00_2730 =
							(((BgL_appz00_bglt) CREF(BgL_nz00_2724))->BgL_funz00);
						BgL_auxz00_13677 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2725) (BgL_pz00_2725,
								((obj_t) BgL_arg2840z00_2730), BgL_arg0z00_2726, BEOA));
					}
					((((BgL_appz00_bglt) CREF(BgL_nz00_2724))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_13677), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_2733;

					BgL_fieldsz00_2733 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2724))->BgL_argsz00);
				BgL_zc3anonymousza32842ze3z83_2734:
					if (NULLP(BgL_fieldsz00_2733))
						{	/* Ast/walk.scm 296 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 296 */
							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2844z00_2736;

								{	/* Ast/walk.scm 296 */
									obj_t BgL_arg2845z00_2737;

									BgL_arg2845z00_2737 = CAR(BgL_fieldsz00_2733);
									BgL_arg2844z00_2736 =
										PROCEDURE_ENTRY(BgL_pz00_2725) (BgL_pz00_2725,
										BgL_arg2845z00_2737, BgL_arg0z00_2726, BEOA);
								}
								SET_CAR(BgL_fieldsz00_2733, BgL_arg2844z00_2736);
							}
							{
								obj_t BgL_fieldsz00_13696;

								BgL_fieldsz00_13696 = CDR(BgL_fieldsz00_2733);
								BgL_fieldsz00_2733 = BgL_fieldsz00_13696;
								goto BgL_zc3anonymousza32842ze3z83_2734;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2724);
			}
		}
	}



/* &walk0!-app2262 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2app2262za2zzast_walkz00(obj_t
		BgL_envz00_8599, obj_t BgL_nz00_8600, obj_t BgL_pz00_8601)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2708;
				obj_t BgL_pz00_2709;

				BgL_nz00_2708 = ((BgL_appz00_bglt) BgL_nz00_8600);
				BgL_pz00_2709 = BgL_pz00_8601;
				{
					BgL_varz00_bglt BgL_auxz00_13701;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2832z00_2713;

						BgL_arg2832z00_2713 =
							(((BgL_appz00_bglt) CREF(BgL_nz00_2708))->BgL_funz00);
						BgL_auxz00_13701 =
							((BgL_varz00_bglt)
							PROCEDURE_ENTRY(BgL_pz00_2709) (BgL_pz00_2709,
								((obj_t) BgL_arg2832z00_2713), BEOA));
					}
					((((BgL_appz00_bglt) CREF(BgL_nz00_2708))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_13701), BUNSPEC);
				}
				{
					obj_t BgL_fieldsz00_2716;

					BgL_fieldsz00_2716 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2708))->BgL_argsz00);
				BgL_zc3anonymousza32834ze3z83_2717:
					if (NULLP(BgL_fieldsz00_2716))
						{	/* Ast/walk.scm 296 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 296 */
							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2836z00_2719;

								{	/* Ast/walk.scm 296 */
									obj_t BgL_arg2837z00_2720;

									BgL_arg2837z00_2720 = CAR(BgL_fieldsz00_2716);
									BgL_arg2836z00_2719 =
										PROCEDURE_ENTRY(BgL_pz00_2709) (BgL_pz00_2709,
										BgL_arg2837z00_2720, BEOA);
								}
								SET_CAR(BgL_fieldsz00_2716, BgL_arg2836z00_2719);
							}
							{
								obj_t BgL_fieldsz00_13718;

								BgL_fieldsz00_13718 = CDR(BgL_fieldsz00_2716);
								BgL_fieldsz00_2716 = BgL_fieldsz00_13718;
								goto BgL_zc3anonymousza32834ze3z83_2717;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2708);
			}
		}
	}



/* &walk3*-app2260 */
	obj_t BGl_z62walk3za2zd2app2260z12zzast_walkz00(obj_t BgL_envz00_8602,
		obj_t BgL_nz00_8603, obj_t BgL_pz00_8604, obj_t BgL_arg0z00_8605,
		obj_t BgL_arg1z00_8606, obj_t BgL_arg2z00_8607)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2686;
				obj_t BgL_pz00_2687;
				obj_t BgL_arg0z00_2688;
				obj_t BgL_arg1z00_2689;
				obj_t BgL_arg2z00_2690;

				BgL_nz00_2686 = ((BgL_appz00_bglt) BgL_nz00_8603);
				BgL_pz00_2687 = BgL_pz00_8604;
				BgL_arg0z00_2688 = BgL_arg0z00_8605;
				BgL_arg1z00_2689 = BgL_arg1z00_8606;
				BgL_arg2z00_2690 = BgL_arg2z00_8607;
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2824z00_2694;
					obj_t BgL_arg2825z00_2695;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2826z00_2696;

						BgL_arg2826z00_2696 =
							(((BgL_appz00_bglt) CREF(BgL_nz00_2686))->BgL_funz00);
						BgL_arg2824z00_2694 =
							PROCEDURE_ENTRY(BgL_pz00_2687) (BgL_pz00_2687,
							((obj_t) BgL_arg2826z00_2696), BgL_arg0z00_2688, BgL_arg1z00_2689,
							BgL_arg2z00_2690, BEOA);
					}
					BgL_arg2825z00_2695 =
						BGl_zc3anonymousza32827ze3z83zzast_walkz00(BgL_arg2z00_2690,
						BgL_arg1z00_2689, BgL_arg0z00_2688, BgL_pz00_2687,
						(((BgL_appz00_bglt) CREF(BgL_nz00_2686))->BgL_argsz00));
					return BGl_appendzd221011zd2zzast_walkz00(BgL_arg2824z00_2694,
						BgL_arg2825z00_2695);
				}
			}
		}
	}



/* <anonymous:2827> */
	obj_t BGl_zc3anonymousza32827ze3z83zzast_walkz00(obj_t BgL_arg2z00_8765,
		obj_t BgL_arg1z00_8764, obj_t BgL_arg0z00_8763, obj_t BgL_pz00_8762,
		obj_t BgL_l2045z00_2699)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l2045z00_2699))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2829z00_2702;
					obj_t BgL_arg2830z00_2703;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2704;

						BgL_fz00_2704 = CAR(BgL_l2045z00_2699);
						BgL_arg2829z00_2702 =
							PROCEDURE_ENTRY(BgL_pz00_8762) (BgL_pz00_8762, BgL_fz00_2704,
							BgL_arg0z00_8763, BgL_arg1z00_8764, BgL_arg2z00_8765, BEOA);
					}
					BgL_arg2830z00_2703 =
						BGl_zc3anonymousza32827ze3z83zzast_walkz00(BgL_arg2z00_8765,
						BgL_arg1z00_8764, BgL_arg0z00_8763, BgL_pz00_8762,
						CDR(BgL_l2045z00_2699));
					return bgl_append2(BgL_arg2829z00_2702, BgL_arg2830z00_2703);
				}
		}
	}



/* &walk2*-app2258 */
	obj_t BGl_z62walk2za2zd2app2258z12zzast_walkz00(obj_t BgL_envz00_8608,
		obj_t BgL_nz00_8609, obj_t BgL_pz00_8610, obj_t BgL_arg0z00_8611,
		obj_t BgL_arg1z00_8612)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2665;
				obj_t BgL_pz00_2666;
				obj_t BgL_arg0z00_2667;
				obj_t BgL_arg1z00_2668;

				BgL_nz00_2665 = ((BgL_appz00_bglt) BgL_nz00_8609);
				BgL_pz00_2666 = BgL_pz00_8610;
				BgL_arg0z00_2667 = BgL_arg0z00_8611;
				BgL_arg1z00_2668 = BgL_arg1z00_8612;
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2816z00_2672;
					obj_t BgL_arg2817z00_2673;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2818z00_2674;

						BgL_arg2818z00_2674 =
							(((BgL_appz00_bglt) CREF(BgL_nz00_2665))->BgL_funz00);
						BgL_arg2816z00_2672 =
							PROCEDURE_ENTRY(BgL_pz00_2666) (BgL_pz00_2666,
							((obj_t) BgL_arg2818z00_2674), BgL_arg0z00_2667, BgL_arg1z00_2668,
							BEOA);
					}
					BgL_arg2817z00_2673 =
						BGl_zc3anonymousza32819ze3z83zzast_walkz00(BgL_arg1z00_2668,
						BgL_arg0z00_2667, BgL_pz00_2666,
						(((BgL_appz00_bglt) CREF(BgL_nz00_2665))->BgL_argsz00));
					return BGl_appendzd221011zd2zzast_walkz00(BgL_arg2816z00_2672,
						BgL_arg2817z00_2673);
				}
			}
		}
	}



/* <anonymous:2819> */
	obj_t BGl_zc3anonymousza32819ze3z83zzast_walkz00(obj_t BgL_arg1z00_8761,
		obj_t BgL_arg0z00_8760, obj_t BgL_pz00_8759, obj_t BgL_l2042z00_2677)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l2042z00_2677))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2821z00_2680;
					obj_t BgL_arg2822z00_2681;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2682;

						BgL_fz00_2682 = CAR(BgL_l2042z00_2677);
						BgL_arg2821z00_2680 =
							PROCEDURE_ENTRY(BgL_pz00_8759) (BgL_pz00_8759, BgL_fz00_2682,
							BgL_arg0z00_8760, BgL_arg1z00_8761, BEOA);
					}
					BgL_arg2822z00_2681 =
						BGl_zc3anonymousza32819ze3z83zzast_walkz00(BgL_arg1z00_8761,
						BgL_arg0z00_8760, BgL_pz00_8759, CDR(BgL_l2042z00_2677));
					return bgl_append2(BgL_arg2821z00_2680, BgL_arg2822z00_2681);
				}
		}
	}



/* &walk1*-app2256 */
	obj_t BGl_z62walk1za2zd2app2256z12zzast_walkz00(obj_t BgL_envz00_8613,
		obj_t BgL_nz00_8614, obj_t BgL_pz00_8615, obj_t BgL_arg0z00_8616)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2645;
				obj_t BgL_pz00_2646;
				obj_t BgL_arg0z00_2647;

				BgL_nz00_2645 = ((BgL_appz00_bglt) BgL_nz00_8614);
				BgL_pz00_2646 = BgL_pz00_8615;
				BgL_arg0z00_2647 = BgL_arg0z00_8616;
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2808z00_2651;
					obj_t BgL_arg2809z00_2652;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2810z00_2653;

						BgL_arg2810z00_2653 =
							(((BgL_appz00_bglt) CREF(BgL_nz00_2645))->BgL_funz00);
						BgL_arg2808z00_2651 =
							PROCEDURE_ENTRY(BgL_pz00_2646) (BgL_pz00_2646,
							((obj_t) BgL_arg2810z00_2653), BgL_arg0z00_2647, BEOA);
					}
					BgL_arg2809z00_2652 =
						BGl_zc3anonymousza32811ze3z83zzast_walkz00(BgL_arg0z00_2647,
						BgL_pz00_2646,
						(((BgL_appz00_bglt) CREF(BgL_nz00_2645))->BgL_argsz00));
					return BGl_appendzd221011zd2zzast_walkz00(BgL_arg2808z00_2651,
						BgL_arg2809z00_2652);
				}
			}
		}
	}



/* <anonymous:2811> */
	obj_t BGl_zc3anonymousza32811ze3z83zzast_walkz00(obj_t BgL_arg0z00_8758,
		obj_t BgL_pz00_8757, obj_t BgL_l2039z00_2656)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l2039z00_2656))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2813z00_2659;
					obj_t BgL_arg2814z00_2660;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2661;

						BgL_fz00_2661 = CAR(BgL_l2039z00_2656);
						BgL_arg2813z00_2659 =
							PROCEDURE_ENTRY(BgL_pz00_8757) (BgL_pz00_8757, BgL_fz00_2661,
							BgL_arg0z00_8758, BEOA);
					}
					BgL_arg2814z00_2660 =
						BGl_zc3anonymousza32811ze3z83zzast_walkz00(BgL_arg0z00_8758,
						BgL_pz00_8757, CDR(BgL_l2039z00_2656));
					return bgl_append2(BgL_arg2813z00_2659, BgL_arg2814z00_2660);
				}
		}
	}



/* &walk0*-app2254 */
	obj_t BGl_z62walk0za2zd2app2254z12zzast_walkz00(obj_t BgL_envz00_8617,
		obj_t BgL_nz00_8618, obj_t BgL_pz00_8619)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2626;
				obj_t BgL_pz00_2627;

				BgL_nz00_2626 = ((BgL_appz00_bglt) BgL_nz00_8618);
				BgL_pz00_2627 = BgL_pz00_8619;
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2799z00_2631;
					obj_t BgL_arg2800z00_2632;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2801z00_2633;

						BgL_arg2801z00_2633 =
							(((BgL_appz00_bglt) CREF(BgL_nz00_2626))->BgL_funz00);
						BgL_arg2799z00_2631 =
							PROCEDURE_ENTRY(BgL_pz00_2627) (BgL_pz00_2627,
							((obj_t) BgL_arg2801z00_2633), BEOA);
					}
					BgL_arg2800z00_2632 =
						BGl_zc3anonymousza32802ze3z83zzast_walkz00(BgL_pz00_2627,
						(((BgL_appz00_bglt) CREF(BgL_nz00_2626))->BgL_argsz00));
					return
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2799z00_2631,
						BgL_arg2800z00_2632);
				}
			}
		}
	}



/* <anonymous:2802> */
	obj_t BGl_zc3anonymousza32802ze3z83zzast_walkz00(obj_t BgL_pz00_8756,
		obj_t BgL_l2036z00_2636)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l2036z00_2636))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2804z00_2639;
					obj_t BgL_arg2805z00_2640;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2641;

						BgL_fz00_2641 = CAR(BgL_l2036z00_2636);
						BgL_arg2804z00_2639 =
							PROCEDURE_ENTRY(BgL_pz00_8756) (BgL_pz00_8756, BgL_fz00_2641,
							BEOA);
					}
					BgL_arg2805z00_2640 =
						BGl_zc3anonymousza32802ze3z83zzast_walkz00(BgL_pz00_8756,
						CDR(BgL_l2036z00_2636));
					return bgl_append2(BgL_arg2804z00_2639, BgL_arg2805z00_2640);
				}
		}
	}



/* &walk3-app2252 */
	obj_t BGl_z62walk3zd2app2252zb0zzast_walkz00(obj_t BgL_envz00_8620,
		obj_t BgL_nz00_8621, obj_t BgL_pz00_8622, obj_t BgL_arg0z00_8623,
		obj_t BgL_arg1z00_8624, obj_t BgL_arg2z00_8625)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2608;
				obj_t BgL_pz00_2609;
				obj_t BgL_arg0z00_2610;
				obj_t BgL_arg1z00_2611;
				obj_t BgL_arg2z00_2612;

				BgL_nz00_2608 = ((BgL_appz00_bglt) BgL_nz00_8621);
				BgL_pz00_2609 = BgL_pz00_8622;
				BgL_arg0z00_2610 = BgL_arg0z00_8623;
				BgL_arg1z00_2611 = BgL_arg1z00_8624;
				BgL_arg2z00_2612 = BgL_arg2z00_8625;
				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2795z00_2616;

					BgL_arg2795z00_2616 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2608))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2609) (BgL_pz00_2609,
						((obj_t) BgL_arg2795z00_2616), BgL_arg0z00_2610, BgL_arg1z00_2611,
						BgL_arg2z00_2612, BEOA);
				}
				{	/* Ast/walk.scm 296 */
					obj_t BgL_g2034z00_2617;

					BgL_g2034z00_2617 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2608))->BgL_argsz00);
					{
						obj_t BgL_l2032z00_2619;

						{	/* Ast/walk.scm 296 */
							bool_t BgL_auxz00_13825;

							BgL_l2032z00_2619 = BgL_g2034z00_2617;
						BgL_zc3anonymousza32796ze3z83_2620:
							if (PAIRP(BgL_l2032z00_2619))
								{	/* Ast/walk.scm 296 */
									{	/* Ast/walk.scm 296 */
										obj_t BgL_fz00_2622;

										BgL_fz00_2622 = CAR(BgL_l2032z00_2619);
										PROCEDURE_ENTRY(BgL_pz00_2609) (BgL_pz00_2609,
											BgL_fz00_2622, BgL_arg0z00_2610, BgL_arg1z00_2611,
											BgL_arg2z00_2612, BEOA);
									}
									{
										obj_t BgL_l2032z00_13836;

										BgL_l2032z00_13836 = CDR(BgL_l2032z00_2619);
										BgL_l2032z00_2619 = BgL_l2032z00_13836;
										goto BgL_zc3anonymousza32796ze3z83_2620;
									}
								}
							else
								{	/* Ast/walk.scm 296 */
									BgL_auxz00_13825 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13825);
						}
					}
				}
			}
		}
	}



/* &walk2-app2250 */
	obj_t BGl_z62walk2zd2app2250zb0zzast_walkz00(obj_t BgL_envz00_8626,
		obj_t BgL_nz00_8627, obj_t BgL_pz00_8628, obj_t BgL_arg0z00_8629,
		obj_t BgL_arg1z00_8630)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2591;
				obj_t BgL_pz00_2592;
				obj_t BgL_arg0z00_2593;
				obj_t BgL_arg1z00_2594;

				BgL_nz00_2591 = ((BgL_appz00_bglt) BgL_nz00_8627);
				BgL_pz00_2592 = BgL_pz00_8628;
				BgL_arg0z00_2593 = BgL_arg0z00_8629;
				BgL_arg1z00_2594 = BgL_arg1z00_8630;
				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2791z00_2598;

					BgL_arg2791z00_2598 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2591))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2592) (BgL_pz00_2592,
						((obj_t) BgL_arg2791z00_2598), BgL_arg0z00_2593, BgL_arg1z00_2594,
						BEOA);
				}
				{	/* Ast/walk.scm 296 */
					obj_t BgL_g2031z00_2599;

					BgL_g2031z00_2599 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2591))->BgL_argsz00);
					{
						obj_t BgL_l2029z00_2601;

						{	/* Ast/walk.scm 296 */
							bool_t BgL_auxz00_13849;

							BgL_l2029z00_2601 = BgL_g2031z00_2599;
						BgL_zc3anonymousza32792ze3z83_2602:
							if (PAIRP(BgL_l2029z00_2601))
								{	/* Ast/walk.scm 296 */
									{	/* Ast/walk.scm 296 */
										obj_t BgL_fz00_2604;

										BgL_fz00_2604 = CAR(BgL_l2029z00_2601);
										PROCEDURE_ENTRY(BgL_pz00_2592) (BgL_pz00_2592,
											BgL_fz00_2604, BgL_arg0z00_2593, BgL_arg1z00_2594, BEOA);
									}
									{
										obj_t BgL_l2029z00_13859;

										BgL_l2029z00_13859 = CDR(BgL_l2029z00_2601);
										BgL_l2029z00_2601 = BgL_l2029z00_13859;
										goto BgL_zc3anonymousza32792ze3z83_2602;
									}
								}
							else
								{	/* Ast/walk.scm 296 */
									BgL_auxz00_13849 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13849);
						}
					}
				}
			}
		}
	}



/* &walk1-app2248 */
	obj_t BGl_z62walk1zd2app2248zb0zzast_walkz00(obj_t BgL_envz00_8631,
		obj_t BgL_nz00_8632, obj_t BgL_pz00_8633, obj_t BgL_arg0z00_8634)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2575;
				obj_t BgL_pz00_2576;
				obj_t BgL_arg0z00_2577;

				BgL_nz00_2575 = ((BgL_appz00_bglt) BgL_nz00_8632);
				BgL_pz00_2576 = BgL_pz00_8633;
				BgL_arg0z00_2577 = BgL_arg0z00_8634;
				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2787z00_2581;

					BgL_arg2787z00_2581 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2575))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2576) (BgL_pz00_2576,
						((obj_t) BgL_arg2787z00_2581), BgL_arg0z00_2577, BEOA);
				}
				{	/* Ast/walk.scm 296 */
					obj_t BgL_g2028z00_2582;

					BgL_g2028z00_2582 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2575))->BgL_argsz00);
					{
						obj_t BgL_l2026z00_2584;

						{	/* Ast/walk.scm 296 */
							bool_t BgL_auxz00_13871;

							BgL_l2026z00_2584 = BgL_g2028z00_2582;
						BgL_zc3anonymousza32788ze3z83_2585:
							if (PAIRP(BgL_l2026z00_2584))
								{	/* Ast/walk.scm 296 */
									{	/* Ast/walk.scm 296 */
										obj_t BgL_fz00_2587;

										BgL_fz00_2587 = CAR(BgL_l2026z00_2584);
										PROCEDURE_ENTRY(BgL_pz00_2576) (BgL_pz00_2576,
											BgL_fz00_2587, BgL_arg0z00_2577, BEOA);
									}
									{
										obj_t BgL_l2026z00_13880;

										BgL_l2026z00_13880 = CDR(BgL_l2026z00_2584);
										BgL_l2026z00_2584 = BgL_l2026z00_13880;
										goto BgL_zc3anonymousza32788ze3z83_2585;
									}
								}
							else
								{	/* Ast/walk.scm 296 */
									BgL_auxz00_13871 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13871);
						}
					}
				}
			}
		}
	}



/* &walk0-app2246 */
	obj_t BGl_z62walk0zd2app2246zb0zzast_walkz00(obj_t BgL_envz00_8635,
		obj_t BgL_nz00_8636, obj_t BgL_pz00_8637)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 296 */
			{
				BgL_appz00_bglt BgL_nz00_2560;
				obj_t BgL_pz00_2561;

				BgL_nz00_2560 = ((BgL_appz00_bglt) BgL_nz00_8636);
				BgL_pz00_2561 = BgL_pz00_8637;
				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2783z00_2565;

					BgL_arg2783z00_2565 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2560))->BgL_funz00);
					PROCEDURE_ENTRY(BgL_pz00_2561) (BgL_pz00_2561,
						((obj_t) BgL_arg2783z00_2565), BEOA);
				}
				{	/* Ast/walk.scm 296 */
					obj_t BgL_g2025z00_2566;

					BgL_g2025z00_2566 =
						(((BgL_appz00_bglt) CREF(BgL_nz00_2560))->BgL_argsz00);
					{
						obj_t BgL_l2023z00_2568;

						{	/* Ast/walk.scm 296 */
							bool_t BgL_auxz00_13891;

							BgL_l2023z00_2568 = BgL_g2025z00_2566;
						BgL_zc3anonymousza32784ze3z83_2569:
							if (PAIRP(BgL_l2023z00_2568))
								{	/* Ast/walk.scm 296 */
									{	/* Ast/walk.scm 296 */
										obj_t BgL_fz00_2571;

										BgL_fz00_2571 = CAR(BgL_l2023z00_2568);
										PROCEDURE_ENTRY(BgL_pz00_2561) (BgL_pz00_2561,
											BgL_fz00_2571, BEOA);
									}
									{
										obj_t BgL_l2023z00_13899;

										BgL_l2023z00_13899 = CDR(BgL_l2023z00_2568);
										BgL_l2023z00_2568 = BgL_l2023z00_13899;
										goto BgL_zc3anonymousza32784ze3z83_2569;
									}
								}
							else
								{	/* Ast/walk.scm 296 */
									BgL_auxz00_13891 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_13891);
						}
					}
				}
			}
		}
	}



/* &walk3!-sequence2244 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2sequence2244za2zzast_walkz00(obj_t
		BgL_envz00_8638, obj_t BgL_nz00_8639, obj_t BgL_pz00_8640,
		obj_t BgL_arg0z00_8641, obj_t BgL_arg1z00_8642, obj_t BgL_arg2z00_8643)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2542;
				obj_t BgL_pz00_2543;
				obj_t BgL_arg0z00_2544;
				obj_t BgL_arg1z00_2545;
				obj_t BgL_arg2z00_2546;

				BgL_nz00_2542 = ((BgL_sequencez00_bglt) BgL_nz00_8639);
				BgL_pz00_2543 = BgL_pz00_8640;
				BgL_arg0z00_2544 = BgL_arg0z00_8641;
				BgL_arg1z00_2545 = BgL_arg1z00_8642;
				BgL_arg2z00_2546 = BgL_arg2z00_8643;
				{
					obj_t BgL_fieldsz00_2552;

					BgL_fieldsz00_2552 =
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2542))->BgL_nodesz00);
				BgL_zc3anonymousza32778ze3z83_2553:
					if (NULLP(BgL_fieldsz00_2552))
						{	/* Ast/walk.scm 295 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 295 */
							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2780z00_2555;

								{	/* Ast/walk.scm 295 */
									obj_t BgL_arg2781z00_2556;

									BgL_arg2781z00_2556 = CAR(BgL_fieldsz00_2552);
									BgL_arg2780z00_2555 =
										PROCEDURE_ENTRY(BgL_pz00_2543) (BgL_pz00_2543,
										BgL_arg2781z00_2556, BgL_arg0z00_2544, BgL_arg1z00_2545,
										BgL_arg2z00_2546, BEOA);
								}
								SET_CAR(BgL_fieldsz00_2552, BgL_arg2780z00_2555);
							}
							{
								obj_t BgL_fieldsz00_13914;

								BgL_fieldsz00_13914 = CDR(BgL_fieldsz00_2552);
								BgL_fieldsz00_2552 = BgL_fieldsz00_13914;
								goto BgL_zc3anonymousza32778ze3z83_2553;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2542);
			}
		}
	}



/* &walk2!-sequence2242 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2sequence2242za2zzast_walkz00(obj_t
		BgL_envz00_8644, obj_t BgL_nz00_8645, obj_t BgL_pz00_8646,
		obj_t BgL_arg0z00_8647, obj_t BgL_arg1z00_8648)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2525;
				obj_t BgL_pz00_2526;
				obj_t BgL_arg0z00_2527;
				obj_t BgL_arg1z00_2528;

				BgL_nz00_2525 = ((BgL_sequencez00_bglt) BgL_nz00_8645);
				BgL_pz00_2526 = BgL_pz00_8646;
				BgL_arg0z00_2527 = BgL_arg0z00_8647;
				BgL_arg1z00_2528 = BgL_arg1z00_8648;
				{
					obj_t BgL_fieldsz00_2534;

					BgL_fieldsz00_2534 =
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2525))->BgL_nodesz00);
				BgL_zc3anonymousza32772ze3z83_2535:
					if (NULLP(BgL_fieldsz00_2534))
						{	/* Ast/walk.scm 295 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 295 */
							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2774z00_2537;

								{	/* Ast/walk.scm 295 */
									obj_t BgL_arg2775z00_2538;

									BgL_arg2775z00_2538 = CAR(BgL_fieldsz00_2534);
									BgL_arg2774z00_2537 =
										PROCEDURE_ENTRY(BgL_pz00_2526) (BgL_pz00_2526,
										BgL_arg2775z00_2538, BgL_arg0z00_2527, BgL_arg1z00_2528,
										BEOA);
								}
								SET_CAR(BgL_fieldsz00_2534, BgL_arg2774z00_2537);
							}
							{
								obj_t BgL_fieldsz00_13929;

								BgL_fieldsz00_13929 = CDR(BgL_fieldsz00_2534);
								BgL_fieldsz00_2534 = BgL_fieldsz00_13929;
								goto BgL_zc3anonymousza32772ze3z83_2535;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2525);
			}
		}
	}



/* &walk1!-sequence2240 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2sequence2240za2zzast_walkz00(obj_t
		BgL_envz00_8649, obj_t BgL_nz00_8650, obj_t BgL_pz00_8651,
		obj_t BgL_arg0z00_8652)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2509;
				obj_t BgL_pz00_2510;
				obj_t BgL_arg0z00_2511;

				BgL_nz00_2509 = ((BgL_sequencez00_bglt) BgL_nz00_8650);
				BgL_pz00_2510 = BgL_pz00_8651;
				BgL_arg0z00_2511 = BgL_arg0z00_8652;
				{
					obj_t BgL_fieldsz00_2517;

					BgL_fieldsz00_2517 =
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2509))->BgL_nodesz00);
				BgL_zc3anonymousza32766ze3z83_2518:
					if (NULLP(BgL_fieldsz00_2517))
						{	/* Ast/walk.scm 295 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 295 */
							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2768z00_2520;

								{	/* Ast/walk.scm 295 */
									obj_t BgL_arg2769z00_2521;

									BgL_arg2769z00_2521 = CAR(BgL_fieldsz00_2517);
									BgL_arg2768z00_2520 =
										PROCEDURE_ENTRY(BgL_pz00_2510) (BgL_pz00_2510,
										BgL_arg2769z00_2521, BgL_arg0z00_2511, BEOA);
								}
								SET_CAR(BgL_fieldsz00_2517, BgL_arg2768z00_2520);
							}
							{
								obj_t BgL_fieldsz00_13943;

								BgL_fieldsz00_13943 = CDR(BgL_fieldsz00_2517);
								BgL_fieldsz00_2517 = BgL_fieldsz00_13943;
								goto BgL_zc3anonymousza32766ze3z83_2518;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2509);
			}
		}
	}



/* &walk0!-sequence2238 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2sequence2238za2zzast_walkz00(obj_t
		BgL_envz00_8653, obj_t BgL_nz00_8654, obj_t BgL_pz00_8655)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2494;
				obj_t BgL_pz00_2495;

				BgL_nz00_2494 = ((BgL_sequencez00_bglt) BgL_nz00_8654);
				BgL_pz00_2495 = BgL_pz00_8655;
				{
					obj_t BgL_fieldsz00_2501;

					BgL_fieldsz00_2501 =
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2494))->BgL_nodesz00);
				BgL_zc3anonymousza32760ze3z83_2502:
					if (NULLP(BgL_fieldsz00_2501))
						{	/* Ast/walk.scm 295 */
							((bool_t) 0);
						}
					else
						{	/* Ast/walk.scm 295 */
							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2762z00_2504;

								{	/* Ast/walk.scm 295 */
									obj_t BgL_arg2763z00_2505;

									BgL_arg2763z00_2505 = CAR(BgL_fieldsz00_2501);
									BgL_arg2762z00_2504 =
										PROCEDURE_ENTRY(BgL_pz00_2495) (BgL_pz00_2495,
										BgL_arg2763z00_2505, BEOA);
								}
								SET_CAR(BgL_fieldsz00_2501, BgL_arg2762z00_2504);
							}
							{
								obj_t BgL_fieldsz00_13956;

								BgL_fieldsz00_13956 = CDR(BgL_fieldsz00_2501);
								BgL_fieldsz00_2501 = BgL_fieldsz00_13956;
								goto BgL_zc3anonymousza32760ze3z83_2502;
							}
						}
				}
				return ((BgL_nodez00_bglt) BgL_nz00_2494);
			}
		}
	}



/* &walk3*-sequence2236 */
	obj_t BGl_z62walk3za2zd2sequence2236z12zzast_walkz00(obj_t BgL_envz00_8656,
		obj_t BgL_nz00_8657, obj_t BgL_pz00_8658, obj_t BgL_arg0z00_8659,
		obj_t BgL_arg1z00_8660, obj_t BgL_arg2z00_8661)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2473;
				obj_t BgL_pz00_2474;
				obj_t BgL_arg0z00_2475;
				obj_t BgL_arg1z00_2476;
				obj_t BgL_arg2z00_2477;

				BgL_nz00_2473 = ((BgL_sequencez00_bglt) BgL_nz00_8657);
				BgL_pz00_2474 = BgL_pz00_8658;
				BgL_arg0z00_2475 = BgL_arg0z00_8659;
				BgL_arg1z00_2476 = BgL_arg1z00_8660;
				BgL_arg2z00_2477 = BgL_arg2z00_8661;
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2752z00_2481;

					BgL_arg2752z00_2481 =
						BGl_zc3anonymousza32754ze3z83zzast_walkz00(BgL_arg2z00_2477,
						BgL_arg1z00_2476, BgL_arg0z00_2475, BgL_pz00_2474,
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2473))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2753z00_2482;

						BgL_list2753z00_2482 = MAKE_PAIR(BgL_arg2752z00_2481, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2753z00_2482);
					}
				}
			}
		}
	}



/* <anonymous:2754> */
	obj_t BGl_zc3anonymousza32754ze3z83zzast_walkz00(obj_t BgL_arg2z00_8755,
		obj_t BgL_arg1z00_8754, obj_t BgL_arg0z00_8753, obj_t BgL_pz00_8752,
		obj_t BgL_l2021z00_2485)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l2021z00_2485))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2756z00_2488;
					obj_t BgL_arg2757z00_2489;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2490;

						BgL_fz00_2490 = CAR(BgL_l2021z00_2485);
						BgL_arg2756z00_2488 =
							PROCEDURE_ENTRY(BgL_pz00_8752) (BgL_pz00_8752, BgL_fz00_2490,
							BgL_arg0z00_8753, BgL_arg1z00_8754, BgL_arg2z00_8755, BEOA);
					}
					BgL_arg2757z00_2489 =
						BGl_zc3anonymousza32754ze3z83zzast_walkz00(BgL_arg2z00_8755,
						BgL_arg1z00_8754, BgL_arg0z00_8753, BgL_pz00_8752,
						CDR(BgL_l2021z00_2485));
					return bgl_append2(BgL_arg2756z00_2488, BgL_arg2757z00_2489);
				}
		}
	}



/* &walk2*-sequence2234 */
	obj_t BGl_z62walk2za2zd2sequence2234z12zzast_walkz00(obj_t BgL_envz00_8662,
		obj_t BgL_nz00_8663, obj_t BgL_pz00_8664, obj_t BgL_arg0z00_8665,
		obj_t BgL_arg1z00_8666)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2453;
				obj_t BgL_pz00_2454;
				obj_t BgL_arg0z00_2455;
				obj_t BgL_arg1z00_2456;

				BgL_nz00_2453 = ((BgL_sequencez00_bglt) BgL_nz00_8663);
				BgL_pz00_2454 = BgL_pz00_8664;
				BgL_arg0z00_2455 = BgL_arg0z00_8665;
				BgL_arg1z00_2456 = BgL_arg1z00_8666;
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2744z00_2460;

					BgL_arg2744z00_2460 =
						BGl_zc3anonymousza32746ze3z83zzast_walkz00(BgL_arg1z00_2456,
						BgL_arg0z00_2455, BgL_pz00_2454,
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2453))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2745z00_2461;

						BgL_list2745z00_2461 = MAKE_PAIR(BgL_arg2744z00_2460, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2745z00_2461);
					}
				}
			}
		}
	}



/* <anonymous:2746> */
	obj_t BGl_zc3anonymousza32746ze3z83zzast_walkz00(obj_t BgL_arg1z00_8751,
		obj_t BgL_arg0z00_8750, obj_t BgL_pz00_8749, obj_t BgL_l2018z00_2464)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l2018z00_2464))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2749z00_2467;
					obj_t BgL_arg2750z00_2468;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2469;

						BgL_fz00_2469 = CAR(BgL_l2018z00_2464);
						BgL_arg2749z00_2467 =
							PROCEDURE_ENTRY(BgL_pz00_8749) (BgL_pz00_8749, BgL_fz00_2469,
							BgL_arg0z00_8750, BgL_arg1z00_8751, BEOA);
					}
					BgL_arg2750z00_2468 =
						BGl_zc3anonymousza32746ze3z83zzast_walkz00(BgL_arg1z00_8751,
						BgL_arg0z00_8750, BgL_pz00_8749, CDR(BgL_l2018z00_2464));
					return bgl_append2(BgL_arg2749z00_2467, BgL_arg2750z00_2468);
				}
		}
	}



/* &walk1*-sequence2232 */
	obj_t BGl_z62walk1za2zd2sequence2232z12zzast_walkz00(obj_t BgL_envz00_8667,
		obj_t BgL_nz00_8668, obj_t BgL_pz00_8669, obj_t BgL_arg0z00_8670)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2434;
				obj_t BgL_pz00_2435;
				obj_t BgL_arg0z00_2436;

				BgL_nz00_2434 = ((BgL_sequencez00_bglt) BgL_nz00_8668);
				BgL_pz00_2435 = BgL_pz00_8669;
				BgL_arg0z00_2436 = BgL_arg0z00_8670;
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2737z00_2440;

					BgL_arg2737z00_2440 =
						BGl_zc3anonymousza32739ze3z83zzast_walkz00(BgL_arg0z00_2436,
						BgL_pz00_2435,
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2434))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2738z00_2441;

						BgL_list2738z00_2441 = MAKE_PAIR(BgL_arg2737z00_2440, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2738z00_2441);
					}
				}
			}
		}
	}



/* <anonymous:2739> */
	obj_t BGl_zc3anonymousza32739ze3z83zzast_walkz00(obj_t BgL_arg0z00_8748,
		obj_t BgL_pz00_8747, obj_t BgL_l2015z00_2444)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l2015z00_2444))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2741z00_2447;
					obj_t BgL_arg2742z00_2448;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2449;

						BgL_fz00_2449 = CAR(BgL_l2015z00_2444);
						BgL_arg2741z00_2447 =
							PROCEDURE_ENTRY(BgL_pz00_8747) (BgL_pz00_8747, BgL_fz00_2449,
							BgL_arg0z00_8748, BEOA);
					}
					BgL_arg2742z00_2448 =
						BGl_zc3anonymousza32739ze3z83zzast_walkz00(BgL_arg0z00_8748,
						BgL_pz00_8747, CDR(BgL_l2015z00_2444));
					return bgl_append2(BgL_arg2741z00_2447, BgL_arg2742z00_2448);
				}
		}
	}



/* &walk0*-sequence2230 */
	obj_t BGl_z62walk0za2zd2sequence2230z12zzast_walkz00(obj_t BgL_envz00_8671,
		obj_t BgL_nz00_8672, obj_t BgL_pz00_8673)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2416;
				obj_t BgL_pz00_2417;

				BgL_nz00_2416 = ((BgL_sequencez00_bglt) BgL_nz00_8672);
				BgL_pz00_2417 = BgL_pz00_8673;
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2730z00_2421;

					BgL_arg2730z00_2421 =
						BGl_zc3anonymousza32732ze3z83zzast_walkz00(BgL_pz00_2417,
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2416))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2731z00_2422;

						BgL_list2731z00_2422 = MAKE_PAIR(BgL_arg2730z00_2421, BNIL);
						return
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2731z00_2422);
					}
				}
			}
		}
	}



/* <anonymous:2732> */
	obj_t BGl_zc3anonymousza32732ze3z83zzast_walkz00(obj_t BgL_pz00_8746,
		obj_t BgL_l2012z00_2425)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l2012z00_2425))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2734z00_2428;
					obj_t BgL_arg2735z00_2429;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2430;

						BgL_fz00_2430 = CAR(BgL_l2012z00_2425);
						BgL_arg2734z00_2428 =
							PROCEDURE_ENTRY(BgL_pz00_8746) (BgL_pz00_8746, BgL_fz00_2430,
							BEOA);
					}
					BgL_arg2735z00_2429 =
						BGl_zc3anonymousza32732ze3z83zzast_walkz00(BgL_pz00_8746,
						CDR(BgL_l2012z00_2425));
					return bgl_append2(BgL_arg2734z00_2428, BgL_arg2735z00_2429);
				}
		}
	}



/* &walk3-sequence2228 */
	obj_t BGl_z62walk3zd2sequence2228zb0zzast_walkz00(obj_t BgL_envz00_8674,
		obj_t BgL_nz00_8675, obj_t BgL_pz00_8676, obj_t BgL_arg0z00_8677,
		obj_t BgL_arg1z00_8678, obj_t BgL_arg2z00_8679)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2399;
				obj_t BgL_pz00_2400;
				obj_t BgL_arg0z00_2401;
				obj_t BgL_arg1z00_2402;
				obj_t BgL_arg2z00_2403;

				BgL_nz00_2399 = ((BgL_sequencez00_bglt) BgL_nz00_8675);
				BgL_pz00_2400 = BgL_pz00_8676;
				BgL_arg0z00_2401 = BgL_arg0z00_8677;
				BgL_arg1z00_2402 = BgL_arg1z00_8678;
				BgL_arg2z00_2403 = BgL_arg2z00_8679;
				{	/* Ast/walk.scm 295 */
					obj_t BgL_g2010z00_2407;

					BgL_g2010z00_2407 =
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2399))->BgL_nodesz00);
					{
						obj_t BgL_l2008z00_2409;

						{	/* Ast/walk.scm 295 */
							bool_t BgL_auxz00_14028;

							BgL_l2008z00_2409 = BgL_g2010z00_2407;
						BgL_zc3anonymousza32727ze3z83_2410:
							if (PAIRP(BgL_l2008z00_2409))
								{	/* Ast/walk.scm 295 */
									{	/* Ast/walk.scm 295 */
										obj_t BgL_fz00_2412;

										BgL_fz00_2412 = CAR(BgL_l2008z00_2409);
										PROCEDURE_ENTRY(BgL_pz00_2400) (BgL_pz00_2400,
											BgL_fz00_2412, BgL_arg0z00_2401, BgL_arg1z00_2402,
											BgL_arg2z00_2403, BEOA);
									}
									{
										obj_t BgL_l2008z00_14039;

										BgL_l2008z00_14039 = CDR(BgL_l2008z00_2409);
										BgL_l2008z00_2409 = BgL_l2008z00_14039;
										goto BgL_zc3anonymousza32727ze3z83_2410;
									}
								}
							else
								{	/* Ast/walk.scm 295 */
									BgL_auxz00_14028 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_14028);
						}
					}
				}
			}
		}
	}



/* &walk2-sequence2226 */
	obj_t BGl_z62walk2zd2sequence2226zb0zzast_walkz00(obj_t BgL_envz00_8680,
		obj_t BgL_nz00_8681, obj_t BgL_pz00_8682, obj_t BgL_arg0z00_8683,
		obj_t BgL_arg1z00_8684)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2383;
				obj_t BgL_pz00_2384;
				obj_t BgL_arg0z00_2385;
				obj_t BgL_arg1z00_2386;

				BgL_nz00_2383 = ((BgL_sequencez00_bglt) BgL_nz00_8681);
				BgL_pz00_2384 = BgL_pz00_8682;
				BgL_arg0z00_2385 = BgL_arg0z00_8683;
				BgL_arg1z00_2386 = BgL_arg1z00_8684;
				{	/* Ast/walk.scm 295 */
					obj_t BgL_g2007z00_2390;

					BgL_g2007z00_2390 =
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2383))->BgL_nodesz00);
					{
						obj_t BgL_l2005z00_2392;

						{	/* Ast/walk.scm 295 */
							bool_t BgL_auxz00_14044;

							BgL_l2005z00_2392 = BgL_g2007z00_2390;
						BgL_zc3anonymousza32723ze3z83_2393:
							if (PAIRP(BgL_l2005z00_2392))
								{	/* Ast/walk.scm 295 */
									{	/* Ast/walk.scm 295 */
										obj_t BgL_fz00_2395;

										BgL_fz00_2395 = CAR(BgL_l2005z00_2392);
										PROCEDURE_ENTRY(BgL_pz00_2384) (BgL_pz00_2384,
											BgL_fz00_2395, BgL_arg0z00_2385, BgL_arg1z00_2386, BEOA);
									}
									{
										obj_t BgL_l2005z00_14054;

										BgL_l2005z00_14054 = CDR(BgL_l2005z00_2392);
										BgL_l2005z00_2392 = BgL_l2005z00_14054;
										goto BgL_zc3anonymousza32723ze3z83_2393;
									}
								}
							else
								{	/* Ast/walk.scm 295 */
									BgL_auxz00_14044 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_14044);
						}
					}
				}
			}
		}
	}



/* &walk1-sequence2224 */
	obj_t BGl_z62walk1zd2sequence2224zb0zzast_walkz00(obj_t BgL_envz00_8685,
		obj_t BgL_nz00_8686, obj_t BgL_pz00_8687, obj_t BgL_arg0z00_8688)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2368;
				obj_t BgL_pz00_2369;
				obj_t BgL_arg0z00_2370;

				BgL_nz00_2368 = ((BgL_sequencez00_bglt) BgL_nz00_8686);
				BgL_pz00_2369 = BgL_pz00_8687;
				BgL_arg0z00_2370 = BgL_arg0z00_8688;
				{	/* Ast/walk.scm 295 */
					obj_t BgL_g2004z00_2374;

					BgL_g2004z00_2374 =
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2368))->BgL_nodesz00);
					{
						obj_t BgL_l2002z00_2376;

						{	/* Ast/walk.scm 295 */
							bool_t BgL_auxz00_14059;

							BgL_l2002z00_2376 = BgL_g2004z00_2374;
						BgL_zc3anonymousza32720ze3z83_2377:
							if (PAIRP(BgL_l2002z00_2376))
								{	/* Ast/walk.scm 295 */
									{	/* Ast/walk.scm 295 */
										obj_t BgL_fz00_2379;

										BgL_fz00_2379 = CAR(BgL_l2002z00_2376);
										PROCEDURE_ENTRY(BgL_pz00_2369) (BgL_pz00_2369,
											BgL_fz00_2379, BgL_arg0z00_2370, BEOA);
									}
									{
										obj_t BgL_l2002z00_14068;

										BgL_l2002z00_14068 = CDR(BgL_l2002z00_2376);
										BgL_l2002z00_2376 = BgL_l2002z00_14068;
										goto BgL_zc3anonymousza32720ze3z83_2377;
									}
								}
							else
								{	/* Ast/walk.scm 295 */
									BgL_auxz00_14059 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_14059);
						}
					}
				}
			}
		}
	}



/* &walk0-sequence2222 */
	obj_t BGl_z62walk0zd2sequence2222zb0zzast_walkz00(obj_t BgL_envz00_8689,
		obj_t BgL_nz00_8690, obj_t BgL_pz00_8691)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 295 */
			{
				BgL_sequencez00_bglt BgL_nz00_2354;
				obj_t BgL_pz00_2355;

				BgL_nz00_2354 = ((BgL_sequencez00_bglt) BgL_nz00_8690);
				BgL_pz00_2355 = BgL_pz00_8691;
				{	/* Ast/walk.scm 295 */
					obj_t BgL_g2001z00_2359;

					BgL_g2001z00_2359 =
						(((BgL_sequencez00_bglt) CREF(BgL_nz00_2354))->BgL_nodesz00);
					{
						obj_t BgL_l1999z00_2361;

						{	/* Ast/walk.scm 295 */
							bool_t BgL_auxz00_14073;

							BgL_l1999z00_2361 = BgL_g2001z00_2359;
						BgL_zc3anonymousza32717ze3z83_2362:
							if (PAIRP(BgL_l1999z00_2361))
								{	/* Ast/walk.scm 295 */
									{	/* Ast/walk.scm 295 */
										obj_t BgL_fz00_2364;

										BgL_fz00_2364 = CAR(BgL_l1999z00_2361);
										PROCEDURE_ENTRY(BgL_pz00_2355) (BgL_pz00_2355,
											BgL_fz00_2364, BEOA);
									}
									{
										obj_t BgL_l1999z00_14081;

										BgL_l1999z00_14081 = CDR(BgL_l1999z00_2361);
										BgL_l1999z00_2361 = BgL_l1999z00_14081;
										goto BgL_zc3anonymousza32717ze3z83_2362;
									}
								}
							else
								{	/* Ast/walk.scm 295 */
									BgL_auxz00_14073 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_14073);
						}
					}
				}
			}
		}
	}



/* &walk3!-node2220 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2node2220za2zzast_walkz00(obj_t
		BgL_envz00_8692, obj_t BgL_nz00_8693, obj_t BgL_pz00_8694,
		obj_t BgL_arg0z00_8695, obj_t BgL_arg1z00_8696, obj_t BgL_arg2z00_8697)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8693);
		}
	}



/* &walk2!-node2218 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2node2218za2zzast_walkz00(obj_t
		BgL_envz00_8698, obj_t BgL_nz00_8699, obj_t BgL_pz00_8700,
		obj_t BgL_arg0z00_8701, obj_t BgL_arg1z00_8702)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8699);
		}
	}



/* &walk1!-node2216 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2node2216za2zzast_walkz00(obj_t
		BgL_envz00_8703, obj_t BgL_nz00_8704, obj_t BgL_pz00_8705,
		obj_t BgL_arg0z00_8706)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8704);
		}
	}



/* &walk0!-node2214 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2node2214za2zzast_walkz00(obj_t
		BgL_envz00_8707, obj_t BgL_nz00_8708, obj_t BgL_pz00_8709)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8708);
		}
	}



/* &walk3*-node2212 */
	obj_t BGl_z62walk3za2zd2node2212z12zzast_walkz00(obj_t BgL_envz00_8710,
		obj_t BgL_nz00_8711, obj_t BgL_pz00_8712, obj_t BgL_arg0z00_8713,
		obj_t BgL_arg1z00_8714, obj_t BgL_arg2z00_8715)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}
	}



/* &walk2*-node2210 */
	obj_t BGl_z62walk2za2zd2node2210z12zzast_walkz00(obj_t BgL_envz00_8716,
		obj_t BgL_nz00_8717, obj_t BgL_pz00_8718, obj_t BgL_arg0z00_8719,
		obj_t BgL_arg1z00_8720)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}
	}



/* &walk1*-node2208 */
	obj_t BGl_z62walk1za2zd2node2208z12zzast_walkz00(obj_t BgL_envz00_8721,
		obj_t BgL_nz00_8722, obj_t BgL_pz00_8723, obj_t BgL_arg0z00_8724)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}
	}



/* &walk0*-node2206 */
	obj_t BGl_z62walk0za2zd2node2206z12zzast_walkz00(obj_t BgL_envz00_8725,
		obj_t BgL_nz00_8726, obj_t BgL_pz00_8727)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}
	}



/* &walk3-node2204 */
	obj_t BGl_z62walk3zd2node2204zb0zzast_walkz00(obj_t BgL_envz00_8728,
		obj_t BgL_nz00_8729, obj_t BgL_pz00_8730, obj_t BgL_arg0z00_8731,
		obj_t BgL_arg1z00_8732, obj_t BgL_arg2z00_8733)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}
	}



/* &walk2-node2202 */
	obj_t BGl_z62walk2zd2node2202zb0zzast_walkz00(obj_t BgL_envz00_8734,
		obj_t BgL_nz00_8735, obj_t BgL_pz00_8736, obj_t BgL_arg0z00_8737,
		obj_t BgL_arg1z00_8738)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}
	}



/* &walk1-node2200 */
	obj_t BGl_z62walk1zd2node2200zb0zzast_walkz00(obj_t BgL_envz00_8739,
		obj_t BgL_nz00_8740, obj_t BgL_pz00_8741, obj_t BgL_arg0z00_8742)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}
	}



/* &walk0-node2198 */
	obj_t BGl_z62walk0zd2node2198zb0zzast_walkz00(obj_t BgL_envz00_8743,
		obj_t BgL_nz00_8744, obj_t BgL_pz00_8745)
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_walkz00()
	{
		AN_OBJECT;
		{	/* Ast/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string4529z00zzast_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string4529z00zzast_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string4529z00zzast_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
