/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it2042za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz122046z62zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box2044z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun2036z70zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32255ze3ze1zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_castz00_bglt
		BGl_z62patchz12zd2cast2026za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	static BgL_setqz00_bglt
		BGl_z62patchz12zd2setq2028za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_z62patchz12zd2app2052za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it2040za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var2038z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2closure2014za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz122005z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_atomz00_bglt
		BGl_z62patchz12zd2atom2008za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_selectz00_bglt
		BGl_z62patchz12zd2select2034za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly2020z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional2030za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_externz00_bglt
		BGl_z62patchz12zd2extern2024za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	static BgL_varz00_bglt
		BGl_z62patchz12zd2var2012za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	static BgL_syncz00_bglt
		BGl_z62patchz12zd2sync2018za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_failz00_bglt
		BGl_z62patchz12zd2fail2032za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence2016za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall2022za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	static BgL_globalz00_bglt BGl_z62lambda2250z62zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_kwotez00_bglt
		BGl_z62patchz12zd2kwote2010za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2253z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2256z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2264z62zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda2265z62zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref2049z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22497z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2265za7622498z00,
		BGl_z62lambda2265z62zzcfa_specializa7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2264za7622499z00,
		BGl_z62lambda2264z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2256za7622500z00,
		BGl_z62lambda2256z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zzcfa_specializa7eza7,
		BgL_bgl_za762za7c3anonymousza72501za7,
		BGl_z62zc3anonymousza32255ze3ze1zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2253za7622502z00,
		BGl_z62lambda2253z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2250za7622503z00,
		BGl_z62lambda2250z62zzcfa_specializa7eza7, 0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7122005za72504za7,
		BGl_z62patchz122005z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at2505za7,
		BGl_z62patchz12zd2atom2008za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw2506za7,
		BGl_z62patchz12zd2kwote2010za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va2507za7,
		BGl_z62patchz12zd2var2012za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl2508za7,
		BGl_z62patchz12zd2closure2014za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2509za7,
		BGl_z62patchz12zd2sequence2016za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sy2510za7,
		BGl_z62patchz12zd2sync2018za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2511za7,
		BGl_z62patchz12zd2appzd2ly2020z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu2512za7,
		BGl_z62patchz12zd2funcall2022za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex2513za7,
		BGl_z62patchz12zd2extern2024za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca2514za7,
		BGl_z62patchz12zd2cast2026za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2515za7,
		BGl_z62patchz12zd2setq2028za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co2516za7,
		BGl_z62patchz12zd2conditional2030za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa2517za7,
		BGl_z62patchz12zd2fail2032za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2518za7,
		BGl_z62patchz12zd2select2034za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2519za7,
		BGl_z62patchz12zd2letzd2fun2036z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2520za7,
		BGl_z62patchz12zd2letzd2var2038z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2521za7,
		BGl_z62patchz12zd2setzd2exzd2it2040za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju2522za7,
		BGl_z62patchz12zd2jumpzd2exzd2it2042za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma2523za7,
		BGl_z62patchz12zd2makezd2box2044z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2524za7,
		BGl_z62patchz12zd2boxzd2setz122046z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2525za7,
		BGl_z62patchz12zd2boxzd2ref2049z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2526za7,
		BGl_z62patchz12zd2app2052za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza72527za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22528z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2445z00zzcfa_specializa7eza7,
		BgL_bgl_string2445za700za7za7c2529za7, "arithmetic-spec-types", 21);
	      DEFINE_STRING(BGl_string2446z00zzcfa_specializa7eza7,
		BgL_bgl_string2446za700za7za7c2530za7, "Null specification for", 22);
	      DEFINE_STRING(BGl_string2447z00zzcfa_specializa7eza7,
		BgL_bgl_string2447za700za7za7c2531za7, "   . Specializing", 17);
	      DEFINE_STRING(BGl_string2448z00zzcfa_specializa7eza7,
		BgL_bgl_string2448za700za7za7c2532za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2449z00zzcfa_specializa7eza7,
		BgL_bgl_string2449za700za7za7c2533za7, ": ", 2);
	      DEFINE_STRING(BGl_string2450z00zzcfa_specializa7eza7,
		BgL_bgl_string2450za700za7za7c2534za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string2451z00zzcfa_specializa7eza7,
		BgL_bgl_string2451za700za7za7c2535za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string2452z00zzcfa_specializa7eza7,
		BgL_bgl_string2452za700za7za7c2536za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string2453z00zzcfa_specializa7eza7,
		BgL_bgl_string2453za700za7za7c2537za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string2454z00zzcfa_specializa7eza7,
		BgL_bgl_string2454za700za7za7c2538za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string2455z00zzcfa_specializa7eza7,
		BgL_bgl_string2455za700za7za7c2539za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2456z00zzcfa_specializa7eza7,
		BgL_bgl_string2456za700za7za7c2540za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2457z00zzcfa_specializa7eza7,
		BgL_bgl_string2457za700za7za7c2541za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2458z00zzcfa_specializa7eza7,
		BgL_bgl_string2458za700za7za7c2542za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string2465z00zzcfa_specializa7eza7,
		BgL_bgl_string2465za700za7za7c2543za7, "", 0);
	      DEFINE_STRING(BGl_string2467z00zzcfa_specializa7eza7,
		BgL_bgl_string2467za700za7za7c2544za7, "patch!2005", 10);
	      DEFINE_STRING(BGl_string2468z00zzcfa_specializa7eza7,
		BgL_bgl_string2468za700za7za7c2545za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2470z00zzcfa_specializa7eza7,
		BgL_bgl_string2470za700za7za7c2546za7, "patch!", 6);
	      DEFINE_STRING(BGl_string2492z00zzcfa_specializa7eza7,
		BgL_bgl_string2492za700za7za7c2547za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2493z00zzcfa_specializa7eza7,
		BgL_bgl_string2493za700za7za7c2548za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string2494z00zzcfa_specializa7eza7,
		BgL_bgl_string2494za700za7za7c2549za7,
		"patch!2005 _ cfa_specialize specialized-global obj fix done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum) (+fx __r4_numbers_6_5_fixnum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum) (-fx __r4_numbers_6_5_fixnum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum) (*fx __r4_numbers_6_5_fixnum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum) (absfx __r4_numbers_6_5_fixnum))) ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum)) (c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) ("
		"<fl __r4_numbers_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numb"
		"ers_6_5) (asinfl __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		2220);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za72550za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_3318, char *BgL_fromz00_3319)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_3307;

				BgL_cportz00_3307 =
					bgl_open_input_string(BGl_string2494z00zzcfa_specializa7eza7,
					(int) (((long) 0)));
				{
					long BgL_iz00_3308;

					BgL_iz00_3308 = ((long) 13);
				BgL_loopz00_3309:
					if ((BgL_iz00_3308 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg2496z00_3311;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_3313;

										BgL_locationz00_3313 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg2496z00_3311 =
												BGl_readz00zz__readerz00(BgL_cportz00_3307,
												BgL_locationz00_3313);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_auxz00_3342;

									BgL_auxz00_3342 = (int) (BgL_iz00_3308);
									CNST_TABLE_SET(BgL_auxz00_3342, BgL_arg2496z00_3311);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_3314;

								BgL_auxz00_3314 = (int) ((BgL_iz00_3308 - ((long) 1)));
								{
									long BgL_iz00_3347;

									BgL_iz00_3347 = (long) (BgL_auxz00_3314);
									BgL_iz00_3308 = BgL_iz00_3347;
									goto BgL_loopz00_3309;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BFALSE;
			BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 1));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1475;

				BgL_headz00_1475 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1476;
					obj_t BgL_tailz00_1477;

					BgL_prevz00_1476 = BgL_headz00_1475;
					BgL_tailz00_1477 = BgL_l1z00_1;
				BgL_loopz00_1478:
					if (PAIRP(BgL_tailz00_1477))
						{
							obj_t BgL_newzd2prevzd2_1480;

							BgL_newzd2prevzd2_1480 =
								MAKE_PAIR(CAR(BgL_tailz00_1477), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1476, BgL_newzd2prevzd2_1480);
							{
								obj_t BgL_tailz00_3358;
								obj_t BgL_prevz00_3357;

								BgL_prevz00_3357 = BgL_newzd2prevzd2_1480;
								BgL_tailz00_3358 = CDR(BgL_tailz00_1477);
								BgL_tailz00_1477 = BgL_tailz00_3358;
								BgL_prevz00_1476 = BgL_prevz00_3357;
								goto BgL_loopz00_1478;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1475);
				}
			}
		}
	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_84)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{	/* Cfa/specialize.scm 47 */
						obj_t BgL_g1985z00_1530;

						BgL_g1985z00_1530 =
							BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
						{
							obj_t BgL_l1983z00_1532;

							BgL_l1983z00_1532 = BgL_g1985z00_1530;
						BgL_zc3anonymousza32059ze3z83_1533:
							if (PAIRP(BgL_l1983z00_1532))
								{	/* Cfa/specialize.scm 47 */
									BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(CAR
										(BgL_l1983z00_1532));
									{
										obj_t BgL_l1983z00_3368;

										BgL_l1983z00_3368 = CDR(BgL_l1983z00_1532);
										BgL_l1983z00_1532 = BgL_l1983z00_3368;
										goto BgL_zc3anonymousza32059ze3z83_1533;
									}
								}
							else
								{	/* Cfa/specialize.scm 47 */
									((bool_t) 1);
								}
						}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_84);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_84;
		}
	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_3191,
		obj_t BgL_globalsz00_3192)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_3192);
		}
	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_85)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 56 */
			{	/* Cfa/specialize.scm 58 */
				obj_t BgL_cellz00_1539;

				{	/* Cfa/specialize.scm 58 */
					obj_t BgL_arg2066z00_1544;
					obj_t BgL_arg2067z00_1545;

					BgL_arg2066z00_1544 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_85)))->BgL_idz00);
					BgL_arg2067z00_1545 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1539 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2066z00_1544,
						BgL_arg2067z00_1545);
				}
				if (PAIRP(BgL_cellz00_1539))
					{	/* Cfa/specialize.scm 59 */
						bool_t BgL_auxz00_3380;

						{	/* Cfa/specialize.scm 59 */
							obj_t BgL_auxz00_3381;

							{	/* Cfa/specialize.scm 59 */
								obj_t BgL_pairz00_2867;

								BgL_pairz00_2867 = CAR(CDR(BgL_cellz00_1539));
								BgL_auxz00_3381 = CAR(CDR(BgL_pairz00_2867));
							}
							BgL_auxz00_3380 =
								(BgL_auxz00_3381 ==
								(((BgL_globalz00_bglt) CREF(BgL_globalz00_85))->BgL_modulez00));
						}
						return BBOOL(BgL_auxz00_3380);
					}
				else
					{	/* Cfa/specialize.scm 59 */
						return BFALSE;
					}
			}
		}
	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_3193, obj_t BgL_globalz00_3194)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 56 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3194));
		}
	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_86)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 67 */
			{	/* Cfa/specialize.scm 69 */
				obj_t BgL_cellz00_1547;

				{	/* Cfa/specialize.scm 69 */
					obj_t BgL_arg2085z00_1570;
					obj_t BgL_arg2086z00_1571;

					BgL_arg2085z00_1570 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_86)))->BgL_idz00);
					BgL_arg2086z00_1571 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1547 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2085z00_1570,
						BgL_arg2086z00_1571);
				}
				if (PAIRP(BgL_cellz00_1547))
					{	/* Cfa/specialize.scm 72 */
						obj_t BgL_g1175z00_1549;

						BgL_g1175z00_1549 = CDR(CDR(BgL_cellz00_1547));
						{
							obj_t BgL_specz00_1552;
							obj_t BgL_typesz00_1553;

							BgL_specz00_1552 = BgL_g1175z00_1549;
							BgL_typesz00_1553 = BNIL;
						BgL_zc3anonymousza32069ze3z83_1554:
							if (NULLP(BgL_specz00_1552))
								{	/* Cfa/specialize.scm 75 */
									if (NULLP(BgL_typesz00_1553))
										{	/* Cfa/specialize.scm 79 */
											obj_t BgL_arg2072z00_1557;

											BgL_arg2072z00_1557 =
												BGl_shapez00zztools_shapez00(
												((obj_t) BgL_globalz00_86));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2445z00zzcfa_specializa7eza7,
												BGl_string2446z00zzcfa_specializa7eza7,
												BgL_arg2072z00_1557);
										}
									else
										{	/* Cfa/specialize.scm 76 */
											return BgL_typesz00_1553;
										}
								}
							else
								{	/* Cfa/specialize.scm 81 */
									bool_t BgL_testz00_3406;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 82 */
											obj_t BgL_auxz00_3409;

											{	/* Cfa/specialize.scm 82 */
												obj_t BgL_pairz00_2882;

												BgL_pairz00_2882 = CAR(BgL_specz00_1552);
												BgL_auxz00_3409 = CAR(CDR(BgL_pairz00_2882));
											}
											BgL_testz00_3406 =
												(BgL_auxz00_3409 == CNST_TABLE_REF(((long) 2)));
										}
									else
										{	/* Cfa/specialize.scm 81 */
											BgL_testz00_3406 = ((bool_t) 0);
										}
									if (BgL_testz00_3406)
										{	/* Cfa/specialize.scm 83 */
											obj_t BgL_arg2074z00_1559;
											obj_t BgL_arg2075z00_1560;

											BgL_arg2074z00_1559 = CDR(BgL_specz00_1552);
											BgL_arg2075z00_1560 =
												MAKE_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1553);
											{
												obj_t BgL_typesz00_3418;
												obj_t BgL_specz00_3417;

												BgL_specz00_3417 = BgL_arg2074z00_1559;
												BgL_typesz00_3418 = BgL_arg2075z00_1560;
												BgL_typesz00_1553 = BgL_typesz00_3418;
												BgL_specz00_1552 = BgL_specz00_3417;
												goto BgL_zc3anonymousza32069ze3z83_1554;
											}
										}
									else
										{	/* Cfa/specialize.scm 84 */
											bool_t BgL_testz00_3419;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 85 */
													obj_t BgL_auxz00_3422;

													{	/* Cfa/specialize.scm 85 */
														obj_t BgL_pairz00_2888;

														BgL_pairz00_2888 = CAR(BgL_specz00_1552);
														BgL_auxz00_3422 = CAR(CDR(BgL_pairz00_2888));
													}
													BgL_testz00_3419 =
														(BgL_auxz00_3422 == CNST_TABLE_REF(((long) 3)));
												}
											else
												{	/* Cfa/specialize.scm 84 */
													BgL_testz00_3419 = ((bool_t) 0);
												}
											if (BgL_testz00_3419)
												{	/* Cfa/specialize.scm 86 */
													obj_t BgL_arg2077z00_1562;
													obj_t BgL_arg2078z00_1563;

													BgL_arg2077z00_1562 = CDR(BgL_specz00_1552);
													BgL_arg2078z00_1563 =
														MAKE_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1553);
													{
														obj_t BgL_typesz00_3431;
														obj_t BgL_specz00_3430;

														BgL_specz00_3430 = BgL_arg2077z00_1562;
														BgL_typesz00_3431 = BgL_arg2078z00_1563;
														BgL_typesz00_1553 = BgL_typesz00_3431;
														BgL_specz00_1552 = BgL_specz00_3430;
														goto BgL_zc3anonymousza32069ze3z83_1554;
													}
												}
											else
												{
													obj_t BgL_specz00_3432;

													BgL_specz00_3432 = CDR(BgL_specz00_1552);
													BgL_specz00_1552 = BgL_specz00_3432;
													goto BgL_zc3anonymousza32069ze3z83_1554;
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 70 */
						return BNIL;
					}
			}
		}
	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3195, obj_t BgL_globalz00_3196)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 67 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3196));
		}
	}



/* get-specializations */
	obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 93 */
			if (CBOOL(BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7))
				{	/* Cfa/specialize.scm 95 */
					return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
				}
			else
				{	/* Cfa/specialize.scm 95 */
					if (CBOOL(BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 98 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								CNST_TABLE_REF(((long) 0));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
					else
						{	/* Cfa/specialize.scm 98 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								BGl_appendzd221011zd2zzcfa_specializa7eza7(CNST_TABLE_REF((
										(long) 1)), CNST_TABLE_REF(((long) 0)));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
				}
		}
	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 192 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 193 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 193 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 193 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 193 */
					return ((bool_t) 0);
				}
		}
	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 198 */
			{	/* Cfa/specialize.scm 199 */
				obj_t BgL_list2087z00_1573;

				{	/* Cfa/specialize.scm 199 */
					obj_t BgL_arg2089z00_1574;

					BgL_arg2089z00_1574 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
					BgL_list2087z00_1573 =
						MAKE_PAIR(BGl_string2447z00zzcfa_specializa7eza7,
						BgL_arg2089z00_1574);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2087z00_1573);
			}
			{
				obj_t BgL_l1986z00_1576;

				BgL_l1986z00_1576 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3anonymousza32090ze3z83_1577:
				if (PAIRP(BgL_l1986z00_1576))
					{	/* Cfa/specialize.scm 200 */
						{	/* Cfa/specialize.scm 201 */
							obj_t BgL_typezd2numzd2_1579;

							BgL_typezd2numzd2_1579 = CAR(BgL_l1986z00_1576);
							if (((long) CINT(CDR(BgL_typezd2numzd2_1579)) > ((long) 0)))
								{	/* Cfa/specialize.scm 202 */
									obj_t BgL_arg2093z00_1581;
									obj_t BgL_arg2094z00_1582;

									BgL_arg2093z00_1581 =
										BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1579));
									BgL_arg2094z00_1582 = CDR(BgL_typezd2numzd2_1579);
									{	/* Cfa/specialize.scm 202 */
										obj_t BgL_list2095z00_1583;

										{	/* Cfa/specialize.scm 202 */
											obj_t BgL_arg2096z00_1584;

											{	/* Cfa/specialize.scm 202 */
												obj_t BgL_arg2097z00_1585;

												{	/* Cfa/specialize.scm 202 */
													obj_t BgL_arg2098z00_1586;

													{	/* Cfa/specialize.scm 202 */
														obj_t BgL_arg2099z00_1587;

														BgL_arg2099z00_1587 =
															MAKE_PAIR(BGl_string2448z00zzcfa_specializa7eza7,
															BNIL);
														BgL_arg2098z00_1586 =
															MAKE_PAIR(BgL_arg2094z00_1582,
															BgL_arg2099z00_1587);
													}
													BgL_arg2097z00_1585 =
														MAKE_PAIR(BGl_string2449z00zzcfa_specializa7eza7,
														BgL_arg2098z00_1586);
												}
												BgL_arg2096z00_1584 =
													MAKE_PAIR(BgL_arg2093z00_1581, BgL_arg2097z00_1585);
											}
											BgL_list2095z00_1583 =
												MAKE_PAIR(BGl_string2450z00zzcfa_specializa7eza7,
												BgL_arg2096z00_1584);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list2095z00_1583);
								}}
							else
								{	/* Cfa/specialize.scm 201 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1986z00_3471;

							BgL_l1986z00_3471 = CDR(BgL_l1986z00_1576);
							BgL_l1986z00_1576 = BgL_l1986z00_3471;
							goto BgL_zc3anonymousza32090ze3z83_1577;
						}
					}
				else
					{	/* Cfa/specialize.scm 200 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1988z00_1593;

				BgL_l1988z00_1593 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32103ze3z83_1594:
				if (PAIRP(BgL_l1988z00_1593))
					{	/* Cfa/specialize.scm 205 */
						{	/* Cfa/specialize.scm 206 */
							obj_t BgL_typezd2numzd2_1596;

							BgL_typezd2numzd2_1596 = CAR(BgL_l1988z00_1593);
							if (((long) CINT(CDR(BgL_typezd2numzd2_1596)) > ((long) 0)))
								{	/* Cfa/specialize.scm 207 */
									obj_t BgL_arg2107z00_1598;
									obj_t BgL_arg2108z00_1599;

									BgL_arg2107z00_1598 =
										BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1596));
									BgL_arg2108z00_1599 = CDR(BgL_typezd2numzd2_1596);
									{	/* Cfa/specialize.scm 207 */
										obj_t BgL_list2109z00_1600;

										{	/* Cfa/specialize.scm 207 */
											obj_t BgL_arg2110z00_1601;

											{	/* Cfa/specialize.scm 207 */
												obj_t BgL_arg2112z00_1602;

												{	/* Cfa/specialize.scm 207 */
													obj_t BgL_arg2113z00_1603;

													{	/* Cfa/specialize.scm 207 */
														obj_t BgL_arg2114z00_1604;

														BgL_arg2114z00_1604 =
															MAKE_PAIR(BGl_string2448z00zzcfa_specializa7eza7,
															BNIL);
														BgL_arg2113z00_1603 =
															MAKE_PAIR(BgL_arg2108z00_1599,
															BgL_arg2114z00_1604);
													}
													BgL_arg2112z00_1602 =
														MAKE_PAIR(BGl_string2449z00zzcfa_specializa7eza7,
														BgL_arg2113z00_1603);
												}
												BgL_arg2110z00_1601 =
													MAKE_PAIR(BgL_arg2107z00_1598, BgL_arg2112z00_1602);
											}
											BgL_list2109z00_1600 =
												MAKE_PAIR(BGl_string2451z00zzcfa_specializa7eza7,
												BgL_arg2110z00_1601);
										}
										BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
											BgL_list2109z00_1600);
								}}
							else
								{	/* Cfa/specialize.scm 206 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1988z00_3490;

							BgL_l1988z00_3490 = CDR(BgL_l1988z00_1593);
							BgL_l1988z00_1593 = BgL_l1988z00_3490;
							goto BgL_zc3anonymousza32103ze3z83_1594;
						}
					}
				else
					{	/* Cfa/specialize.scm 205 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_87)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 222 */
			{	/* Cfa/specialize.scm 223 */
				bool_t BgL_testz00_3492;

				{	/* Cfa/specialize.scm 223 */
					obj_t BgL_auxz00_3493;

					BgL_auxz00_3493 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_87,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_testz00_3492 = PAIRP(BgL_auxz00_3493);
				}
				if (BgL_testz00_3492)
					{	/* Cfa/specialize.scm 223 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 223 */
						{	/* Cfa/specialize.scm 224 */
							obj_t BgL_arg2119z00_1610;

							BgL_arg2119z00_1610 = MAKE_PAIR(BgL_typez00_87, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_PAIR(BgL_arg2119z00_1610,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 225 */
							obj_t BgL_list2120z00_1611;

							BgL_list2120z00_1611 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
								BgL_list2120z00_1611);
						}
						{	/* Cfa/specialize.scm 226 */
							obj_t BgL_list2121z00_1612;

							BgL_list2121z00_1612 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
									BgL_list2121z00_1612), BUNSPEC);
		}}}}
	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_88)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 231 */
			{	/* Cfa/specialize.scm 232 */
				obj_t BgL_cellz00_1614;

				BgL_cellz00_1614 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_88,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1614))
					{	/* Cfa/specialize.scm 236 */
						long BgL_arg2124z00_1616;

						BgL_arg2124z00_1616 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1614)));
						{	/* Cfa/specialize.scm 236 */
							obj_t BgL_auxz00_3513;

							BgL_auxz00_3513 = BINT(BgL_arg2124z00_1616);
							return SET_CDR(BgL_cellz00_1614, BgL_auxz00_3513);
						}
					}
				else
					{	/* Cfa/specialize.scm 233 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2452z00zzcfa_specializa7eza7,
							BGl_string2453z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_88));
					}
			}
		}
	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_89)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 241 */
			{	/* Cfa/specialize.scm 242 */
				obj_t BgL_cellz00_1619;

				BgL_cellz00_1619 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_89,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1619))
					{	/* Cfa/specialize.scm 246 */
						long BgL_arg2129z00_1621;

						BgL_arg2129z00_1621 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1619)));
						{	/* Cfa/specialize.scm 246 */
							obj_t BgL_auxz00_3524;

							BgL_auxz00_3524 = BINT(BgL_arg2129z00_1621);
							return SET_CDR(BgL_cellz00_1619, BgL_auxz00_3524);
						}
					}
				else
					{	/* Cfa/specialize.scm 245 */
						obj_t BgL_arg2131z00_1623;

						BgL_arg2131z00_1623 = MAKE_PAIR(BgL_typez00_89, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_PAIR(BgL_arg2131z00_1623,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}
	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_specz00_90)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 251 */
			{	/* Cfa/specialize.scm 252 */
				obj_t BgL_genz00_1624;

				BgL_genz00_1624 = CAR(CDR(BgL_specz00_90));
				{	/* Cfa/specialize.scm 252 */
					obj_t BgL_fixesz00_1625;

					BgL_fixesz00_1625 = CDR(CDR(BgL_specz00_90));
					{	/* Cfa/specialize.scm 253 */
						obj_t BgL_genzd2idzd2_1626;

						BgL_genzd2idzd2_1626 = CAR(BgL_genz00_1624);
						{	/* Cfa/specialize.scm 254 */
							obj_t BgL_genzd2modzd2_1627;

							BgL_genzd2modzd2_1627 = CAR(CDR(BgL_genz00_1624));
							{	/* Cfa/specialize.scm 255 */
								obj_t BgL_genericz00_1628;

								BgL_genericz00_1628 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_genzd2idzd2_1626, BgL_genzd2modzd2_1627);
								{	/* Cfa/specialize.scm 256 */

									if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1628,
											BGl_globalz00zzast_varz00))
										{
											obj_t BgL_fixesz00_1632;
											obj_t BgL_resz00_1633;

											BgL_fixesz00_1632 = BgL_fixesz00_1625;
											BgL_resz00_1633 = BNIL;
										BgL_zc3anonymousza32133ze3z83_1634:
											if (NULLP(BgL_fixesz00_1632))
												{	/* Cfa/specialize.scm 260 */
													if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1628,
															BGl_specializa7edzd2globalz75zzcfa_specializa7eza7))
														{
															obj_t BgL_auxz00_3551;
															BgL_specializa7edzd2globalz75_bglt
																BgL_auxz00_3544;
															{	/* Cfa/specialize.scm 263 */
																obj_t BgL_arg2136z00_1638;

																{
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_auxz00_3552;
																	{
																		obj_t BgL_auxz00_3553;

																		{	/* Cfa/specialize.scm 263 */
																			BgL_objectz00_bglt BgL_auxz00_3554;

																			BgL_auxz00_3554 =
																				((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1628));
																			BgL_auxz00_3553 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_3554);
																		}
																		BgL_auxz00_3552 =
																			((BgL_specializa7edzd2globalz75_bglt)
																			BgL_auxz00_3553);
																	}
																	BgL_arg2136z00_1638 =
																		(((BgL_specializa7edzd2globalz75_bglt)
																			CREF(BgL_auxz00_3552))->BgL_fixz00);
																}
																BgL_auxz00_3551 =
																	BGl_appendzd221011zd2zzcfa_specializa7eza7
																	(BgL_arg2136z00_1638, BgL_resz00_1633);
															}
															{
																obj_t BgL_auxz00_3545;

																{	/* Cfa/specialize.scm 263 */
																	BgL_objectz00_bglt BgL_auxz00_3546;

																	BgL_auxz00_3546 =
																		((BgL_objectz00_bglt)
																		((BgL_globalz00_bglt) BgL_genericz00_1628));
																	BgL_auxz00_3545 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_3546);
																}
																BgL_auxz00_3544 =
																	((BgL_specializa7edzd2globalz75_bglt)
																	BgL_auxz00_3545);
															}
															return
																((((BgL_specializa7edzd2globalz75_bglt)
																		CREF(BgL_auxz00_3544))->BgL_fixz00) =
																((obj_t) BgL_auxz00_3551), BUNSPEC);
														}
													else
														{	/* Cfa/specialize.scm 261 */
															{	/* Cfa/specialize.scm 265 */
																BgL_specializa7edzd2globalz75_bglt
																	BgL_wide1182z00_1641;
																BgL_wide1182z00_1641 =
																	((BgL_specializa7edzd2globalz75_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_specializa7edzd2globalz75_bgl))));
																{	/* Cfa/specialize.scm 265 */
																	obj_t BgL_auxz00_3567;
																	BgL_objectz00_bglt BgL_auxz00_3563;

																	BgL_auxz00_3567 =
																		((obj_t) BgL_wide1182z00_1641);
																	BgL_auxz00_3563 =
																		((BgL_objectz00_bglt)
																		((BgL_globalz00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_genericz00_1628)));
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_3563,
																		BgL_auxz00_3567);
																}
																{	/* Cfa/specialize.scm 265 */
																	long BgL_arg2137z00_1642;

																	{	/* Cfa/specialize.scm 265 */
																		long BgL_res2400z00_2955;

																		BgL_res2400z00_2955 =
																			BGL_CLASS_INDEX
																			(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
																		BgL_arg2137z00_1642 = BgL_res2400z00_2955;
																	}
																	((BgL_globalz00_bglt)
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_genericz00_1628))),
																			BgL_arg2137z00_1642));
																}
																((BgL_globalz00_bglt)
																	((BgL_globalz00_bglt) BgL_genericz00_1628));
															}
															{
																BgL_specializa7edzd2globalz75_bglt
																	BgL_auxz00_3578;
																{
																	obj_t BgL_auxz00_3579;

																	{	/* Cfa/specialize.scm 266 */
																		BgL_objectz00_bglt BgL_auxz00_3580;

																		BgL_auxz00_3580 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1628)));
																		BgL_auxz00_3579 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3580);
																	}
																	BgL_auxz00_3578 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BgL_auxz00_3579);
																}
																((((BgL_specializa7edzd2globalz75_bglt)
																			CREF(BgL_auxz00_3578))->BgL_fixz00) =
																	((obj_t) BgL_resz00_1633), BUNSPEC);
															}
															((BgL_globalz00_bglt)
																((BgL_globalz00_bglt) BgL_genericz00_1628));
															return
																(BGl_za2specializa7eza2za7zzcfa_specializa7eza7
																=
																MAKE_PAIR(BgL_genericz00_1628,
																	BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
																BUNSPEC);
														}
												}
											else
												{	/* Cfa/specialize.scm 268 */
													obj_t BgL_fixz00_1644;

													BgL_fixz00_1644 = CAR(BgL_fixesz00_1632);
													{	/* Cfa/specialize.scm 268 */
														obj_t BgL_idz00_1645;

														BgL_idz00_1645 = CAR(BgL_fixz00_1644);
														{	/* Cfa/specialize.scm 269 */
															obj_t BgL_modz00_1646;

															BgL_modz00_1646 = CAR(CDR(BgL_fixz00_1644));
															{	/* Cfa/specialize.scm 270 */
																obj_t BgL_globalz00_1647;

																BgL_globalz00_1647 =
																	BGl_findzd2globalzf2modulez20zzast_envz00
																	(BgL_idz00_1645, BgL_modz00_1646);
																{	/* Cfa/specialize.scm 271 */

																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_globalz00_1647,
																			BGl_globalz00zzast_varz00))
																		{	/* Cfa/specialize.scm 273 */
																			BgL_valuez00_bglt BgL_valz00_1649;

																			BgL_valz00_1649 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_globalz00_1647))))->
																				BgL_valuez00);
																			{	/* Cfa/specialize.scm 275 */
																				bool_t BgL_testz00_3600;

																				{	/* Cfa/specialize.scm 275 */
																					bool_t BgL_testz00_3601;

																					{	/* Cfa/specialize.scm 275 */
																						bool_t BgL_res2403z00_2970;

																						BgL_res2403z00_2970 =
																							BGl_isazf3zf3zz__objectz00(
																							((obj_t) BgL_valz00_1649),
																							BGl_sfunz00zzast_varz00);
																						BgL_testz00_3601 =
																							BgL_res2403z00_2970;
																					}
																					if (BgL_testz00_3601)
																						{	/* Cfa/specialize.scm 275 */
																							obj_t BgL_auxz00_3604;

																							BgL_auxz00_3604 =
																								(((BgL_sfunz00_bglt) CREF(
																										((BgL_sfunz00_bglt)
																											BgL_valz00_1649)))->
																								BgL_argsz00);
																							BgL_testz00_3600 =
																								PAIRP(BgL_auxz00_3604);
																						}
																					else
																						{	/* Cfa/specialize.scm 275 */
																							BgL_testz00_3600 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_3600)
																					{	/* Cfa/specialize.scm 276 */
																						obj_t BgL_typez00_1651;

																						{	/* Cfa/specialize.scm 276 */
																							obj_t BgL_vz00_1655;

																							{	/* Cfa/specialize.scm 276 */
																								obj_t BgL_pairz00_2977;

																								BgL_pairz00_2977 =
																									(((BgL_sfunz00_bglt) CREF(
																											((BgL_sfunz00_bglt)
																												BgL_valz00_1649)))->
																									BgL_argsz00);
																								BgL_vz00_1655 =
																									CAR(BgL_pairz00_2977);
																							}
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_vz00_1655,
																									BGl_typez00zztype_typez00))
																								{	/* Cfa/specialize.scm 278 */
																									BgL_typez00_1651 =
																										BgL_vz00_1655;
																								}
																							else
																								{	/* Cfa/specialize.scm 278 */
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_vz00_1655,
																											BGl_localz00zzast_varz00))
																										{	/* Cfa/specialize.scm 280 */
																											BgL_typez00_1651 =
																												((obj_t)
																												(((BgL_variablez00_bglt)
																														CREF((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_vz00_1655))))->BgL_typez00));
																										}
																									else
																										{	/* Cfa/specialize.scm 286 */
																											obj_t BgL_arg2146z00_1658;

																											BgL_arg2146z00_1658 =
																												(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_globalz00_1647))))->BgL_idz00);
																											BgL_typez00_1651 =
																												BGl_internalzd2errorzd2zztools_errorz00
																												(BGl_string2454z00zzcfa_specializa7eza7,
																												BGl_string2455z00zzcfa_specializa7eza7,
																												BgL_arg2146z00_1658);
																										}
																								}
																						}
																						BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																							(BgL_typez00_1651);
																						{	/* Cfa/specialize.scm 288 */
																							obj_t BgL_arg2141z00_1652;
																							obj_t BgL_arg2142z00_1653;

																							BgL_arg2141z00_1652 =
																								CDR(BgL_fixesz00_1632);
																							{	/* Cfa/specialize.scm 289 */
																								obj_t BgL_arg2143z00_1654;

																								BgL_arg2143z00_1654 =
																									MAKE_PAIR(BgL_typez00_1651,
																									BgL_globalz00_1647);
																								BgL_arg2142z00_1653 =
																									MAKE_PAIR(BgL_arg2143z00_1654,
																									BgL_resz00_1633);
																							}
																							{
																								obj_t BgL_resz00_3628;
																								obj_t BgL_fixesz00_3627;

																								BgL_fixesz00_3627 =
																									BgL_arg2141z00_1652;
																								BgL_resz00_3628 =
																									BgL_arg2142z00_1653;
																								BgL_resz00_1633 =
																									BgL_resz00_3628;
																								BgL_fixesz00_1632 =
																									BgL_fixesz00_3627;
																								goto
																									BgL_zc3anonymousza32133ze3z83_1634;
																							}
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 290 */
																						bool_t BgL_testz00_3629;

																						{	/* Cfa/specialize.scm 290 */
																							bool_t BgL_testz00_3630;

																							{	/* Cfa/specialize.scm 290 */
																								bool_t BgL_res2409z00_2990;

																								BgL_res2409z00_2990 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t) BgL_valz00_1649),
																									BGl_cfunz00zzast_varz00);
																								BgL_testz00_3630 =
																									BgL_res2409z00_2990;
																							}
																							if (BgL_testz00_3630)
																								{	/* Cfa/specialize.scm 290 */
																									obj_t BgL_auxz00_3633;

																									BgL_auxz00_3633 =
																										(((BgL_cfunz00_bglt) CREF(
																												((BgL_cfunz00_bglt)
																													BgL_valz00_1649)))->
																										BgL_argszd2typezd2);
																									BgL_testz00_3629 =
																										PAIRP(BgL_auxz00_3633);
																								}
																							else
																								{	/* Cfa/specialize.scm 290 */
																									BgL_testz00_3629 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_3629)
																							{	/* Cfa/specialize.scm 291 */
																								obj_t BgL_typez00_1661;

																								{	/* Cfa/specialize.scm 291 */
																									obj_t BgL_pairz00_2997;

																									BgL_pairz00_2997 =
																										(((BgL_cfunz00_bglt) CREF(
																												((BgL_cfunz00_bglt)
																													BgL_valz00_1649)))->
																										BgL_argszd2typezd2);
																									BgL_typez00_1661 =
																										CAR(BgL_pairz00_2997);
																								}
																								BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																									(BgL_typez00_1661);
																								{	/* Cfa/specialize.scm 293 */
																									obj_t BgL_arg2149z00_1662;
																									obj_t BgL_arg2150z00_1663;

																									BgL_arg2149z00_1662 =
																										CDR(BgL_fixesz00_1632);
																									{	/* Cfa/specialize.scm 294 */
																										obj_t BgL_arg2151z00_1664;

																										BgL_arg2151z00_1664 =
																											MAKE_PAIR
																											(BgL_typez00_1661,
																											BgL_globalz00_1647);
																										BgL_arg2150z00_1663 =
																											MAKE_PAIR
																											(BgL_arg2151z00_1664,
																											BgL_resz00_1633);
																									}
																									{
																										obj_t BgL_resz00_3645;
																										obj_t BgL_fixesz00_3644;

																										BgL_fixesz00_3644 =
																											BgL_arg2149z00_1662;
																										BgL_resz00_3645 =
																											BgL_arg2150z00_1663;
																										BgL_resz00_1633 =
																											BgL_resz00_3645;
																										BgL_fixesz00_1632 =
																											BgL_fixesz00_3644;
																										goto
																											BgL_zc3anonymousza32133ze3z83_1634;
																									}
																								}
																							}
																						else
																							{	/* Cfa/specialize.scm 290 */
																								return BFALSE;
																							}
																					}
																			}
																		}
																	else
																		{	/* Cfa/specialize.scm 272 */
																			{	/* Cfa/specialize.scm 299 */
																				obj_t BgL_arg2157z00_1670;

																				BgL_arg2157z00_1670 =
																					MAKE_PAIR(BgL_idz00_1645,
																					BgL_modz00_1646);
																				{	/* Cfa/specialize.scm 296 */
																					obj_t BgL_list2158z00_1671;

																					{	/* Cfa/specialize.scm 296 */
																						obj_t BgL_arg2159z00_1672;

																						{	/* Cfa/specialize.scm 296 */
																							obj_t BgL_arg2160z00_1673;

																							{	/* Cfa/specialize.scm 296 */
																								obj_t BgL_arg2162z00_1674;

																								BgL_arg2162z00_1674 =
																									MAKE_PAIR(BgL_arg2157z00_1670,
																									BNIL);
																								BgL_arg2160z00_1673 =
																									MAKE_PAIR
																									(BGl_string2456z00zzcfa_specializa7eza7,
																									BgL_arg2162z00_1674);
																							}
																							BgL_arg2159z00_1672 =
																								MAKE_PAIR
																								(BGl_string2457z00zzcfa_specializa7eza7,
																								BgL_arg2160z00_1673);
																						}
																						BgL_list2158z00_1671 =
																							MAKE_PAIR
																							(BGl_string2458z00zzcfa_specializa7eza7,
																							BgL_arg2159z00_1672);
																					}
																					BGl_warningz00zz__errorz00
																						(BgL_list2158z00_1671);
																				}
																			}
																			{
																				obj_t BgL_fixesz00_3652;

																				BgL_fixesz00_3652 =
																					CDR(BgL_fixesz00_1632);
																				BgL_fixesz00_1632 = BgL_fixesz00_3652;
																				goto BgL_zc3anonymousza32133ze3z83_1634;
																			}
																		}
																}
															}
														}
													}
												}
										}
									else
										{	/* Cfa/specialize.scm 304 */
											obj_t BgL_arg2165z00_1677;

											BgL_arg2165z00_1677 =
												MAKE_PAIR(BgL_genzd2idzd2_1626, BgL_genzd2modzd2_1627);
											{	/* Cfa/specialize.scm 301 */
												obj_t BgL_list2166z00_1678;

												{	/* Cfa/specialize.scm 301 */
													obj_t BgL_arg2167z00_1679;

													{	/* Cfa/specialize.scm 301 */
														obj_t BgL_arg2168z00_1680;

														{	/* Cfa/specialize.scm 301 */
															obj_t BgL_arg2170z00_1681;

															BgL_arg2170z00_1681 =
																MAKE_PAIR(BgL_arg2165z00_1677, BNIL);
															BgL_arg2168z00_1680 =
																MAKE_PAIR
																(BGl_string2456z00zzcfa_specializa7eza7,
																BgL_arg2170z00_1681);
														}
														BgL_arg2167z00_1679 =
															MAKE_PAIR(BGl_string2457z00zzcfa_specializa7eza7,
															BgL_arg2168z00_1680);
													}
													BgL_list2166z00_1678 =
														MAKE_PAIR(BGl_string2458z00zzcfa_specializa7eza7,
														BgL_arg2167z00_1679);
												}
												return BGl_warningz00zz__errorz00(BgL_list2166z00_1678);
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 309 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l1990z00_1683;

				BgL_l1990z00_1683 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32171ze3z83_1684:
				if (PAIRP(BgL_l1990z00_1683))
					{	/* Cfa/specialize.scm 311 */
						{	/* Cfa/specialize.scm 311 */
							obj_t BgL_oz00_1686;

							BgL_oz00_1686 = CAR(BgL_l1990z00_1683);
							{	/* Cfa/specialize.scm 311 */
								long BgL_arg2173z00_1688;

								{	/* Cfa/specialize.scm 311 */
									obj_t BgL_arg2174z00_1689;

									{	/* Cfa/specialize.scm 311 */
										obj_t BgL_arg2175z00_1690;

										{	/* Cfa/specialize.scm 311 */
											long BgL_arg1772z00_3004;

											{	/* Cfa/specialize.scm 311 */
												long BgL_arg1773z00_3005;

												{	/* Cfa/specialize.scm 311 */
													long BgL_res2412z00_3007;

													BgL_res2412z00_3007 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_oz00_1686));
													BgL_arg1773z00_3005 = BgL_res2412z00_3007;
												}
												BgL_arg1772z00_3004 =
													(BgL_arg1773z00_3005 - OBJECT_TYPE);
											}
											BgL_arg2175z00_1690 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_3004));
										}
										BgL_arg2174z00_1689 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2175z00_1690);
									}
									{	/* Cfa/specialize.scm 311 */
										long BgL_res2414z00_3014;

										BgL_res2414z00_3014 = BGL_CLASS_INDEX(BgL_arg2174z00_1689);
										BgL_arg2173z00_1688 = BgL_res2414z00_3014;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_oz00_1686), BgL_arg2173z00_1688);
							}
							{	/* Cfa/specialize.scm 311 */
								BgL_objectz00_bglt BgL_auxz00_3672;

								BgL_auxz00_3672 = ((BgL_objectz00_bglt) BgL_oz00_1686);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3672, BFALSE);
							} BgL_oz00_1686;
						}
						{
							obj_t BgL_l1990z00_3675;

							BgL_l1990z00_3675 = CDR(BgL_l1990z00_1683);
							BgL_l1990z00_1683 = BgL_l1990z00_3675;
							goto BgL_zc3anonymousza32171ze3z83_1684;
						}
					}
				else
					{	/* Cfa/specialize.scm 311 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}
	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_91)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 317 */
			{
				obj_t BgL_l1992z00_1694;

				BgL_l1992z00_1694 = BgL_globalsz00_91;
			BgL_zc3anonymousza32177ze3z83_1695:
				if (PAIRP(BgL_l1992z00_1694))
					{	/* Cfa/specialize.scm 318 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l1992z00_1694));
						{
							obj_t BgL_l1992z00_3681;

							BgL_l1992z00_3681 = CDR(BgL_l1992z00_1694);
							BgL_l1992z00_1694 = BgL_l1992z00_3681;
							goto BgL_zc3anonymousza32177ze3z83_1695;
						}
					}
				else
					{	/* Cfa/specialize.scm 318 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_92)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 323 */
			{	/* Cfa/specialize.scm 324 */
				BgL_valuez00_bglt BgL_funz00_1700;

				BgL_funz00_1700 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_variablez00_92)))->BgL_valuez00);
				{	/* Cfa/specialize.scm 325 */
					obj_t BgL_arg2182z00_1701;

					{	/* Cfa/specialize.scm 325 */
						obj_t BgL_arg2183z00_1702;

						BgL_arg2183z00_1702 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1700)))->BgL_bodyz00);
						BgL_arg2182z00_1701 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg2183z00_1702));
					}
					return
						((((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1700)))->BgL_bodyz00) =
						((obj_t) BgL_arg2182z00_1701), BUNSPEC);
				}
			}
		}
	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_115)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 530 */
			{
				obj_t BgL_nodeza2za2_1704;

				BgL_nodeza2za2_1704 = BgL_nodeza2za2_115;
			BgL_zc3anonymousza32184ze3z83_1705:
				if (NULLP(BgL_nodeza2za2_1704))
					{	/* Cfa/specialize.scm 532 */
						return CNST_TABLE_REF(((long) 7));
					}
				else
					{	/* Cfa/specialize.scm 532 */
						{	/* Cfa/specialize.scm 535 */
							obj_t BgL_arg2187z00_1707;

							{	/* Cfa/specialize.scm 535 */
								obj_t BgL_arg2188z00_1708;

								BgL_arg2188z00_1708 = CAR(BgL_nodeza2za2_1704);
								BgL_arg2187z00_1707 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg2188z00_1708));
							}
							SET_CAR(BgL_nodeza2za2_1704, BgL_arg2187z00_1707);
						}
						{
							obj_t BgL_nodeza2za2_3698;

							BgL_nodeza2za2_3698 = CDR(BgL_nodeza2za2_1704);
							BgL_nodeza2za2_1704 = BgL_nodeza2za2_3698;
							goto BgL_zc3anonymousza32184ze3z83_1705;
						}
					}
			}
		}
	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_117)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 555 */
			if (NULLP((((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 564 */
					return BgL_nodez00_117;
				}
			else
				{	/* Cfa/specialize.scm 568 */
					obj_t BgL_typez00_1714;

					BgL_typez00_1714 =
						BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(CAR(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00)));
					{	/* Cfa/specialize.scm 568 */
						BgL_variablez00_bglt BgL_gloz00_1715;

						BgL_gloz00_1715 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/specialize.scm 569 */
							obj_t BgL_specz00_1716;

							{	/* Cfa/specialize.scm 570 */
								obj_t BgL_auxz00_3708;

								{
									BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3709;

									{
										obj_t BgL_auxz00_3710;

										{	/* Cfa/specialize.scm 570 */
											BgL_objectz00_bglt BgL_auxz00_3711;

											BgL_auxz00_3711 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_gloz00_1715));
											BgL_auxz00_3710 = BGL_OBJECT_WIDENING(BgL_auxz00_3711);
										}
										BgL_auxz00_3709 =
											((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3710);
									}
									BgL_auxz00_3708 =
										(((BgL_specializa7edzd2globalz75_bglt)
											CREF(BgL_auxz00_3709))->BgL_fixz00);
								}
								BgL_specz00_1716 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1714,
									BgL_auxz00_3708);
							}
							{	/* Cfa/specialize.scm 570 */

								if (PAIRP(BgL_specz00_1716))
									{	/* Cfa/specialize.scm 572 */
										obj_t BgL_g1204z00_1718;

										BgL_g1204z00_1718 =
											CDR(
											(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00));
										{
											obj_t BgL_argsz00_1720;

											BgL_argsz00_1720 = BgL_g1204z00_1718;
										BgL_zc3anonymousza32192ze3z83_1721:
											if (NULLP(BgL_argsz00_1720))
												{	/* Cfa/specialize.scm 574 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1714);
													{	/* Cfa/specialize.scm 576 */
														BgL_varz00_bglt BgL_arg2195z00_1723;
														obj_t BgL_arg2196z00_1724;

														BgL_arg2195z00_1723 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->
															BgL_funz00);
														BgL_arg2196z00_1724 = CDR(BgL_specz00_1716);
														((((BgL_varz00_bglt) CREF(BgL_arg2195z00_1723))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_arg2196z00_1724)), BUNSPEC);
													}
													{	/* Cfa/specialize.scm 577 */
														BgL_typez00_bglt BgL_ntz00_1725;

														BgL_ntz00_1725 =
															(((BgL_variablez00_bglt) CREF(
																	(((BgL_varz00_bglt) CREF(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_117))->
																					BgL_funz00)))->BgL_variablez00)))->
															BgL_typez00);
														{	/* Cfa/specialize.scm 578 */
															BgL_typez00_bglt BgL_arg2197z00_1726;

															BgL_arg2197z00_1726 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1725,
																((BgL_typez00_bglt) BgL_typez00_1714));
															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																				BgL_nodez00_117)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg2197z00_1726),
																BUNSPEC);
														}
													}
													return BgL_nodez00_117;
												}
											else
												{	/* Cfa/specialize.scm 574 */
													if (
														(BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7
															(CAR(BgL_argsz00_1720)) == BgL_typez00_1714))
														{
															obj_t BgL_argsz00_3740;

															BgL_argsz00_3740 = CDR(BgL_argsz00_1720);
															BgL_argsz00_1720 = BgL_argsz00_3740;
															goto BgL_zc3anonymousza32192ze3z83_1721;
														}
													else
														{	/* Cfa/specialize.scm 580 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_117);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 571 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_117);
									}
							}
						}
					}
				}
		}
	}



/* normalize-get-type */
	obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t
		BgL_valz00_1740)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 561 */
			{	/* Cfa/specialize.scm 558 */
				BgL_typez00_bglt BgL_tyz00_1742;

				BgL_tyz00_1742 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt) BgL_valz00_1740));
				if ((((obj_t) BgL_tyz00_1742) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 559 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 559 */
						return ((obj_t) BgL_tyz00_1742);
					}
			}
		}
	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_118)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 594 */
			{
				BgL_appz00_bglt BgL_nodez00_1774;
				obj_t BgL_typez00_1775;

				{	/* Cfa/specialize.scm 601 */
					bool_t BgL_testz00_3750;

					{	/* Cfa/specialize.scm 601 */
						bool_t BgL_testz00_3751;

						{	/* Cfa/specialize.scm 601 */
							BgL_variablez00_bglt BgL_arg2237z00_1772;

							BgL_arg2237z00_1772 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_funz00)))->
								BgL_variablez00);
							BgL_testz00_3751 =
								(((obj_t) BgL_arg2237z00_1772) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_testz00_3751)
							{	/* Cfa/specialize.scm 602 */
								obj_t BgL_arg2236z00_1771;

								BgL_arg2236z00_1771 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_testz00_3750 =
									(((BgL_backendz00_bglt) CREF(
											((BgL_backendz00_bglt) BgL_arg2236z00_1771)))->
									BgL_typedzd2eqzd2);
							}
						else
							{	/* Cfa/specialize.scm 601 */
								BgL_testz00_3750 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3750)
						{	/* Cfa/specialize.scm 604 */
							BgL_typez00_bglt BgL_t1z00_1748;
							BgL_typez00_bglt BgL_t2z00_1749;

							{	/* Cfa/specialize.scm 604 */
								obj_t BgL_arg2230z00_1766;

								BgL_arg2230z00_1766 =
									CAR((((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_argsz00));
								BgL_t1z00_1748 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2230z00_1766));
							}
							{	/* Cfa/specialize.scm 605 */
								obj_t BgL_arg2233z00_1768;

								{	/* Cfa/specialize.scm 605 */
									obj_t BgL_pairz00_3076;

									BgL_pairz00_3076 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_argsz00);
									BgL_arg2233z00_1768 = CAR(CDR(BgL_pairz00_3076));
								}
								BgL_t2z00_1749 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2233z00_1768));
							}
							{	/* Cfa/specialize.scm 607 */
								bool_t BgL_testz00_3768;

								if (
									(((obj_t) BgL_t1z00_1748) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 607 */
										BgL_testz00_3768 =
											(
											((obj_t) BgL_t2z00_1749) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 607 */
										BgL_testz00_3768 = ((bool_t) 0);
									}
								if (BgL_testz00_3768)
									{	/* Cfa/specialize.scm 607 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 607 */
										if (
											(((obj_t) BgL_t1z00_1748) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 609 */
												if (
													(((obj_t) BgL_t2z00_1749) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 610 */
														BgL_nodez00_1774 = BgL_nodez00_118;
														BgL_typez00_1775 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3anonymousza32239ze3z83_1776:
														{	/* Cfa/specialize.scm 597 */
															bool_t BgL_testz00_3780;

															{	/* Cfa/specialize.scm 597 */
																bool_t BgL_res2424z00_3065;

																{	/* Cfa/specialize.scm 597 */
																	obj_t BgL_objz00_3064;

																	BgL_objz00_3064 =
																		BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																	BgL_res2424z00_3065 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_3064,
																		BGl_globalz00zzast_varz00);
																}
																BgL_testz00_3780 = BgL_res2424z00_3065;
															}
															if (BgL_testz00_3780)
																{	/* Cfa/specialize.scm 597 */
																	{	/* Cfa/specialize.scm 598 */
																		BgL_varz00_bglt BgL_arg2241z00_1778;

																		BgL_arg2241z00_1778 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_118))->BgL_funz00);
																		{	/* Cfa/specialize.scm 598 */
																			BgL_variablez00_bglt BgL_vz00_3067;

																			BgL_vz00_3067 =
																				((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
																			((((BgL_varz00_bglt)
																						CREF(BgL_arg2241z00_1778))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3067),
																				BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1775);
																}
															else
																{	/* Cfa/specialize.scm 597 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 610 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 609 */
												if (
													(((obj_t) BgL_t2z00_1749) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 613 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 613 */
														if (
															(((obj_t) BgL_t1z00_1748) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 615 */
																if (
																	(((obj_t) BgL_t2z00_1749) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3797;
																		BgL_appz00_bglt BgL_nodez00_3796;

																		BgL_nodez00_3796 = BgL_nodez00_118;
																		BgL_typez00_3797 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1775 = BgL_typez00_3797;
																		BgL_nodez00_1774 = BgL_nodez00_3796;
																		goto BgL_zc3anonymousza32239ze3z83_1776;
																	}
																else
																	{	/* Cfa/specialize.scm 616 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 615 */
																if (
																	(((obj_t) BgL_t2z00_1749) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 619 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 619 */
																		if (
																			(((obj_t) BgL_t2z00_1749) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 621 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 621 */
																				if (
																					(((obj_t) BgL_t1z00_1748) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 623 */
																						if (
																							(((obj_t) BgL_t2z00_1749) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3811;
																								BgL_appz00_bglt
																									BgL_nodez00_3810;
																								BgL_nodez00_3810 =
																									BgL_nodez00_118;
																								BgL_typez00_3811 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1775 =
																									BgL_typez00_3811;
																								BgL_nodez00_1774 =
																									BgL_nodez00_3810;
																								goto
																									BgL_zc3anonymousza32239ze3z83_1776;
																							}
																						else
																							{	/* Cfa/specialize.scm 624 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 623 */
																						if (
																							(((obj_t) BgL_t2z00_1749) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 627 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 629 */
																								bool_t BgL_testz00_3815;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1748))
																									{	/* Cfa/specialize.scm 629 */
																										BgL_testz00_3815 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1749);
																									}
																								else
																									{	/* Cfa/specialize.scm 629 */
																										BgL_testz00_3815 =
																											((bool_t) 0);
																									}
																								if (BgL_testz00_3815)
																									{	/* Cfa/specialize.scm 631 */
																										BgL_typez00_bglt
																											BgL_arg2226z00_1762;
																										if ((((obj_t)
																													BgL_t1z00_1748) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 631 */
																												BgL_arg2226z00_1762 =
																													BgL_t2z00_1749;
																											}
																										else
																											{	/* Cfa/specialize.scm 631 */
																												BgL_arg2226z00_1762 =
																													BgL_t1z00_1748;
																											}
																										{
																											obj_t BgL_typez00_3823;
																											BgL_appz00_bglt
																												BgL_nodez00_3822;
																											BgL_nodez00_3822 =
																												BgL_nodez00_118;
																											BgL_typez00_3823 =
																												((obj_t)
																												BgL_arg2226z00_1762);
																											BgL_typez00_1775 =
																												BgL_typez00_3823;
																											BgL_nodez00_1774 =
																												BgL_nodez00_3822;
																											goto
																												BgL_zc3anonymousza32239ze3z83_1776;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 629 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_118;
						}
					else
						{	/* Cfa/specialize.scm 601 */
							return BgL_nodez00_118;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 35 */
				obj_t BgL_arg2248z00_1784;
				obj_t BgL_arg2249z00_1785;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v2003z00_1827;

					BgL_v2003z00_1827 = create_vector((int) (((long) 1)));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2261z00_1828;

						BgL_arg2261z00_1828 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2460z00zzcfa_specializa7eza7,
							BGl_proc2459z00zzcfa_specializa7eza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v2003z00_1827, (int) (((long) 0)),
							BgL_arg2261z00_1828);
					}
					BgL_arg2248z00_1784 = BgL_v2003z00_1827;
				}
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v2004z00_1840;

					BgL_v2004z00_1840 = create_vector((int) (((long) 0)));
					BgL_arg2249z00_1785 = BgL_v2004z00_1840;
				}
				return (BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
						CNST_TABLE_REF(((long) 11)), BGl_globalz00zzast_varz00,
						((long) 16878), BGl_proc2464z00zzcfa_specializa7eza7,
						BGl_proc2463z00zzcfa_specializa7eza7, BFALSE,
						BGl_proc2462z00zzcfa_specializa7eza7,
						BGl_proc2461z00zzcfa_specializa7eza7, BgL_arg2248z00_1784,
						BgL_arg2249z00_1785), BUNSPEC);
		}}
	}



/* &lambda2256 */
	BgL_globalz00_bglt BGl_z62lambda2256z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3203, obj_t BgL_o1122z00_3204)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1122z00_1821;

				BgL_o1122z00_1821 = ((BgL_globalz00_bglt) BgL_o1122z00_3204);
				{	/* Cfa/specialize.scm 35 */
					long BgL_arg2257z00_1824;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2259z00_1825;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_arg2260z00_1826;

							{	/* Cfa/specialize.scm 35 */
								long BgL_arg1772z00_3108;

								{	/* Cfa/specialize.scm 35 */
									long BgL_arg1773z00_3109;

									{	/* Cfa/specialize.scm 35 */
										long BgL_res2430z00_3111;

										BgL_res2430z00_3111 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_o1122z00_1821));
										BgL_arg1773z00_3109 = BgL_res2430z00_3111;
									}
									BgL_arg1772z00_3108 = (BgL_arg1773z00_3109 - OBJECT_TYPE);
								}
								BgL_arg2260z00_1826 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									(int) (BgL_arg1772z00_3108));
							}
							BgL_arg2259z00_1825 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2260z00_1826);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_res2432z00_3118;

							BgL_res2432z00_3118 = BGL_CLASS_INDEX(BgL_arg2259z00_1825);
							BgL_arg2257z00_1824 = BgL_res2432z00_3118;
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_o1122z00_1821), BgL_arg2257z00_1824);
				}
				{	/* Cfa/specialize.scm 35 */
					BgL_objectz00_bglt BgL_auxz00_3846;

					BgL_auxz00_3846 = ((BgL_objectz00_bglt) BgL_o1122z00_1821);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3846, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1122z00_1821);
			}
		}
	}



/* &<anonymous:2255> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32255ze3ze1zzcfa_specializa7eza7(obj_t
		BgL_envz00_3205, obj_t BgL_new1121z00_3206)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_new1121z00_1819;

				BgL_new1121z00_1819 = ((BgL_globalz00_bglt) BgL_new1121z00_3206);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1121z00_1819)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1819)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3856;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3103;

						BgL_classz00_3103 = BGl_typez00zztype_typez00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1092z00_3104;

							BgL__ortest_1092z00_3104 = BGL_CLASS_NIL(BgL_classz00_3103);
							if (CBOOL(BgL__ortest_1092z00_3104))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3856 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_3104);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3856 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3103));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1121z00_1819)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3856), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3865;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3105;

						BgL_classz00_3105 = BGl_valuez00zzast_varz00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1092z00_3106;

							BgL__ortest_1092z00_3106 = BGL_CLASS_NIL(BgL_classz00_3105);
							if (CBOOL(BgL__ortest_1092z00_3106))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3865 =
										((BgL_valuez00_bglt) BgL__ortest_1092z00_3106);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3865 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3105));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1121z00_1819)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3865), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1121z00_1819)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1819)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1819)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1819)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1819)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1121z00_1819)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2465z00zzcfa_specializa7eza7), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1121z00_1819)))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3907;

					{
						obj_t BgL_auxz00_3908;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3909;

							BgL_auxz00_3909 = ((BgL_objectz00_bglt) BgL_new1121z00_1819);
							BgL_auxz00_3908 = BGL_OBJECT_WIDENING(BgL_auxz00_3909);
						}
						BgL_auxz00_3907 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3908);
					}
					((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3907))->
							BgL_fixz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1121z00_1819;
			}
		}
	}



/* &lambda2253 */
	BgL_globalz00_bglt BGl_z62lambda2253z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3207, obj_t BgL_o1118z00_3208)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1118z00_1814;

				BgL_o1118z00_1814 = ((BgL_globalz00_bglt) BgL_o1118z00_3208);
				{	/* Cfa/specialize.scm 35 */
					BgL_specializa7edzd2globalz75_bglt BgL_wide1120z00_1817;

					BgL_wide1120z00_1817 =
						((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_specializa7edzd2globalz75_bgl))));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_auxz00_3919;
						BgL_objectz00_bglt BgL_auxz00_3916;

						BgL_auxz00_3919 = ((obj_t) BgL_wide1120z00_1817);
						BgL_auxz00_3916 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1118z00_1814));
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3916, BgL_auxz00_3919);
					}
					{	/* Cfa/specialize.scm 35 */
						long BgL_arg2254z00_1818;

						{	/* Cfa/specialize.scm 35 */
							long BgL_res2429z00_3100;

							BgL_res2429z00_3100 =
								BGL_CLASS_INDEX
								(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							BgL_arg2254z00_1818 = BgL_res2429z00_3100;
						}
						((BgL_globalz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt) BgL_o1118z00_1814)),
								BgL_arg2254z00_1818));
					}
					return
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1118z00_1814));
				}
			}
		}
	}



/* &lambda2250 */
	BgL_globalz00_bglt BGl_z62lambda2250z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3209, obj_t BgL_id1097z00_3210, obj_t BgL_name1098z00_3211,
		obj_t BgL_type1099z00_3212, obj_t BgL_value1100z00_3213,
		obj_t BgL_access1101z00_3214, obj_t BgL_fastzd2alpha1102zd2_3215,
		obj_t BgL_removable1103z00_3216, obj_t BgL_occurrence1104z00_3217,
		obj_t BgL_occurrencew1105z00_3218, obj_t BgL_userzf31106zf3_3219,
		obj_t BgL_module1107z00_3220, obj_t BgL_import1108z00_3221,
		obj_t BgL_evaluablezf31109zf3_3222, obj_t BgL_evalzf31110zf3_3223,
		obj_t BgL_library1111z00_3224, obj_t BgL_pragma1112z00_3225,
		obj_t BgL_src1113z00_3226, obj_t BgL_jvmzd2typezd2name1114z00_3227,
		obj_t BgL_init1115z00_3228, obj_t BgL_alias1116z00_3229,
		obj_t BgL_fix1117z00_3230)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				obj_t BgL_id1097z00_1786;
				obj_t BgL_name1098z00_1787;
				BgL_typez00_bglt BgL_type1099z00_1788;
				BgL_valuez00_bglt BgL_value1100z00_1789;
				obj_t BgL_access1101z00_1790;
				obj_t BgL_fastzd2alpha1102zd2_1791;
				obj_t BgL_removable1103z00_1792;
				long BgL_occurrence1104z00_1793;
				long BgL_occurrencew1105z00_1794;
				bool_t BgL_userzf31106zf3_1795;
				obj_t BgL_module1107z00_1796;
				obj_t BgL_import1108z00_1797;
				bool_t BgL_evaluablezf31109zf3_1798;
				bool_t BgL_evalzf31110zf3_1799;
				obj_t BgL_library1111z00_1800;
				obj_t BgL_pragma1112z00_1801;
				obj_t BgL_src1113z00_1802;
				obj_t BgL_jvmzd2typezd2name1114z00_1803;
				obj_t BgL_init1115z00_1804;
				obj_t BgL_alias1116z00_1805;
				obj_t BgL_fix1117z00_1806;

				BgL_id1097z00_1786 = BgL_id1097z00_3210;
				BgL_name1098z00_1787 = BgL_name1098z00_3211;
				BgL_type1099z00_1788 = ((BgL_typez00_bglt) BgL_type1099z00_3212);
				BgL_value1100z00_1789 = ((BgL_valuez00_bglt) BgL_value1100z00_3213);
				BgL_access1101z00_1790 = BgL_access1101z00_3214;
				BgL_fastzd2alpha1102zd2_1791 = BgL_fastzd2alpha1102zd2_3215;
				BgL_removable1103z00_1792 = BgL_removable1103z00_3216;
				BgL_occurrence1104z00_1793 = (long) CINT(BgL_occurrence1104z00_3217);
				BgL_occurrencew1105z00_1794 = (long) CINT(BgL_occurrencew1105z00_3218);
				BgL_userzf31106zf3_1795 = CBOOL(BgL_userzf31106zf3_3219);
				BgL_module1107z00_1796 = BgL_module1107z00_3220;
				BgL_import1108z00_1797 = BgL_import1108z00_3221;
				BgL_evaluablezf31109zf3_1798 = CBOOL(BgL_evaluablezf31109zf3_3222);
				BgL_evalzf31110zf3_1799 = CBOOL(BgL_evalzf31110zf3_3223);
				BgL_library1111z00_1800 = BgL_library1111z00_3224;
				BgL_pragma1112z00_1801 = BgL_pragma1112z00_3225;
				BgL_src1113z00_1802 = BgL_src1113z00_3226;
				BgL_jvmzd2typezd2name1114z00_1803 = BgL_jvmzd2typezd2name1114z00_3227;
				BgL_init1115z00_1804 = BgL_init1115z00_3228;
				BgL_alias1116z00_1805 = BgL_alias1116z00_3229;
				BgL_fix1117z00_1806 = BgL_fix1117z00_3230;
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_new1209z00_3085;

					{	/* Cfa/specialize.scm 35 */
						BgL_globalz00_bglt BgL_tmp1207z00_3086;
						BgL_specializa7edzd2globalz75_bglt BgL_wide1208z00_3087;

						{
							BgL_globalz00_bglt BgL_auxz00_3930;

							{	/* Cfa/specialize.scm 35 */
								BgL_globalz00_bglt BgL_new1206z00_3088;

								BgL_new1206z00_3088 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg2252z00_3089;

									{	/* Cfa/specialize.scm 35 */
										long BgL_res2427z00_3092;

										BgL_res2427z00_3092 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg2252z00_3089 = BgL_res2427z00_3092;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1206z00_3088),
										BgL_arg2252z00_3089);
								}
								{	/* Cfa/specialize.scm 35 */
									BgL_objectz00_bglt BgL_auxz00_3935;

									BgL_auxz00_3935 = ((BgL_objectz00_bglt) BgL_new1206z00_3088);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3935, BFALSE);
								}
								BgL_auxz00_3930 = BgL_new1206z00_3088;
							}
							BgL_tmp1207z00_3086 = ((BgL_globalz00_bglt) BgL_auxz00_3930);
						}
						BgL_wide1208z00_3087 =
							((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_specializa7edzd2globalz75_bgl))));
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_auxz00_3942;
							BgL_objectz00_bglt BgL_auxz00_3940;

							BgL_auxz00_3942 = ((obj_t) BgL_wide1208z00_3087);
							BgL_auxz00_3940 = ((BgL_objectz00_bglt) BgL_tmp1207z00_3086);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3940, BgL_auxz00_3942);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_arg2251z00_3090;

							{	/* Cfa/specialize.scm 35 */
								long BgL_res2428z00_3096;

								BgL_res2428z00_3096 =
									BGL_CLASS_INDEX
									(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
								BgL_arg2251z00_3090 = BgL_res2428z00_3096;
							}
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1207z00_3086),
									BgL_arg2251z00_3090));
						}
						BgL_new1209z00_3085 = ((BgL_globalz00_bglt) BgL_tmp1207z00_3086);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1209z00_3085)))->BgL_idz00) =
						((obj_t) BgL_id1097z00_1786), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3085)))->BgL_namez00) =
						((obj_t) BgL_name1098z00_1787), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3085)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1099z00_1788), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3085)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1100z00_1789), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3085)))->BgL_accessz00) =
						((obj_t) BgL_access1101z00_1790), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3085)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1102zd2_1791), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3085)))->BgL_removablez00) =
						((obj_t) BgL_removable1103z00_1792), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3085)))->BgL_occurrencez00) =
						((long) BgL_occurrence1104z00_1793), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3085)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1105z00_1794), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1209z00_3085)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31106zf3_1795), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_modulez00) =
						((obj_t) BgL_module1107z00_1796), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_importz00) =
						((obj_t) BgL_import1108z00_1797), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31109zf3_1798), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31110zf3_1799), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_libraryz00) =
						((obj_t) BgL_library1111z00_1800), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1112z00_1801), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_srcz00) =
						((obj_t) BgL_src1113z00_1802), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1114z00_1803), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_initz00) =
						((obj_t) BgL_init1115z00_1804), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1209z00_3085)))->BgL_aliasz00) =
						((obj_t) BgL_alias1116z00_1805), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3990;

						{
							obj_t BgL_auxz00_3991;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_auxz00_3992;

								BgL_auxz00_3992 = ((BgL_objectz00_bglt) BgL_new1209z00_3085);
								BgL_auxz00_3991 = BGL_OBJECT_WIDENING(BgL_auxz00_3992);
							}
							BgL_auxz00_3990 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3991);
						}
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3990))->
								BgL_fixz00) = ((obj_t) BgL_fix1117z00_1806), BUNSPEC);
					}
					return BgL_new1209z00_3085;
				}
			}
		}
	}



/* &lambda2265 */
	obj_t BGl_z62lambda2265z62zzcfa_specializa7eza7(obj_t BgL_envz00_3231,
		obj_t BgL_oz00_3232, obj_t BgL_vz00_3233)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1834;
				obj_t BgL_vz00_1835;

				BgL_oz00_1834 = ((BgL_globalz00_bglt) BgL_oz00_3232);
				BgL_vz00_1835 = BgL_vz00_3233;
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4004;

					{
						obj_t BgL_auxz00_4005;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_4006;

							BgL_auxz00_4006 = ((BgL_objectz00_bglt) BgL_oz00_1834);
							BgL_auxz00_4005 = BGL_OBJECT_WIDENING(BgL_auxz00_4006);
						}
						BgL_auxz00_4004 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4005);
					}
					return
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_4004))->
							BgL_fixz00) = ((obj_t) BgL_vz00_1835), BUNSPEC);
				}
			}
		}
	}



/* &lambda2264 */
	obj_t BGl_z62lambda2264z62zzcfa_specializa7eza7(obj_t BgL_envz00_3234,
		obj_t BgL_oz00_3235)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1831;

				BgL_oz00_1831 = ((BgL_globalz00_bglt) BgL_oz00_3235);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4012;

					{
						obj_t BgL_auxz00_4013;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_4014;

							BgL_auxz00_4014 = ((BgL_objectz00_bglt) BgL_oz00_1831);
							BgL_auxz00_4013 = BGL_OBJECT_WIDENING(BgL_auxz00_4014);
						}
						BgL_auxz00_4012 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4013);
					}
					return
						(((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_4012))->
						BgL_fixz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc2466z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2467z00zzcfa_specializa7eza7);
		}
	}



/* &patch!2005 */
	obj_t BGl_z62patchz122005z70zzcfa_specializa7eza7(obj_t BgL_envz00_3237,
		obj_t BgL_nodez00_3238)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			{
				BgL_nodez00_bglt BgL_nodez00_1846;

				BgL_nodez00_1846 = ((BgL_nodez00_bglt) BgL_nodez00_3238);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
					BGl_string2468z00zzcfa_specializa7eza7, ((obj_t) BgL_nodez00_1846));
		}}
	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_93)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			{	/* Cfa/specialize.scm 330 */
				obj_t BgL_method2006z00_1849;

				{	/* Cfa/specialize.scm 330 */
					obj_t BgL_res2439z00_3149;

					{	/* Cfa/specialize.scm 330 */
						long BgL_objzd2classzd2numz00_3122;

						{	/* Cfa/specialize.scm 330 */
							long BgL_res2433z00_3125;

							BgL_res2433z00_3125 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_93));
							BgL_objzd2classzd2numz00_3122 = BgL_res2433z00_3125;
						}
						{	/* Cfa/specialize.scm 330 */
							obj_t BgL_arg1769z00_3123;

							BgL_arg1769z00_3123 =
								PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
								(int) (((long) 1)));
							{	/* Cfa/specialize.scm 330 */
								int BgL_offsetz00_3127;

								BgL_offsetz00_3127 = (int) (BgL_objzd2classzd2numz00_3122);
								{	/* Cfa/specialize.scm 330 */
									long BgL_offsetz00_3128;

									BgL_offsetz00_3128 =
										((long) (BgL_offsetz00_3127) - OBJECT_TYPE);
									{	/* Cfa/specialize.scm 330 */
										long BgL_modz00_3129;

										{	/* Cfa/specialize.scm 330 */
											int BgL_arg1771z00_3130;

											BgL_arg1771z00_3130 = (int) (((long) 16));
											{	/* Cfa/specialize.scm 330 */
												long BgL_res2436z00_3140;

												{	/* Cfa/specialize.scm 330 */
													long BgL_auxz00_4033;

													BgL_auxz00_4033 = (long) (BgL_arg1771z00_3130);
													BgL_res2436z00_3140 =
														(BgL_offsetz00_3128 / BgL_auxz00_4033);
												}
												BgL_modz00_3129 = BgL_res2436z00_3140;
										}}
										{	/* Cfa/specialize.scm 330 */
											long BgL_restz00_3131;

											{	/* Cfa/specialize.scm 330 */
												int BgL_arg1770z00_3132;

												BgL_arg1770z00_3132 = (int) (((long) 16));
												{	/* Cfa/specialize.scm 330 */
													long BgL_res2438z00_3144;

													{	/* Cfa/specialize.scm 330 */
														long BgL_auxz00_4037;

														BgL_auxz00_4037 = (long) (BgL_arg1770z00_3132);
														BgL_res2438z00_3144 =
															(BgL_offsetz00_3128 % BgL_auxz00_4037);
													}
													BgL_restz00_3131 = BgL_res2438z00_3144;
											}}
											{	/* Cfa/specialize.scm 330 */

												BgL_res2439z00_3149 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_3123,
														(int) (BgL_modz00_3129)), (int) (BgL_restz00_3131));
					}}}}}}}
					BgL_method2006z00_1849 = BgL_res2439z00_3149;
				}
				return
					PROCEDURE_ENTRY(BgL_method2006z00_1849) (BgL_method2006z00_1849,
					((obj_t) BgL_nodez00_93), BEOA);
			}
		}
	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_3239,
		obj_t BgL_nodez00_3240)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_3240));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2469z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2471z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2472z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc2473z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2474z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2475z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2476z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2477z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc2478z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2479z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2480z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2481z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2482z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_selectz00zzast_nodez00,
				BGl_proc2483z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2484z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2485z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2486z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2487z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2488z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2489z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2490z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2491z00zzcfa_specializa7eza7,
				BGl_string2470z00zzcfa_specializa7eza7);
		}
	}



/* &patch!-app2052 */
	BgL_appz00_bglt BGl_z62patchz12zd2app2052za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3263, obj_t BgL_nodez00_3264)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 541 */
			{
				BgL_appz00_bglt BgL_nodez00_2019;

				BgL_nodez00_2019 = ((BgL_appz00_bglt) BgL_nodez00_3264);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_2019))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_4075;

					{	/* Cfa/specialize.scm 544 */
						BgL_varz00_bglt BgL_arg2323z00_2024;

						BgL_arg2323z00_2024 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2019))->BgL_funz00);
						BgL_auxz00_4075 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2323z00_2024)));
					}
					((((BgL_appz00_bglt) CREF(BgL_nodez00_2019))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_4075), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 545 */
					BgL_variablez00_bglt BgL_vz00_2025;

					BgL_vz00_2025 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2019))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/specialize.scm 547 */
						bool_t BgL_testz00_4083;

						{	/* Cfa/specialize.scm 547 */
							bool_t BgL_res2444z00_3177;

							BgL_res2444z00_3177 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_vz00_2025),
								BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							BgL_testz00_4083 = BgL_res2444z00_3177;
						}
						if (BgL_testz00_4083)
							{	/* Cfa/specialize.scm 547 */
								return
									BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7
									(BgL_nodez00_2019);
							}
						else
							{	/* Cfa/specialize.scm 547 */
								return BgL_nodez00_2019;
							}
					}
				}
			}
		}
	}



/* &patch!-box-ref2049 */
	BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref2049z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3265, obj_t BgL_nodez00_3266)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 522 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2013;

				BgL_nodez00_2013 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3266);
				{
					BgL_varz00_bglt BgL_auxz00_4088;

					{	/* Cfa/specialize.scm 524 */
						BgL_varz00_bglt BgL_arg2321z00_2017;

						BgL_arg2321z00_2017 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2013))->BgL_varz00);
						BgL_auxz00_4088 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2321z00_2017)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2013))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4088), BUNSPEC);
				}
				return BgL_nodez00_2013;
			}
		}
	}



/* &patch!-box-set!2046 */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz122046z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3267, obj_t BgL_nodez00_3268)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 513 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2006;

				BgL_nodez00_2006 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3268);
				{
					BgL_varz00_bglt BgL_auxz00_4095;

					{	/* Cfa/specialize.scm 515 */
						BgL_varz00_bglt BgL_arg2319z00_2010;

						BgL_arg2319z00_2010 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2006))->BgL_varz00);
						BgL_auxz00_4095 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2319z00_2010)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2006))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4095), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4101;

					{	/* Cfa/specialize.scm 516 */
						BgL_nodez00_bglt BgL_arg2320z00_2011;

						BgL_arg2320z00_2011 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2006))->
							BgL_valuez00);
						BgL_auxz00_4101 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2320z00_2011));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2006))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4101), BUNSPEC);
				}
				return BgL_nodez00_2006;
			}
		}
	}



/* &patch!-make-box2044 */
	BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box2044z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3269, obj_t BgL_nodez00_3270)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 505 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2000;

				BgL_nodez00_2000 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3270);
				{
					BgL_nodez00_bglt BgL_auxz00_4107;

					{	/* Cfa/specialize.scm 507 */
						BgL_nodez00_bglt BgL_arg2318z00_2004;

						BgL_arg2318z00_2004 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2000))->BgL_valuez00);
						BgL_auxz00_4107 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2318z00_2004));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2000))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4107), BUNSPEC);
				}
				return BgL_nodez00_2000;
			}
		}
	}



/* &patch!-jump-ex-it2042 */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it2042za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3271, obj_t BgL_nodez00_3272)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 496 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1993;

				BgL_nodez00_1993 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3272);
				{
					BgL_nodez00_bglt BgL_auxz00_4113;

					{	/* Cfa/specialize.scm 498 */
						BgL_nodez00_bglt BgL_arg2316z00_1997;

						BgL_arg2316z00_1997 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1993))->
							BgL_exitz00);
						BgL_auxz00_4113 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2316z00_1997));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1993))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4113), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4118;

					{	/* Cfa/specialize.scm 499 */
						BgL_nodez00_bglt BgL_arg2317z00_1998;

						BgL_arg2317z00_1998 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1993))->
							BgL_valuez00);
						BgL_auxz00_4118 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2317z00_1998));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1993))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4118), BUNSPEC);
				}
				return BgL_nodez00_1993;
			}
		}
	}



/* &patch!-set-ex-it2040 */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it2040za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3273, obj_t BgL_nodez00_3274)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 487 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1986;

				BgL_nodez00_1986 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3274);
				{
					BgL_nodez00_bglt BgL_auxz00_4124;

					{	/* Cfa/specialize.scm 489 */
						BgL_nodez00_bglt BgL_arg2314z00_1990;

						BgL_arg2314z00_1990 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1986))->
							BgL_bodyz00);
						BgL_auxz00_4124 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2314z00_1990));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1986))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4124), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 490 */
					BgL_varz00_bglt BgL_arg2315z00_1991;

					BgL_arg2315z00_1991 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1986))->BgL_varz00);
					BGl_patchz12z12zzcfa_specializa7eza7(
						((BgL_nodez00_bglt) BgL_arg2315z00_1991));
				}
				return BgL_nodez00_1986;
			}
		}
	}



/* &patch!-let-var2038 */
	BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var2038z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3275, obj_t BgL_nodez00_3276)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 472 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1968;

				BgL_nodez00_1968 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3276);
				{	/* Cfa/specialize.scm 474 */
					obj_t BgL_g2002z00_1972;

					BgL_g2002z00_1972 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1968))->BgL_bindingsz00);
					{
						obj_t BgL_l2000z00_1974;

						BgL_l2000z00_1974 = BgL_g2002z00_1972;
					BgL_zc3anonymousza32307ze3z83_1975:
						if (PAIRP(BgL_l2000z00_1974))
							{	/* Cfa/specialize.scm 474 */
								{	/* Cfa/specialize.scm 475 */
									obj_t BgL_bindingz00_1977;

									BgL_bindingz00_1977 = CAR(BgL_l2000z00_1974);
									{	/* Cfa/specialize.scm 475 */
										obj_t BgL_valz00_1978;

										BgL_valz00_1978 = CDR(BgL_bindingz00_1977);
										{	/* Cfa/specialize.scm 476 */
											obj_t BgL_arg2309z00_1979;

											BgL_arg2309z00_1979 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_valz00_1978));
											SET_CDR(BgL_bindingz00_1977, BgL_arg2309z00_1979);
										}
									}
								}
								{
									obj_t BgL_l2000z00_4141;

									BgL_l2000z00_4141 = CDR(BgL_l2000z00_1974);
									BgL_l2000z00_1974 = BgL_l2000z00_4141;
									goto BgL_zc3anonymousza32307ze3z83_1975;
								}
							}
						else
							{	/* Cfa/specialize.scm 474 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4143;

					{	/* Cfa/specialize.scm 478 */
						BgL_nodez00_bglt BgL_arg2311z00_1982;

						BgL_arg2311z00_1982 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1968))->BgL_bodyz00);
						BgL_auxz00_4143 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2311z00_1982));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1968))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4143), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 479 */
					bool_t BgL_testz00_4148;

					{	/* Cfa/specialize.scm 479 */
						BgL_typez00_bglt BgL_arg2313z00_1984;

						BgL_arg2313z00_1984 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1968)))->BgL_typez00);
						BgL_testz00_4148 =
							(
							((obj_t) BgL_arg2313z00_1984) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4148)
						{	/* Cfa/specialize.scm 479 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1968)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1968)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1968))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 479 */
							BFALSE;
						}
				}
				return BgL_nodez00_1968;
			}
		}
	}



/* &patch!-let-fun2036 */
	BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun2036z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3277, obj_t BgL_nodez00_3278)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 460 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1952;

				BgL_nodez00_1952 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3278);
				{	/* Cfa/specialize.scm 462 */
					obj_t BgL_g1999z00_1956;

					BgL_g1999z00_1956 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1952))->BgL_localsz00);
					{
						obj_t BgL_l1997z00_1958;

						BgL_l1997z00_1958 = BgL_g1999z00_1956;
					BgL_zc3anonymousza32300ze3z83_1959:
						if (PAIRP(BgL_l1997z00_1958))
							{	/* Cfa/specialize.scm 462 */
								BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
									(BgL_l1997z00_1958));
								{
									obj_t BgL_l1997z00_4166;

									BgL_l1997z00_4166 = CDR(BgL_l1997z00_1958);
									BgL_l1997z00_1958 = BgL_l1997z00_4166;
									goto BgL_zc3anonymousza32300ze3z83_1959;
								}
							}
						else
							{	/* Cfa/specialize.scm 462 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4168;

					{	/* Cfa/specialize.scm 463 */
						BgL_nodez00_bglt BgL_arg2304z00_1964;

						BgL_arg2304z00_1964 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1952))->BgL_bodyz00);
						BgL_auxz00_4168 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2304z00_1964));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1952))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4168), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 464 */
					bool_t BgL_testz00_4173;

					{	/* Cfa/specialize.scm 464 */
						BgL_typez00_bglt BgL_arg2306z00_1966;

						BgL_arg2306z00_1966 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1952)))->BgL_typez00);
						BgL_testz00_4173 =
							(
							((obj_t) BgL_arg2306z00_1966) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4173)
						{	/* Cfa/specialize.scm 464 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1952)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1952)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1952))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 464 */
							BFALSE;
						}
				}
				return BgL_nodez00_1952;
			}
		}
	}



/* &patch!-select2034 */
	BgL_selectz00_bglt BGl_z62patchz12zd2select2034za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3279, obj_t BgL_nodez00_3280)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 449 */
			{
				BgL_selectz00_bglt BgL_nodez00_1936;

				BgL_nodez00_1936 = ((BgL_selectz00_bglt) BgL_nodez00_3280);
				{
					BgL_nodez00_bglt BgL_auxz00_4186;

					{	/* Cfa/specialize.scm 451 */
						BgL_nodez00_bglt BgL_arg2293z00_1940;

						BgL_arg2293z00_1940 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1936))->BgL_testz00);
						BgL_auxz00_4186 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2293z00_1940));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1936))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4186), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 452 */
					obj_t BgL_g1996z00_1941;

					BgL_g1996z00_1941 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1936))->BgL_clausesz00);
					{
						obj_t BgL_l1994z00_1943;

						BgL_l1994z00_1943 = BgL_g1996z00_1941;
					BgL_zc3anonymousza32294ze3z83_1944:
						if (PAIRP(BgL_l1994z00_1943))
							{	/* Cfa/specialize.scm 452 */
								{	/* Cfa/specialize.scm 453 */
									obj_t BgL_clausez00_1946;

									BgL_clausez00_1946 = CAR(BgL_l1994z00_1943);
									{	/* Cfa/specialize.scm 453 */
										obj_t BgL_arg2296z00_1947;

										{	/* Cfa/specialize.scm 453 */
											obj_t BgL_arg2298z00_1948;

											BgL_arg2298z00_1948 = CDR(BgL_clausez00_1946);
											BgL_arg2296z00_1947 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_arg2298z00_1948));
										}
										SET_CDR(BgL_clausez00_1946, BgL_arg2296z00_1947);
									}
								}
								{
									obj_t BgL_l1994z00_4199;

									BgL_l1994z00_4199 = CDR(BgL_l1994z00_1943);
									BgL_l1994z00_1943 = BgL_l1994z00_4199;
									goto BgL_zc3anonymousza32294ze3z83_1944;
								}
							}
						else
							{	/* Cfa/specialize.scm 452 */
								((bool_t) 1);
							}
					}
				}
				return BgL_nodez00_1936;
			}
		}
	}



/* &patch!-fail2032 */
	BgL_failz00_bglt BGl_z62patchz12zd2fail2032za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3281, obj_t BgL_nodez00_3282)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 439 */
			{
				BgL_failz00_bglt BgL_nodez00_1928;

				BgL_nodez00_1928 = ((BgL_failz00_bglt) BgL_nodez00_3282);
				{
					BgL_nodez00_bglt BgL_auxz00_4202;

					{	/* Cfa/specialize.scm 441 */
						BgL_nodez00_bglt BgL_arg2290z00_1932;

						BgL_arg2290z00_1932 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1928))->BgL_procz00);
						BgL_auxz00_4202 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2290z00_1932));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1928))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4202), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4207;

					{	/* Cfa/specialize.scm 442 */
						BgL_nodez00_bglt BgL_arg2291z00_1933;

						BgL_arg2291z00_1933 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1928))->BgL_msgz00);
						BgL_auxz00_4207 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2291z00_1933));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1928))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4207), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4212;

					{	/* Cfa/specialize.scm 443 */
						BgL_nodez00_bglt BgL_arg2292z00_1934;

						BgL_arg2292z00_1934 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1928))->BgL_objz00);
						BgL_auxz00_4212 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2292z00_1934));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1928))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4212), BUNSPEC);
				}
				return BgL_nodez00_1928;
			}
		}
	}



/* &patch!-conditional2030 */
	BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional2030za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3283, obj_t BgL_nodez00_3284)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 426 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1918;

				BgL_nodez00_1918 = ((BgL_conditionalz00_bglt) BgL_nodez00_3284);
				{
					BgL_nodez00_bglt BgL_auxz00_4218;

					{	/* Cfa/specialize.scm 428 */
						BgL_nodez00_bglt BgL_arg2285z00_1922;

						BgL_arg2285z00_1922 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1918))->BgL_testz00);
						BgL_auxz00_4218 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2285z00_1922));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1918))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4218), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4223;

					{	/* Cfa/specialize.scm 429 */
						BgL_nodez00_bglt BgL_arg2286z00_1923;

						BgL_arg2286z00_1923 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1918))->BgL_truez00);
						BgL_auxz00_4223 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2286z00_1923));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1918))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4223), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4228;

					{	/* Cfa/specialize.scm 430 */
						BgL_nodez00_bglt BgL_arg2287z00_1924;

						BgL_arg2287z00_1924 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1918))->
							BgL_falsez00);
						BgL_auxz00_4228 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2287z00_1924));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1918))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4228), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 431 */
					bool_t BgL_testz00_4233;

					{	/* Cfa/specialize.scm 431 */
						BgL_typez00_bglt BgL_arg2289z00_1926;

						BgL_arg2289z00_1926 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1918)))->BgL_typez00);
						BgL_testz00_4233 =
							(
							((obj_t) BgL_arg2289z00_1926) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4233)
						{	/* Cfa/specialize.scm 431 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1918)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1918)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1918))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 431 */
							BFALSE;
						}
				}
				return BgL_nodez00_1918;
			}
		}
	}



/* &patch!-setq2028 */
	BgL_setqz00_bglt BGl_z62patchz12zd2setq2028za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3285, obj_t BgL_nodez00_3286)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 417 */
			{
				BgL_setqz00_bglt BgL_nodez00_1911;

				BgL_nodez00_1911 = ((BgL_setqz00_bglt) BgL_nodez00_3286);
				{
					BgL_nodez00_bglt BgL_auxz00_4246;

					{	/* Cfa/specialize.scm 419 */
						BgL_nodez00_bglt BgL_arg2283z00_1915;

						BgL_arg2283z00_1915 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1911))->BgL_valuez00);
						BgL_auxz00_4246 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2283z00_1915));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1911))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4246), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_4251;

					{	/* Cfa/specialize.scm 420 */
						BgL_varz00_bglt BgL_arg2284z00_1916;

						BgL_arg2284z00_1916 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1911))->BgL_varz00);
						BgL_auxz00_4251 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2284z00_1916)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1911))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4251), BUNSPEC);
				}
				return BgL_nodez00_1911;
			}
		}
	}



/* &patch!-cast2026 */
	BgL_castz00_bglt BGl_z62patchz12zd2cast2026za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3287, obj_t BgL_nodez00_3288)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 409 */
			{
				BgL_castz00_bglt BgL_nodez00_1905;

				BgL_nodez00_1905 = ((BgL_castz00_bglt) BgL_nodez00_3288);
				BGl_patchz12z12zzcfa_specializa7eza7(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1905))->BgL_argz00));
				return BgL_nodez00_1905;
			}
		}
	}



/* &patch!-extern2024 */
	BgL_externz00_bglt BGl_z62patchz12zd2extern2024za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3289, obj_t BgL_nodez00_3290)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 401 */
			{
				BgL_externz00_bglt BgL_nodez00_1899;

				BgL_nodez00_1899 = ((BgL_externz00_bglt) BgL_nodez00_3290);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1899))->BgL_exprza2za2));
				return BgL_nodez00_1899;
			}
		}
	}



/* &patch!-funcall2022 */
	BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall2022za2zzcfa_specializa7eza7(obj_t BgL_envz00_3291,
		obj_t BgL_nodez00_3292)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 392 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1892;

				BgL_nodez00_1892 = ((BgL_funcallz00_bglt) BgL_nodez00_3292);
				{
					BgL_nodez00_bglt BgL_auxz00_4264;

					{	/* Cfa/specialize.scm 394 */
						BgL_nodez00_bglt BgL_arg2279z00_1896;

						BgL_arg2279z00_1896 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1892))->BgL_funz00);
						BgL_auxz00_4264 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2279z00_1896));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1892))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4264), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1892))->BgL_argsz00));
				return BgL_nodez00_1892;
			}
		}
	}



/* &patch!-app-ly2020 */
	BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly2020z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3293, obj_t BgL_nodez00_3294)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 383 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1885;

				BgL_nodez00_1885 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3294);
				{
					BgL_nodez00_bglt BgL_auxz00_4272;

					{	/* Cfa/specialize.scm 385 */
						BgL_nodez00_bglt BgL_arg2277z00_1889;

						BgL_arg2277z00_1889 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1885))->BgL_funz00);
						BgL_auxz00_4272 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2277z00_1889));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1885))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4272), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4277;

					{	/* Cfa/specialize.scm 386 */
						BgL_nodez00_bglt BgL_arg2278z00_1890;

						BgL_arg2278z00_1890 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1885))->BgL_argz00);
						BgL_auxz00_4277 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2278z00_1890));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1885))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4277), BUNSPEC);
				}
				return BgL_nodez00_1885;
			}
		}
	}



/* &patch!-sync2018 */
	BgL_syncz00_bglt BGl_z62patchz12zd2sync2018za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3295, obj_t BgL_nodez00_3296)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 370 */
			{
				BgL_syncz00_bglt BgL_nodez00_1875;

				BgL_nodez00_1875 = ((BgL_syncz00_bglt) BgL_nodez00_3296);
				{
					BgL_nodez00_bglt BgL_auxz00_4283;

					{	/* Cfa/specialize.scm 372 */
						BgL_nodez00_bglt BgL_arg2271z00_1879;

						BgL_arg2271z00_1879 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1875))->BgL_mutexz00);
						BgL_auxz00_4283 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2271z00_1879));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1875))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4283), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4288;

					{	/* Cfa/specialize.scm 373 */
						BgL_nodez00_bglt BgL_arg2272z00_1880;

						BgL_arg2272z00_1880 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1875))->BgL_prelockz00);
						BgL_auxz00_4288 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2272z00_1880));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1875))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4288), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4293;

					{	/* Cfa/specialize.scm 374 */
						BgL_nodez00_bglt BgL_arg2274z00_1881;

						BgL_arg2274z00_1881 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1875))->BgL_bodyz00);
						BgL_auxz00_4293 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2274z00_1881));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1875))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4293), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 375 */
					bool_t BgL_testz00_4298;

					{	/* Cfa/specialize.scm 375 */
						BgL_typez00_bglt BgL_arg2276z00_1883;

						BgL_arg2276z00_1883 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1875)))->BgL_typez00);
						BgL_testz00_4298 =
							(
							((obj_t) BgL_arg2276z00_1883) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4298)
						{	/* Cfa/specialize.scm 375 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1875)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1875)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1875))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 375 */
							BFALSE;
						}
				}
				return BgL_nodez00_1875;
			}
		}
	}



/* &patch!-sequence2016 */
	BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence2016za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3297, obj_t BgL_nodez00_3298)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 359 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1867;

				BgL_nodez00_1867 = ((BgL_sequencez00_bglt) BgL_nodez00_3298);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1867))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 362 */
					bool_t BgL_testz00_4313;

					{	/* Cfa/specialize.scm 362 */
						BgL_typez00_bglt BgL_arg2270z00_1873;

						BgL_arg2270z00_1873 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1867)))->BgL_typez00);
						BgL_testz00_4313 =
							(
							((obj_t) BgL_arg2270z00_1873) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4313)
						{	/* Cfa/specialize.scm 362 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1867)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1867)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1867))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 362 */
							BFALSE;
						}
				}
				return BgL_nodez00_1867;
			}
		}
	}



/* &patch!-closure2014 */
	obj_t BGl_z62patchz12zd2closure2014za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3299, obj_t BgL_nodez00_3300)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 353 */
			{
				BgL_closurez00_bglt BgL_nodez00_1862;

				BgL_nodez00_1862 = ((BgL_closurez00_bglt) BgL_nodez00_3300);
				{	/* Cfa/specialize.scm 354 */
					obj_t BgL_arg2267z00_3150;

					BgL_arg2267z00_3150 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1862));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2470z00zzcfa_specializa7eza7,
						BGl_string2492z00zzcfa_specializa7eza7, BgL_arg2267z00_3150);
				}
			}
		}
	}



/* &patch!-var2012 */
	BgL_varz00_bglt BGl_z62patchz12zd2var2012za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3301, obj_t BgL_nodez00_3302)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 347 */
			return ((BgL_varz00_bglt) BgL_nodez00_3302);
		}
	}



/* &patch!-kwote2010 */
	BgL_kwotez00_bglt BGl_z62patchz12zd2kwote2010za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3303, obj_t BgL_nodez00_3304)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 341 */
			return ((BgL_kwotez00_bglt) BgL_nodez00_3304);
		}
	}



/* &patch!-atom2008 */
	BgL_atomz00_bglt BGl_z62patchz12zd2atom2008za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3305, obj_t BgL_nodez00_3306)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 335 */
			return ((BgL_atomz00_bglt) BgL_nodez00_3306);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2493z00zzcfa_specializa7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
