/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_typez00();
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom3207z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123263zb0zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box3261za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_typez00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62typezd2nodez123204za2zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3257z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti3221z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun3253za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote3209z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3211z70zzcfa_typez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3229z50zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2variablez123192za2zzcfa_typez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc3235z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure3213z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var3255za2zzcfa_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2select3251z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast3241z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq3243z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3223z70zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3225z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2scnst3197z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3219z70zzcfa_typez00(obj_t,
		obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C3231z82zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref3265za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz123239z62zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2inter3203z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sync3217z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
	static obj_t BGl_cleanupzd2typezd2zzcfa_typez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail3249z70zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref3237z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00();
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62typezd2variablez12zd2cvarzf23199z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf23195z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3245z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3247z70zzcfa_typez00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence3215z70zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3259z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23227z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern3233z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static obj_t BGl_z62typezd2variablez12zd2sexit3201z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3954z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab4002z00,
		BGl_z62typezd2variablez123192za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3956z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714003za7,
		BGl_z62typezd2nodez123204za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3959z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab4004z00,
		BGl_z62typezd2variablez12zd2svarzf23195z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3961z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab4005z00,
		BGl_z62typezd2variablez12zd2scnst3197z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3962z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab4006z00,
		BGl_z62typezd2variablez12zd2cvarzf23199z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3963z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab4007z00,
		BGl_z62typezd2variablez12zd2sexit3201z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3964z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab4008z00,
		BGl_z62typezd2variablez12zd2inter3203z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3965z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714009za7,
		BGl_z62typezd2nodez12zd2atom3207z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3967z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714010za7,
		BGl_z62typezd2nodez12zd2kwote3209z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3968z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714011za7,
		BGl_z62typezd2nodez12zd2var3211z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3969z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714012za7,
		BGl_z62typezd2nodez12zd2closure3213z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3970z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714013za7,
		BGl_z62typezd2nodez12zd2sequence3215z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3971z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714014za7,
		BGl_z62typezd2nodez12zd2sync3217z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3972z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714015za7,
		BGl_z62typezd2nodez12zd2app3219z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3973z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714016za7,
		BGl_z62typezd2nodez12zd2arithmeti3221z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3974z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714017za7,
		BGl_z62typezd2nodez12zd2procedure3223z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3975z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714018za7,
		BGl_z62typezd2nodez12zd2procedure3225z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3976z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714019za7,
		BGl_z62typezd2nodez12zd2conszd2refzd23227z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3977z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714020za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3229z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3978z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714021za7,
		BGl_z62typezd2nodez12zd2funcallzf2C3231z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3979z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714022za7,
		BGl_z62typezd2nodez12zd2extern3233z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3980z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714023za7,
		BGl_z62typezd2nodez12zd2valloc3235z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3981z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714024za7,
		BGl_z62typezd2nodez12zd2vref3237z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3982z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714025za7,
		BGl_z62typezd2nodez12zd2vsetz123239z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3983z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714026za7,
		BGl_z62typezd2nodez12zd2cast3241z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3984z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714027za7,
		BGl_z62typezd2nodez12zd2setq3243z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3985z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714028za7,
		BGl_z62typezd2nodez12zd2condition3245z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3986z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714029za7,
		BGl_z62typezd2nodez12zd2condition3247z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3987z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714030za7,
		BGl_z62typezd2nodez12zd2fail3249z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3988z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714031za7,
		BGl_z62typezd2nodez12zd2select3251z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3989z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714032za7,
		BGl_z62typezd2nodez12zd2letzd2fun3253za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3990z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714033za7,
		BGl_z62typezd2nodez12zd2letzd2var3255za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3991z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714034za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it3257z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3992z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714035za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3259z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3993z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714036za7,
		BGl_z62typezd2nodez12zd2makezd2box3261za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3994z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714037za7,
		BGl_z62typezd2nodez12zd2boxzd2setz123263zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3995z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714038za7,
		BGl_z62typezd2nodez12zd2boxzd2ref3265za2zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin4039z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza714040za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza74041za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab4042z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3952z00zzcfa_typez00,
		BgL_bgl_string3952za700za7za7c4043za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string3953z00zzcfa_typez00,
		BgL_bgl_string3953za700za7za7c4044za7, "Unknown value", 13);
	      DEFINE_STRING(BGl_string3955z00zzcfa_typez00,
		BgL_bgl_string3955za700za7za7c4045za7, "type-variable!3192", 18);
	      DEFINE_STRING(BGl_string3957z00zzcfa_typez00,
		BgL_bgl_string3957za700za7za7c4046za7, "type-node!3204", 14);
	      DEFINE_STRING(BGl_string3958z00zzcfa_typez00,
		BgL_bgl_string3958za700za7za7c4047za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3960z00zzcfa_typez00,
		BgL_bgl_string3960za700za7za7c4048za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string3966z00zzcfa_typez00,
		BgL_bgl_string3966za700za7za7c4049za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string3996z00zzcfa_typez00,
		BgL_bgl_string3996za700za7za7c4050za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3997z00zzcfa_typez00,
		BgL_bgl_string3997za700za7za7c4051za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string3998z00zzcfa_typez00,
		BgL_bgl_string3998za700za7za7c4052za7,
		"nothing static type-node!3204 bigloo ", 37);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_6480, char *BgL_fromz00_6481)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_6465;

				BgL_cportz00_6465 =
					bgl_open_input_string(BGl_string3998z00zzcfa_typez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_6466;

					BgL_iz00_6466 = ((long) 3);
				BgL_loopz00_6467:
					if ((BgL_iz00_6466 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg4001z00_6469;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_6471;

										BgL_locationz00_6471 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg4001z00_6469 =
												BGl_readz00zz__readerz00(BgL_cportz00_6465,
												BgL_locationz00_6471);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_auxz00_6502;

									BgL_auxz00_6502 = (int) (BgL_iz00_6466);
									CNST_TABLE_SET(BgL_auxz00_6502, BgL_arg4001z00_6469);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_6472;

								BgL_auxz00_6472 = (int) ((BgL_iz00_6466 - ((long) 1)));
								{
									long BgL_iz00_6507;

									BgL_iz00_6507 = (long) (BgL_auxz00_6472);
									BgL_iz00_6466 = BgL_iz00_6507;
									goto BgL_loopz00_6467;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			BGl_typezd2closuresz12zc0zzcfa_closurez00();
			{
				obj_t BgL_l3163z00_3363;

				{	/* Cfa/type.scm 42 */
					bool_t BgL_auxz00_6510;

					BgL_l3163z00_3363 = BgL_globalsz00_3;
				BgL_zc3anonymousza33269ze3z83_3364:
					if (PAIRP(BgL_l3163z00_3363))
						{	/* Cfa/type.scm 42 */
							{	/* Cfa/type.scm 42 */
								obj_t BgL_arg3271z00_3366;

								BgL_arg3271z00_3366 = CAR(BgL_l3163z00_3363);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg3271z00_3366));
							}
							{
								obj_t BgL_l3163z00_6516;

								BgL_l3163z00_6516 = CDR(BgL_l3163z00_3363);
								BgL_l3163z00_3363 = BgL_l3163z00_6516;
								goto BgL_zc3anonymousza33269ze3z83_3364;
							}
						}
					else
						{	/* Cfa/type.scm 42 */
							BgL_auxz00_6510 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_6510);
				}
			}
		}
	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_6338,
		obj_t BgL_globalsz00_6339)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_6339);
		}
	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 47 */
			{	/* Cfa/type.scm 48 */
				BgL_valuez00_bglt BgL_funz00_3369;

				BgL_funz00_3369 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_4))->BgL_valuez00);
				{	/* Cfa/type.scm 50 */
					bool_t BgL_testz00_6521;

					{	/* Cfa/type.scm 50 */
						bool_t BgL_res3877z00_5997;

						BgL_res3877z00_5997 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_3369),
							BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						BgL_testz00_6521 = BgL_res3877z00_5997;
					}
					if (BgL_testz00_6521)
						{	/* Cfa/type.scm 50 */
							{	/* Cfa/type.scm 55 */
								obj_t BgL_g3167z00_3372;

								BgL_g3167z00_3372 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3369))))->BgL_argsz00);
								{
									obj_t BgL_l3165z00_3374;

									BgL_l3165z00_3374 = BgL_g3167z00_3372;
								BgL_zc3anonymousza33274ze3z83_3375:
									if (PAIRP(BgL_l3165z00_3374))
										{	/* Cfa/type.scm 55 */
											{	/* Cfa/type.scm 56 */
												obj_t BgL_varz00_3377;

												BgL_varz00_3377 = CAR(BgL_l3165z00_3374);
												{	/* Cfa/type.scm 56 */
													BgL_valuez00_bglt BgL_arg3276z00_3378;

													BgL_arg3276z00_3378 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3377))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_typez00
														(BgL_arg3276z00_3378,
														((BgL_variablez00_bglt) BgL_varz00_3377));
												}
											}
											{
												obj_t BgL_l3165z00_6535;

												BgL_l3165z00_6535 = CDR(BgL_l3165z00_3374);
												BgL_l3165z00_3374 = BgL_l3165z00_6535;
												goto BgL_zc3anonymousza33274ze3z83_3375;
											}
										}
									else
										{	/* Cfa/type.scm 55 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 59 */
								obj_t BgL_arg3278z00_3381;

								{	/* Cfa/type.scm 59 */
									BgL_approxz00_bglt BgL_arg3279z00_3382;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6537;

										{
											obj_t BgL_auxz00_6538;

											{	/* Cfa/type.scm 59 */
												BgL_objectz00_bglt BgL_auxz00_6539;

												BgL_auxz00_6539 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3369));
												BgL_auxz00_6538 = BGL_OBJECT_WIDENING(BgL_auxz00_6539);
											}
											BgL_auxz00_6537 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6538);
										}
										BgL_arg3279z00_3382 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_6537))->BgL_approxz00);
									}
									BgL_arg3278z00_3381 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3279z00_3382,
										((obj_t) BgL_varz00_4));
								}
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_4,
									((BgL_typez00_bglt) BgL_arg3278z00_3381));
							}
							{	/* Cfa/type.scm 60 */
								long BgL_arg3280z00_3384;

								{	/* Cfa/type.scm 60 */
									obj_t BgL_arg3281z00_3385;

									{	/* Cfa/type.scm 60 */
										obj_t BgL_arg3283z00_3386;

										{	/* Cfa/type.scm 60 */
											long BgL_arg1772z00_6006;

											{	/* Cfa/type.scm 60 */
												long BgL_arg1773z00_6007;

												{	/* Cfa/type.scm 60 */
													long BgL_res3880z00_6009;

													BgL_res3880z00_6009 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_3369)));
													BgL_arg1773z00_6007 = BgL_res3880z00_6009;
												}
												BgL_arg1772z00_6006 =
													(BgL_arg1773z00_6007 - OBJECT_TYPE);
											}
											BgL_arg3283z00_3386 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1772z00_6006));
										}
										BgL_arg3281z00_3385 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg3283z00_3386);
									}
									{	/* Cfa/type.scm 60 */
										long BgL_res3882z00_6016;

										BgL_res3882z00_6016 = BGL_CLASS_INDEX(BgL_arg3281z00_3385);
										BgL_arg3280z00_3384 = BgL_res3882z00_6016;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_funz00_3369)), BgL_arg3280z00_3384);
							}
							{	/* Cfa/type.scm 60 */
								BgL_objectz00_bglt BgL_auxz00_6560;

								BgL_auxz00_6560 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_3369));
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_6560, BFALSE);
							}
							((BgL_sfunz00_bglt) BgL_funz00_3369);
							{
								obj_t BgL_auxz00_6565;

								{	/* Cfa/type.scm 62 */
									obj_t BgL_arg3284z00_3387;

									BgL_arg3284z00_3387 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3369))))->BgL_bodyz00);
									BgL_auxz00_6565 =
										((obj_t)
										BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg3284z00_3387)));
								}
								return
									((((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3369))))->
										BgL_bodyz00) = ((obj_t) BgL_auxz00_6565), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 63 */
							bool_t BgL_testz00_6575;

							{	/* Cfa/type.scm 63 */
								bool_t BgL_res3883z00_6020;

								BgL_res3883z00_6020 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_funz00_3369), BGl_sfunz00zzast_varz00);
								BgL_testz00_6575 = BgL_res3883z00_6020;
							}
							if (BgL_testz00_6575)
								{
									obj_t BgL_auxz00_6578;

									{	/* Cfa/type.scm 65 */
										obj_t BgL_arg3286z00_3390;

										BgL_arg3286z00_3390 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_funz00_3369)))->BgL_bodyz00);
										BgL_auxz00_6578 =
											((obj_t)
											BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg3286z00_3390)));
									}
									return
										((((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_funz00_3369)))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_6578), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 67 */
									obj_t BgL_arg3309z00_3391;

									BgL_arg3309z00_3391 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_4));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string3952z00zzcfa_typez00,
										BGl_string3953z00zzcfa_typez00, BgL_arg3309z00_3391);
								}
						}
				}
			}
		}
	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 72 */
			{	/* Cfa/type.scm 73 */
				BgL_variablez00_bglt BgL_varz00_3392;

				BgL_varz00_3392 =
					(((BgL_varz00_bglt) CREF(BgL_vz00_5))->BgL_variablez00);
				{	/* Cfa/type.scm 73 */
					BgL_valuez00_bglt BgL_funz00_3393;

					BgL_funz00_3393 =
						(((BgL_variablez00_bglt) CREF(BgL_varz00_3392))->BgL_valuez00);
					{	/* Cfa/type.scm 74 */

						{	/* Cfa/type.scm 75 */
							bool_t BgL_testz00_6591;

							{	/* Cfa/type.scm 75 */
								bool_t BgL_res3886z00_6028;

								BgL_res3886z00_6028 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_funz00_3393),
									BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
								BgL_testz00_6591 = BgL_res3886z00_6028;
							}
							if (BgL_testz00_6591)
								{	/* Cfa/type.scm 77 */
									obj_t BgL_arg3311z00_3396;

									{	/* Cfa/type.scm 77 */
										BgL_approxz00_bglt BgL_arg3312z00_3397;

										{
											BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6594;

											{
												obj_t BgL_auxz00_6595;

												{	/* Cfa/type.scm 77 */
													BgL_objectz00_bglt BgL_auxz00_6596;

													BgL_auxz00_6596 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_3393));
													BgL_auxz00_6595 =
														BGL_OBJECT_WIDENING(BgL_auxz00_6596);
												}
												BgL_auxz00_6594 =
													((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6595);
											}
											BgL_arg3312z00_3397 =
												(((BgL_internzd2sfunzf2cinfoz20_bglt)
													CREF(BgL_auxz00_6594))->BgL_approxz00);
										}
										BgL_arg3311z00_3396 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg3312z00_3397, ((obj_t) BgL_vz00_5));
									}
									return
										BGl_setzd2variablezd2typez12z12zzcfa_typez00
										(BgL_varz00_3392, ((BgL_typez00_bglt) BgL_arg3311z00_3396));
								}
							else
								{	/* Cfa/type.scm 75 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_6,
		obj_t BgL_nodez00_7)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 82 */
			{	/* Cfa/type.scm 83 */
				BgL_typez00_bglt BgL_typez00_3398;
				obj_t BgL_alloczd2listzd2_3399;

				BgL_typez00_3398 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_typez00);
				BgL_alloczd2listzd2_3399 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_allocsz00));
				if (PAIRP(BgL_alloczd2listzd2_3399))
					{	/* Cfa/type.scm 86 */
						if ((((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_topzf3zf3))
							{	/* Cfa/type.scm 88 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 90 */
								bool_t BgL_testz00_6613;

								{
									obj_t BgL_l3168z00_3430;

									BgL_l3168z00_3430 = BgL_alloczd2listzd2_3399;
								BgL_zc3anonymousza33327ze3z83_3431:
									if (NULLP(BgL_l3168z00_3430))
										{	/* Cfa/type.scm 90 */
											BgL_testz00_6613 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 90 */
											bool_t BgL_testz00_6616;

											{	/* Cfa/type.scm 90 */
												obj_t BgL_arg3330z00_3436;

												BgL_arg3330z00_3436 = CAR(BgL_l3168z00_3430);
												BgL_testz00_6616 =
													BGl_isazf3zf3zz__objectz00(BgL_arg3330z00_3436,
													BGl_makezd2vectorzd2appz00zzcfa_info2z00);
											}
											if (BgL_testz00_6616)
												{
													obj_t BgL_l3168z00_6619;

													BgL_l3168z00_6619 = CDR(BgL_l3168z00_3430);
													BgL_l3168z00_3430 = BgL_l3168z00_6619;
													goto BgL_zc3anonymousza33327ze3z83_3431;
												}
											else
												{	/* Cfa/type.scm 90 */
													BgL_testz00_6613 = ((bool_t) 0);
												}
										}
								}
								if (BgL_testz00_6613)
									{	/* Cfa/type.scm 91 */
										obj_t BgL_appz00_3403;

										BgL_appz00_3403 = CAR(BgL_alloczd2listzd2_3399);
										{	/* Cfa/type.scm 91 */
											BgL_typez00_bglt BgL_tvzd2typezd2_3404;

											BgL_tvzd2typezd2_3404 =
												BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_appz00_3403));
											{	/* Cfa/type.scm 92 */
												BgL_approxz00_bglt BgL_valuezd2approxzd2_3405;

												{
													BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6624;

													{
														obj_t BgL_auxz00_6625;

														{	/* Cfa/type.scm 93 */
															BgL_objectz00_bglt BgL_auxz00_6626;

															BgL_auxz00_6626 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_3403));
															BgL_auxz00_6625 =
																BGL_OBJECT_WIDENING(BgL_auxz00_6626);
														}
														BgL_auxz00_6624 =
															((BgL_makezd2vectorzd2appz00_bglt)
															BgL_auxz00_6625);
													}
													BgL_valuezd2approxzd2_3405 =
														(((BgL_makezd2vectorzd2appz00_bglt)
															CREF(BgL_auxz00_6624))->BgL_valuezd2approxzd2);
												}
												{	/* Cfa/type.scm 93 */
													BgL_typez00_bglt BgL_itemzd2typezd2_3406;

													BgL_itemzd2typezd2_3406 =
														(((BgL_approxz00_bglt)
															CREF(BgL_valuezd2approxzd2_3405))->BgL_typez00);
													{	/* Cfa/type.scm 94 */
														obj_t BgL_tvz00_3407;

														BgL_tvz00_3407 =
															(((BgL_typez00_bglt)
																CREF(BgL_itemzd2typezd2_3406))->BgL_tvectorz00);
														{	/* Cfa/type.scm 95 */

															if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_3407,
																	BGl_typez00zztype_typez00))
																{	/* Cfa/type.scm 97 */
																	return BgL_tvz00_3407;
																}
															else
																{	/* Cfa/type.scm 97 */
																	if (
																		(((obj_t) BgL_typez00_3398) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Cfa/type.scm 98 */
																			return BGl_za2vectorza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/type.scm 98 */
																			return ((obj_t) BgL_typez00_3398);
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/type.scm 100 */
										bool_t BgL_testz00_6640;

										{
											obj_t BgL_l3171z00_3421;

											BgL_l3171z00_3421 = BgL_alloczd2listzd2_3399;
										BgL_zc3anonymousza33323ze3z83_3422:
											if (NULLP(BgL_l3171z00_3421))
												{	/* Cfa/type.scm 100 */
													BgL_testz00_6640 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 100 */
													bool_t BgL_testz00_6643;

													{	/* Cfa/type.scm 100 */
														obj_t BgL_arg3326z00_3427;

														BgL_arg3326z00_3427 = CAR(BgL_l3171z00_3421);
														BgL_testz00_6643 =
															BGl_isazf3zf3zz__objectz00(BgL_arg3326z00_3427,
															BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
													}
													if (BgL_testz00_6643)
														{
															obj_t BgL_l3171z00_6646;

															BgL_l3171z00_6646 = CDR(BgL_l3171z00_3421);
															BgL_l3171z00_3421 = BgL_l3171z00_6646;
															goto BgL_zc3anonymousza33323ze3z83_3422;
														}
													else
														{	/* Cfa/type.scm 100 */
															BgL_testz00_6640 = ((bool_t) 0);
														}
												}
										}
										if (BgL_testz00_6640)
											{	/* Cfa/type.scm 100 */
												if (CBOOL
													(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
														()))
													{	/* Cfa/type.scm 105 */
														obj_t BgL_appz00_3412;

														BgL_appz00_3412 = CAR(BgL_alloczd2listzd2_3399);
														{	/* Cfa/type.scm 105 */
															BgL_typez00_bglt BgL_tvzd2typezd2_3413;

															BgL_tvzd2typezd2_3413 =
																BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																(((BgL_nodez00_bglt) BgL_appz00_3412));
															{	/* Cfa/type.scm 106 */
																BgL_approxz00_bglt BgL_valuezd2approxzd2_3414;

																{
																	BgL_valloczf2cinfozb2optimz40_bglt
																		BgL_auxz00_6654;
																	{
																		obj_t BgL_auxz00_6655;

																		{	/* Cfa/type.scm 107 */
																			BgL_objectz00_bglt BgL_auxz00_6656;

																			BgL_auxz00_6656 =
																				((BgL_objectz00_bglt)
																				((BgL_vallocz00_bglt) BgL_appz00_3412));
																			BgL_auxz00_6655 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_6656);
																		}
																		BgL_auxz00_6654 =
																			((BgL_valloczf2cinfozb2optimz40_bglt)
																			BgL_auxz00_6655);
																	}
																	BgL_valuezd2approxzd2_3414 =
																		(((BgL_valloczf2cinfozb2optimz40_bglt)
																			CREF(BgL_auxz00_6654))->
																		BgL_valuezd2approxzd2);
																}
																{	/* Cfa/type.scm 107 */
																	BgL_typez00_bglt BgL_itemzd2typezd2_3415;

																	BgL_itemzd2typezd2_3415 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_valuezd2approxzd2_3414))->
																		BgL_typez00);
																	{	/* Cfa/type.scm 108 */
																		obj_t BgL_tvz00_3416;

																		BgL_tvz00_3416 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_itemzd2typezd2_3415))->
																			BgL_tvectorz00);
																		{	/* Cfa/type.scm 109 */

																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_tvz00_3416,
																					BGl_typez00zztype_typez00))
																				{	/* Cfa/type.scm 111 */
																					return BgL_tvz00_3416;
																				}
																			else
																				{	/* Cfa/type.scm 111 */
																					if (
																						(((obj_t) BgL_typez00_3398) ==
																							BGl_za2_za2z00zztype_cachez00))
																						{	/* Cfa/type.scm 112 */
																							return
																								BGl_za2vectorza2z00zztype_cachez00;
																						}
																					else
																						{	/* Cfa/type.scm 112 */
																							return ((obj_t) BgL_typez00_3398);
																						}
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/type.scm 101 */
														if (
															(((obj_t) BgL_typez00_3398) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/type.scm 102 */
																return BGl_za2vectorza2z00zztype_cachez00;
															}
														else
															{	/* Cfa/type.scm 102 */
																return ((obj_t) BgL_typez00_3398);
															}
													}
											}
										else
											{	/* Cfa/type.scm 100 */
												return ((obj_t) BgL_typez00_3398);
											}
									}
							}
					}
				else
					{	/* Cfa/type.scm 86 */
						return ((obj_t) BgL_typez00_3398);
					}
			}
		}
	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_6340,
		obj_t BgL_approxz00_6341, obj_t BgL_nodez00_6342)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 82 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_6341), BgL_nodez00_6342);
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_20, BgL_typez00_bglt BgL_typez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 169 */
			{	/* Cfa/type.scm 170 */
				obj_t BgL_ntypez00_3439;
				BgL_typez00_bglt BgL_otypez00_3440;

				if ((((obj_t) BgL_typez00_21) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 170 */
						BgL_ntypez00_3439 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 170 */
						BgL_ntypez00_3439 = ((obj_t) BgL_typez00_21);
					}
				BgL_otypez00_3440 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_3440) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 174 */
						bool_t BgL_testz00_6686;

						{	/* Cfa/type.scm 174 */
							bool_t BgL_testz00_6687;

							{	/* Cfa/type.scm 174 */
								bool_t BgL_res3901z00_6077;

								BgL_res3901z00_6077 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_variablez00_20), BGl_globalz00zzast_varz00);
								BgL_testz00_6687 = BgL_res3901z00_6077;
							}
							if (BgL_testz00_6687)
								{	/* Cfa/type.scm 175 */
									bool_t BgL_testz00_6690;

									{	/* Cfa/type.scm 175 */
										BgL_valuez00_bglt BgL_arg3346z00_3449;

										BgL_arg3346z00_3449 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_20))))->
											BgL_valuez00);
										{	/* Cfa/type.scm 175 */
											bool_t BgL_res3903z00_6082;

											BgL_res3903z00_6082 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg3346z00_3449), BGl_funz00zzast_varz00);
											BgL_testz00_6690 = BgL_res3903z00_6082;
										}
									}
									if (BgL_testz00_6690)
										{	/* Cfa/type.scm 175 */
											BgL_testz00_6686 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 176 */
											bool_t BgL_testz00_6696;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6696 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6696 =
														(
														(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_variablez00_20)))->
															BgL_initz00) == BTRUE);
												}
											if (BgL_testz00_6696)
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6686 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 176 */
													if (
														((((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_ntypez00_3439)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Cfa/type.scm 177 */
															BgL_testz00_6686 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 177 */
															BgL_testz00_6686 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 174 */
									BgL_testz00_6686 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_6686)
							{	/* Cfa/type.scm 182 */
								BgL_typez00_bglt BgL_vz00_6088;

								BgL_vz00_6088 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_6088), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 174 */
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3439)),
									BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 184 */
						bool_t BgL_testz00_6711;

						if (
							(((obj_t) BgL_otypez00_3440) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 184 */
								BgL_testz00_6711 =
									BGl_isazf3zf3zz__objectz00(BgL_ntypez00_3439,
									BGl_tvecz00zztvector_tvectorz00);
							}
						else
							{	/* Cfa/type.scm 184 */
								BgL_testz00_6711 = ((bool_t) 0);
							}
						if (BgL_testz00_6711)
							{	/* Cfa/type.scm 184 */
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BgL_ntypez00_3439))), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 184 */
								return BFALSE;
							}
					}
			}
		}
	}



/* type-node*! */
	obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_55)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 577 */
			{
				obj_t BgL_l3190z00_3456;

				BgL_l3190z00_3456 = BgL_nodeza2za2_55;
			BgL_zc3anonymousza33351ze3z83_3457:
				if (NULLP(BgL_l3190z00_3456))
					{	/* Cfa/type.scm 578 */
						return BgL_nodeza2za2_55;
					}
				else
					{	/* Cfa/type.scm 578 */
						{	/* Cfa/type.scm 578 */
							BgL_nodez00_bglt BgL_arg3353z00_3459;

							{	/* Cfa/type.scm 578 */
								obj_t BgL_arg3354z00_3460;

								BgL_arg3354z00_3460 = CAR(BgL_l3190z00_3456);
								BgL_arg3353z00_3459 =
									BGl_typezd2nodez12zc0zzcfa_typez00(
									((BgL_nodez00_bglt) BgL_arg3354z00_3460));
							}
							{	/* Cfa/type.scm 578 */
								obj_t BgL_auxz00_6724;

								BgL_auxz00_6724 = ((obj_t) BgL_arg3353z00_3459);
								SET_CAR(BgL_l3190z00_3456, BgL_auxz00_6724);
							}
						}
						{
							obj_t BgL_l3190z00_6727;

							BgL_l3190z00_6727 = CDR(BgL_l3190z00_3456);
							BgL_l3190z00_3456 = BgL_l3190z00_6727;
							goto BgL_zc3anonymousza33351ze3z83_3457;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc3954z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string3955z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc3956z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string3957z00zzcfa_typez00);
		}
	}



/* &type-node!3204 */
	obj_t BGl_z62typezd2nodez123204za2zzcfa_typez00(obj_t BgL_envz00_6345,
		obj_t BgL_nodez00_6346)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			{
				BgL_nodez00_bglt BgL_nodez00_3472;

				BgL_nodez00_3472 = ((BgL_nodez00_bglt) BgL_nodez00_6346);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string3958z00zzcfa_typez00, ((obj_t) BgL_nodez00_3472));
		}}
	}



/* &type-variable!3192 */
	obj_t BGl_z62typezd2variablez123192za2zzcfa_typez00(obj_t BgL_envz00_6347,
		obj_t BgL_valuez00_6348, obj_t BgL_variablez00_6349)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			{
				BgL_valuez00_bglt BgL_valuez00_3464;
				BgL_variablez00_bglt BgL_variablez00_3465;

				BgL_valuez00_3464 = ((BgL_valuez00_bglt) BgL_valuez00_6348);
				BgL_variablez00_3465 = ((BgL_variablez00_bglt) BgL_variablez00_6349);
				{	/* Cfa/type.scm 121 */
					BgL_typez00_bglt BgL_typez00_6105;

					BgL_typez00_6105 =
						(((BgL_variablez00_bglt) CREF(BgL_variablez00_3465))->BgL_typez00);
					{	/* Cfa/type.scm 122 */
						bool_t BgL_testz00_6736;

						{	/* Cfa/type.scm 122 */
							bool_t BgL_res3907z00_6112;

							BgL_res3907z00_6112 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_typez00_6105), BGl_typez00zztype_typez00);
							BgL_testz00_6736 = BgL_res3907z00_6112;
						}
						if (BgL_testz00_6736)
							{	/* Cfa/type.scm 122 */
								return BFALSE;
							}
						else
							{	/* Cfa/type.scm 122 */
								return
									BGl_setzd2variablezd2typez12z12zzcfa_typez00
									(BgL_variablez00_3465,
									BGl_getzd2defaultzd2typez00zztype_cachez00());
							}
					}
				}
			}
		}
	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_8,
		BgL_variablez00_bglt BgL_variablez00_9)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			{	/* Cfa/type.scm 120 */
				obj_t BgL_method3193z00_3475;

				{	/* Cfa/type.scm 120 */
					obj_t BgL_res3914z00_6141;

					{	/* Cfa/type.scm 120 */
						long BgL_objzd2classzd2numz00_6114;

						{	/* Cfa/type.scm 120 */
							long BgL_res3908z00_6117;

							BgL_res3908z00_6117 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_8));
							BgL_objzd2classzd2numz00_6114 = BgL_res3908z00_6117;
						}
						{	/* Cfa/type.scm 120 */
							obj_t BgL_arg1769z00_6115;

							BgL_arg1769z00_6115 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 120 */
								int BgL_offsetz00_6119;

								BgL_offsetz00_6119 = (int) (BgL_objzd2classzd2numz00_6114);
								{	/* Cfa/type.scm 120 */
									long BgL_offsetz00_6120;

									BgL_offsetz00_6120 =
										((long) (BgL_offsetz00_6119) - OBJECT_TYPE);
									{	/* Cfa/type.scm 120 */
										long BgL_modz00_6121;

										{	/* Cfa/type.scm 120 */
											int BgL_arg1771z00_6122;

											BgL_arg1771z00_6122 = (int) (((long) 16));
											{	/* Cfa/type.scm 120 */
												long BgL_res3911z00_6132;

												{	/* Cfa/type.scm 120 */
													long BgL_auxz00_6751;

													BgL_auxz00_6751 = (long) (BgL_arg1771z00_6122);
													BgL_res3911z00_6132 =
														(BgL_offsetz00_6120 / BgL_auxz00_6751);
												}
												BgL_modz00_6121 = BgL_res3911z00_6132;
										}}
										{	/* Cfa/type.scm 120 */
											long BgL_restz00_6123;

											{	/* Cfa/type.scm 120 */
												int BgL_arg1770z00_6124;

												BgL_arg1770z00_6124 = (int) (((long) 16));
												{	/* Cfa/type.scm 120 */
													long BgL_res3913z00_6136;

													{	/* Cfa/type.scm 120 */
														long BgL_auxz00_6755;

														BgL_auxz00_6755 = (long) (BgL_arg1770z00_6124);
														BgL_res3913z00_6136 =
															(BgL_offsetz00_6120 % BgL_auxz00_6755);
													}
													BgL_restz00_6123 = BgL_res3913z00_6136;
											}}
											{	/* Cfa/type.scm 120 */

												BgL_res3914z00_6141 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6115,
														(int) (BgL_modz00_6121)), (int) (BgL_restz00_6123));
					}}}}}}}
					BgL_method3193z00_3475 = BgL_res3914z00_6141;
				}
				return
					PROCEDURE_ENTRY(BgL_method3193z00_3475) (BgL_method3193z00_3475,
					((obj_t) BgL_valuez00_8), ((obj_t) BgL_variablez00_9), BEOA);
			}
		}
	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_6350,
		obj_t BgL_valuez00_6351, obj_t BgL_variablez00_6352)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_6351),
				((BgL_variablez00_bglt) BgL_variablez00_6352));
		}
	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			{	/* Cfa/type.scm 190 */
				obj_t BgL_method3205z00_3476;

				{	/* Cfa/type.scm 190 */
					obj_t BgL_res3921z00_6170;

					{	/* Cfa/type.scm 190 */
						long BgL_objzd2classzd2numz00_6143;

						{	/* Cfa/type.scm 190 */
							long BgL_res3915z00_6146;

							BgL_res3915z00_6146 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_22));
							BgL_objzd2classzd2numz00_6143 = BgL_res3915z00_6146;
						}
						{	/* Cfa/type.scm 190 */
							obj_t BgL_arg1769z00_6144;

							BgL_arg1769z00_6144 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 190 */
								int BgL_offsetz00_6148;

								BgL_offsetz00_6148 = (int) (BgL_objzd2classzd2numz00_6143);
								{	/* Cfa/type.scm 190 */
									long BgL_offsetz00_6149;

									BgL_offsetz00_6149 =
										((long) (BgL_offsetz00_6148) - OBJECT_TYPE);
									{	/* Cfa/type.scm 190 */
										long BgL_modz00_6150;

										{	/* Cfa/type.scm 190 */
											int BgL_arg1771z00_6151;

											BgL_arg1771z00_6151 = (int) (((long) 16));
											{	/* Cfa/type.scm 190 */
												long BgL_res3918z00_6161;

												{	/* Cfa/type.scm 190 */
													long BgL_auxz00_6780;

													BgL_auxz00_6780 = (long) (BgL_arg1771z00_6151);
													BgL_res3918z00_6161 =
														(BgL_offsetz00_6149 / BgL_auxz00_6780);
												}
												BgL_modz00_6150 = BgL_res3918z00_6161;
										}}
										{	/* Cfa/type.scm 190 */
											long BgL_restz00_6152;

											{	/* Cfa/type.scm 190 */
												int BgL_arg1770z00_6153;

												BgL_arg1770z00_6153 = (int) (((long) 16));
												{	/* Cfa/type.scm 190 */
													long BgL_res3920z00_6165;

													{	/* Cfa/type.scm 190 */
														long BgL_auxz00_6784;

														BgL_auxz00_6784 = (long) (BgL_arg1770z00_6153);
														BgL_res3920z00_6165 =
															(BgL_offsetz00_6149 % BgL_auxz00_6784);
													}
													BgL_restz00_6152 = BgL_res3920z00_6165;
											}}
											{	/* Cfa/type.scm 190 */

												BgL_res3921z00_6170 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_6144,
														(int) (BgL_modz00_6150)), (int) (BgL_restz00_6152));
					}}}}}}}
					BgL_method3205z00_3476 = BgL_res3921z00_6170;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method3205z00_3476) (BgL_method3205z00_3476,
						((obj_t) BgL_nodez00_22), BEOA));
			}
		}
	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_6353,
		obj_t BgL_nodez00_6354)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_6354));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc3959z00zzcfa_typez00,
				BGl_string3960z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc3961z00zzcfa_typez00,
				BGl_string3960z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc3962z00zzcfa_typez00,
				BGl_string3960z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc3963z00zzcfa_typez00,
				BGl_string3960z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc3964z00zzcfa_typez00,
				BGl_string3960z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc3965z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3967z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc3968z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc3969z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3970z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_syncz00zzast_nodez00,
				BGl_proc3971z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc3972z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc3973z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc3974z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc3975z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc3976z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc3977z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc3978z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc3979z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc3980z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc3981z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc3982z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc3983z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc3984z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3985z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc3986z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc3987z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_selectz00zzast_nodez00,
				BGl_proc3988z00zzcfa_typez00, BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3989z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3990z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3991z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3992z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3993z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3994z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3995z00zzcfa_typez00,
				BGl_string3966z00zzcfa_typez00);
		}
	}



/* &type-node!-box-ref3265 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref3265za2zzcfa_typez00(obj_t
		BgL_envz00_6390, obj_t BgL_nodez00_6391)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 568 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_3845;

				BgL_nodez00_3845 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_6391);
				{
					BgL_varz00_bglt BgL_auxz00_6834;

					{	/* Cfa/type.scm 570 */
						BgL_varz00_bglt BgL_arg3601z00_3849;

						BgL_arg3601z00_3849 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3845))->BgL_varz00);
						BgL_auxz00_6834 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3601z00_3849)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3845))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6834), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_6840;

					{	/* Cfa/type.scm 571 */
						BgL_varz00_bglt BgL_arg3602z00_3850;

						BgL_arg3602z00_3850 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3845))->BgL_varz00);
						BgL_auxz00_6840 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_arg3602z00_3850));
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3845)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6840), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3845);
			}
		}
	}



/* &type-node!-box-set!3263 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123263zb0zzcfa_typez00(obj_t
		BgL_envz00_6392, obj_t BgL_nodez00_6393)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 559 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3838;

				BgL_nodez00_3838 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6393);
				{
					BgL_varz00_bglt BgL_auxz00_6848;

					{	/* Cfa/type.scm 561 */
						BgL_varz00_bglt BgL_arg3595z00_3842;

						BgL_arg3595z00_3842 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3838))->BgL_varz00);
						BgL_auxz00_6848 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3595z00_3842)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3838))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6848), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6854;

					{	/* Cfa/type.scm 562 */
						BgL_nodez00_bglt BgL_arg3596z00_3843;

						BgL_arg3596z00_3843 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3838))->
							BgL_valuez00);
						BgL_auxz00_6854 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3596z00_3843);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3838))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6854), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3838);
			}
		}
	}



/* &type-node!-make-box3261 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box3261za2zzcfa_typez00(obj_t
		BgL_envz00_6394, obj_t BgL_nodez00_6395)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 551 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_3832;

				BgL_nodez00_3832 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_6395);
				{
					BgL_nodez00_bglt BgL_auxz00_6860;

					{	/* Cfa/type.scm 553 */
						BgL_nodez00_bglt BgL_arg3593z00_3836;

						BgL_arg3593z00_3836 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3832))->BgL_valuez00);
						BgL_auxz00_6860 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3593z00_3836);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3832))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6860), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3832);
			}
		}
	}



/* &type-node!-jump-ex-i3259 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3259z70zzcfa_typez00(obj_t
		BgL_envz00_6396, obj_t BgL_nodez00_6397)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 542 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3825;

				BgL_nodez00_3825 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6397);
				{
					BgL_nodez00_bglt BgL_auxz00_6866;

					{	/* Cfa/type.scm 544 */
						BgL_nodez00_bglt BgL_arg3591z00_3829;

						BgL_arg3591z00_3829 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3825))->
							BgL_exitz00);
						BgL_auxz00_6866 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3591z00_3829);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3825))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6866), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6870;

					{	/* Cfa/type.scm 545 */
						BgL_nodez00_bglt BgL_arg3592z00_3830;

						BgL_arg3592z00_3830 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3825))->
							BgL_valuez00);
						BgL_auxz00_6870 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3592z00_3830);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3825))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_6870), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3825);
			}
		}
	}



/* &type-node!-set-ex-it3257 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3257z70zzcfa_typez00(obj_t
		BgL_envz00_6398, obj_t BgL_nodez00_6399)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 531 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_3815;

				BgL_nodez00_3815 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6399);
				{	/* Cfa/type.scm 533 */
					BgL_variablez00_bglt BgL_vz00_3819;

					BgL_vz00_3819 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3815))->
									BgL_varz00)))->BgL_variablez00);
					{	/* Cfa/type.scm 534 */
						BgL_valuez00_bglt BgL_arg3585z00_3820;

						BgL_arg3585z00_3820 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_vz00_3819))))->BgL_valuez00);
						BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3585z00_3820,
							BgL_vz00_3819);
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6882;

					{	/* Cfa/type.scm 535 */
						BgL_nodez00_bglt BgL_arg3589z00_3822;

						BgL_arg3589z00_3822 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3815))->
							BgL_bodyz00);
						BgL_auxz00_6882 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3589z00_3822);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3815))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6882), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6886;

					{	/* Cfa/type.scm 536 */
						BgL_varz00_bglt BgL_arg3590z00_3823;

						BgL_arg3590z00_3823 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3815))->
							BgL_varz00);
						BgL_auxz00_6886 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(((BgL_nodez00_bglt)
									BgL_arg3590z00_3823)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3815))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6886), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3815);
			}
		}
	}



/* &type-node!-let-var3255 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var3255za2zzcfa_typez00(obj_t
		BgL_envz00_6400, obj_t BgL_nodez00_6401)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 516 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3796;

				BgL_nodez00_3796 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_6401);
				{	/* Cfa/type.scm 518 */
					obj_t BgL_g3188z00_3800;

					BgL_g3188z00_3800 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3796))->BgL_bindingsz00);
					{
						obj_t BgL_l3186z00_3802;

						BgL_l3186z00_3802 = BgL_g3188z00_3800;
					BgL_zc3anonymousza33575ze3z83_3803:
						if (PAIRP(BgL_l3186z00_3802))
							{	/* Cfa/type.scm 518 */
								{	/* Cfa/type.scm 519 */
									obj_t BgL_bindingz00_3805;

									BgL_bindingz00_3805 = CAR(BgL_l3186z00_3802);
									{	/* Cfa/type.scm 519 */
										obj_t BgL_varz00_3806;
										obj_t BgL_valz00_3807;

										BgL_varz00_3806 = CAR(BgL_bindingz00_3805);
										BgL_valz00_3807 = CDR(BgL_bindingz00_3805);
										{	/* Cfa/type.scm 521 */
											BgL_nodez00_bglt BgL_arg3577z00_3808;

											BgL_arg3577z00_3808 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_valz00_3807));
											{	/* Cfa/type.scm 521 */
												obj_t BgL_auxz00_6902;

												BgL_auxz00_6902 = ((obj_t) BgL_arg3577z00_3808);
												SET_CDR(BgL_bindingz00_3805, BgL_auxz00_6902);
											}
										}
										{	/* Cfa/type.scm 522 */
											BgL_valuez00_bglt BgL_arg3578z00_3809;

											BgL_arg3578z00_3809 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_3806))))->
												BgL_valuez00);
											BGl_typezd2variablez12zc0zzcfa_typez00
												(BgL_arg3578z00_3809,
												((BgL_variablez00_bglt) BgL_varz00_3806));
										}
									}
								}
								{
									obj_t BgL_l3186z00_6910;

									BgL_l3186z00_6910 = CDR(BgL_l3186z00_3802);
									BgL_l3186z00_3802 = BgL_l3186z00_6910;
									goto BgL_zc3anonymousza33575ze3z83_3803;
								}
							}
						else
							{	/* Cfa/type.scm 518 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6912;

					{	/* Cfa/type.scm 524 */
						BgL_nodez00_bglt BgL_arg3581z00_3812;

						BgL_arg3581z00_3812 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3796))->BgL_bodyz00);
						BgL_auxz00_6912 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3581z00_3812);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3796))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6912), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3796)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3796))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3796);
			}
		}
	}



/* &type-node!-let-fun3253 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun3253za2zzcfa_typez00(obj_t
		BgL_envz00_6402, obj_t BgL_nodez00_6403)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 506 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_3781;

				BgL_nodez00_3781 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_6403);
				{	/* Cfa/type.scm 508 */
					obj_t BgL_g3185z00_3785;

					BgL_g3185z00_3785 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3781))->BgL_localsz00);
					{
						obj_t BgL_l3183z00_3787;

						BgL_l3183z00_3787 = BgL_g3185z00_3785;
					BgL_zc3anonymousza33559ze3z83_3788:
						if (PAIRP(BgL_l3183z00_3787))
							{	/* Cfa/type.scm 508 */
								{	/* Cfa/type.scm 508 */
									obj_t BgL_arg3570z00_3790;

									BgL_arg3570z00_3790 = CAR(BgL_l3183z00_3787);
									BGl_typezd2funz12zc0zzcfa_typez00(
										((BgL_variablez00_bglt) BgL_arg3570z00_3790));
								}
								{
									obj_t BgL_l3183z00_6928;

									BgL_l3183z00_6928 = CDR(BgL_l3183z00_3787);
									BgL_l3183z00_3787 = BgL_l3183z00_6928;
									goto BgL_zc3anonymousza33559ze3z83_3788;
								}
							}
						else
							{	/* Cfa/type.scm 508 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6930;

					{	/* Cfa/type.scm 509 */
						BgL_nodez00_bglt BgL_arg3573z00_3793;

						BgL_arg3573z00_3793 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3781))->BgL_bodyz00);
						BgL_auxz00_6930 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3573z00_3793);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3781))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6930), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3781)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3781))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3781);
			}
		}
	}



/* &type-node!-select3251 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2select3251z70zzcfa_typez00(obj_t
		BgL_envz00_6404, obj_t BgL_nodez00_6405)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 481 */
			{
				BgL_selectz00_bglt BgL_nodez00_3765;

				BgL_nodez00_3765 = ((BgL_selectz00_bglt) BgL_nodez00_6405);
				{
					BgL_nodez00_bglt BgL_auxz00_6940;

					{	/* Cfa/type.scm 483 */
						BgL_nodez00_bglt BgL_arg3553z00_3769;

						BgL_arg3553z00_3769 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_3765))->BgL_testz00);
						BgL_auxz00_6940 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3553z00_3769);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_3765))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6940), BUNSPEC);
				}
				{	/* Cfa/type.scm 484 */
					obj_t BgL_g3182z00_3770;

					BgL_g3182z00_3770 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_3765))->BgL_clausesz00);
					{
						obj_t BgL_l3180z00_3772;

						BgL_l3180z00_3772 = BgL_g3182z00_3770;
					BgL_zc3anonymousza33554ze3z83_3773:
						if (PAIRP(BgL_l3180z00_3772))
							{	/* Cfa/type.scm 484 */
								{	/* Cfa/type.scm 485 */
									obj_t BgL_clausez00_3775;

									BgL_clausez00_3775 = CAR(BgL_l3180z00_3772);
									{	/* Cfa/type.scm 485 */
										BgL_nodez00_bglt BgL_arg3556z00_3776;

										{	/* Cfa/type.scm 485 */
											obj_t BgL_arg3557z00_3777;

											BgL_arg3557z00_3777 = CDR(BgL_clausez00_3775);
											BgL_arg3556z00_3776 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg3557z00_3777));
										}
										{	/* Cfa/type.scm 485 */
											obj_t BgL_auxz00_6951;

											BgL_auxz00_6951 = ((obj_t) BgL_arg3556z00_3776);
											SET_CDR(BgL_clausez00_3775, BgL_auxz00_6951);
										}
									}
								}
								{
									obj_t BgL_l3180z00_6954;

									BgL_l3180z00_6954 = CDR(BgL_l3180z00_3772);
									BgL_l3180z00_3772 = BgL_l3180z00_6954;
									goto BgL_zc3anonymousza33554ze3z83_3773;
								}
							}
						else
							{	/* Cfa/type.scm 484 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3765)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3765))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3765);
			}
		}
	}



/* &type-node!-fail3249 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail3249z70zzcfa_typez00(obj_t
		BgL_envz00_6406, obj_t BgL_nodez00_6407)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 471 */
			{
				BgL_failz00_bglt BgL_nodez00_3757;

				BgL_nodez00_3757 = ((BgL_failz00_bglt) BgL_nodez00_6407);
				{
					BgL_nodez00_bglt BgL_auxz00_6962;

					{	/* Cfa/type.scm 473 */
						BgL_nodez00_bglt BgL_arg3550z00_3761;

						BgL_arg3550z00_3761 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3757))->BgL_procz00);
						BgL_auxz00_6962 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3550z00_3761);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3757))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6962), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6966;

					{	/* Cfa/type.scm 474 */
						BgL_nodez00_bglt BgL_arg3551z00_3762;

						BgL_arg3551z00_3762 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3757))->BgL_msgz00);
						BgL_auxz00_6966 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3551z00_3762);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3757))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6966), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6970;

					{	/* Cfa/type.scm 475 */
						BgL_nodez00_bglt BgL_arg3552z00_3763;

						BgL_arg3552z00_3763 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3757))->BgL_objz00);
						BgL_auxz00_6970 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3552z00_3763);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3757))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6970), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3757);
			}
		}
	}



/* &type-node!-condition3247 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3247z70zzcfa_typez00(obj_t
		BgL_envz00_6408, obj_t BgL_nodez00_6409)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 464 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3753;

				BgL_nodez00_3753 = ((BgL_conditionalz00_bglt) BgL_nodez00_6409);
				{

					{	/* Cfa/type.scm 464 */
						obj_t BgL_nextzd2method3246zd2_3756;

						BgL_nextzd2method3246zd2_3756 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3753),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						PROCEDURE_ENTRY(BgL_nextzd2method3246zd2_3756)
							(BgL_nextzd2method3246zd2_3756, ((obj_t) BgL_nodez00_3753), BEOA);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3753);
				}
			}
		}
	}



/* &type-node!-condition3245 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3245z70zzcfa_typez00(obj_t
		BgL_envz00_6410, obj_t BgL_nodez00_6411)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 453 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3745;

				BgL_nodez00_3745 = ((BgL_conditionalz00_bglt) BgL_nodez00_6411);
				{
					BgL_nodez00_bglt BgL_auxz00_6985;

					{	/* Cfa/type.scm 455 */
						BgL_nodez00_bglt BgL_arg3547z00_3749;

						BgL_arg3547z00_3749 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3745))->BgL_testz00);
						BgL_auxz00_6985 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3547z00_3749);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3745))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6985), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6989;

					{	/* Cfa/type.scm 456 */
						BgL_nodez00_bglt BgL_arg3548z00_3750;

						BgL_arg3548z00_3750 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3745))->BgL_truez00);
						BgL_auxz00_6989 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3548z00_3750);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3745))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6989), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6993;

					{	/* Cfa/type.scm 457 */
						BgL_nodez00_bglt BgL_arg3549z00_3751;

						BgL_arg3549z00_3751 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3745))->
							BgL_falsez00);
						BgL_auxz00_6993 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3549z00_3751);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3745))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6993), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3745)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3745))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3745);
			}
		}
	}



/* &type-node!-setq3243 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq3243z70zzcfa_typez00(obj_t
		BgL_envz00_6412, obj_t BgL_nodez00_6413)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 442 */
			{
				BgL_setqz00_bglt BgL_nodez00_3738;

				BgL_nodez00_3738 = ((BgL_setqz00_bglt) BgL_nodez00_6413);
				{
					BgL_nodez00_bglt BgL_auxz00_7003;

					{	/* Cfa/type.scm 444 */
						BgL_nodez00_bglt BgL_arg3543z00_3742;

						BgL_arg3543z00_3742 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3738))->BgL_valuez00);
						BgL_auxz00_7003 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3543z00_3742);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3738))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_7003), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_7007;

					{	/* Cfa/type.scm 445 */
						BgL_varz00_bglt BgL_arg3544z00_3743;

						BgL_arg3544z00_3743 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3738))->BgL_varz00);
						BgL_auxz00_7007 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3544z00_3743)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3738))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_7007), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3738);
			}
		}
	}



/* &type-node!-cast3241 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast3241z70zzcfa_typez00(obj_t
		BgL_envz00_6414, obj_t BgL_nodez00_6415)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 434 */
			{
				BgL_castz00_bglt BgL_nodez00_3732;

				BgL_nodez00_3732 = ((BgL_castz00_bglt) BgL_nodez00_6415);
				{
					BgL_nodez00_bglt BgL_auxz00_7015;

					{	/* Cfa/type.scm 436 */
						BgL_nodez00_bglt BgL_arg3542z00_3736;

						BgL_arg3542z00_3736 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_3732))->BgL_argz00);
						BgL_auxz00_7015 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3542z00_3736);
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_3732))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7015), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3732);
			}
		}
	}



/* &type-node!-vset!3239 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz123239z62zzcfa_typez00(obj_t
		BgL_envz00_6416, obj_t BgL_nodez00_6417)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 424 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_3725;

				BgL_nodez00_3725 = ((BgL_vsetz12z12_bglt) BgL_nodez00_6417);
				{

					{	/* Cfa/type.scm 424 */
						obj_t BgL_nextzd2method3238zd2_3731;

						BgL_nextzd2method3238zd2_3731 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3725),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vsetz12z12zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3238zd2_3731)
							(BgL_nextzd2method3238zd2_3731, ((obj_t) BgL_nodez00_3725), BEOA);
					}
					{	/* Cfa/type.scm 427 */
						bool_t BgL_testz00_7028;

						{	/* Cfa/type.scm 427 */
							BgL_typez00_bglt BgL_arg3541z00_3730;

							BgL_arg3541z00_3730 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3725))->BgL_ftypez00);
							BgL_testz00_7028 =
								(
								((obj_t) BgL_arg3541z00_3730) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_7028)
							{	/* Cfa/type.scm 427 */
								((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3725))->
										BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 427 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3725);
				}
			}
		}
	}



/* &type-node!-vref3237 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref3237z70zzcfa_typez00(obj_t
		BgL_envz00_6418, obj_t BgL_nodez00_6419)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 413 */
			{
				BgL_vrefz00_bglt BgL_nodez00_3718;

				BgL_nodez00_3718 = ((BgL_vrefz00_bglt) BgL_nodez00_6419);
				{

					{	/* Cfa/type.scm 413 */
						obj_t BgL_nextzd2method3236zd2_3724;

						BgL_nextzd2method3236zd2_3724 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3718),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vrefz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3236zd2_3724)
							(BgL_nextzd2method3236zd2_3724, ((obj_t) BgL_nodez00_3718), BEOA);
					}
					{	/* Cfa/type.scm 416 */
						bool_t BgL_testz00_7043;

						{	/* Cfa/type.scm 416 */
							BgL_typez00_bglt BgL_arg3538z00_3723;

							BgL_arg3538z00_3723 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_3718))->BgL_ftypez00);
							BgL_testz00_7043 =
								(
								((obj_t) BgL_arg3538z00_3723) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_7043)
							{	/* Cfa/type.scm 416 */
								((((BgL_vrefz00_bglt) CREF(BgL_nodez00_3718))->BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 416 */
								BFALSE;
							}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3718)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) CREF(BgL_nodez00_3718))->
								BgL_ftypez00)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_nodez00_3718);
				}
			}
		}
	}



/* &type-node!-valloc3235 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc3235z70zzcfa_typez00(obj_t
		BgL_envz00_6420, obj_t BgL_nodez00_6421)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 402 */
			{
				BgL_vallocz00_bglt BgL_nodez00_3706;

				BgL_nodez00_3706 = ((BgL_vallocz00_bglt) BgL_nodez00_6421);
				{

					{	/* Cfa/type.scm 402 */
						obj_t BgL_nextzd2method3234zd2_3717;

						BgL_nextzd2method3234zd2_3717 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3706),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vallocz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3234zd2_3717)
							(BgL_nextzd2method3234zd2_3717, ((obj_t) BgL_nodez00_3706), BEOA);
					}
					{	/* Cfa/type.scm 405 */
						obj_t BgL_arg3527z00_3710;

						BgL_arg3527z00_3710 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_3706)))->BgL_exprza2za2);
						BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg3527z00_3710);
					}
					{
						BgL_typez00_bglt BgL_auxz00_7064;

						{	/* Cfa/type.scm 406 */
							obj_t BgL_arg3529z00_3711;
							BgL_typez00_bglt BgL_arg3530z00_3712;

							{	/* Cfa/type.scm 406 */
								bool_t BgL_testz00_7066;

								{	/* Cfa/type.scm 406 */
									BgL_typez00_bglt BgL_arg3532z00_3714;

									BgL_arg3532z00_3714 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3706)))->BgL_typez00);
									BgL_testz00_7066 =
										(
										((obj_t) BgL_arg3532z00_3714) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_7066)
									{	/* Cfa/type.scm 406 */
										BgL_arg3529z00_3711 = BGl_za2vectorza2z00zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 406 */
										BgL_arg3529z00_3711 =
											((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3706)))->
												BgL_typez00));
									}
							}
							BgL_arg3530z00_3712 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3706)))->BgL_typez00);
							BgL_auxz00_7064 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(
								((BgL_typez00_bglt) BgL_arg3529z00_3711), BgL_arg3530z00_3712);
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3706)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_7064), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_7079;

						{	/* Cfa/type.scm 407 */
							bool_t BgL_testz00_7080;

							{	/* Cfa/type.scm 407 */
								BgL_typez00_bglt BgL_arg3535z00_3716;

								BgL_arg3535z00_3716 =
									(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3706))->BgL_ftypez00);
								BgL_testz00_7080 =
									(
									((obj_t) BgL_arg3535z00_3716) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7080)
								{	/* Cfa/type.scm 407 */
									BgL_auxz00_7079 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								}
							else
								{	/* Cfa/type.scm 407 */
									BgL_auxz00_7079 =
										(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3706))->
										BgL_ftypez00);
								}
						}
						((((BgL_vallocz00_bglt) CREF(BgL_nodez00_3706))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_7079), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3706);
				}
			}
		}
	}



/* &type-node!-extern3233 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern3233z70zzcfa_typez00(obj_t
		BgL_envz00_6422, obj_t BgL_nodez00_6423)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 394 */
			{
				BgL_externz00_bglt BgL_nodez00_3700;

				BgL_nodez00_3700 = ((BgL_externz00_bglt) BgL_nodez00_6423);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_3700))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_3700);
			}
		}
	}



/* &type-node!-funcall/C3231 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C3231z82zzcfa_typez00(obj_t
		BgL_envz00_6424, obj_t BgL_nodez00_6425)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 371 */
			{
				BgL_funcallz00_bglt BgL_nodez00_3687;

				BgL_nodez00_3687 = ((BgL_funcallz00_bglt) BgL_nodez00_6425);
				{
					BgL_nodez00_bglt BgL_auxz00_7093;

					{	/* Cfa/type.scm 373 */
						BgL_nodez00_bglt BgL_arg3510z00_3691;

						BgL_arg3510z00_3691 =
							(((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3687)))->BgL_funz00);
						BgL_auxz00_7093 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3510z00_3691);
					}
					((((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3687)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7093), BUNSPEC);
				}
				{	/* Cfa/type.scm 374 */
					obj_t BgL_arg3521z00_3692;

					BgL_arg3521z00_3692 =
						(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_3687)))->BgL_argsz00);
					BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg3521z00_3692);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{	/* Cfa/type.scm 377 */
						obj_t BgL_typz00_3693;

						{	/* Cfa/type.scm 377 */
							BgL_approxz00_bglt BgL_arg3525z00_3698;

							{
								BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7104;

								{
									obj_t BgL_auxz00_7105;

									{	/* Cfa/type.scm 377 */
										BgL_objectz00_bglt BgL_auxz00_7106;

										BgL_auxz00_7106 = ((BgL_objectz00_bglt) BgL_nodez00_3687);
										BgL_auxz00_7105 = BGL_OBJECT_WIDENING(BgL_auxz00_7106);
									}
									BgL_auxz00_7104 =
										((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7105);
								}
								BgL_arg3525z00_3698 =
									(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_7104))->
									BgL_approxz00);
							}
							BgL_typz00_3693 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3525z00_3698,
								((obj_t) BgL_nodez00_3687));
						}
						if ((BgL_typz00_3693 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 381 */
								BgL_atomz00_bglt BgL_new1190z00_3695;

								{	/* Cfa/type.scm 381 */
									BgL_atomz00_bglt BgL_new1189z00_3696;

									BgL_new1189z00_3696 =
										((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_atomz00_bgl))));
									{	/* Cfa/type.scm 381 */
										long BgL_arg3523z00_3697;

										{	/* Cfa/type.scm 381 */
											long BgL_res3943z00_6279;

											BgL_res3943z00_6279 =
												BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
											BgL_arg3523z00_3697 = BgL_res3943z00_6279;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1189z00_3696),
											BgL_arg3523z00_3697);
									}
									{	/* Cfa/type.scm 381 */
										BgL_objectz00_bglt BgL_auxz00_7119;

										BgL_auxz00_7119 =
											((BgL_objectz00_bglt) BgL_new1189z00_3696);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_7119, BFALSE);
									}
									BgL_new1190z00_3695 = BgL_new1189z00_3696;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1190z00_3695)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1190z00_3695)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2atomz00zztype_typeofz00(BUNSPEC)),
									BUNSPEC);
								((((BgL_atomz00_bglt) CREF(BgL_new1190z00_3695))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1190z00_3695);
							}
						else
							{	/* Cfa/type.scm 378 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3687)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typz00_3693)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_3687);
							}
					}
				else
					{	/* Cfa/type.scm 375 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3687)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_nodez00_3687);
					}
			}
		}
	}



/* &type-node!-app-ly/Ci3229 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3229z50zzcfa_typez00(obj_t
		BgL_envz00_6426, obj_t BgL_nodez00_6427)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 359 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_3679;

				BgL_nodez00_3679 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6427);
				{
					BgL_nodez00_bglt BgL_auxz00_7138;

					{	/* Cfa/type.scm 361 */
						BgL_nodez00_bglt BgL_arg3506z00_3683;

						BgL_arg3506z00_3683 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3679)))->BgL_funz00);
						BgL_auxz00_7138 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3506z00_3683);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3679)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7138), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7144;

					{	/* Cfa/type.scm 362 */
						BgL_nodez00_bglt BgL_arg3507z00_3684;

						BgL_arg3507z00_3684 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3679)))->BgL_argz00);
						BgL_auxz00_7144 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3507z00_3684);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3679)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7144), BUNSPEC);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{
						BgL_typez00_bglt BgL_auxz00_7152;

						{	/* Cfa/type.scm 364 */
							BgL_approxz00_bglt BgL_arg3508z00_3685;

							{
								BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7154;

								{
									obj_t BgL_auxz00_7155;

									{	/* Cfa/type.scm 364 */
										BgL_objectz00_bglt BgL_auxz00_7156;

										BgL_auxz00_7156 = ((BgL_objectz00_bglt) BgL_nodez00_3679);
										BgL_auxz00_7155 = BGL_OBJECT_WIDENING(BgL_auxz00_7156);
									}
									BgL_auxz00_7154 =
										((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7155);
								}
								BgL_arg3508z00_3685 =
									(((BgL_appzd2lyzf2cinfoz20_bglt) CREF(BgL_auxz00_7154))->
									BgL_approxz00);
							}
							BgL_auxz00_7152 =
								((BgL_typez00_bglt)
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3508z00_3685,
									((obj_t) BgL_nodez00_3679)));
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3679)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_7152), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 363 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3679)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_3679);
			}
		}
	}



/* &type-node!-cons-ref-3227 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23227z70zzcfa_typez00(obj_t
		BgL_envz00_6428, obj_t BgL_nodez00_6429)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 348 */
			{
				BgL_appz00_bglt BgL_nodez00_3671;

				BgL_nodez00_3671 = ((BgL_appz00_bglt) BgL_nodez00_6429);
				{

					{	/* Cfa/type.scm 348 */
						obj_t BgL_nextzd2method3226zd2_3678;

						BgL_nextzd2method3226zd2_3678 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3671),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conszd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3226zd2_3678)
							(BgL_nextzd2method3226zd2_3678, ((obj_t) BgL_nodez00_3671), BEOA);
					}
					{	/* Cfa/type.scm 351 */
						obj_t BgL_atypez00_3675;

						{	/* Cfa/type.scm 351 */
							BgL_approxz00_bglt BgL_arg3505z00_3677;

							{
								BgL_conszd2refzd2appz00_bglt BgL_auxz00_7177;

								{
									obj_t BgL_auxz00_7178;

									{	/* Cfa/type.scm 351 */
										BgL_objectz00_bglt BgL_auxz00_7179;

										BgL_auxz00_7179 = ((BgL_objectz00_bglt) BgL_nodez00_3671);
										BgL_auxz00_7178 = BGL_OBJECT_WIDENING(BgL_auxz00_7179);
									}
									BgL_auxz00_7177 =
										((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_7178);
								}
								BgL_arg3505z00_3677 =
									(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_7177))->
									BgL_approxz00);
							}
							BgL_atypez00_3675 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3505z00_3677,
								((obj_t) BgL_nodez00_3671));
						}
						if ((BgL_atypez00_3675 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 352 */
								BFALSE;
							}
						else
							{	/* Cfa/type.scm 352 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3671)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_3675)),
									BUNSPEC);
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3671);
				}
			}
		}
	}



/* &type-node!-procedure3225 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3225z70zzcfa_typez00(obj_t
		BgL_envz00_6430, obj_t BgL_nodez00_6431)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 331 */
			{
				BgL_appz00_bglt BgL_nodez00_3650;

				BgL_nodez00_3650 = ((BgL_appz00_bglt) BgL_nodez00_6431);
				{

					{	/* Cfa/type.scm 331 */
						obj_t BgL_nextzd2method3224zd2_3670;

						BgL_nextzd2method3224zd2_3670 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3650),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3224zd2_3670)
							(BgL_nextzd2method3224zd2_3670, ((obj_t) BgL_nodez00_3650), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 335 */
							obj_t BgL_atypez00_3654;

							{	/* Cfa/type.scm 335 */
								obj_t BgL_arg3503z00_3669;

								{
									BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_7202;

									{
										obj_t BgL_auxz00_7203;

										{	/* Cfa/type.scm 335 */
											BgL_objectz00_bglt BgL_auxz00_7204;

											BgL_auxz00_7204 = ((BgL_objectz00_bglt) BgL_nodez00_3650);
											BgL_auxz00_7203 = BGL_OBJECT_WIDENING(BgL_auxz00_7204);
										}
										BgL_auxz00_7202 =
											((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_7203);
									}
									BgL_arg3503z00_3669 =
										(((BgL_procedurezd2setz12zd2appz12_bglt)
											CREF(BgL_auxz00_7202))->BgL_vapproxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
										((BgL_approxz00_bglt) BgL_arg3503z00_3669)))
									{	/* Cfa/type.scm 307 */
										BgL_atypez00_3654 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 307 */
										BgL_atypez00_3654 =
											BGl_getzd2approxzd2typez00zzcfa_typez00(
											((BgL_approxz00_bglt) BgL_arg3503z00_3669),
											((obj_t) BgL_nodez00_3650));
									}
							}
							{	/* Cfa/type.scm 336 */
								bool_t BgL_testz00_7215;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3654)))
									{	/* Cfa/type.scm 336 */
										if ((BgL_atypez00_3654 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 337 */
												BgL_testz00_7215 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 338 */
												bool_t BgL_testz00_7221;

												{	/* Cfa/type.scm 338 */
													BgL_typez00_bglt BgL_arg3498z00_3666;

													{	/* Cfa/type.scm 338 */
														obj_t BgL_arg3501z00_3667;

														{	/* Cfa/type.scm 338 */
															obj_t BgL_pairz00_6256;

															BgL_pairz00_6256 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_nodez00_3650)))->
																BgL_argsz00);
															BgL_arg3501z00_3667 =
																CAR(CDR(CDR(BgL_pairz00_6256)));
														}
														BgL_arg3498z00_3666 =
															BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg3501z00_3667));
													}
													BgL_testz00_7221 =
														(BgL_atypez00_3654 ==
														((obj_t) BgL_arg3498z00_3666));
												}
												if (BgL_testz00_7221)
													{	/* Cfa/type.scm 338 */
														BgL_testz00_7215 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 338 */
														BgL_testz00_7215 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 336 */
										BgL_testz00_7215 = ((bool_t) 0);
									}
								if (BgL_testz00_7215)
									{	/* Cfa/type.scm 339 */
										obj_t BgL_arg3489z00_3656;
										BgL_castz00_bglt BgL_arg3490z00_3657;

										{	/* Cfa/type.scm 339 */
											obj_t BgL_pairz00_6262;

											BgL_pairz00_6262 =
												(((BgL_appz00_bglt) CREF(
														((BgL_appz00_bglt) BgL_nodez00_3650)))->
												BgL_argsz00);
											BgL_arg3489z00_3656 = CDR(CDR(BgL_pairz00_6262));
										}
										{	/* Cfa/type.scm 340 */
											BgL_castz00_bglt BgL_new1185z00_3659;

											{	/* Cfa/type.scm 340 */
												BgL_castz00_bglt BgL_new1184z00_3661;

												BgL_new1184z00_3661 =
													((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_castz00_bgl))));
												{	/* Cfa/type.scm 340 */
													long BgL_arg3494z00_3662;

													{	/* Cfa/type.scm 340 */
														long BgL_res3942z00_6267;

														BgL_res3942z00_6267 =
															BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
														BgL_arg3494z00_3662 = BgL_res3942z00_6267;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1184z00_3661),
														BgL_arg3494z00_3662);
												}
												{	/* Cfa/type.scm 340 */
													BgL_objectz00_bglt BgL_auxz00_7239;

													BgL_auxz00_7239 =
														((BgL_objectz00_bglt) BgL_new1184z00_3661);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_7239, BFALSE);
												}
												BgL_new1185z00_3659 = BgL_new1184z00_3661;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1185z00_3659)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1185z00_3659)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
											{
												BgL_nodez00_bglt BgL_auxz00_7247;

												{	/* Cfa/type.scm 342 */
													obj_t BgL_pairz00_6270;

													BgL_pairz00_6270 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_nodez00_3650)))->
														BgL_argsz00);
													{	/* Cfa/type.scm 342 */
														obj_t BgL_pairz00_6275;

														{	/* Cfa/type.scm 342 */
															obj_t BgL_pairz00_6274;

															BgL_pairz00_6274 = CDR(BgL_pairz00_6270);
															BgL_pairz00_6275 = CDR(BgL_pairz00_6274);
														}
														BgL_auxz00_7247 =
															((BgL_nodez00_bglt) CAR(BgL_pairz00_6275));
												}}
												((((BgL_castz00_bglt) CREF(BgL_new1185z00_3659))->
														BgL_argz00) =
													((BgL_nodez00_bglt) BgL_auxz00_7247), BUNSPEC);
											}
											BgL_arg3490z00_3657 = BgL_new1185z00_3659;
										}
										{	/* Cfa/type.scm 339 */
											obj_t BgL_auxz00_7255;

											BgL_auxz00_7255 = ((obj_t) BgL_arg3490z00_3657);
											SET_CAR(BgL_arg3489z00_3656, BgL_auxz00_7255);
									}}
								else
									{	/* Cfa/type.scm 336 */
										BFALSE;
									}
							}
						}
					else
						{	/* Cfa/type.scm 334 */
							BFALSE;
						}
					return ((BgL_nodez00_bglt) BgL_nodez00_3650);
				}
			}
		}
	}



/* &type-node!-procedure3223 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3223z70zzcfa_typez00(obj_t
		BgL_envz00_6432, obj_t BgL_nodez00_6433)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 314 */
			{
				BgL_appz00_bglt BgL_nodez00_3635;

				BgL_nodez00_3635 = ((BgL_appz00_bglt) BgL_nodez00_6433);
				{

					{	/* Cfa/type.scm 314 */
						obj_t BgL_nextzd2method3222zd2_3649;

						BgL_nextzd2method3222zd2_3649 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3635),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3222zd2_3649)
							(BgL_nextzd2method3222zd2_3649, ((obj_t) BgL_nodez00_3635), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 318 */
							obj_t BgL_atypez00_3639;

							{	/* Cfa/type.scm 318 */
								BgL_approxz00_bglt BgL_arg3486z00_3648;

								{
									BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_7269;

									{
										obj_t BgL_auxz00_7270;

										{	/* Cfa/type.scm 318 */
											BgL_objectz00_bglt BgL_auxz00_7271;

											BgL_auxz00_7271 = ((BgL_objectz00_bglt) BgL_nodez00_3635);
											BgL_auxz00_7270 = BGL_OBJECT_WIDENING(BgL_auxz00_7271);
										}
										BgL_auxz00_7269 =
											((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_7270);
									}
									BgL_arg3486z00_3648 =
										(((BgL_procedurezd2refzd2appz00_bglt)
											CREF(BgL_auxz00_7269))->BgL_approxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
									(BgL_arg3486z00_3648))
									{	/* Cfa/type.scm 307 */
										BgL_atypez00_3639 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 307 */
										BgL_atypez00_3639 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg3486z00_3648, ((obj_t) BgL_nodez00_3635));
									}
							}
							{	/* Cfa/type.scm 319 */
								bool_t BgL_testz00_7280;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3639)))
									{	/* Cfa/type.scm 319 */
										if ((BgL_atypez00_3639 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 320 */
												BgL_testz00_7280 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 321 */
												bool_t BgL_testz00_7286;

												{	/* Cfa/type.scm 321 */
													BgL_typez00_bglt BgL_arg3485z00_3647;

													BgL_arg3485z00_3647 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nodez00_3635));
													BgL_testz00_7286 =
														(BgL_atypez00_3639 ==
														((obj_t) BgL_arg3485z00_3647));
												}
												if (BgL_testz00_7286)
													{	/* Cfa/type.scm 321 */
														BgL_testz00_7280 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 321 */
														BgL_testz00_7280 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 319 */
										BgL_testz00_7280 = ((bool_t) 0);
									}
								if (BgL_testz00_7280)
									{	/* Cfa/type.scm 322 */
										BgL_castz00_bglt BgL_new1182z00_3641;

										{	/* Cfa/type.scm 322 */
											BgL_castz00_bglt BgL_new1180z00_3642;

											BgL_new1180z00_3642 =
												((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_castz00_bgl))));
											{	/* Cfa/type.scm 322 */
												long BgL_arg3469z00_3643;

												{	/* Cfa/type.scm 322 */
													long BgL_res3941z00_6250;

													BgL_res3941z00_6250 =
														BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
													BgL_arg3469z00_3643 = BgL_res3941z00_6250;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1180z00_3642),
													BgL_arg3469z00_3643);
											}
											{	/* Cfa/type.scm 322 */
												BgL_objectz00_bglt BgL_auxz00_7295;

												BgL_auxz00_7295 =
													((BgL_objectz00_bglt) BgL_new1180z00_3642);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_7295, BFALSE);
											}
											BgL_new1182z00_3641 = BgL_new1180z00_3642;
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_new1182z00_3641)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
															BgL_new1182z00_3641)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_atypez00_3639)), BUNSPEC);
										((((BgL_castz00_bglt) CREF(BgL_new1182z00_3641))->
												BgL_argz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nodez00_3635)), BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_new1182z00_3641);
									}
								else
									{	/* Cfa/type.scm 319 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3635);
									}
							}
						}
					else
						{	/* Cfa/type.scm 317 */
							return ((BgL_nodez00_bglt) BgL_nodez00_3635);
						}
				}
			}
		}
	}



/* &type-node!-arithmeti3221 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti3221z70zzcfa_typez00(obj_t
		BgL_envz00_6434, obj_t BgL_nodez00_6435)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 270 */
			{
				BgL_appz00_bglt BgL_nodez00_3594;

				BgL_nodez00_3594 = ((BgL_appz00_bglt) BgL_nodez00_6435);
				{

					{	/* Cfa/type.scm 270 */
						obj_t BgL_nextzd2method3220zd2_3634;

						BgL_nextzd2method3220zd2_3634 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3594),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_arithmeticzd2appzd2zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3220zd2_3634)
							(BgL_nextzd2method3220zd2_3634, ((obj_t) BgL_nodez00_3594), BEOA);
					}
					{	/* Cfa/type.scm 287 */
						BgL_variablez00_bglt BgL_vz00_3599;

						BgL_vz00_3599 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(
												((BgL_appz00_bglt) BgL_nodez00_3594)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/type.scm 287 */
							BgL_valuez00_bglt BgL_valz00_3600;

							BgL_valz00_3600 =
								(((BgL_variablez00_bglt) CREF(BgL_vz00_3599))->BgL_valuez00);
							{	/* Cfa/type.scm 288 */

								{	/* Cfa/type.scm 289 */
									bool_t BgL_testz00_7320;

									{	/* Cfa/type.scm 289 */
										BgL_typez00_bglt BgL_arg3443z00_3602;

										BgL_arg3443z00_3602 =
											(((BgL_variablez00_bglt) CREF(BgL_vz00_3599))->
											BgL_typez00);
										BgL_testz00_7320 =
											(((obj_t) BgL_arg3443z00_3602) ==
											BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_testz00_7320)
										{	/* Cfa/type.scm 290 */
											BgL_typez00_bglt BgL_vz00_6224;

											BgL_vz00_6224 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(BgL_vz00_3599))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_6224), BUNSPEC);
										}
									else
										{	/* Cfa/type.scm 289 */
											BFALSE;
										}
								}
								{	/* Cfa/type.scm 293 */
									bool_t BgL_testz00_7326;

									{	/* Cfa/type.scm 293 */
										bool_t BgL_res3937z00_6227;

										BgL_res3937z00_6227 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_valz00_3600), BGl_sfunz00zzast_varz00);
										BgL_testz00_7326 = BgL_res3937z00_6227;
									}
									if (BgL_testz00_7326)
										{	/* Cfa/type.scm 294 */
											obj_t BgL_l03176z00_3604;

											BgL_l03176z00_3604 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_valz00_3600)))->
												BgL_argsz00);
											{
												obj_t BgL_l3175z00_3606;

												BgL_l3175z00_3606 = BgL_l03176z00_3604;
											BgL_zc3anonymousza33445ze3z83_3607:
												if (NULLP(BgL_l3175z00_3606))
													{	/* Cfa/type.scm 294 */
														BgL_l03176z00_3604;
													}
												else
													{	/* Cfa/type.scm 294 */
														{	/* Cfa/type.scm 294 */
															obj_t BgL_auxz00_7333;

															BgL_auxz00_7333 =
																BGl_cleanupzd2typezd2zzcfa_typez00(CAR
																(BgL_l3175z00_3606));
															SET_CAR(BgL_l3175z00_3606, BgL_auxz00_7333);
														}
														{
															obj_t BgL_l3175z00_7337;

															BgL_l3175z00_7337 = CDR(BgL_l3175z00_3606);
															BgL_l3175z00_3606 = BgL_l3175z00_7337;
															goto BgL_zc3anonymousza33445ze3z83_3607;
														}
													}
											}
										}
									else
										{	/* Cfa/type.scm 295 */
											bool_t BgL_testz00_7339;

											{	/* Cfa/type.scm 295 */
												bool_t BgL_res3939z00_6237;

												BgL_res3939z00_6237 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_valz00_3600), BGl_cfunz00zzast_varz00);
												BgL_testz00_7339 = BgL_res3939z00_6237;
											}
											if (BgL_testz00_7339)
												{	/* Cfa/type.scm 296 */
													obj_t BgL_l03179z00_3614;

													BgL_l03179z00_3614 =
														(((BgL_cfunz00_bglt) CREF(
																((BgL_cfunz00_bglt) BgL_valz00_3600)))->
														BgL_argszd2typezd2);
													{
														obj_t BgL_l3178z00_3616;

														BgL_l3178z00_3616 = BgL_l03179z00_3614;
													BgL_zc3anonymousza33452ze3z83_3617:
														if (NULLP(BgL_l3178z00_3616))
															{	/* Cfa/type.scm 296 */
																BgL_l03179z00_3614;
															}
														else
															{	/* Cfa/type.scm 296 */
																{	/* Cfa/type.scm 296 */
																	obj_t BgL_auxz00_7346;

																	BgL_auxz00_7346 =
																		BGl_cleanupzd2typezd2zzcfa_typez00(CAR
																		(BgL_l3178z00_3616));
																	SET_CAR(BgL_l3178z00_3616, BgL_auxz00_7346);
																}
																{
																	obj_t BgL_l3178z00_7350;

																	BgL_l3178z00_7350 = CDR(BgL_l3178z00_3616);
																	BgL_l3178z00_3616 = BgL_l3178z00_7350;
																	goto BgL_zc3anonymousza33452ze3z83_3617;
																}
															}
													}
												}
											else
												{	/* Cfa/type.scm 295 */
													BFALSE;
												}
										}
								}
							}
						}
					}
					{	/* Cfa/type.scm 298 */
						bool_t BgL_testz00_7352;

						{	/* Cfa/type.scm 298 */
							BgL_typez00_bglt BgL_arg3459z00_3625;

							BgL_arg3459z00_3625 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3594))))->BgL_typez00);
							BgL_testz00_7352 =
								(
								((obj_t) BgL_arg3459z00_3625) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_7352)
							{	/* Cfa/type.scm 298 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_3594))))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 298 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3594);
				}
			}
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_typez00(obj_t BgL_tz00_3626)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 281 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3626, BGl_typez00zztype_typez00))
				{	/* Cfa/type.scm 274 */
					if ((BgL_tz00_3626 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 275 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/type.scm 275 */
							return BgL_tz00_3626;
						}
				}
			else
				{	/* Cfa/type.scm 274 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3626,
							BGl_localz00zzast_varz00))
						{	/* Cfa/type.scm 276 */
							{	/* Cfa/type.scm 277 */
								bool_t BgL_testz00_7370;

								{	/* Cfa/type.scm 277 */
									BgL_typez00_bglt BgL_arg3465z00_3632;

									BgL_arg3465z00_3632 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_3626))))->BgL_typez00);
									BgL_testz00_7370 =
										(
										((obj_t) BgL_arg3465z00_3632) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_7370)
									{	/* Cfa/type.scm 278 */
										BgL_typez00_bglt BgL_vz00_6212;

										BgL_vz00_6212 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_tz00_3626))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_6212), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 277 */
										BFALSE;
									}
							}
							return BgL_tz00_3626;
						}
					else
						{	/* Cfa/type.scm 276 */
							return BgL_tz00_3626;
						}
				}
		}
	}



/* &type-node!-app3219 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3219z70zzcfa_typez00(obj_t
		BgL_envz00_6436, obj_t BgL_nodez00_6437)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 260 */
			{
				BgL_appz00_bglt BgL_nodez00_3583;

				BgL_nodez00_3583 = ((BgL_appz00_bglt) BgL_nodez00_6437);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3583))->BgL_argsz00));
				BGl_typezd2funzd2nodez12z12zzcfa_typez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3583))->BgL_funz00));
				{
					BgL_typez00_bglt BgL_auxz00_7384;

					{	/* Cfa/type.scm 264 */
						BgL_typez00_bglt BgL_arg3435z00_3589;
						BgL_typez00_bglt BgL_arg3436z00_3590;

						BgL_arg3435z00_3589 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_3583))->
													BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
						BgL_arg3436z00_3590 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_3583)))->BgL_typez00);
						BgL_auxz00_7384 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg3435z00_3589,
							BgL_arg3436z00_3590);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3583)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7384), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3583);
			}
		}
	}



/* &type-node!-sync3217 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sync3217z70zzcfa_typez00(obj_t
		BgL_envz00_6438, obj_t BgL_nodez00_6439)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 248 */
			{
				BgL_syncz00_bglt BgL_nodez00_3572;

				BgL_nodez00_3572 = ((BgL_syncz00_bglt) BgL_nodez00_6439);
				{
					BgL_nodez00_bglt BgL_auxz00_7395;

					{	/* Cfa/type.scm 250 */
						BgL_nodez00_bglt BgL_arg3424z00_3576;

						BgL_arg3424z00_3576 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_3572))->BgL_mutexz00);
						BgL_auxz00_7395 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3424z00_3576);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_3572))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7395), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7399;

					{	/* Cfa/type.scm 251 */
						BgL_nodez00_bglt BgL_arg3428z00_3577;

						BgL_arg3428z00_3577 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_3572))->BgL_prelockz00);
						BgL_auxz00_7399 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3428z00_3577);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_3572))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7399), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7403;

					{	/* Cfa/type.scm 252 */
						BgL_nodez00_bglt BgL_arg3429z00_3578;

						BgL_arg3429z00_3578 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_3572))->BgL_bodyz00);
						BgL_auxz00_7403 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3429z00_3578);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_3572))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7403), BUNSPEC);
				}
				{	/* Cfa/type.scm 253 */
					bool_t BgL_testz00_7407;

					{	/* Cfa/type.scm 253 */
						BgL_typez00_bglt BgL_arg3432z00_3581;

						BgL_arg3432z00_3581 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3572)))->BgL_typez00);
						BgL_testz00_7407 =
							(((obj_t) BgL_arg3432z00_3581) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7407)
						{
							BgL_typez00_bglt BgL_auxz00_7412;

							{	/* Cfa/type.scm 254 */
								BgL_nodez00_bglt BgL_arg3431z00_3580;

								BgL_arg3431z00_3580 =
									(((BgL_syncz00_bglt) CREF(BgL_nodez00_3572))->BgL_bodyz00);
								BgL_auxz00_7412 =
									BGl_getzd2typezd2zztype_typeofz00(BgL_arg3431z00_3580);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3572)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_7412), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 253 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3572);
			}
		}
	}



/* &type-node!-sequence3215 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence3215z70zzcfa_typez00(obj_t
		BgL_envz00_6440, obj_t BgL_nodez00_6441)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 236 */
			{
				BgL_sequencez00_bglt BgL_nodez00_3559;

				BgL_nodez00_3559 = ((BgL_sequencez00_bglt) BgL_nodez00_6441);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3559))->BgL_nodesz00));
				{	/* Cfa/type.scm 239 */
					bool_t BgL_testz00_7421;

					{	/* Cfa/type.scm 239 */
						BgL_typez00_bglt BgL_arg3423z00_3570;

						BgL_arg3423z00_3570 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3559)))->BgL_typez00);
						BgL_testz00_7421 =
							(((obj_t) BgL_arg3423z00_3570) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7421)
						{	/* Cfa/type.scm 240 */
							bool_t BgL_testz00_7426;

							{	/* Cfa/type.scm 240 */
								obj_t BgL_auxz00_7427;

								BgL_auxz00_7427 =
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3559))->
									BgL_nodesz00);
								BgL_testz00_7426 = PAIRP(BgL_auxz00_7427);
							}
							if (BgL_testz00_7426)
								{
									BgL_typez00_bglt BgL_auxz00_7430;

									{	/* Cfa/type.scm 241 */
										obj_t BgL_arg3418z00_3566;

										BgL_arg3418z00_3566 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
												(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3559))->
													BgL_nodesz00)));
										BgL_auxz00_7430 =
											BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_arg3418z00_3566));
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3559)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_7430), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 240 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3559)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
								}
						}
					else
						{	/* Cfa/type.scm 239 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3559);
			}
		}
	}



/* &type-node!-closure3213 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure3213z70zzcfa_typez00(obj_t
		BgL_envz00_6442, obj_t BgL_nodez00_6443)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 230 */
			{
				BgL_closurez00_bglt BgL_nodez00_3554;

				BgL_nodez00_3554 = ((BgL_closurez00_bglt) BgL_nodez00_6443);
				{	/* Cfa/type.scm 231 */
					obj_t BgL_arg3413z00_6194;

					BgL_arg3413z00_6194 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3554));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string3966z00zzcfa_typez00, BGl_string3996z00zzcfa_typez00,
							BgL_arg3413z00_6194));
				}
			}
		}
	}



/* &type-node!-var3211 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3211z70zzcfa_typez00(obj_t
		BgL_envz00_6444, obj_t BgL_nodez00_6445)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 210 */
			{
				BgL_varz00_bglt BgL_nodez00_3520;

				BgL_nodez00_3520 = ((BgL_varz00_bglt) BgL_nodez00_6445);
				{
					BgL_typez00_bglt BgL_ntypez00_3542;
					BgL_typez00_bglt BgL_vtypez00_3543;

					{	/* Cfa/type.scm 219 */
						bool_t BgL_testz00_7448;

						{	/* Cfa/type.scm 219 */
							bool_t BgL_testz00_7449;

							{	/* Cfa/type.scm 219 */
								BgL_variablez00_bglt BgL_arg3374z00_3532;

								BgL_arg3374z00_3532 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3520))->BgL_variablez00);
								{	/* Cfa/type.scm 219 */
									bool_t BgL_res3924z00_6182;

									BgL_res3924z00_6182 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg3374z00_3532), BGl_globalz00zzast_varz00);
									BgL_testz00_7449 = BgL_res3924z00_6182;
								}
							}
							if (BgL_testz00_7449)
								{	/* Cfa/type.scm 219 */
									BgL_testz00_7448 =
										(
										(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_3520))->
															BgL_variablez00))))->BgL_importz00) ==
										CNST_TABLE_REF(((long) 2)));
								}
							else
								{	/* Cfa/type.scm 219 */
									BgL_testz00_7448 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_7448)
							{	/* Cfa/type.scm 220 */
								BgL_valuez00_bglt BgL_arg3368z00_3526;
								BgL_variablez00_bglt BgL_arg3369z00_3527;

								BgL_arg3368z00_3526 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) CREF(BgL_nodez00_3520))->
														BgL_variablez00)))))->BgL_valuez00);
								BgL_arg3369z00_3527 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3520))->BgL_variablez00);
								BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3368z00_3526,
									BgL_arg3369z00_3527);
							}
						else
							{	/* Cfa/type.scm 219 */
								BFALSE;
							}
					}
					{	/* Cfa/type.scm 221 */
						bool_t BgL_testz00_7464;

						{	/* Cfa/type.scm 221 */
							bool_t BgL_testz00_7465;

							{	/* Cfa/type.scm 221 */
								BgL_typez00_bglt BgL_arg3410z00_3541;

								BgL_arg3410z00_3541 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3520)))->BgL_typez00);
								BgL_testz00_7465 =
									(
									((obj_t) BgL_arg3410z00_3541) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7465)
								{	/* Cfa/type.scm 221 */
									BgL_testz00_7464 = ((bool_t) 1);
								}
							else
								{	/* Cfa/type.scm 222 */
									bool_t BgL_testz00_7470;

									{	/* Cfa/type.scm 222 */
										BgL_typez00_bglt BgL_arg3409z00_3540;

										BgL_arg3409z00_3540 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3520)))->BgL_typez00);
										BgL_testz00_7470 =
											(
											((obj_t) BgL_arg3409z00_3540) ==
											BGl_za2vectorza2z00zztype_cachez00);
									}
									if (BgL_testz00_7470)
										{	/* Cfa/type.scm 222 */
											BgL_testz00_7464 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 223 */
											BgL_typez00_bglt BgL_arg3406z00_3537;
											BgL_typez00_bglt BgL_arg3407z00_3538;

											BgL_arg3406z00_3537 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3520)))->
												BgL_typez00);
											BgL_arg3407z00_3538 =
												(((BgL_variablez00_bglt) CREF((((BgL_varz00_bglt)
																CREF(BgL_nodez00_3520))->BgL_variablez00)))->
												BgL_typez00);
											BgL_ntypez00_3542 = BgL_arg3406z00_3537;
											BgL_vtypez00_3543 = BgL_arg3407z00_3538;
											{	/* Cfa/type.scm 213 */
												bool_t BgL__ortest_1168z00_3545;

												if (BGl_bigloozd2typezf3z21zztype_typez00
													(BgL_vtypez00_3543))
													{	/* Cfa/type.scm 213 */
														BgL__ortest_1168z00_3545 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 213 */
														BgL__ortest_1168z00_3545 = ((bool_t) 1);
													}
												if (BgL__ortest_1168z00_3545)
													{	/* Cfa/type.scm 213 */
														BgL_testz00_7464 = BgL__ortest_1168z00_3545;
													}
												else
													{	/* Cfa/type.scm 214 */
														bool_t BgL__ortest_1169z00_3546;

														BgL__ortest_1169z00_3546 =
															(
															((obj_t) BgL_ntypez00_3542) ==
															BGl_za2objza2z00zztype_cachez00);
														if (BgL__ortest_1169z00_3546)
															{	/* Cfa/type.scm 214 */
																BgL_testz00_7464 = BgL__ortest_1169z00_3546;
															}
														else
															{	/* Cfa/type.scm 215 */
																bool_t BgL__ortest_1170z00_3547;

																{	/* Cfa/type.scm 215 */
																	bool_t BgL__ortest_1171z00_3550;

																	BgL__ortest_1171z00_3550 =
																		(
																		((obj_t) BgL_vtypez00_3543) ==
																		BGl_za2pairza2z00zztype_cachez00);
																	if (BgL__ortest_1171z00_3550)
																		{	/* Cfa/type.scm 215 */
																			BgL__ortest_1170z00_3547 =
																				BgL__ortest_1171z00_3550;
																		}
																	else
																		{	/* Cfa/type.scm 215 */
																			BgL__ortest_1170z00_3547 =
																				(
																				((obj_t) BgL_vtypez00_3543) ==
																				BGl_za2epairza2z00zztype_cachez00);
																		}
																}
																if (BgL__ortest_1170z00_3547)
																	{	/* Cfa/type.scm 215 */
																		BgL_testz00_7464 = BgL__ortest_1170z00_3547;
																	}
																else
																	{	/* Cfa/type.scm 216 */
																		bool_t BgL_testz00_7491;

																		{	/* Cfa/type.scm 216 */
																			bool_t BgL_res3922z00_6178;

																			BgL_res3922z00_6178 =
																				BGl_isazf3zf3zz__objectz00(
																				((obj_t) BgL_vtypez00_3543),
																				BGl_tclassz00zzobject_classz00);
																			BgL_testz00_7491 = BgL_res3922z00_6178;
																		}
																		if (BgL_testz00_7491)
																			{	/* Cfa/type.scm 216 */
																				bool_t BgL_testz00_7494;

																				{	/* Cfa/type.scm 216 */
																					bool_t BgL_res3923z00_6180;

																					BgL_res3923z00_6180 =
																						BGl_isazf3zf3zz__objectz00(
																						((obj_t) BgL_ntypez00_3542),
																						BGl_tclassz00zzobject_classz00);
																					BgL_testz00_7494 =
																						BgL_res3923z00_6180;
																				}
																				if (BgL_testz00_7494)
																					{	/* Cfa/type.scm 216 */
																						BgL_testz00_7464 =
																							BGl_typezd2subclasszf3z21zzobject_classz00
																							(BgL_vtypez00_3543,
																							BgL_ntypez00_3542);
																					}
																				else
																					{	/* Cfa/type.scm 216 */
																						BgL_testz00_7464 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Cfa/type.scm 216 */
																				BgL_testz00_7464 = ((bool_t) 0);
																			}
																	}
															}
													}
											}
										}
								}
						}
						if (BgL_testz00_7464)
							{	/* Cfa/type.scm 221 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3520)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_3520))->
														BgL_variablez00)))->BgL_typez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 221 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3520);
				}
			}
		}
	}



/* &type-node!-kwote3209 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote3209z70zzcfa_typez00(obj_t
		BgL_envz00_6446, obj_t BgL_nodez00_6447)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 201 */
			{
				BgL_kwotez00_bglt BgL_nodez00_3512;

				BgL_nodez00_3512 = ((BgL_kwotez00_bglt) BgL_nodez00_6447);
				{	/* Cfa/type.scm 203 */
					bool_t BgL_testz00_7504;

					{	/* Cfa/type.scm 203 */
						BgL_typez00_bglt BgL_arg3366z00_3518;

						BgL_arg3366z00_3518 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3512)))->BgL_typez00);
						BgL_testz00_7504 =
							(((obj_t) BgL_arg3366z00_3518) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7504)
						{
							BgL_typez00_bglt BgL_auxz00_7509;

							{	/* Cfa/type.scm 204 */
								obj_t BgL_arg3365z00_3517;

								BgL_arg3365z00_3517 =
									(((BgL_kwotez00_bglt) CREF(BgL_nodez00_3512))->BgL_valuez00);
								BgL_auxz00_7509 =
									BGl_getzd2typezd2kwotez00zztype_typeofz00
									(BgL_arg3365z00_3517);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3512)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_7509), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 203 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3512);
			}
		}
	}



/* &type-node!-atom3207 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom3207z70zzcfa_typez00(obj_t
		BgL_envz00_6448, obj_t BgL_nodez00_6449)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 195 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_6449));
		}
	}



/* &type-variable!-inter3203 */
	obj_t BGl_z62typezd2variablez12zd2inter3203z70zzcfa_typez00(obj_t
		BgL_envz00_6450, obj_t BgL_valuez00_6451, obj_t BgL_variablez00_6452)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 158 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-sexit3201 */
	obj_t BGl_z62typezd2variablez12zd2sexit3201z70zzcfa_typez00(obj_t
		BgL_envz00_6453, obj_t BgL_valuez00_6454, obj_t BgL_variablez00_6455)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 148 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-cvar/3199 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf23199z82zzcfa_typez00(obj_t
		BgL_envz00_6456, obj_t BgL_valuez00_6457, obj_t BgL_variablez00_6458)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 141 */
			{
				BgL_cvarz00_bglt BgL_valuez00_3490;
				obj_t BgL_variablez00_3491;

				BgL_valuez00_3490 = ((BgL_cvarz00_bglt) BgL_valuez00_6457);
				BgL_variablez00_3491 = BgL_variablez00_6458;
				{	/* Cfa/type.scm 143 */
					obj_t BgL_arg3362z00_6175;

					{	/* Cfa/type.scm 143 */
						BgL_approxz00_bglt BgL_arg3363z00_6176;

						{
							BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7520;

							{
								obj_t BgL_auxz00_7521;

								{	/* Cfa/type.scm 143 */
									BgL_objectz00_bglt BgL_auxz00_7522;

									BgL_auxz00_7522 = ((BgL_objectz00_bglt) BgL_valuez00_3490);
									BgL_auxz00_7521 = BGL_OBJECT_WIDENING(BgL_auxz00_7522);
								}
								BgL_auxz00_7520 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7521);
							}
							BgL_arg3363z00_6176 =
								(((BgL_cvarzf2cinfozf2_bglt) CREF(BgL_auxz00_7520))->
								BgL_approxz00);
						}
						BgL_arg3362z00_6175 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3363z00_6176,
							((obj_t) BgL_valuez00_3490));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3491),
						((BgL_typez00_bglt) BgL_arg3362z00_6175));
				}
			}
		}
	}



/* &type-variable!-scnst3197 */
	obj_t BGl_z62typezd2variablez12zd2scnst3197z70zzcfa_typez00(obj_t
		BgL_envz00_6459, obj_t BgL_valuez00_6460, obj_t BgL_variablez00_6461)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 135 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-svar/3195 */
	obj_t BGl_z62typezd2variablez12zd2svarzf23195z82zzcfa_typez00(obj_t
		BgL_envz00_6462, obj_t BgL_valuez00_6463, obj_t BgL_variablez00_6464)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 128 */
			{
				BgL_svarz00_bglt BgL_valuez00_3477;
				obj_t BgL_variablez00_3478;

				BgL_valuez00_3477 = ((BgL_svarz00_bglt) BgL_valuez00_6463);
				BgL_variablez00_3478 = BgL_variablez00_6464;
				{	/* Cfa/type.scm 130 */
					obj_t BgL_arg3360z00_6172;

					{	/* Cfa/type.scm 130 */
						BgL_approxz00_bglt BgL_arg3361z00_6173;

						{
							BgL_svarzf2cinfozf2_bglt BgL_auxz00_7534;

							{
								obj_t BgL_auxz00_7535;

								{	/* Cfa/type.scm 130 */
									BgL_objectz00_bglt BgL_auxz00_7536;

									BgL_auxz00_7536 = ((BgL_objectz00_bglt) BgL_valuez00_3477);
									BgL_auxz00_7535 = BGL_OBJECT_WIDENING(BgL_auxz00_7536);
								}
								BgL_auxz00_7534 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_7535);
							}
							BgL_arg3361z00_6173 =
								(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_7534))->
								BgL_approxz00);
						}
						BgL_arg3360z00_6172 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3361z00_6173,
							((obj_t) BgL_valuez00_3477));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3478),
						((BgL_typez00_bglt) BgL_arg3360z00_6172));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3997z00zzcfa_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
