/*===========================================================================*/
/*   (Coerce/coerce.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/coerce.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


	static BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62coercez12zd2var1951za2zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
	static obj_t BGl_objectzd2initzd2zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2conditional1982za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vlength1975za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	static obj_t BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sync1957za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1994za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2fail1984za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2widening1961za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2sequence1955za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz122000z62zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_wideningz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1992za2zzcoerce_coercez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_coercerzd2existszf3z21zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vref1971za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
	extern obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2valloc1969za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2ref1998z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2getfield1963za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2select1986za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_coercez00 = BUNSPEC;
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	extern obj_t BGl_newz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2extern1959za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setfield1965za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_coercez00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2vsetz121973zb0zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2cast1977za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2makezd2box1996z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2setq1980za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2fun1988z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2mutexza2z00zztype_cachez00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_vrefz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62coercez121943z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcoerce_coercez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2kwote1949za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2letzd2var1990z70zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2closure1953za2zzcoerce_coercez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62coercez12zd2new1967za2zzcoerce_coercez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2atom1947za2zzcoerce_coercez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza71219432462z00,
		BGl_z62coercez121943z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2a2463za7,
		BGl_z62coercez12zd2atom1947za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2k2464za7,
		BGl_z62coercez12zd2kwote1949za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2465za7,
		BGl_z62coercez12zd2var1951za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2466za7,
		BGl_z62coercez12zd2closure1953za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2467za7,
		BGl_z62coercez12zd2sequence1955za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2468za7,
		BGl_z62coercez12zd2sync1957za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2e2469za7,
		BGl_z62coercez12zd2extern1959za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2w2470za7,
		BGl_z62coercez12zd2widening1961za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2g2471za7,
		BGl_z62coercez12zd2getfield1963za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2472za7,
		BGl_z62coercez12zd2setfield1965za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2n2473za7,
		BGl_z62coercez12zd2new1967za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2474za7,
		BGl_z62coercez12zd2valloc1969za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2475za7,
		BGl_z62coercez12zd2vref1971za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2476za7,
		BGl_z62coercez12zd2vsetz121973zb0zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2v2477za7,
		BGl_z62coercez12zd2vlength1975za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2478za7,
		BGl_z62coercez12zd2cast1977za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2479za7,
		BGl_z62coercez12zd2setq1980za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2c2480za7,
		BGl_z62coercez12zd2conditional1982za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2442z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2f2481za7,
		BGl_z62coercez12zd2fail1984za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2443z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2482za7,
		BGl_z62coercez12zd2select1986za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2483za7,
		BGl_z62coercez12zd2letzd2fun1988z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2l2484za7,
		BGl_z62coercez12zd2letzd2var1990z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2s2485za7,
		BGl_z62coercez12zd2setzd2exzd2it1992za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2447z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2j2486za7,
		BGl_z62coercez12zd2jumpzd2exzd2it1994za2zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2m2487za7,
		BGl_z62coercez12zd2makezd2box1996z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2488za7,
		BGl_z62coercez12zd2boxzd2ref1998z70zzcoerce_coercez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za7d2b2489za7,
		BGl_z62coercez12zd2boxzd2setz122000z62zzcoerce_coercez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_coercezd2functionz12zd2envz12zzcoerce_coercez00,
		BgL_bgl_za762coerceza7d2func2490z00,
		BGl_z62coercezd2functionz12za2zzcoerce_coercez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2421z00zzcoerce_coercez00,
		BgL_bgl_string2421za700za7za7c2491za7, "coerce!1943", 11);
	      DEFINE_STRING(BGl_string2422z00zzcoerce_coercez00,
		BgL_bgl_string2422za700za7za7c2492za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2424z00zzcoerce_coercez00,
		BgL_bgl_string2424za700za7za7c2493za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string2451z00zzcoerce_coercez00,
		BgL_bgl_string2451za700za7za7c2494za7, " gtype=", 7);
	      DEFINE_STRING(BGl_string2452z00zzcoerce_coercez00,
		BgL_bgl_string2452za700za7za7c2495za7, " ntype=", 7);
	      DEFINE_STRING(BGl_string2453z00zzcoerce_coercez00,
		BgL_bgl_string2453za700za7za7c2496za7, "let-fun to=", 11);
	      DEFINE_STRING(BGl_string2454z00zzcoerce_coercez00,
		BgL_bgl_string2454za700za7za7c2497za7, ":", 1);
	      DEFINE_STRING(BGl_string2455z00zzcoerce_coercez00,
		BgL_bgl_string2455za700za7za7c2498za7, ",", 1);
	      DEFINE_STRING(BGl_string2456z00zzcoerce_coercez00,
		BgL_bgl_string2456za700za7za7c2499za7, "Coerce/coerce.scm", 17);
	      DEFINE_STRING(BGl_string2457z00zzcoerce_coercez00,
		BgL_bgl_string2457za700za7za7c2500za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string2458z00zzcoerce_coercez00,
		BgL_bgl_string2458za700za7za7c2501za7, "coerce_coerce", 13);
	      DEFINE_STRING(BGl_string2459z00zzcoerce_coercez00,
		BgL_bgl_string2459za700za7za7c2502za7, "false true coerce!1943 ", 23);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_coercez12zd2envzc0zzcoerce_coercez00,
		BgL_bgl_za762coerceza712za770za72503z00,
		BGl_z62coercez12z70zzcoerce_coercez00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long
		BgL_checksumz00_3480, char *BgL_fromz00_3481)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_coercez00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_coercez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_cnstzd2initzd2zzcoerce_coercez00();
					BGl_importedzd2moduleszd2initz00zzcoerce_coercez00();
					BGl_genericzd2initzd2zzcoerce_coercez00();
					BGl_methodzd2initzd2zzcoerce_coercez00();
					BGl_toplevelzd2initzd2zzcoerce_coercez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"coerce_coerce");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_coerce");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			{	/* Coerce/coerce.scm 15 */
				obj_t BgL_cportz00_3468;

				BgL_cportz00_3468 =
					bgl_open_input_string(BGl_string2459z00zzcoerce_coercez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3469;

					BgL_iz00_3469 = ((long) 2);
				BgL_loopz00_3470:
					if ((BgL_iz00_3469 == ((long) -1)))
						{	/* Coerce/coerce.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/coerce.scm 15 */
							{	/* Coerce/coerce.scm 15 */
								obj_t BgL_arg2461z00_3472;

								{	/* Coerce/coerce.scm 15 */

									{	/* Coerce/coerce.scm 15 */
										obj_t BgL_locationz00_3474;

										BgL_locationz00_3474 = BBOOL(((bool_t) 0));
										{	/* Coerce/coerce.scm 15 */

											BgL_arg2461z00_3472 =
												BGl_readz00zz__readerz00(BgL_cportz00_3468,
												BgL_locationz00_3474);
										}
									}
								}
								{	/* Coerce/coerce.scm 15 */
									int BgL_auxz00_3506;

									BgL_auxz00_3506 = (int) (BgL_iz00_3469);
									CNST_TABLE_SET(BgL_auxz00_3506, BgL_arg2461z00_3472);
							}}
							{	/* Coerce/coerce.scm 15 */
								int BgL_auxz00_3475;

								BgL_auxz00_3475 = (int) ((BgL_iz00_3469 - ((long) 1)));
								{
									long BgL_iz00_3511;

									BgL_iz00_3511 = (long) (BgL_auxz00_3475);
									BgL_iz00_3469 = BgL_iz00_3511;
									goto BgL_loopz00_3470;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* coerce-function! */
	BGL_EXPORTED_DEF obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt
		BgL_variablez00_3, bool_t BgL_typezd2safezd2_4)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			BGl_enterzd2functionzd2zztools_errorz00(
				(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_idz00));
			{	/* Coerce/coerce.scm 48 */
				BgL_valuez00_bglt BgL_funz00_1544;

				BgL_funz00_1544 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_valuez00);
				{	/* Coerce/coerce.scm 48 */
					obj_t BgL_bodyz00_1545;

					BgL_bodyz00_1545 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1544)))->BgL_bodyz00);
					{	/* Coerce/coerce.scm 49 */
						BgL_typez00_bglt BgL_tresz00_1546;

						BgL_tresz00_1546 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->BgL_typez00);
						{	/* Coerce/coerce.scm 50 */
							obj_t BgL_cloz00_1547;

							BgL_cloz00_1547 =
								(((BgL_sfunz00_bglt) CREF(
										((BgL_sfunz00_bglt) BgL_funz00_1544)))->
								BgL_thezd2closurezd2globalz00);
							{	/* Coerce/coerce.scm 51 */
								bool_t BgL_typezd2safetyzd2enforcedz00_1548;

								{	/* Coerce/coerce.scm 52 */
									bool_t BgL_testz00_3521;

									if (CBOOL(BGl_za2unsafezd2evalza2zd2zzengine_paramz00))
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_3521 = ((bool_t) 0);
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_testz00_3521 = ((bool_t) 1);
										}
									if (BgL_testz00_3521)
										{	/* Coerce/coerce.scm 53 */
											bool_t BgL_testz00_3524;

											{	/* Coerce/coerce.scm 53 */
												bool_t BgL_res2362z00_2984;

												BgL_res2362z00_2984 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_variablez00_3),
													BGl_globalz00zzast_varz00);
												BgL_testz00_3524 = BgL_res2362z00_2984;
											}
											if (BgL_testz00_3524)
												{	/* Coerce/coerce.scm 53 */
													if (BGl_isazf3zf3zz__objectz00(BgL_cloz00_1547,
															BGl_globalz00zzast_varz00))
														{	/* Coerce/coerce.scm 54 */
															if (
																(((BgL_globalz00_bglt) CREF(
																			((BgL_globalz00_bglt) BgL_cloz00_1547)))->
																	BgL_evaluablezf3zf3))
																{	/* Coerce/coerce.scm 55 */
																	BgL_typezd2safetyzd2enforcedz00_1548 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_cloz00_1547))))->
																		BgL_userzf3zf3);
																}
															else
																{	/* Coerce/coerce.scm 55 */
																	BgL_typezd2safetyzd2enforcedz00_1548 =
																		((bool_t) 0);
																}
														}
													else
														{	/* Coerce/coerce.scm 54 */
															BgL_typezd2safetyzd2enforcedz00_1548 =
																((bool_t) 0);
														}
												}
											else
												{	/* Coerce/coerce.scm 53 */
													BgL_typezd2safetyzd2enforcedz00_1548 = ((bool_t) 0);
												}
										}
									else
										{	/* Coerce/coerce.scm 52 */
											BgL_typezd2safetyzd2enforcedz00_1548 = ((bool_t) 0);
										}
								}
								{	/* Coerce/coerce.scm 57 */

									{	/* Coerce/coerce.scm 58 */
										bool_t BgL_testz00_3535;

										{	/* Coerce/coerce.scm 58 */
											bool_t BgL_res2366z00_2994;

											BgL_res2366z00_2994 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_variablez00_3), BGl_globalz00zzast_varz00);
											BgL_testz00_3535 = BgL_res2366z00_2994;
										}
										if (BgL_testz00_3535)
											{	/* Coerce/coerce.scm 58 */
												BNIL;
											}
										else
											{	/* Coerce/coerce.scm 58 */
												BNIL;
											}
									}
									{	/* Coerce/coerce.scm 66 */
										obj_t BgL_notifyz00_1551;

										BgL_notifyz00_1551 =
											BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00;
										if ((((BgL_variablez00_bglt) CREF(BgL_variablez00_3))->
												BgL_userzf3zf3))
											{	/* Coerce/coerce.scm 69 */
												bool_t BgL_testz00_3540;

												{	/* Coerce/coerce.scm 69 */
													obj_t BgL_arg2007z00_1554;

													BgL_arg2007z00_1554 =
														(((BgL_sfunz00_bglt) CREF(
																((BgL_sfunz00_bglt) BgL_funz00_1544)))->
														BgL_thezd2closurezd2globalz00);
													BgL_testz00_3540 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2007z00_1554,
														BGl_globalz00zzast_varz00);
												}
												if (BgL_testz00_3540)
													{	/* Coerce/coerce.scm 69 */
														BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
															= BFALSE;
													}
												else
													{	/* Coerce/coerce.scm 69 */
														BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00
															= BTRUE;
													}
											}
										else
											{	/* Coerce/coerce.scm 68 */
												BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
													BFALSE;
											}
										BGl_pfunctionzd2protozd2zzcoerce_pprotoz00(((long) 3),
											BgL_variablez00_3);
										BGl_thezd2coercedzd2functionz00zzcoerce_coercez00 =
											((obj_t) BgL_variablez00_3);
										{	/* Coerce/coerce.scm 72 */
											BgL_nodez00_bglt BgL_arg2008z00_1555;

											{	/* Coerce/coerce.scm 72 */
												bool_t BgL_auxz00_3546;

												if (BgL_typezd2safezd2_4)
													{	/* Coerce/coerce.scm 57 */
														BgL_auxz00_3546 = BgL_typezd2safezd2_4;
													}
												else
													{	/* Coerce/coerce.scm 57 */
														BgL_auxz00_3546 =
															BgL_typezd2safetyzd2enforcedz00_1548;
													}
												BgL_arg2008z00_1555 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_bodyz00_1545),
													((obj_t) BgL_variablez00_3), BgL_tresz00_1546,
													BgL_auxz00_3546);
											}
											((((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_funz00_1544)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg2008z00_1555)), BUNSPEC);
										}
										BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
											BgL_notifyz00_1551;
									}
									return BGl_leavezd2functionzd2zztools_errorz00();
								}
							}
						}
					}
				}
			}
		}
	}



/* &coerce-function! */
	obj_t BGl_z62coercezd2functionz12za2zzcoerce_coercez00(obj_t BgL_envz00_3292,
		obj_t BgL_variablez00_3293, obj_t BgL_typezd2safezd2_3294)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 45 */
			return
				BGl_coercezd2functionz12zc0zzcoerce_coercez00(
				((BgL_variablez00_bglt) BgL_variablez00_3293),
				CBOOL(BgL_typezd2safezd2_3294));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_proc2420z00zzcoerce_coercez00, BGl_nodez00zzast_nodez00,
				BGl_string2421z00zzcoerce_coercez00);
		}
	}



/* &coerce!1943 */
	obj_t BGl_z62coercez121943z70zzcoerce_coercez00(obj_t BgL_envz00_3296,
		obj_t BgL_nodez00_3297, obj_t BgL_callerz00_3298, obj_t BgL_toz00_3299,
		obj_t BgL_safez00_3300)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string2422z00zzcoerce_coercez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3297)));
		}
	}



/* coerce! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt BgL_nodez00_5,
		obj_t BgL_callerz00_6, BgL_typez00_bglt BgL_toz00_7, bool_t BgL_safez00_8)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			{	/* Coerce/coerce.scm 79 */
				obj_t BgL_method1944z00_1568;

				{	/* Coerce/coerce.scm 79 */
					obj_t BgL_res2375z00_3033;

					{	/* Coerce/coerce.scm 79 */
						long BgL_objzd2classzd2numz00_3006;

						{	/* Coerce/coerce.scm 79 */
							long BgL_res2369z00_3009;

							BgL_res2369z00_3009 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_3006 = BgL_res2369z00_3009;
						}
						{	/* Coerce/coerce.scm 79 */
							obj_t BgL_arg1769z00_3007;

							BgL_arg1769z00_3007 =
								PROCEDURE_REF(BGl_coercez12zd2envzc0zzcoerce_coercez00,
								(int) (((long) 1)));
							{	/* Coerce/coerce.scm 79 */
								int BgL_offsetz00_3011;

								BgL_offsetz00_3011 = (int) (BgL_objzd2classzd2numz00_3006);
								{	/* Coerce/coerce.scm 79 */
									long BgL_offsetz00_3012;

									BgL_offsetz00_3012 =
										((long) (BgL_offsetz00_3011) - OBJECT_TYPE);
									{	/* Coerce/coerce.scm 79 */
										long BgL_modz00_3013;

										{	/* Coerce/coerce.scm 79 */
											int BgL_arg1771z00_3014;

											BgL_arg1771z00_3014 = (int) (((long) 16));
											{	/* Coerce/coerce.scm 79 */
												long BgL_res2372z00_3024;

												{	/* Coerce/coerce.scm 79 */
													long BgL_auxz00_3571;

													BgL_auxz00_3571 = (long) (BgL_arg1771z00_3014);
													BgL_res2372z00_3024 =
														(BgL_offsetz00_3012 / BgL_auxz00_3571);
												}
												BgL_modz00_3013 = BgL_res2372z00_3024;
										}}
										{	/* Coerce/coerce.scm 79 */
											long BgL_restz00_3015;

											{	/* Coerce/coerce.scm 79 */
												int BgL_arg1770z00_3016;

												BgL_arg1770z00_3016 = (int) (((long) 16));
												{	/* Coerce/coerce.scm 79 */
													long BgL_res2374z00_3028;

													{	/* Coerce/coerce.scm 79 */
														long BgL_auxz00_3575;

														BgL_auxz00_3575 = (long) (BgL_arg1770z00_3016);
														BgL_res2374z00_3028 =
															(BgL_offsetz00_3012 % BgL_auxz00_3575);
													}
													BgL_restz00_3015 = BgL_res2374z00_3028;
											}}
											{	/* Coerce/coerce.scm 79 */

												BgL_res2375z00_3033 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_3007,
														(int) (BgL_modz00_3013)), (int) (BgL_restz00_3015));
					}}}}}}}
					BgL_method1944z00_1568 = BgL_res2375z00_3033;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1944z00_1568) (BgL_method1944z00_1568,
						((obj_t) BgL_nodez00_5), BgL_callerz00_6,
						((obj_t) BgL_toz00_7), BBOOL(BgL_safez00_8), BEOA));
			}
		}
	}



/* &coerce! */
	BgL_nodez00_bglt BGl_z62coercez12z70zzcoerce_coercez00(obj_t BgL_envz00_3301,
		obj_t BgL_nodez00_3302, obj_t BgL_callerz00_3303, obj_t BgL_toz00_3304,
		obj_t BgL_safez00_3305)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 79 */
			return
				BGl_coercez12z12zzcoerce_coercez00(
				((BgL_nodez00_bglt) BgL_nodez00_3302), BgL_callerz00_3303,
				((BgL_typez00_bglt) BgL_toz00_3304), CBOOL(BgL_safez00_3305));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_atomz00zzast_nodez00,
				BGl_proc2423z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2425z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_varz00zzast_nodez00,
				BGl_proc2426z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_closurez00zzast_nodez00,
				BGl_proc2427z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2428z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_syncz00zzast_nodez00,
				BGl_proc2429z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_externz00zzast_nodez00,
				BGl_proc2430z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_wideningz00zzast_nodez00,
				BGl_proc2431z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_getfieldz00zzast_nodez00,
				BGl_proc2432z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setfieldz00zzast_nodez00,
				BGl_proc2433z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_newz00zzast_nodez00,
				BGl_proc2434z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vallocz00zzast_nodez00,
				BGl_proc2435z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2436z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2437z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2438z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_castz00zzast_nodez00,
				BGl_proc2439z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_setqz00zzast_nodez00,
				BGl_proc2440z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2441z00zzcoerce_coercez00,
				BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_failz00zzast_nodez00,
				BGl_proc2442z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_selectz00zzast_nodez00,
				BGl_proc2443z00zzcoerce_coercez00, BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2444z00zzcoerce_coercez00,
				BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2445z00zzcoerce_coercez00,
				BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2446z00zzcoerce_coercez00,
				BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2447z00zzcoerce_coercez00,
				BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2448z00zzcoerce_coercez00,
				BGl_string2424z00zzcoerce_coercez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2449z00zzcoerce_coercez00,
				BGl_string2424z00zzcoerce_coercez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2450z00zzcoerce_coercez00,
				BGl_string2424z00zzcoerce_coercez00);
		}
	}



/* &coerce!-box-set!2000 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2boxzd2setz122000z62zzcoerce_coercez00(obj_t
		BgL_envz00_3333, obj_t BgL_nodez00_3334, obj_t BgL_callerz00_3335,
		obj_t BgL_toz00_3336, obj_t BgL_safez00_3337)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 504 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2111;
				obj_t BgL_callerz00_2112;
				obj_t BgL_toz00_2113;
				obj_t BgL_safez00_2114;

				BgL_nodez00_2111 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3334);
				BgL_callerz00_2112 = BgL_callerz00_3335;
				BgL_toz00_2113 = BgL_toz00_3336;
				BgL_safez00_2114 = BgL_safez00_3337;
				{
					BgL_nodez00_bglt BgL_auxz00_3624;

					{	/* Coerce/coerce.scm 506 */
						BgL_nodez00_bglt BgL_arg2298z00_3272;
						BgL_typez00_bglt BgL_arg2299z00_3273;

						BgL_arg2298z00_3272 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2111))->
							BgL_valuez00);
						BgL_arg2299z00_3273 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2111))->
							BgL_vtypez00);
						BgL_auxz00_3624 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2298z00_3272,
							BgL_callerz00_2112, BgL_arg2299z00_3273, CBOOL(BgL_safez00_2114));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2111))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3624), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 507 */
					BgL_typez00_bglt BgL_arg2300z00_3274;

					BgL_arg2300z00_3274 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_2111)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_2111), BgL_arg2300z00_3274,
						((BgL_typez00_bglt) BgL_toz00_2113), CBOOL(BgL_safez00_2114));
				}
			}
		}
	}



/* &coerce!-box-ref1998 */
	BgL_nodez00_bglt BGl_z62coercez12zd2boxzd2ref1998z70zzcoerce_coercez00(obj_t
		BgL_envz00_3338, obj_t BgL_nodez00_3339, obj_t BgL_callerz00_3340,
		obj_t BgL_toz00_3341, obj_t BgL_safez00_3342)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 497 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2102;
				obj_t BgL_callerz00_2103;
				obj_t BgL_toz00_2104;
				obj_t BgL_safez00_2105;

				BgL_nodez00_2102 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3339);
				BgL_callerz00_2103 = BgL_callerz00_3340;
				BgL_toz00_2104 = BgL_toz00_3341;
				BgL_safez00_2105 = BgL_safez00_3342;
				{	/* Coerce/coerce.scm 499 */
					BgL_typez00_bglt BgL_arg2296z00_3270;

					BgL_arg2296z00_3270 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2102))->BgL_vtypez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_2102), BgL_arg2296z00_3270,
						((BgL_typez00_bglt) BgL_toz00_2104), CBOOL(BgL_safez00_2105));
				}
			}
		}
	}



/* &coerce!-make-box1996 */
	BgL_nodez00_bglt BGl_z62coercez12zd2makezd2box1996z70zzcoerce_coercez00(obj_t
		BgL_envz00_3343, obj_t BgL_nodez00_3344, obj_t BgL_callerz00_3345,
		obj_t BgL_toz00_3346, obj_t BgL_safez00_3347)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 489 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2092;
				obj_t BgL_callerz00_2093;
				obj_t BgL_toz00_2094;
				obj_t BgL_safez00_2095;

				BgL_nodez00_2092 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3344);
				BgL_callerz00_2093 = BgL_callerz00_3345;
				BgL_toz00_2094 = BgL_toz00_3346;
				BgL_safez00_2095 = BgL_safez00_3347;
				{
					BgL_nodez00_bglt BgL_auxz00_3643;

					{	/* Coerce/coerce.scm 491 */
						BgL_nodez00_bglt BgL_arg2294z00_3267;
						BgL_typez00_bglt BgL_arg2295z00_3268;

						BgL_arg2294z00_3267 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2092))->BgL_valuez00);
						BgL_arg2295z00_3268 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2092))->BgL_vtypez00);
						BgL_auxz00_3643 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2294z00_3267,
							BgL_callerz00_2093, BgL_arg2295z00_3268, CBOOL(BgL_safez00_2095));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2092))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3643), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2092);
			}
		}
	}



/* &coerce!-jump-ex-it1994 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2jumpzd2exzd2it1994za2zzcoerce_coercez00(obj_t
		BgL_envz00_3348, obj_t BgL_nodez00_3349, obj_t BgL_callerz00_3350,
		obj_t BgL_toz00_3351, obj_t BgL_safez00_3352)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 480 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2079;
				obj_t BgL_callerz00_2080;
				obj_t BgL_toz00_2081;
				obj_t BgL_safez00_2082;

				BgL_nodez00_2079 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3349);
				BgL_callerz00_2080 = BgL_callerz00_3350;
				BgL_toz00_2081 = BgL_toz00_3351;
				BgL_safez00_2082 = BgL_safez00_3352;
				{
					BgL_nodez00_bglt BgL_auxz00_3651;

					{	/* Coerce/coerce.scm 482 */
						BgL_nodez00_bglt BgL_arg2289z00_2086;

						BgL_arg2289z00_2086 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2079))->
							BgL_exitz00);
						BgL_auxz00_3651 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2289z00_2086,
							BgL_callerz00_2080,
							((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
							CBOOL(BgL_safez00_2082));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2079))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3651), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3657;

					{	/* Coerce/coerce.scm 483 */
						BgL_nodez00_bglt BgL_arg2290z00_2087;
						BgL_typez00_bglt BgL_arg2291z00_2088;

						BgL_arg2290z00_2087 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2079))->
							BgL_valuez00);
						{	/* Coerce/coerce.scm 483 */
							BgL_nodez00_bglt BgL_arg2292z00_2089;

							BgL_arg2292z00_2089 =
								(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2079))->
								BgL_valuez00);
							BgL_arg2291z00_2088 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg2292z00_2089);
						}
						BgL_auxz00_3657 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2290z00_2087,
							BgL_callerz00_2080, BgL_arg2291z00_2088, CBOOL(BgL_safez00_2082));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2079))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3657), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 484 */
					BgL_typez00_bglt BgL_arg2293z00_2090;

					BgL_arg2293z00_2090 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_2079)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_2079), BgL_arg2293z00_2090,
						((BgL_typez00_bglt) BgL_toz00_2081), CBOOL(BgL_safez00_2082));
				}
			}
		}
	}



/* &coerce!-set-ex-it1992 */
	BgL_nodez00_bglt
		BGl_z62coercez12zd2setzd2exzd2it1992za2zzcoerce_coercez00(obj_t
		BgL_envz00_3353, obj_t BgL_nodez00_3354, obj_t BgL_callerz00_3355,
		obj_t BgL_toz00_3356, obj_t BgL_safez00_3357)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 470 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2067;
				obj_t BgL_callerz00_2068;
				obj_t BgL_toz00_2069;
				obj_t BgL_safez00_2070;

				BgL_nodez00_2067 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3354);
				BgL_callerz00_2068 = BgL_callerz00_3355;
				BgL_toz00_2069 = BgL_toz00_3356;
				BgL_safez00_2070 = BgL_safez00_3357;
				{
					BgL_varz00_bglt BgL_auxz00_3671;

					{	/* Coerce/coerce.scm 472 */
						BgL_varz00_bglt BgL_arg2285z00_2074;

						BgL_arg2285z00_2074 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->
							BgL_varz00);
						BgL_auxz00_3671 =
							((BgL_varz00_bglt)
							BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
									BgL_arg2285z00_2074), BgL_callerz00_2068,
								((BgL_typez00_bglt) BGl_za2exitza2z00zztype_cachez00),
								CBOOL(BgL_safez00_2070)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3671), BUNSPEC);
				}
				BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
					(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->
									BgL_varz00)))->BgL_variablez00));
				{
					BgL_nodez00_bglt BgL_auxz00_3682;

					{	/* Coerce/coerce.scm 474 */
						BgL_nodez00_bglt BgL_arg2288z00_2077;

						BgL_arg2288z00_2077 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->
							BgL_bodyz00);
						BgL_auxz00_3682 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2288z00_2077,
							BgL_callerz00_2068, ((BgL_typez00_bglt) BgL_toz00_2069),
							CBOOL(BgL_safez00_2070));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2067))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3682), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_2067);
			}
		}
	}



/* &coerce!-let-var1990 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2var1990z70zzcoerce_coercez00(obj_t
		BgL_envz00_3358, obj_t BgL_nodez00_3359, obj_t BgL_callerz00_3360,
		obj_t BgL_toz00_3361, obj_t BgL_safez00_3362)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 450 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2042;
				obj_t BgL_callerz00_2043;
				obj_t BgL_toz00_2044;
				obj_t BgL_safez00_2045;

				BgL_nodez00_2042 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3359);
				BgL_callerz00_2043 = BgL_callerz00_3360;
				BgL_toz00_2044 = BgL_toz00_3361;
				BgL_safez00_2045 = BgL_safez00_3362;
				BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
				{	/* Coerce/coerce.scm 455 */
					obj_t BgL_g1942z00_2049;

					BgL_g1942z00_2049 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2042))->BgL_bindingsz00);
					{
						obj_t BgL_l1940z00_2051;

						BgL_l1940z00_2051 = BgL_g1942z00_2049;
					BgL_zc3anonymousza32273ze3z83_2052:
						if (PAIRP(BgL_l1940z00_2051))
							{	/* Coerce/coerce.scm 455 */
								{	/* Coerce/coerce.scm 456 */
									obj_t BgL_bindingz00_2054;

									BgL_bindingz00_2054 = CAR(BgL_l1940z00_2051);
									{	/* Coerce/coerce.scm 456 */
										obj_t BgL_arg2275z00_2055;

										BgL_arg2275z00_2055 = CAR(BgL_bindingz00_2054);
										BGl_pvariablezd2protozd2zzcoerce_pprotoz00(((long) 3),
											((BgL_variablez00_bglt) BgL_arg2275z00_2055));
									}
									{	/* Coerce/coerce.scm 457 */
										BgL_nodez00_bglt BgL_arg2276z00_2056;

										{	/* Coerce/coerce.scm 457 */
											obj_t BgL_arg2277z00_2057;
											BgL_typez00_bglt BgL_arg2278z00_2058;

											BgL_arg2277z00_2057 = CDR(BgL_bindingz00_2054);
											BgL_arg2278z00_2058 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(BgL_bindingz00_2054)))))->BgL_typez00);
											BgL_arg2276z00_2056 =
												BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg2277z00_2057),
												BgL_callerz00_2043, BgL_arg2278z00_2058,
												CBOOL(BgL_safez00_2045));
										}
										{	/* Coerce/coerce.scm 457 */
											obj_t BgL_auxz00_3706;

											BgL_auxz00_3706 = ((obj_t) BgL_arg2276z00_2056);
											SET_CDR(BgL_bindingz00_2054, BgL_auxz00_3706);
								}}}
								{
									obj_t BgL_l1940z00_3709;

									BgL_l1940z00_3709 = CDR(BgL_l1940z00_2051);
									BgL_l1940z00_2051 = BgL_l1940z00_3709;
									goto BgL_zc3anonymousza32273ze3z83_2052;
								}
							}
						else
							{	/* Coerce/coerce.scm 455 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3711;

					{	/* Coerce/coerce.scm 462 */
						BgL_nodez00_bglt BgL_arg2281z00_2062;

						BgL_arg2281z00_2062 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2042))->BgL_bodyz00);
						BgL_auxz00_3711 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2281z00_2062,
							BgL_callerz00_2043, ((BgL_typez00_bglt) BgL_toz00_2044),
							CBOOL(BgL_safez00_2045));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2042))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3711), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3717;

					{	/* Coerce/coerce.scm 463 */
						BgL_typez00_bglt BgL_arg2282z00_2063;
						BgL_typez00_bglt BgL_arg2283z00_2064;

						BgL_arg2282z00_2063 =
							(((BgL_nodez00_bglt) CREF(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2042))->
										BgL_bodyz00)))->BgL_typez00);
						BgL_arg2283z00_2064 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_2042)))->BgL_typez00);
						BgL_auxz00_3717 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2282z00_2063,
							BgL_arg2283z00_2064);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2042)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3717), BUNSPEC);
				}
				BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
				return ((BgL_nodez00_bglt) BgL_nodez00_2042);
			}
		}
	}



/* &coerce!-let-fun1988 */
	BgL_nodez00_bglt BGl_z62coercez12zd2letzd2fun1988z70zzcoerce_coercez00(obj_t
		BgL_envz00_3363, obj_t BgL_nodez00_3364, obj_t BgL_callerz00_3365,
		obj_t BgL_toz00_3366, obj_t BgL_safez00_3367)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 435 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1998;
				obj_t BgL_callerz00_1999;
				obj_t BgL_toz00_2000;
				obj_t BgL_safez00_2001;

				BgL_nodez00_1998 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3364);
				BgL_callerz00_1999 = BgL_callerz00_3365;
				BgL_toz00_2000 = BgL_toz00_3366;
				BgL_safez00_2001 = BgL_safez00_3367;
				BGl_inczd2ppmargez12zc0zzcoerce_pprotoz00();
				{	/* Coerce/coerce.scm 438 */
					obj_t BgL_g1939z00_2005;

					BgL_g1939z00_2005 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1998))->BgL_localsz00);
					{
						obj_t BgL_l1937z00_2007;

						BgL_l1937z00_2007 = BgL_g1939z00_2005;
					BgL_zc3anonymousza32239ze3z83_2008:
						if (PAIRP(BgL_l1937z00_2007))
							{	/* Coerce/coerce.scm 438 */
								{	/* Coerce/coerce.scm 438 */
									obj_t BgL_fz00_2010;

									BgL_fz00_2010 = CAR(BgL_l1937z00_2007);
									{	/* Coerce/coerce.scm 438 */
										bool_t BgL_arg2241z00_2011;

										if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
											{	/* Coerce/coerce.scm 438 */
												BgL_arg2241z00_2011 = ((bool_t) 0);
											}
										else
											{	/* Coerce/coerce.scm 438 */
												BgL_arg2241z00_2011 = ((bool_t) 1);
											}
										BGl_coercezd2functionz12zc0zzcoerce_coercez00(
											((BgL_variablez00_bglt) BgL_fz00_2010),
											BgL_arg2241z00_2011);
									}
								}
								{
									obj_t BgL_l1937z00_3737;

									BgL_l1937z00_3737 = CDR(BgL_l1937z00_2007);
									BgL_l1937z00_2007 = BgL_l1937z00_3737;
									goto BgL_zc3anonymousza32239ze3z83_2008;
								}
							}
						else
							{	/* Coerce/coerce.scm 438 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3739;

					{	/* Coerce/coerce.scm 439 */
						BgL_nodez00_bglt BgL_arg2244z00_2014;

						BgL_arg2244z00_2014 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1998))->BgL_bodyz00);
						BgL_auxz00_3739 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2244z00_2014,
							BgL_callerz00_1999, ((BgL_typez00_bglt) BgL_toz00_2000),
							CBOOL(BgL_safez00_2001));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1998))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3739), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 440 */
					bool_t BgL_testz00_3745;

					{	/* Coerce/coerce.scm 440 */
						BgL_typez00_bglt BgL_arg2266z00_2034;
						BgL_typez00_bglt BgL_arg2267z00_2035;

						BgL_arg2266z00_2034 =
							(((BgL_nodez00_bglt) CREF(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1998))->
										BgL_bodyz00)))->BgL_typez00);
						BgL_arg2267z00_2035 =
							BGl_getzd2typezd2zztype_typeofz00((((BgL_letzd2funzd2_bglt)
									CREF(BgL_nodez00_1998))->BgL_bodyz00));
						BgL_testz00_3745 =
							(((obj_t) BgL_arg2266z00_2034) == ((obj_t) BgL_arg2267z00_2035));
					}
					if (BgL_testz00_3745)
						{	/* Coerce/coerce.scm 440 */
							BFALSE;
						}
					else
						{	/* Coerce/coerce.scm 441 */
							obj_t BgL_arg2247z00_2016;
							obj_t BgL_arg2248z00_2017;
							obj_t BgL_arg2249z00_2018;
							obj_t BgL_arg2250z00_2019;

							{	/* Coerce/coerce.scm 441 */
								obj_t BgL_res2413z00_3241;

								{	/* Coerce/coerce.scm 441 */
									obj_t BgL_auxz00_3753;

									BgL_auxz00_3753 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2413z00_3241 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3753);
								}
								BgL_arg2247z00_2016 = BgL_res2413z00_3241;
							}
							BgL_arg2248z00_2017 =
								BGl_shapez00zztools_shapez00(BgL_toz00_2000);
							{	/* Coerce/coerce.scm 441 */
								BgL_typez00_bglt BgL_arg2262z00_2030;

								BgL_arg2262z00_2030 =
									(((BgL_nodez00_bglt) CREF(
											(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1998))->
												BgL_bodyz00)))->BgL_typez00);
								BgL_arg2249z00_2018 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2262z00_2030));
							}
							{	/* Coerce/coerce.scm 442 */
								BgL_typez00_bglt BgL_arg2264z00_2032;

								BgL_arg2264z00_2032 =
									BGl_getzd2typezd2zztype_typeofz00(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1998))->
										BgL_bodyz00));
								BgL_arg2250z00_2019 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2264z00_2032));
							}
							{	/* Coerce/coerce.scm 441 */
								obj_t BgL_list2251z00_2020;

								{	/* Coerce/coerce.scm 441 */
									obj_t BgL_arg2252z00_2021;

									{	/* Coerce/coerce.scm 441 */
										obj_t BgL_arg2253z00_2022;

										{	/* Coerce/coerce.scm 441 */
											obj_t BgL_arg2254z00_2023;

											{	/* Coerce/coerce.scm 441 */
												obj_t BgL_arg2255z00_2024;

												{	/* Coerce/coerce.scm 441 */
													obj_t BgL_arg2256z00_2025;

													{	/* Coerce/coerce.scm 441 */
														obj_t BgL_arg2257z00_2026;

														{	/* Coerce/coerce.scm 441 */
															obj_t BgL_arg2259z00_2027;

															{	/* Coerce/coerce.scm 441 */
																obj_t BgL_arg2260z00_2028;

																{	/* Coerce/coerce.scm 441 */
																	obj_t BgL_arg2261z00_2029;

																	BgL_arg2261z00_2029 =
																		MAKE_PAIR(BgL_arg2250z00_2019, BNIL);
																	BgL_arg2260z00_2028 =
																		MAKE_PAIR
																		(BGl_string2451z00zzcoerce_coercez00,
																		BgL_arg2261z00_2029);
																}
																BgL_arg2259z00_2027 =
																	MAKE_PAIR(BgL_arg2249z00_2018,
																	BgL_arg2260z00_2028);
															}
															BgL_arg2257z00_2026 =
																MAKE_PAIR(BGl_string2452z00zzcoerce_coercez00,
																BgL_arg2259z00_2027);
														}
														BgL_arg2256z00_2025 =
															MAKE_PAIR(BgL_arg2248z00_2017,
															BgL_arg2257z00_2026);
													}
													BgL_arg2255z00_2024 =
														MAKE_PAIR(BGl_string2453z00zzcoerce_coercez00,
														BgL_arg2256z00_2025);
												}
												BgL_arg2254z00_2023 =
													MAKE_PAIR(BGl_string2454z00zzcoerce_coercez00,
													BgL_arg2255z00_2024);
											}
											BgL_arg2253z00_2022 =
												MAKE_PAIR(BINT(((long) 441)), BgL_arg2254z00_2023);
										}
										BgL_arg2252z00_2021 =
											MAKE_PAIR(BGl_string2455z00zzcoerce_coercez00,
											BgL_arg2253z00_2022);
									}
									BgL_list2251z00_2020 =
										MAKE_PAIR(BGl_string2456z00zzcoerce_coercez00,
										BgL_arg2252z00_2021);
								}
								BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg2247z00_2016,
									BgL_list2251z00_2020);
				}}}
				{
					BgL_typez00_bglt BgL_auxz00_3777;

					{	/* Coerce/coerce.scm 443 */
						BgL_typez00_bglt BgL_arg2270z00_2038;
						BgL_typez00_bglt BgL_arg2271z00_2039;

						BgL_arg2270z00_2038 =
							(((BgL_nodez00_bglt) CREF(
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1998))->
										BgL_bodyz00)))->BgL_typez00);
						BgL_arg2271z00_2039 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_1998)))->BgL_typez00);
						BgL_auxz00_3777 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2270z00_2038,
							BgL_arg2271z00_2039);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1998)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3777), BUNSPEC);
				}
				BGl_deczd2ppmargez12zc0zzcoerce_pprotoz00();
				return ((BgL_nodez00_bglt) BgL_nodez00_1998);
			}
		}
	}



/* &coerce!-select1986 */
	BgL_nodez00_bglt BGl_z62coercez12zd2select1986za2zzcoerce_coercez00(obj_t
		BgL_envz00_3368, obj_t BgL_nodez00_3369, obj_t BgL_callerz00_3370,
		obj_t BgL_toz00_3371, obj_t BgL_safez00_3372)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 408 */
			{
				BgL_selectz00_bglt BgL_nodez00_1970;
				obj_t BgL_callerz00_1971;
				obj_t BgL_toz00_1972;
				obj_t BgL_safez00_1973;

				BgL_nodez00_1970 = ((BgL_selectz00_bglt) BgL_nodez00_3369);
				BgL_callerz00_1971 = BgL_callerz00_3370;
				BgL_toz00_1972 = BgL_toz00_3371;
				BgL_safez00_1973 = BgL_safez00_3372;
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1970)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_1972)), BUNSPEC);
				{	/* Coerce/coerce.scm 411 */
					obj_t BgL_clausesz00_1977;
					BgL_typez00_bglt BgL_testzd2typezd2_1978;
					BgL_typez00_bglt BgL_testzd2nodezd2typez00_1979;

					BgL_clausesz00_1977 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1970))->BgL_clausesz00);
					BgL_testzd2typezd2_1978 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1970))->BgL_itemzd2typezd2);
					BgL_testzd2nodezd2typez00_1979 =
						BGl_getzd2typezd2zztype_typeofz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1970))->BgL_testz00));
					if (BGl_coercerzd2existszf3z21zztype_coercionz00
						(BgL_testzd2nodezd2typez00_1979, BgL_testzd2typezd2_1978))
						{	/* Coerce/coerce.scm 421 */
							((((BgL_selectz00_bglt) CREF(BgL_nodez00_1970))->BgL_testz00) =
								((BgL_nodez00_bglt)
									BGl_coercez12z12zzcoerce_coercez00((((BgL_selectz00_bglt)
												CREF(BgL_nodez00_1970))->BgL_testz00),
										BgL_callerz00_1971, BgL_testzd2typezd2_1978,
										CBOOL(BgL_safez00_1973))), BUNSPEC);
							{
								obj_t BgL_l1935z00_1984;

								BgL_l1935z00_1984 = BgL_clausesz00_1977;
							BgL_zc3anonymousza32228ze3z83_1985:
								if (PAIRP(BgL_l1935z00_1984))
									{	/* Coerce/coerce.scm 424 */
										{	/* Coerce/coerce.scm 425 */
											obj_t BgL_clausez00_1987;

											BgL_clausez00_1987 = CAR(BgL_l1935z00_1984);
											{	/* Coerce/coerce.scm 426 */
												BgL_nodez00_bglt BgL_arg2230z00_1988;

												{	/* Coerce/coerce.scm 426 */
													obj_t BgL_arg2232z00_1989;

													BgL_arg2232z00_1989 = CDR(BgL_clausez00_1987);
													BgL_arg2230z00_1988 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_arg2232z00_1989),
														BgL_callerz00_1971,
														((BgL_typez00_bglt) BgL_toz00_1972),
														CBOOL(BgL_safez00_1973));
												}
												{	/* Coerce/coerce.scm 425 */
													obj_t BgL_auxz00_3809;

													BgL_auxz00_3809 = ((obj_t) BgL_arg2230z00_1988);
													SET_CDR(BgL_clausez00_1987, BgL_auxz00_3809);
												}
											}
										}
										{
											obj_t BgL_l1935z00_3812;

											BgL_l1935z00_3812 = CDR(BgL_l1935z00_1984);
											BgL_l1935z00_1984 = BgL_l1935z00_3812;
											goto BgL_zc3anonymousza32228ze3z83_1985;
										}
									}
								else
									{	/* Coerce/coerce.scm 424 */
										((bool_t) 1);
									}
							}
							return ((BgL_nodez00_bglt) BgL_nodez00_1970);
						}
					else
						{	/* Coerce/coerce.scm 429 */
							obj_t BgL_arg2234z00_1992;

							{	/* Coerce/coerce.scm 429 */
								obj_t BgL_arg2235z00_1993;
								obj_t BgL_arg2236z00_1994;
								BgL_nodez00_bglt BgL_arg2237z00_1995;

								BgL_arg2235z00_1993 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1970)))->BgL_locz00);
								BgL_arg2236z00_1994 =
									(((BgL_typez00_bglt) CREF(BgL_testzd2typezd2_1978))->
									BgL_idz00);
								BgL_arg2237z00_1995 =
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1970))->BgL_testz00);
								BgL_arg2234z00_1992 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_arg2235z00_1993, BgL_arg2236z00_1994,
									BgL_arg2237z00_1995);
							}
							return
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2234z00_1992), BgL_callerz00_1971,
								((BgL_typez00_bglt) BgL_toz00_1972), CBOOL(BgL_safez00_1973));
						}
				}
			}
		}
	}



/* &coerce!-fail1984 */
	BgL_nodez00_bglt BGl_z62coercez12zd2fail1984za2zzcoerce_coercez00(obj_t
		BgL_envz00_3373, obj_t BgL_nodez00_3374, obj_t BgL_callerz00_3375,
		obj_t BgL_toz00_3376, obj_t BgL_safez00_3377)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 398 */
			{
				BgL_failz00_bglt BgL_nodez00_1959;
				obj_t BgL_callerz00_1960;
				obj_t BgL_toz00_1961;
				obj_t BgL_safez00_1962;

				BgL_nodez00_1959 = ((BgL_failz00_bglt) BgL_nodez00_3374);
				BgL_callerz00_1960 = BgL_callerz00_3375;
				BgL_toz00_1961 = BgL_toz00_3376;
				BgL_safez00_1962 = BgL_safez00_3377;
				{
					BgL_nodez00_bglt BgL_auxz00_3825;

					{	/* Coerce/coerce.scm 400 */
						BgL_nodez00_bglt BgL_arg2222z00_1966;

						BgL_arg2222z00_1966 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1959))->BgL_procz00);
						BgL_auxz00_3825 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2222z00_1966,
							BgL_callerz00_1960,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1962));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1959))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3825), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3831;

					{	/* Coerce/coerce.scm 401 */
						BgL_nodez00_bglt BgL_arg2223z00_1967;

						BgL_arg2223z00_1967 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1959))->BgL_msgz00);
						BgL_auxz00_3831 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2223z00_1967,
							BgL_callerz00_1960,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1962));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1959))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3831), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3837;

					{	/* Coerce/coerce.scm 402 */
						BgL_nodez00_bglt BgL_arg2224z00_1968;

						BgL_arg2224z00_1968 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1959))->BgL_objz00);
						BgL_auxz00_3837 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2224z00_1968,
							BgL_callerz00_1960,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1962));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1959))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3837), BUNSPEC);
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1959),
					((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1961), CBOOL(BgL_safez00_1962));
			}
		}
	}



/* &coerce!-conditional1982 */
	BgL_nodez00_bglt BGl_z62coercez12zd2conditional1982za2zzcoerce_coercez00(obj_t
		BgL_envz00_3378, obj_t BgL_nodez00_3379, obj_t BgL_callerz00_3380,
		obj_t BgL_toz00_3381, obj_t BgL_safez00_3382)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 287 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1831;
				obj_t BgL_callerz00_1832;
				obj_t BgL_toz00_1833;
				obj_t BgL_safez00_1834;

				BgL_nodez00_1831 = ((BgL_conditionalz00_bglt) BgL_nodez00_3379);
				BgL_callerz00_1832 = BgL_callerz00_3380;
				BgL_toz00_1833 = BgL_toz00_3381;
				BgL_safez00_1834 = BgL_safez00_3382;
				{
					BgL_appz00_bglt BgL_nodez00_1937;

					{
						BgL_letzd2varzd2_bglt BgL_nodez00_1851;
						obj_t BgL_nodez00_1904;
						obj_t BgL_typecz00_1905;
						obj_t BgL_nodez00_1927;

						{
							BgL_nodez00_bglt BgL_auxz00_3849;

							{	/* Coerce/coerce.scm 383 */
								BgL_nodez00_bglt BgL_arg2127z00_1842;

								BgL_arg2127z00_1842 =
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1831))->
									BgL_testz00);
								BgL_auxz00_3849 =
									BGl_coercez12z12zzcoerce_coercez00(BgL_arg2127z00_1842,
									BgL_callerz00_1832,
									((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00),
									CBOOL(BgL_safez00_1834));
							}
							((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1831))->
									BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_3849), BUNSPEC);
						}
						{	/* Coerce/coerce.scm 384 */
							obj_t BgL_casezd2valuezd2_1843;

							{	/* Coerce/coerce.scm 384 */
								BgL_nodez00_bglt BgL_arg2136z00_1850;

								BgL_arg2136z00_1850 =
									(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1831))->
									BgL_testz00);
								BgL_nodez00_1927 = ((obj_t) BgL_arg2136z00_1850);
							BgL_zc3anonymousza32204ze3z83_1928:
								{	/* Coerce/coerce.scm 372 */
									obj_t BgL_g1130z00_1929;

									BgL_g1130z00_1929 =
										BGl_isazd2ofzd2zztype_miscz00(
										((BgL_nodez00_bglt) BgL_nodez00_1927));
									if (CBOOL(BgL_g1130z00_1929))
										{	/* Coerce/coerce.scm 372 */
											BgL_nodez00_1904 = BgL_nodez00_1927;
											BgL_typecz00_1905 = BgL_g1130z00_1929;
											{	/* Coerce/coerce.scm 354 */
												obj_t BgL_typevz00_1908;

												{	/* Coerce/coerce.scm 355 */
													bool_t BgL_testz00_3860;

													{	/* Coerce/coerce.scm 355 */
														obj_t BgL_arg2202z00_1925;

														{	/* Coerce/coerce.scm 355 */
															obj_t BgL_pairz00_3195;

															BgL_pairz00_3195 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_nodez00_1904)))->
																BgL_argsz00);
															BgL_arg2202z00_1925 = CAR(BgL_pairz00_3195);
														}
														BgL_testz00_3860 =
															BGl_isazf3zf3zz__objectz00(BgL_arg2202z00_1925,
															BGl_varz00zzast_nodez00);
													}
													if (BgL_testz00_3860)
														{	/* Coerce/coerce.scm 356 */
															obj_t BgL_arg2191z00_1913;

															{	/* Coerce/coerce.scm 356 */
																obj_t BgL_pairz00_3198;

																BgL_pairz00_3198 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_nodez00_1904)))->
																	BgL_argsz00);
																BgL_arg2191z00_1913 = CAR(BgL_pairz00_3198);
															}
															BgL_typevz00_1908 =
																((obj_t)
																BGl_getzd2typezd2zztype_typeofz00(
																	((BgL_nodez00_bglt) BgL_arg2191z00_1913)));
														}
													else
														{	/* Coerce/coerce.scm 357 */
															bool_t BgL_testz00_3871;

															{	/* Coerce/coerce.scm 357 */
																obj_t BgL_arg2200z00_1923;

																{	/* Coerce/coerce.scm 357 */
																	obj_t BgL_pairz00_3199;

																	BgL_pairz00_3199 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt) BgL_nodez00_1904)))->
																		BgL_argsz00);
																	BgL_arg2200z00_1923 = CAR(BgL_pairz00_3199);
																}
																BgL_testz00_3871 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2200z00_1923,
																	BGl_castz00zzast_nodez00);
															}
															if (BgL_testz00_3871)
																{	/* Coerce/coerce.scm 358 */
																	BgL_castz00_bglt BgL_i1129z00_1916;

																	{	/* Coerce/coerce.scm 358 */
																		obj_t BgL_pairz00_3202;

																		BgL_pairz00_3202 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						BgL_nodez00_1904)))->BgL_argsz00);
																		BgL_i1129z00_1916 =
																			((BgL_castz00_bglt)
																			CAR(BgL_pairz00_3202));
																	}
																	{	/* Coerce/coerce.scm 359 */
																		bool_t BgL_testz00_3880;

																		{	/* Coerce/coerce.scm 359 */
																			bool_t BgL_testz00_3881;

																			{	/* Coerce/coerce.scm 359 */
																				BgL_typez00_bglt BgL_arg2198z00_1921;

																				BgL_arg2198z00_1921 =
																					(((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1129z00_1916)))->
																					BgL_typez00);
																				BgL_testz00_3881 =
																					(((obj_t) BgL_arg2198z00_1921) ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																			if (BgL_testz00_3881)
																				{	/* Coerce/coerce.scm 359 */
																					BgL_nodez00_bglt BgL_arg2197z00_1920;

																					BgL_arg2197z00_1920 =
																						(((BgL_castz00_bglt)
																							CREF(BgL_i1129z00_1916))->
																						BgL_argz00);
																					{	/* Coerce/coerce.scm 359 */
																						bool_t BgL_res2402z00_3204;

																						BgL_res2402z00_3204 =
																							BGl_isazf3zf3zz__objectz00(
																							((obj_t) BgL_arg2197z00_1920),
																							BGl_varz00zzast_nodez00);
																						BgL_testz00_3880 =
																							BgL_res2402z00_3204;
																					}
																				}
																			else
																				{	/* Coerce/coerce.scm 359 */
																					BgL_testz00_3880 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_3880)
																			{	/* Coerce/coerce.scm 360 */
																				BgL_nodez00_bglt BgL_arg2195z00_1918;

																				BgL_arg2195z00_1918 =
																					(((BgL_castz00_bglt)
																						CREF(BgL_i1129z00_1916))->
																					BgL_argz00);
																				BgL_typevz00_1908 =
																					((obj_t)
																					BGl_getzd2typezd2zztype_typeofz00
																					(BgL_arg2195z00_1918));
																			}
																		else
																			{	/* Coerce/coerce.scm 359 */
																				BgL_typevz00_1908 = BFALSE;
																			}
																	}
																}
															else
																{	/* Coerce/coerce.scm 357 */
																	BgL_typevz00_1908 = BFALSE;
																}
														}
												}
												if (BGl_isazf3zf3zz__objectz00(BgL_typevz00_1908,
														BGl_typez00zztype_typez00))
													{	/* Coerce/coerce.scm 362 */
														if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
																((BgL_typez00_bglt) BgL_typecz00_1905),
																((BgL_typez00_bglt) BgL_typevz00_1908)))
															{	/* Coerce/coerce.scm 364 */
																BgL_casezd2valuezd2_1843 =
																	CNST_TABLE_REF(((long) 1));
															}
														else
															{	/* Coerce/coerce.scm 364 */
																if (BGl_typezd2disjointzf3z21zztype_miscz00(
																		((BgL_typez00_bglt) BgL_typecz00_1905),
																		((BgL_typez00_bglt) BgL_typevz00_1908)))
																	{	/* Coerce/coerce.scm 366 */
																		BgL_casezd2valuezd2_1843 =
																			CNST_TABLE_REF(((long) 2));
																	}
																else
																	{	/* Coerce/coerce.scm 366 */
																		BgL_casezd2valuezd2_1843 = BFALSE;
																	}
															}
													}
												else
													{	/* Coerce/coerce.scm 362 */
														BgL_casezd2valuezd2_1843 = BFALSE;
													}
											}
										}
									else
										{	/* Coerce/coerce.scm 372 */
											if (BGl_isazf3zf3zz__objectz00(BgL_nodez00_1927,
													BGl_appz00zzast_nodez00))
												{	/* Coerce/coerce.scm 376 */
													BgL_nodez00_1937 =
														((BgL_appz00_bglt) BgL_nodez00_1927);
													{	/* Coerce/coerce.scm 290 */
														bool_t BgL_testz00_3906;

														{	/* Coerce/coerce.scm 290 */
															obj_t BgL_auxz00_3907;

															BgL_auxz00_3907 =
																(((BgL_appz00_bglt) CREF(BgL_nodez00_1937))->
																BgL_argsz00);
															BgL_testz00_3906 = PAIRP(BgL_auxz00_3907);
														}
														if (BgL_testz00_3906)
															{	/* Coerce/coerce.scm 290 */
																if (NULLP(CDR(
																			(((BgL_appz00_bglt)
																					CREF(BgL_nodez00_1937))->
																				BgL_argsz00))))
																	{	/* Coerce/coerce.scm 292 */
																		bool_t BgL_testz00_3914;

																		{	/* Coerce/coerce.scm 292 */
																			bool_t BgL_testz00_3915;

																			{	/* Coerce/coerce.scm 292 */
																				obj_t BgL_arg2215z00_1952;

																				BgL_arg2215z00_1952 =
																					CAR(
																					(((BgL_appz00_bglt)
																							CREF(BgL_nodez00_1937))->
																						BgL_argsz00));
																				BgL_testz00_3915 =
																					BGl_sidezd2effectzf3z21zzeffect_effectz00
																					(((BgL_nodez00_bglt)
																						BgL_arg2215z00_1952));
																			}
																			if (BgL_testz00_3915)
																				{	/* Coerce/coerce.scm 292 */
																					BgL_testz00_3914 = ((bool_t) 0);
																				}
																			else
																				{	/* Coerce/coerce.scm 292 */
																					BgL_testz00_3914 = ((bool_t) 1);
																				}
																		}
																		if (BgL_testz00_3914)
																			{	/* Coerce/coerce.scm 293 */
																				obj_t BgL_typecz00_1943;

																				BgL_typecz00_1943 =
																					BGl_appzd2predicatezd2ofz00zztype_miscz00
																					(BgL_nodez00_1937);
																				{	/* Coerce/coerce.scm 293 */
																					BgL_typez00_bglt BgL_typevz00_1944;

																					{	/* Coerce/coerce.scm 294 */
																						obj_t BgL_arg2212z00_1949;

																						BgL_arg2212z00_1949 =
																							CAR(
																							(((BgL_appz00_bglt)
																									CREF(BgL_nodez00_1937))->
																								BgL_argsz00));
																						BgL_typevz00_1944 =
																							BGl_getzd2typezd2zztype_typeofz00(
																							((BgL_nodez00_bglt)
																								BgL_arg2212z00_1949));
																					}
																					{	/* Coerce/coerce.scm 294 */

																						if (BGl_isazf3zf3zz__objectz00
																							(BgL_typecz00_1943,
																								BGl_typez00zztype_typez00))
																							{	/* Coerce/coerce.scm 296 */
																								if (
																									(((obj_t) BgL_typevz00_1944)
																										==
																										BGl_za2objza2z00zztype_cachez00))
																									{	/* Coerce/coerce.scm 299 */
																										BgL_casezd2valuezd2_1843 =
																											BFALSE;
																									}
																								else
																									{	/* Coerce/coerce.scm 299 */
																										if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1943), BgL_typevz00_1944))
																											{	/* Coerce/coerce.scm 302 */
																												BgL_casezd2valuezd2_1843
																													=
																													CNST_TABLE_REF(((long)
																														1));
																											}
																										else
																											{	/* Coerce/coerce.scm 302 */
																												if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1943), BgL_typevz00_1944))
																													{	/* Coerce/coerce.scm 304 */
																														BgL_casezd2valuezd2_1843
																															=
																															CNST_TABLE_REF((
																																(long) 2));
																													}
																												else
																													{	/* Coerce/coerce.scm 304 */
																														BgL_casezd2valuezd2_1843
																															= BFALSE;
																													}
																											}
																									}
																							}
																						else
																							{	/* Coerce/coerce.scm 296 */
																								BgL_casezd2valuezd2_1843 =
																									BFALSE;
																							}
																					}
																				}
																			}
																		else
																			{	/* Coerce/coerce.scm 292 */
																				BgL_casezd2valuezd2_1843 = BFALSE;
																			}
																	}
																else
																	{	/* Coerce/coerce.scm 291 */
																		BgL_casezd2valuezd2_1843 = BFALSE;
																	}
															}
														else
															{	/* Coerce/coerce.scm 290 */
																BgL_casezd2valuezd2_1843 = BFALSE;
															}
													}
												}
											else
												{	/* Coerce/coerce.scm 376 */
													if (BGl_isazf3zf3zz__objectz00(BgL_nodez00_1927,
															BGl_letzd2varzd2zzast_nodez00))
														{	/* Coerce/coerce.scm 378 */
															BgL_nodez00_1851 =
																((BgL_letzd2varzd2_bglt) BgL_nodez00_1927);
															{	/* Coerce/coerce.scm 310 */
																bool_t BgL_testz00_3941;

																{	/* Coerce/coerce.scm 310 */
																	bool_t BgL_testz00_3942;

																	{	/* Coerce/coerce.scm 310 */
																		obj_t BgL_auxz00_3943;

																		BgL_auxz00_3943 =
																			(((BgL_letzd2varzd2_bglt)
																				CREF(BgL_nodez00_1851))->
																			BgL_bindingsz00);
																		BgL_testz00_3942 = PAIRP(BgL_auxz00_3943);
																	}
																	if (BgL_testz00_3942)
																		{	/* Coerce/coerce.scm 310 */
																			BgL_testz00_3941 =
																				NULLP(CDR(
																					(((BgL_letzd2varzd2_bglt)
																							CREF(BgL_nodez00_1851))->
																						BgL_bindingsz00)));
																		}
																	else
																		{	/* Coerce/coerce.scm 310 */
																			BgL_testz00_3941 = ((bool_t) 0);
																		}
																}
																if (BgL_testz00_3941)
																	{	/* Coerce/coerce.scm 312 */
																		bool_t BgL_testz00_3949;

																		{	/* Coerce/coerce.scm 312 */
																			BgL_nodez00_bglt BgL_arg2181z00_1899;

																			BgL_arg2181z00_1899 =
																				(((BgL_letzd2varzd2_bglt)
																					CREF(BgL_nodez00_1851))->BgL_bodyz00);
																			{	/* Coerce/coerce.scm 312 */
																				bool_t BgL_res2387z00_3138;

																				BgL_res2387z00_3138 =
																					BGl_isazf3zf3zz__objectz00(
																					((obj_t) BgL_arg2181z00_1899),
																					BGl_appz00zzast_nodez00);
																				BgL_testz00_3949 = BgL_res2387z00_3138;
																			}
																		}
																		if (BgL_testz00_3949)
																			{	/* Coerce/coerce.scm 313 */
																				obj_t BgL_varz00_1856;

																				{	/* Coerce/coerce.scm 313 */
																					obj_t BgL_argsz00_1875;

																					BgL_argsz00_1875 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									(((BgL_letzd2varzd2_bglt)
																											CREF(BgL_nodez00_1851))->
																										BgL_bodyz00))))->
																						BgL_argsz00);
																					if (PAIRP(BgL_argsz00_1875))
																						{	/* Coerce/coerce.scm 317 */
																							bool_t BgL_testz00_3958;

																							if (NULLP(CDR(BgL_argsz00_1875)))
																								{	/* Coerce/coerce.scm 317 */
																									obj_t BgL_arg2167z00_1887;

																									BgL_arg2167z00_1887 =
																										CAR(BgL_argsz00_1875);
																									BgL_testz00_3958 =
																										BGl_isazf3zf3zz__objectz00
																										(BgL_arg2167z00_1887,
																										BGl_varz00zzast_nodez00);
																								}
																							else
																								{	/* Coerce/coerce.scm 317 */
																									BgL_testz00_3958 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_3958)
																								{	/* Coerce/coerce.scm 317 */
																									BgL_varz00_1856 =
																										((obj_t)
																										(((BgL_varz00_bglt) CREF(
																													((BgL_varz00_bglt)
																														CAR
																														(BgL_argsz00_1875))))->
																											BgL_variablez00));
																								}
																							else
																								{	/* Coerce/coerce.scm 320 */
																									bool_t BgL_testz00_3968;

																									{	/* Coerce/coerce.scm 320 */
																										obj_t BgL_auxz00_3969;

																										BgL_auxz00_3969 =
																											CDR(BgL_argsz00_1875);
																										BgL_testz00_3968 =
																											PAIRP(BgL_auxz00_3969);
																									}
																									if (BgL_testz00_3968)
																										{	/* Coerce/coerce.scm 322 */
																											bool_t BgL_testz00_3972;

																											if (NULLP(CDR(CDR
																														(BgL_argsz00_1875))))
																												{	/* Coerce/coerce.scm 322 */
																													obj_t
																														BgL_arg2162z00_1883;
																													BgL_arg2162z00_1883 =
																														CAR
																														(BgL_argsz00_1875);
																													BgL_testz00_3972 =
																														BGl_isazf3zf3zz__objectz00
																														(BgL_arg2162z00_1883,
																														BGl_varz00zzast_nodez00);
																												}
																											else
																												{	/* Coerce/coerce.scm 322 */
																													BgL_testz00_3972 =
																														((bool_t) 0);
																												}
																											if (BgL_testz00_3972)
																												{	/* Coerce/coerce.scm 322 */
																													BgL_varz00_1856 =
																														((obj_t)
																														(((BgL_varz00_bglt)
																																CREF((
																																		(BgL_varz00_bglt)
																																		CAR
																																		(BgL_argsz00_1875))))->
																															BgL_variablez00));
																												}
																											else
																												{	/* Coerce/coerce.scm 322 */
																													BgL_varz00_1856 =
																														BFALSE;
																												}
																										}
																									else
																										{	/* Coerce/coerce.scm 320 */
																											BgL_varz00_1856 = BFALSE;
																										}
																								}
																						}
																					else
																						{	/* Coerce/coerce.scm 315 */
																							BgL_varz00_1856 = BFALSE;
																						}
																				}
																				{	/* Coerce/coerce.scm 313 */
																					obj_t BgL_typecz00_1857;

																					{	/* Coerce/coerce.scm 327 */
																						BgL_nodez00_bglt
																							BgL_arg2154z00_1874;
																						BgL_arg2154z00_1874 =
																							(((BgL_letzd2varzd2_bglt)
																								CREF(BgL_nodez00_1851))->
																							BgL_bodyz00);
																						BgL_typecz00_1857 =
																							BGl_appzd2predicatezd2ofz00zztype_miscz00
																							(((BgL_appz00_bglt)
																								BgL_arg2154z00_1874));
																					}
																					{	/* Coerce/coerce.scm 327 */
																						BgL_typez00_bglt BgL_typepz00_1858;

																						{
																							BgL_variablez00_bglt
																								BgL_auxz00_3986;
																							{	/* Coerce/coerce.scm 328 */
																								obj_t BgL_pairz00_3170;

																								{	/* Coerce/coerce.scm 328 */
																									obj_t BgL_pairz00_3169;

																									BgL_pairz00_3169 =
																										(((BgL_letzd2varzd2_bglt)
																											CREF(BgL_nodez00_1851))->
																										BgL_bindingsz00);
																									BgL_pairz00_3170 =
																										CAR(BgL_pairz00_3169);
																								}
																								BgL_auxz00_3986 =
																									((BgL_variablez00_bglt)
																									CAR(BgL_pairz00_3170));
																							}
																							BgL_typepz00_1858 =
																								(((BgL_variablez00_bglt)
																									CREF(BgL_auxz00_3986))->
																								BgL_typez00);
																						}
																						{	/* Coerce/coerce.scm 328 */
																							BgL_typez00_bglt
																								BgL_typevz00_1859;
																							if ((((obj_t) BgL_typepz00_1858)
																									==
																									BGl_za2objza2z00zztype_cachez00))
																								{	/* Coerce/coerce.scm 330 */
																									obj_t BgL_arg2148z00_1868;

																									BgL_arg2148z00_1868 =
																										CDR(CAR(
																											(((BgL_letzd2varzd2_bglt)
																													CREF
																													(BgL_nodez00_1851))->
																												BgL_bindingsz00)));
																									BgL_typevz00_1859 =
																										BGl_getzd2typezd2zztype_typeofz00
																										(((BgL_nodez00_bglt)
																											BgL_arg2148z00_1868));
																								}
																							else
																								{	/* Coerce/coerce.scm 329 */
																									BgL_typevz00_1859 =
																										BgL_typepz00_1858;
																								}
																							{	/* Coerce/coerce.scm 329 */

																								if (BGl_isazf3zf3zz__objectz00
																									(BgL_typecz00_1857,
																										BGl_typez00zztype_typez00))
																									{	/* Coerce/coerce.scm 336 */
																										bool_t BgL_testz00_4002;

																										{	/* Coerce/coerce.scm 336 */
																											obj_t BgL_auxz00_4003;

																											{	/* Coerce/coerce.scm 336 */
																												obj_t BgL_pairz00_3178;

																												BgL_pairz00_3178 =
																													(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1851))->BgL_bindingsz00);
																												BgL_auxz00_4003 =
																													CAR(CAR
																													(BgL_pairz00_3178));
																											}
																											BgL_testz00_4002 =
																												(BgL_varz00_1856 ==
																												BgL_auxz00_4003);
																										}
																										if (BgL_testz00_4002)
																											{	/* Coerce/coerce.scm 336 */
																												if (
																													(((obj_t)
																															BgL_typevz00_1859)
																														==
																														BGl_za2objza2z00zztype_cachez00))
																													{	/* Coerce/coerce.scm 339 */
																														BgL_casezd2valuezd2_1843
																															= BFALSE;
																													}
																												else
																													{	/* Coerce/coerce.scm 339 */
																														if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1857), BgL_typevz00_1859))
																															{	/* Coerce/coerce.scm 342 */
																																BgL_casezd2valuezd2_1843
																																	=
																																	CNST_TABLE_REF
																																	(((long) 1));
																															}
																														else
																															{	/* Coerce/coerce.scm 342 */
																																if (BGl_typezd2disjointzf3z21zztype_miscz00(((BgL_typez00_bglt) BgL_typecz00_1857), BgL_typevz00_1859))
																																	{	/* Coerce/coerce.scm 344 */
																																		BgL_casezd2valuezd2_1843
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				2));
																																	}
																																else
																																	{	/* Coerce/coerce.scm 344 */
																																		BgL_casezd2valuezd2_1843
																																			= BFALSE;
																																	}
																															}
																													}
																											}
																										else
																											{	/* Coerce/coerce.scm 336 */
																												BgL_casezd2valuezd2_1843
																													= BFALSE;
																											}
																									}
																								else
																									{	/* Coerce/coerce.scm 333 */
																										BgL_casezd2valuezd2_1843 =
																											BFALSE;
																									}
																							}
																						}
																					}
																				}
																			}
																		else
																			{	/* Coerce/coerce.scm 348 */
																				bool_t BgL_testz00_4019;

																				{	/* Coerce/coerce.scm 348 */
																					bool_t BgL_testz00_4020;

																					{	/* Coerce/coerce.scm 348 */
																						BgL_nodez00_bglt
																							BgL_arg2180z00_1898;
																						BgL_arg2180z00_1898 =
																							(((BgL_letzd2varzd2_bglt)
																								CREF(BgL_nodez00_1851))->
																							BgL_bodyz00);
																						{	/* Coerce/coerce.scm 348 */
																							bool_t BgL_res2398z00_3183;

																							BgL_res2398z00_3183 =
																								BGl_isazf3zf3zz__objectz00(
																								((obj_t) BgL_arg2180z00_1898),
																								BGl_varz00zzast_nodez00);
																							BgL_testz00_4020 =
																								BgL_res2398z00_3183;
																						}
																					}
																					if (BgL_testz00_4020)
																						{	/* Coerce/coerce.scm 348 */
																							obj_t BgL_auxz00_4024;

																							{	/* Coerce/coerce.scm 348 */
																								obj_t BgL_pairz00_3187;

																								BgL_pairz00_3187 =
																									(((BgL_letzd2varzd2_bglt)
																										CREF(BgL_nodez00_1851))->
																									BgL_bindingsz00);
																								BgL_auxz00_4024 =
																									CAR(CAR(BgL_pairz00_3187));
																							}
																							BgL_testz00_4019 =
																								(
																								((obj_t)
																									(((BgL_varz00_bglt) CREF(
																												((BgL_varz00_bglt)
																													(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1851))->BgL_bodyz00))))->BgL_variablez00)) == BgL_auxz00_4024);
																						}
																					else
																						{	/* Coerce/coerce.scm 348 */
																							BgL_testz00_4019 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_4019)
																					{	/* Coerce/coerce.scm 349 */
																						obj_t BgL_arg2172z00_1891;

																						{	/* Coerce/coerce.scm 349 */
																							obj_t BgL_pairz00_3191;

																							BgL_pairz00_3191 =
																								(((BgL_letzd2varzd2_bglt)
																									CREF(BgL_nodez00_1851))->
																								BgL_bindingsz00);
																							BgL_arg2172z00_1891 =
																								CDR(CAR(BgL_pairz00_3191));
																						}
																						{
																							obj_t BgL_nodez00_4036;

																							BgL_nodez00_4036 =
																								BgL_arg2172z00_1891;
																							BgL_nodez00_1927 =
																								BgL_nodez00_4036;
																							goto
																								BgL_zc3anonymousza32204ze3z83_1928;
																						}
																					}
																				else
																					{	/* Coerce/coerce.scm 348 */
																						BgL_casezd2valuezd2_1843 = BFALSE;
																					}
																			}
																	}
																else
																	{	/* Coerce/coerce.scm 310 */
																		BgL_casezd2valuezd2_1843 = BFALSE;
																	}
															}
														}
													else
														{	/* Coerce/coerce.scm 378 */
															BgL_casezd2valuezd2_1843 = BFALSE;
														}
												}
										}
								}
							}
							if ((BgL_casezd2valuezd2_1843 == CNST_TABLE_REF(((long) 1))))
								{	/* Coerce/coerce.scm 386 */
									BgL_nodez00_bglt BgL_arg2129z00_1845;

									BgL_arg2129z00_1845 =
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1831))->
										BgL_truez00);
									return BGl_coercez12z12zzcoerce_coercez00(BgL_arg2129z00_1845,
										BgL_callerz00_1832, ((BgL_typez00_bglt) BgL_toz00_1833),
										CBOOL(BgL_safez00_1834));
								}
							else
								{	/* Coerce/coerce.scm 384 */
									if ((BgL_casezd2valuezd2_1843 == CNST_TABLE_REF(((long) 2))))
										{	/* Coerce/coerce.scm 388 */
											BgL_nodez00_bglt BgL_arg2131z00_1847;

											BgL_arg2131z00_1847 =
												(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1831))->
												BgL_falsez00);
											return
												BGl_coercez12z12zzcoerce_coercez00(BgL_arg2131z00_1847,
												BgL_callerz00_1832, ((BgL_typez00_bglt) BgL_toz00_1833),
												CBOOL(BgL_safez00_1834));
										}
									else
										{	/* Coerce/coerce.scm 384 */
											{
												BgL_nodez00_bglt BgL_auxz00_4053;

												{	/* Coerce/coerce.scm 390 */
													BgL_nodez00_bglt BgL_arg2132z00_1848;

													BgL_arg2132z00_1848 =
														(((BgL_conditionalz00_bglt)
															CREF(BgL_nodez00_1831))->BgL_truez00);
													BgL_auxz00_4053 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg2132z00_1848, BgL_callerz00_1832,
														((BgL_typez00_bglt) BgL_toz00_1833),
														CBOOL(BgL_safez00_1834));
												}
												((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1831))->
														BgL_truez00) =
													((BgL_nodez00_bglt) BgL_auxz00_4053), BUNSPEC);
											}
											{
												BgL_nodez00_bglt BgL_auxz00_4059;

												{	/* Coerce/coerce.scm 391 */
													BgL_nodez00_bglt BgL_arg2134z00_1849;

													BgL_arg2134z00_1849 =
														(((BgL_conditionalz00_bglt)
															CREF(BgL_nodez00_1831))->BgL_falsez00);
													BgL_auxz00_4059 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg2134z00_1849, BgL_callerz00_1832,
														((BgL_typez00_bglt) BgL_toz00_1833),
														CBOOL(BgL_safez00_1834));
												}
												((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1831))->
														BgL_falsez00) =
													((BgL_nodez00_bglt) BgL_auxz00_4059), BUNSPEC);
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_nodez00_1831)))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_toz00_1833)), BUNSPEC);
											return ((BgL_nodez00_bglt) BgL_nodez00_1831);
										}
								}
						}
					}
				}
			}
		}
	}



/* &coerce!-setq1980 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setq1980za2zzcoerce_coercez00(obj_t
		BgL_envz00_3383, obj_t BgL_nodez00_3384, obj_t BgL_callerz00_3385,
		obj_t BgL_toz00_3386, obj_t BgL_safez00_3387)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 263 */
			{
				BgL_setqz00_bglt BgL_nodez00_1819;
				obj_t BgL_callerz00_1820;
				obj_t BgL_toz00_1821;
				obj_t BgL_safez00_1822;

				BgL_nodez00_1819 = ((BgL_setqz00_bglt) BgL_nodez00_3384);
				BgL_callerz00_1820 = BgL_callerz00_3385;
				BgL_toz00_1821 = BgL_toz00_3386;
				BgL_safez00_1822 = BgL_safez00_3387;
				{
					BgL_nodez00_bglt BgL_auxz00_4070;

					{	/* Coerce/coerce.scm 265 */
						BgL_nodez00_bglt BgL_arg2122z00_1826;
						BgL_typez00_bglt BgL_arg2123z00_1827;

						BgL_arg2122z00_1826 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1819))->BgL_valuez00);
						BgL_arg2123z00_1827 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1819))->
													BgL_varz00)))->BgL_variablez00)))->BgL_typez00);
						BgL_auxz00_4070 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2122z00_1826,
							BgL_callerz00_1820, BgL_arg2123z00_1827, CBOOL(BgL_safez00_1822));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1819))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4070), BUNSPEC);
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1819),
					((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1821), CBOOL(BgL_safez00_1822));
			}
		}
	}



/* &coerce!-cast1977 */
	BgL_nodez00_bglt BGl_z62coercez12zd2cast1977za2zzcoerce_coercez00(obj_t
		BgL_envz00_3388, obj_t BgL_nodez00_3389, obj_t BgL_callerz00_3390,
		obj_t BgL_toz00_3391, obj_t BgL_safez00_3392)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 253 */
			{
				BgL_castz00_bglt BgL_nodez00_1807;
				obj_t BgL_callerz00_1808;
				obj_t BgL_toz00_1809;
				obj_t BgL_safez00_1810;

				BgL_nodez00_1807 = ((BgL_castz00_bglt) BgL_nodez00_3389);
				BgL_callerz00_1808 = BgL_callerz00_3390;
				BgL_toz00_1809 = BgL_toz00_3391;
				BgL_safez00_1810 = BgL_safez00_3392;
				{
					BgL_nodez00_bglt BgL_auxz00_4084;

					{	/* Coerce/coerce.scm 257 */
						BgL_nodez00_bglt BgL_arg2117z00_1814;
						BgL_typez00_bglt BgL_arg2118z00_1815;

						BgL_arg2117z00_1814 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_1807))->BgL_argz00);
						{	/* Coerce/coerce.scm 257 */
							BgL_nodez00_bglt BgL_arg2119z00_1816;

							BgL_arg2119z00_1816 =
								(((BgL_castz00_bglt) CREF(BgL_nodez00_1807))->BgL_argz00);
							BgL_arg2118z00_1815 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg2119z00_1816);
						}
						BgL_auxz00_4084 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2117z00_1814,
							BgL_callerz00_1808, BgL_arg2118z00_1815, CBOOL(BgL_safez00_1810));
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_1807))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4084), BUNSPEC);
				}
				{	/* Coerce/coerce.scm 258 */
					BgL_typez00_bglt BgL_arg2120z00_1817;

					BgL_arg2120z00_1817 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1807)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1807), BgL_arg2120z00_1817,
						((BgL_typez00_bglt) BgL_toz00_1809), CBOOL(BgL_safez00_1810));
				}
			}
		}
	}



/* &coerce!-vlength1975 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vlength1975za2zzcoerce_coercez00(obj_t
		BgL_envz00_3393, obj_t BgL_nodez00_3394, obj_t BgL_callerz00_3395,
		obj_t BgL_toz00_3396, obj_t BgL_safez00_3397)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 245 */
			{
				BgL_vlengthz00_bglt BgL_nodez00_1793;
				obj_t BgL_callerz00_1794;
				obj_t BgL_toz00_1795;
				obj_t BgL_safez00_1796;

				BgL_nodez00_1793 = ((BgL_vlengthz00_bglt) BgL_nodez00_3394);
				BgL_callerz00_1794 = BgL_callerz00_3395;
				BgL_toz00_1795 = BgL_toz00_3396;
				BgL_safez00_1796 = BgL_safez00_3397;
				{	/* Coerce/coerce.scm 247 */
					obj_t BgL_arg2110z00_1800;
					BgL_nodez00_bglt BgL_arg2112z00_1801;

					BgL_arg2110z00_1800 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1793)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 247 */
						obj_t BgL_arg2113z00_1802;
						BgL_typez00_bglt BgL_arg2114z00_1803;

						{	/* Coerce/coerce.scm 247 */
							obj_t BgL_pairz00_3114;

							BgL_pairz00_3114 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1793)))->BgL_exprza2za2);
							BgL_arg2113z00_1802 = CAR(BgL_pairz00_3114);
						}
						BgL_arg2114z00_1803 =
							(((BgL_vlengthz00_bglt) CREF(BgL_nodez00_1793))->BgL_vtypez00);
						BgL_arg2112z00_1801 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2113z00_1802), BgL_callerz00_1794,
							BgL_arg2114z00_1803, CBOOL(BgL_safez00_1796));
					}
					{	/* Coerce/coerce.scm 247 */
						obj_t BgL_auxz00_4107;

						BgL_auxz00_4107 = ((obj_t) BgL_arg2112z00_1801);
						SET_CAR(BgL_arg2110z00_1800, BgL_auxz00_4107);
					}
				}
				{	/* Coerce/coerce.scm 248 */
					BgL_typez00_bglt BgL_arg2116z00_1805;

					BgL_arg2116z00_1805 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1793)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1793), BgL_arg2116z00_1805,
						((BgL_typez00_bglt) BgL_toz00_1795), CBOOL(BgL_safez00_1796));
				}
			}
		}
	}



/* &coerce!-vset!1973 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vsetz121973zb0zzcoerce_coercez00(obj_t
		BgL_envz00_3398, obj_t BgL_nodez00_3399, obj_t BgL_callerz00_3400,
		obj_t BgL_toz00_3401, obj_t BgL_safez00_3402)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 233 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_1765;
				obj_t BgL_callerz00_1766;
				obj_t BgL_toz00_1767;
				obj_t BgL_safez00_1768;

				BgL_nodez00_1765 = ((BgL_vsetz12z12_bglt) BgL_nodez00_3399);
				BgL_callerz00_1766 = BgL_callerz00_3400;
				BgL_toz00_1767 = BgL_toz00_3401;
				BgL_safez00_1768 = BgL_safez00_3402;
				{	/* Coerce/coerce.scm 236 */
					obj_t BgL_ftypez00_1772;

					{	/* Coerce/coerce.scm 236 */
						bool_t BgL_testz00_4117;

						{	/* Coerce/coerce.scm 236 */
							BgL_typez00_bglt BgL_arg2109z00_1791;

							BgL_arg2109z00_1791 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1765))->BgL_ftypez00);
							BgL_testz00_4117 =
								(
								((obj_t) BgL_arg2109z00_1791) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4117)
							{	/* Coerce/coerce.scm 236 */
								BgL_ftypez00_1772 = BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Coerce/coerce.scm 236 */
								BgL_ftypez00_1772 =
									((obj_t)
									(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1765))->
										BgL_ftypez00));
							}
					}
					{	/* Coerce/coerce.scm 237 */
						obj_t BgL_arg2090z00_1773;
						BgL_nodez00_bglt BgL_arg2091z00_1774;

						BgL_arg2090z00_1773 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1765)))->BgL_exprza2za2);
						{	/* Coerce/coerce.scm 237 */
							obj_t BgL_arg2092z00_1775;
							BgL_typez00_bglt BgL_arg2093z00_1776;

							{	/* Coerce/coerce.scm 237 */
								obj_t BgL_pairz00_3092;

								BgL_pairz00_3092 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1765)))->
									BgL_exprza2za2);
								BgL_arg2092z00_1775 = CAR(BgL_pairz00_3092);
							}
							BgL_arg2093z00_1776 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1765))->BgL_vtypez00);
							BgL_arg2091z00_1774 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2092z00_1775), BgL_callerz00_1766,
								BgL_arg2093z00_1776, CBOOL(BgL_safez00_1768));
						}
						{	/* Coerce/coerce.scm 237 */
							obj_t BgL_auxz00_4132;

							BgL_auxz00_4132 = ((obj_t) BgL_arg2091z00_1774);
							SET_CAR(BgL_arg2090z00_1773, BgL_auxz00_4132);
						}
					}
					{	/* Coerce/coerce.scm 238 */
						obj_t BgL_arg2095z00_1778;
						BgL_nodez00_bglt BgL_arg2096z00_1779;

						{	/* Coerce/coerce.scm 238 */
							obj_t BgL_pairz00_3095;

							BgL_pairz00_3095 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1765)))->BgL_exprza2za2);
							BgL_arg2095z00_1778 = CDR(BgL_pairz00_3095);
						}
						{	/* Coerce/coerce.scm 238 */
							obj_t BgL_arg2098z00_1781;
							BgL_typez00_bglt BgL_arg2099z00_1782;

							{	/* Coerce/coerce.scm 238 */
								obj_t BgL_pairz00_3096;

								BgL_pairz00_3096 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1765)))->
									BgL_exprza2za2);
								BgL_arg2098z00_1781 = CAR(CDR(BgL_pairz00_3096));
							}
							BgL_arg2099z00_1782 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1765))->BgL_otypez00);
							BgL_arg2096z00_1779 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2098z00_1781), BgL_callerz00_1766,
								BgL_arg2099z00_1782, CBOOL(BgL_safez00_1768));
						}
						{	/* Coerce/coerce.scm 238 */
							obj_t BgL_auxz00_4146;

							BgL_auxz00_4146 = ((obj_t) BgL_arg2096z00_1779);
							SET_CAR(BgL_arg2095z00_1778, BgL_auxz00_4146);
						}
					}
					{	/* Coerce/coerce.scm 239 */
						obj_t BgL_arg2101z00_1784;
						BgL_nodez00_bglt BgL_arg2102z00_1785;

						{	/* Coerce/coerce.scm 239 */
							obj_t BgL_pairz00_3102;

							BgL_pairz00_3102 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1765)))->BgL_exprza2za2);
							BgL_arg2101z00_1784 = CDR(CDR(BgL_pairz00_3102));
						}
						{	/* Coerce/coerce.scm 239 */
							obj_t BgL_arg2104z00_1787;

							{	/* Coerce/coerce.scm 239 */
								obj_t BgL_pairz00_3106;

								BgL_pairz00_3106 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1765)))->
									BgL_exprza2za2);
								BgL_arg2104z00_1787 = CAR(CDR(CDR(BgL_pairz00_3106)));
							}
							BgL_arg2102z00_1785 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2104z00_1787), BgL_callerz00_1766,
								((BgL_typez00_bglt) BgL_ftypez00_1772),
								CBOOL(BgL_safez00_1768));
						}
						{	/* Coerce/coerce.scm 239 */
							obj_t BgL_auxz00_4162;

							BgL_auxz00_4162 = ((obj_t) BgL_arg2102z00_1785);
							SET_CAR(BgL_arg2101z00_1784, BgL_auxz00_4162);
						}
					}
					{	/* Coerce/coerce.scm 240 */
						BgL_typez00_bglt BgL_arg2107z00_1789;

						BgL_arg2107z00_1789 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1765)))->BgL_typez00);
						return
							BGl_convertz12z12zzcoerce_convertz00(
							((BgL_nodez00_bglt) BgL_nodez00_1765), BgL_arg2107z00_1789,
							((BgL_typez00_bglt) BgL_toz00_1767), CBOOL(BgL_safez00_1768));
					}
				}
			}
		}
	}



/* &coerce!-vref1971 */
	BgL_nodez00_bglt BGl_z62coercez12zd2vref1971za2zzcoerce_coercez00(obj_t
		BgL_envz00_3403, obj_t BgL_nodez00_3404, obj_t BgL_callerz00_3405,
		obj_t BgL_toz00_3406, obj_t BgL_safez00_3407)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 217 */
			{
				BgL_vrefz00_bglt BgL_nodez00_1743;
				obj_t BgL_callerz00_1744;
				obj_t BgL_toz00_1745;
				obj_t BgL_safez00_1746;

				BgL_nodez00_1743 = ((BgL_vrefz00_bglt) BgL_nodez00_3404);
				BgL_callerz00_1744 = BgL_callerz00_3405;
				BgL_toz00_1745 = BgL_toz00_3406;
				BgL_safez00_1746 = BgL_safez00_3407;
				{	/* Coerce/coerce.scm 225 */
					obj_t BgL_ftypez00_1750;

					{	/* Coerce/coerce.scm 225 */
						bool_t BgL_testz00_4172;

						{	/* Coerce/coerce.scm 225 */
							BgL_typez00_bglt BgL_arg2089z00_1763;

							BgL_arg2089z00_1763 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1743))->BgL_ftypez00);
							BgL_testz00_4172 =
								(
								((obj_t) BgL_arg2089z00_1763) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4172)
							{	/* Coerce/coerce.scm 225 */
								BgL_ftypez00_1750 = BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Coerce/coerce.scm 225 */
								BgL_ftypez00_1750 =
									((obj_t)
									(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1743))->BgL_ftypez00));
							}
					}
					{	/* Coerce/coerce.scm 226 */
						obj_t BgL_arg2076z00_1751;
						BgL_nodez00_bglt BgL_arg2077z00_1752;

						BgL_arg2076z00_1751 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1743)))->BgL_exprza2za2);
						{	/* Coerce/coerce.scm 226 */
							obj_t BgL_arg2078z00_1753;
							BgL_typez00_bglt BgL_arg2079z00_1754;

							{	/* Coerce/coerce.scm 226 */
								obj_t BgL_pairz00_3082;

								BgL_pairz00_3082 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1743)))->
									BgL_exprza2za2);
								BgL_arg2078z00_1753 = CAR(BgL_pairz00_3082);
							}
							BgL_arg2079z00_1754 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1743))->BgL_vtypez00);
							BgL_arg2077z00_1752 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2078z00_1753), BgL_callerz00_1744,
								BgL_arg2079z00_1754, CBOOL(BgL_safez00_1746));
						}
						{	/* Coerce/coerce.scm 226 */
							obj_t BgL_auxz00_4187;

							BgL_auxz00_4187 = ((obj_t) BgL_arg2077z00_1752);
							SET_CAR(BgL_arg2076z00_1751, BgL_auxz00_4187);
						}
					}
					{	/* Coerce/coerce.scm 227 */
						obj_t BgL_arg2081z00_1756;
						BgL_nodez00_bglt BgL_arg2083z00_1757;

						{	/* Coerce/coerce.scm 227 */
							obj_t BgL_pairz00_3085;

							BgL_pairz00_3085 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1743)))->BgL_exprza2za2);
							BgL_arg2081z00_1756 = CDR(BgL_pairz00_3085);
						}
						{	/* Coerce/coerce.scm 227 */
							obj_t BgL_arg2085z00_1759;
							BgL_typez00_bglt BgL_arg2086z00_1760;

							{	/* Coerce/coerce.scm 227 */
								obj_t BgL_pairz00_3086;

								BgL_pairz00_3086 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1743)))->
									BgL_exprza2za2);
								BgL_arg2085z00_1759 = CAR(CDR(BgL_pairz00_3086));
							}
							BgL_arg2086z00_1760 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1743))->BgL_otypez00);
							BgL_arg2083z00_1757 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2085z00_1759), BgL_callerz00_1744,
								BgL_arg2086z00_1760, CBOOL(BgL_safez00_1746));
						}
						{	/* Coerce/coerce.scm 227 */
							obj_t BgL_auxz00_4201;

							BgL_auxz00_4201 = ((obj_t) BgL_arg2083z00_1757);
							SET_CAR(BgL_arg2081z00_1756, BgL_auxz00_4201);
						}
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1743),
						((BgL_typez00_bglt) BgL_ftypez00_1750),
						((BgL_typez00_bglt) BgL_toz00_1745), CBOOL(BgL_safez00_1746));
				}
			}
		}
	}



/* &coerce!-valloc1969 */
	BgL_nodez00_bglt BGl_z62coercez12zd2valloc1969za2zzcoerce_coercez00(obj_t
		BgL_envz00_3408, obj_t BgL_nodez00_3409, obj_t BgL_callerz00_3410,
		obj_t BgL_toz00_3411, obj_t BgL_safez00_3412)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 209 */
			{
				BgL_vallocz00_bglt BgL_nodez00_1729;
				obj_t BgL_callerz00_1730;
				obj_t BgL_toz00_1731;
				obj_t BgL_safez00_1732;

				BgL_nodez00_1729 = ((BgL_vallocz00_bglt) BgL_nodez00_3409);
				BgL_callerz00_1730 = BgL_callerz00_3410;
				BgL_toz00_1731 = BgL_toz00_3411;
				BgL_safez00_1732 = BgL_safez00_3412;
				{	/* Coerce/coerce.scm 211 */
					obj_t BgL_arg2070z00_1736;
					BgL_nodez00_bglt BgL_arg2071z00_1737;

					BgL_arg2070z00_1736 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1729)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 211 */
						obj_t BgL_arg2072z00_1738;
						BgL_typez00_bglt BgL_arg2073z00_1739;

						{	/* Coerce/coerce.scm 211 */
							obj_t BgL_pairz00_3079;

							BgL_pairz00_3079 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1729)))->BgL_exprza2za2);
							BgL_arg2072z00_1738 = CAR(BgL_pairz00_3079);
						}
						BgL_arg2073z00_1739 =
							(((BgL_vallocz00_bglt) CREF(BgL_nodez00_1729))->BgL_otypez00);
						BgL_arg2071z00_1737 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2072z00_1738), BgL_callerz00_1730,
							BgL_arg2073z00_1739, CBOOL(BgL_safez00_1732));
					}
					{	/* Coerce/coerce.scm 211 */
						obj_t BgL_auxz00_4219;

						BgL_auxz00_4219 = ((obj_t) BgL_arg2071z00_1737);
						SET_CAR(BgL_arg2070z00_1736, BgL_auxz00_4219);
					}
				}
				{	/* Coerce/coerce.scm 212 */
					BgL_typez00_bglt BgL_arg2075z00_1741;

					BgL_arg2075z00_1741 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1729)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1729), BgL_arg2075z00_1741,
						((BgL_typez00_bglt) BgL_toz00_1731), CBOOL(BgL_safez00_1732));
				}
			}
		}
	}



/* &coerce!-new1967 */
	BgL_nodez00_bglt BGl_z62coercez12zd2new1967za2zzcoerce_coercez00(obj_t
		BgL_envz00_3413, obj_t BgL_nodez00_3414, obj_t BgL_callerz00_3415,
		obj_t BgL_toz00_3416, obj_t BgL_safez00_3417)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 195 */
			{
				BgL_newz00_bglt BgL_nodez00_1709;
				obj_t BgL_callerz00_1710;
				obj_t BgL_toz00_1711;
				obj_t BgL_safez00_1712;

				BgL_nodez00_1709 = ((BgL_newz00_bglt) BgL_nodez00_3414);
				BgL_callerz00_1710 = BgL_callerz00_3415;
				BgL_toz00_1711 = BgL_toz00_3416;
				BgL_safez00_1712 = BgL_safez00_3417;
				{
					obj_t BgL_lz00_1718;

					{	/* Coerce/coerce.scm 197 */
						obj_t BgL_arg2063z00_1717;

						BgL_arg2063z00_1717 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1709)))->BgL_exprza2za2);
						BgL_lz00_1718 = BgL_arg2063z00_1717;
					BgL_zc3anonymousza32064ze3z83_1719:
						if (NULLP(BgL_lz00_1718))
							{	/* Coerce/coerce.scm 199 */
								BgL_typez00_bglt BgL_arg2066z00_1721;

								BgL_arg2066z00_1721 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1709)))->BgL_typez00);
								BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt) BgL_nodez00_1709), BgL_arg2066z00_1721,
									((BgL_typez00_bglt) BgL_toz00_1711), CBOOL(BgL_safez00_1712));
							}
						else
							{	/* Coerce/coerce.scm 200 */
								obj_t BgL_vz00_1722;

								BgL_vz00_1722 = CAR(BgL_lz00_1718);
								{	/* Coerce/coerce.scm 200 */
									BgL_nodez00_bglt BgL_nvz00_1723;

									{	/* Coerce/coerce.scm 201 */
										BgL_typez00_bglt BgL_arg2068z00_1725;

										BgL_arg2068z00_1725 =
											BGl_getzd2typezd2zztype_typeofz00(
											((BgL_nodez00_bglt) BgL_vz00_1722));
										BgL_nvz00_1723 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_vz00_1722), BgL_callerz00_1710,
											BgL_arg2068z00_1725, CBOOL(BgL_safez00_1712));
									}
									{	/* Coerce/coerce.scm 201 */

										{	/* Coerce/coerce.scm 202 */
											obj_t BgL_auxz00_4245;

											BgL_auxz00_4245 = ((obj_t) BgL_nvz00_1723);
											SET_CAR(BgL_lz00_1718, BgL_auxz00_4245);
										}
										{
											obj_t BgL_lz00_4248;

											BgL_lz00_4248 = CDR(BgL_lz00_1718);
											BgL_lz00_1718 = BgL_lz00_4248;
											goto BgL_zc3anonymousza32064ze3z83_1719;
										}
									}
								}
							}
					}
				}
				{	/* Coerce/coerce.scm 204 */
					BgL_typez00_bglt BgL_arg2069z00_1727;

					BgL_arg2069z00_1727 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_1709)))->BgL_typez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1709), BgL_arg2069z00_1727,
						((BgL_typez00_bglt) BgL_toz00_1711), CBOOL(BgL_safez00_1712));
				}
			}
		}
	}



/* &coerce!-setfield1965 */
	BgL_nodez00_bglt BGl_z62coercez12zd2setfield1965za2zzcoerce_coercez00(obj_t
		BgL_envz00_3418, obj_t BgL_nodez00_3419, obj_t BgL_callerz00_3420,
		obj_t BgL_toz00_3421, obj_t BgL_safez00_3422)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 186 */
			{
				BgL_setfieldz00_bglt BgL_nodez00_1690;
				obj_t BgL_callerz00_1691;
				obj_t BgL_toz00_1692;
				obj_t BgL_safez00_1693;

				BgL_nodez00_1690 = ((BgL_setfieldz00_bglt) BgL_nodez00_3419);
				BgL_callerz00_1691 = BgL_callerz00_3420;
				BgL_toz00_1692 = BgL_toz00_3421;
				BgL_safez00_1693 = BgL_safez00_3422;
				{	/* Coerce/coerce.scm 188 */
					obj_t BgL_arg2052z00_1697;
					BgL_nodez00_bglt BgL_arg2053z00_1698;

					BgL_arg2052z00_1697 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1690)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 188 */
						obj_t BgL_arg2054z00_1699;
						BgL_typez00_bglt BgL_arg2055z00_1700;

						{	/* Coerce/coerce.scm 188 */
							obj_t BgL_pairz00_3063;

							BgL_pairz00_3063 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1690)))->BgL_exprza2za2);
							BgL_arg2054z00_1699 = CAR(BgL_pairz00_3063);
						}
						BgL_arg2055z00_1700 =
							(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1690))->BgL_otypez00);
						BgL_arg2053z00_1698 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2054z00_1699), BgL_callerz00_1691,
							BgL_arg2055z00_1700, CBOOL(BgL_safez00_1693));
					}
					{	/* Coerce/coerce.scm 188 */
						obj_t BgL_auxz00_4266;

						BgL_auxz00_4266 = ((obj_t) BgL_arg2053z00_1698);
						SET_CAR(BgL_arg2052z00_1697, BgL_auxz00_4266);
					}
				}
				{	/* Coerce/coerce.scm 189 */
					obj_t BgL_arg2057z00_1702;
					BgL_nodez00_bglt BgL_arg2058z00_1703;

					{	/* Coerce/coerce.scm 189 */
						obj_t BgL_pairz00_3066;

						BgL_pairz00_3066 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1690)))->BgL_exprza2za2);
						BgL_arg2057z00_1702 = CDR(BgL_pairz00_3066);
					}
					{	/* Coerce/coerce.scm 189 */
						obj_t BgL_arg2060z00_1705;
						BgL_typez00_bglt BgL_arg2061z00_1706;

						{	/* Coerce/coerce.scm 189 */
							obj_t BgL_pairz00_3067;

							BgL_pairz00_3067 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1690)))->BgL_exprza2za2);
							BgL_arg2060z00_1705 = CAR(CDR(BgL_pairz00_3067));
						}
						BgL_arg2061z00_1706 =
							(((BgL_setfieldz00_bglt) CREF(BgL_nodez00_1690))->BgL_ftypez00);
						BgL_arg2058z00_1703 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2060z00_1705), BgL_callerz00_1691,
							BgL_arg2061z00_1706, CBOOL(BgL_safez00_1693));
					}
					{	/* Coerce/coerce.scm 189 */
						obj_t BgL_auxz00_4280;

						BgL_auxz00_4280 = ((obj_t) BgL_arg2058z00_1703);
						SET_CAR(BgL_arg2057z00_1702, BgL_auxz00_4280);
					}
				}
				return
					BGl_convertz12z12zzcoerce_convertz00(
					((BgL_nodez00_bglt) BgL_nodez00_1690),
					((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00),
					((BgL_typez00_bglt) BgL_toz00_1692), CBOOL(BgL_safez00_1693));
			}
		}
	}



/* &coerce!-getfield1963 */
	BgL_nodez00_bglt BGl_z62coercez12zd2getfield1963za2zzcoerce_coercez00(obj_t
		BgL_envz00_3423, obj_t BgL_nodez00_3424, obj_t BgL_callerz00_3425,
		obj_t BgL_toz00_3426, obj_t BgL_safez00_3427)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 178 */
			{
				BgL_getfieldz00_bglt BgL_nodez00_1676;
				obj_t BgL_callerz00_1677;
				obj_t BgL_toz00_1678;
				obj_t BgL_safez00_1679;

				BgL_nodez00_1676 = ((BgL_getfieldz00_bglt) BgL_nodez00_3424);
				BgL_callerz00_1677 = BgL_callerz00_3425;
				BgL_toz00_1678 = BgL_toz00_3426;
				BgL_safez00_1679 = BgL_safez00_3427;
				{	/* Coerce/coerce.scm 180 */
					obj_t BgL_arg2046z00_1683;
					BgL_nodez00_bglt BgL_arg2047z00_1684;

					BgL_arg2046z00_1683 =
						(((BgL_externz00_bglt) CREF(
								((BgL_externz00_bglt) BgL_nodez00_1676)))->BgL_exprza2za2);
					{	/* Coerce/coerce.scm 180 */
						obj_t BgL_arg2048z00_1685;
						BgL_typez00_bglt BgL_arg2049z00_1686;

						{	/* Coerce/coerce.scm 180 */
							obj_t BgL_pairz00_3060;

							BgL_pairz00_3060 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_1676)))->BgL_exprza2za2);
							BgL_arg2048z00_1685 = CAR(BgL_pairz00_3060);
						}
						BgL_arg2049z00_1686 =
							(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1676))->BgL_otypez00);
						BgL_arg2047z00_1684 =
							BGl_coercez12z12zzcoerce_coercez00(
							((BgL_nodez00_bglt) BgL_arg2048z00_1685), BgL_callerz00_1677,
							BgL_arg2049z00_1686, CBOOL(BgL_safez00_1679));
					}
					{	/* Coerce/coerce.scm 180 */
						obj_t BgL_auxz00_4298;

						BgL_auxz00_4298 = ((obj_t) BgL_arg2047z00_1684);
						SET_CAR(BgL_arg2046z00_1683, BgL_auxz00_4298);
					}
				}
				{	/* Coerce/coerce.scm 181 */
					BgL_typez00_bglt BgL_arg2051z00_1688;

					BgL_arg2051z00_1688 =
						(((BgL_getfieldz00_bglt) CREF(BgL_nodez00_1676))->BgL_ftypez00);
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1676), BgL_arg2051z00_1688,
						((BgL_typez00_bglt) BgL_toz00_1678), CBOOL(BgL_safez00_1679));
				}
			}
		}
	}



/* &coerce!-widening1961 */
	BgL_nodez00_bglt BGl_z62coercez12zd2widening1961za2zzcoerce_coercez00(obj_t
		BgL_envz00_3428, obj_t BgL_nodez00_3429, obj_t BgL_callerz00_3430,
		obj_t BgL_toz00_3431, obj_t BgL_safez00_3432)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 167 */
			{
				BgL_wideningz00_bglt BgL_nodez00_1662;
				obj_t BgL_callerz00_1663;
				obj_t BgL_toz00_1664;
				obj_t BgL_safez00_1665;

				BgL_nodez00_1662 = ((BgL_wideningz00_bglt) BgL_nodez00_3429);
				BgL_callerz00_1663 = BgL_callerz00_3430;
				BgL_toz00_1664 = BgL_toz00_3431;
				BgL_safez00_1665 = BgL_safez00_3432;
				{	/* Coerce/coerce.scm 171 */
					obj_t BgL_superz00_1669;

					{
						BgL_tclassz00_bglt BgL_auxz00_4307;

						{
							obj_t BgL_auxz00_4308;

							{	/* Coerce/coerce.scm 171 */
								BgL_objectz00_bglt BgL_auxz00_4309;

								BgL_auxz00_4309 =
									((BgL_objectz00_bglt)
									((BgL_typez00_bglt)
										(((BgL_wideningz00_bglt) CREF(BgL_nodez00_1662))->
											BgL_otypez00)));
								BgL_auxz00_4308 = BGL_OBJECT_WIDENING(BgL_auxz00_4309);
							}
							BgL_auxz00_4307 = ((BgL_tclassz00_bglt) BgL_auxz00_4308);
						}
						BgL_superz00_1669 =
							(((BgL_tclassz00_bglt) CREF(BgL_auxz00_4307))->
							BgL_itszd2superzd2);
					}
					{	/* Coerce/coerce.scm 172 */
						obj_t BgL_arg2039z00_1670;
						BgL_nodez00_bglt BgL_arg2040z00_1671;

						BgL_arg2039z00_1670 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_1662)))->BgL_exprza2za2);
						{	/* Coerce/coerce.scm 172 */
							obj_t BgL_arg2042z00_1672;

							{	/* Coerce/coerce.scm 172 */
								obj_t BgL_pairz00_3057;

								BgL_pairz00_3057 =
									(((BgL_externz00_bglt) CREF(
											((BgL_externz00_bglt) BgL_nodez00_1662)))->
									BgL_exprza2za2);
								BgL_arg2042z00_1672 = CAR(BgL_pairz00_3057);
							}
							BgL_arg2040z00_1671 =
								BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_arg2042z00_1672), BgL_callerz00_1663,
								((BgL_typez00_bglt) BgL_superz00_1669),
								CBOOL(BgL_safez00_1665));
						}
						{	/* Coerce/coerce.scm 172 */
							obj_t BgL_auxz00_4325;

							BgL_auxz00_4325 = ((obj_t) BgL_arg2040z00_1671);
							SET_CAR(BgL_arg2039z00_1670, BgL_auxz00_4325);
						}
					}
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1662),
						((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
						((BgL_typez00_bglt) BgL_toz00_1664), CBOOL(BgL_safez00_1665));
				}
			}
		}
	}



/* &coerce!-extern1959 */
	BgL_nodez00_bglt BGl_z62coercez12zd2extern1959za2zzcoerce_coercez00(obj_t
		BgL_envz00_3433, obj_t BgL_nodez00_3434, obj_t BgL_callerz00_3435,
		obj_t BgL_toz00_3436, obj_t BgL_safez00_3437)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 154 */
			{
				BgL_externz00_bglt BgL_nodez00_1643;
				obj_t BgL_callerz00_1644;
				obj_t BgL_toz00_1645;
				obj_t BgL_safez00_1646;

				BgL_nodez00_1643 = ((BgL_externz00_bglt) BgL_nodez00_3434);
				BgL_callerz00_1644 = BgL_callerz00_3435;
				BgL_toz00_1645 = BgL_toz00_3436;
				BgL_safez00_1646 = BgL_safez00_3437;
				{
					obj_t BgL_valuesz00_1652;

					BgL_valuesz00_1652 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1643))->BgL_exprza2za2);
				BgL_zc3anonymousza32034ze3z83_1653:
					if (NULLP(BgL_valuesz00_1652))
						{	/* Coerce/coerce.scm 158 */
							BgL_typez00_bglt BgL_arg2036z00_1655;

							BgL_arg2036z00_1655 =
								BGl_getzd2typezd2zztype_typeofz00(
								((BgL_nodez00_bglt) BgL_nodez00_1643));
							return
								BGl_convertz12z12zzcoerce_convertz00(
								((BgL_nodez00_bglt) BgL_nodez00_1643), BgL_arg2036z00_1655,
								((BgL_typez00_bglt) BgL_toz00_1645), CBOOL(BgL_safez00_1646));
						}
					else
						{	/* Coerce/coerce.scm 159 */
							obj_t BgL_vz00_1656;

							BgL_vz00_1656 = CAR(BgL_valuesz00_1652);
							{	/* Coerce/coerce.scm 159 */
								BgL_nodez00_bglt BgL_nvz00_1657;

								{	/* Coerce/coerce.scm 160 */
									BgL_typez00_bglt BgL_arg2038z00_1659;

									BgL_arg2038z00_1659 =
										BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_vz00_1656));
									BgL_nvz00_1657 =
										BGl_coercez12z12zzcoerce_coercez00(
										((BgL_nodez00_bglt) BgL_vz00_1656), BgL_callerz00_1644,
										BgL_arg2038z00_1659, CBOOL(BgL_safez00_1646));
								}
								{	/* Coerce/coerce.scm 160 */

									{	/* Coerce/coerce.scm 161 */
										obj_t BgL_auxz00_4348;

										BgL_auxz00_4348 = ((obj_t) BgL_nvz00_1657);
										SET_CAR(BgL_valuesz00_1652, BgL_auxz00_4348);
									}
									{
										obj_t BgL_valuesz00_4351;

										BgL_valuesz00_4351 = CDR(BgL_valuesz00_1652);
										BgL_valuesz00_1652 = BgL_valuesz00_4351;
										goto BgL_zc3anonymousza32034ze3z83_1653;
									}
								}
							}
						}
				}
			}
		}
	}



/* &coerce!-sync1957 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sync1957za2zzcoerce_coercez00(obj_t
		BgL_envz00_3438, obj_t BgL_nodez00_3439, obj_t BgL_callerz00_3440,
		obj_t BgL_toz00_3441, obj_t BgL_safez00_3442)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 143 */
			{
				BgL_syncz00_bglt BgL_nodez00_1631;
				obj_t BgL_callerz00_1632;
				obj_t BgL_toz00_1633;
				obj_t BgL_safez00_1634;

				BgL_nodez00_1631 = ((BgL_syncz00_bglt) BgL_nodez00_3439);
				BgL_callerz00_1632 = BgL_callerz00_3440;
				BgL_toz00_1633 = BgL_toz00_3441;
				BgL_safez00_1634 = BgL_safez00_3442;
				{
					BgL_nodez00_bglt BgL_auxz00_4355;

					{	/* Coerce/coerce.scm 145 */
						BgL_nodez00_bglt BgL_arg2028z00_1638;

						BgL_arg2028z00_1638 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_mutexz00);
						BgL_auxz00_4355 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2028z00_1638,
							BgL_callerz00_1632,
							((BgL_typez00_bglt) BGl_za2mutexza2z00zztype_cachez00),
							CBOOL(BgL_safez00_1634));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4355), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4361;

					{	/* Coerce/coerce.scm 146 */
						BgL_nodez00_bglt BgL_arg2029z00_1639;

						BgL_arg2029z00_1639 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_prelockz00);
						BgL_auxz00_4361 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2029z00_1639,
							BgL_callerz00_1632,
							((BgL_typez00_bglt) BGl_za2pairzd2nilza2zd2zztype_cachez00),
							CBOOL(BgL_safez00_1634));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4361), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4367;

					{	/* Coerce/coerce.scm 147 */
						BgL_nodez00_bglt BgL_arg2030z00_1640;

						BgL_arg2030z00_1640 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_bodyz00);
						BgL_auxz00_4367 =
							BGl_coercez12z12zzcoerce_coercez00(BgL_arg2030z00_1640,
							BgL_callerz00_1632, ((BgL_typez00_bglt) BgL_toz00_1633),
							CBOOL(BgL_safez00_1634));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4367), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_4373;

					{	/* Coerce/coerce.scm 148 */
						BgL_typez00_bglt BgL_arg2032z00_1641;

						BgL_arg2032z00_1641 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1631)))->BgL_typez00);
						BgL_auxz00_4373 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BgL_toz00_1633), BgL_arg2032z00_1641);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1631)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4373), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1631);
			}
		}
	}



/* &coerce!-sequence1955 */
	BgL_nodez00_bglt BGl_z62coercez12zd2sequence1955za2zzcoerce_coercez00(obj_t
		BgL_envz00_3443, obj_t BgL_nodez00_3444, obj_t BgL_callerz00_3445,
		obj_t BgL_toz00_3446, obj_t BgL_safez00_3447)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 126 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1607;
				obj_t BgL_callerz00_1608;
				obj_t BgL_toz00_1609;
				obj_t BgL_safez00_1610;

				BgL_nodez00_1607 = ((BgL_sequencez00_bglt) BgL_nodez00_3444);
				BgL_callerz00_1608 = BgL_callerz00_3445;
				BgL_toz00_1609 = BgL_toz00_3446;
				BgL_safez00_1610 = BgL_safez00_3447;
				{	/* Coerce/coerce.scm 128 */
					obj_t BgL_sz00_1614;

					{	/* Coerce/coerce.scm 128 */
						bool_t BgL_testz00_4382;

						if (
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1607))->BgL_unsafez00))
							{	/* Coerce/coerce.scm 128 */
								BgL_testz00_4382 = ((bool_t) 0);
							}
						else
							{	/* Coerce/coerce.scm 128 */
								BgL_testz00_4382 = ((bool_t) 1);
							}
						if (BgL_testz00_4382)
							{	/* Coerce/coerce.scm 128 */
								BgL_sz00_1614 = BgL_safez00_1610;
							}
						else
							{	/* Coerce/coerce.scm 128 */
								BgL_sz00_1614 = BFALSE;
							}
					}
					{
						obj_t BgL_nodesz00_1617;

						{	/* Coerce/coerce.scm 129 */
							obj_t BgL_arg2017z00_1616;

							BgL_arg2017z00_1616 =
								(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1607))->BgL_nodesz00);
							{
								BgL_sequencez00_bglt BgL_auxz00_4386;

								BgL_nodesz00_1617 = BgL_arg2017z00_1616;
							BgL_zc3anonymousza32018ze3z83_1618:
								{	/* Coerce/coerce.scm 130 */
									obj_t BgL_nz00_1619;

									BgL_nz00_1619 = CAR(BgL_nodesz00_1617);
									if (NULLP(CDR(BgL_nodesz00_1617)))
										{	/* Coerce/coerce.scm 131 */
											{	/* Coerce/coerce.scm 133 */
												BgL_nodez00_bglt BgL_arg2021z00_1621;

												BgL_arg2021z00_1621 =
													BGl_coercez12z12zzcoerce_coercez00(
													((BgL_nodez00_bglt) BgL_nz00_1619),
													BgL_callerz00_1608,
													((BgL_typez00_bglt) BgL_toz00_1609),
													CBOOL(BgL_sz00_1614));
												{	/* Coerce/coerce.scm 133 */
													obj_t BgL_auxz00_4395;

													BgL_auxz00_4395 = ((obj_t) BgL_arg2021z00_1621);
													SET_CAR(BgL_nodesz00_1617, BgL_auxz00_4395);
												}
											}
											{
												BgL_typez00_bglt BgL_auxz00_4398;

												{	/* Coerce/coerce.scm 134 */
													BgL_typez00_bglt BgL_arg2022z00_1622;

													BgL_arg2022z00_1622 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1607)))->
														BgL_typez00);
													BgL_auxz00_4398 =
														BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_1609),
														BgL_arg2022z00_1622);
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1607)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_4398), BUNSPEC);
											}
											BgL_auxz00_4386 = BgL_nodez00_1607;
										}
									else
										{	/* Coerce/coerce.scm 131 */
											{	/* Coerce/coerce.scm 137 */
												BgL_nodez00_bglt BgL_arg2023z00_1623;

												{	/* Coerce/coerce.scm 137 */
													BgL_typez00_bglt BgL_arg2024z00_1624;

													BgL_arg2024z00_1624 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nz00_1619));
													BgL_arg2023z00_1623 =
														BGl_coercez12z12zzcoerce_coercez00(
														((BgL_nodez00_bglt) BgL_nz00_1619),
														BgL_callerz00_1608, BgL_arg2024z00_1624,
														CBOOL(BgL_sz00_1614));
												}
												{	/* Coerce/coerce.scm 137 */
													obj_t BgL_auxz00_4410;

													BgL_auxz00_4410 = ((obj_t) BgL_arg2023z00_1623);
													SET_CAR(BgL_nodesz00_1617, BgL_auxz00_4410);
												}
											}
											{
												obj_t BgL_nodesz00_4413;

												BgL_nodesz00_4413 = CDR(BgL_nodesz00_1617);
												BgL_nodesz00_1617 = BgL_nodesz00_4413;
												goto BgL_zc3anonymousza32018ze3z83_1618;
											}
										}
								}
								return ((BgL_nodez00_bglt) BgL_auxz00_4386);
							}
						}
					}
				}
			}
		}
	}



/* &coerce!-closure1953 */
	BgL_nodez00_bglt BGl_z62coercez12zd2closure1953za2zzcoerce_coercez00(obj_t
		BgL_envz00_3448, obj_t BgL_nodez00_3449, obj_t BgL_callerz00_3450,
		obj_t BgL_toz00_3451, obj_t BgL_safez00_3452)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 120 */
			{
				BgL_closurez00_bglt BgL_nodez00_1599;
				obj_t BgL_callerz00_1600;
				obj_t BgL_toz00_1601;
				obj_t BgL_safez00_1602;

				BgL_nodez00_1599 = ((BgL_closurez00_bglt) BgL_nodez00_3449);
				BgL_callerz00_1600 = BgL_callerz00_3450;
				BgL_toz00_1601 = BgL_toz00_3451;
				BgL_safez00_1602 = BgL_safez00_3452;
				{	/* Coerce/coerce.scm 121 */
					obj_t BgL_arg2016z00_3039;

					BgL_arg2016z00_3039 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1599));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2424z00zzcoerce_coercez00,
							BGl_string2457z00zzcoerce_coercez00, BgL_arg2016z00_3039));
				}
			}
		}
	}



/* &coerce!-var1951 */
	BgL_nodez00_bglt BGl_z62coercez12zd2var1951za2zzcoerce_coercez00(obj_t
		BgL_envz00_3453, obj_t BgL_nodez00_3454, obj_t BgL_callerz00_3455,
		obj_t BgL_toz00_3456, obj_t BgL_safez00_3457)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 105 */
			{
				BgL_varz00_bglt BgL_nodez00_1585;
				obj_t BgL_callerz00_1586;
				obj_t BgL_toz00_1587;
				obj_t BgL_safez00_1588;

				BgL_nodez00_1585 = ((BgL_varz00_bglt) BgL_nodez00_3454);
				BgL_callerz00_1586 = BgL_callerz00_3455;
				BgL_toz00_1587 = BgL_toz00_3456;
				BgL_safez00_1588 = BgL_safez00_3457;
				{	/* Coerce/coerce.scm 107 */
					BgL_typez00_bglt BgL_ntypez00_1592;
					BgL_typez00_bglt BgL_vtypez00_1593;

					BgL_ntypez00_1592 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1585));
					BgL_vtypez00_1593 =
						(((BgL_variablez00_bglt) CREF(
								(((BgL_varz00_bglt) CREF(BgL_nodez00_1585))->
									BgL_variablez00)))->BgL_typez00);
					if ((((obj_t) BgL_vtypez00_1593) == BgL_toz00_1587))
						{	/* Coerce/coerce.scm 110 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1585);
						}
					else
						{	/* Coerce/coerce.scm 110 */
							if ((((obj_t) BgL_ntypez00_1592) == ((obj_t) BgL_vtypez00_1593)))
								{	/* Coerce/coerce.scm 112 */
									return
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_1585), BgL_ntypez00_1592,
										((BgL_typez00_bglt) BgL_toz00_1587),
										CBOOL(BgL_safez00_1588));
								}
							else
								{	/* Coerce/coerce.scm 115 */
									BgL_nodez00_bglt BgL_arg2014z00_1596;

									BgL_arg2014z00_1596 =
										BGl_convertz12z12zzcoerce_convertz00(
										((BgL_nodez00_bglt) BgL_nodez00_1585), BgL_vtypez00_1593,
										BgL_ntypez00_1592, ((bool_t) 0));
									return
										BGl_convertz12z12zzcoerce_convertz00(BgL_arg2014z00_1596,
										BgL_ntypez00_1592, ((BgL_typez00_bglt) BgL_toz00_1587),
										CBOOL(BgL_safez00_1588));
								}
						}
				}
			}
		}
	}



/* &coerce!-kwote1949 */
	BgL_nodez00_bglt BGl_z62coercez12zd2kwote1949za2zzcoerce_coercez00(obj_t
		BgL_envz00_3458, obj_t BgL_nodez00_3459, obj_t BgL_callerz00_3460,
		obj_t BgL_toz00_3461, obj_t BgL_safez00_3462)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 90 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1577;
				obj_t BgL_callerz00_1578;
				obj_t BgL_toz00_1579;
				obj_t BgL_safez00_1580;

				BgL_nodez00_1577 = ((BgL_kwotez00_bglt) BgL_nodez00_3459);
				BgL_callerz00_1578 = BgL_callerz00_3460;
				BgL_toz00_1579 = BgL_toz00_3461;
				BgL_safez00_1580 = BgL_safez00_3462;
				{	/* Coerce/coerce.scm 91 */
					BgL_typez00_bglt BgL_arg2011z00_3035;

					BgL_arg2011z00_3035 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1577));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1577), BgL_arg2011z00_3035,
						((BgL_typez00_bglt) BgL_toz00_1579), CBOOL(BgL_safez00_1580));
				}
			}
		}
	}



/* &coerce!-atom1947 */
	BgL_nodez00_bglt BGl_z62coercez12zd2atom1947za2zzcoerce_coercez00(obj_t
		BgL_envz00_3463, obj_t BgL_nodez00_3464, obj_t BgL_callerz00_3465,
		obj_t BgL_toz00_3466, obj_t BgL_safez00_3467)
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 84 */
			{
				BgL_atomz00_bglt BgL_nodez00_1569;
				obj_t BgL_callerz00_1570;
				obj_t BgL_toz00_1571;
				obj_t BgL_safez00_1572;

				BgL_nodez00_1569 = ((BgL_atomz00_bglt) BgL_nodez00_3464);
				BgL_callerz00_1570 = BgL_callerz00_3465;
				BgL_toz00_1571 = BgL_toz00_3466;
				BgL_safez00_1572 = BgL_safez00_3467;
				{	/* Coerce/coerce.scm 85 */
					BgL_typez00_bglt BgL_arg2010z00_3034;

					BgL_arg2010z00_3034 =
						BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_nodez00_1569));
					return
						BGl_convertz12z12zzcoerce_convertz00(
						((BgL_nodez00_bglt) BgL_nodez00_1569), BgL_arg2010z00_3034,
						((BgL_typez00_bglt) BgL_toz00_1571), CBOOL(BgL_safez00_1572));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_coercez00()
	{
		AN_OBJECT;
		{	/* Coerce/coerce.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(((long) 44915300),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_convertz00(((long) 87995645),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_appz00(((long) 419328946),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_applyz00(((long) 435902431),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(((long) 40876382),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2458z00zzcoerce_coercez00));
		}
	}

#ifdef __cplusplus
}
#endif
