/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t BGl_z62abortzf3zd2fail2187z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2exter2145z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va2177zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2setq2147z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	static obj_t BGl_z62abortzf3zd2sync2191z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2var2129z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi2149z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_zc3anonymousza32339ze3z83zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r2165za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f2155za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62zc3anonymousza32361ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v2157za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32257ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd22161za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s2167za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62abortzf3zd2letzd2fun2195z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap2171zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2funcall2201z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd22163za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2appzd2ly2203z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2co2175zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var2193z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22180zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sequence2189z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22183zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_zc3anonymousza32321ze3z83zzdataflow_walkz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l2141za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2le2179zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2selec2153z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2funca2143z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2sync2136z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2fail2151z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62dataflowzd2nodez122125za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2app2139z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_zc3anonymousza32296ze3z83zzdataflow_walkz00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2closu2131z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62abortzf32184z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2in2173zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque2133z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static BgL_localz00_bglt BGl_z62lambda2252z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2255z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	static BgL_localz00_bglt BGl_z62lambda2258z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2env2168z62zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2265z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2266z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2app2199z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2270z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2271z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2conditional2197z43zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e2159za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2731z00zzdataflow_walkz00,
		BgL_bgl_string2731za700za7za7d2798za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2732z00zzdataflow_walkz00,
		BgL_bgl_string2732za700za7za7d2799za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2733z00zzdataflow_walkz00,
		BgL_bgl_string2733za700za7za7d2800za7, " error", 6);
	      DEFINE_STRING(BGl_string2734z00zzdataflow_walkz00,
		BgL_bgl_string2734za700za7za7d2801za7, "s", 1);
	      DEFINE_STRING(BGl_string2735z00zzdataflow_walkz00,
		BgL_bgl_string2735za700za7za7d2802za7, "", 0);
	      DEFINE_STRING(BGl_string2736z00zzdataflow_walkz00,
		BgL_bgl_string2736za700za7za7d2803za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2737z00zzdataflow_walkz00,
		BgL_bgl_string2737za700za7za7d2804za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2747z00zzdataflow_walkz00,
		BgL_bgl_string2747za700za7za7d2805za7, "dataflow-node!2125", 18);
	      DEFINE_STRING(BGl_string2749z00zzdataflow_walkz00,
		BgL_bgl_string2749za700za7za7d2806za7, "dataflow-test-env2168", 21);
	      DEFINE_STRING(BGl_string2751z00zzdataflow_walkz00,
		BgL_bgl_string2751za700za7za7d2807za7, "dataflow-test-false-2180", 24);
	      DEFINE_STRING(BGl_string2753z00zzdataflow_walkz00,
		BgL_bgl_string2753za700za7za7d2808za7, "abort?2184", 10);
	      DEFINE_STRING(BGl_string2755z00zzdataflow_walkz00,
		BgL_bgl_string2755za700za7za7d2809za7, "dataflow-node!", 14);
	      DEFINE_STRING(BGl_string2775z00zzdataflow_walkz00,
		BgL_bgl_string2775za700za7za7d2810za7, "dataflow-test-env", 17);
	      DEFINE_STRING(BGl_string2781z00zzdataflow_walkz00,
		BgL_bgl_string2781za700za7za7d2811za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2783z00zzdataflow_walkz00,
		BgL_bgl_string2783za700za7za7d2812za7, "abort?", 6);
	      DEFINE_STRING(BGl_string2792z00zzdataflow_walkz00,
		BgL_bgl_string2792za700za7za7d2813za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2793z00zzdataflow_walkz00,
		BgL_bgl_string2793za700za7za7d2814za7,
		"read _ dataflow_walk local/value int stamp node $epair? $pair? foreign $null? pass-started ",
		91);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2815z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2816z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72817za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2818z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2738z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2266za7622819z00, BGl_z62lambda2266z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2739z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2265za7622820z00, BGl_z62lambda2265z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2740z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2271za7622821z00, BGl_z62lambda2271z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2741z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2270za7622822z00, BGl_z62lambda2270z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2742z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2258za7622823z00, BGl_z62lambda2258z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2743z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72824za7,
		BGl_z62zc3anonymousza32257ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2744z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2255za7622825z00, BGl_z62lambda2255z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2745z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2252za7622826z00, BGl_z62lambda2252z62zzdataflow_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2746z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2827z00,
		BGl_z62dataflowzd2nodez122125za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2748z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2828z00,
		BGl_z62dataflowzd2testzd2env2168z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2750z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2829z00,
		BGl_z62dataflowzd2testzd2falsezd22180zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2752z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f32184za72830za7,
		BGl_z62abortzf32184z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2754z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2831z00,
		BGl_z62dataflowzd2nodez12zd2var2129z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2756z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2832z00,
		BGl_z62dataflowzd2nodez12zd2closu2131z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2757z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2833z00,
		BGl_z62dataflowzd2nodez12zd2seque2133z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2758z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2834z00,
		BGl_z62dataflowzd2nodez12zd2sync2136z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2759z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2835z00,
		BGl_z62dataflowzd2nodez12zd2app2139z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2836z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2760z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2837z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l2141za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2761z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2838z00,
		BGl_z62dataflowzd2nodez12zd2funca2143z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2762z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2839z00,
		BGl_z62dataflowzd2nodez12zd2exter2145z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2763z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2840z00,
		BGl_z62dataflowzd2nodez12zd2setq2147z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2764z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2841z00,
		BGl_z62dataflowzd2nodez12zd2condi2149z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2765z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2842z00,
		BGl_z62dataflowzd2nodez12zd2fail2151z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2766z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2843z00,
		BGl_z62dataflowzd2nodez12zd2selec2153z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2767z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2844z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f2155za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2768z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2845z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v2157za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2769z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2846z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e2159za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2770z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2847z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd22161za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2771z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2848z00,
		BGl_z62dataflowzd2nodez12zd2makezd22163za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2772z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2849z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r2165za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2773z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2850z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s2167za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2774z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2851z00,
		BGl_z62dataflowzd2testzd2envzd2ap2171zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2776z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2852z00,
		BGl_z62dataflowzd2testzd2envzd2in2173zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2777z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2853z00,
		BGl_z62dataflowzd2testzd2envzd2co2175zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2778z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2854z00,
		BGl_z62dataflowzd2testzd2envzd2va2177zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2779z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2855z00,
		BGl_z62dataflowzd2testzd2envzd2le2179zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2780z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2856z00,
		BGl_z62dataflowzd2testzd2falsezd22183zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2782z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2857za7,
		BGl_z62abortzf3zd2fail2187z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2784z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2858za7,
		BGl_z62abortzf3zd2sequence2189z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2785z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2859za7,
		BGl_z62abortzf3zd2sync2191z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2786z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2860za7,
		BGl_z62abortzf3zd2letzd2var2193z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2787z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2861za7,
		BGl_z62abortzf3zd2letzd2fun2195z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2788z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2862za7,
		BGl_z62abortzf3zd2conditional2197z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2789z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2863za7,
		BGl_z62abortzf3zd2app2199z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2790z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2864za7,
		BGl_z62abortzf3zd2funcall2201z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2791z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2865za7,
		BGl_z62abortzf3zd2appzd2ly2203z91zzdataflow_walkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_4101, char *BgL_fromz00_4102)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					BGl_toplevelzd2initzd2zzdataflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_4075;

				BgL_cportz00_4075 =
					bgl_open_input_string(BGl_string2793z00zzdataflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4076;

					BgL_iz00_4076 = ((long) 11);
				BgL_loopz00_4077:
					if ((BgL_iz00_4076 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2795z00_4079;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_4081;

										BgL_locationz00_4081 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2795z00_4079 =
												BGl_readz00zz__readerz00(BgL_cportz00_4075,
												BgL_locationz00_4081);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_auxz00_4130;

									BgL_auxz00_4130 = (int) (BgL_iz00_4076);
									CNST_TABLE_SET(BgL_auxz00_4130, BgL_arg2795z00_4079);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_4082;

								BgL_auxz00_4082 = (int) ((BgL_iz00_4076 - ((long) 1)));
								{
									long BgL_iz00_4135;

									BgL_iz00_4135 = (long) (BgL_auxz00_4082);
									BgL_iz00_4076 = BgL_iz00_4135;
									goto BgL_loopz00_4077;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1661;

				BgL_headz00_1661 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1662;
					obj_t BgL_tailz00_1663;

					BgL_prevz00_1662 = BgL_headz00_1661;
					BgL_tailz00_1663 = BgL_l1z00_1;
				BgL_loopz00_1664:
					if (PAIRP(BgL_tailz00_1663))
						{
							obj_t BgL_newzd2prevzd2_1666;

							BgL_newzd2prevzd2_1666 =
								MAKE_PAIR(CAR(BgL_tailz00_1663), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1662, BgL_newzd2prevzd2_1666);
							{
								obj_t BgL_tailz00_4144;
								obj_t BgL_prevz00_4143;

								BgL_prevz00_4143 = BgL_newzd2prevzd2_1666;
								BgL_tailz00_4144 = CDR(BgL_tailz00_1663);
								BgL_tailz00_1663 = BgL_tailz00_4144;
								BgL_prevz00_1662 = BgL_prevz00_4143;
								goto BgL_loopz00_1664;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1661);
				}
			}
		}
	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			{	/* Dataflow/walk.scm 45 */
				obj_t BgL_list2210z00_1701;

				{	/* Dataflow/walk.scm 45 */
					obj_t BgL_arg2211z00_1702;

					{	/* Dataflow/walk.scm 45 */
						obj_t BgL_arg2212z00_1703;

						BgL_arg2212z00_1703 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2211z00_1702 =
							MAKE_PAIR(BgL_namez00_57, BgL_arg2212z00_1703);
					}
					BgL_list2210z00_1701 =
						MAKE_PAIR(BGl_string2731z00zzdataflow_walkz00, BgL_arg2211z00_1702);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2210z00_1701);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{
				obj_t BgL_hooksz00_1707;
				obj_t BgL_hnamesz00_1708;

				BgL_hooksz00_1707 = BNIL;
				BgL_hnamesz00_1708 = BNIL;
			BgL_zc3anonymousza32213ze3z83_1709:
				if (NULLP(BgL_hooksz00_1707))
					{	/* Dataflow/walk.scm 45 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Dataflow/walk.scm 45 */
						bool_t BgL_testz00_4157;

						{	/* Dataflow/walk.scm 45 */
							obj_t BgL_fun2220z00_1715;

							BgL_fun2220z00_1715 = CAR(BgL_hooksz00_1707);
							BgL_testz00_4157 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2220z00_1715) (BgL_fun2220z00_1715,
									BEOA));
						}
						if (BgL_testz00_4157)
							{
								obj_t BgL_hnamesz00_4165;
								obj_t BgL_hooksz00_4163;

								BgL_hooksz00_4163 = CDR(BgL_hooksz00_1707);
								BgL_hnamesz00_4165 = CDR(BgL_hnamesz00_1708);
								BgL_hnamesz00_1708 = BgL_hnamesz00_4165;
								BgL_hooksz00_1707 = BgL_hooksz00_4163;
								goto BgL_zc3anonymousza32213ze3z83_1709;
							}
						else
							{	/* Dataflow/walk.scm 45 */
								BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
									BGl_string2732z00zzdataflow_walkz00, CAR(BgL_hnamesz00_1708));
							}
					}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l2081z00_1719;

				BgL_l2081z00_1719 = BgL_globalsz00_56;
			BgL_zc3anonymousza32222ze3z83_1720:
				if (PAIRP(BgL_l2081z00_1719))
					{	/* Dataflow/walk.scm 49 */
						{	/* Dataflow/walk.scm 49 */
							obj_t BgL_arg2224z00_1722;

							BgL_arg2224z00_1722 = CAR(BgL_l2081z00_1719);
							{	/* Dataflow/walk.scm 63 */
								obj_t BgL_arg2240z00_3336;

								BgL_arg2240z00_3336 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg2224z00_1722))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg2240z00_3336), BNIL);
							}
						}
						{
							obj_t BgL_l2081z00_4188;

							BgL_l2081z00_4188 = CDR(BgL_l2081z00_1719);
							BgL_l2081z00_1719 = BgL_l2081z00_4188;
							goto BgL_zc3anonymousza32222ze3z83_1720;
						}
					}
				else
					{	/* Dataflow/walk.scm 49 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 50 */
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_port2083z00_1727;

						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_res2605z00_3348;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_auxz00_4193;

								BgL_auxz00_4193 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2605z00_3348 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_4193);
							}
							BgL_port2083z00_1727 = BgL_res2605z00_3348;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port2083z00_1727);
						bgl_display_string(BGl_string2733z00zzdataflow_walkz00,
							BgL_port2083z00_1727);
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg2227z00_1728;

							{	/* Dataflow/walk.scm 50 */
								bool_t BgL_testz00_4198;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 50 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_4198 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_4198 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_testz00_4198 = ((bool_t) 0);
									}
								if (BgL_testz00_4198)
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2227z00_1728 = BGl_string2734z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2227z00_1728 = BGl_string2735z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2227z00_1728, BgL_port2083z00_1727);
						}
						bgl_display_string(BGl_string2736z00zzdataflow_walkz00,
							BgL_port2083z00_1727);
						bgl_display_char(((unsigned char) '\n'), BgL_port2083z00_1727);
					}
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_list2231z00_1732;

						BgL_list2231z00_1732 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2231z00_1732);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1736;
					obj_t BgL_hnamesz00_1737;

					BgL_hooksz00_1736 = BNIL;
					BgL_hnamesz00_1737 = BNIL;
				BgL_zc3anonymousza32232ze3z83_1738:
					if (NULLP(BgL_hooksz00_1736))
						{	/* Dataflow/walk.scm 50 */
							return BgL_globalsz00_56;
						}
					else
						{	/* Dataflow/walk.scm 50 */
							bool_t BgL_testz00_4215;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_fun2238z00_1744;

								BgL_fun2238z00_1744 = CAR(BgL_hooksz00_1736);
								BgL_testz00_4215 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2238z00_1744)
									(BgL_fun2238z00_1744, BEOA));
							}
							if (BgL_testz00_4215)
								{
									obj_t BgL_hnamesz00_4223;
									obj_t BgL_hooksz00_4221;

									BgL_hooksz00_4221 = CDR(BgL_hooksz00_1736);
									BgL_hnamesz00_4223 = CDR(BgL_hnamesz00_1737);
									BgL_hnamesz00_1737 = BgL_hnamesz00_4223;
									BgL_hooksz00_1736 = BgL_hooksz00_4221;
									goto BgL_zc3anonymousza32232ze3z83_1738;
								}
							else
								{	/* Dataflow/walk.scm 50 */
									obj_t BgL_arg2237z00_1743;

									BgL_arg2237z00_1743 = CAR(BgL_hnamesz00_1737);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2737z00zzdataflow_walkz00, BgL_arg2237z00_1743);
								}
						}
				}
		}
	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3885,
		obj_t BgL_globalsz00_3886, obj_t BgL_namez00_3887)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3886,
				BgL_namez00_3887);
		}
	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 306 */
			{
				obj_t BgL_l2105z00_1750;

				BgL_l2105z00_1750 = BgL_nodeza2za2_99;
			BgL_zc3anonymousza32242ze3z83_1751:
				if (PAIRP(BgL_l2105z00_1750))
					{	/* Dataflow/walk.scm 307 */
						{	/* Dataflow/walk.scm 307 */
							obj_t BgL_nz00_1753;

							BgL_nz00_1753 = CAR(BgL_l2105z00_1750);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1753), BgL_envz00_100);
						}
						{
							obj_t BgL_l2105z00_4233;

							BgL_l2105z00_4233 = CDR(BgL_l2105z00_1750);
							BgL_l2105z00_1750 = BgL_l2105z00_4233;
							goto BgL_zc3anonymousza32242ze3z83_1751;
						}
					}
				else
					{	/* Dataflow/walk.scm 307 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 36 */
				obj_t BgL_arg2250z00_1760;
				obj_t BgL_arg2251z00_1761;

				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2123z00_1795;

					BgL_v2123z00_1795 = create_vector((int) (((long) 2)));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2262z00_1796;

						BgL_arg2262z00_1796 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2739z00zzdataflow_walkz00,
							BGl_proc2738z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2123z00_1795, (int) (((long) 1)),
							BgL_arg2262z00_1796);
					}
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2267z00_1808;

						BgL_arg2267z00_1808 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2741z00zzdataflow_walkz00,
							BGl_proc2740z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v2123z00_1795, (int) (((long) 0)),
							BgL_arg2267z00_1808);
					}
					BgL_arg2250z00_1760 = BgL_v2123z00_1795;
				}
				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2124z00_1820;

					BgL_v2124z00_1820 = create_vector((int) (((long) 0)));
					BgL_arg2251z00_1761 = BgL_v2124z00_1820;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2745z00zzdataflow_walkz00,
						BGl_proc2744z00zzdataflow_walkz00, BFALSE,
						BGl_proc2743z00zzdataflow_walkz00,
						BGl_proc2742z00zzdataflow_walkz00, BgL_arg2250z00_1760,
						BgL_arg2251z00_1761), BUNSPEC);
		}}
	}



/* &lambda2258 */
	BgL_localz00_bglt BGl_z62lambda2258z62zzdataflow_walkz00(obj_t
		BgL_envz00_3896, obj_t BgL_o1117z00_3897)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1117z00_1789;

				BgL_o1117z00_1789 = ((BgL_localz00_bglt) BgL_o1117z00_3897);
				{	/* Dataflow/walk.scm 36 */
					long BgL_arg2259z00_1792;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2260z00_1793;

						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_arg2261z00_1794;

							{	/* Dataflow/walk.scm 36 */
								long BgL_arg1772z00_3407;

								{	/* Dataflow/walk.scm 36 */
									long BgL_arg1773z00_3408;

									{	/* Dataflow/walk.scm 36 */
										long BgL_res2615z00_3410;

										BgL_res2615z00_3410 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_o1117z00_1789));
										BgL_arg1773z00_3408 = BgL_res2615z00_3410;
									}
									BgL_arg1772z00_3407 = (BgL_arg1773z00_3408 - OBJECT_TYPE);
								}
								BgL_arg2261z00_1794 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									(int) (BgL_arg1772z00_3407));
							}
							BgL_arg2260z00_1793 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2261z00_1794);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_res2617z00_3417;

							BgL_res2617z00_3417 = BGL_CLASS_INDEX(BgL_arg2260z00_1793);
							BgL_arg2259z00_1792 = BgL_res2617z00_3417;
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_o1117z00_1789), BgL_arg2259z00_1792);
				}
				{	/* Dataflow/walk.scm 36 */
					BgL_objectz00_bglt BgL_auxz00_4260;

					BgL_auxz00_4260 = ((BgL_objectz00_bglt) BgL_o1117z00_1789);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4260, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1117z00_1789);
			}
		}
	}



/* &<anonymous:2257> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32257ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3898, obj_t BgL_new1116z00_3899)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_new1116z00_1787;

				BgL_new1116z00_1787 = ((BgL_localz00_bglt) BgL_new1116z00_3899);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1116z00_1787)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1787)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4270;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3400;

						BgL_classz00_3400 = BGl_typez00zztype_typez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1092z00_3401;

							BgL__ortest_1092z00_3401 = BGL_CLASS_NIL(BgL_classz00_3400);
							if (CBOOL(BgL__ortest_1092z00_3401))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4270 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_3401);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4270 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3400));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1116z00_1787)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4270), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4279;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3402;

						BgL_classz00_3402 = BGl_valuez00zzast_varz00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1092z00_3403;

							BgL__ortest_1092z00_3403 = BGL_CLASS_NIL(BgL_classz00_3402);
							if (CBOOL(BgL__ortest_1092z00_3403))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4279 =
										((BgL_valuez00_bglt) BgL__ortest_1092z00_3403);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4279 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3402));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1116z00_1787)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4279), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1116z00_1787)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1787)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1787)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1787)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1787)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1116z00_1787)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1116z00_1787)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4302;

					{
						obj_t BgL_auxz00_4303;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4304;

							BgL_auxz00_4304 = ((BgL_objectz00_bglt) BgL_new1116z00_1787);
							BgL_auxz00_4303 = BGL_OBJECT_WIDENING(BgL_auxz00_4304);
						}
						BgL_auxz00_4302 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4303);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4302))->BgL_stampz00) =
						((int) (int) (((long) 0))), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4316;
					BgL_localzf2valuezf2_bglt BgL_auxz00_4310;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3404;

						BgL_classz00_3404 = BGl_nodez00zzast_nodez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1092z00_3405;

							BgL__ortest_1092z00_3405 = BGL_CLASS_NIL(BgL_classz00_3404);
							if (CBOOL(BgL__ortest_1092z00_3405))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4316 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_3405);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4316 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3404));
								}
						}
					}
					{
						obj_t BgL_auxz00_4311;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4312;

							BgL_auxz00_4312 = ((BgL_objectz00_bglt) BgL_new1116z00_1787);
							BgL_auxz00_4311 = BGL_OBJECT_WIDENING(BgL_auxz00_4312);
						}
						BgL_auxz00_4310 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4311);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4310))->BgL_nodez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4316), BUNSPEC);
				}
				return BgL_new1116z00_1787;
			}
		}
	}



/* &lambda2255 */
	BgL_localz00_bglt BGl_z62lambda2255z62zzdataflow_walkz00(obj_t
		BgL_envz00_3900, obj_t BgL_o1113z00_3901)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1113z00_1782;

				BgL_o1113z00_1782 = ((BgL_localz00_bglt) BgL_o1113z00_3901);
				{	/* Dataflow/walk.scm 36 */
					BgL_localzf2valuezf2_bglt BgL_wide1115z00_1785;

					BgL_wide1115z00_1785 =
						((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2valuezf2_bgl))));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_auxz00_4329;
						BgL_objectz00_bglt BgL_auxz00_4326;

						BgL_auxz00_4329 = ((obj_t) BgL_wide1115z00_1785);
						BgL_auxz00_4326 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1113z00_1782));
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4326, BgL_auxz00_4329);
					}
					{	/* Dataflow/walk.scm 36 */
						long BgL_arg2256z00_1786;

						{	/* Dataflow/walk.scm 36 */
							long BgL_res2614z00_3397;

							BgL_res2614z00_3397 =
								BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
							BgL_arg2256z00_1786 = BgL_res2614z00_3397;
						}
						((BgL_localz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_o1113z00_1782)),
								BgL_arg2256z00_1786));
					}
					return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1113z00_1782));
				}
			}
		}
	}



/* &lambda2252 */
	BgL_localz00_bglt BGl_z62lambda2252z62zzdataflow_walkz00(obj_t
		BgL_envz00_3902, obj_t BgL_id1100z00_3903, obj_t BgL_name1101z00_3904,
		obj_t BgL_type1102z00_3905, obj_t BgL_value1103z00_3906,
		obj_t BgL_access1104z00_3907, obj_t BgL_fastzd2alpha1105zd2_3908,
		obj_t BgL_removable1106z00_3909, obj_t BgL_occurrence1107z00_3910,
		obj_t BgL_occurrencew1108z00_3911, obj_t BgL_userzf31109zf3_3912,
		obj_t BgL_key1110z00_3913, obj_t BgL_stamp1111z00_3914,
		obj_t BgL_node1112z00_3915)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				obj_t BgL_id1100z00_1762;
				obj_t BgL_name1101z00_1763;
				BgL_typez00_bglt BgL_type1102z00_1764;
				BgL_valuez00_bglt BgL_value1103z00_1765;
				obj_t BgL_access1104z00_1766;
				obj_t BgL_fastzd2alpha1105zd2_1767;
				obj_t BgL_removable1106z00_1768;
				long BgL_occurrence1107z00_1769;
				long BgL_occurrencew1108z00_1770;
				bool_t BgL_userzf31109zf3_1771;
				long BgL_key1110z00_1772;
				int BgL_stamp1111z00_1773;
				BgL_nodez00_bglt BgL_node1112z00_1774;

				BgL_id1100z00_1762 = BgL_id1100z00_3903;
				BgL_name1101z00_1763 = BgL_name1101z00_3904;
				BgL_type1102z00_1764 = ((BgL_typez00_bglt) BgL_type1102z00_3905);
				BgL_value1103z00_1765 = ((BgL_valuez00_bglt) BgL_value1103z00_3906);
				BgL_access1104z00_1766 = BgL_access1104z00_3907;
				BgL_fastzd2alpha1105zd2_1767 = BgL_fastzd2alpha1105zd2_3908;
				BgL_removable1106z00_1768 = BgL_removable1106z00_3909;
				BgL_occurrence1107z00_1769 = (long) CINT(BgL_occurrence1107z00_3910);
				BgL_occurrencew1108z00_1770 = (long) CINT(BgL_occurrencew1108z00_3911);
				BgL_userzf31109zf3_1771 = CBOOL(BgL_userzf31109zf3_3912);
				BgL_key1110z00_1772 = (long) CINT(BgL_key1110z00_3913);
				BgL_stamp1111z00_1773 = CINT(BgL_stamp1111z00_3914);
				BgL_node1112z00_1774 = ((BgL_nodez00_bglt) BgL_node1112z00_3915);
				{	/* Dataflow/walk.scm 36 */
					BgL_localz00_bglt BgL_new1212z00_1776;

					{	/* Dataflow/walk.scm 36 */
						BgL_localz00_bglt BgL_tmp1210z00_1777;
						BgL_localzf2valuezf2_bglt BgL_wide1211z00_1778;

						{
							BgL_localz00_bglt BgL_auxz00_4340;

							{	/* Dataflow/walk.scm 36 */
								BgL_localz00_bglt BgL_new1209z00_1780;

								BgL_new1209z00_1780 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 36 */
									long BgL_arg2254z00_1781;

									{	/* Dataflow/walk.scm 36 */
										long BgL_res2612z00_3389;

										BgL_res2612z00_3389 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg2254z00_1781 = BgL_res2612z00_3389;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1209z00_1780),
										BgL_arg2254z00_1781);
								}
								{	/* Dataflow/walk.scm 36 */
									BgL_objectz00_bglt BgL_auxz00_4345;

									BgL_auxz00_4345 = ((BgL_objectz00_bglt) BgL_new1209z00_1780);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4345, BFALSE);
								}
								BgL_auxz00_4340 = BgL_new1209z00_1780;
							}
							BgL_tmp1210z00_1777 = ((BgL_localz00_bglt) BgL_auxz00_4340);
						}
						BgL_wide1211z00_1778 =
							((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_auxz00_4352;
							BgL_objectz00_bglt BgL_auxz00_4350;

							BgL_auxz00_4352 = ((obj_t) BgL_wide1211z00_1778);
							BgL_auxz00_4350 = ((BgL_objectz00_bglt) BgL_tmp1210z00_1777);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4350, BgL_auxz00_4352);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_arg2253z00_1779;

							{	/* Dataflow/walk.scm 36 */
								long BgL_res2613z00_3393;

								BgL_res2613z00_3393 =
									BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
								BgL_arg2253z00_1779 = BgL_res2613z00_3393;
							}
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1210z00_1777),
									BgL_arg2253z00_1779));
						}
						BgL_new1212z00_1776 = ((BgL_localz00_bglt) BgL_tmp1210z00_1777);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1212z00_1776)))->BgL_idz00) =
						((obj_t) BgL_id1100z00_1762), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1776)))->BgL_namez00) =
						((obj_t) BgL_name1101z00_1763), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1776)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1102z00_1764), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1776)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1103z00_1765), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1776)))->BgL_accessz00) =
						((obj_t) BgL_access1104z00_1766), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1776)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1105zd2_1767), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1776)))->BgL_removablez00) =
						((obj_t) BgL_removable1106z00_1768), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1776)))->BgL_occurrencez00) =
						((long) BgL_occurrence1107z00_1769), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1776)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1108z00_1770), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1212z00_1776)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31109zf3_1771), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1212z00_1776)))->BgL_keyz00) =
						((long) BgL_key1110z00_1772), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4382;

						{
							obj_t BgL_auxz00_4383;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4384;

								BgL_auxz00_4384 = ((BgL_objectz00_bglt) BgL_new1212z00_1776);
								BgL_auxz00_4383 = BGL_OBJECT_WIDENING(BgL_auxz00_4384);
							}
							BgL_auxz00_4382 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4383);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4382))->
								BgL_stampz00) = ((int) BgL_stamp1111z00_1773), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4389;

						{
							obj_t BgL_auxz00_4390;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4391;

								BgL_auxz00_4391 = ((BgL_objectz00_bglt) BgL_new1212z00_1776);
								BgL_auxz00_4390 = BGL_OBJECT_WIDENING(BgL_auxz00_4391);
							}
							BgL_auxz00_4389 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4390);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4389))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) BgL_node1112z00_1774), BUNSPEC);
					}
					return BgL_new1212z00_1776;
				}
			}
		}
	}



/* &lambda2271 */
	obj_t BGl_z62lambda2271z62zzdataflow_walkz00(obj_t BgL_envz00_3916,
		obj_t BgL_oz00_3917, obj_t BgL_vz00_3918)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1814;
				int BgL_vz00_1815;

				BgL_oz00_1814 = ((BgL_localz00_bglt) BgL_oz00_3917);
				BgL_vz00_1815 = CINT(BgL_vz00_3918);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4404;

					{
						obj_t BgL_auxz00_4405;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4406;

							BgL_auxz00_4406 = ((BgL_objectz00_bglt) BgL_oz00_1814);
							BgL_auxz00_4405 = BGL_OBJECT_WIDENING(BgL_auxz00_4406);
						}
						BgL_auxz00_4404 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4405);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4404))->
							BgL_stampz00) = ((int) BgL_vz00_1815), BUNSPEC);
		}}}
	}



/* &lambda2270 */
	obj_t BGl_z62lambda2270z62zzdataflow_walkz00(obj_t BgL_envz00_3919,
		obj_t BgL_oz00_3920)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1811;

				{	/* Dataflow/walk.scm 36 */
					int BgL_auxz00_4413;

					BgL_oz00_1811 = ((BgL_localz00_bglt) BgL_oz00_3920);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4414;

						{
							obj_t BgL_auxz00_4415;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4416;

								BgL_auxz00_4416 = ((BgL_objectz00_bglt) BgL_oz00_1811);
								BgL_auxz00_4415 = BGL_OBJECT_WIDENING(BgL_auxz00_4416);
							}
							BgL_auxz00_4414 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4415);
						}
						BgL_auxz00_4413 =
							(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4414))->
							BgL_stampz00);
					}
					return BINT(BgL_auxz00_4413);
				}
			}
		}
	}



/* &lambda2266 */
	obj_t BGl_z62lambda2266z62zzdataflow_walkz00(obj_t BgL_envz00_3921,
		obj_t BgL_oz00_3922, obj_t BgL_vz00_3923)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1802;
				BgL_nodez00_bglt BgL_vz00_1803;

				BgL_oz00_1802 = ((BgL_localz00_bglt) BgL_oz00_3922);
				BgL_vz00_1803 = ((BgL_nodez00_bglt) BgL_vz00_3923);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4423;

					{
						obj_t BgL_auxz00_4424;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4425;

							BgL_auxz00_4425 = ((BgL_objectz00_bglt) BgL_oz00_1802);
							BgL_auxz00_4424 = BGL_OBJECT_WIDENING(BgL_auxz00_4425);
						}
						BgL_auxz00_4423 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4424);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4423))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_vz00_1803), BUNSPEC);
				}
			}
		}
	}



/* &lambda2265 */
	BgL_nodez00_bglt BGl_z62lambda2265z62zzdataflow_walkz00(obj_t BgL_envz00_3924,
		obj_t BgL_oz00_3925)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1799;

				BgL_oz00_1799 = ((BgL_localz00_bglt) BgL_oz00_3925);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4432;

					{
						obj_t BgL_auxz00_4433;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4434;

							BgL_auxz00_4434 = ((BgL_objectz00_bglt) BgL_oz00_1799);
							BgL_auxz00_4433 = BGL_OBJECT_WIDENING(BgL_auxz00_4434);
						}
						BgL_auxz00_4432 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4433);
					}
					return
						(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4432))->BgL_nodez00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2746z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2747z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2748z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2749z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2750z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2751z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2752z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2753z00zzdataflow_walkz00);
		}
	}



/* &abort?2184 */
	obj_t BGl_z62abortzf32184z91zzdataflow_walkz00(obj_t BgL_envz00_3930,
		obj_t BgL_nodez00_3931)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 427 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &dataflow-test-false-2180 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22180zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3932, obj_t BgL_nodez00_3933)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 399 */
			return BNIL;
		}
	}



/* &dataflow-test-env2168 */
	obj_t BGl_z62dataflowzd2testzd2env2168z62zzdataflow_walkz00(obj_t
		BgL_envz00_3934, obj_t BgL_nodez00_3935)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 313 */
			return BNIL;
		}
	}



/* &dataflow-node!2125 */
	obj_t BGl_z62dataflowzd2nodez122125za2zzdataflow_walkz00(obj_t
		BgL_envz00_3936, obj_t BgL_nodez00_3937, obj_t BgL_envz00_3938)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return BgL_envz00_3938;
		}
	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			{	/* Dataflow/walk.scm 68 */
				obj_t BgL_method2127z00_1842;

				{	/* Dataflow/walk.scm 68 */
					obj_t BgL_res2624z00_3448;

					{	/* Dataflow/walk.scm 68 */
						long BgL_objzd2classzd2numz00_3421;

						{	/* Dataflow/walk.scm 68 */
							long BgL_res2618z00_3424;

							BgL_res2618z00_3424 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_59));
							BgL_objzd2classzd2numz00_3421 = BgL_res2618z00_3424;
						}
						{	/* Dataflow/walk.scm 68 */
							obj_t BgL_arg1769z00_3422;

							BgL_arg1769z00_3422 =
								PROCEDURE_REF(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 68 */
								int BgL_offsetz00_3426;

								BgL_offsetz00_3426 = (int) (BgL_objzd2classzd2numz00_3421);
								{	/* Dataflow/walk.scm 68 */
									long BgL_offsetz00_3427;

									BgL_offsetz00_3427 =
										((long) (BgL_offsetz00_3426) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 68 */
										long BgL_modz00_3428;

										{	/* Dataflow/walk.scm 68 */
											int BgL_arg1771z00_3429;

											BgL_arg1771z00_3429 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 68 */
												long BgL_res2621z00_3439;

												{	/* Dataflow/walk.scm 68 */
													long BgL_auxz00_4453;

													BgL_auxz00_4453 = (long) (BgL_arg1771z00_3429);
													BgL_res2621z00_3439 =
														(BgL_offsetz00_3427 / BgL_auxz00_4453);
												}
												BgL_modz00_3428 = BgL_res2621z00_3439;
										}}
										{	/* Dataflow/walk.scm 68 */
											long BgL_restz00_3430;

											{	/* Dataflow/walk.scm 68 */
												int BgL_arg1770z00_3431;

												BgL_arg1770z00_3431 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 68 */
													long BgL_res2623z00_3443;

													{	/* Dataflow/walk.scm 68 */
														long BgL_auxz00_4457;

														BgL_auxz00_4457 = (long) (BgL_arg1770z00_3431);
														BgL_res2623z00_3443 =
															(BgL_offsetz00_3427 % BgL_auxz00_4457);
													}
													BgL_restz00_3430 = BgL_res2623z00_3443;
											}}
											{	/* Dataflow/walk.scm 68 */

												BgL_res2624z00_3448 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_3422,
														(int) (BgL_modz00_3428)), (int) (BgL_restz00_3430));
					}}}}}}}
					BgL_method2127z00_1842 = BgL_res2624z00_3448;
				}
				return
					PROCEDURE_ENTRY(BgL_method2127z00_1842) (BgL_method2127z00_1842,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}
	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3939,
		obj_t BgL_nodez00_3940, obj_t BgL_envz00_3941)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3940), BgL_envz00_3941);
		}
	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 313 */
			{	/* Dataflow/walk.scm 313 */
				obj_t BgL_method2169z00_1843;

				{	/* Dataflow/walk.scm 313 */
					obj_t BgL_res2631z00_3477;

					{	/* Dataflow/walk.scm 313 */
						long BgL_objzd2classzd2numz00_3450;

						{	/* Dataflow/walk.scm 313 */
							long BgL_res2625z00_3453;

							BgL_res2625z00_3453 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_101));
							BgL_objzd2classzd2numz00_3450 = BgL_res2625z00_3453;
						}
						{	/* Dataflow/walk.scm 313 */
							obj_t BgL_arg1769z00_3451;

							BgL_arg1769z00_3451 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 313 */
								int BgL_offsetz00_3455;

								BgL_offsetz00_3455 = (int) (BgL_objzd2classzd2numz00_3450);
								{	/* Dataflow/walk.scm 313 */
									long BgL_offsetz00_3456;

									BgL_offsetz00_3456 =
										((long) (BgL_offsetz00_3455) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 313 */
										long BgL_modz00_3457;

										{	/* Dataflow/walk.scm 313 */
											int BgL_arg1771z00_3458;

											BgL_arg1771z00_3458 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 313 */
												long BgL_res2628z00_3468;

												{	/* Dataflow/walk.scm 313 */
													long BgL_auxz00_4480;

													BgL_auxz00_4480 = (long) (BgL_arg1771z00_3458);
													BgL_res2628z00_3468 =
														(BgL_offsetz00_3456 / BgL_auxz00_4480);
												}
												BgL_modz00_3457 = BgL_res2628z00_3468;
										}}
										{	/* Dataflow/walk.scm 313 */
											long BgL_restz00_3459;

											{	/* Dataflow/walk.scm 313 */
												int BgL_arg1770z00_3460;

												BgL_arg1770z00_3460 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 313 */
													long BgL_res2630z00_3472;

													{	/* Dataflow/walk.scm 313 */
														long BgL_auxz00_4484;

														BgL_auxz00_4484 = (long) (BgL_arg1770z00_3460);
														BgL_res2630z00_3472 =
															(BgL_offsetz00_3456 % BgL_auxz00_4484);
													}
													BgL_restz00_3459 = BgL_res2630z00_3472;
											}}
											{	/* Dataflow/walk.scm 313 */

												BgL_res2631z00_3477 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_3451,
														(int) (BgL_modz00_3457)), (int) (BgL_restz00_3459));
					}}}}}}}
					BgL_method2169z00_1843 = BgL_res2631z00_3477;
				}
				return
					PROCEDURE_ENTRY(BgL_method2169z00_1843) (BgL_method2169z00_1843,
					((obj_t) BgL_nodez00_101), BEOA);
			}
		}
	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3942,
		obj_t BgL_nodez00_3943)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 313 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3943));
		}
	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 399 */
			{	/* Dataflow/walk.scm 399 */
				obj_t BgL_method2181z00_1844;

				{	/* Dataflow/walk.scm 399 */
					obj_t BgL_res2638z00_3506;

					{	/* Dataflow/walk.scm 399 */
						long BgL_objzd2classzd2numz00_3479;

						{	/* Dataflow/walk.scm 399 */
							long BgL_res2632z00_3482;

							BgL_res2632z00_3482 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_107));
							BgL_objzd2classzd2numz00_3479 = BgL_res2632z00_3482;
						}
						{	/* Dataflow/walk.scm 399 */
							obj_t BgL_arg1769z00_3480;

							BgL_arg1769z00_3480 =
								PROCEDURE_REF
								(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 399 */
								int BgL_offsetz00_3484;

								BgL_offsetz00_3484 = (int) (BgL_objzd2classzd2numz00_3479);
								{	/* Dataflow/walk.scm 399 */
									long BgL_offsetz00_3485;

									BgL_offsetz00_3485 =
										((long) (BgL_offsetz00_3484) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 399 */
										long BgL_modz00_3486;

										{	/* Dataflow/walk.scm 399 */
											int BgL_arg1771z00_3487;

											BgL_arg1771z00_3487 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 399 */
												long BgL_res2635z00_3497;

												{	/* Dataflow/walk.scm 399 */
													long BgL_auxz00_4506;

													BgL_auxz00_4506 = (long) (BgL_arg1771z00_3487);
													BgL_res2635z00_3497 =
														(BgL_offsetz00_3485 / BgL_auxz00_4506);
												}
												BgL_modz00_3486 = BgL_res2635z00_3497;
										}}
										{	/* Dataflow/walk.scm 399 */
											long BgL_restz00_3488;

											{	/* Dataflow/walk.scm 399 */
												int BgL_arg1770z00_3489;

												BgL_arg1770z00_3489 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 399 */
													long BgL_res2637z00_3501;

													{	/* Dataflow/walk.scm 399 */
														long BgL_auxz00_4510;

														BgL_auxz00_4510 = (long) (BgL_arg1770z00_3489);
														BgL_res2637z00_3501 =
															(BgL_offsetz00_3485 % BgL_auxz00_4510);
													}
													BgL_restz00_3488 = BgL_res2637z00_3501;
											}}
											{	/* Dataflow/walk.scm 399 */

												BgL_res2638z00_3506 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_3480,
														(int) (BgL_modz00_3486)), (int) (BgL_restz00_3488));
					}}}}}}}
					BgL_method2181z00_1844 = BgL_res2638z00_3506;
				}
				return
					PROCEDURE_ENTRY(BgL_method2181z00_1844) (BgL_method2181z00_1844,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}
	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3944, obj_t BgL_nodez00_3945)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 399 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3945));
		}
	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 427 */
			{	/* Dataflow/walk.scm 427 */
				obj_t BgL_method2185z00_1845;

				{	/* Dataflow/walk.scm 427 */
					obj_t BgL_res2645z00_3535;

					{	/* Dataflow/walk.scm 427 */
						long BgL_objzd2classzd2numz00_3508;

						{	/* Dataflow/walk.scm 427 */
							long BgL_res2639z00_3511;

							BgL_res2639z00_3511 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_109));
							BgL_objzd2classzd2numz00_3508 = BgL_res2639z00_3511;
						}
						{	/* Dataflow/walk.scm 427 */
							obj_t BgL_arg1769z00_3509;

							BgL_arg1769z00_3509 =
								PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
								(int) (((long) 1)));
							{	/* Dataflow/walk.scm 427 */
								int BgL_offsetz00_3513;

								BgL_offsetz00_3513 = (int) (BgL_objzd2classzd2numz00_3508);
								{	/* Dataflow/walk.scm 427 */
									long BgL_offsetz00_3514;

									BgL_offsetz00_3514 =
										((long) (BgL_offsetz00_3513) - OBJECT_TYPE);
									{	/* Dataflow/walk.scm 427 */
										long BgL_modz00_3515;

										{	/* Dataflow/walk.scm 427 */
											int BgL_arg1771z00_3516;

											BgL_arg1771z00_3516 = (int) (((long) 16));
											{	/* Dataflow/walk.scm 427 */
												long BgL_res2642z00_3526;

												{	/* Dataflow/walk.scm 427 */
													long BgL_auxz00_4532;

													BgL_auxz00_4532 = (long) (BgL_arg1771z00_3516);
													BgL_res2642z00_3526 =
														(BgL_offsetz00_3514 / BgL_auxz00_4532);
												}
												BgL_modz00_3515 = BgL_res2642z00_3526;
										}}
										{	/* Dataflow/walk.scm 427 */
											long BgL_restz00_3517;

											{	/* Dataflow/walk.scm 427 */
												int BgL_arg1770z00_3518;

												BgL_arg1770z00_3518 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 427 */
													long BgL_res2644z00_3530;

													{	/* Dataflow/walk.scm 427 */
														long BgL_auxz00_4536;

														BgL_auxz00_4536 = (long) (BgL_arg1770z00_3518);
														BgL_res2644z00_3530 =
															(BgL_offsetz00_3514 % BgL_auxz00_4536);
													}
													BgL_restz00_3517 = BgL_res2644z00_3530;
											}}
											{	/* Dataflow/walk.scm 427 */

												BgL_res2645z00_3535 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_3509,
														(int) (BgL_modz00_3515)), (int) (BgL_restz00_3517));
					}}}}}}}
					BgL_method2185z00_1845 = BgL_res2645z00_3535;
				}
				return
					PROCEDURE_ENTRY(BgL_method2185z00_1845) (BgL_method2185z00_1845,
					((obj_t) BgL_nodez00_109), BEOA);
			}
		}
	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3946,
		obj_t BgL_nodez00_3947)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 427 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3947));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2754z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2756z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2757z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2758z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2759z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2760z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2761z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2762z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2763z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2764z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2765z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2766z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2767z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2768z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2769z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2770z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2771z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2772z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2773z00zzdataflow_walkz00,
				BGl_string2755z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2774z00zzdataflow_walkz00,
				BGl_string2775z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2776z00zzdataflow_walkz00,
				BGl_string2775z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2777z00zzdataflow_walkz00,
				BGl_string2775z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2778z00zzdataflow_walkz00,
				BGl_string2775z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2779z00zzdataflow_walkz00,
				BGl_string2775z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2780z00zzdataflow_walkz00,
				BGl_string2781z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2782z00zzdataflow_walkz00, BGl_string2783z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2784z00zzdataflow_walkz00, BGl_string2783z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2785z00zzdataflow_walkz00, BGl_string2783z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2786z00zzdataflow_walkz00, BGl_string2783z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2787z00zzdataflow_walkz00, BGl_string2783z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2788z00zzdataflow_walkz00,
				BGl_string2783z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2789z00zzdataflow_walkz00, BGl_string2783z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2790z00zzdataflow_walkz00, BGl_string2783z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2791z00zzdataflow_walkz00, BGl_string2783z00zzdataflow_walkz00);
		}
	}



/* &abort?-app-ly2203 */
	obj_t BGl_z62abortzf3zd2appzd2ly2203z91zzdataflow_walkz00(obj_t
		BgL_envz00_3983, obj_t BgL_nodez00_3984)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 488 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_2386;

				BgL_nodez00_2386 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3984);
				{	/* Dataflow/walk.scm 490 */
					obj_t BgL__ortest_1208z00_2390;

					BgL__ortest_1208z00_2390 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2386))->BgL_funz00));
					if (CBOOL(BgL__ortest_1208z00_2390))
						{	/* Dataflow/walk.scm 490 */
							return BgL__ortest_1208z00_2390;
						}
					else
						{	/* Dataflow/walk.scm 490 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2386))->BgL_argz00));
						}
				}
			}
		}
	}



/* &abort?-funcall2201 */
	obj_t BGl_z62abortzf3zd2funcall2201z43zzdataflow_walkz00(obj_t
		BgL_envz00_3985, obj_t BgL_nodez00_3986)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 481 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2370;

				BgL_nodez00_2370 = ((BgL_funcallz00_bglt) BgL_nodez00_3986);
				{	/* Dataflow/walk.scm 483 */
					obj_t BgL__ortest_1206z00_2374;

					BgL__ortest_1206z00_2374 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2370))->BgL_funz00));
					if (CBOOL(BgL__ortest_1206z00_2374))
						{	/* Dataflow/walk.scm 483 */
							return BgL__ortest_1206z00_2374;
						}
					else
						{	/* Dataflow/walk.scm 483 */
							obj_t BgL_g2121z00_2375;

							BgL_g2121z00_2375 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2370))->BgL_argsz00);
							{
								obj_t BgL_l2119z00_2377;

								BgL_l2119z00_2377 = BgL_g2121z00_2375;
							BgL_zc3anonymousza32532ze3z83_2378:
								if (NULLP(BgL_l2119z00_2377))
									{	/* Dataflow/walk.scm 483 */
										return BFALSE;
									}
								else
									{	/* Dataflow/walk.scm 483 */
										obj_t BgL__ortest_2122z00_2380;

										{	/* Dataflow/walk.scm 483 */
											obj_t BgL_arg2535z00_2382;

											BgL_arg2535z00_2382 = CAR(BgL_l2119z00_2377);
											BgL__ortest_2122z00_2380 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2535z00_2382));
										}
										if (CBOOL(BgL__ortest_2122z00_2380))
											{	/* Dataflow/walk.scm 483 */
												return BgL__ortest_2122z00_2380;
											}
										else
											{
												obj_t BgL_l2119z00_4603;

												BgL_l2119z00_4603 = CDR(BgL_l2119z00_2377);
												BgL_l2119z00_2377 = BgL_l2119z00_4603;
												goto BgL_zc3anonymousza32532ze3z83_2378;
											}
									}
							}
						}
				}
			}
		}
	}



/* &abort?-app2199 */
	obj_t BGl_z62abortzf3zd2app2199z43zzdataflow_walkz00(obj_t BgL_envz00_3987,
		obj_t BgL_nodez00_3988)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 474 */
			{
				BgL_appz00_bglt BgL_nodez00_2354;

				BgL_nodez00_2354 = ((BgL_appz00_bglt) BgL_nodez00_3988);
				{	/* Dataflow/walk.scm 476 */
					obj_t BgL__ortest_1204z00_2358;

					{	/* Dataflow/walk.scm 476 */
						BgL_varz00_bglt BgL_arg2531z00_2368;

						BgL_arg2531z00_2368 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2354))->BgL_funz00);
						BgL__ortest_1204z00_2358 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							((BgL_nodez00_bglt) BgL_arg2531z00_2368));
					}
					if (CBOOL(BgL__ortest_1204z00_2358))
						{	/* Dataflow/walk.scm 476 */
							return BgL__ortest_1204z00_2358;
						}
					else
						{	/* Dataflow/walk.scm 476 */
							obj_t BgL_g2117z00_2359;

							BgL_g2117z00_2359 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2354))->BgL_argsz00);
							{
								obj_t BgL_l2115z00_2361;

								BgL_l2115z00_2361 = BgL_g2117z00_2359;
							BgL_zc3anonymousza32527ze3z83_2362:
								if (NULLP(BgL_l2115z00_2361))
									{	/* Dataflow/walk.scm 476 */
										return BFALSE;
									}
								else
									{	/* Dataflow/walk.scm 476 */
										obj_t BgL__ortest_2118z00_2364;

										{	/* Dataflow/walk.scm 476 */
											obj_t BgL_arg2530z00_2366;

											BgL_arg2530z00_2366 = CAR(BgL_l2115z00_2361);
											BgL__ortest_2118z00_2364 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2530z00_2366));
										}
										if (CBOOL(BgL__ortest_2118z00_2364))
											{	/* Dataflow/walk.scm 476 */
												return BgL__ortest_2118z00_2364;
											}
										else
											{
												obj_t BgL_l2115z00_4619;

												BgL_l2115z00_4619 = CDR(BgL_l2115z00_2361);
												BgL_l2115z00_2361 = BgL_l2115z00_4619;
												goto BgL_zc3anonymousza32527ze3z83_2362;
											}
									}
							}
						}
				}
			}
		}
	}



/* &abort?-conditional2197 */
	obj_t BGl_z62abortzf3zd2conditional2197z43zzdataflow_walkz00(obj_t
		BgL_envz00_3989, obj_t BgL_nodez00_3990)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 467 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2344;

				BgL_nodez00_2344 = ((BgL_conditionalz00_bglt) BgL_nodez00_3990);
				{	/* Dataflow/walk.scm 469 */
					obj_t BgL__ortest_1201z00_2348;

					BgL__ortest_1201z00_2348 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2344))->BgL_testz00));
					if (CBOOL(BgL__ortest_1201z00_2348))
						{	/* Dataflow/walk.scm 469 */
							return BgL__ortest_1201z00_2348;
						}
					else
						{	/* Dataflow/walk.scm 469 */
							obj_t BgL__andtest_1202z00_2349;

							BgL__andtest_1202z00_2349 =
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2344))->
									BgL_truez00));
							if (CBOOL(BgL__andtest_1202z00_2349))
								{	/* Dataflow/walk.scm 469 */
									return
										BGl_abortzf3zf3zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2344))->
											BgL_falsez00));
								}
							else
								{	/* Dataflow/walk.scm 469 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &abort?-let-fun2195 */
	obj_t BGl_z62abortzf3zd2letzd2fun2195z91zzdataflow_walkz00(obj_t
		BgL_envz00_3991, obj_t BgL_nodez00_3992)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 460 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2338;

				BgL_nodez00_2338 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3992);
				return
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2338))->BgL_bodyz00));
			}
		}
	}



/* &abort?-let-var2193 */
	obj_t BGl_z62abortzf3zd2letzd2var2193z91zzdataflow_walkz00(obj_t
		BgL_envz00_3993, obj_t BgL_nodez00_3994)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 453 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2321;

				BgL_nodez00_2321 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3994);
				{	/* Dataflow/walk.scm 455 */
					obj_t BgL__ortest_1198z00_2325;

					{	/* Dataflow/walk.scm 455 */
						obj_t BgL_g2113z00_2327;

						BgL_g2113z00_2327 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2321))->
							BgL_bindingsz00);
						{
							obj_t BgL_l2111z00_2329;

							BgL_l2111z00_2329 = BgL_g2113z00_2327;
						BgL_zc3anonymousza32519ze3z83_2330:
							if (NULLP(BgL_l2111z00_2329))
								{	/* Dataflow/walk.scm 455 */
									BgL__ortest_1198z00_2325 = BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 455 */
									obj_t BgL__ortest_2114z00_2332;

									{	/* Dataflow/walk.scm 455 */
										obj_t BgL_bz00_2334;

										BgL_bz00_2334 = CAR(BgL_l2111z00_2329);
										{	/* Dataflow/walk.scm 455 */
											obj_t BgL_arg2522z00_2335;

											BgL_arg2522z00_2335 = CDR(BgL_bz00_2334);
											BgL__ortest_2114z00_2332 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2522z00_2335));
										}
									}
									if (CBOOL(BgL__ortest_2114z00_2332))
										{	/* Dataflow/walk.scm 455 */
											BgL__ortest_1198z00_2325 = BgL__ortest_2114z00_2332;
										}
									else
										{
											obj_t BgL_l2111z00_4645;

											BgL_l2111z00_4645 = CDR(BgL_l2111z00_2329);
											BgL_l2111z00_2329 = BgL_l2111z00_4645;
											goto BgL_zc3anonymousza32519ze3z83_2330;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1198z00_2325))
						{	/* Dataflow/walk.scm 455 */
							return BgL__ortest_1198z00_2325;
						}
					else
						{	/* Dataflow/walk.scm 455 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2321))->
									BgL_bodyz00));
						}
				}
			}
		}
	}



/* &abort?-sync2191 */
	obj_t BGl_z62abortzf3zd2sync2191z43zzdataflow_walkz00(obj_t BgL_envz00_3995,
		obj_t BgL_nodez00_3996)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 445 */
			{
				BgL_syncz00_bglt BgL_nodez00_2312;

				BgL_nodez00_2312 = ((BgL_syncz00_bglt) BgL_nodez00_3996);
				{	/* Dataflow/walk.scm 446 */
					obj_t BgL__ortest_1195z00_2315;

					BgL__ortest_1195z00_2315 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_2312))->BgL_mutexz00));
					if (CBOOL(BgL__ortest_1195z00_2315))
						{	/* Dataflow/walk.scm 446 */
							return BgL__ortest_1195z00_2315;
						}
					else
						{	/* Dataflow/walk.scm 447 */
							obj_t BgL__ortest_1196z00_2316;

							BgL__ortest_1196z00_2316 =
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_2312))->BgL_prelockz00));
							if (CBOOL(BgL__ortest_1196z00_2316))
								{	/* Dataflow/walk.scm 447 */
									return BgL__ortest_1196z00_2316;
								}
							else
								{	/* Dataflow/walk.scm 447 */
									return
										BGl_abortzf3zf3zzdataflow_walkz00(
										(((BgL_syncz00_bglt) CREF(BgL_nodez00_2312))->BgL_bodyz00));
								}
						}
				}
			}
		}
	}



/* &abort?-sequence2189 */
	obj_t BGl_z62abortzf3zd2sequence2189z43zzdataflow_walkz00(obj_t
		BgL_envz00_3997, obj_t BgL_nodez00_3998)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 439 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2299;

				BgL_nodez00_2299 = ((BgL_sequencez00_bglt) BgL_nodez00_3998);
				{	/* Dataflow/walk.scm 440 */
					obj_t BgL_g2109z00_2302;

					BgL_g2109z00_2302 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2299))->BgL_nodesz00);
					{
						obj_t BgL_l2107z00_2304;

						BgL_l2107z00_2304 = BgL_g2109z00_2302;
					BgL_zc3anonymousza32511ze3z83_2305:
						if (NULLP(BgL_l2107z00_2304))
							{	/* Dataflow/walk.scm 440 */
								return BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 440 */
								obj_t BgL__ortest_2110z00_2307;

								{	/* Dataflow/walk.scm 440 */
									obj_t BgL_arg2514z00_2309;

									BgL_arg2514z00_2309 = CAR(BgL_l2107z00_2304);
									BgL__ortest_2110z00_2307 =
										BGl_abortzf3zf3zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2514z00_2309));
								}
								if (CBOOL(BgL__ortest_2110z00_2307))
									{	/* Dataflow/walk.scm 440 */
										return BgL__ortest_2110z00_2307;
									}
								else
									{
										obj_t BgL_l2107z00_4671;

										BgL_l2107z00_4671 = CDR(BgL_l2107z00_2304);
										BgL_l2107z00_2304 = BgL_l2107z00_4671;
										goto BgL_zc3anonymousza32511ze3z83_2305;
									}
							}
					}
				}
			}
		}
	}



/* &abort?-fail2187 */
	obj_t BGl_z62abortzf3zd2fail2187z43zzdataflow_walkz00(obj_t BgL_envz00_3999,
		obj_t BgL_nodez00_4000)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 433 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &dataflow-test-false-2183 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22183zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4001, obj_t BgL_nodez00_4002)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 405 */
			{
				BgL_appz00_bglt BgL_nodez00_2261;

				BgL_nodez00_2261 = ((BgL_appz00_bglt) BgL_nodez00_4002);
				{	/* Dataflow/walk.scm 407 */
					BgL_variablez00_bglt BgL_fz00_2265;

					BgL_fz00_2265 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2261))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 408 */

						{	/* Dataflow/walk.scm 409 */
							bool_t BgL_testz00_4677;

							{	/* Dataflow/walk.scm 409 */
								bool_t BgL_testz00_4678;

								{	/* Dataflow/walk.scm 409 */
									obj_t BgL_auxz00_4679;

									BgL_auxz00_4679 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_2261))->BgL_argsz00);
									BgL_testz00_4678 = PAIRP(BgL_auxz00_4679);
								}
								if (BgL_testz00_4678)
									{	/* Dataflow/walk.scm 409 */
										if (NULLP(CDR(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_2261))->
														BgL_argsz00))))
											{	/* Dataflow/walk.scm 410 */
												bool_t BgL_testz00_4686;

												{	/* Dataflow/walk.scm 410 */
													obj_t BgL_arg2504z00_2288;

													BgL_arg2504z00_2288 =
														CAR(
														(((BgL_appz00_bglt) CREF(BgL_nodez00_2261))->
															BgL_argsz00));
													BgL_testz00_4686 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2504z00_2288,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_4686)
													{	/* Dataflow/walk.scm 411 */
														BgL_typez00_bglt BgL_arg2500z00_2284;

														{
															BgL_variablez00_bglt BgL_auxz00_4690;

															{
																BgL_varz00_bglt BgL_auxz00_4691;

																{	/* Dataflow/walk.scm 411 */
																	obj_t BgL_pairz00_3820;

																	BgL_pairz00_3820 =
																		(((BgL_appz00_bglt)
																			CREF(BgL_nodez00_2261))->BgL_argsz00);
																	BgL_auxz00_4691 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_3820));
																}
																BgL_auxz00_4690 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_4691))->
																	BgL_variablez00);
															}
															BgL_arg2500z00_2284 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4690))->BgL_typez00);
														}
														BgL_testz00_4677 =
															(
															((obj_t) BgL_arg2500z00_2284) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 410 */
														BgL_testz00_4677 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 409 */
												BgL_testz00_4677 = ((bool_t) 0);
											}
									}
								else
									{	/* Dataflow/walk.scm 409 */
										BgL_testz00_4677 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_4677)
								{	/* Dataflow/walk.scm 409 */
									if (
										(((obj_t) BgL_fz00_2265) ==
											BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
										{	/* Dataflow/walk.scm 414 */
											obj_t BgL_arg2483z00_2269;

											{	/* Dataflow/walk.scm 414 */
												BgL_variablez00_bglt BgL_arg2485z00_2271;

												{
													BgL_varz00_bglt BgL_auxz00_4702;

													{	/* Dataflow/walk.scm 414 */
														obj_t BgL_pairz00_3827;

														BgL_pairz00_3827 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_2261))->
															BgL_argsz00);
														BgL_auxz00_4702 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3827));
													}
													BgL_arg2485z00_2271 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4702))->
														BgL_variablez00);
												}
												BgL_arg2483z00_2269 =
													MAKE_PAIR(
													((obj_t) BgL_arg2485z00_2271),
													BGl_za2pairza2z00zztype_cachez00);
											}
											{	/* Dataflow/walk.scm 414 */
												obj_t BgL_list2484z00_2270;

												BgL_list2484z00_2270 =
													MAKE_PAIR(BgL_arg2483z00_2269, BNIL);
												return BgL_list2484z00_2270;
											}
										}
									else
										{	/* Dataflow/walk.scm 415 */
											bool_t BgL_testz00_4710;

											if (
												(((obj_t) BgL_fz00_2265) ==
													BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
												{	/* Dataflow/walk.scm 415 */
													BgL_testz00_4710 = ((bool_t) 1);
												}
											else
												{	/* Dataflow/walk.scm 415 */
													BgL_testz00_4710 =
														(
														((obj_t) BgL_fz00_2265) ==
														BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
												}
											if (BgL_testz00_4710)
												{	/* Dataflow/walk.scm 416 */
													obj_t BgL_arg2489z00_2275;

													{	/* Dataflow/walk.scm 416 */
														BgL_variablez00_bglt BgL_arg2491z00_2277;

														{
															BgL_varz00_bglt BgL_auxz00_4716;

															{	/* Dataflow/walk.scm 416 */
																obj_t BgL_pairz00_3833;

																BgL_pairz00_3833 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2261))->
																	BgL_argsz00);
																BgL_auxz00_4716 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_3833));
															}
															BgL_arg2491z00_2277 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_4716))->
																BgL_variablez00);
														}
														BgL_arg2489z00_2275 =
															MAKE_PAIR(
															((obj_t) BgL_arg2491z00_2277),
															BGl_za2bnilza2z00zztype_cachez00);
													}
													{	/* Dataflow/walk.scm 416 */
														obj_t BgL_list2490z00_2276;

														BgL_list2490z00_2276 =
															MAKE_PAIR(BgL_arg2489z00_2275, BNIL);
														return BgL_list2490z00_2276;
													}
												}
											else
												{	/* Dataflow/walk.scm 415 */
													return BNIL;
												}
										}
								}
							else
								{	/* Dataflow/walk.scm 409 */
									return BNIL;
								}
						}
					}
				}
			}
		}
	}



/* &dataflow-test-env-le2179 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le2179zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4003, obj_t BgL_nodez00_4004)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 377 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2220;

				BgL_nodez00_2220 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_4004);
				{	/* Dataflow/walk.scm 379 */
					bool_t BgL_testz00_4725;

					{	/* Dataflow/walk.scm 379 */
						bool_t BgL_testz00_4726;

						{	/* Dataflow/walk.scm 379 */
							obj_t BgL_auxz00_4727;

							BgL_auxz00_4727 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2220))->
								BgL_bindingsz00);
							BgL_testz00_4726 = PAIRP(BgL_auxz00_4727);
						}
						if (BgL_testz00_4726)
							{	/* Dataflow/walk.scm 379 */
								BgL_testz00_4725 =
									NULLP(CDR(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2220))->
											BgL_bindingsz00)));
							}
						else
							{	/* Dataflow/walk.scm 379 */
								BgL_testz00_4725 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4725)
						{	/* Dataflow/walk.scm 381 */
							bool_t BgL_testz00_4733;

							{	/* Dataflow/walk.scm 381 */
								obj_t BgL_arg2475z00_2254;

								{	/* Dataflow/walk.scm 381 */
									obj_t BgL_pairz00_3754;

									BgL_pairz00_3754 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2220))->
										BgL_bindingsz00);
									BgL_arg2475z00_2254 = CDR(CAR(BgL_pairz00_3754));
								}
								BgL_testz00_4733 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2475z00_2254,
									BGl_varz00zzast_nodez00);
							}
							if (BgL_testz00_4733)
								{	/* Dataflow/walk.scm 382 */
									obj_t BgL_envz00_2226;

									BgL_envz00_2226 =
										BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2220))->
											BgL_bodyz00));
									{	/* Dataflow/walk.scm 383 */
										bool_t BgL_testz00_4740;

										if (NULLP(BgL_envz00_2226))
											{	/* Dataflow/walk.scm 383 */
												BgL_testz00_4740 = ((bool_t) 0);
											}
										else
											{	/* Dataflow/walk.scm 383 */
												if (NULLP(CDR(BgL_envz00_2226)))
													{	/* Dataflow/walk.scm 385 */
														obj_t BgL_auxz00_4746;

														{	/* Dataflow/walk.scm 385 */
															obj_t BgL_pairz00_3769;

															BgL_pairz00_3769 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodez00_2220))->BgL_bindingsz00);
															BgL_auxz00_4746 = CAR(CAR(BgL_pairz00_3769));
														}
														BgL_testz00_4740 =
															(CAR(CAR(BgL_envz00_2226)) == BgL_auxz00_4746);
													}
												else
													{	/* Dataflow/walk.scm 384 */
														BgL_testz00_4740 = ((bool_t) 0);
													}
											}
										if (BgL_testz00_4740)
											{	/* Dataflow/walk.scm 386 */
												obj_t BgL_arg2448z00_2228;

												{	/* Dataflow/walk.scm 386 */
													BgL_variablez00_bglt BgL_arg2450z00_2230;
													obj_t BgL_arg2451z00_2231;

													{
														BgL_varz00_bglt BgL_auxz00_4753;

														{
															obj_t BgL_auxz00_4754;

															{	/* Dataflow/walk.scm 386 */
																obj_t BgL_pairz00_3773;

																BgL_pairz00_3773 =
																	(((BgL_letzd2varzd2_bglt)
																		CREF(BgL_nodez00_2220))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 386 */
																	obj_t BgL_pairz00_3776;

																	BgL_pairz00_3776 = CAR(BgL_pairz00_3773);
																	BgL_auxz00_4754 = CDR(BgL_pairz00_3776);
																}
															}
															BgL_auxz00_4753 =
																((BgL_varz00_bglt) BgL_auxz00_4754);
														}
														BgL_arg2450z00_2230 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4753))->
															BgL_variablez00);
													}
													BgL_arg2451z00_2231 = CDR(CAR(BgL_envz00_2226));
													BgL_arg2448z00_2228 =
														MAKE_PAIR(
														((obj_t) BgL_arg2450z00_2230), BgL_arg2451z00_2231);
												}
												{	/* Dataflow/walk.scm 386 */
													obj_t BgL_list2449z00_2229;

													BgL_list2449z00_2229 =
														MAKE_PAIR(BgL_arg2448z00_2228, BNIL);
													return BgL_list2449z00_2229;
												}
											}
										else
											{	/* Dataflow/walk.scm 383 */
												return BNIL;
											}
									}
								}
							else
								{	/* Dataflow/walk.scm 388 */
									bool_t BgL_testz00_4765;

									{	/* Dataflow/walk.scm 388 */
										bool_t BgL_testz00_4766;

										{	/* Dataflow/walk.scm 388 */
											BgL_nodez00_bglt BgL_arg2474z00_2253;

											BgL_arg2474z00_2253 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2220))->
												BgL_bodyz00);
											{	/* Dataflow/walk.scm 388 */
												bool_t BgL_res2710z00_3787;

												BgL_res2710z00_3787 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_arg2474z00_2253),
													BGl_varz00zzast_nodez00);
												BgL_testz00_4766 = BgL_res2710z00_3787;
											}
										}
										if (BgL_testz00_4766)
											{	/* Dataflow/walk.scm 389 */
												bool_t BgL_testz00_4770;

												{	/* Dataflow/walk.scm 389 */
													obj_t BgL_auxz00_4771;

													{	/* Dataflow/walk.scm 389 */
														obj_t BgL_pairz00_3791;

														BgL_pairz00_3791 =
															(((BgL_letzd2varzd2_bglt)
																CREF(BgL_nodez00_2220))->BgL_bindingsz00);
														BgL_auxz00_4771 = CAR(CAR(BgL_pairz00_3791));
													}
													BgL_testz00_4770 =
														(
														((obj_t)
															(((BgL_varz00_bglt) CREF(
																		((BgL_varz00_bglt)
																			(((BgL_letzd2varzd2_bglt)
																					CREF(BgL_nodez00_2220))->
																				BgL_bodyz00))))->BgL_variablez00)) ==
														BgL_auxz00_4771);
												}
												if (BgL_testz00_4770)
													{	/* Dataflow/walk.scm 390 */
														BgL_typez00_bglt BgL_arg2467z00_2246;

														{
															BgL_variablez00_bglt BgL_auxz00_4780;

															{
																obj_t BgL_auxz00_4781;

																{	/* Dataflow/walk.scm 390 */
																	obj_t BgL_pairz00_3795;

																	BgL_pairz00_3795 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_nodez00_2220))->BgL_bindingsz00);
																	{	/* Dataflow/walk.scm 390 */
																		obj_t BgL_pairz00_3798;

																		BgL_pairz00_3798 = CAR(BgL_pairz00_3795);
																		BgL_auxz00_4781 = CAR(BgL_pairz00_3798);
																	}
																}
																BgL_auxz00_4780 =
																	((BgL_variablez00_bglt) BgL_auxz00_4781);
															}
															BgL_arg2467z00_2246 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4780))->BgL_typez00);
														}
														BgL_testz00_4765 =
															(
															((obj_t) BgL_arg2467z00_2246) ==
															BGl_za2boolza2z00zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 389 */
														BgL_testz00_4765 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 388 */
												BgL_testz00_4765 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4765)
										{	/* Dataflow/walk.scm 391 */
											obj_t BgL_arg2462z00_2242;

											{	/* Dataflow/walk.scm 391 */
												obj_t BgL_pairz00_3802;

												BgL_pairz00_3802 =
													(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2220))->
													BgL_bindingsz00);
												BgL_arg2462z00_2242 = CDR(CAR(BgL_pairz00_3802));
											}
											return
												BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2462z00_2242));
										}
									else
										{	/* Dataflow/walk.scm 388 */
											return BNIL;
										}
								}
						}
					else
						{	/* Dataflow/walk.scm 379 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-va2177 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va2177zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4005, obj_t BgL_nodez00_4006)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 360 */
			{
				BgL_varz00_bglt BgL_nodez00_2211;

				BgL_nodez00_2211 = ((BgL_varz00_bglt) BgL_nodez00_4006);
				{	/* Dataflow/walk.scm 362 */
					bool_t BgL_testz00_4795;

					{	/* Dataflow/walk.scm 362 */
						BgL_variablez00_bglt BgL_arg2444z00_2218;

						BgL_arg2444z00_2218 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_2211))->BgL_variablez00);
						{	/* Dataflow/walk.scm 362 */
							bool_t BgL_res2701z00_3745;

							BgL_res2701z00_3745 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_arg2444z00_2218),
								BGl_localzf2valuezf2zzdataflow_walkz00);
							BgL_testz00_4795 = BgL_res2701z00_3745;
						}
					}
					if (BgL_testz00_4795)
						{	/* Dataflow/walk.scm 363 */
							BgL_nodez00_bglt BgL_arg2441z00_2216;

							{
								BgL_localzf2valuezf2_bglt BgL_auxz00_4799;

								{
									obj_t BgL_auxz00_4800;

									{	/* Dataflow/walk.scm 363 */
										BgL_objectz00_bglt BgL_auxz00_4801;

										BgL_auxz00_4801 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_2211))->
													BgL_variablez00)));
										BgL_auxz00_4800 = BGL_OBJECT_WIDENING(BgL_auxz00_4801);
									}
									BgL_auxz00_4799 =
										((BgL_localzf2valuezf2_bglt) BgL_auxz00_4800);
								}
								BgL_arg2441z00_2216 =
									(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4799))->
									BgL_nodez00);
							}
							return
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
								(BgL_arg2441z00_2216);
						}
					else
						{	/* Dataflow/walk.scm 362 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-co2175 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co2175zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4007, obj_t BgL_nodez00_4008)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 351 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2197;

				BgL_nodez00_2197 = ((BgL_conditionalz00_bglt) BgL_nodez00_4008);
				{	/* Dataflow/walk.scm 353 */
					bool_t BgL_testz00_4810;

					{	/* Dataflow/walk.scm 353 */
						bool_t BgL_testz00_4811;

						{	/* Dataflow/walk.scm 353 */
							BgL_nodez00_bglt BgL_arg2439z00_2209;

							BgL_arg2439z00_2209 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2197))->
								BgL_falsez00);
							{	/* Dataflow/walk.scm 353 */
								bool_t BgL_res2700z00_3741;

								BgL_res2700z00_3741 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg2439z00_2209), BGl_atomz00zzast_nodez00);
								BgL_testz00_4811 = BgL_res2700z00_3741;
							}
						}
						if (BgL_testz00_4811)
							{	/* Dataflow/walk.scm 353 */
								BgL_testz00_4810 =
									(
									(((BgL_atomz00_bglt) CREF(
												((BgL_atomz00_bglt)
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2197))->
														BgL_falsez00))))->BgL_valuez00) == BFALSE);
							}
						else
							{	/* Dataflow/walk.scm 353 */
								BgL_testz00_4810 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4810)
						{	/* Dataflow/walk.scm 353 */
							return
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2197))->
										BgL_testz00)),
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2197))->
										BgL_truez00)));
						}
					else
						{	/* Dataflow/walk.scm 353 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-in2173 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in2173zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4009, obj_t BgL_nodez00_4010)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 342 */
			{
				BgL_instanceofz00_bglt BgL_nodez00_2183;

				BgL_nodez00_2183 = ((BgL_instanceofz00_bglt) BgL_nodez00_4010);
				{	/* Dataflow/walk.scm 344 */
					bool_t BgL_testz00_4825;

					{	/* Dataflow/walk.scm 344 */
						obj_t BgL_arg2427z00_2194;

						{	/* Dataflow/walk.scm 344 */
							obj_t BgL_pairz00_3731;

							BgL_pairz00_3731 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_2183)))->BgL_exprza2za2);
							BgL_arg2427z00_2194 = CAR(BgL_pairz00_3731);
						}
						BgL_testz00_4825 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2427z00_2194,
							BGl_varz00zzast_nodez00);
					}
					if (BgL_testz00_4825)
						{	/* Dataflow/walk.scm 345 */
							obj_t BgL_arg2421z00_2188;

							{	/* Dataflow/walk.scm 345 */
								BgL_variablez00_bglt BgL_arg2423z00_2190;
								BgL_typez00_bglt BgL_arg2424z00_2191;

								{
									BgL_varz00_bglt BgL_auxz00_4830;

									{	/* Dataflow/walk.scm 345 */
										obj_t BgL_pairz00_3734;

										BgL_pairz00_3734 =
											(((BgL_externz00_bglt) CREF(
													((BgL_externz00_bglt) BgL_nodez00_2183)))->
											BgL_exprza2za2);
										BgL_auxz00_4830 = ((BgL_varz00_bglt) CAR(BgL_pairz00_3734));
									}
									BgL_arg2423z00_2190 =
										(((BgL_varz00_bglt) CREF(BgL_auxz00_4830))->
										BgL_variablez00);
								}
								BgL_arg2424z00_2191 =
									(((BgL_instanceofz00_bglt) CREF(BgL_nodez00_2183))->
									BgL_classz00);
								BgL_arg2421z00_2188 =
									MAKE_PAIR(((obj_t) BgL_arg2423z00_2190),
									((obj_t) BgL_arg2424z00_2191));
							}
							{	/* Dataflow/walk.scm 345 */
								obj_t BgL_list2422z00_2189;

								BgL_list2422z00_2189 = MAKE_PAIR(BgL_arg2421z00_2188, BNIL);
								return BgL_list2422z00_2189;
							}
						}
					else
						{	/* Dataflow/walk.scm 344 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-ap2171 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap2171zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4011, obj_t BgL_nodez00_4012)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 319 */
			{
				BgL_appz00_bglt BgL_nodez00_2143;

				BgL_nodez00_2143 = ((BgL_appz00_bglt) BgL_nodez00_4012);
				{	/* Dataflow/walk.scm 321 */
					BgL_variablez00_bglt BgL_fz00_2147;

					BgL_fz00_2147 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2143))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 321 */
						BgL_valuez00_bglt BgL_funvz00_2148;

						BgL_funvz00_2148 =
							(((BgL_variablez00_bglt) CREF(BgL_fz00_2147))->BgL_valuez00);
						{	/* Dataflow/walk.scm 322 */

							{	/* Dataflow/walk.scm 324 */
								obj_t BgL_g1188z00_2149;

								BgL_g1188z00_2149 =
									BGl_isazd2ofzd2zztype_miscz00(
									((BgL_nodez00_bglt) BgL_nodez00_2143));
								if (CBOOL(BgL_g1188z00_2149))
									{	/* Dataflow/walk.scm 327 */
										bool_t BgL_testz00_4849;

										{	/* Dataflow/walk.scm 327 */
											obj_t BgL_arg2396z00_2158;

											BgL_arg2396z00_2158 =
												CAR(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_2143))->
													BgL_argsz00));
											BgL_testz00_4849 =
												BGl_isazf3zf3zz__objectz00(BgL_arg2396z00_2158,
												BGl_varz00zzast_nodez00);
										}
										if (BgL_testz00_4849)
											{	/* Dataflow/walk.scm 328 */
												obj_t BgL_arg2391z00_2153;

												{	/* Dataflow/walk.scm 328 */
													BgL_variablez00_bglt BgL_arg2393z00_2155;

													{
														BgL_varz00_bglt BgL_auxz00_4853;

														{	/* Dataflow/walk.scm 328 */
															obj_t BgL_pairz00_3698;

															BgL_pairz00_3698 =
																(((BgL_appz00_bglt) CREF(BgL_nodez00_2143))->
																BgL_argsz00);
															BgL_auxz00_4853 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3698));
														}
														BgL_arg2393z00_2155 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4853))->
															BgL_variablez00);
													}
													BgL_arg2391z00_2153 =
														MAKE_PAIR(
														((obj_t) BgL_arg2393z00_2155), BgL_g1188z00_2149);
												}
												{	/* Dataflow/walk.scm 328 */
													obj_t BgL_list2392z00_2154;

													BgL_list2392z00_2154 =
														MAKE_PAIR(BgL_arg2391z00_2153, BNIL);
													return BgL_list2392z00_2154;
												}
											}
										else
											{	/* Dataflow/walk.scm 327 */
												return BNIL;
											}
									}
								else
									{	/* Dataflow/walk.scm 330 */
										bool_t BgL_testz00_4861;

										{	/* Dataflow/walk.scm 330 */
											bool_t BgL_testz00_4862;

											{	/* Dataflow/walk.scm 330 */
												bool_t BgL_res2689z00_3705;

												BgL_res2689z00_3705 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_funvz00_2148), BGl_funz00zzast_varz00);
												BgL_testz00_4862 = BgL_res2689z00_3705;
											}
											if (BgL_testz00_4862)
												{	/* Dataflow/walk.scm 330 */
													if (CBOOL(
															(((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt) BgL_funvz00_2148)))->
																BgL_predicatezd2ofzd2)))
														{	/* Dataflow/walk.scm 332 */
															bool_t BgL_testz00_4869;

															{	/* Dataflow/walk.scm 332 */
																obj_t BgL_auxz00_4870;

																BgL_auxz00_4870 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2143))->
																	BgL_argsz00);
																BgL_testz00_4869 = PAIRP(BgL_auxz00_4870);
															}
															if (BgL_testz00_4869)
																{	/* Dataflow/walk.scm 332 */
																	if (NULLP(CDR(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_2143))->
																					BgL_argsz00))))
																		{	/* Dataflow/walk.scm 333 */
																			bool_t BgL_testz00_4877;

																			{	/* Dataflow/walk.scm 333 */
																				obj_t BgL_arg2414z00_2176;

																				BgL_arg2414z00_2176 =
																					CAR(
																					(((BgL_appz00_bglt)
																							CREF(BgL_nodez00_2143))->
																						BgL_argsz00));
																				BgL_testz00_4877 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_arg2414z00_2176,
																					BGl_varz00zzast_nodez00);
																			}
																			if (BgL_testz00_4877)
																				{	/* Dataflow/walk.scm 334 */
																					BgL_typez00_bglt BgL_arg2410z00_2172;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_4881;
																						{
																							BgL_varz00_bglt BgL_auxz00_4882;

																							{	/* Dataflow/walk.scm 334 */
																								obj_t BgL_pairz00_3716;

																								BgL_pairz00_3716 =
																									(((BgL_appz00_bglt)
																										CREF(BgL_nodez00_2143))->
																									BgL_argsz00);
																								BgL_auxz00_4882 =
																									((BgL_varz00_bglt)
																									CAR(BgL_pairz00_3716));
																							}
																							BgL_auxz00_4881 =
																								(((BgL_varz00_bglt)
																									CREF(BgL_auxz00_4882))->
																								BgL_variablez00);
																						}
																						BgL_arg2410z00_2172 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_4881))->
																							BgL_typez00);
																					}
																					BgL_testz00_4861 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg2410z00_2172);
																				}
																			else
																				{	/* Dataflow/walk.scm 333 */
																					BgL_testz00_4861 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Dataflow/walk.scm 332 */
																			BgL_testz00_4861 = ((bool_t) 0);
																		}
																}
															else
																{	/* Dataflow/walk.scm 332 */
																	BgL_testz00_4861 = ((bool_t) 0);
																}
														}
													else
														{	/* Dataflow/walk.scm 331 */
															BgL_testz00_4861 = ((bool_t) 0);
														}
												}
											else
												{	/* Dataflow/walk.scm 330 */
													BgL_testz00_4861 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_4861)
											{	/* Dataflow/walk.scm 335 */
												obj_t BgL_arg2399z00_2161;

												{	/* Dataflow/walk.scm 335 */
													BgL_variablez00_bglt BgL_arg2401z00_2163;
													obj_t BgL_arg2402z00_2164;

													{
														BgL_varz00_bglt BgL_auxz00_4889;

														{	/* Dataflow/walk.scm 335 */
															obj_t BgL_pairz00_3723;

															BgL_pairz00_3723 =
																(((BgL_appz00_bglt) CREF(BgL_nodez00_2143))->
																BgL_argsz00);
															BgL_auxz00_4889 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3723));
														}
														BgL_arg2401z00_2163 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4889))->
															BgL_variablez00);
													}
													BgL_arg2402z00_2164 =
														(((BgL_funz00_bglt) CREF(
																((BgL_funz00_bglt) BgL_funvz00_2148)))->
														BgL_predicatezd2ofzd2);
													BgL_arg2399z00_2161 =
														MAKE_PAIR(((obj_t) BgL_arg2401z00_2163),
														BgL_arg2402z00_2164);
												}
												{	/* Dataflow/walk.scm 335 */
													obj_t BgL_list2400z00_2162;

													BgL_list2400z00_2162 =
														MAKE_PAIR(BgL_arg2399z00_2161, BNIL);
													return BgL_list2400z00_2162;
												}
											}
										else
											{	/* Dataflow/walk.scm 330 */
												return BNIL;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &dataflow-node!-box-s2167 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s2167za2zzdataflow_walkz00(obj_t
		BgL_envz00_4013, obj_t BgL_nodez00_4014, obj_t BgL_envz00_4015)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 299 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2136;
				obj_t BgL_envz00_2137;

				BgL_nodez00_2136 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4014);
				BgL_envz00_2137 = BgL_envz00_4015;
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2136))->BgL_valuez00),
					BgL_envz00_2137);
			}
		}
	}



/* &dataflow-node!-box-r2165 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r2165za2zzdataflow_walkz00(obj_t
		BgL_envz00_4016, obj_t BgL_nodez00_4017, obj_t BgL_envz00_4018)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 292 */
			return BgL_envz00_4018;
		}
	}



/* &dataflow-node!-make-2163 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd22163za2zzdataflow_walkz00(obj_t
		BgL_envz00_4019, obj_t BgL_nodez00_4020, obj_t BgL_envz00_4021)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 286 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2124;
				obj_t BgL_envz00_2125;

				BgL_nodez00_2124 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4020);
				BgL_envz00_2125 = BgL_envz00_4021;
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2124))->BgL_valuez00),
					BgL_envz00_2125);
			}
		}
	}



/* &dataflow-node!-jump-2161 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd22161za2zzdataflow_walkz00(obj_t
		BgL_envz00_4022, obj_t BgL_nodez00_4023, obj_t BgL_envz00_4024)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 277 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2116;
				obj_t BgL_envz00_2117;

				BgL_nodez00_2116 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4023);
				BgL_envz00_2117 = BgL_envz00_4024;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2116))->BgL_exitz00),
					BgL_envz00_2117);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
							(BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2116))->
						BgL_valuez00), BgL_envz00_2117);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-set-e2159 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e2159za2zzdataflow_walkz00(obj_t
		BgL_envz00_4025, obj_t BgL_nodez00_4026, obj_t BgL_envz00_4027)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 269 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2109;
				obj_t BgL_envz00_2110;

				BgL_nodez00_2109 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4026);
				BgL_envz00_2110 = BgL_envz00_4027;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2109))->BgL_bodyz00),
					BgL_envz00_2110);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-let-v2157 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v2157za2zzdataflow_walkz00(obj_t
		BgL_envz00_4028, obj_t BgL_nodez00_4029, obj_t BgL_envz00_4030)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 237 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2062;
				obj_t BgL_envz00_2063;

				BgL_nodez00_2062 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_4029);
				BgL_envz00_2063 = BgL_envz00_4030;
				BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
					(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
				{	/* Dataflow/walk.scm 240 */
					long BgL_stampz00_2067;

					BgL_stampz00_2067 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 240 */
						obj_t BgL_envz00_2068;

						{
							obj_t BgL_bindingsz00_2092;
							obj_t BgL_envz00_2093;

							BgL_bindingsz00_2092 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2062))->
								BgL_bindingsz00);
							BgL_envz00_2093 = BgL_envz00_2063;
						BgL_zc3anonymousza32378ze3z83_2094:
							if (NULLP(BgL_bindingsz00_2092))
								{	/* Dataflow/walk.scm 243 */
									BgL_envz00_2068 = BgL_envz00_2093;
								}
							else
								{	/* Dataflow/walk.scm 245 */
									obj_t BgL_nodez00_2096;

									BgL_nodez00_2096 = CDR(CAR(BgL_bindingsz00_2092));
									{	/* Dataflow/walk.scm 245 */
										obj_t BgL_envz00_2097;

										BgL_envz00_2097 =
											BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_nodez00_2096), BgL_envz00_2093);
										{	/* Dataflow/walk.scm 246 */

											{	/* Dataflow/walk.scm 247 */
												obj_t BgL_lz00_2098;

												BgL_lz00_2098 = CAR(CAR(BgL_bindingsz00_2092));
												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_lz00_2098)))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
													{	/* Dataflow/walk.scm 248 */
														{	/* Dataflow/walk.scm 249 */
															BgL_localzf2valuezf2_bglt BgL_wide1181z00_2102;

															BgL_wide1181z00_2102 =
																((BgL_localzf2valuezf2_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_localzf2valuezf2_bgl))));
															{	/* Dataflow/walk.scm 249 */
																obj_t BgL_auxz00_4933;
																BgL_objectz00_bglt BgL_auxz00_4929;

																BgL_auxz00_4933 =
																	((obj_t) BgL_wide1181z00_2102);
																BgL_auxz00_4929 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_lz00_2098)));
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_4929,
																	BgL_auxz00_4933);
															}
															{	/* Dataflow/walk.scm 249 */
																long BgL_arg2382z00_2103;

																{	/* Dataflow/walk.scm 249 */
																	long BgL_res2674z00_3649;

																	BgL_res2674z00_3649 =
																		BGL_CLASS_INDEX
																		(BGl_localzf2valuezf2zzdataflow_walkz00);
																	BgL_arg2382z00_2103 = BgL_res2674z00_3649;
																}
																((BgL_localz00_bglt)
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt)
																			((BgL_localz00_bglt)
																				((BgL_localz00_bglt) BgL_lz00_2098))),
																		BgL_arg2382z00_2103));
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_2098));
														}
														{
															BgL_localzf2valuezf2_bglt BgL_auxz00_4944;

															{
																obj_t BgL_auxz00_4945;

																{	/* Dataflow/walk.scm 250 */
																	BgL_objectz00_bglt BgL_auxz00_4946;

																	BgL_auxz00_4946 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_lz00_2098)));
																	BgL_auxz00_4945 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_4946);
																}
																BgL_auxz00_4944 =
																	((BgL_localzf2valuezf2_bglt) BgL_auxz00_4945);
															}
															((((BgL_localzf2valuezf2_bglt)
																		CREF(BgL_auxz00_4944))->BgL_stampz00) =
																((int) (int) (BgL_stampz00_2067)), BUNSPEC);
														}
														{
															BgL_localzf2valuezf2_bglt BgL_auxz00_4954;

															{
																obj_t BgL_auxz00_4955;

																{	/* Dataflow/walk.scm 251 */
																	BgL_objectz00_bglt BgL_auxz00_4956;

																	BgL_auxz00_4956 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_lz00_2098)));
																	BgL_auxz00_4955 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_4956);
																}
																BgL_auxz00_4954 =
																	((BgL_localzf2valuezf2_bglt) BgL_auxz00_4955);
															}
															((((BgL_localzf2valuezf2_bglt)
																		CREF(BgL_auxz00_4954))->BgL_nodez00) =
																((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																		BgL_nodez00_2096)), BUNSPEC);
														}
														((obj_t)
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_lz00_2098)));
													}
												else
													{	/* Dataflow/walk.scm 248 */
														BFALSE;
													}
											}
											{
												obj_t BgL_envz00_4969;
												obj_t BgL_bindingsz00_4967;

												BgL_bindingsz00_4967 = CDR(BgL_bindingsz00_2092);
												BgL_envz00_4969 = BgL_envz00_2097;
												BgL_envz00_2093 = BgL_envz00_4969;
												BgL_bindingsz00_2092 = BgL_bindingsz00_4967;
												goto BgL_zc3anonymousza32378ze3z83_2094;
											}
										}
									}
								}
						}
						{	/* Dataflow/walk.scm 241 */

							{	/* Dataflow/walk.scm 253 */
								obj_t BgL_arg2359z00_2070;

								BgL_arg2359z00_2070 =
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2062))->
										BgL_bodyz00), BgL_envz00_2068);
								{	/* Dataflow/walk.scm 255 */
									obj_t BgL_zc3anonymousza32361ze3z83_3968;

									BgL_zc3anonymousza32361ze3z83_3968 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32361ze3ze1zzdataflow_walkz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32361ze3z83_3968,
										(int) (((long) 0)), BINT(BgL_stampz00_2067));
									{	/* Dataflow/walk.scm 253 */
										obj_t BgL_list2360z00_2071;

										BgL_list2360z00_2071 = MAKE_PAIR(BgL_arg2359z00_2070, BNIL);
										return
											BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
											(BgL_zc3anonymousza32361ze3z83_3968,
											BgL_list2360z00_2071);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2361> */
	obj_t BGl_z62zc3anonymousza32361ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_4031, obj_t BgL_bz00_4033)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 253 */
			{	/* Dataflow/walk.scm 255 */
				long BgL_stampz00_4032;

				BgL_stampz00_4032 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_4031, (int) (((long) 0))));
				{
					obj_t BgL_bz00_2072;

					BgL_bz00_2072 = BgL_bz00_4033;
					{	/* Dataflow/walk.scm 255 */
						bool_t BgL_testz00_4985;

						{	/* Dataflow/walk.scm 255 */
							bool_t BgL_testz00_4986;

							{	/* Dataflow/walk.scm 255 */
								obj_t BgL_arg2375z00_2087;

								BgL_arg2375z00_2087 = CAR(BgL_bz00_2072);
								BgL_testz00_4986 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2375z00_2087,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							if (BgL_testz00_4986)
								{	/* Dataflow/walk.scm 256 */
									long BgL_auxz00_4989;

									{	/* Dataflow/walk.scm 256 */
										int BgL_auxz00_4990;

										{
											BgL_localzf2valuezf2_bglt BgL_auxz00_4991;

											{
												obj_t BgL_auxz00_4992;

												{	/* Dataflow/walk.scm 256 */
													BgL_objectz00_bglt BgL_auxz00_4993;

													BgL_auxz00_4993 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) CAR(BgL_bz00_2072)));
													BgL_auxz00_4992 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4993);
												}
												BgL_auxz00_4991 =
													((BgL_localzf2valuezf2_bglt) BgL_auxz00_4992);
											}
											BgL_auxz00_4990 =
												(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4991))->
												BgL_stampz00);
										}
										BgL_auxz00_4989 = (long) (BgL_auxz00_4990);
									}
									BgL_testz00_4985 = (BgL_auxz00_4989 < BgL_stampz00_4032);
								}
							else
								{	/* Dataflow/walk.scm 255 */
									BgL_testz00_4985 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4985)
							{	/* Dataflow/walk.scm 255 */
								return BgL_bz00_2072;
							}
						else
							{	/* Dataflow/walk.scm 258 */
								bool_t BgL_testz00_5002;

								{	/* Dataflow/walk.scm 258 */
									BgL_nodez00_bglt BgL_arg2370z00_2082;

									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5003;

										{
											obj_t BgL_auxz00_5004;

											{	/* Dataflow/walk.scm 258 */
												BgL_objectz00_bglt BgL_auxz00_5005;

												BgL_auxz00_5005 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) CAR(BgL_bz00_2072)));
												BgL_auxz00_5004 = BGL_OBJECT_WIDENING(BgL_auxz00_5005);
											}
											BgL_auxz00_5003 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5004);
										}
										BgL_arg2370z00_2082 =
											(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_5003))->
											BgL_nodez00);
									}
									{	/* Dataflow/walk.scm 258 */
										bool_t BgL_res2679z00_3668;

										BgL_res2679z00_3668 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg2370z00_2082), BGl_varz00zzast_nodez00);
										BgL_testz00_5002 = BgL_res2679z00_3668;
									}
								}
								if (BgL_testz00_5002)
									{	/* Dataflow/walk.scm 259 */
										BgL_variablez00_bglt BgL_vz00_2076;

										{
											BgL_varz00_bglt BgL_auxz00_5014;

											{
												BgL_nodez00_bglt BgL_auxz00_5015;

												{
													BgL_localzf2valuezf2_bglt BgL_auxz00_5016;

													{
														obj_t BgL_auxz00_5017;

														{	/* Dataflow/walk.scm 259 */
															BgL_objectz00_bglt BgL_auxz00_5018;

															BgL_auxz00_5018 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) CAR(BgL_bz00_2072)));
															BgL_auxz00_5017 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5018);
														}
														BgL_auxz00_5016 =
															((BgL_localzf2valuezf2_bglt) BgL_auxz00_5017);
													}
													BgL_auxz00_5015 =
														(((BgL_localzf2valuezf2_bglt)
															CREF(BgL_auxz00_5016))->BgL_nodez00);
												}
												BgL_auxz00_5014 = ((BgL_varz00_bglt) BgL_auxz00_5015);
											}
											BgL_vz00_2076 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_5014))->
												BgL_variablez00);
										}
										if (
											((((BgL_variablez00_bglt) CREF(BgL_vz00_2076))->
													BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
											{	/* Dataflow/walk.scm 261 */
												obj_t BgL_arg2365z00_2078;

												BgL_arg2365z00_2078 = CDR(BgL_bz00_2072);
												return
													MAKE_PAIR(
													((obj_t) BgL_vz00_2076), BgL_arg2365z00_2078);
											}
										else
											{	/* Dataflow/walk.scm 260 */
												return BFALSE;
											}
									}
								else
									{	/* Dataflow/walk.scm 258 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-let-f2155 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f2155za2zzdataflow_walkz00(obj_t
		BgL_envz00_4034, obj_t BgL_nodez00_4035, obj_t BgL_envz00_4036)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 222 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2045;
				obj_t BgL_envz00_2046;

				BgL_nodez00_2045 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_4035);
				BgL_envz00_2046 = BgL_envz00_4036;
				{	/* Dataflow/walk.scm 224 */
					obj_t BgL_g2104z00_2050;

					BgL_g2104z00_2050 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2045))->BgL_localsz00);
					{
						obj_t BgL_l2102z00_2052;

						BgL_l2102z00_2052 = BgL_g2104z00_2050;
					BgL_zc3anonymousza32352ze3z83_2053:
						if (PAIRP(BgL_l2102z00_2052))
							{	/* Dataflow/walk.scm 224 */
								{	/* Dataflow/walk.scm 225 */
									obj_t BgL_localz00_2055;

									BgL_localz00_2055 = CAR(BgL_l2102z00_2052);
									{	/* Dataflow/walk.scm 225 */
										obj_t BgL_arg2354z00_2056;

										BgL_arg2354z00_2056 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_2055))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
												(BgL_nodez00_bglt) BgL_arg2354z00_2056), BNIL);
									}
								}
								{
									obj_t BgL_l2102z00_5045;

									BgL_l2102z00_5045 = CDR(BgL_l2102z00_2052);
									BgL_l2102z00_2052 = BgL_l2102z00_5045;
									goto BgL_zc3anonymousza32352ze3z83_2053;
								}
							}
						else
							{	/* Dataflow/walk.scm 224 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2045))->BgL_bodyz00),
					BgL_envz00_2046);
			}
		}
	}



/* &dataflow-node!-selec2153 */
	obj_t BGl_z62dataflowzd2nodez12zd2selec2153z70zzdataflow_walkz00(obj_t
		BgL_envz00_4037, obj_t BgL_nodez00_4038, obj_t BgL_envz00_4039)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 211 */
			{
				BgL_selectz00_bglt BgL_nodez00_2029;
				obj_t BgL_envz00_2030;

				BgL_nodez00_2029 = ((BgL_selectz00_bglt) BgL_nodez00_4038);
				BgL_envz00_2030 = BgL_envz00_4039;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_2029))->BgL_testz00),
					BgL_envz00_2030);
				{	/* Dataflow/walk.scm 214 */
					obj_t BgL_g2101z00_2035;

					BgL_g2101z00_2035 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_2029))->BgL_clausesz00);
					{
						obj_t BgL_l2099z00_2037;

						BgL_l2099z00_2037 = BgL_g2101z00_2035;
					BgL_zc3anonymousza32348ze3z83_2038:
						if (PAIRP(BgL_l2099z00_2037))
							{	/* Dataflow/walk.scm 214 */
								{	/* Dataflow/walk.scm 215 */
									obj_t BgL_clausez00_2040;

									BgL_clausez00_2040 = CAR(BgL_l2099z00_2037);
									{	/* Dataflow/walk.scm 215 */
										obj_t BgL_arg2350z00_2041;

										BgL_arg2350z00_2041 = CDR(BgL_clausez00_2040);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2350z00_2041),
											BgL_envz00_2030);
									}
								}
								{
									obj_t BgL_l2099z00_5059;

									BgL_l2099z00_5059 = CDR(BgL_l2099z00_2037);
									BgL_l2099z00_2037 = BgL_l2099z00_5059;
									goto BgL_zc3anonymousza32348ze3z83_2038;
								}
							}
						else
							{	/* Dataflow/walk.scm 214 */
								((bool_t) 1);
							}
					}
				}
				return BgL_envz00_2030;
			}
		}
	}



/* &dataflow-node!-fail2151 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail2151z70zzdataflow_walkz00(obj_t
		BgL_envz00_4040, obj_t BgL_nodez00_4041, obj_t BgL_envz00_4042)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 201 */
			{
				BgL_failz00_bglt BgL_nodez00_2020;
				obj_t BgL_envz00_2021;

				BgL_nodez00_2020 = ((BgL_failz00_bglt) BgL_nodez00_4041);
				BgL_envz00_2021 = BgL_envz00_4042;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2020))->BgL_procz00),
					BgL_envz00_2021);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_2020))->BgL_msgz00), BgL_envz00_2021);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_2020))->BgL_objz00), BgL_envz00_2021);
				return BgL_envz00_2021;
			}
		}
	}



/* &dataflow-node!-condi2149 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi2149z70zzdataflow_walkz00(obj_t
		BgL_envz00_4043, obj_t BgL_nodez00_4044, obj_t BgL_envz00_4045)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 178 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1979;
				obj_t BgL_envz00_1980;

				BgL_nodez00_1979 = ((BgL_conditionalz00_bglt) BgL_nodez00_4044);
				BgL_envz00_1980 = BgL_envz00_4045;
				{	/* Dataflow/walk.scm 189 */
					obj_t BgL_tenvz00_1985;

					BgL_tenvz00_1985 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1979))->BgL_testz00),
						BgL_envz00_1980);
					{	/* Dataflow/walk.scm 189 */
						obj_t BgL_truezd2envzd2_1986;

						BgL_truezd2envzd2_1986 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1979))->
									BgL_testz00)), BgL_tenvz00_1985);
						{	/* Dataflow/walk.scm 190 */
							obj_t BgL_falsezd2envzd2_1987;

							BgL_falsezd2envzd2_1987 =
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1979))->
										BgL_testz00)), BgL_tenvz00_1985);
							{	/* Dataflow/walk.scm 191 */

								{	/* Dataflow/walk.scm 192 */
									obj_t BgL_tenvz00_1988;
									obj_t BgL_fenvz00_1989;

									BgL_tenvz00_1988 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1979))->
											BgL_falsez00), BgL_falsezd2envzd2_1987);
									BgL_fenvz00_1989 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1979))->
											BgL_truez00), BgL_truezd2envzd2_1986);
									{	/* Dataflow/walk.scm 194 */
										bool_t BgL_testz00_5081;

										{	/* Dataflow/walk.scm 194 */
											BgL_nodez00_bglt BgL_arg2329z00_1991;

											BgL_arg2329z00_1991 =
												(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1979))->
												BgL_falsez00);
											BgL_testz00_5081 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
												(BgL_arg2329z00_1991));
										}
										if (BgL_testz00_5081)
											{	/* Dataflow/walk.scm 194 */
												return BgL_tenvz00_1988;
											}
										else
											{	/* Dataflow/walk.scm 194 */
												return
													BGl_zc3anonymousza32339ze3z83zzdataflow_walkz00
													(BgL_fenvz00_1989, BgL_tenvz00_1988);
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:2339> */
	obj_t BGl_zc3anonymousza32339ze3z83zzdataflow_walkz00(obj_t BgL_env2z00_4074,
		obj_t BgL_lis2095z00_2003)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 181 */
		BGl_zc3anonymousza32339ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2095z00_2003))
				{	/* Dataflow/walk.scm 181 */
					return BgL_lis2095z00_2003;
				}
			else
				{	/* Dataflow/walk.scm 181 */
					obj_t BgL_head2096z00_2006;
					obj_t BgL_tail2097z00_2007;

					BgL_head2096z00_2006 = CAR(BgL_lis2095z00_2003);
					BgL_tail2097z00_2007 = CDR(BgL_lis2095z00_2003);
					{	/* Dataflow/walk.scm 181 */
						bool_t BgL_testz00_5091;

						{	/* Dataflow/walk.scm 183 */
							obj_t BgL_c2z00_2014;

							BgL_c2z00_2014 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(CAR
								(BgL_head2096z00_2006), BgL_env2z00_4074);
							{	/* Dataflow/walk.scm 184 */

								if (PAIRP(BgL_c2z00_2014))
									{	/* Dataflow/walk.scm 185 */
										BgL_testz00_5091 =
											(CDR(BgL_c2z00_2014) == CDR(BgL_head2096z00_2006));
									}
								else
									{	/* Dataflow/walk.scm 185 */
										BgL_testz00_5091 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_5091)
							{	/* Dataflow/walk.scm 181 */
								obj_t BgL_newzd2tail2098zd2_2009;

								BgL_newzd2tail2098zd2_2009 =
									BGl_zc3anonymousza32339ze3z83zzdataflow_walkz00
									(BgL_env2z00_4074, BgL_tail2097z00_2007);
								if ((BgL_tail2097z00_2007 == BgL_newzd2tail2098zd2_2009))
									{	/* Dataflow/walk.scm 181 */
										return BgL_lis2095z00_2003;
									}
								else
									{	/* Dataflow/walk.scm 181 */
										obj_t BgL_res2668z00_3618;

										BgL_res2668z00_3618 =
											MAKE_PAIR(BgL_head2096z00_2006,
											BgL_newzd2tail2098zd2_2009);
										return BgL_res2668z00_3618;
									}
							}
						else
							{
								obj_t BgL_lis2095z00_5103;

								BgL_lis2095z00_5103 = BgL_tail2097z00_2007;
								BgL_lis2095z00_2003 = BgL_lis2095z00_5103;
								goto BGl_zc3anonymousza32339ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-setq2147 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq2147z70zzdataflow_walkz00(obj_t
		BgL_envz00_4046, obj_t BgL_nodez00_4047, obj_t BgL_envz00_4048)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 158 */
			{
				BgL_setqz00_bglt BgL_nodez00_1942;
				obj_t BgL_envz00_1943;

				BgL_nodez00_1942 = ((BgL_setqz00_bglt) BgL_nodez00_4047);
				BgL_envz00_1943 = BgL_envz00_4048;
				{	/* Dataflow/walk.scm 166 */
					obj_t BgL_nenvz00_1948;

					BgL_nenvz00_1948 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1942))->BgL_valuez00),
						BgL_envz00_1943);
					{	/* Dataflow/walk.scm 167 */
						BgL_varz00_bglt BgL_i1172z00_1949;

						BgL_i1172z00_1949 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1942))->BgL_varz00);
						{	/* Dataflow/walk.scm 168 */
							bool_t BgL_testz00_5107;

							{	/* Dataflow/walk.scm 168 */
								BgL_variablez00_bglt BgL_arg2318z00_1959;

								BgL_arg2318z00_1959 =
									(((BgL_varz00_bglt) CREF(BgL_i1172z00_1949))->
									BgL_variablez00);
								{	/* Dataflow/walk.scm 168 */
									bool_t BgL_res2664z00_3603;

									BgL_res2664z00_3603 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg2318z00_1959), BGl_globalz00zzast_varz00);
									BgL_testz00_5107 = BgL_res2664z00_3603;
								}
							}
							if (BgL_testz00_5107)
								{	/* Dataflow/walk.scm 168 */
									return
										BGl_zc3anonymousza32321ze3z83zzdataflow_walkz00(
										(((BgL_varz00_bglt) CREF(BgL_i1172z00_1949))->
											BgL_variablez00), BgL_nenvz00_1948);
								}
							else
								{	/* Dataflow/walk.scm 170 */
									BgL_typez00_bglt BgL_typz00_1952;

									BgL_typz00_1952 =
										BGl_getzd2typezd2zztype_typeofz00(
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1942))->
											BgL_valuez00));
									{	/* Dataflow/walk.scm 171 */
										bool_t BgL_testz00_5115;

										if (
											(((obj_t) BgL_typz00_1952) ==
												BGl_za2_za2z00zztype_cachez00))
											{	/* Dataflow/walk.scm 171 */
												BgL_testz00_5115 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 171 */
												BgL_testz00_5115 =
													(
													((obj_t) BgL_typz00_1952) ==
													BGl_za2objza2z00zztype_cachez00);
											}
										if (BgL_testz00_5115)
											{	/* Dataflow/walk.scm 171 */
												return
													BGl_zc3anonymousza32321ze3z83zzdataflow_walkz00(
													(((BgL_varz00_bglt) CREF(BgL_i1172z00_1949))->
														BgL_variablez00), BgL_nenvz00_1948);
											}
										else
											{	/* Dataflow/walk.scm 173 */
												obj_t BgL_arg2314z00_1955;

												{	/* Dataflow/walk.scm 173 */
													BgL_variablez00_bglt BgL_arg2315z00_1956;

													BgL_arg2315z00_1956 =
														(((BgL_varz00_bglt) CREF(BgL_i1172z00_1949))->
														BgL_variablez00);
													BgL_arg2314z00_1955 =
														MAKE_PAIR(((obj_t) BgL_arg2315z00_1956),
														((obj_t) BgL_typz00_1952));
												}
												return MAKE_PAIR(BgL_arg2314z00_1955, BgL_nenvz00_1948);
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* <anonymous:2321> */
	obj_t BGl_zc3anonymousza32321ze3z83zzdataflow_walkz00(BgL_variablez00_bglt
		BgL_variablez00_4073, obj_t BgL_lis2090z00_1965)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 161 */
		BGl_zc3anonymousza32321ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2090z00_1965))
				{	/* Dataflow/walk.scm 161 */
					return BgL_lis2090z00_1965;
				}
			else
				{	/* Dataflow/walk.scm 161 */
					obj_t BgL_head2091z00_1968;
					obj_t BgL_tail2092z00_1969;

					BgL_head2091z00_1968 = CAR(BgL_lis2090z00_1965);
					BgL_tail2092z00_1969 = CDR(BgL_lis2090z00_1965);
					{	/* Dataflow/walk.scm 161 */
						bool_t BgL_testz00_5133;

						if ((CAR(BgL_head2091z00_1968) == ((obj_t) BgL_variablez00_4073)))
							{	/* Dataflow/walk.scm 162 */
								BgL_testz00_5133 = ((bool_t) 0);
							}
						else
							{	/* Dataflow/walk.scm 162 */
								BgL_testz00_5133 = ((bool_t) 1);
							}
						if (BgL_testz00_5133)
							{	/* Dataflow/walk.scm 161 */
								obj_t BgL_newzd2tail2093zd2_1971;

								BgL_newzd2tail2093zd2_1971 =
									BGl_zc3anonymousza32321ze3z83zzdataflow_walkz00
									(BgL_variablez00_4073, BgL_tail2092z00_1969);
								if ((BgL_tail2092z00_1969 == BgL_newzd2tail2093zd2_1971))
									{	/* Dataflow/walk.scm 161 */
										return BgL_lis2090z00_1965;
									}
								else
									{	/* Dataflow/walk.scm 161 */
										obj_t BgL_res2663z00_3601;

										BgL_res2663z00_3601 =
											MAKE_PAIR(BgL_head2091z00_1968,
											BgL_newzd2tail2093zd2_1971);
										return BgL_res2663z00_3601;
									}
							}
						else
							{
								obj_t BgL_lis2090z00_5142;

								BgL_lis2090z00_5142 = BgL_tail2092z00_1969;
								BgL_lis2090z00_1965 = BgL_lis2090z00_5142;
								goto BGl_zc3anonymousza32321ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-exter2145 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter2145z70zzdataflow_walkz00(obj_t
		BgL_envz00_4049, obj_t BgL_nodez00_4050, obj_t BgL_envz00_4051)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 151 */
			{
				BgL_externz00_bglt BgL_nodez00_1936;
				obj_t BgL_envz00_1937;

				BgL_nodez00_1936 = ((BgL_externz00_bglt) BgL_nodez00_4050);
				BgL_envz00_1937 = BgL_envz00_4051;
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1936))->BgL_exprza2za2),
					BgL_envz00_1937);
			}
		}
	}



/* &dataflow-node!-funca2143 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca2143z70zzdataflow_walkz00(obj_t
		BgL_envz00_4052, obj_t BgL_nodez00_4053, obj_t BgL_envz00_4054)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 143 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1928;
				obj_t BgL_envz00_1929;

				BgL_nodez00_1928 = ((BgL_funcallz00_bglt) BgL_nodez00_4053);
				BgL_envz00_1929 = BgL_envz00_4054;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1928))->BgL_funz00),
					BgL_envz00_1929);
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_1928))->BgL_argsz00), BgL_envz00_1929);
			}
		}
	}



/* &dataflow-node!-app-l2141 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l2141za2zzdataflow_walkz00(obj_t
		BgL_envz00_4055, obj_t BgL_nodez00_4056, obj_t BgL_envz00_4057)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 135 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1920;
				obj_t BgL_envz00_1921;

				BgL_nodez00_1920 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4056);
				BgL_envz00_1921 = BgL_envz00_4057;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1920))->BgL_funz00),
					BgL_envz00_1921);
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
							CREF(BgL_nodez00_1920))->BgL_argz00), BgL_envz00_1921);
			}
		}
	}



/* &dataflow-node!-app2139 */
	obj_t BGl_z62dataflowzd2nodez12zd2app2139z70zzdataflow_walkz00(obj_t
		BgL_envz00_4058, obj_t BgL_nodez00_4059, obj_t BgL_envz00_4060)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 119 */
			{
				BgL_appz00_bglt BgL_nodez00_1893;
				obj_t BgL_envz00_1894;

				BgL_nodez00_1893 = ((BgL_appz00_bglt) BgL_nodez00_4059);
				BgL_envz00_1894 = BgL_envz00_4060;
				{	/* Dataflow/walk.scm 121 */
					obj_t BgL_aenvz00_1898;

					BgL_aenvz00_1898 =
						BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1893))->BgL_argsz00),
						BgL_envz00_1894);
					{	/* Dataflow/walk.scm 122 */
						bool_t BgL_testz00_5158;

						{	/* Dataflow/walk.scm 122 */
							bool_t BgL_testz00_5159;

							{	/* Dataflow/walk.scm 122 */
								BgL_varz00_bglt BgL_arg2304z00_1917;

								BgL_arg2304z00_1917 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1893))->BgL_funz00);
								{	/* Dataflow/walk.scm 122 */
									bool_t BgL_res2653z00_3560;

									BgL_res2653z00_3560 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg2304z00_1917), BGl_varz00zzast_nodez00);
									BgL_testz00_5159 = BgL_res2653z00_3560;
								}
							}
							if (BgL_testz00_5159)
								{	/* Dataflow/walk.scm 122 */
									BgL_variablez00_bglt BgL_arg2302z00_1915;

									BgL_arg2302z00_1915 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1893))->
													BgL_funz00)))->BgL_variablez00);
									{	/* Dataflow/walk.scm 122 */
										bool_t BgL_res2655z00_3565;

										BgL_res2655z00_3565 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg2302z00_1915), BGl_localz00zzast_varz00);
										BgL_testz00_5158 = BgL_res2655z00_3565;
									}
								}
							else
								{	/* Dataflow/walk.scm 122 */
									BgL_testz00_5158 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_5158)
							{	/* Dataflow/walk.scm 122 */
								return
									BGl_zc3anonymousza32296ze3z83zzdataflow_walkz00
									(BgL_aenvz00_1898);
							}
						else
							{	/* Dataflow/walk.scm 122 */
								return BgL_aenvz00_1898;
							}
					}
				}
			}
		}
	}



/* <anonymous:2296> */
	obj_t BGl_zc3anonymousza32296ze3z83zzdataflow_walkz00(obj_t
		BgL_lis2085z00_1901)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 126 */
		BGl_zc3anonymousza32296ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2085z00_1901))
				{	/* Dataflow/walk.scm 126 */
					return BgL_lis2085z00_1901;
				}
			else
				{	/* Dataflow/walk.scm 126 */
					obj_t BgL_head2086z00_1904;
					obj_t BgL_tail2087z00_1905;

					BgL_head2086z00_1904 = CAR(BgL_lis2085z00_1901);
					BgL_tail2087z00_1905 = CDR(BgL_lis2085z00_1901);
					{	/* Dataflow/walk.scm 126 */
						bool_t BgL_testz00_5173;

						{	/* Dataflow/walk.scm 127 */
							obj_t BgL_vz00_1910;

							BgL_vz00_1910 = CAR(BgL_head2086z00_1904);
							{	/* Dataflow/walk.scm 128 */
								bool_t BgL__ortest_1168z00_1911;

								BgL__ortest_1168z00_1911 =
									BGl_isazf3zf3zz__objectz00(BgL_vz00_1910,
									BGl_globalz00zzast_varz00);
								if (BgL__ortest_1168z00_1911)
									{	/* Dataflow/walk.scm 128 */
										BgL_testz00_5173 = BgL__ortest_1168z00_1911;
									}
								else
									{	/* Dataflow/walk.scm 128 */
										BgL_testz00_5173 =
											(
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_vz00_1910)))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
						}}}
						if (BgL_testz00_5173)
							{	/* Dataflow/walk.scm 126 */
								obj_t BgL_newzd2tail2088zd2_1907;

								BgL_newzd2tail2088zd2_1907 =
									BGl_zc3anonymousza32296ze3z83zzdataflow_walkz00
									(BgL_tail2087z00_1905);
								if ((BgL_tail2087z00_1905 == BgL_newzd2tail2088zd2_1907))
									{	/* Dataflow/walk.scm 126 */
										return BgL_lis2085z00_1901;
									}
								else
									{	/* Dataflow/walk.scm 126 */
										obj_t BgL_res2659z00_3580;

										BgL_res2659z00_3580 =
											MAKE_PAIR(BgL_head2086z00_1904,
											BgL_newzd2tail2088zd2_1907);
										return BgL_res2659z00_3580;
									}
							}
						else
							{
								obj_t BgL_lis2085z00_5185;

								BgL_lis2085z00_5185 = BgL_tail2087z00_1905;
								BgL_lis2085z00_1901 = BgL_lis2085z00_5185;
								goto BGl_zc3anonymousza32296ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-sync2136 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync2136z70zzdataflow_walkz00(obj_t
		BgL_envz00_4061, obj_t BgL_nodez00_4062, obj_t BgL_envz00_4063)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 110 */
			{
				BgL_syncz00_bglt BgL_nodez00_1885;
				obj_t BgL_envz00_1886;

				BgL_nodez00_1885 = ((BgL_syncz00_bglt) BgL_nodez00_4062);
				BgL_envz00_1886 = BgL_envz00_4063;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1885))->BgL_mutexz00),
					BgL_envz00_1886);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
							CREF(BgL_nodez00_1885))->BgL_prelockz00), BgL_envz00_1886);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
							CREF(BgL_nodez00_1885))->BgL_bodyz00), BgL_envz00_1886);
				return BgL_envz00_1886;
			}
		}
	}



/* &dataflow-node!-seque2133 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque2133z70zzdataflow_walkz00(obj_t
		BgL_envz00_4064, obj_t BgL_nodez00_4065, obj_t BgL_envz00_4066)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 100 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1870;
				obj_t BgL_envz00_1871;

				BgL_nodez00_1870 = ((BgL_sequencez00_bglt) BgL_nodez00_4065);
				BgL_envz00_1871 = BgL_envz00_4066;
				{	/* Dataflow/walk.scm 101 */
					obj_t BgL_g1166z00_1874;

					BgL_g1166z00_1874 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1870))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_1876;
						obj_t BgL_envz00_1877;

						BgL_nodeza2za2_1876 = BgL_g1166z00_1874;
						BgL_envz00_1877 = BgL_envz00_1871;
					BgL_zc3anonymousza32287ze3z83_1878:
						if (NULLP(BgL_nodeza2za2_1876))
							{	/* Dataflow/walk.scm 103 */
								return BgL_envz00_1877;
							}
						else
							{	/* Dataflow/walk.scm 105 */
								obj_t BgL_arg2289z00_1880;
								obj_t BgL_arg2290z00_1881;

								BgL_arg2289z00_1880 = CDR(BgL_nodeza2za2_1876);
								{	/* Dataflow/walk.scm 105 */
									obj_t BgL_arg2291z00_1882;

									BgL_arg2291z00_1882 = CAR(BgL_nodeza2za2_1876);
									BgL_arg2290z00_1881 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2291z00_1882), BgL_envz00_1877);
								}
								{
									obj_t BgL_envz00_5201;
									obj_t BgL_nodeza2za2_5200;

									BgL_nodeza2za2_5200 = BgL_arg2289z00_1880;
									BgL_envz00_5201 = BgL_arg2290z00_1881;
									BgL_envz00_1877 = BgL_envz00_5201;
									BgL_nodeza2za2_1876 = BgL_nodeza2za2_5200;
									goto BgL_zc3anonymousza32287ze3z83_1878;
								}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-closu2131 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu2131z70zzdataflow_walkz00(obj_t
		BgL_envz00_4067, obj_t BgL_nodez00_4068, obj_t BgL_envz00_4069)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 94 */
			return BgL_envz00_4069;
		}
	}



/* &dataflow-node!-var2129 */
	obj_t BGl_z62dataflowzd2nodez12zd2var2129z70zzdataflow_walkz00(obj_t
		BgL_envz00_4070, obj_t BgL_nodez00_4071, obj_t BgL_envz00_4072)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 80 */
			{
				BgL_varz00_bglt BgL_nodez00_1846;
				obj_t BgL_envz00_1847;

				BgL_nodez00_1846 = ((BgL_varz00_bglt) BgL_nodez00_4071);
				BgL_envz00_1847 = BgL_envz00_4072;
				{	/* Dataflow/walk.scm 82 */
					BgL_variablez00_bglt BgL_i1164z00_1851;

					BgL_i1164z00_1851 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1846))->BgL_variablez00);
					{	/* Dataflow/walk.scm 83 */
						bool_t BgL_testz00_5204;

						if (BGl_bigloozd2typezf3z21zztype_typez00(
								(((BgL_variablez00_bglt) CREF(BgL_i1164z00_1851))->
									BgL_typez00)))
							{	/* Dataflow/walk.scm 84 */
								bool_t BgL__ortest_1165z00_1858;

								{	/* Dataflow/walk.scm 84 */
									bool_t BgL_testz00_5208;

									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2285z00_1862;

										BgL_arg2285z00_1862 =
											(((BgL_variablez00_bglt) CREF(BgL_i1164z00_1851))->
											BgL_typez00);
										{	/* Dataflow/walk.scm 84 */
											bool_t BgL_res2646z00_3537;

											BgL_res2646z00_3537 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg2285z00_1862),
												BGl_tclassz00zzobject_classz00);
											BgL_testz00_5208 = BgL_res2646z00_3537;
										}
									}
									if (BgL_testz00_5208)
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1165z00_1858 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1165z00_1858 = ((bool_t) 1);
										}
								}
								if (BgL__ortest_1165z00_1858)
									{	/* Dataflow/walk.scm 84 */
										BgL_testz00_5204 = BgL__ortest_1165z00_1858;
									}
								else
									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2282z00_1859;
										BgL_typez00_bglt BgL_arg2283z00_1860;

										BgL_arg2282z00_1859 =
											(((BgL_variablez00_bglt) CREF(BgL_i1164z00_1851))->
											BgL_typez00);
										BgL_arg2283z00_1860 =
											(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_nodez00_1846)))->BgL_typez00);
										BgL_testz00_5204 =
											BGl_typezd2subclasszf3z21zzobject_classz00
											(BgL_arg2282z00_1859, BgL_arg2283z00_1860);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BgL_testz00_5204 = ((bool_t) 0);
							}
						if (BgL_testz00_5204)
							{	/* Dataflow/walk.scm 85 */
								obj_t BgL_bz00_1853;

								BgL_bz00_1853 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t)
										(((BgL_varz00_bglt) CREF(BgL_nodez00_1846))->
											BgL_variablez00)), BgL_envz00_1847);
								if (PAIRP(BgL_bz00_1853))
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1846)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													CDR(BgL_bz00_1853))), BUNSPEC);
									}
								else
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1846)))->
												BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_1846))->
																BgL_variablez00)))->BgL_typez00)), BUNSPEC);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BFALSE;
							}
					}
				}
				return BgL_envz00_1847;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2792z00zzdataflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
