/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/cgraph.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	static obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz121947za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2fun1973za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62savezd2callz12zd2global1990z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static BgL_valuez00_bglt
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2sync1953z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2fail1969z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00();
	static obj_t
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2setzd2exzd2i1977z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2conditio1967z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2setz121986zb0zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt,
		bool_t);
	static obj_t
		BGl_z62callzd2graphz12zd2makezd2box1982za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2var1975za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62savezd2callz12zd2globalzf2fr1992z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2app1955z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32027ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	static obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2cast1963z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2setq1965z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz121987za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2022z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2025z62zzeffect_cgraphz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2028z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2appzd2ly1957za2zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2select1971z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2036z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2037z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_z62callzd2graphz12zd2funcall1959z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2045z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2048z62zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_globalz00_bglt BGl_z62lambda2051z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2jumpzd2exzd21980z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2058z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2059z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2extern1961z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2ref1984za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2sequence1951z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static BgL_valuez00_bglt
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62savezd2callz12zd2localzf2fro1996z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12zd2local1994z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32050ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72283za7,
		BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2284z00,
		BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2037za7622285z00, BGl_z62lambda2037z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2036za7622286z00, BGl_z62lambda2036z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2028za7622287z00, BGl_z62lambda2028z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72288za7,
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2289z00,
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72290za7,
		BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2291z00,
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72292za7,
		BGl_z62zc3anonymousza32027ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2025za7622293z00, BGl_z62lambda2025z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2022za7622294z00, BGl_z62lambda2022z62zzeffect_cgraphz00,
		0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2059za7622295z00, BGl_z62lambda2059z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2058za7622296z00, BGl_z62lambda2058z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2051za7622297z00, BGl_z62lambda2051z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72298za7,
		BGl_z62zc3anonymousza32050ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2048za7622299z00, BGl_z62lambda2048z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2045za7622300z00, BGl_z62lambda2045z62zzeffect_cgraphz00,
		0L, BUNSPEC, 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2301z00,
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72302za7,
		BGl_z62callzd2graphz121947za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712303za7,
		BGl_z62savezd2callz121987za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72304za7,
		BGl_z62callzd2graphz12zd2sequence1951z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72305za7,
		BGl_z62callzd2graphz12zd2sync1953z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72306za7,
		BGl_z62callzd2graphz12zd2app1955z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72307za7,
		BGl_z62callzd2graphz12zd2appzd2ly1957za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2308z00,
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72309za7,
		BGl_z62callzd2graphz12zd2funcall1959z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72310za7,
		BGl_z62callzd2graphz12zd2extern1961z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72311za7,
		BGl_z62callzd2graphz12zd2cast1963z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72312za7,
		BGl_z62callzd2graphz12zd2setq1965z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72313za7,
		BGl_z62callzd2graphz12zd2conditio1967z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72314za7,
		BGl_z62callzd2graphz12zd2fail1969z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72315za7,
		BGl_z62callzd2graphz12zd2select1971z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72316za7,
		BGl_z62callzd2graphz12zd2letzd2fun1973za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2268z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72317za7,
		BGl_z62callzd2graphz12zd2letzd2var1975za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72318za7,
		BGl_z62callzd2graphz12zd2setzd2exzd2i1977z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2319z00,
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2320z00,
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2321z00,
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72322za7,
		BGl_z62callzd2graphz12zd2jumpzd2exzd21980z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72323za7,
		BGl_z62callzd2graphz12zd2makezd2box1982za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72324za7,
		BGl_z62callzd2graphz12zd2boxzd2ref1984za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2273z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72325za7,
		BGl_z62callzd2graphz12zd2boxzd2setz121986zb0zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712326za7,
		BGl_z62savezd2callz12zd2global1990z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712327za7,
		BGl_z62savezd2callz12zd2globalzf2fr1992z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712328za7,
		BGl_z62savezd2callz12zd2local1994z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712329za7,
		BGl_z62savezd2callz12zd2localzf2fro1996z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72330za7,
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72331za7,
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2332z00,
		BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2global2333z00,
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2334z00,
		BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2335z00,
		BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2336z00,
		BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72337za7,
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2338z00,
		BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2a2339za7,
		BGl_z62getzd2varzf2allz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2340z00,
		BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2341z00,
		BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2s2342za7,
		BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2343z00,
		BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72344za7,
		BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72345za7,
		BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712346za7,
		BGl_z62savezd2callz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762resetza7d2effec2347z00,
		BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2348z00,
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72349za7,
		BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2350z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72351za7,
		BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2352z00,
		BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762funza7d2callza7d22353za7,
		BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72354za7,
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72355za7,
		BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72356za7,
		BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2249z00zzeffect_cgraphz00,
		BgL_bgl_string2249za700za7za7e2357za7, "", 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2358z00,
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2359z00,
		BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2251z00zzeffect_cgraphz00,
		BgL_bgl_string2251za700za7za7e2360za7, "call-graph!1947", 15);
	      DEFINE_STRING(BGl_string2253z00zzeffect_cgraphz00,
		BgL_bgl_string2253za700za7za7e2361za7, "save-call!1987", 14);
	      DEFINE_STRING(BGl_string2254z00zzeffect_cgraphz00,
		BgL_bgl_string2254za700za7za7e2362za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2256z00zzeffect_cgraphz00,
		BgL_bgl_string2256za700za7za7e2363za7, "call-graph!", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72364za7,
		BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2365z00,
		BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72366za7,
		BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2275z00zzeffect_cgraphz00,
		BgL_bgl_string2275za700za7za7e2367za7, "save-call!", 10);
	      DEFINE_STRING(BGl_string2279z00zzeffect_cgraphz00,
		BgL_bgl_string2279za700za7za7e2368za7, "effect_cgraph", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2369z00,
		BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2370z00,
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2280z00zzeffect_cgraphz00,
		BgL_bgl_string2280za700za7za7e2371za7,
		"import done save-call!1987 _ global/from effect_cgraph local/from obj from nothing ",
		83);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2372z00,
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72373za7,
		BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2374z00,
		BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2375z00,
		BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2376z00,
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2377z00,
		BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72378za7,
		BGl_z62callzd2graphz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2379z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72380za7,
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72381za7,
		BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72382za7,
		BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2383z00,
		BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2384z00,
		BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2385z00,
		BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2386z00,
		BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2387z00,
		BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72388za7,
		BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72389za7,
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2390z00,
		BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72391za7,
		BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2392z00,
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2393z00,
		BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72394za7,
		BGl_z62localzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2395z00,
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2keyzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72396za7,
		BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2397z00,
		BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2398z00,
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2localza72399za7,
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 12);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_3404, char *BgL_fromz00_3405)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					BGl_toplevelzd2initzd2zzeffect_cgraphz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_cgraph");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_3238;

				BgL_cportz00_3238 =
					bgl_open_input_string(BGl_string2280z00zzeffect_cgraphz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3239;

					BgL_iz00_3239 = ((long) 9);
				BgL_loopz00_3240:
					if ((BgL_iz00_3239 == ((long) -1)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg2282z00_3242;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_3244;

										BgL_locationz00_3244 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg2282z00_3242 =
												BGl_readz00zz__readerz00(BgL_cportz00_3238,
												BgL_locationz00_3244);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_auxz00_3428;

									BgL_auxz00_3428 = (int) (BgL_iz00_3239);
									CNST_TABLE_SET(BgL_auxz00_3428, BgL_arg2282z00_3242);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_3245;

								BgL_auxz00_3245 = (int) ((BgL_iz00_3239 - ((long) 1)));
								{
									long BgL_iz00_3433;

									BgL_iz00_3433 = (long) (BgL_auxz00_3245);
									BgL_iz00_3239 = BgL_iz00_3433;
									goto BgL_loopz00_3240;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1212z00_3,
		obj_t BgL_name1213z00_4, BgL_typez00_bglt BgL_type1214z00_5,
		BgL_valuez00_bglt BgL_value1215z00_6, obj_t BgL_access1216z00_7,
		obj_t BgL_fastzd2alpha1217zd2_8, obj_t BgL_removable1218z00_9,
		long BgL_occurrence1219z00_10, long BgL_occurrencew1220z00_11,
		bool_t BgL_userzf31221zf3_12, long BgL_key1222z00_13,
		obj_t BgL_from1223z00_14)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				BgL_localz00_bglt BgL_new1149z00_3246;

				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_tmp1147z00_3247;
					BgL_localzf2fromzf2_bglt BgL_wide1148z00_3248;

					{
						BgL_localz00_bglt BgL_auxz00_3435;

						{	/* Effect/cgraph.sch 89 */
							BgL_localz00_bglt BgL_new1146z00_3249;

							BgL_new1146z00_3249 =
								((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Effect/cgraph.sch 89 */
								long BgL_arg2002z00_3250;

								{	/* Effect/cgraph.sch 89 */
									long BgL_res2186z00_3251;

									BgL_res2186z00_3251 =
										BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
									BgL_arg2002z00_3250 = BgL_res2186z00_3251;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1146z00_3249),
									BgL_arg2002z00_3250);
							}
							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3440;

								BgL_auxz00_3440 = ((BgL_objectz00_bglt) BgL_new1146z00_3249);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3440, BFALSE);
							}
							BgL_auxz00_3435 = BgL_new1146z00_3249;
						}
						BgL_tmp1147z00_3247 = ((BgL_localz00_bglt) BgL_auxz00_3435);
					}
					BgL_wide1148z00_3248 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 89 */
						obj_t BgL_auxz00_3447;
						BgL_objectz00_bglt BgL_auxz00_3445;

						BgL_auxz00_3447 = ((obj_t) BgL_wide1148z00_3248);
						BgL_auxz00_3445 = ((BgL_objectz00_bglt) BgL_tmp1147z00_3247);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3445, BgL_auxz00_3447);
					}
					{	/* Effect/cgraph.sch 89 */
						long BgL_arg2000z00_3252;

						{	/* Effect/cgraph.sch 89 */
							long BgL_res2187z00_3253;

							BgL_res2187z00_3253 =
								BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
							BgL_arg2000z00_3252 = BgL_res2187z00_3253;
						}
						((BgL_localz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1147z00_3247),
								BgL_arg2000z00_3252));
					}
					BgL_new1149z00_3246 = ((BgL_localz00_bglt) BgL_tmp1147z00_3247);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1149z00_3246)))->BgL_idz00) =
					((obj_t) BgL_id1212z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3246)))->BgL_namez00) =
					((obj_t) BgL_name1213z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3246)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1214z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3246)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1215z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3246)))->BgL_accessz00) =
					((obj_t) BgL_access1216z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3246)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1217zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3246)))->BgL_removablez00) =
					((obj_t) BgL_removable1218z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3246)))->BgL_occurrencez00) =
					((long) BgL_occurrence1219z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3246)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1220z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3246)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31221zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1149z00_3246)))->BgL_keyz00) =
					((long) BgL_key1222z00_13), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3477;

					{
						obj_t BgL_auxz00_3478;

						{	/* Effect/cgraph.sch 89 */
							BgL_objectz00_bglt BgL_auxz00_3479;

							BgL_auxz00_3479 = ((BgL_objectz00_bglt) BgL_new1149z00_3246);
							BgL_auxz00_3478 = BGL_OBJECT_WIDENING(BgL_auxz00_3479);
						}
						BgL_auxz00_3477 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3478);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3477))->BgL_fromz00) =
						((obj_t) BgL_from1223z00_14), BUNSPEC);
				}
				return BgL_new1149z00_3246;
			}
		}
	}



/* &make-local/from */
	BgL_localz00_bglt BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2871, obj_t BgL_id1212z00_2872, obj_t BgL_name1213z00_2873,
		obj_t BgL_type1214z00_2874, obj_t BgL_value1215z00_2875,
		obj_t BgL_access1216z00_2876, obj_t BgL_fastzd2alpha1217zd2_2877,
		obj_t BgL_removable1218z00_2878, obj_t BgL_occurrence1219z00_2879,
		obj_t BgL_occurrencew1220z00_2880, obj_t BgL_userzf31221zf3_2881,
		obj_t BgL_key1222z00_2882, obj_t BgL_from1223z00_2883)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				long BgL_occurrence1219z00_3261;
				long BgL_occurrencew1220z00_3262;
				bool_t BgL_userzf31221zf3_3263;
				long BgL_key1222z00_3264;

				BgL_occurrence1219z00_3261 = (long) CINT(BgL_occurrence1219z00_2879);
				BgL_occurrencew1220z00_3262 = (long) CINT(BgL_occurrencew1220z00_2880);
				BgL_userzf31221zf3_3263 = CBOOL(BgL_userzf31221zf3_2881);
				BgL_key1222z00_3264 = (long) CINT(BgL_key1222z00_2882);
				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_new1149z00_3266;

					{	/* Effect/cgraph.sch 89 */
						BgL_localz00_bglt BgL_tmp1147z00_3267;
						BgL_localzf2fromzf2_bglt BgL_wide1148z00_3268;

						{
							BgL_localz00_bglt BgL_auxz00_3488;

							{	/* Effect/cgraph.sch 89 */
								BgL_localz00_bglt BgL_new1146z00_3269;

								BgL_new1146z00_3269 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.sch 89 */
									long BgL_arg2002z00_3270;

									{	/* Effect/cgraph.sch 89 */
										long BgL_res2186z00_3271;

										BgL_res2186z00_3271 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg2002z00_3270 = BgL_res2186z00_3271;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1146z00_3269),
										BgL_arg2002z00_3270);
								}
								{	/* Effect/cgraph.sch 89 */
									BgL_objectz00_bglt BgL_auxz00_3493;

									BgL_auxz00_3493 = ((BgL_objectz00_bglt) BgL_new1146z00_3269);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3493, BFALSE);
								}
								BgL_auxz00_3488 = BgL_new1146z00_3269;
							}
							BgL_tmp1147z00_3267 = ((BgL_localz00_bglt) BgL_auxz00_3488);
						}
						BgL_wide1148z00_3268 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 89 */
							obj_t BgL_auxz00_3500;
							BgL_objectz00_bglt BgL_auxz00_3498;

							BgL_auxz00_3500 = ((obj_t) BgL_wide1148z00_3268);
							BgL_auxz00_3498 = ((BgL_objectz00_bglt) BgL_tmp1147z00_3267);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3498, BgL_auxz00_3500);
						}
						{	/* Effect/cgraph.sch 89 */
							long BgL_arg2000z00_3272;

							{	/* Effect/cgraph.sch 89 */
								long BgL_res2187z00_3273;

								BgL_res2187z00_3273 =
									BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2000z00_3272 = BgL_res2187z00_3273;
							}
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1147z00_3267),
									BgL_arg2000z00_3272));
						}
						BgL_new1149z00_3266 = ((BgL_localz00_bglt) BgL_tmp1147z00_3267);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1149z00_3266)))->BgL_idz00) =
						((obj_t) BgL_id1212z00_2872), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3266)))->BgL_namez00) =
						((obj_t) BgL_name1213z00_2873), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3266)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1214z00_2874)),
						BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3266)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1215z00_2875)),
						BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3266)))->BgL_accessz00) =
						((obj_t) BgL_access1216z00_2876), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3266)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1217zd2_2877), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3266)))->BgL_removablez00) =
						((obj_t) BgL_removable1218z00_2878), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3266)))->BgL_occurrencez00) =
						((long) BgL_occurrence1219z00_3261), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3266)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1220z00_3262), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3266)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31221zf3_3263), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1149z00_3266)))->BgL_keyz00) =
						((long) BgL_key1222z00_3264), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_3532;

						{
							obj_t BgL_auxz00_3533;

							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3534;

								BgL_auxz00_3534 = ((BgL_objectz00_bglt) BgL_new1149z00_3266);
								BgL_auxz00_3533 = BGL_OBJECT_WIDENING(BgL_auxz00_3534);
							}
							BgL_auxz00_3532 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3533);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3532))->BgL_fromz00) =
							((obj_t) BgL_from1223z00_2883), BUNSPEC);
					}
					return BgL_new1149z00_3266;
				}
			}
		}
	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_15)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_15,
				BGl_localzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &local/from? */
	obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2884,
		obj_t BgL_objz00_2885)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2885,
					BGl_localzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			{	/* Effect/cgraph.sch 91 */
				obj_t BgL_classz00_2558;

				BgL_classz00_2558 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 91 */
					obj_t BgL__ortest_1092z00_2559;

					BgL__ortest_1092z00_2559 = BGL_CLASS_NIL(BgL_classz00_2558);
					if (CBOOL(BgL__ortest_1092z00_2559))
						{	/* Effect/cgraph.sch 91 */
							return ((BgL_localz00_bglt) BgL__ortest_1092z00_2559);
						}
					else
						{	/* Effect/cgraph.sch 91 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2558));
						}
				}
			}
		}
	}



/* &local/from-nil */
	BgL_localz00_bglt BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2886)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			return BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* local/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_16)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3549;

				{
					obj_t BgL_auxz00_3550;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3551;

						BgL_auxz00_3551 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3550 = BGL_OBJECT_WIDENING(BgL_auxz00_3551);
					}
					BgL_auxz00_3549 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3550);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3549))->BgL_fromz00);
			}
		}
	}



/* &local/from-from */
	obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2887,
		obj_t BgL_oz00_2888)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3556;

				{
					obj_t BgL_auxz00_3557;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3558;

						BgL_auxz00_3558 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2888));
						BgL_auxz00_3557 = BGL_OBJECT_WIDENING(BgL_auxz00_3558);
					}
					BgL_auxz00_3556 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3557);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3556))->BgL_fromz00);
			}
		}
	}



/* local/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3564;

				{
					obj_t BgL_auxz00_3565;

					{	/* Effect/cgraph.sch 93 */
						BgL_objectz00_bglt BgL_auxz00_3566;

						BgL_auxz00_3566 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3565 = BGL_OBJECT_WIDENING(BgL_auxz00_3566);
					}
					BgL_auxz00_3564 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3565);
				}
				return
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3564))->BgL_fromz00) =
					((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}
	}



/* &local/from-from-set! */
	obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2889, obj_t BgL_oz00_2890, obj_t BgL_vz00_2891)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3571;

				{
					obj_t BgL_auxz00_3572;

					{	/* Effect/cgraph.sch 93 */
						BgL_objectz00_bglt BgL_auxz00_3573;

						BgL_auxz00_3573 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2890));
						BgL_auxz00_3572 = BGL_OBJECT_WIDENING(BgL_auxz00_3573);
					}
					BgL_auxz00_3571 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3572);
				}
				return
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3571))->BgL_fromz00) =
					((obj_t) BgL_vz00_2891), BUNSPEC);
			}
		}
	}



/* local/from-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_19)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				(((BgL_localz00_bglt) CREF(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}
	}



/* &local/from-key */
	obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t BgL_envz00_2892,
		obj_t BgL_oz00_2893)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				BINT(
				(((BgL_localz00_bglt) CREF(
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2893))))->BgL_keyz00));
		}
	}



/* local/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}
	}



/* &local/from-user? */
	obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2894, obj_t BgL_oz00_2895)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2895))))->BgL_userzf3zf3));
		}
	}



/* local/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_23, bool_t BgL_vz00_24)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}
	}



/* &local/from-user?-set! */
	obj_t BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2896, obj_t BgL_oz00_2897, obj_t BgL_vz00_2898)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			{	/* Effect/cgraph.sch 97 */
				bool_t BgL_vz00_3281;

				BgL_vz00_3281 = CBOOL(BgL_vz00_2898);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_oz00_2897))))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3281), BUNSPEC);
			}
		}
	}



/* local/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}
	}



/* &local/from-occurrencew */
	obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2899, obj_t BgL_oz00_2900)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2900))))->BgL_occurrencewz00));
		}
	}



/* local/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}
	}



/* &local/from-occurrencew-set! */
	obj_t BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2901, obj_t BgL_oz00_2902, obj_t BgL_vz00_2903)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			{	/* Effect/cgraph.sch 99 */
				long BgL_vz00_3284;

				BgL_vz00_3284 = (long) CINT(BgL_vz00_2903);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_oz00_2902))))->BgL_occurrencewz00) =
					((long) BgL_vz00_3284), BUNSPEC);
		}}
	}



/* local/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}
	}



/* &local/from-occurrence */
	obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2904, obj_t BgL_oz00_2905)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2905))))->BgL_occurrencez00));
		}
	}



/* local/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}
	}



/* &local/from-occurrence-set! */
	obj_t BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2906, obj_t BgL_oz00_2907, obj_t BgL_vz00_2908)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			{	/* Effect/cgraph.sch 101 */
				long BgL_vz00_3287;

				BgL_vz00_3287 = (long) CINT(BgL_vz00_2908);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_oz00_2907))))->BgL_occurrencez00) =
					((long) BgL_vz00_3287), BUNSPEC);
		}}
	}



/* local/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}
	}



/* &local/from-removable */
	obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2909, obj_t BgL_oz00_2910)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2910))))->BgL_removablez00);
		}
	}



/* local/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}
	}



/* &local/from-removable-set! */
	obj_t BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2911, obj_t BgL_oz00_2912, obj_t BgL_vz00_2913)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2912))))->BgL_removablez00) =
				((obj_t) BgL_vz00_2913), BUNSPEC);
		}
	}



/* local/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}
	}



/* &local/from-fast-alpha */
	obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2914, obj_t BgL_oz00_2915)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2915))))->BgL_fastzd2alphazd2);
		}
	}



/* local/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}
	}



/* &local/from-fast-alpha-set! */
	obj_t BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2916, obj_t BgL_oz00_2917, obj_t BgL_vz00_2918)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2917))))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_2918), BUNSPEC);
		}
	}



/* local/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}
	}



/* &local/from-access */
	obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t BgL_envz00_2919,
		obj_t BgL_oz00_2920)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2920))))->BgL_accessz00);
		}
	}



/* local/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}
	}



/* &local/from-access-set! */
	obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2921, obj_t BgL_oz00_2922, obj_t BgL_vz00_2923)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2922))))->BgL_accessz00) =
				((obj_t) BgL_vz00_2923), BUNSPEC);
		}
	}



/* local/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_40)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}
	}



/* &local/from-value */
	BgL_valuez00_bglt BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2924, obj_t BgL_oz00_2925)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2925))))->BgL_valuez00);
		}
	}



/* local/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}
	}



/* &local/from-value-set! */
	obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2926, obj_t BgL_oz00_2927, obj_t BgL_vz00_2928)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2927))))->BgL_valuez00) =
				((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_vz00_2928)), BUNSPEC);
		}
	}



/* local/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_43)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}
	}



/* &local/from-type */
	BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2929, obj_t BgL_oz00_2930)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2930))))->BgL_typez00);
		}
	}



/* local/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}
	}



/* &local/from-type-set! */
	obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2931, obj_t BgL_oz00_2932, obj_t BgL_vz00_2933)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2932))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_2933)), BUNSPEC);
		}
	}



/* local/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_46)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}
	}



/* &local/from-name */
	obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2934,
		obj_t BgL_oz00_2935)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2935))))->BgL_namez00);
		}
	}



/* local/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}
	}



/* &local/from-name-set! */
	obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2936, obj_t BgL_oz00_2937, obj_t BgL_vz00_2938)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2937))))->BgL_namez00) =
				((obj_t) BgL_vz00_2938), BUNSPEC);
		}
	}



/* local/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_49)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}
	}



/* &local/from-id */
	obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2939,
		obj_t BgL_oz00_2940)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2940))))->BgL_idz00);
		}
	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1191z00_52,
		obj_t BgL_name1192z00_53, BgL_typez00_bglt BgL_type1193z00_54,
		BgL_valuez00_bglt BgL_value1194z00_55, obj_t BgL_access1195z00_56,
		obj_t BgL_fastzd2alpha1196zd2_57, obj_t BgL_removable1197z00_58,
		long BgL_occurrence1198z00_59, long BgL_occurrencew1199z00_60,
		bool_t BgL_userzf31200zf3_61, obj_t BgL_module1201z00_62,
		obj_t BgL_import1202z00_63, bool_t BgL_evaluablezf31203zf3_64,
		bool_t BgL_evalzf31204zf3_65, obj_t BgL_library1205z00_66,
		obj_t BgL_pragma1206z00_67, obj_t BgL_src1207z00_68,
		obj_t BgL_jvmzd2typezd2name1208z00_69, obj_t BgL_init1209z00_70,
		obj_t BgL_from1210z00_71)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				BgL_globalz00_bglt BgL_new1177z00_3307;

				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_tmp1175z00_3308;
					BgL_globalzf2fromzf2_bglt BgL_wide1176z00_3309;

					{
						BgL_globalz00_bglt BgL_auxz00_3688;

						{	/* Effect/cgraph.sch 118 */
							BgL_globalz00_bglt BgL_new1174z00_3310;

							BgL_new1174z00_3310 =
								((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Effect/cgraph.sch 118 */
								long BgL_arg2004z00_3311;

								{	/* Effect/cgraph.sch 118 */
									long BgL_res2188z00_3312;

									BgL_res2188z00_3312 =
										BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
									BgL_arg2004z00_3311 = BgL_res2188z00_3312;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1174z00_3310),
									BgL_arg2004z00_3311);
							}
							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3693;

								BgL_auxz00_3693 = ((BgL_objectz00_bglt) BgL_new1174z00_3310);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3693, BFALSE);
							}
							BgL_auxz00_3688 = BgL_new1174z00_3310;
						}
						BgL_tmp1175z00_3308 = ((BgL_globalz00_bglt) BgL_auxz00_3688);
					}
					BgL_wide1176z00_3309 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 118 */
						obj_t BgL_auxz00_3700;
						BgL_objectz00_bglt BgL_auxz00_3698;

						BgL_auxz00_3700 = ((obj_t) BgL_wide1176z00_3309);
						BgL_auxz00_3698 = ((BgL_objectz00_bglt) BgL_tmp1175z00_3308);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3698, BgL_auxz00_3700);
					}
					{	/* Effect/cgraph.sch 118 */
						long BgL_arg2003z00_3313;

						{	/* Effect/cgraph.sch 118 */
							long BgL_res2189z00_3314;

							BgL_res2189z00_3314 =
								BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BgL_arg2003z00_3313 = BgL_res2189z00_3314;
						}
						((BgL_globalz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1175z00_3308),
								BgL_arg2003z00_3313));
					}
					BgL_new1177z00_3307 = ((BgL_globalz00_bglt) BgL_tmp1175z00_3308);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1177z00_3307)))->BgL_idz00) =
					((obj_t) BgL_id1191z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1177z00_3307)))->BgL_namez00) =
					((obj_t) BgL_name1192z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1177z00_3307)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1193z00_54), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1177z00_3307)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1194z00_55), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1177z00_3307)))->BgL_accessz00) =
					((obj_t) BgL_access1195z00_56), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1177z00_3307)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1196zd2_57), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1177z00_3307)))->BgL_removablez00) =
					((obj_t) BgL_removable1197z00_58), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1177z00_3307)))->BgL_occurrencez00) =
					((long) BgL_occurrence1198z00_59), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1177z00_3307)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1199z00_60), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1177z00_3307)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31200zf3_61), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_modulez00) =
					((obj_t) BgL_module1201z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_importz00) =
					((obj_t) BgL_import1202z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31203zf3_64), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31204zf3_65), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_libraryz00) =
					((obj_t) BgL_library1205z00_66), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1206z00_67), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_srcz00) =
					((obj_t) BgL_src1207z00_68), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1208z00_69), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_initz00) =
					((obj_t) BgL_init1209z00_70), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1177z00_3307)))->BgL_aliasz00) =
					((obj_t) BFALSE), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3748;

					{
						obj_t BgL_auxz00_3749;

						{	/* Effect/cgraph.sch 118 */
							BgL_objectz00_bglt BgL_auxz00_3750;

							BgL_auxz00_3750 = ((BgL_objectz00_bglt) BgL_new1177z00_3307);
							BgL_auxz00_3749 = BGL_OBJECT_WIDENING(BgL_auxz00_3750);
						}
						BgL_auxz00_3748 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3749);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3748))->BgL_fromz00) =
						((obj_t) BgL_from1210z00_71), BUNSPEC);
				}
				return BgL_new1177z00_3307;
			}
		}
	}



/* &make-global/from */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2941, obj_t BgL_id1191z00_2942, obj_t BgL_name1192z00_2943,
		obj_t BgL_type1193z00_2944, obj_t BgL_value1194z00_2945,
		obj_t BgL_access1195z00_2946, obj_t BgL_fastzd2alpha1196zd2_2947,
		obj_t BgL_removable1197z00_2948, obj_t BgL_occurrence1198z00_2949,
		obj_t BgL_occurrencew1199z00_2950, obj_t BgL_userzf31200zf3_2951,
		obj_t BgL_module1201z00_2952, obj_t BgL_import1202z00_2953,
		obj_t BgL_evaluablezf31203zf3_2954, obj_t BgL_evalzf31204zf3_2955,
		obj_t BgL_library1205z00_2956, obj_t BgL_pragma1206z00_2957,
		obj_t BgL_src1207z00_2958, obj_t BgL_jvmzd2typezd2name1208z00_2959,
		obj_t BgL_init1209z00_2960, obj_t BgL_from1210z00_2961)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				long BgL_occurrence1198z00_3322;
				long BgL_occurrencew1199z00_3323;
				bool_t BgL_userzf31200zf3_3324;
				bool_t BgL_evaluablezf31203zf3_3327;
				bool_t BgL_evalzf31204zf3_3328;

				BgL_occurrence1198z00_3322 = (long) CINT(BgL_occurrence1198z00_2949);
				BgL_occurrencew1199z00_3323 = (long) CINT(BgL_occurrencew1199z00_2950);
				BgL_userzf31200zf3_3324 = CBOOL(BgL_userzf31200zf3_2951);
				BgL_evaluablezf31203zf3_3327 = CBOOL(BgL_evaluablezf31203zf3_2954);
				BgL_evalzf31204zf3_3328 = CBOOL(BgL_evalzf31204zf3_2955);
				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_new1177z00_3335;

					{	/* Effect/cgraph.sch 118 */
						BgL_globalz00_bglt BgL_tmp1175z00_3336;
						BgL_globalzf2fromzf2_bglt BgL_wide1176z00_3337;

						{
							BgL_globalz00_bglt BgL_auxz00_3760;

							{	/* Effect/cgraph.sch 118 */
								BgL_globalz00_bglt BgL_new1174z00_3338;

								BgL_new1174z00_3338 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.sch 118 */
									long BgL_arg2004z00_3339;

									{	/* Effect/cgraph.sch 118 */
										long BgL_res2188z00_3340;

										BgL_res2188z00_3340 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg2004z00_3339 = BgL_res2188z00_3340;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1174z00_3338),
										BgL_arg2004z00_3339);
								}
								{	/* Effect/cgraph.sch 118 */
									BgL_objectz00_bglt BgL_auxz00_3765;

									BgL_auxz00_3765 = ((BgL_objectz00_bglt) BgL_new1174z00_3338);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3765, BFALSE);
								}
								BgL_auxz00_3760 = BgL_new1174z00_3338;
							}
							BgL_tmp1175z00_3336 = ((BgL_globalz00_bglt) BgL_auxz00_3760);
						}
						BgL_wide1176z00_3337 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 118 */
							obj_t BgL_auxz00_3772;
							BgL_objectz00_bglt BgL_auxz00_3770;

							BgL_auxz00_3772 = ((obj_t) BgL_wide1176z00_3337);
							BgL_auxz00_3770 = ((BgL_objectz00_bglt) BgL_tmp1175z00_3336);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3770, BgL_auxz00_3772);
						}
						{	/* Effect/cgraph.sch 118 */
							long BgL_arg2003z00_3341;

							{	/* Effect/cgraph.sch 118 */
								long BgL_res2189z00_3342;

								BgL_res2189z00_3342 =
									BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2003z00_3341 = BgL_res2189z00_3342;
							}
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1175z00_3336),
									BgL_arg2003z00_3341));
						}
						BgL_new1177z00_3335 = ((BgL_globalz00_bglt) BgL_tmp1175z00_3336);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1177z00_3335)))->BgL_idz00) =
						((obj_t) BgL_id1191z00_2942), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1177z00_3335)))->BgL_namez00) =
						((obj_t) BgL_name1192z00_2943), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1177z00_3335)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1193z00_2944)),
						BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1177z00_3335)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1194z00_2945)),
						BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1177z00_3335)))->BgL_accessz00) =
						((obj_t) BgL_access1195z00_2946), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1177z00_3335)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1196zd2_2947), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1177z00_3335)))->BgL_removablez00) =
						((obj_t) BgL_removable1197z00_2948), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1177z00_3335)))->BgL_occurrencez00) =
						((long) BgL_occurrence1198z00_3322), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1177z00_3335)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1199z00_3323), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1177z00_3335)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31200zf3_3324), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_modulez00) =
						((obj_t) BgL_module1201z00_2952), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_importz00) =
						((obj_t) BgL_import1202z00_2953), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31203zf3_3327), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31204zf3_3328), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_libraryz00) =
						((obj_t) BgL_library1205z00_2956), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1206z00_2957), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_srcz00) =
						((obj_t) BgL_src1207z00_2958), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1208z00_2959), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_initz00) =
						((obj_t) BgL_init1209z00_2960), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1177z00_3335)))->BgL_aliasz00) =
						((obj_t) BFALSE), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_3822;

						{
							obj_t BgL_auxz00_3823;

							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3824;

								BgL_auxz00_3824 = ((BgL_objectz00_bglt) BgL_new1177z00_3335);
								BgL_auxz00_3823 = BGL_OBJECT_WIDENING(BgL_auxz00_3824);
							}
							BgL_auxz00_3822 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3823);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3822))->
								BgL_fromz00) = ((obj_t) BgL_from1210z00_2961), BUNSPEC);
					}
					return BgL_new1177z00_3335;
				}
			}
		}
	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_72)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_72,
				BGl_globalzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &global/from? */
	obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2962,
		obj_t BgL_objz00_2963)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2963,
					BGl_globalzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			{	/* Effect/cgraph.sch 120 */
				obj_t BgL_classz00_2596;

				BgL_classz00_2596 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 120 */
					obj_t BgL__ortest_1092z00_2597;

					BgL__ortest_1092z00_2597 = BGL_CLASS_NIL(BgL_classz00_2596);
					if (CBOOL(BgL__ortest_1092z00_2597))
						{	/* Effect/cgraph.sch 120 */
							return ((BgL_globalz00_bglt) BgL__ortest_1092z00_2597);
						}
					else
						{	/* Effect/cgraph.sch 120 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2596));
						}
				}
			}
		}
	}



/* &global/from-nil */
	BgL_globalz00_bglt BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2964)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			return BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* global/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_73)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3839;

				{
					obj_t BgL_auxz00_3840;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3841;

						BgL_auxz00_3841 = ((BgL_objectz00_bglt) BgL_oz00_73);
						BgL_auxz00_3840 = BGL_OBJECT_WIDENING(BgL_auxz00_3841);
					}
					BgL_auxz00_3839 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3840);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3839))->BgL_fromz00);
			}
		}
	}



/* &global/from-from */
	obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2965,
		obj_t BgL_oz00_2966)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3846;

				{
					obj_t BgL_auxz00_3847;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3848;

						BgL_auxz00_3848 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2966));
						BgL_auxz00_3847 = BGL_OBJECT_WIDENING(BgL_auxz00_3848);
					}
					BgL_auxz00_3846 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3847);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3846))->BgL_fromz00);
			}
		}
	}



/* global/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3854;

				{
					obj_t BgL_auxz00_3855;

					{	/* Effect/cgraph.sch 122 */
						BgL_objectz00_bglt BgL_auxz00_3856;

						BgL_auxz00_3856 = ((BgL_objectz00_bglt) BgL_oz00_74);
						BgL_auxz00_3855 = BGL_OBJECT_WIDENING(BgL_auxz00_3856);
					}
					BgL_auxz00_3854 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3855);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3854))->BgL_fromz00) =
					((obj_t) BgL_vz00_75), BUNSPEC);
			}
		}
	}



/* &global/from-from-set! */
	obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2967, obj_t BgL_oz00_2968, obj_t BgL_vz00_2969)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3861;

				{
					obj_t BgL_auxz00_3862;

					{	/* Effect/cgraph.sch 122 */
						BgL_objectz00_bglt BgL_auxz00_3863;

						BgL_auxz00_3863 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2968));
						BgL_auxz00_3862 = BGL_OBJECT_WIDENING(BgL_auxz00_3863);
					}
					BgL_auxz00_3861 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3862);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3861))->BgL_fromz00) =
					((obj_t) BgL_vz00_2969), BUNSPEC);
			}
		}
	}



/* global/from-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_76)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_76)))->BgL_initz00);
		}
	}



/* &global/from-init */
	obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t BgL_envz00_2970,
		obj_t BgL_oz00_2971)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2971))))->BgL_initz00);
		}
	}



/* global/from-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_77, obj_t BgL_vz00_78)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_77)))->BgL_initz00) =
				((obj_t) BgL_vz00_78), BUNSPEC);
		}
	}



/* &global/from-init-set! */
	obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2972, obj_t BgL_oz00_2973, obj_t BgL_vz00_2974)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2973))))->BgL_initz00) =
				((obj_t) BgL_vz00_2974), BUNSPEC);
		}
	}



/* global/from-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_79)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_79)))->BgL_jvmzd2typezd2namez00);
		}
	}



/* &global/from-jvm-type-name */
	obj_t BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2975, obj_t BgL_oz00_2976)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2976))))->
				BgL_jvmzd2typezd2namez00);
		}
	}



/* global/from-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_80, obj_t BgL_vz00_81)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_80)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_81), BUNSPEC);
		}
	}



/* &global/from-jvm-type-name-set! */
	obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2977, obj_t BgL_oz00_2978, obj_t BgL_vz00_2979)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2978))))->
					BgL_jvmzd2typezd2namez00) = ((obj_t) BgL_vz00_2979), BUNSPEC);
		}
	}



/* global/from-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_82)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_82)))->BgL_srcz00);
		}
	}



/* &global/from-src */
	obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t BgL_envz00_2980,
		obj_t BgL_oz00_2981)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2981))))->BgL_srcz00);
		}
	}



/* global/from-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_83)))->BgL_srcz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}
	}



/* &global/from-src-set! */
	obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2982, obj_t BgL_oz00_2983, obj_t BgL_vz00_2984)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2983))))->BgL_srcz00) =
				((obj_t) BgL_vz00_2984), BUNSPEC);
		}
	}



/* global/from-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_85)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_85)))->BgL_pragmaz00);
		}
	}



/* &global/from-pragma */
	obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2985, obj_t BgL_oz00_2986)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2986))))->BgL_pragmaz00);
		}
	}



/* global/from-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_86)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}
	}



/* &global/from-pragma-set! */
	obj_t BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2987, obj_t BgL_oz00_2988, obj_t BgL_vz00_2989)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2988))))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_2989), BUNSPEC);
		}
	}



/* global/from-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_88)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_88)))->BgL_libraryz00);
		}
	}



/* &global/from-library */
	obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2990, obj_t BgL_oz00_2991)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2991))))->BgL_libraryz00);
		}
	}



/* global/from-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_89)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}
	}



/* &global/from-library-set! */
	obj_t BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2992, obj_t BgL_oz00_2993, obj_t BgL_vz00_2994)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2993))))->BgL_libraryz00) =
				((obj_t) BgL_vz00_2994), BUNSPEC);
		}
	}



/* global/from-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_91)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_91)))->BgL_evalzf3zf3);
		}
	}



/* &global/from-eval? */
	obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2995, obj_t BgL_oz00_2996)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2996))))->BgL_evalzf3zf3));
		}
	}



/* global/from-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_92, bool_t BgL_vz00_93)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_92)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_93), BUNSPEC);
		}
	}



/* &global/from-eval?-set! */
	obj_t BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2997, obj_t BgL_oz00_2998, obj_t BgL_vz00_2999)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			{	/* Effect/cgraph.sch 134 */
				bool_t BgL_vz00_3364;

				BgL_vz00_3364 = CBOOL(BgL_vz00_2999);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_oz00_2998))))->BgL_evalzf3zf3) =
					((bool_t) BgL_vz00_3364), BUNSPEC);
			}
		}
	}



/* global/from-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_94)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_94)))->BgL_evaluablezf3zf3);
		}
	}



/* &global/from-evaluable? */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_3000, obj_t BgL_oz00_3001)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3001))))->BgL_evaluablezf3zf3));
		}
	}



/* global/from-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_95, bool_t BgL_vz00_96)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_95)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_96), BUNSPEC);
		}
	}



/* &global/from-evaluable?-set! */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_3002, obj_t BgL_oz00_3003, obj_t BgL_vz00_3004)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			{	/* Effect/cgraph.sch 136 */
				bool_t BgL_vz00_3367;

				BgL_vz00_3367 = CBOOL(BgL_vz00_3004);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_oz00_3003))))->
						BgL_evaluablezf3zf3) = ((bool_t) BgL_vz00_3367), BUNSPEC);
			}
		}
	}



/* global/from-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_97)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_97)))->BgL_importz00);
		}
	}



/* &global/from-import */
	obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t
		BgL_envz00_3005, obj_t BgL_oz00_3006)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3006))))->BgL_importz00);
		}
	}



/* global/from-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_98)))->BgL_importz00) =
				((obj_t) BgL_vz00_99), BUNSPEC);
		}
	}



/* &global/from-import-set! */
	obj_t BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3007, obj_t BgL_oz00_3008, obj_t BgL_vz00_3009)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3008))))->BgL_importz00) =
				((obj_t) BgL_vz00_3009), BUNSPEC);
		}
	}



/* global/from-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_100)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_100)))->BgL_modulez00);
		}
	}



/* &global/from-module */
	obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3010, obj_t BgL_oz00_3011)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3011))))->BgL_modulez00);
		}
	}



/* global/from-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_101, obj_t BgL_vz00_102)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_101)))->BgL_modulez00) =
				((obj_t) BgL_vz00_102), BUNSPEC);
		}
	}



/* &global/from-module-set! */
	obj_t BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3012, obj_t BgL_oz00_3013, obj_t BgL_vz00_3014)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3013))))->BgL_modulez00) =
				((obj_t) BgL_vz00_3014), BUNSPEC);
		}
	}



/* global/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_103)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_103)))->BgL_userzf3zf3);
		}
	}



/* &global/from-user? */
	obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_3015, obj_t BgL_oz00_3016)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3016))))->BgL_userzf3zf3));
		}
	}



/* global/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_104, bool_t BgL_vz00_105)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_104)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_105), BUNSPEC);
		}
	}



/* &global/from-user?-set! */
	obj_t BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_3017, obj_t BgL_oz00_3018, obj_t BgL_vz00_3019)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			{	/* Effect/cgraph.sch 142 */
				bool_t BgL_vz00_3376;

				BgL_vz00_3376 = CBOOL(BgL_vz00_3019);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_oz00_3018))))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3376), BUNSPEC);
			}
		}
	}



/* global/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_106)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_106)))->BgL_occurrencewz00);
		}
	}



/* &global/from-occurrencew */
	obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_3020, obj_t BgL_oz00_3021)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3021))))->BgL_occurrencewz00));
		}
	}



/* global/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_107, long BgL_vz00_108)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_107)))->BgL_occurrencewz00) =
				((long) BgL_vz00_108), BUNSPEC);
		}
	}



/* &global/from-occurrencew-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3022, obj_t BgL_oz00_3023, obj_t BgL_vz00_3024)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			{	/* Effect/cgraph.sch 144 */
				long BgL_vz00_3379;

				BgL_vz00_3379 = (long) CINT(BgL_vz00_3024);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_oz00_3023))))->BgL_occurrencewz00) =
					((long) BgL_vz00_3379), BUNSPEC);
		}}
	}



/* global/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_109)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_109)))->BgL_occurrencez00);
		}
	}



/* &global/from-occurrence */
	obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3025, obj_t BgL_oz00_3026)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3026))))->BgL_occurrencez00));
		}
	}



/* global/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_110, long BgL_vz00_111)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_110)))->BgL_occurrencez00) =
				((long) BgL_vz00_111), BUNSPEC);
		}
	}



/* &global/from-occurrence-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3027, obj_t BgL_oz00_3028, obj_t BgL_vz00_3029)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			{	/* Effect/cgraph.sch 146 */
				long BgL_vz00_3382;

				BgL_vz00_3382 = (long) CINT(BgL_vz00_3029);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_oz00_3028))))->BgL_occurrencez00) =
					((long) BgL_vz00_3382), BUNSPEC);
		}}
	}



/* global/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_112)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_112)))->BgL_removablez00);
		}
	}



/* &global/from-removable */
	obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3030, obj_t BgL_oz00_3031)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3031))))->BgL_removablez00);
		}
	}



/* global/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_113, obj_t BgL_vz00_114)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_113)))->BgL_removablez00) =
				((obj_t) BgL_vz00_114), BUNSPEC);
		}
	}



/* &global/from-removable-set! */
	obj_t BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3032, obj_t BgL_oz00_3033, obj_t BgL_vz00_3034)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3033))))->BgL_removablez00) =
				((obj_t) BgL_vz00_3034), BUNSPEC);
		}
	}



/* global/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_115)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_115)))->BgL_fastzd2alphazd2);
		}
	}



/* &global/from-fast-alpha */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_3035, obj_t BgL_oz00_3036)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3036))))->BgL_fastzd2alphazd2);
		}
	}



/* global/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_116, obj_t BgL_vz00_117)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_116)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_117), BUNSPEC);
		}
	}



/* &global/from-fast-alpha-set! */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_3037, obj_t BgL_oz00_3038, obj_t BgL_vz00_3039)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3038))))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_3039), BUNSPEC);
		}
	}



/* global/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_118)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_118)))->BgL_accessz00);
		}
	}



/* &global/from-access */
	obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t
		BgL_envz00_3040, obj_t BgL_oz00_3041)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3041))))->BgL_accessz00);
		}
	}



/* global/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_119, obj_t BgL_vz00_120)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_119)))->BgL_accessz00) =
				((obj_t) BgL_vz00_120), BUNSPEC);
		}
	}



/* &global/from-access-set! */
	obj_t BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3042, obj_t BgL_oz00_3043, obj_t BgL_vz00_3044)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3043))))->BgL_accessz00) =
				((obj_t) BgL_vz00_3044), BUNSPEC);
		}
	}



/* global/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_121)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_121)))->BgL_valuez00);
		}
	}



/* &global/from-value */
	BgL_valuez00_bglt BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3045, obj_t BgL_oz00_3046)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3046))))->BgL_valuez00);
		}
	}



/* global/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_122, BgL_valuez00_bglt BgL_vz00_123)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_122)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_123), BUNSPEC);
		}
	}



/* &global/from-value-set! */
	obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3047, obj_t BgL_oz00_3048, obj_t BgL_vz00_3049)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3048))))->BgL_valuez00) =
				((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_vz00_3049)), BUNSPEC);
		}
	}



/* global/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_124)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_124)))->BgL_typez00);
		}
	}



/* &global/from-type */
	BgL_typez00_bglt BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3050, obj_t BgL_oz00_3051)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3051))))->BgL_typez00);
		}
	}



/* global/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_125, BgL_typez00_bglt BgL_vz00_126)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_125)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_126), BUNSPEC);
		}
	}



/* &global/from-type-set! */
	obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3052, obj_t BgL_oz00_3053, obj_t BgL_vz00_3054)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3053))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_3054)), BUNSPEC);
		}
	}



/* global/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_127)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_127)))->BgL_namez00);
		}
	}



/* &global/from-name */
	obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_3055,
		obj_t BgL_oz00_3056)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3056))))->BgL_namez00);
		}
	}



/* global/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_128)))->BgL_namez00) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}
	}



/* &global/from-name-set! */
	obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3057, obj_t BgL_oz00_3058, obj_t BgL_vz00_3059)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3058))))->BgL_namez00) =
				((obj_t) BgL_vz00_3059), BUNSPEC);
		}
	}



/* global/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_130)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_130)))->BgL_idz00);
		}
	}



/* &global/from-id */
	obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_3060,
		obj_t BgL_oz00_3061)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3061))))->BgL_idz00);
		}
	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_133)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_PAIR(
				((obj_t) BgL_variablez00_133),
				BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 33 */
				obj_t BgL_arg2006z00_1466;

				BgL_arg2006z00_1466 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_133))->
									BgL_valuez00))))->BgL_bodyz00);
				return BGl_callzd2graphz12zc0zzeffect_cgraphz00(((BgL_nodez00_bglt)
						BgL_arg2006z00_1466), BgL_variablez00_133);
			}
		}
	}



/* &fun-call-graph! */
	obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t BgL_envz00_3062,
		obj_t BgL_variablez00_3063)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_variablez00_3063));
		}
	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_172,
		obj_t BgL_ownerz00_173)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 205 */
			{
				obj_t BgL_l1941z00_1469;

				BgL_l1941z00_1469 = BgL_nodeza2za2_172;
			BgL_zc3anonymousza32008ze3z83_1470:
				if (PAIRP(BgL_l1941z00_1469))
					{	/* Effect/cgraph.scm 206 */
						{	/* Effect/cgraph.scm 206 */
							obj_t BgL_nodez00_1472;

							BgL_nodez00_1472 = CAR(BgL_l1941z00_1469);
							BGl_callzd2graphz12zc0zzeffect_cgraphz00(
								((BgL_nodez00_bglt) BgL_nodez00_1472),
								((BgL_variablez00_bglt) BgL_ownerz00_173));
						}
						{
							obj_t BgL_l1941z00_4081;

							BgL_l1941z00_4081 = CDR(BgL_l1941z00_1469);
							BgL_l1941z00_1469 = BgL_l1941z00_4081;
							goto BgL_zc3anonymousza32008ze3z83_1470;
						}
					}
				else
					{	/* Effect/cgraph.scm 206 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 250 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* &get-var/side-effect */
	obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t
		BgL_envz00_3064)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 250 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 261 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* &get-var/all */
	obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t BgL_envz00_3065)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 261 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 272 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* &reset-effect-tables! */
	obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3066)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 272 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}
	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_184)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 279 */
			{	/* Effect/cgraph.scm 282 */
				BgL_valuez00_bglt BgL_funz00_1475;

				BgL_funz00_1475 =
					(((BgL_variablez00_bglt) CREF(BgL_vz00_184))->BgL_valuez00);
				if (CBOOL(
						(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_funz00_1475)))->BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 284 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_vz00_184),
									BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
							{	/* Effect/cgraph.scm 287 */
								return CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* Effect/cgraph.scm 287 */
								return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
									MAKE_PAIR(
										((obj_t) BgL_vz00_184),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
									BUNSPEC);
							}
					}
				else
					{	/* Effect/cgraph.scm 284 */
						BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
							MAKE_PAIR(
							((obj_t) BgL_vz00_184),
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
						return ((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
											BgL_funz00_1475)))->BgL_sidezd2effectzd2) =
							((obj_t) BTRUE), BUNSPEC);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg2019z00_1482;
				obj_t BgL_arg2021z00_1483;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1943z00_1516;

					BgL_v1943z00_1516 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2033z00_1517;

						BgL_arg2033z00_1517 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2238z00zzeffect_cgraphz00,
							BGl_proc2237z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1943z00_1516, (int) (((long) 0)),
							BgL_arg2033z00_1517);
					}
					BgL_arg2019z00_1482 = BgL_v1943z00_1516;
				}
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1944z00_1529;

					BgL_v1944z00_1529 = create_vector((int) (((long) 0)));
					BgL_arg2021z00_1483 = BgL_v1944z00_1529;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 19676),
					BGl_proc2242z00zzeffect_cgraphz00, BGl_proc2241z00zzeffect_cgraphz00,
					BFALSE, BGl_proc2240z00zzeffect_cgraphz00,
					BGl_proc2239z00zzeffect_cgraphz00, BgL_arg2019z00_1482,
					BgL_arg2021z00_1483);
			}
			{	/* Effect/cgraph.scm 22 */
				obj_t BgL_arg2043z00_1538;
				obj_t BgL_arg2044z00_1539;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1945z00_1581;

					BgL_v1945z00_1581 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2055z00_1582;

						BgL_arg2055z00_1582 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2244z00zzeffect_cgraphz00,
							BGl_proc2243z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1945z00_1581, (int) (((long) 0)),
							BgL_arg2055z00_1582);
					}
					BgL_arg2043z00_1538 = BgL_v1945z00_1581;
				}
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1946z00_1594;

					BgL_v1946z00_1594 = create_vector((int) (((long) 0)));
					BgL_arg2044z00_1539 = BgL_v1946z00_1594;
				}
				return (BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)), BGl_globalz00zzast_varz00,
						((long) 6288), BGl_proc2248z00zzeffect_cgraphz00,
						BGl_proc2247z00zzeffect_cgraphz00, BFALSE,
						BGl_proc2246z00zzeffect_cgraphz00,
						BGl_proc2245z00zzeffect_cgraphz00, BgL_arg2043z00_1538,
						BgL_arg2044z00_1539), BUNSPEC);
		}}
	}



/* &lambda2051 */
	BgL_globalz00_bglt BGl_z62lambda2051z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3079, obj_t BgL_o1139z00_3080)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1139z00_1575;

				BgL_o1139z00_1575 = ((BgL_globalz00_bglt) BgL_o1139z00_3080);
				{	/* Effect/cgraph.scm 22 */
					long BgL_arg2052z00_1578;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2053z00_1579;

						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_arg2054z00_1580;

							{	/* Effect/cgraph.scm 22 */
								long BgL_arg1772z00_2717;

								{	/* Effect/cgraph.scm 22 */
									long BgL_arg1773z00_2718;

									{	/* Effect/cgraph.scm 22 */
										long BgL_res2202z00_2720;

										BgL_res2202z00_2720 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_o1139z00_1575));
										BgL_arg1773z00_2718 = BgL_res2202z00_2720;
									}
									BgL_arg1772z00_2717 = (BgL_arg1773z00_2718 - OBJECT_TYPE);
								}
								BgL_arg2054z00_1580 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									(int) (BgL_arg1772z00_2717));
							}
							BgL_arg2053z00_1579 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2054z00_1580);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_res2204z00_2727;

							BgL_res2204z00_2727 = BGL_CLASS_INDEX(BgL_arg2053z00_1579);
							BgL_arg2052z00_1578 = BgL_res2204z00_2727;
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_o1139z00_1575), BgL_arg2052z00_1578);
				}
				{	/* Effect/cgraph.scm 22 */
					BgL_objectz00_bglt BgL_auxz00_4133;

					BgL_auxz00_4133 = ((BgL_objectz00_bglt) BgL_o1139z00_1575);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4133, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1139z00_1575);
			}
		}
	}



/* &<anonymous:2050> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32050ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_3081, obj_t BgL_new1138z00_3082)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_new1138z00_1573;

				BgL_new1138z00_1573 = ((BgL_globalz00_bglt) BgL_new1138z00_3082);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1138z00_1573)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1573)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4143;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_2712;

						BgL_classz00_2712 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1092z00_2713;

							BgL__ortest_1092z00_2713 = BGL_CLASS_NIL(BgL_classz00_2712);
							if (CBOOL(BgL__ortest_1092z00_2713))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4143 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_2713);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4143 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2712));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1138z00_1573)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4143), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4152;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_2714;

						BgL_classz00_2714 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1092z00_2715;

							BgL__ortest_1092z00_2715 = BGL_CLASS_NIL(BgL_classz00_2714);
							if (CBOOL(BgL__ortest_1092z00_2715))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4152 =
										((BgL_valuez00_bglt) BgL__ortest_1092z00_2715);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4152 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2714));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1138z00_1573)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4152), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1138z00_1573)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1573)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1573)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1573)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1573)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1573)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2249z00zzeffect_cgraphz00), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1573)))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4194;

					{
						obj_t BgL_auxz00_4195;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4196;

							BgL_auxz00_4196 = ((BgL_objectz00_bglt) BgL_new1138z00_1573);
							BgL_auxz00_4195 = BGL_OBJECT_WIDENING(BgL_auxz00_4196);
						}
						BgL_auxz00_4194 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4195);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4194))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1138z00_1573;
			}
		}
	}



/* &lambda2048 */
	BgL_globalz00_bglt BGl_z62lambda2048z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3083, obj_t BgL_o1135z00_3084)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1135z00_1568;

				BgL_o1135z00_1568 = ((BgL_globalz00_bglt) BgL_o1135z00_3084);
				{	/* Effect/cgraph.scm 22 */
					BgL_globalzf2fromzf2_bglt BgL_wide1137z00_1571;

					BgL_wide1137z00_1571 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_auxz00_4206;
						BgL_objectz00_bglt BgL_auxz00_4203;

						BgL_auxz00_4206 = ((obj_t) BgL_wide1137z00_1571);
						BgL_auxz00_4203 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1135z00_1568));
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4203, BgL_auxz00_4206);
					}
					{	/* Effect/cgraph.scm 22 */
						long BgL_arg2049z00_1572;

						{	/* Effect/cgraph.scm 22 */
							long BgL_res2201z00_2709;

							BgL_res2201z00_2709 =
								BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BgL_arg2049z00_1572 = BgL_res2201z00_2709;
						}
						((BgL_globalz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt) BgL_o1135z00_1568)),
								BgL_arg2049z00_1572));
					}
					return
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1135z00_1568));
				}
			}
		}
	}



/* &lambda2045 */
	BgL_globalz00_bglt BGl_z62lambda2045z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3085, obj_t BgL_id1114z00_3086, obj_t BgL_name1115z00_3087,
		obj_t BgL_type1116z00_3088, obj_t BgL_value1117z00_3089,
		obj_t BgL_access1118z00_3090, obj_t BgL_fastzd2alpha1119zd2_3091,
		obj_t BgL_removable1120z00_3092, obj_t BgL_occurrence1121z00_3093,
		obj_t BgL_occurrencew1122z00_3094, obj_t BgL_userzf31123zf3_3095,
		obj_t BgL_module1124z00_3096, obj_t BgL_import1125z00_3097,
		obj_t BgL_evaluablezf31126zf3_3098, obj_t BgL_evalzf31127zf3_3099,
		obj_t BgL_library1128z00_3100, obj_t BgL_pragma1129z00_3101,
		obj_t BgL_src1130z00_3102, obj_t BgL_jvmzd2typezd2name1131z00_3103,
		obj_t BgL_init1132z00_3104, obj_t BgL_alias1133z00_3105,
		obj_t BgL_from1134z00_3106)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				obj_t BgL_id1114z00_1540;
				obj_t BgL_name1115z00_1541;
				BgL_typez00_bglt BgL_type1116z00_1542;
				BgL_valuez00_bglt BgL_value1117z00_1543;
				obj_t BgL_access1118z00_1544;
				obj_t BgL_fastzd2alpha1119zd2_1545;
				obj_t BgL_removable1120z00_1546;
				long BgL_occurrence1121z00_1547;
				long BgL_occurrencew1122z00_1548;
				bool_t BgL_userzf31123zf3_1549;
				obj_t BgL_module1124z00_1550;
				obj_t BgL_import1125z00_1551;
				bool_t BgL_evaluablezf31126zf3_1552;
				bool_t BgL_evalzf31127zf3_1553;
				obj_t BgL_library1128z00_1554;
				obj_t BgL_pragma1129z00_1555;
				obj_t BgL_src1130z00_1556;
				obj_t BgL_jvmzd2typezd2name1131z00_1557;
				obj_t BgL_init1132z00_1558;
				obj_t BgL_alias1133z00_1559;
				obj_t BgL_from1134z00_1560;

				BgL_id1114z00_1540 = BgL_id1114z00_3086;
				BgL_name1115z00_1541 = BgL_name1115z00_3087;
				BgL_type1116z00_1542 = ((BgL_typez00_bglt) BgL_type1116z00_3088);
				BgL_value1117z00_1543 = ((BgL_valuez00_bglt) BgL_value1117z00_3089);
				BgL_access1118z00_1544 = BgL_access1118z00_3090;
				BgL_fastzd2alpha1119zd2_1545 = BgL_fastzd2alpha1119zd2_3091;
				BgL_removable1120z00_1546 = BgL_removable1120z00_3092;
				BgL_occurrence1121z00_1547 = (long) CINT(BgL_occurrence1121z00_3093);
				BgL_occurrencew1122z00_1548 = (long) CINT(BgL_occurrencew1122z00_3094);
				BgL_userzf31123zf3_1549 = CBOOL(BgL_userzf31123zf3_3095);
				BgL_module1124z00_1550 = BgL_module1124z00_3096;
				BgL_import1125z00_1551 = BgL_import1125z00_3097;
				BgL_evaluablezf31126zf3_1552 = CBOOL(BgL_evaluablezf31126zf3_3098);
				BgL_evalzf31127zf3_1553 = CBOOL(BgL_evalzf31127zf3_3099);
				BgL_library1128z00_1554 = BgL_library1128z00_3100;
				BgL_pragma1129z00_1555 = BgL_pragma1129z00_3101;
				BgL_src1130z00_1556 = BgL_src1130z00_3102;
				BgL_jvmzd2typezd2name1131z00_1557 = BgL_jvmzd2typezd2name1131z00_3103;
				BgL_init1132z00_1558 = BgL_init1132z00_3104;
				BgL_alias1133z00_1559 = BgL_alias1133z00_3105;
				BgL_from1134z00_1560 = BgL_from1134z00_3106;
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_new1254z00_2694;

					{	/* Effect/cgraph.scm 22 */
						BgL_globalz00_bglt BgL_tmp1252z00_2695;
						BgL_globalzf2fromzf2_bglt BgL_wide1253z00_2696;

						{
							BgL_globalz00_bglt BgL_auxz00_4217;

							{	/* Effect/cgraph.scm 22 */
								BgL_globalz00_bglt BgL_new1251z00_2697;

								BgL_new1251z00_2697 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg2047z00_2698;

									{	/* Effect/cgraph.scm 22 */
										long BgL_res2199z00_2701;

										BgL_res2199z00_2701 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg2047z00_2698 = BgL_res2199z00_2701;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1251z00_2697),
										BgL_arg2047z00_2698);
								}
								{	/* Effect/cgraph.scm 22 */
									BgL_objectz00_bglt BgL_auxz00_4222;

									BgL_auxz00_4222 = ((BgL_objectz00_bglt) BgL_new1251z00_2697);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4222, BFALSE);
								}
								BgL_auxz00_4217 = BgL_new1251z00_2697;
							}
							BgL_tmp1252z00_2695 = ((BgL_globalz00_bglt) BgL_auxz00_4217);
						}
						BgL_wide1253z00_2696 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_auxz00_4229;
							BgL_objectz00_bglt BgL_auxz00_4227;

							BgL_auxz00_4229 = ((obj_t) BgL_wide1253z00_2696);
							BgL_auxz00_4227 = ((BgL_objectz00_bglt) BgL_tmp1252z00_2695);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4227, BgL_auxz00_4229);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_arg2046z00_2699;

							{	/* Effect/cgraph.scm 22 */
								long BgL_res2200z00_2705;

								BgL_res2200z00_2705 =
									BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2046z00_2699 = BgL_res2200z00_2705;
							}
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1252z00_2695),
									BgL_arg2046z00_2699));
						}
						BgL_new1254z00_2694 = ((BgL_globalz00_bglt) BgL_tmp1252z00_2695);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1254z00_2694)))->BgL_idz00) =
						((obj_t) BgL_id1114z00_1540), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1254z00_2694)))->BgL_namez00) =
						((obj_t) BgL_name1115z00_1541), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1254z00_2694)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1116z00_1542), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1254z00_2694)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1117z00_1543), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1254z00_2694)))->BgL_accessz00) =
						((obj_t) BgL_access1118z00_1544), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1254z00_2694)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1119zd2_1545), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1254z00_2694)))->BgL_removablez00) =
						((obj_t) BgL_removable1120z00_1546), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1254z00_2694)))->BgL_occurrencez00) =
						((long) BgL_occurrence1121z00_1547), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1254z00_2694)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1122z00_1548), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1254z00_2694)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31123zf3_1549), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_modulez00) =
						((obj_t) BgL_module1124z00_1550), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_importz00) =
						((obj_t) BgL_import1125z00_1551), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31126zf3_1552), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31127zf3_1553), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_libraryz00) =
						((obj_t) BgL_library1128z00_1554), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1129z00_1555), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_srcz00) =
						((obj_t) BgL_src1130z00_1556), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1131z00_1557), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_initz00) =
						((obj_t) BgL_init1132z00_1558), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1254z00_2694)))->BgL_aliasz00) =
						((obj_t) BgL_alias1133z00_1559), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4277;

						{
							obj_t BgL_auxz00_4278;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_auxz00_4279;

								BgL_auxz00_4279 = ((BgL_objectz00_bglt) BgL_new1254z00_2694);
								BgL_auxz00_4278 = BGL_OBJECT_WIDENING(BgL_auxz00_4279);
							}
							BgL_auxz00_4277 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4278);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4277))->
								BgL_fromz00) = ((obj_t) BgL_from1134z00_1560), BUNSPEC);
					}
					return BgL_new1254z00_2694;
				}
			}
		}
	}



/* &lambda2059 */
	obj_t BGl_z62lambda2059z62zzeffect_cgraphz00(obj_t BgL_envz00_3107,
		obj_t BgL_oz00_3108, obj_t BgL_vz00_3109)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1588;
				obj_t BgL_vz00_1589;

				BgL_oz00_1588 = ((BgL_globalz00_bglt) BgL_oz00_3108);
				BgL_vz00_1589 = BgL_vz00_3109;
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4291;

					{
						obj_t BgL_auxz00_4292;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4293;

							BgL_auxz00_4293 = ((BgL_objectz00_bglt) BgL_oz00_1588);
							BgL_auxz00_4292 = BGL_OBJECT_WIDENING(BgL_auxz00_4293);
						}
						BgL_auxz00_4291 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4292);
					}
					return
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4291))->
							BgL_fromz00) = ((obj_t) BgL_vz00_1589), BUNSPEC);
				}
			}
		}
	}



/* &lambda2058 */
	obj_t BGl_z62lambda2058z62zzeffect_cgraphz00(obj_t BgL_envz00_3110,
		obj_t BgL_oz00_3111)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1585;

				BgL_oz00_1585 = ((BgL_globalz00_bglt) BgL_oz00_3111);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4299;

					{
						obj_t BgL_auxz00_4300;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4301;

							BgL_auxz00_4301 = ((BgL_objectz00_bglt) BgL_oz00_1585);
							BgL_auxz00_4300 = BGL_OBJECT_WIDENING(BgL_auxz00_4301);
						}
						BgL_auxz00_4299 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4300);
					}
					return
						(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4299))->BgL_fromz00);
				}
			}
		}
	}



/* &lambda2028 */
	BgL_localz00_bglt BGl_z62lambda2028z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3112, obj_t BgL_o1111z00_3113)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1111z00_1510;

				BgL_o1111z00_1510 = ((BgL_localz00_bglt) BgL_o1111z00_3113);
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg2029z00_1513;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2030z00_1514;

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_arg2032z00_1515;

							{	/* Effect/cgraph.scm 21 */
								long BgL_arg1772z00_2676;

								{	/* Effect/cgraph.scm 21 */
									long BgL_arg1773z00_2677;

									{	/* Effect/cgraph.scm 21 */
										long BgL_res2196z00_2679;

										BgL_res2196z00_2679 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_o1111z00_1510));
										BgL_arg1773z00_2677 = BgL_res2196z00_2679;
									}
									BgL_arg1772z00_2676 = (BgL_arg1773z00_2677 - OBJECT_TYPE);
								}
								BgL_arg2032z00_1515 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									(int) (BgL_arg1772z00_2676));
							}
							BgL_arg2030z00_1514 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2032z00_1515);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_res2198z00_2686;

							BgL_res2198z00_2686 = BGL_CLASS_INDEX(BgL_arg2030z00_1514);
							BgL_arg2029z00_1513 = BgL_res2198z00_2686;
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_o1111z00_1510), BgL_arg2029z00_1513);
				}
				{	/* Effect/cgraph.scm 21 */
					BgL_objectz00_bglt BgL_auxz00_4316;

					BgL_auxz00_4316 = ((BgL_objectz00_bglt) BgL_o1111z00_1510);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4316, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1111z00_1510);
			}
		}
	}



/* &<anonymous:2027> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32027ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_3114, obj_t BgL_new1110z00_3115)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_new1110z00_1508;

				BgL_new1110z00_1508 = ((BgL_localz00_bglt) BgL_new1110z00_3115);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1110z00_1508)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1508)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4326;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_2671;

						BgL_classz00_2671 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1092z00_2672;

							BgL__ortest_1092z00_2672 = BGL_CLASS_NIL(BgL_classz00_2671);
							if (CBOOL(BgL__ortest_1092z00_2672))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4326 =
										((BgL_typez00_bglt) BgL__ortest_1092z00_2672);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4326 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2671));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1110z00_1508)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4326), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4335;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_2673;

						BgL_classz00_2673 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1092z00_2674;

							BgL__ortest_1092z00_2674 = BGL_CLASS_NIL(BgL_classz00_2673);
							if (CBOOL(BgL__ortest_1092z00_2674))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4335 =
										((BgL_valuez00_bglt) BgL__ortest_1092z00_2674);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4335 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2673));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1110z00_1508)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4335), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1110z00_1508)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1508)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1508)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1508)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1508)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1110z00_1508)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1110z00_1508)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4358;

					{
						obj_t BgL_auxz00_4359;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4360;

							BgL_auxz00_4360 = ((BgL_objectz00_bglt) BgL_new1110z00_1508);
							BgL_auxz00_4359 = BGL_OBJECT_WIDENING(BgL_auxz00_4360);
						}
						BgL_auxz00_4358 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4359);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4358))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1110z00_1508;
			}
		}
	}



/* &lambda2025 */
	BgL_localz00_bglt BGl_z62lambda2025z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3116, obj_t BgL_o1107z00_3117)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1107z00_1503;

				BgL_o1107z00_1503 = ((BgL_localz00_bglt) BgL_o1107z00_3117);
				{	/* Effect/cgraph.scm 21 */
					BgL_localzf2fromzf2_bglt BgL_wide1109z00_1506;

					BgL_wide1109z00_1506 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_auxz00_4370;
						BgL_objectz00_bglt BgL_auxz00_4367;

						BgL_auxz00_4370 = ((obj_t) BgL_wide1109z00_1506);
						BgL_auxz00_4367 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1107z00_1503));
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4367, BgL_auxz00_4370);
					}
					{	/* Effect/cgraph.scm 21 */
						long BgL_arg2026z00_1507;

						{	/* Effect/cgraph.scm 21 */
							long BgL_res2195z00_2668;

							BgL_res2195z00_2668 =
								BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
							BgL_arg2026z00_1507 = BgL_res2195z00_2668;
						}
						((BgL_localz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_o1107z00_1503)),
								BgL_arg2026z00_1507));
					}
					return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1107z00_1503));
				}
			}
		}
	}



/* &lambda2022 */
	BgL_localz00_bglt BGl_z62lambda2022z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3118, obj_t BgL_id1095z00_3119, obj_t BgL_name1096z00_3120,
		obj_t BgL_type1097z00_3121, obj_t BgL_value1098z00_3122,
		obj_t BgL_access1099z00_3123, obj_t BgL_fastzd2alpha1100zd2_3124,
		obj_t BgL_removable1101z00_3125, obj_t BgL_occurrence1102z00_3126,
		obj_t BgL_occurrencew1103z00_3127, obj_t BgL_userzf31104zf3_3128,
		obj_t BgL_key1105z00_3129, obj_t BgL_from1106z00_3130)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				obj_t BgL_id1095z00_1484;
				obj_t BgL_name1096z00_1485;
				BgL_typez00_bglt BgL_type1097z00_1486;
				BgL_valuez00_bglt BgL_value1098z00_1487;
				obj_t BgL_access1099z00_1488;
				obj_t BgL_fastzd2alpha1100zd2_1489;
				obj_t BgL_removable1101z00_1490;
				long BgL_occurrence1102z00_1491;
				long BgL_occurrencew1103z00_1492;
				bool_t BgL_userzf31104zf3_1493;
				long BgL_key1105z00_1494;
				obj_t BgL_from1106z00_1495;

				BgL_id1095z00_1484 = BgL_id1095z00_3119;
				BgL_name1096z00_1485 = BgL_name1096z00_3120;
				BgL_type1097z00_1486 = ((BgL_typez00_bglt) BgL_type1097z00_3121);
				BgL_value1098z00_1487 = ((BgL_valuez00_bglt) BgL_value1098z00_3122);
				BgL_access1099z00_1488 = BgL_access1099z00_3123;
				BgL_fastzd2alpha1100zd2_1489 = BgL_fastzd2alpha1100zd2_3124;
				BgL_removable1101z00_1490 = BgL_removable1101z00_3125;
				BgL_occurrence1102z00_1491 = (long) CINT(BgL_occurrence1102z00_3126);
				BgL_occurrencew1103z00_1492 = (long) CINT(BgL_occurrencew1103z00_3127);
				BgL_userzf31104zf3_1493 = CBOOL(BgL_userzf31104zf3_3128);
				BgL_key1105z00_1494 = (long) CINT(BgL_key1105z00_3129);
				BgL_from1106z00_1495 = BgL_from1106z00_3130;
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_new1247z00_1497;

					{	/* Effect/cgraph.scm 21 */
						BgL_localz00_bglt BgL_tmp1245z00_1498;
						BgL_localzf2fromzf2_bglt BgL_wide1246z00_1499;

						{
							BgL_localz00_bglt BgL_auxz00_4381;

							{	/* Effect/cgraph.scm 21 */
								BgL_localz00_bglt BgL_new1244z00_1501;

								BgL_new1244z00_1501 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg2024z00_1502;

									{	/* Effect/cgraph.scm 21 */
										long BgL_res2193z00_2660;

										BgL_res2193z00_2660 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg2024z00_1502 = BgL_res2193z00_2660;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1244z00_1501),
										BgL_arg2024z00_1502);
								}
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_auxz00_4386;

									BgL_auxz00_4386 = ((BgL_objectz00_bglt) BgL_new1244z00_1501);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4386, BFALSE);
								}
								BgL_auxz00_4381 = BgL_new1244z00_1501;
							}
							BgL_tmp1245z00_1498 = ((BgL_localz00_bglt) BgL_auxz00_4381);
						}
						BgL_wide1246z00_1499 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_auxz00_4393;
							BgL_objectz00_bglt BgL_auxz00_4391;

							BgL_auxz00_4393 = ((obj_t) BgL_wide1246z00_1499);
							BgL_auxz00_4391 = ((BgL_objectz00_bglt) BgL_tmp1245z00_1498);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4391, BgL_auxz00_4393);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_arg2023z00_1500;

							{	/* Effect/cgraph.scm 21 */
								long BgL_res2194z00_2664;

								BgL_res2194z00_2664 =
									BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2023z00_1500 = BgL_res2194z00_2664;
							}
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1245z00_1498),
									BgL_arg2023z00_1500));
						}
						BgL_new1247z00_1497 = ((BgL_localz00_bglt) BgL_tmp1245z00_1498);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1247z00_1497)))->BgL_idz00) =
						((obj_t) BgL_id1095z00_1484), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1247z00_1497)))->BgL_namez00) =
						((obj_t) BgL_name1096z00_1485), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1247z00_1497)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1097z00_1486), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1247z00_1497)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1098z00_1487), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1247z00_1497)))->BgL_accessz00) =
						((obj_t) BgL_access1099z00_1488), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1247z00_1497)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1100zd2_1489), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1247z00_1497)))->BgL_removablez00) =
						((obj_t) BgL_removable1101z00_1490), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1247z00_1497)))->BgL_occurrencez00) =
						((long) BgL_occurrence1102z00_1491), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1247z00_1497)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1103z00_1492), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1247z00_1497)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31104zf3_1493), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1247z00_1497)))->BgL_keyz00) =
						((long) BgL_key1105z00_1494), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4423;

						{
							obj_t BgL_auxz00_4424;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_auxz00_4425;

								BgL_auxz00_4425 = ((BgL_objectz00_bglt) BgL_new1247z00_1497);
								BgL_auxz00_4424 = BGL_OBJECT_WIDENING(BgL_auxz00_4425);
							}
							BgL_auxz00_4423 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4424);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4423))->BgL_fromz00) =
							((obj_t) BgL_from1106z00_1495), BUNSPEC);
					}
					return BgL_new1247z00_1497;
				}
			}
		}
	}



/* &lambda2037 */
	obj_t BGl_z62lambda2037z62zzeffect_cgraphz00(obj_t BgL_envz00_3131,
		obj_t BgL_oz00_3132, obj_t BgL_vz00_3133)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1523;
				obj_t BgL_vz00_1524;

				BgL_oz00_1523 = ((BgL_localz00_bglt) BgL_oz00_3132);
				BgL_vz00_1524 = BgL_vz00_3133;
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4436;

					{
						obj_t BgL_auxz00_4437;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4438;

							BgL_auxz00_4438 = ((BgL_objectz00_bglt) BgL_oz00_1523);
							BgL_auxz00_4437 = BGL_OBJECT_WIDENING(BgL_auxz00_4438);
						}
						BgL_auxz00_4436 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4437);
					}
					return
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4436))->BgL_fromz00) =
						((obj_t) BgL_vz00_1524), BUNSPEC);
				}
			}
		}
	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zzeffect_cgraphz00(obj_t BgL_envz00_3134,
		obj_t BgL_oz00_3135)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1520;

				BgL_oz00_1520 = ((BgL_localz00_bglt) BgL_oz00_3135);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4444;

					{
						obj_t BgL_auxz00_4445;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4446;

							BgL_auxz00_4446 = ((BgL_objectz00_bglt) BgL_oz00_1520);
							BgL_auxz00_4445 = BGL_OBJECT_WIDENING(BgL_auxz00_4446);
						}
						BgL_auxz00_4444 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4445);
					}
					return
						(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4444))->BgL_fromz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2250z00zzeffect_cgraphz00, BGl_nodez00zzast_nodez00,
				BGl_string2251z00zzeffect_cgraphz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2252z00zzeffect_cgraphz00, BGl_variablez00zzast_varz00,
				BGl_string2253z00zzeffect_cgraphz00);
		}
	}



/* &save-call!1987 */
	obj_t BGl_z62savezd2callz121987za2zzeffect_cgraphz00(obj_t BgL_envz00_3138,
		obj_t BgL_calleez00_3139, obj_t BgL_ownerz00_3140)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 211 */
			{
				BgL_variablez00_bglt BgL_calleez00_1605;
				BgL_variablez00_bglt BgL_ownerz00_1606;

				BgL_calleez00_1605 = ((BgL_variablez00_bglt) BgL_calleez00_3139);
				BgL_ownerz00_1606 = ((BgL_variablez00_bglt) BgL_ownerz00_3140);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
					BGl_string2254z00zzeffect_cgraphz00, ((obj_t) BgL_calleez00_1605));
		}}
	}



/* &call-graph!1947 */
	obj_t BGl_z62callzd2graphz121947za2zzeffect_cgraphz00(obj_t BgL_envz00_3141,
		obj_t BgL_nodez00_3142, obj_t BgL_ownerz00_3143)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return CNST_TABLE_REF(((long) 8));
		}
	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt
		BgL_nodez00_134, BgL_variablez00_bglt BgL_ownerz00_135)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			{	/* Effect/cgraph.scm 38 */
				obj_t BgL_method1948z00_1609;

				{	/* Effect/cgraph.scm 38 */
					obj_t BgL_res2211z00_2758;

					{	/* Effect/cgraph.scm 38 */
						long BgL_objzd2classzd2numz00_2731;

						{	/* Effect/cgraph.scm 38 */
							long BgL_res2205z00_2734;

							BgL_res2205z00_2734 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_134));
							BgL_objzd2classzd2numz00_2731 = BgL_res2205z00_2734;
						}
						{	/* Effect/cgraph.scm 38 */
							obj_t BgL_arg1769z00_2732;

							BgL_arg1769z00_2732 =
								PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
								(int) (((long) 1)));
							{	/* Effect/cgraph.scm 38 */
								int BgL_offsetz00_2736;

								BgL_offsetz00_2736 = (int) (BgL_objzd2classzd2numz00_2731);
								{	/* Effect/cgraph.scm 38 */
									long BgL_offsetz00_2737;

									BgL_offsetz00_2737 =
										((long) (BgL_offsetz00_2736) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 38 */
										long BgL_modz00_2738;

										{	/* Effect/cgraph.scm 38 */
											int BgL_arg1771z00_2739;

											BgL_arg1771z00_2739 = (int) (((long) 16));
											{	/* Effect/cgraph.scm 38 */
												long BgL_res2208z00_2749;

												{	/* Effect/cgraph.scm 38 */
													long BgL_auxz00_4468;

													BgL_auxz00_4468 = (long) (BgL_arg1771z00_2739);
													BgL_res2208z00_2749 =
														(BgL_offsetz00_2737 / BgL_auxz00_4468);
												}
												BgL_modz00_2738 = BgL_res2208z00_2749;
										}}
										{	/* Effect/cgraph.scm 38 */
											long BgL_restz00_2740;

											{	/* Effect/cgraph.scm 38 */
												int BgL_arg1770z00_2741;

												BgL_arg1770z00_2741 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 38 */
													long BgL_res2210z00_2753;

													{	/* Effect/cgraph.scm 38 */
														long BgL_auxz00_4472;

														BgL_auxz00_4472 = (long) (BgL_arg1770z00_2741);
														BgL_res2210z00_2753 =
															(BgL_offsetz00_2737 % BgL_auxz00_4472);
													}
													BgL_restz00_2740 = BgL_res2210z00_2753;
											}}
											{	/* Effect/cgraph.scm 38 */

												BgL_res2211z00_2758 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2732,
														(int) (BgL_modz00_2738)), (int) (BgL_restz00_2740));
					}}}}}}}
					BgL_method1948z00_1609 = BgL_res2211z00_2758;
				}
				return
					PROCEDURE_ENTRY(BgL_method1948z00_1609) (BgL_method1948z00_1609,
					((obj_t) BgL_nodez00_134), ((obj_t) BgL_ownerz00_135), BEOA);
			}
		}
	}



/* &call-graph! */
	obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t BgL_envz00_3144,
		obj_t BgL_nodez00_3145, obj_t BgL_ownerz00_3146)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				((BgL_nodez00_bglt) BgL_nodez00_3145),
				((BgL_variablez00_bglt) BgL_ownerz00_3146));
		}
	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_174, BgL_variablez00_bglt BgL_ownerz00_175)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 211 */
			{	/* Effect/cgraph.scm 211 */
				obj_t BgL_method1988z00_1610;

				{	/* Effect/cgraph.scm 211 */
					obj_t BgL_res2218z00_2787;

					{	/* Effect/cgraph.scm 211 */
						long BgL_objzd2classzd2numz00_2760;

						{	/* Effect/cgraph.scm 211 */
							long BgL_res2212z00_2763;

							BgL_res2212z00_2763 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_calleez00_174));
							BgL_objzd2classzd2numz00_2760 = BgL_res2212z00_2763;
						}
						{	/* Effect/cgraph.scm 211 */
							obj_t BgL_arg1769z00_2761;

							BgL_arg1769z00_2761 =
								PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
								(int) (((long) 1)));
							{	/* Effect/cgraph.scm 211 */
								int BgL_offsetz00_2765;

								BgL_offsetz00_2765 = (int) (BgL_objzd2classzd2numz00_2760);
								{	/* Effect/cgraph.scm 211 */
									long BgL_offsetz00_2766;

									BgL_offsetz00_2766 =
										((long) (BgL_offsetz00_2765) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 211 */
										long BgL_modz00_2767;

										{	/* Effect/cgraph.scm 211 */
											int BgL_arg1771z00_2768;

											BgL_arg1771z00_2768 = (int) (((long) 16));
											{	/* Effect/cgraph.scm 211 */
												long BgL_res2215z00_2778;

												{	/* Effect/cgraph.scm 211 */
													long BgL_auxz00_4497;

													BgL_auxz00_4497 = (long) (BgL_arg1771z00_2768);
													BgL_res2215z00_2778 =
														(BgL_offsetz00_2766 / BgL_auxz00_4497);
												}
												BgL_modz00_2767 = BgL_res2215z00_2778;
										}}
										{	/* Effect/cgraph.scm 211 */
											long BgL_restz00_2769;

											{	/* Effect/cgraph.scm 211 */
												int BgL_arg1770z00_2770;

												BgL_arg1770z00_2770 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 211 */
													long BgL_res2217z00_2782;

													{	/* Effect/cgraph.scm 211 */
														long BgL_auxz00_4501;

														BgL_auxz00_4501 = (long) (BgL_arg1770z00_2770);
														BgL_res2217z00_2782 =
															(BgL_offsetz00_2766 % BgL_auxz00_4501);
													}
													BgL_restz00_2769 = BgL_res2217z00_2782;
											}}
											{	/* Effect/cgraph.scm 211 */

												BgL_res2218z00_2787 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2761,
														(int) (BgL_modz00_2767)), (int) (BgL_restz00_2769));
					}}}}}}}
					BgL_method1988z00_1610 = BgL_res2218z00_2787;
				}
				return
					PROCEDURE_ENTRY(BgL_method1988z00_1610) (BgL_method1988z00_1610,
					((obj_t) BgL_calleez00_174), ((obj_t) BgL_ownerz00_175), BEOA);
			}
		}
	}



/* &save-call! */
	obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t BgL_envz00_3147,
		obj_t BgL_calleez00_3148, obj_t BgL_ownerz00_3149)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 211 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_calleez00_3148),
				((BgL_variablez00_bglt) BgL_ownerz00_3149));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2255z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_syncz00zzast_nodez00, BGl_proc2257z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc2258z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2259z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2260z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc2261z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc2262z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc2263z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2264z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc2265z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_selectz00zzast_nodez00, BGl_proc2266z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2267z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2268z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2269z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2270z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2271z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2272z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2273z00zzeffect_cgraphz00,
				BGl_string2256z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc2274z00zzeffect_cgraphz00,
				BGl_string2275z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2276z00zzeffect_cgraphz00, BGl_string2275z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc2277z00zzeffect_cgraphz00,
				BGl_string2275z00zzeffect_cgraphz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2278z00zzeffect_cgraphz00, BGl_string2275z00zzeffect_cgraphz00);
		}
	}



/* &save-call!-local/fro1996 */
	obj_t BGl_z62savezd2callz12zd2localzf2fro1996z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3172, obj_t BgL_calleez00_3173, obj_t BgL_ownerz00_3174)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 242 */
			{
				BgL_localz00_bglt BgL_calleez00_1814;
				obj_t BgL_ownerz00_1815;

				BgL_calleez00_1814 = ((BgL_localz00_bglt) BgL_calleez00_3173);
				BgL_ownerz00_1815 = BgL_ownerz00_3174;
				{	/* Effect/cgraph.scm 244 */
					bool_t BgL_testz00_4540;

					{	/* Effect/cgraph.scm 244 */
						obj_t BgL_auxz00_4541;

						{	/* Effect/cgraph.scm 244 */
							obj_t BgL_auxz00_4542;

							{
								BgL_localzf2fromzf2_bglt BgL_auxz00_4543;

								{
									obj_t BgL_auxz00_4544;

									{	/* Effect/cgraph.scm 244 */
										BgL_objectz00_bglt BgL_auxz00_4545;

										BgL_auxz00_4545 = ((BgL_objectz00_bglt) BgL_calleez00_1814);
										BgL_auxz00_4544 = BGL_OBJECT_WIDENING(BgL_auxz00_4545);
									}
									BgL_auxz00_4543 =
										((BgL_localzf2fromzf2_bglt) BgL_auxz00_4544);
								}
								BgL_auxz00_4542 =
									(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4543))->
									BgL_fromz00);
							}
							BgL_auxz00_4541 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1815,
								BgL_auxz00_4542);
						}
						BgL_testz00_4540 = CBOOL(BgL_auxz00_4541);
					}
					if (BgL_testz00_4540)
						{	/* Effect/cgraph.scm 244 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4558;
							BgL_localzf2fromzf2_bglt BgL_auxz00_4552;

							{	/* Effect/cgraph.scm 245 */
								obj_t BgL_arg2126z00_1820;

								{
									BgL_localzf2fromzf2_bglt BgL_auxz00_4559;

									{
										obj_t BgL_auxz00_4560;

										{	/* Effect/cgraph.scm 245 */
											BgL_objectz00_bglt BgL_auxz00_4561;

											BgL_auxz00_4561 =
												((BgL_objectz00_bglt) BgL_calleez00_1814);
											BgL_auxz00_4560 = BGL_OBJECT_WIDENING(BgL_auxz00_4561);
										}
										BgL_auxz00_4559 =
											((BgL_localzf2fromzf2_bglt) BgL_auxz00_4560);
									}
									BgL_arg2126z00_1820 =
										(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4559))->
										BgL_fromz00);
								}
								BgL_auxz00_4558 =
									MAKE_PAIR(BgL_ownerz00_1815, BgL_arg2126z00_1820);
							}
							{
								obj_t BgL_auxz00_4553;

								{	/* Effect/cgraph.scm 245 */
									BgL_objectz00_bglt BgL_auxz00_4554;

									BgL_auxz00_4554 = ((BgL_objectz00_bglt) BgL_calleez00_1814);
									BgL_auxz00_4553 = BGL_OBJECT_WIDENING(BgL_auxz00_4554);
								}
								BgL_auxz00_4552 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4553);
							}
							return
								((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4552))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4558), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-local1994 */
	obj_t BGl_z62savezd2callz12zd2local1994z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3175, obj_t BgL_calleez00_3176, obj_t BgL_ownerz00_3177)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 236 */
			{
				BgL_localz00_bglt BgL_calleez00_1803;
				obj_t BgL_ownerz00_1804;

				BgL_calleez00_1803 = ((BgL_localz00_bglt) BgL_calleez00_3176);
				BgL_ownerz00_1804 = BgL_ownerz00_3177;
				{	/* Effect/cgraph.scm 237 */
					BgL_localz00_bglt BgL_arg2123z00_1807;

					{	/* Effect/cgraph.scm 237 */
						BgL_localzf2fromzf2_bglt BgL_wide1240z00_1810;

						BgL_wide1240z00_1810 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 237 */
							obj_t BgL_auxz00_4573;
							BgL_objectz00_bglt BgL_auxz00_4570;

							BgL_auxz00_4573 = ((obj_t) BgL_wide1240z00_1810);
							BgL_auxz00_4570 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_1803));
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4570, BgL_auxz00_4573);
						}
						{	/* Effect/cgraph.scm 237 */
							long BgL_arg2124z00_1811;

							{	/* Effect/cgraph.scm 237 */
								long BgL_res2236z00_2854;

								BgL_res2236z00_2854 =
									BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2124z00_1811 = BgL_res2236z00_2854;
							}
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_calleez00_1803)),
									BgL_arg2124z00_1811));
						}
						((BgL_localz00_bglt) BgL_calleez00_1803);
					}
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4582;

						{
							obj_t BgL_auxz00_4583;

							{	/* Effect/cgraph.scm 237 */
								BgL_objectz00_bglt BgL_auxz00_4584;

								BgL_auxz00_4584 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_1803));
								BgL_auxz00_4583 = BGL_OBJECT_WIDENING(BgL_auxz00_4584);
							}
							BgL_auxz00_4582 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4583);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4582))->BgL_fromz00) =
							((obj_t) BNIL), BUNSPEC);
					}
					BgL_arg2123z00_1807 = ((BgL_localz00_bglt) BgL_calleez00_1803);
					return
						BGl_savezd2callz12zc0zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_arg2123z00_1807),
						((BgL_variablez00_bglt) BgL_ownerz00_1804));
				}
			}
		}
	}



/* &save-call!-global/fr1992 */
	obj_t BGl_z62savezd2callz12zd2globalzf2fr1992z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3178, obj_t BgL_calleez00_3179, obj_t BgL_ownerz00_3180)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 228 */
			{
				BgL_globalz00_bglt BgL_calleez00_1794;
				obj_t BgL_ownerz00_1795;

				BgL_calleez00_1794 = ((BgL_globalz00_bglt) BgL_calleez00_3179);
				BgL_ownerz00_1795 = BgL_ownerz00_3180;
				{	/* Effect/cgraph.scm 230 */
					bool_t BgL_testz00_4595;

					{	/* Effect/cgraph.scm 230 */
						obj_t BgL_auxz00_4596;

						{	/* Effect/cgraph.scm 230 */
							obj_t BgL_auxz00_4597;

							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4598;

								{
									obj_t BgL_auxz00_4599;

									{	/* Effect/cgraph.scm 230 */
										BgL_objectz00_bglt BgL_auxz00_4600;

										BgL_auxz00_4600 = ((BgL_objectz00_bglt) BgL_calleez00_1794);
										BgL_auxz00_4599 = BGL_OBJECT_WIDENING(BgL_auxz00_4600);
									}
									BgL_auxz00_4598 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4599);
								}
								BgL_auxz00_4597 =
									(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4598))->
									BgL_fromz00);
							}
							BgL_auxz00_4596 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1795,
								BgL_auxz00_4597);
						}
						BgL_testz00_4595 = CBOOL(BgL_auxz00_4596);
					}
					if (BgL_testz00_4595)
						{	/* Effect/cgraph.scm 230 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4613;
							BgL_globalzf2fromzf2_bglt BgL_auxz00_4607;

							{	/* Effect/cgraph.scm 231 */
								obj_t BgL_arg2120z00_1800;

								{
									BgL_globalzf2fromzf2_bglt BgL_auxz00_4614;

									{
										obj_t BgL_auxz00_4615;

										{	/* Effect/cgraph.scm 231 */
											BgL_objectz00_bglt BgL_auxz00_4616;

											BgL_auxz00_4616 =
												((BgL_objectz00_bglt) BgL_calleez00_1794);
											BgL_auxz00_4615 = BGL_OBJECT_WIDENING(BgL_auxz00_4616);
										}
										BgL_auxz00_4614 =
											((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4615);
									}
									BgL_arg2120z00_1800 =
										(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4614))->
										BgL_fromz00);
								}
								BgL_auxz00_4613 =
									MAKE_PAIR(BgL_ownerz00_1795, BgL_arg2120z00_1800);
							}
							{
								obj_t BgL_auxz00_4608;

								{	/* Effect/cgraph.scm 231 */
									BgL_objectz00_bglt BgL_auxz00_4609;

									BgL_auxz00_4609 = ((BgL_objectz00_bglt) BgL_calleez00_1794);
									BgL_auxz00_4608 = BGL_OBJECT_WIDENING(BgL_auxz00_4609);
								}
								BgL_auxz00_4607 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4608);
							}
							return
								((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4607))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4613), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-global1990 */
	obj_t BGl_z62savezd2callz12zd2global1990z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3181, obj_t BgL_calleez00_3182, obj_t BgL_ownerz00_3183)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 216 */
			{
				BgL_globalz00_bglt BgL_calleez00_1777;
				obj_t BgL_ownerz00_1778;

				BgL_calleez00_1777 = ((BgL_globalz00_bglt) BgL_calleez00_3182);
				BgL_ownerz00_1778 = BgL_ownerz00_3183;
				{	/* Effect/cgraph.scm 217 */
					BgL_valuez00_bglt BgL_funz00_1781;

					BgL_funz00_1781 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_calleez00_1777)))->BgL_valuez00);
					{	/* Effect/cgraph.scm 218 */
						bool_t BgL_testz00_4626;

						{	/* Effect/cgraph.scm 218 */
							bool_t BgL_testz00_4627;

							{	/* Effect/cgraph.scm 218 */
								bool_t BgL_res2233z00_2842;

								BgL_res2233z00_2842 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_funz00_1781), BGl_cfunz00zzast_varz00);
								BgL_testz00_4627 = BgL_res2233z00_2842;
							}
							if (BgL_testz00_4627)
								{	/* Effect/cgraph.scm 218 */
									BgL_testz00_4626 = ((bool_t) 1);
								}
							else
								{	/* Effect/cgraph.scm 219 */
									bool_t BgL_testz00_4630;

									{	/* Effect/cgraph.scm 219 */
										bool_t BgL_res2234z00_2844;

										BgL_res2234z00_2844 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_funz00_1781), BGl_sfunz00zzast_varz00);
										BgL_testz00_4630 = BgL_res2234z00_2844;
									}
									if (BgL_testz00_4630)
										{	/* Effect/cgraph.scm 219 */
											BgL_testz00_4626 =
												(
												(((BgL_globalz00_bglt) CREF(BgL_calleez00_1777))->
													BgL_importz00) == CNST_TABLE_REF(((long) 9)));
										}
									else
										{	/* Effect/cgraph.scm 219 */
											BgL_testz00_4626 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_4626)
							{	/* Effect/cgraph.scm 218 */
								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1781)))->
											BgL_sidezd2effectzd2)))
									{	/* Effect/cgraph.scm 221 */
										return
											BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
											((BgL_variablez00_bglt) BgL_ownerz00_1778));
									}
								else
									{	/* Effect/cgraph.scm 221 */
										return BFALSE;
									}
							}
						else
							{	/* Effect/cgraph.scm 223 */
								BgL_globalz00_bglt BgL_arg2115z00_1784;

								{	/* Effect/cgraph.scm 223 */
									BgL_globalzf2fromzf2_bglt BgL_wide1235z00_1787;

									BgL_wide1235z00_1787 =
										((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_globalzf2fromzf2_bgl))));
									{	/* Effect/cgraph.scm 223 */
										obj_t BgL_auxz00_4646;
										BgL_objectz00_bglt BgL_auxz00_4643;

										BgL_auxz00_4646 = ((obj_t) BgL_wide1235z00_1787);
										BgL_auxz00_4643 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_calleez00_1777));
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4643, BgL_auxz00_4646);
									}
									{	/* Effect/cgraph.scm 223 */
										long BgL_arg2116z00_1788;

										{	/* Effect/cgraph.scm 223 */
											long BgL_res2235z00_2850;

											BgL_res2235z00_2850 =
												BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
											BgL_arg2116z00_1788 = BgL_res2235z00_2850;
										}
										((BgL_globalz00_bglt)
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_globalz00_bglt) BgL_calleez00_1777)),
												BgL_arg2116z00_1788));
									}
									((BgL_globalz00_bglt) BgL_calleez00_1777);
								}
								{
									BgL_globalzf2fromzf2_bglt BgL_auxz00_4655;

									{
										obj_t BgL_auxz00_4656;

										{	/* Effect/cgraph.scm 223 */
											BgL_objectz00_bglt BgL_auxz00_4657;

											BgL_auxz00_4657 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_calleez00_1777));
											BgL_auxz00_4656 = BGL_OBJECT_WIDENING(BgL_auxz00_4657);
										}
										BgL_auxz00_4655 =
											((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4656);
									}
									((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4655))->
											BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
								}
								BgL_arg2115z00_1784 = ((BgL_globalz00_bglt) BgL_calleez00_1777);
								return
									BGl_savezd2callz12zc0zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_arg2115z00_1784),
									((BgL_variablez00_bglt) BgL_ownerz00_1778));
							}
					}
				}
			}
		}
	}



/* &call-graph!-box-set!1986 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2setz121986zb0zzeffect_cgraphz00(obj_t
		BgL_envz00_3184, obj_t BgL_nodez00_3185, obj_t BgL_ownerz00_3186)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 196 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1769;
				obj_t BgL_ownerz00_1770;

				BgL_nodez00_1769 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3185);
				BgL_ownerz00_1770 = BgL_ownerz00_3186;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1770));
				{	/* Effect/cgraph.scm 199 */
					BgL_varz00_bglt BgL_arg2110z00_1774;

					BgL_arg2110z00_1774 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1769))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2110z00_1774),
						((BgL_variablez00_bglt) BgL_ownerz00_1770));
				}
				{	/* Effect/cgraph.scm 200 */
					BgL_nodez00_bglt BgL_arg2112z00_1775;

					BgL_arg2112z00_1775 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1769))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2112z00_1775,
						((BgL_variablez00_bglt) BgL_ownerz00_1770));
				}
			}
		}
	}



/* &call-graph!-box-ref1984 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2ref1984za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3187, obj_t BgL_nodez00_3188, obj_t BgL_ownerz00_3189)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 188 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1763;
				obj_t BgL_ownerz00_1764;

				BgL_nodez00_1763 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3188);
				BgL_ownerz00_1764 = BgL_ownerz00_3189;
				{	/* Effect/cgraph.scm 189 */
					BgL_varz00_bglt BgL_arg2109z00_2834;

					BgL_arg2109z00_2834 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1763))->BgL_varz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2109z00_2834),
						((BgL_variablez00_bglt) BgL_ownerz00_1764));
				}
			}
		}
	}



/* &call-graph!-make-box1982 */
	obj_t BGl_z62callzd2graphz12zd2makezd2box1982za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3190, obj_t BgL_nodez00_3191, obj_t BgL_ownerz00_3192)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 182 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1757;
				obj_t BgL_ownerz00_1758;

				BgL_nodez00_1757 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3191);
				BgL_ownerz00_1758 = BgL_ownerz00_3192;
				{	/* Effect/cgraph.scm 183 */
					BgL_nodez00_bglt BgL_arg2108z00_2830;

					BgL_arg2108z00_2830 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1757))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2108z00_2830,
						((BgL_variablez00_bglt) BgL_ownerz00_1758));
				}
			}
		}
	}



/* &call-graph!-jump-ex-1980 */
	obj_t BGl_z62callzd2graphz12zd2jumpzd2exzd21980z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3193, obj_t BgL_nodez00_3194, obj_t BgL_ownerz00_3195)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 173 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1749;
				obj_t BgL_ownerz00_1750;

				BgL_nodez00_1749 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3194);
				BgL_ownerz00_1750 = BgL_ownerz00_3195;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1750));
				{	/* Effect/cgraph.scm 176 */
					BgL_nodez00_bglt BgL_arg2105z00_1754;

					BgL_arg2105z00_1754 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1749))->
						BgL_exitz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2105z00_1754,
						((BgL_variablez00_bglt) BgL_ownerz00_1750));
				}
				{	/* Effect/cgraph.scm 177 */
					BgL_nodez00_bglt BgL_arg2107z00_1755;

					BgL_arg2107z00_1755 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1749))->
						BgL_valuez00);
					return BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2107z00_1755,
						((BgL_variablez00_bglt) BgL_ownerz00_1750));
				}
			}
		}
	}



/* &call-graph!-set-ex-i1977 */
	obj_t BGl_z62callzd2graphz12zd2setzd2exzd2i1977z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3196, obj_t BgL_nodez00_3197, obj_t BgL_ownerz00_3198)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 165 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1742;
				obj_t BgL_ownerz00_1743;

				BgL_nodez00_1742 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3197);
				BgL_ownerz00_1743 = BgL_ownerz00_3198;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1743));
				{	/* Effect/cgraph.scm 168 */
					BgL_nodez00_bglt BgL_arg2104z00_2826;

					BgL_arg2104z00_2826 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1742))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2104z00_2826,
						((BgL_variablez00_bglt) BgL_ownerz00_1743));
				}
			}
		}
	}



/* &call-graph!-let-var1975 */
	obj_t BGl_z62callzd2graphz12zd2letzd2var1975za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3199, obj_t BgL_nodez00_3200, obj_t BgL_ownerz00_3201)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 155 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1726;
				obj_t BgL_ownerz00_1727;

				{	/* Effect/cgraph.scm 156 */
					bool_t BgL_auxz00_4702;

					BgL_nodez00_1726 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3200);
					BgL_ownerz00_1727 = BgL_ownerz00_3201;
					{	/* Effect/cgraph.scm 157 */
						BgL_nodez00_bglt BgL_arg2099z00_1731;

						BgL_arg2099z00_1731 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1726))->BgL_bodyz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2099z00_1731,
							((BgL_variablez00_bglt) BgL_ownerz00_1727));
					}
					{	/* Effect/cgraph.scm 158 */
						obj_t BgL_g1940z00_1732;

						BgL_g1940z00_1732 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1726))->
							BgL_bindingsz00);
						{
							obj_t BgL_l1938z00_1734;

							BgL_l1938z00_1734 = BgL_g1940z00_1732;
						BgL_zc3anonymousza32100ze3z83_1735:
							if (PAIRP(BgL_l1938z00_1734))
								{	/* Effect/cgraph.scm 158 */
									{	/* Effect/cgraph.scm 159 */
										obj_t BgL_bindingz00_1737;

										BgL_bindingz00_1737 = CAR(BgL_l1938z00_1734);
										{	/* Effect/cgraph.scm 159 */
											obj_t BgL_arg2102z00_1738;

											BgL_arg2102z00_1738 = CDR(BgL_bindingz00_1737);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2102z00_1738),
												((BgL_variablez00_bglt) BgL_ownerz00_1727));
										}
									}
									{
										obj_t BgL_l1938z00_4714;

										BgL_l1938z00_4714 = CDR(BgL_l1938z00_1734);
										BgL_l1938z00_1734 = BgL_l1938z00_4714;
										goto BgL_zc3anonymousza32100ze3z83_1735;
									}
								}
							else
								{	/* Effect/cgraph.scm 158 */
									BgL_auxz00_4702 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4702);
				}
			}
		}
	}



/* &call-graph!-let-fun1973 */
	obj_t BGl_z62callzd2graphz12zd2letzd2fun1973za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3202, obj_t BgL_nodez00_3203, obj_t BgL_ownerz00_3204)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 145 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1711;
				obj_t BgL_ownerz00_1712;

				BgL_nodez00_1711 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3203);
				BgL_ownerz00_1712 = BgL_ownerz00_3204;
				{	/* Effect/cgraph.scm 147 */
					obj_t BgL_g1937z00_1716;

					BgL_g1937z00_1716 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1711))->BgL_localsz00);
					{
						obj_t BgL_l1935z00_1718;

						BgL_l1935z00_1718 = BgL_g1937z00_1716;
					BgL_zc3anonymousza32095ze3z83_1719:
						if (PAIRP(BgL_l1935z00_1718))
							{	/* Effect/cgraph.scm 147 */
								{	/* Effect/cgraph.scm 148 */
									obj_t BgL_localz00_1721;

									BgL_localz00_1721 = CAR(BgL_l1935z00_1718);
									BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
										((BgL_variablez00_bglt) BgL_localz00_1721));
								}
								{
									obj_t BgL_l1935z00_4724;

									BgL_l1935z00_4724 = CDR(BgL_l1935z00_1718);
									BgL_l1935z00_1718 = BgL_l1935z00_4724;
									goto BgL_zc3anonymousza32095ze3z83_1719;
								}
							}
						else
							{	/* Effect/cgraph.scm 147 */
								((bool_t) 1);
							}
					}
				}
				{	/* Effect/cgraph.scm 150 */
					BgL_nodez00_bglt BgL_arg2098z00_1724;

					BgL_arg2098z00_1724 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1711))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2098z00_1724,
						((BgL_variablez00_bglt) BgL_ownerz00_1712));
				}
			}
		}
	}



/* &call-graph!-select1971 */
	obj_t BGl_z62callzd2graphz12zd2select1971z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3205, obj_t BgL_nodez00_3206, obj_t BgL_ownerz00_3207)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 135 */
			{
				BgL_selectz00_bglt BgL_nodez00_1695;
				obj_t BgL_ownerz00_1696;

				{	/* Effect/cgraph.scm 136 */
					bool_t BgL_auxz00_4730;

					BgL_nodez00_1695 = ((BgL_selectz00_bglt) BgL_nodez00_3206);
					BgL_ownerz00_1696 = BgL_ownerz00_3207;
					{	/* Effect/cgraph.scm 137 */
						BgL_nodez00_bglt BgL_arg2090z00_1700;

						BgL_arg2090z00_1700 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1695))->BgL_testz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2090z00_1700,
							((BgL_variablez00_bglt) BgL_ownerz00_1696));
					}
					{	/* Effect/cgraph.scm 138 */
						obj_t BgL_g1934z00_1701;

						BgL_g1934z00_1701 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1695))->BgL_clausesz00);
						{
							obj_t BgL_l1932z00_1703;

							BgL_l1932z00_1703 = BgL_g1934z00_1701;
						BgL_zc3anonymousza32091ze3z83_1704:
							if (PAIRP(BgL_l1932z00_1703))
								{	/* Effect/cgraph.scm 138 */
									{	/* Effect/cgraph.scm 139 */
										obj_t BgL_clausez00_1706;

										BgL_clausez00_1706 = CAR(BgL_l1932z00_1703);
										{	/* Effect/cgraph.scm 139 */
											obj_t BgL_arg2093z00_1707;

											BgL_arg2093z00_1707 = CDR(BgL_clausez00_1706);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2093z00_1707),
												((BgL_variablez00_bglt) BgL_ownerz00_1696));
										}
									}
									{
										obj_t BgL_l1932z00_4742;

										BgL_l1932z00_4742 = CDR(BgL_l1932z00_1703);
										BgL_l1932z00_1703 = BgL_l1932z00_4742;
										goto BgL_zc3anonymousza32091ze3z83_1704;
									}
								}
							else
								{	/* Effect/cgraph.scm 138 */
									BgL_auxz00_4730 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4730);
				}
			}
		}
	}



/* &call-graph!-fail1969 */
	obj_t BGl_z62callzd2graphz12zd2fail1969z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3208, obj_t BgL_nodez00_3209, obj_t BgL_ownerz00_3210)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 125 */
			{
				BgL_failz00_bglt BgL_nodez00_1686;
				obj_t BgL_ownerz00_1687;

				BgL_nodez00_1686 = ((BgL_failz00_bglt) BgL_nodez00_3209);
				BgL_ownerz00_1687 = BgL_ownerz00_3210;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1687));
				{	/* Effect/cgraph.scm 128 */
					BgL_nodez00_bglt BgL_arg2086z00_1691;

					BgL_arg2086z00_1691 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1686))->BgL_procz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2086z00_1691,
						((BgL_variablez00_bglt) BgL_ownerz00_1687));
				}
				{	/* Effect/cgraph.scm 129 */
					BgL_nodez00_bglt BgL_arg2087z00_1692;

					BgL_arg2087z00_1692 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1686))->BgL_msgz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2087z00_1692,
						((BgL_variablez00_bglt) BgL_ownerz00_1687));
				}
				{	/* Effect/cgraph.scm 130 */
					BgL_nodez00_bglt BgL_arg2089z00_1693;

					BgL_arg2089z00_1693 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1686))->BgL_objz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2089z00_1693,
						((BgL_variablez00_bglt) BgL_ownerz00_1687));
				}
			}
		}
	}



/* &call-graph!-conditio1967 */
	obj_t BGl_z62callzd2graphz12zd2conditio1967z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3211, obj_t BgL_nodez00_3212, obj_t BgL_ownerz00_3213)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 116 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1677;
				obj_t BgL_ownerz00_1678;

				BgL_nodez00_1677 = ((BgL_conditionalz00_bglt) BgL_nodez00_3212);
				BgL_ownerz00_1678 = BgL_ownerz00_3213;
				{	/* Effect/cgraph.scm 118 */
					BgL_nodez00_bglt BgL_arg2083z00_1682;

					BgL_arg2083z00_1682 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1677))->BgL_testz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2083z00_1682,
						((BgL_variablez00_bglt) BgL_ownerz00_1678));
				}
				{	/* Effect/cgraph.scm 119 */
					BgL_nodez00_bglt BgL_arg2084z00_1683;

					BgL_arg2084z00_1683 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1677))->BgL_truez00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2084z00_1683,
						((BgL_variablez00_bglt) BgL_ownerz00_1678));
				}
				{	/* Effect/cgraph.scm 120 */
					BgL_nodez00_bglt BgL_arg2085z00_1684;

					BgL_arg2085z00_1684 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1677))->BgL_falsez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2085z00_1684,
						((BgL_variablez00_bglt) BgL_ownerz00_1678));
				}
			}
		}
	}



/* &call-graph!-setq1965 */
	obj_t BGl_z62callzd2graphz12zd2setq1965z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3214, obj_t BgL_nodez00_3215, obj_t BgL_ownerz00_3216)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 106 */
			{
				BgL_setqz00_bglt BgL_nodez00_1665;
				obj_t BgL_ownerz00_1666;

				BgL_nodez00_1665 = ((BgL_setqz00_bglt) BgL_nodez00_3215);
				BgL_ownerz00_1666 = BgL_ownerz00_3216;
				{	/* Effect/cgraph.scm 108 */
					bool_t BgL_testz00_4768;

					if (BGl_isazf3zf3zz__objectz00(BgL_ownerz00_1666,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 108 */
							BgL_testz00_4768 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 108 */
							BgL_variablez00_bglt BgL_arg2078z00_1672;

							BgL_arg2078z00_1672 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1665))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 108 */
								bool_t BgL_res2225z00_2811;

								BgL_res2225z00_2811 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg2078z00_1672), BGl_globalz00zzast_varz00);
								BgL_testz00_4768 = BgL_res2225z00_2811;
							}
						}
					if (BgL_testz00_4768)
						{	/* Effect/cgraph.scm 108 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1666));
						}
					else
						{	/* Effect/cgraph.scm 108 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 110 */
					BgL_varz00_bglt BgL_arg2080z00_1674;

					BgL_arg2080z00_1674 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1665))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2080z00_1674),
						((BgL_variablez00_bglt) BgL_ownerz00_1666));
				}
				{	/* Effect/cgraph.scm 111 */
					BgL_nodez00_bglt BgL_arg2081z00_1675;

					BgL_arg2081z00_1675 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1665))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2081z00_1675,
						((BgL_variablez00_bglt) BgL_ownerz00_1666));
				}
			}
		}
	}



/* &call-graph!-cast1963 */
	obj_t BGl_z62callzd2graphz12zd2cast1963z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3217, obj_t BgL_nodez00_3218, obj_t BgL_ownerz00_3219)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 95 */
			{
				BgL_castz00_bglt BgL_nodez00_1658;
				obj_t BgL_ownerz00_1659;

				BgL_nodez00_1658 = ((BgL_castz00_bglt) BgL_nodez00_3218);
				BgL_ownerz00_1659 = BgL_ownerz00_3219;
				{	/* Effect/cgraph.scm 97 */
					BgL_nodez00_bglt BgL_arg2075z00_2804;

					BgL_arg2075z00_2804 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1658))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2075z00_2804,
						((BgL_variablez00_bglt) BgL_ownerz00_1659));
				}
			}
		}
	}



/* &call-graph!-extern1961 */
	obj_t BGl_z62callzd2graphz12zd2extern1961z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3220, obj_t BgL_nodez00_3221, obj_t BgL_ownerz00_3222)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 86 */
			{
				BgL_externz00_bglt BgL_nodez00_1650;
				obj_t BgL_ownerz00_1651;

				{	/* Effect/cgraph.scm 87 */
					bool_t BgL_auxz00_4789;

					BgL_nodez00_1650 = ((BgL_externz00_bglt) BgL_nodez00_3221);
					BgL_ownerz00_1651 = BgL_ownerz00_3222;
					if (CBOOL(
							(((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1650)))->
								BgL_sidezd2effectzd2)))
						{	/* Effect/cgraph.scm 88 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1651));
						}
					else
						{	/* Effect/cgraph.scm 88 */
							BFALSE;
						}
					BgL_auxz00_4789 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1650))->BgL_exprza2za2),
						BgL_ownerz00_1651);
					return BBOOL(BgL_auxz00_4789);
				}
			}
		}
	}



/* &call-graph!-funcall1959 */
	obj_t BGl_z62callzd2graphz12zd2funcall1959z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3223, obj_t BgL_nodez00_3224, obj_t BgL_ownerz00_3225)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 77 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1642;
				obj_t BgL_ownerz00_1643;

				{	/* Effect/cgraph.scm 78 */
					bool_t BgL_auxz00_4800;

					BgL_nodez00_1642 = ((BgL_funcallz00_bglt) BgL_nodez00_3224);
					BgL_ownerz00_1643 = BgL_ownerz00_3225;
					BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_ownerz00_1643));
					{	/* Effect/cgraph.scm 80 */
						BgL_nodez00_bglt BgL_arg2071z00_1647;

						BgL_arg2071z00_1647 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1642))->BgL_funz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2071z00_1647,
							((BgL_variablez00_bglt) BgL_ownerz00_1643));
					}
					BgL_auxz00_4800 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1642))->BgL_argsz00),
						BgL_ownerz00_1643);
					return BBOOL(BgL_auxz00_4800);
				}
			}
		}
	}



/* &call-graph!-app-ly1957 */
	obj_t BGl_z62callzd2graphz12zd2appzd2ly1957za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3226, obj_t BgL_nodez00_3227, obj_t BgL_ownerz00_3228)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 68 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1634;
				obj_t BgL_ownerz00_1635;

				BgL_nodez00_1634 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3227);
				BgL_ownerz00_1635 = BgL_ownerz00_3228;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1635));
				{	/* Effect/cgraph.scm 71 */
					BgL_nodez00_bglt BgL_arg2069z00_1639;

					BgL_arg2069z00_1639 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1634))->BgL_funz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2069z00_1639,
						((BgL_variablez00_bglt) BgL_ownerz00_1635));
				}
				{	/* Effect/cgraph.scm 72 */
					BgL_nodez00_bglt BgL_arg2070z00_1640;

					BgL_arg2070z00_1640 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1634))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2070z00_1640,
						((BgL_variablez00_bglt) BgL_ownerz00_1635));
				}
			}
		}
	}



/* &call-graph!-app1955 */
	obj_t BGl_z62callzd2graphz12zd2app1955z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3229, obj_t BgL_nodez00_3230, obj_t BgL_ownerz00_3231)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 58 */
			{
				BgL_appz00_bglt BgL_nodez00_1625;
				obj_t BgL_ownerz00_1626;

				{	/* Effect/cgraph.scm 59 */
					bool_t BgL_auxz00_4819;

					BgL_nodez00_1625 = ((BgL_appz00_bglt) BgL_nodez00_3230);
					BgL_ownerz00_1626 = BgL_ownerz00_3231;
					{	/* Effect/cgraph.scm 62 */
						BgL_variablez00_bglt BgL_arg2066z00_1630;

						BgL_arg2066z00_1630 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1625))->BgL_funz00)))->
							BgL_variablez00);
						BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_arg2066z00_1630,
							((BgL_variablez00_bglt) BgL_ownerz00_1626));
					}
					BgL_auxz00_4819 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1625))->BgL_argsz00),
						BgL_ownerz00_1626);
					return BBOOL(BgL_auxz00_4819);
				}
			}
		}
	}



/* &call-graph!-sync1953 */
	obj_t BGl_z62callzd2graphz12zd2sync1953z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3232, obj_t BgL_nodez00_3233, obj_t BgL_ownerz00_3234)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 50 */
			{
				BgL_syncz00_bglt BgL_nodez00_1617;
				obj_t BgL_ownerz00_1618;

				BgL_nodez00_1617 = ((BgL_syncz00_bglt) BgL_nodez00_3233);
				BgL_ownerz00_1618 = BgL_ownerz00_3234;
				{	/* Effect/cgraph.scm 51 */
					BgL_nodez00_bglt BgL_arg2063z00_1621;

					BgL_arg2063z00_1621 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1617))->BgL_mutexz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2063z00_1621,
						((BgL_variablez00_bglt) BgL_ownerz00_1618));
				}
				{	/* Effect/cgraph.scm 52 */
					BgL_nodez00_bglt BgL_arg2064z00_1622;

					BgL_arg2064z00_1622 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1617))->BgL_prelockz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2064z00_1622,
						((BgL_variablez00_bglt) BgL_ownerz00_1618));
				}
				{	/* Effect/cgraph.scm 53 */
					BgL_nodez00_bglt BgL_arg2065z00_1623;

					BgL_arg2065z00_1623 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1617))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2065z00_1623,
						((BgL_variablez00_bglt) BgL_ownerz00_1618));
				}
			}
		}
	}



/* &call-graph!-sequence1951 */
	obj_t BGl_z62callzd2graphz12zd2sequence1951z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3235, obj_t BgL_nodez00_3236, obj_t BgL_ownerz00_3237)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 44 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1611;
				obj_t BgL_ownerz00_1612;

				{	/* Effect/cgraph.scm 45 */
					bool_t BgL_auxz00_4838;

					BgL_nodez00_1611 = ((BgL_sequencez00_bglt) BgL_nodez00_3236);
					BgL_ownerz00_1612 = BgL_ownerz00_3237;
					BgL_auxz00_4838 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1611))->BgL_nodesz00),
						BgL_ownerz00_1612);
					return BBOOL(BgL_auxz00_4838);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2279z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2279z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2279z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2279z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2279z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2279z00zzeffect_cgraphz00));
		}
	}

#ifdef __cplusplus
}
#endif
