/*===========================================================================*/
/*   (Inline/inline.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long,
		obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1965z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_sfunz00_bglt BGl_z62lambda1969z62zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda1972z62zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	static obj_t BGl_z62lambda1980z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1981z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62lambda1987z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1988z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_objectzd2initzd2zzinline_inlinez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2var1900z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_inlinez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t);
	static obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sync1906z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2fail1922z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21933z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1904z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2funcall1912z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31982ze3ze1zzinline_inlinez00(obj_t);
	static obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1937zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_inlinez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long,
		obj_t);
	static obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzinline_inlinez00();
	static obj_t BGl_z62inlinezd2node1895zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2select1925z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzinline_inlinez00();
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1910zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2extern1914z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2atom1898z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	static obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_za2kfactorza2z00zzinline_walkz00;
	static obj_t
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2app1908z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2cast1916z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_isfunz00zzinline_inlinez00 = BUNSPEC;
	static obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121939za2zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1931z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1920z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1935zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setq1918z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1927zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_inlinez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
	static obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt,
		long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt
		BGl_z62zc3anonymousza31971ze3ze1zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2kwote1902z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1929zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2keyszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2keysza72212za7,
		BGl_z62isfunzd2keyszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2213z00,
		BGl_z62inlinezd2nodezd2letzd2fun1927zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2214z00,
		BGl_z62inlinezd2nodezd2letzd2var1929zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2215z00,
		BGl_z62inlinezd2nodezd2setzd2exzd2i1931z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2216z00,
		BGl_z62inlinezd2nodezd2jumpzd2exzd21933z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2217z00,
		BGl_z62inlinezd2nodezd2makezd2box1935zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2218z00,
		BGl_z62inlinezd2nodezd2boxzd2ref1937zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2219z00,
		BGl_z62inlinezd2nodezd2boxzd2setz121939za2zzinline_inlinez00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72220za7,
		BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2nilza7b2221za7,
		BGl_z62isfunzd2nilzb0zzinline_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2classzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2222z00,
		BGl_z62isfunzd2classzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2classzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2223z00,
		BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2propertyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2224z00,
		BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2bodyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72225za7,
		BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2183z00zzinline_inlinez00,
		BgL_bgl_string2183za700za7za7i2226za7, "inline-node1895", 15);
	      DEFINE_STRING(BGl_string2184z00zzinline_inlinez00,
		BgL_bgl_string2184za700za7za7i2227za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2186z00zzinline_inlinez00,
		BgL_bgl_string2186za700za7za7i2228za7, "inline-node", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2strengthzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2229z00,
		BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2topzf3zd2setz12zd2envz33zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2230za7,
		BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2bodyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72231za7,
		BGl_z62isfunzd2bodyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72232za7,
		BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2argszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72233za7,
		BGl_z62isfunzd2argszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2234z00,
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2originalzd2bodyzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2origi2235z00,
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2nodeza2z12zd2envzb0zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2236z00,
		BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2namezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72237za7,
		BGl_z62isfunzd2argszd2namez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2238z00,
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2239z00,
		BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2effectzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2240z00,
		BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2241z00,
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2propertyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2242z00,
		BGl_z62isfunzd2propertyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2topzf3zd2envzf3zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2243za7,
		BGl_z62isfunzd2topzf3z43zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl_za762makeza7d2isfunza72244za7,
		BGl_z62makezd2isfunzb0zzinline_inlinez00, 0L, BUNSPEC, 20);
	      DEFINE_STRING(BGl_string2207z00zzinline_inlinez00,
		BgL_bgl_string2207za700za7za7i2245za7, "inline_inline", 13);
	      DEFINE_STRING(BGl_string2208z00zzinline_inlinez00,
		BgL_bgl_string2208za700za7za7i2246za7,
		"read static inline-node1895 _ inline_inline isfun original-body obj recursive-calls done ",
		89);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2247za7,
		BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2effectzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2248z00,
		BGl_z62isfunzd2effectzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2sfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2sfun2249z00,
		BGl_z62inlinezd2sfunz12za2zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzinline_inlinez00,
		BgL_bgl_za762za7c3anonymousza72250za7,
		BGl_z62zc3anonymousza31982ze3ze1zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzinline_inlinez00,
		BgL_bgl_za762lambda1981za7622251z00, BGl_z62lambda1981z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzinline_inlinez00,
		BgL_bgl_za762lambda1980za7622252z00, BGl_z62lambda1980z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzinline_inlinez00,
		BgL_bgl_za762lambda1988za7622253z00, BGl_z62lambda1988z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzinline_inlinez00,
		BgL_bgl_za762lambda1987za7622254z00, BGl_z62lambda1987z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzinline_inlinez00,
		BgL_bgl_za762lambda1972za7622255z00, BGl_z62lambda1972z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzinline_inlinez00,
		BgL_bgl_za762za7c3anonymousza72256za7,
		BGl_z62zc3anonymousza31971ze3ze1zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzinline_inlinez00,
		BgL_bgl_za762lambda1969za7622257z00, BGl_z62lambda1969z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzinline_inlinez00,
		BgL_bgl_za762lambda1965za7622258z00, BGl_z62lambda1965z62zzinline_inlinez00,
		0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2259z00,
		BGl_z62inlinezd2node1895zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2260z00,
		BGl_z62inlinezd2nodezd2atom1898z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2261z00,
		BGl_z62inlinezd2nodezd2var1900z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2262z00,
		BGl_z62inlinezd2nodezd2kwote1902z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2263z00,
		BGl_z62inlinezd2nodezd2sequence1904z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2264z00,
		BGl_z62inlinezd2nodezd2sync1906z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2265z00,
		BGl_z62inlinezd2nodezd2app1908z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2266z00,
		BGl_z62inlinezd2nodezd2appzd2ly1910zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2267z00,
		BGl_z62inlinezd2nodezd2funcall1912z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2268z00,
		BGl_z62inlinezd2nodezd2extern1914z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2269z00,
		BGl_z62inlinezd2nodezd2cast1916z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2270z00,
		BGl_z62inlinezd2nodezd2setq1918z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2271z00,
		BGl_z62inlinezd2nodezd2conditio1920z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2272z00,
		BGl_z62inlinezd2nodezd2fail1922z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2273z00,
		BGl_z62inlinezd2nodezd2select1925z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2274z00,
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2strengthzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2275z00,
		BGl_z62isfunzd2strengthzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2276za7,
		BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2arityzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2arity2277z00,
		BGl_z62isfunzd2arityzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl_za762isfunza7f3za791za7za72278za7,
		BGl_z62isfunzf3z91zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2279z00,
		BGl_z62inlinezd2nodezb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2280za7,
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2281z00,
		BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2282za7,
		BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2loczd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7b2283za7,
		BGl_z62isfunzd2loczb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2optionalszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2optio2284z00,
		BGl_z62isfunzd2optionalszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2285z00,
		BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2loczd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7d2286za7,
		BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72287za7,
		BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2288z00,
		BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long
		BgL_checksumz00_3178, char *BgL_fromz00_3179)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
					BGl_cnstzd2initzd2zzinline_inlinez00();
					BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
					BGl_objectzd2initzd2zzinline_inlinez00();
					BGl_genericzd2initzd2zzinline_inlinez00();
					BGl_methodzd2initzd2zzinline_inlinez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_inline");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 15 */
				obj_t BgL_cportz00_3074;

				BgL_cportz00_3074 =
					bgl_open_input_string(BGl_string2208z00zzinline_inlinez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3075;

					BgL_iz00_3075 = ((long) 9);
				BgL_loopz00_3076:
					if ((BgL_iz00_3075 == ((long) -1)))
						{	/* Inline/inline.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/inline.scm 15 */
							{	/* Inline/inline.scm 15 */
								obj_t BgL_arg2210z00_3078;

								{	/* Inline/inline.scm 15 */

									{	/* Inline/inline.scm 15 */
										obj_t BgL_locationz00_3080;

										BgL_locationz00_3080 = BBOOL(((bool_t) 0));
										{	/* Inline/inline.scm 15 */

											BgL_arg2210z00_3078 =
												BGl_readz00zz__readerz00(BgL_cportz00_3074,
												BgL_locationz00_3080);
										}
									}
								}
								{	/* Inline/inline.scm 15 */
									int BgL_auxz00_3201;

									BgL_auxz00_3201 = (int) (BgL_iz00_3075);
									CNST_TABLE_SET(BgL_auxz00_3201, BgL_arg2210z00_3078);
							}}
							{	/* Inline/inline.scm 15 */
								int BgL_auxz00_3081;

								BgL_auxz00_3081 = (int) ((BgL_iz00_3075 - ((long) 1)));
								{
									long BgL_iz00_3206;

									BgL_iz00_3206 = (long) (BgL_auxz00_3081);
									BgL_iz00_3075 = BgL_iz00_3206;
									goto BgL_loopz00_3076;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return BUNSPEC;
		}
	}



/* make-isfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long
		BgL_arity1172z00_3, obj_t BgL_sidezd2effect1173zd2_4,
		obj_t BgL_predicatezd2of1174zd2_5, obj_t BgL_stackzd2allocator1175zd2_6,
		bool_t BgL_topzf31176zf3_7, obj_t BgL_thezd2closure1177zd2_8,
		obj_t BgL_effect1178z00_9, obj_t BgL_property1179z00_10,
		obj_t BgL_args1180z00_11, obj_t BgL_argszd2name1181zd2_12,
		obj_t BgL_body1182z00_13, obj_t BgL_class1183z00_14,
		obj_t BgL_dssslzd2keywords1184zd2_15, obj_t BgL_loc1185z00_16,
		obj_t BgL_optionals1186z00_17, obj_t BgL_keys1187z00_18,
		obj_t BgL_thezd2closurezd2global1188z00_19, obj_t BgL_strength1189z00_20,
		BgL_nodez00_bglt BgL_originalzd2body1190zd2_21,
		obj_t BgL_recursivezd2calls1191zd2_22)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 56 */
			{	/* Inline/inline.sch 56 */
				BgL_sfunz00_bglt BgL_new1129z00_3082;

				{	/* Inline/inline.sch 56 */
					BgL_sfunz00_bglt BgL_tmp1127z00_3083;
					BgL_isfunz00_bglt BgL_wide1128z00_3084;

					{
						BgL_sfunz00_bglt BgL_auxz00_3208;

						{	/* Inline/inline.sch 56 */
							BgL_sfunz00_bglt BgL_new1126z00_3085;

							BgL_new1126z00_3085 =
								((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Inline/inline.sch 56 */
								long BgL_arg1944z00_3086;

								{	/* Inline/inline.sch 56 */
									long BgL_res2129z00_3087;

									BgL_res2129z00_3087 =
										BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
									BgL_arg1944z00_3086 = BgL_res2129z00_3087;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1126z00_3085),
									BgL_arg1944z00_3086);
							}
							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3213;

								BgL_auxz00_3213 = ((BgL_objectz00_bglt) BgL_new1126z00_3085);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3213, BFALSE);
							}
							BgL_auxz00_3208 = BgL_new1126z00_3085;
						}
						BgL_tmp1127z00_3083 = ((BgL_sfunz00_bglt) BgL_auxz00_3208);
					}
					BgL_wide1128z00_3084 =
						((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.sch 56 */
						obj_t BgL_auxz00_3220;
						BgL_objectz00_bglt BgL_auxz00_3218;

						BgL_auxz00_3220 = ((obj_t) BgL_wide1128z00_3084);
						BgL_auxz00_3218 = ((BgL_objectz00_bglt) BgL_tmp1127z00_3083);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3218, BgL_auxz00_3220);
					}
					{	/* Inline/inline.sch 56 */
						long BgL_arg1943z00_3088;

						{	/* Inline/inline.sch 56 */
							long BgL_res2130z00_3089;

							BgL_res2130z00_3089 =
								BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
							BgL_arg1943z00_3088 = BgL_res2130z00_3089;
						}
						((BgL_sfunz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1127z00_3083),
								BgL_arg1943z00_3088));
					}
					BgL_new1129z00_3082 = ((BgL_sfunz00_bglt) BgL_tmp1127z00_3083);
				}
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1129z00_3082)))->BgL_arityz00) =
					((long) BgL_arity1172z00_3), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3082)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1173zd2_4), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3082)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1174zd2_5), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3082)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1175zd2_6), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3082)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31176zf3_7), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3082)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1177zd2_8), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3082)))->
						BgL_effectz00) = ((obj_t) BgL_effect1178z00_9), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3082)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_propertyz00) = ((obj_t) BgL_property1179z00_10), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_argsz00) = ((obj_t) BgL_args1180z00_11), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_argszd2namezd2) = ((obj_t) BgL_argszd2name1181zd2_12), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_bodyz00) = ((obj_t) BgL_body1182z00_13), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_classz00) = ((obj_t) BgL_class1183z00_14), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1184zd2_15), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_locz00) = ((obj_t) BgL_loc1185z00_16), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_optionalsz00) = ((obj_t) BgL_optionals1186z00_17), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_keysz00) = ((obj_t) BgL_keys1187z00_18), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1188z00_19), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1129z00_3082)))->
						BgL_strengthz00) = ((obj_t) BgL_strength1189z00_20), BUNSPEC);
				{
					BgL_isfunz00_bglt BgL_auxz00_3266;

					{
						obj_t BgL_auxz00_3267;

						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_auxz00_3268;

							BgL_auxz00_3268 = ((BgL_objectz00_bglt) BgL_new1129z00_3082);
							BgL_auxz00_3267 = BGL_OBJECT_WIDENING(BgL_auxz00_3268);
						}
						BgL_auxz00_3266 = ((BgL_isfunz00_bglt) BgL_auxz00_3267);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3266))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_21), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3273;

					{
						obj_t BgL_auxz00_3274;

						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_auxz00_3275;

							BgL_auxz00_3275 = ((BgL_objectz00_bglt) BgL_new1129z00_3082);
							BgL_auxz00_3274 = BGL_OBJECT_WIDENING(BgL_auxz00_3275);
						}
						BgL_auxz00_3273 = ((BgL_isfunz00_bglt) BgL_auxz00_3274);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3273))->
							BgL_recursivezd2callszd2) =
						((obj_t) BgL_recursivezd2calls1191zd2_22), BUNSPEC);
				}
				return BgL_new1129z00_3082;
			}
		}
	}



/* &make-isfun */
	BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t
		BgL_envz00_2795, obj_t BgL_arity1172z00_2796,
		obj_t BgL_sidezd2effect1173zd2_2797, obj_t BgL_predicatezd2of1174zd2_2798,
		obj_t BgL_stackzd2allocator1175zd2_2799, obj_t BgL_topzf31176zf3_2800,
		obj_t BgL_thezd2closure1177zd2_2801, obj_t BgL_effect1178z00_2802,
		obj_t BgL_property1179z00_2803, obj_t BgL_args1180z00_2804,
		obj_t BgL_argszd2name1181zd2_2805, obj_t BgL_body1182z00_2806,
		obj_t BgL_class1183z00_2807, obj_t BgL_dssslzd2keywords1184zd2_2808,
		obj_t BgL_loc1185z00_2809, obj_t BgL_optionals1186z00_2810,
		obj_t BgL_keys1187z00_2811, obj_t BgL_thezd2closurezd2global1188z00_2812,
		obj_t BgL_strength1189z00_2813, obj_t BgL_originalzd2body1190zd2_2814,
		obj_t BgL_recursivezd2calls1191zd2_2815)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 56 */
			{	/* Inline/inline.sch 56 */
				long BgL_arity1172z00_3090;
				bool_t BgL_topzf31176zf3_3094;

				BgL_arity1172z00_3090 = (long) CINT(BgL_arity1172z00_2796);
				BgL_topzf31176zf3_3094 = CBOOL(BgL_topzf31176zf3_2800);
				{	/* Inline/inline.sch 56 */
					BgL_sfunz00_bglt BgL_new1129z00_3110;

					{	/* Inline/inline.sch 56 */
						BgL_sfunz00_bglt BgL_tmp1127z00_3111;
						BgL_isfunz00_bglt BgL_wide1128z00_3112;

						{
							BgL_sfunz00_bglt BgL_auxz00_3282;

							{	/* Inline/inline.sch 56 */
								BgL_sfunz00_bglt BgL_new1126z00_3113;

								BgL_new1126z00_3113 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.sch 56 */
									long BgL_arg1944z00_3114;

									{	/* Inline/inline.sch 56 */
										long BgL_res2129z00_3115;

										BgL_res2129z00_3115 =
											BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
										BgL_arg1944z00_3114 = BgL_res2129z00_3115;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1126z00_3113),
										BgL_arg1944z00_3114);
								}
								{	/* Inline/inline.sch 56 */
									BgL_objectz00_bglt BgL_auxz00_3287;

									BgL_auxz00_3287 = ((BgL_objectz00_bglt) BgL_new1126z00_3113);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3287, BFALSE);
								}
								BgL_auxz00_3282 = BgL_new1126z00_3113;
							}
							BgL_tmp1127z00_3111 = ((BgL_sfunz00_bglt) BgL_auxz00_3282);
						}
						BgL_wide1128z00_3112 =
							((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.sch 56 */
							obj_t BgL_auxz00_3294;
							BgL_objectz00_bglt BgL_auxz00_3292;

							BgL_auxz00_3294 = ((obj_t) BgL_wide1128z00_3112);
							BgL_auxz00_3292 = ((BgL_objectz00_bglt) BgL_tmp1127z00_3111);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3292, BgL_auxz00_3294);
						}
						{	/* Inline/inline.sch 56 */
							long BgL_arg1943z00_3116;

							{	/* Inline/inline.sch 56 */
								long BgL_res2130z00_3117;

								BgL_res2130z00_3117 =
									BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
								BgL_arg1943z00_3116 = BgL_res2130z00_3117;
							}
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1127z00_3111),
									BgL_arg1943z00_3116));
						}
						BgL_new1129z00_3110 = ((BgL_sfunz00_bglt) BgL_tmp1127z00_3111);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1129z00_3110)))->BgL_arityz00) =
						((long) BgL_arity1172z00_3090), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3110)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1173zd2_2797), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3110)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1174zd2_2798), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3110)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1175zd2_2799), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3110)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31176zf3_3094), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3110)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1177zd2_2801), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3110)))->
							BgL_effectz00) = ((obj_t) BgL_effect1178z00_2802), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1129z00_3110)))->
							BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_propertyz00) =
						((obj_t) BgL_property1179z00_2803), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_argsz00) =
						((obj_t) BgL_args1180z00_2804), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1181zd2_2805), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_bodyz00) =
						((obj_t) BgL_body1182z00_2806), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_classz00) =
						((obj_t) BgL_class1183z00_2807), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1184zd2_2808), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_locz00) =
						((obj_t) BgL_loc1185z00_2809), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1186z00_2810), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_keysz00) =
						((obj_t) BgL_keys1187z00_2811), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1188z00_2812), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1129z00_3110)))->BgL_strengthz00) =
						((obj_t) BgL_strength1189z00_2813), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_3340;

						{
							obj_t BgL_auxz00_3341;

							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3342;

								BgL_auxz00_3342 = ((BgL_objectz00_bglt) BgL_new1129z00_3110);
								BgL_auxz00_3341 = BGL_OBJECT_WIDENING(BgL_auxz00_3342);
							}
							BgL_auxz00_3340 = ((BgL_isfunz00_bglt) BgL_auxz00_3341);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3340))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
									BgL_originalzd2body1190zd2_2814)), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3348;

						{
							obj_t BgL_auxz00_3349;

							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3350;

								BgL_auxz00_3350 = ((BgL_objectz00_bglt) BgL_new1129z00_3110);
								BgL_auxz00_3349 = BGL_OBJECT_WIDENING(BgL_auxz00_3350);
							}
							BgL_auxz00_3348 = ((BgL_isfunz00_bglt) BgL_auxz00_3349);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3348))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1191zd2_2815), BUNSPEC);
					}
					return BgL_new1129z00_3110;
				}
			}
		}
	}



/* isfun? */
	BGL_EXPORTED_DEF bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t BgL_objz00_23)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 57 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_23,
				BGl_isfunz00zzinline_inlinez00);
		}
	}



/* &isfun? */
	obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t BgL_envz00_2816,
		obj_t BgL_objz00_2817)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 57 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2817,
					BGl_isfunz00zzinline_inlinez00));
		}
	}



/* isfun-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 58 */
			{	/* Inline/inline.sch 58 */
				obj_t BgL_classz00_2474;

				BgL_classz00_2474 = BGl_isfunz00zzinline_inlinez00;
				{	/* Inline/inline.sch 58 */
					obj_t BgL__ortest_1092z00_2475;

					BgL__ortest_1092z00_2475 = BGL_CLASS_NIL(BgL_classz00_2474);
					if (CBOOL(BgL__ortest_1092z00_2475))
						{	/* Inline/inline.sch 58 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1092z00_2475);
						}
					else
						{	/* Inline/inline.sch 58 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2474));
						}
				}
			}
		}
	}



/* &isfun-nil */
	BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t
		BgL_envz00_2818)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 58 */
			return BGl_isfunzd2nilzd2zzinline_inlinez00();
		}
	}



/* isfun-recursive-calls */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_24)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 59 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3365;

				{
					obj_t BgL_auxz00_3366;

					{	/* Inline/inline.sch 59 */
						BgL_objectz00_bglt BgL_auxz00_3367;

						BgL_auxz00_3367 = ((BgL_objectz00_bglt) BgL_oz00_24);
						BgL_auxz00_3366 = BGL_OBJECT_WIDENING(BgL_auxz00_3367);
					}
					BgL_auxz00_3365 = ((BgL_isfunz00_bglt) BgL_auxz00_3366);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3365))->
					BgL_recursivezd2callszd2);
			}
		}
	}



/* &isfun-recursive-calls */
	obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t
		BgL_envz00_2819, obj_t BgL_oz00_2820)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 59 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3372;

				{
					obj_t BgL_auxz00_3373;

					{	/* Inline/inline.sch 59 */
						BgL_objectz00_bglt BgL_auxz00_3374;

						BgL_auxz00_3374 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2820));
						BgL_auxz00_3373 = BGL_OBJECT_WIDENING(BgL_auxz00_3374);
					}
					BgL_auxz00_3372 = ((BgL_isfunz00_bglt) BgL_auxz00_3373);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3372))->
					BgL_recursivezd2callszd2);
			}
		}
	}



/* isfun-recursive-calls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_25, obj_t BgL_vz00_26)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 60 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3380;

				{
					obj_t BgL_auxz00_3381;

					{	/* Inline/inline.sch 60 */
						BgL_objectz00_bglt BgL_auxz00_3382;

						BgL_auxz00_3382 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_3381 = BGL_OBJECT_WIDENING(BgL_auxz00_3382);
					}
					BgL_auxz00_3380 = ((BgL_isfunz00_bglt) BgL_auxz00_3381);
				}
				return
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3380))->
						BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_26), BUNSPEC);
			}
		}
	}



/* &isfun-recursive-calls-set! */
	obj_t BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2821, obj_t BgL_oz00_2822, obj_t BgL_vz00_2823)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 60 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3387;

				{
					obj_t BgL_auxz00_3388;

					{	/* Inline/inline.sch 60 */
						BgL_objectz00_bglt BgL_auxz00_3389;

						BgL_auxz00_3389 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2822));
						BgL_auxz00_3388 = BGL_OBJECT_WIDENING(BgL_auxz00_3389);
					}
					BgL_auxz00_3387 = ((BgL_isfunz00_bglt) BgL_auxz00_3388);
				}
				return
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3387))->
						BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_2823), BUNSPEC);
			}
		}
	}



/* isfun-original-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_27)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 61 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3395;

				{
					obj_t BgL_auxz00_3396;

					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_auxz00_3397;

						BgL_auxz00_3397 = ((BgL_objectz00_bglt) BgL_oz00_27);
						BgL_auxz00_3396 = BGL_OBJECT_WIDENING(BgL_auxz00_3397);
					}
					BgL_auxz00_3395 = ((BgL_isfunz00_bglt) BgL_auxz00_3396);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3395))->BgL_originalzd2bodyzd2);
			}
		}
	}



/* &isfun-original-body */
	BgL_nodez00_bglt BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t
		BgL_envz00_2824, obj_t BgL_oz00_2825)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 61 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3402;

				{
					obj_t BgL_auxz00_3403;

					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_auxz00_3404;

						BgL_auxz00_3404 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2825));
						BgL_auxz00_3403 = BGL_OBJECT_WIDENING(BgL_auxz00_3404);
					}
					BgL_auxz00_3402 = ((BgL_isfunz00_bglt) BgL_auxz00_3403);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3402))->BgL_originalzd2bodyzd2);
			}
		}
	}



/* isfun-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_30)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 63 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_30)))->BgL_strengthz00);
		}
	}



/* &isfun-strength */
	obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t BgL_envz00_2826,
		obj_t BgL_oz00_2827)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 63 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2827))))->BgL_strengthz00);
		}
	}



/* isfun-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_31, obj_t BgL_vz00_32)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 64 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_31)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}
	}



/* &isfun-strength-set! */
	obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2828, obj_t BgL_oz00_2829, obj_t BgL_vz00_2830)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 64 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2829))))->BgL_strengthz00) =
				((obj_t) BgL_vz00_2830), BUNSPEC);
		}
	}



/* isfun-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_33)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 65 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_33)))->BgL_thezd2closurezd2globalz00);
		}
	}



/* &isfun-the-closure-global */
	obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t
		BgL_envz00_2831, obj_t BgL_oz00_2832)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 65 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2832))))->
				BgL_thezd2closurezd2globalz00);
		}
	}



/* isfun-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt BgL_oz00_34, obj_t BgL_vz00_35)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 66 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_34)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_35), BUNSPEC);
		}
	}



/* &isfun-the-closure-global-set! */
	obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2833, obj_t BgL_oz00_2834, obj_t BgL_vz00_2835)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 66 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2834))))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_2835), BUNSPEC);
		}
	}



/* isfun-keys */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_36)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 67 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_36)))->BgL_keysz00);
		}
	}



/* &isfun-keys */
	obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t BgL_envz00_2836,
		obj_t BgL_oz00_2837)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 67 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2837))))->BgL_keysz00);
		}
	}



/* isfun-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_39)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_39)))->BgL_optionalsz00);
		}
	}



/* &isfun-optionals */
	obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t BgL_envz00_2838,
		obj_t BgL_oz00_2839)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2839))))->BgL_optionalsz00);
		}
	}



/* isfun-loc */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_42)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_42)))->BgL_locz00);
		}
	}



/* &isfun-loc */
	obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t BgL_envz00_2840,
		obj_t BgL_oz00_2841)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2841))))->BgL_locz00);
		}
	}



/* isfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_43,
		obj_t BgL_vz00_44)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 72 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_43)))->BgL_locz00) =
				((obj_t) BgL_vz00_44), BUNSPEC);
		}
	}



/* &isfun-loc-set! */
	obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2842,
		obj_t BgL_oz00_2843, obj_t BgL_vz00_2844)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 72 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2843))))->BgL_locz00) =
				((obj_t) BgL_vz00_2844), BUNSPEC);
		}
	}



/* isfun-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_45)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_45)))->BgL_dssslzd2keywordszd2);
		}
	}



/* &isfun-dsssl-keywords */
	obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t
		BgL_envz00_2845, obj_t BgL_oz00_2846)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2846))))->BgL_dssslzd2keywordszd2);
		}
	}



/* isfun-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_46, obj_t BgL_vz00_47)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 74 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_46)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_47), BUNSPEC);
		}
	}



/* &isfun-dsssl-keywords-set! */
	obj_t BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2847, obj_t BgL_oz00_2848, obj_t BgL_vz00_2849)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 74 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2848))))->
					BgL_dssslzd2keywordszd2) = ((obj_t) BgL_vz00_2849), BUNSPEC);
		}
	}



/* isfun-class */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_48)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_48)))->BgL_classz00);
		}
	}



/* &isfun-class */
	obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t BgL_envz00_2850,
		obj_t BgL_oz00_2851)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2851))))->BgL_classz00);
		}
	}



/* isfun-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_49, obj_t BgL_vz00_50)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 76 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_49)))->BgL_classz00) =
				((obj_t) BgL_vz00_50), BUNSPEC);
		}
	}



/* &isfun-class-set! */
	obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2852, obj_t BgL_oz00_2853, obj_t BgL_vz00_2854)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 76 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2853))))->BgL_classz00) =
				((obj_t) BgL_vz00_2854), BUNSPEC);
		}
	}



/* isfun-body */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_51)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_51)))->BgL_bodyz00);
		}
	}



/* &isfun-body */
	obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t BgL_envz00_2855,
		obj_t BgL_oz00_2856)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2856))))->BgL_bodyz00);
		}
	}



/* isfun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_52,
		obj_t BgL_vz00_53)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 78 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_52)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_53), BUNSPEC);
		}
	}



/* &isfun-body-set! */
	obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2857,
		obj_t BgL_oz00_2858, obj_t BgL_vz00_2859)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 78 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2858))))->BgL_bodyz00) =
				((obj_t) BgL_vz00_2859), BUNSPEC);
		}
	}



/* isfun-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_54)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_54)))->BgL_argszd2namezd2);
		}
	}



/* &isfun-args-name */
	obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t BgL_envz00_2860,
		obj_t BgL_oz00_2861)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2861))))->BgL_argszd2namezd2);
		}
	}



/* isfun-args */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_57)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_57)))->BgL_argsz00);
		}
	}



/* &isfun-args */
	obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t BgL_envz00_2862,
		obj_t BgL_oz00_2863)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2863))))->BgL_argsz00);
		}
	}



/* isfun-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_58,
		obj_t BgL_vz00_59)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 82 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_58)))->BgL_argsz00) =
				((obj_t) BgL_vz00_59), BUNSPEC);
		}
	}



/* &isfun-args-set! */
	obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2864,
		obj_t BgL_oz00_2865, obj_t BgL_vz00_2866)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 82 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2865))))->BgL_argsz00) =
				((obj_t) BgL_vz00_2866), BUNSPEC);
		}
	}



/* isfun-property */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_60)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_60)))->BgL_propertyz00);
		}
	}



/* &isfun-property */
	obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t BgL_envz00_2867,
		obj_t BgL_oz00_2868)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2868))))->BgL_propertyz00);
		}
	}



/* isfun-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_61, obj_t BgL_vz00_62)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 84 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_61)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_62), BUNSPEC);
		}
	}



/* &isfun-property-set! */
	obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2869, obj_t BgL_oz00_2870, obj_t BgL_vz00_2871)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 84 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2870))))->BgL_propertyz00) =
				((obj_t) BgL_vz00_2871), BUNSPEC);
		}
	}



/* isfun-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_63)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_63)))->BgL_effectz00);
		}
	}



/* &isfun-effect */
	obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t BgL_envz00_2872,
		obj_t BgL_oz00_2873)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2873))))->BgL_effectz00);
		}
	}



/* isfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_64, obj_t BgL_vz00_65)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 86 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_64)))->BgL_effectz00) =
				((obj_t) BgL_vz00_65), BUNSPEC);
		}
	}



/* &isfun-effect-set! */
	obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2874, obj_t BgL_oz00_2875, obj_t BgL_vz00_2876)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 86 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2875))))->BgL_effectz00) =
				((obj_t) BgL_vz00_2876), BUNSPEC);
		}
	}



/* isfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_66)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_66)))->BgL_thezd2closurezd2);
		}
	}



/* &isfun-the-closure */
	obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t BgL_envz00_2877,
		obj_t BgL_oz00_2878)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2878))))->BgL_thezd2closurezd2);
		}
	}



/* isfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_67, obj_t BgL_vz00_68)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 88 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_67)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_68), BUNSPEC);
		}
	}



/* &isfun-the-closure-set! */
	obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2879, obj_t BgL_oz00_2880, obj_t BgL_vz00_2881)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 88 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2880))))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_2881), BUNSPEC);
		}
	}



/* isfun-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_69)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 89 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_69)))->BgL_topzf3zf3);
		}
	}



/* &isfun-top? */
	obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t BgL_envz00_2882,
		obj_t BgL_oz00_2883)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 89 */
			return
				BBOOL(
				(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2883))))->BgL_topzf3zf3));
		}
	}



/* isfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_70, bool_t BgL_vz00_71)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 90 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_70)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_71), BUNSPEC);
		}
	}



/* &isfun-top?-set! */
	obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t
		BgL_envz00_2884, obj_t BgL_oz00_2885, obj_t BgL_vz00_2886)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 90 */
			{	/* Inline/inline.sch 90 */
				bool_t BgL_vz00_3158;

				BgL_vz00_3158 = CBOOL(BgL_vz00_2886);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_oz00_2885))))->BgL_topzf3zf3) =
					((bool_t) BgL_vz00_3158), BUNSPEC);
			}
		}
	}



/* isfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_72)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_72)))->BgL_stackzd2allocatorzd2);
		}
	}



/* &isfun-stack-allocator */
	obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t
		BgL_envz00_2887, obj_t BgL_oz00_2888)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2888))))->BgL_stackzd2allocatorzd2);
		}
	}



/* isfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_73, obj_t BgL_vz00_74)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 92 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_73)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_74), BUNSPEC);
		}
	}



/* &isfun-stack-allocator-set! */
	obj_t BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2889, obj_t BgL_oz00_2890, obj_t BgL_vz00_2891)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 92 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2890))))->
					BgL_stackzd2allocatorzd2) = ((obj_t) BgL_vz00_2891), BUNSPEC);
		}
	}



/* isfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_75)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_75)))->BgL_predicatezd2ofzd2);
		}
	}



/* &isfun-predicate-of */
	obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t
		BgL_envz00_2892, obj_t BgL_oz00_2893)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2893))))->BgL_predicatezd2ofzd2);
		}
	}



/* isfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_76, obj_t BgL_vz00_77)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 94 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_76)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_77), BUNSPEC);
		}
	}



/* &isfun-predicate-of-set! */
	obj_t BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2894, obj_t BgL_oz00_2895, obj_t BgL_vz00_2896)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 94 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2895))))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_2896), BUNSPEC);
		}
	}



/* isfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_78)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_78)))->BgL_sidezd2effectzd2);
		}
	}



/* &isfun-side-effect */
	obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t BgL_envz00_2897,
		obj_t BgL_oz00_2898)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2898))))->BgL_sidezd2effectzd2);
		}
	}



/* isfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_79, obj_t BgL_vz00_80)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 96 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_79)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_80), BUNSPEC);
		}
	}



/* &isfun-side-effect-set! */
	obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2899, obj_t BgL_oz00_2900, obj_t BgL_vz00_2901)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 96 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2900))))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_2901), BUNSPEC);
		}
	}



/* isfun-arity */
	BGL_EXPORTED_DEF long BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_81)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 97 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_81)))->BgL_arityz00);
		}
	}



/* &isfun-arity */
	obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t BgL_envz00_2902,
		obj_t BgL_oz00_2903)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 97 */
			return
				BINT(
				(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2903))))->BgL_arityz00));
		}
	}



/* inline-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt
		BgL_variablez00_84, long BgL_kfactorz00_85, obj_t BgL_stackz00_86)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 35 */
			{	/* Inline/inline.scm 38 */
				BgL_valuez00_bglt BgL_sfunz00_1407;

				BgL_sfunz00_1407 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_84))->BgL_valuez00);
				{	/* Inline/inline.scm 38 */
					BgL_valuez00_bglt BgL_isfunz00_1408;

					{	/* Inline/inline.scm 41 */
						BgL_isfunz00_bglt BgL_wide1172z00_1420;

						BgL_wide1172z00_1420 =
							((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.scm 41 */
							obj_t BgL_auxz00_3579;
							BgL_objectz00_bglt BgL_auxz00_3575;

							BgL_auxz00_3579 = ((obj_t) BgL_wide1172z00_1420);
							BgL_auxz00_3575 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1407)));
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3575, BgL_auxz00_3579);
						}
						{	/* Inline/inline.scm 41 */
							long BgL_arg1952z00_1421;

							{	/* Inline/inline.scm 41 */
								long BgL_res2133z00_2516;

								BgL_res2133z00_2516 =
									BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
								BgL_arg1952z00_1421 = BgL_res2133z00_2516;
							}
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) BgL_sfunz00_1407))),
									BgL_arg1952z00_1421));
						}
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1407));
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3590;

						{
							obj_t BgL_auxz00_3591;

							{	/* Inline/inline.scm 41 */
								BgL_objectz00_bglt BgL_auxz00_3592;

								BgL_auxz00_3592 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1407)));
								BgL_auxz00_3591 = BGL_OBJECT_WIDENING(BgL_auxz00_3592);
							}
							BgL_auxz00_3590 = ((BgL_isfunz00_bglt) BgL_auxz00_3591);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3590))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (((BgL_sfunz00_bglt)
											CREF(((BgL_sfunz00_bglt) BgL_sfunz00_1407)))->
										BgL_bodyz00))), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3602;

						{
							obj_t BgL_auxz00_3603;

							{	/* Inline/inline.scm 41 */
								BgL_objectz00_bglt BgL_auxz00_3604;

								BgL_auxz00_3604 =
									((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1407)));
								BgL_auxz00_3603 = BGL_OBJECT_WIDENING(BgL_auxz00_3604);
							}
							BgL_auxz00_3602 = ((BgL_isfunz00_bglt) BgL_auxz00_3603);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3602))->
								BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
					}
					BgL_isfunz00_1408 =
						((BgL_valuez00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1407)));
					{	/* Inline/inline.scm 39 */
						BgL_nodez00_bglt BgL_ozd2bodyzd2_1409;

						{
							BgL_isfunz00_bglt BgL_auxz00_3614;

							{
								obj_t BgL_auxz00_3615;

								{	/* Inline/inline.scm 42 */
									BgL_objectz00_bglt BgL_auxz00_3616;

									BgL_auxz00_3616 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_isfunz00_1408));
									BgL_auxz00_3615 = BGL_OBJECT_WIDENING(BgL_auxz00_3616);
								}
								BgL_auxz00_3614 = ((BgL_isfunz00_bglt) BgL_auxz00_3615);
							}
							BgL_ozd2bodyzd2_1409 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3614))->
								BgL_originalzd2bodyzd2);
						}
						{	/* Inline/inline.scm 42 */
							BgL_nodez00_bglt BgL_inlzd2bodyzd2_1410;

							{	/* Inline/inline.scm 43 */
								bool_t BgL_testz00_3622;

								{	/* Inline/inline.scm 44 */
									long BgL_arg1948z00_1414;

									BgL_arg1948z00_1414 =
										(((long) 1) +
										bgl_list_length(
											(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1407)))->
												BgL_argsz00)));
									BgL_testz00_3622 =
										BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_84,
										(long) CINT(BGl_za2kfactorza2z00zzinline_walkz00),
										BgL_arg1948z00_1414, BNIL);
								}
								if (BgL_testz00_3622)
									{	/* Inline/inline.scm 43 */
										BgL_inlzd2bodyzd2_1410 =
											BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BFALSE,
											BgL_ozd2bodyzd2_1409);
									}
								else
									{	/* Inline/inline.scm 43 */
										BgL_inlzd2bodyzd2_1410 = BgL_ozd2bodyzd2_1409;
									}
							}
							{	/* Inline/inline.scm 43 */

								{	/* Inline/inline.scm 53 */
									BgL_nodez00_bglt BgL_arg1945z00_1411;

									{	/* Inline/inline.scm 53 */
										obj_t BgL_arg1946z00_1412;

										BgL_arg1946z00_1412 =
											MAKE_PAIR(((obj_t) BgL_variablez00_84), BgL_stackz00_86);
										BgL_arg1945z00_1411 =
											BGl_inlinezd2nodezd2zzinline_inlinez00
											(BgL_inlzd2bodyzd2_1410, BgL_kfactorz00_85,
											BgL_arg1946z00_1412);
									}
									((((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_sfunz00_1407)))->
											BgL_bodyz00) =
										((obj_t) ((obj_t) BgL_arg1945z00_1411)), BUNSPEC);
								}
								return BNIL;
							}
						}
					}
				}
			}
		}
	}



/* &inline-sfun! */
	obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t BgL_envz00_2904,
		obj_t BgL_variablez00_2905, obj_t BgL_kfactorz00_2906,
		obj_t BgL_stackz00_2907)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 35 */
			return
				BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
				((BgL_variablez00_bglt) BgL_variablez00_2905),
				(long) CINT(BgL_kfactorz00_2906), BgL_stackz00_2907);
		}
	}



/* inline-node*! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t
		BgL_nodeza2za2_153, obj_t BgL_kfactorz00_154, obj_t BgL_stackz00_155)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 252 */
		BGl_inlinezd2nodeza2z12z62zzinline_inlinez00:
			if (NULLP(BgL_nodeza2za2_153))
				{	/* Inline/inline.scm 253 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Inline/inline.scm 253 */
					{	/* Inline/inline.scm 256 */
						BgL_nodez00_bglt BgL_arg1954z00_1424;

						{	/* Inline/inline.scm 256 */
							obj_t BgL_arg1955z00_1425;

							BgL_arg1955z00_1425 = CAR(BgL_nodeza2za2_153);
							BgL_arg1954z00_1424 =
								BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg1955z00_1425),
								(long) CINT(BgL_kfactorz00_154), BgL_stackz00_155);
						}
						{	/* Inline/inline.scm 256 */
							obj_t BgL_auxz00_3646;

							BgL_auxz00_3646 = ((obj_t) BgL_arg1954z00_1424);
							SET_CAR(BgL_nodeza2za2_153, BgL_auxz00_3646);
					}}
					{
						obj_t BgL_nodeza2za2_3649;

						BgL_nodeza2za2_3649 = CDR(BgL_nodeza2za2_153);
						BgL_nodeza2za2_153 = BgL_nodeza2za2_3649;
						goto BGl_inlinezd2nodeza2z12z62zzinline_inlinez00;
					}
				}
		}
	}



/* &inline-node*! */
	obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t BgL_envz00_2908,
		obj_t BgL_nodeza2za2_2909, obj_t BgL_kfactorz00_2910,
		obj_t BgL_stackz00_2911)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 252 */
			return
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_nodeza2za2_2909,
				BgL_kfactorz00_2910, BgL_stackz00_2911);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 26 */
				obj_t BgL_arg1961z00_1431;
				obj_t BgL_arg1964z00_1432;

				{	/* Inline/inline.scm 26 */
					obj_t BgL_v1893z00_1474;

					BgL_v1893z00_1474 = create_vector((int) (((long) 2)));
					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg1976z00_1475;

						BgL_arg1976z00_1475 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2175z00zzinline_inlinez00,
							BGl_proc2174z00zzinline_inlinez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2173z00zzinline_inlinez00,
							CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1893z00_1474, (int) (((long) 1)),
							BgL_arg1976z00_1475);
					}
					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg1983z00_1490;

						BgL_arg1983z00_1490 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc2177z00zzinline_inlinez00,
							BGl_proc2176z00zzinline_inlinez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1893z00_1474, (int) (((long) 0)),
							BgL_arg1983z00_1490);
					}
					BgL_arg1961z00_1431 = BgL_v1893z00_1474;
				}
				{	/* Inline/inline.scm 26 */
					obj_t BgL_v1894z00_1502;

					BgL_v1894z00_1502 = create_vector((int) (((long) 0)));
					BgL_arg1964z00_1432 = BgL_v1894z00_1502;
				}
				return (BGl_isfunz00zzinline_inlinez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
						CNST_TABLE_REF(((long) 5)), BGl_sfunz00zzast_varz00, ((long) 59763),
						BGl_proc2181z00zzinline_inlinez00,
						BGl_proc2180z00zzinline_inlinez00, BFALSE,
						BGl_proc2179z00zzinline_inlinez00,
						BGl_proc2178z00zzinline_inlinez00, BgL_arg1961z00_1431,
						BgL_arg1964z00_1432), BUNSPEC);
		}}
	}



/* &lambda1972 */
	BgL_sfunz00_bglt BGl_z62lambda1972z62zzinline_inlinez00(obj_t BgL_envz00_2921,
		obj_t BgL_o1120z00_2922)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_o1120z00_1468;

				BgL_o1120z00_1468 = ((BgL_sfunz00_bglt) BgL_o1120z00_2922);
				{	/* Inline/inline.scm 26 */
					long BgL_arg1973z00_1471;

					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg1974z00_1472;

						{	/* Inline/inline.scm 26 */
							obj_t BgL_arg1975z00_1473;

							{	/* Inline/inline.scm 26 */
								long BgL_arg1772z00_2569;

								{	/* Inline/inline.scm 26 */
									long BgL_arg1773z00_2570;

									{	/* Inline/inline.scm 26 */
										long BgL_res2140z00_2572;

										BgL_res2140z00_2572 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_o1120z00_1468));
										BgL_arg1773z00_2570 = BgL_res2140z00_2572;
									}
									BgL_arg1772z00_2569 = (BgL_arg1773z00_2570 - OBJECT_TYPE);
								}
								BgL_arg1975z00_1473 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									(int) (BgL_arg1772z00_2569));
							}
							BgL_arg1974z00_1472 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1975z00_1473);
						}
						{	/* Inline/inline.scm 26 */
							long BgL_res2142z00_2579;

							BgL_res2142z00_2579 = BGL_CLASS_INDEX(BgL_arg1974z00_1472);
							BgL_arg1973z00_1471 = BgL_res2142z00_2579;
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_o1120z00_1468), BgL_arg1973z00_1471);
				}
				{	/* Inline/inline.scm 26 */
					BgL_objectz00_bglt BgL_auxz00_3677;

					BgL_auxz00_3677 = ((BgL_objectz00_bglt) BgL_o1120z00_1468);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3677, BFALSE);
				}
				return ((BgL_sfunz00_bglt) BgL_o1120z00_1468);
			}
		}
	}



/* &<anonymous:1971> */
	BgL_sfunz00_bglt BGl_z62zc3anonymousza31971ze3ze1zzinline_inlinez00(obj_t
		BgL_envz00_2923, obj_t BgL_new1119z00_2924)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_new1119z00_1466;

				BgL_new1119z00_1466 = ((BgL_sfunz00_bglt) BgL_new1119z00_2924);
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1119z00_1466)))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1466)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1466)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1466)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1466)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1466)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1466)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1119z00_1466)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_propertyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_argszd2namezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_classz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_dssslzd2keywordszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_optionalsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_keysz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1119z00_1466)))->
						BgL_strengthz00) = ((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3727;
					BgL_isfunz00_bglt BgL_auxz00_3721;

					{	/* Inline/inline.scm 26 */
						obj_t BgL_classz00_2566;

						BgL_classz00_2566 = BGl_nodez00zzast_nodez00;
						{	/* Inline/inline.scm 26 */
							obj_t BgL__ortest_1092z00_2567;

							BgL__ortest_1092z00_2567 = BGL_CLASS_NIL(BgL_classz00_2566);
							if (CBOOL(BgL__ortest_1092z00_2567))
								{	/* Inline/inline.scm 26 */
									BgL_auxz00_3727 =
										((BgL_nodez00_bglt) BgL__ortest_1092z00_2567);
								}
							else
								{	/* Inline/inline.scm 26 */
									BgL_auxz00_3727 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2566));
								}
						}
					}
					{
						obj_t BgL_auxz00_3722;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3723;

							BgL_auxz00_3723 = ((BgL_objectz00_bglt) BgL_new1119z00_1466);
							BgL_auxz00_3722 = BGL_OBJECT_WIDENING(BgL_auxz00_3723);
						}
						BgL_auxz00_3721 = ((BgL_isfunz00_bglt) BgL_auxz00_3722);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3721))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_auxz00_3727), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3735;

					{
						obj_t BgL_auxz00_3736;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3737;

							BgL_auxz00_3737 = ((BgL_objectz00_bglt) BgL_new1119z00_1466);
							BgL_auxz00_3736 = BGL_OBJECT_WIDENING(BgL_auxz00_3737);
						}
						BgL_auxz00_3735 = ((BgL_isfunz00_bglt) BgL_auxz00_3736);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3735))->
							BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1119z00_1466;
			}
		}
	}



/* &lambda1969 */
	BgL_sfunz00_bglt BGl_z62lambda1969z62zzinline_inlinez00(obj_t BgL_envz00_2925,
		obj_t BgL_o1116z00_2926)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_o1116z00_1461;

				BgL_o1116z00_1461 = ((BgL_sfunz00_bglt) BgL_o1116z00_2926);
				{	/* Inline/inline.scm 26 */
					BgL_isfunz00_bglt BgL_wide1118z00_1464;

					BgL_wide1118z00_1464 =
						((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.scm 26 */
						obj_t BgL_auxz00_3747;
						BgL_objectz00_bglt BgL_auxz00_3744;

						BgL_auxz00_3747 = ((obj_t) BgL_wide1118z00_1464);
						BgL_auxz00_3744 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1116z00_1461));
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3744, BgL_auxz00_3747);
					}
					{	/* Inline/inline.scm 26 */
						long BgL_arg1970z00_1465;

						{	/* Inline/inline.scm 26 */
							long BgL_res2139z00_2563;

							BgL_res2139z00_2563 =
								BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
							BgL_arg1970z00_1465 = BgL_res2139z00_2563;
						}
						((BgL_sfunz00_bglt)
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) BgL_o1116z00_1461)),
								BgL_arg1970z00_1465));
					}
					return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1116z00_1461));
				}
			}
		}
	}



/* &lambda1965 */
	BgL_sfunz00_bglt BGl_z62lambda1965z62zzinline_inlinez00(obj_t BgL_envz00_2927,
		obj_t BgL_arity1095z00_2928, obj_t BgL_sidezd2effect1096zd2_2929,
		obj_t BgL_predicatezd2of1097zd2_2930,
		obj_t BgL_stackzd2allocator1098zd2_2931, obj_t BgL_topzf31099zf3_2932,
		obj_t BgL_thezd2closure1100zd2_2933, obj_t BgL_effect1101z00_2934,
		obj_t BgL_failsafe1102z00_2935, obj_t BgL_property1103z00_2936,
		obj_t BgL_args1104z00_2937, obj_t BgL_argszd2name1105zd2_2938,
		obj_t BgL_body1106z00_2939, obj_t BgL_class1107z00_2940,
		obj_t BgL_dssslzd2keywords1108zd2_2941, obj_t BgL_loc1109z00_2942,
		obj_t BgL_optionals1110z00_2943, obj_t BgL_keys1111z00_2944,
		obj_t BgL_thezd2closurezd2global1112z00_2945,
		obj_t BgL_strength1113z00_2946, obj_t BgL_originalzd2body1114zd2_2947,
		obj_t BgL_recursivezd2calls1115zd2_2948)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				long BgL_arity1095z00_1433;
				obj_t BgL_sidezd2effect1096zd2_1434;
				obj_t BgL_predicatezd2of1097zd2_1435;
				obj_t BgL_stackzd2allocator1098zd2_1436;
				bool_t BgL_topzf31099zf3_1437;
				obj_t BgL_thezd2closure1100zd2_1438;
				obj_t BgL_effect1101z00_1439;
				obj_t BgL_failsafe1102z00_1440;
				obj_t BgL_property1103z00_1441;
				obj_t BgL_args1104z00_1442;
				obj_t BgL_argszd2name1105zd2_1443;
				obj_t BgL_body1106z00_1444;
				obj_t BgL_class1107z00_1445;
				obj_t BgL_dssslzd2keywords1108zd2_1446;
				obj_t BgL_loc1109z00_1447;
				obj_t BgL_optionals1110z00_1448;
				obj_t BgL_keys1111z00_1449;
				obj_t BgL_thezd2closurezd2global1112z00_1450;
				obj_t BgL_strength1113z00_1451;
				BgL_nodez00_bglt BgL_originalzd2body1114zd2_1452;
				obj_t BgL_recursivezd2calls1115zd2_1453;

				BgL_arity1095z00_1433 = (long) CINT(BgL_arity1095z00_2928);
				BgL_sidezd2effect1096zd2_1434 = BgL_sidezd2effect1096zd2_2929;
				BgL_predicatezd2of1097zd2_1435 = BgL_predicatezd2of1097zd2_2930;
				BgL_stackzd2allocator1098zd2_1436 = BgL_stackzd2allocator1098zd2_2931;
				BgL_topzf31099zf3_1437 = CBOOL(BgL_topzf31099zf3_2932);
				BgL_thezd2closure1100zd2_1438 = BgL_thezd2closure1100zd2_2933;
				BgL_effect1101z00_1439 = BgL_effect1101z00_2934;
				BgL_failsafe1102z00_1440 = BgL_failsafe1102z00_2935;
				BgL_property1103z00_1441 = BgL_property1103z00_2936;
				BgL_args1104z00_1442 = BgL_args1104z00_2937;
				BgL_argszd2name1105zd2_1443 = BgL_argszd2name1105zd2_2938;
				BgL_body1106z00_1444 = BgL_body1106z00_2939;
				BgL_class1107z00_1445 = BgL_class1107z00_2940;
				BgL_dssslzd2keywords1108zd2_1446 = BgL_dssslzd2keywords1108zd2_2941;
				BgL_loc1109z00_1447 = BgL_loc1109z00_2942;
				BgL_optionals1110z00_1448 = BgL_optionals1110z00_2943;
				BgL_keys1111z00_1449 = BgL_keys1111z00_2944;
				BgL_thezd2closurezd2global1112z00_1450 =
					BgL_thezd2closurezd2global1112z00_2945;
				BgL_strength1113z00_1451 = BgL_strength1113z00_2946;
				BgL_originalzd2body1114zd2_1452 =
					((BgL_nodez00_bglt) BgL_originalzd2body1114zd2_2947);
				BgL_recursivezd2calls1115zd2_1453 = BgL_recursivezd2calls1115zd2_2948;
				{	/* Inline/inline.scm 26 */
					BgL_sfunz00_bglt BgL_new1186z00_2548;

					{	/* Inline/inline.scm 26 */
						BgL_sfunz00_bglt BgL_tmp1184z00_2549;
						BgL_isfunz00_bglt BgL_wide1185z00_2550;

						{
							BgL_sfunz00_bglt BgL_auxz00_3758;

							{	/* Inline/inline.scm 26 */
								BgL_sfunz00_bglt BgL_new1183z00_2551;

								BgL_new1183z00_2551 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.scm 26 */
									long BgL_arg1968z00_2552;

									{	/* Inline/inline.scm 26 */
										long BgL_res2137z00_2555;

										BgL_res2137z00_2555 =
											BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
										BgL_arg1968z00_2552 = BgL_res2137z00_2555;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1183z00_2551),
										BgL_arg1968z00_2552);
								}
								{	/* Inline/inline.scm 26 */
									BgL_objectz00_bglt BgL_auxz00_3763;

									BgL_auxz00_3763 = ((BgL_objectz00_bglt) BgL_new1183z00_2551);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3763, BFALSE);
								}
								BgL_auxz00_3758 = BgL_new1183z00_2551;
							}
							BgL_tmp1184z00_2549 = ((BgL_sfunz00_bglt) BgL_auxz00_3758);
						}
						BgL_wide1185z00_2550 =
							((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.scm 26 */
							obj_t BgL_auxz00_3770;
							BgL_objectz00_bglt BgL_auxz00_3768;

							BgL_auxz00_3770 = ((obj_t) BgL_wide1185z00_2550);
							BgL_auxz00_3768 = ((BgL_objectz00_bglt) BgL_tmp1184z00_2549);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3768, BgL_auxz00_3770);
						}
						{	/* Inline/inline.scm 26 */
							long BgL_arg1966z00_2553;

							{	/* Inline/inline.scm 26 */
								long BgL_res2138z00_2559;

								BgL_res2138z00_2559 =
									BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
								BgL_arg1966z00_2553 = BgL_res2138z00_2559;
							}
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_tmp1184z00_2549),
									BgL_arg1966z00_2553));
						}
						BgL_new1186z00_2548 = ((BgL_sfunz00_bglt) BgL_tmp1184z00_2549);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1186z00_2548)))->BgL_arityz00) =
						((long) BgL_arity1095z00_1433), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2548)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1096zd2_1434), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2548)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1097zd2_1435), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2548)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1098zd2_1436), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2548)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31099zf3_1437), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2548)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1100zd2_1438), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2548)))->
							BgL_effectz00) = ((obj_t) BgL_effect1101z00_1439), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1186z00_2548)))->
							BgL_failsafez00) = ((obj_t) BgL_failsafe1102z00_1440), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_propertyz00) =
						((obj_t) BgL_property1103z00_1441), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_argsz00) =
						((obj_t) BgL_args1104z00_1442), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1105zd2_1443), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_bodyz00) =
						((obj_t) BgL_body1106z00_1444), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_classz00) =
						((obj_t) BgL_class1107z00_1445), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1108zd2_1446), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_locz00) =
						((obj_t) BgL_loc1109z00_1447), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1110z00_1448), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_keysz00) =
						((obj_t) BgL_keys1111z00_1449), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1112z00_1450), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1186z00_2548)))->BgL_strengthz00) =
						((obj_t) BgL_strength1113z00_1451), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_3816;

						{
							obj_t BgL_auxz00_3817;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_auxz00_3818;

								BgL_auxz00_3818 = ((BgL_objectz00_bglt) BgL_new1186z00_2548);
								BgL_auxz00_3817 = BGL_OBJECT_WIDENING(BgL_auxz00_3818);
							}
							BgL_auxz00_3816 = ((BgL_isfunz00_bglt) BgL_auxz00_3817);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3816))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) BgL_originalzd2body1114zd2_1452), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3823;

						{
							obj_t BgL_auxz00_3824;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_auxz00_3825;

								BgL_auxz00_3825 = ((BgL_objectz00_bglt) BgL_new1186z00_2548);
								BgL_auxz00_3824 = BGL_OBJECT_WIDENING(BgL_auxz00_3825);
							}
							BgL_auxz00_3823 = ((BgL_isfunz00_bglt) BgL_auxz00_3824);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3823))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1115zd2_1453), BUNSPEC);
					}
					return BgL_new1186z00_2548;
				}
			}
		}
	}



/* &lambda1988 */
	obj_t BGl_z62lambda1988z62zzinline_inlinez00(obj_t BgL_envz00_2949,
		obj_t BgL_oz00_2950, obj_t BgL_vz00_2951)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1496;
				BgL_nodez00_bglt BgL_vz00_1497;

				BgL_oz00_1496 = ((BgL_sfunz00_bglt) BgL_oz00_2950);
				BgL_vz00_1497 = ((BgL_nodez00_bglt) BgL_vz00_2951);
				{
					BgL_isfunz00_bglt BgL_auxz00_3833;

					{
						obj_t BgL_auxz00_3834;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3835;

							BgL_auxz00_3835 = ((BgL_objectz00_bglt) BgL_oz00_1496);
							BgL_auxz00_3834 = BGL_OBJECT_WIDENING(BgL_auxz00_3835);
						}
						BgL_auxz00_3833 = ((BgL_isfunz00_bglt) BgL_auxz00_3834);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3833))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_vz00_1497), BUNSPEC);
				}
			}
		}
	}



/* &lambda1987 */
	BgL_nodez00_bglt BGl_z62lambda1987z62zzinline_inlinez00(obj_t BgL_envz00_2952,
		obj_t BgL_oz00_2953)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1493;

				BgL_oz00_1493 = ((BgL_sfunz00_bglt) BgL_oz00_2953);
				{
					BgL_isfunz00_bglt BgL_auxz00_3842;

					{
						obj_t BgL_auxz00_3843;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3844;

							BgL_auxz00_3844 = ((BgL_objectz00_bglt) BgL_oz00_1493);
							BgL_auxz00_3843 = BGL_OBJECT_WIDENING(BgL_auxz00_3844);
						}
						BgL_auxz00_3842 = ((BgL_isfunz00_bglt) BgL_auxz00_3843);
					}
					return
						(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3842))->
						BgL_originalzd2bodyzd2);
				}
			}
		}
	}



/* &<anonymous:1982> */
	obj_t BGl_z62zc3anonymousza31982ze3ze1zzinline_inlinez00(obj_t
		BgL_envz00_2954)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			return BUNSPEC;
		}
	}



/* &lambda1981 */
	obj_t BGl_z62lambda1981z62zzinline_inlinez00(obj_t BgL_envz00_2955,
		obj_t BgL_oz00_2956, obj_t BgL_vz00_2957)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1482;
				obj_t BgL_vz00_1483;

				BgL_oz00_1482 = ((BgL_sfunz00_bglt) BgL_oz00_2956);
				BgL_vz00_1483 = BgL_vz00_2957;
				{
					BgL_isfunz00_bglt BgL_auxz00_3850;

					{
						obj_t BgL_auxz00_3851;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3852;

							BgL_auxz00_3852 = ((BgL_objectz00_bglt) BgL_oz00_1482);
							BgL_auxz00_3851 = BGL_OBJECT_WIDENING(BgL_auxz00_3852);
						}
						BgL_auxz00_3850 = ((BgL_isfunz00_bglt) BgL_auxz00_3851);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3850))->
							BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_1483), BUNSPEC);
				}
			}
		}
	}



/* &lambda1980 */
	obj_t BGl_z62lambda1980z62zzinline_inlinez00(obj_t BgL_envz00_2958,
		obj_t BgL_oz00_2959)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1479;

				BgL_oz00_1479 = ((BgL_sfunz00_bglt) BgL_oz00_2959);
				{
					BgL_isfunz00_bglt BgL_auxz00_3858;

					{
						obj_t BgL_auxz00_3859;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3860;

							BgL_auxz00_3860 = ((BgL_objectz00_bglt) BgL_oz00_1479);
							BgL_auxz00_3859 = BGL_OBJECT_WIDENING(BgL_auxz00_3860);
						}
						BgL_auxz00_3858 = ((BgL_isfunz00_bglt) BgL_auxz00_3859);
					}
					return
						(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3858))->
						BgL_recursivezd2callszd2);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_proc2182z00zzinline_inlinez00, BGl_nodez00zzast_nodez00,
				BGl_string2183z00zzinline_inlinez00);
		}
	}



/* &inline-node1895 */
	obj_t BGl_z62inlinezd2node1895zb0zzinline_inlinez00(obj_t BgL_envz00_2961,
		obj_t BgL_nodez00_2962, obj_t BgL_kfactorz00_2963, obj_t BgL_stackz00_2964)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 60 */
			{
				BgL_nodez00_bglt BgL_nodez00_1508;
				long BgL_kfactorz00_1509;
				obj_t BgL_stackz00_1510;

				BgL_nodez00_1508 = ((BgL_nodez00_bglt) BgL_nodez00_2962);
				BgL_kfactorz00_1509 = (long) CINT(BgL_kfactorz00_2963);
				BgL_stackz00_1510 = BgL_stackz00_2964;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
					BGl_string2184z00zzinline_inlinez00, ((obj_t) BgL_nodez00_1508));
		}}
	}



/* inline-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_87,
		long BgL_kfactorz00_88, obj_t BgL_stackz00_89)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 60 */
			{	/* Inline/inline.scm 60 */
				obj_t BgL_method1896z00_1513;

				{	/* Inline/inline.scm 60 */
					obj_t BgL_res2149z00_2610;

					{	/* Inline/inline.scm 60 */
						long BgL_objzd2classzd2numz00_2583;

						{	/* Inline/inline.scm 60 */
							long BgL_res2143z00_2586;

							BgL_res2143z00_2586 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_87));
							BgL_objzd2classzd2numz00_2583 = BgL_res2143z00_2586;
						}
						{	/* Inline/inline.scm 60 */
							obj_t BgL_arg1769z00_2584;

							BgL_arg1769z00_2584 =
								PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
								(int) (((long) 1)));
							{	/* Inline/inline.scm 60 */
								int BgL_offsetz00_2588;

								BgL_offsetz00_2588 = (int) (BgL_objzd2classzd2numz00_2583);
								{	/* Inline/inline.scm 60 */
									long BgL_offsetz00_2589;

									BgL_offsetz00_2589 =
										((long) (BgL_offsetz00_2588) - OBJECT_TYPE);
									{	/* Inline/inline.scm 60 */
										long BgL_modz00_2590;

										{	/* Inline/inline.scm 60 */
											int BgL_arg1771z00_2591;

											BgL_arg1771z00_2591 = (int) (((long) 16));
											{	/* Inline/inline.scm 60 */
												long BgL_res2146z00_2601;

												{	/* Inline/inline.scm 60 */
													long BgL_auxz00_3880;

													BgL_auxz00_3880 = (long) (BgL_arg1771z00_2591);
													BgL_res2146z00_2601 =
														(BgL_offsetz00_2589 / BgL_auxz00_3880);
												}
												BgL_modz00_2590 = BgL_res2146z00_2601;
										}}
										{	/* Inline/inline.scm 60 */
											long BgL_restz00_2592;

											{	/* Inline/inline.scm 60 */
												int BgL_arg1770z00_2593;

												BgL_arg1770z00_2593 = (int) (((long) 16));
												{	/* Inline/inline.scm 60 */
													long BgL_res2148z00_2605;

													{	/* Inline/inline.scm 60 */
														long BgL_auxz00_3884;

														BgL_auxz00_3884 = (long) (BgL_arg1770z00_2593);
														BgL_res2148z00_2605 =
															(BgL_offsetz00_2589 % BgL_auxz00_3884);
													}
													BgL_restz00_2592 = BgL_res2148z00_2605;
											}}
											{	/* Inline/inline.scm 60 */

												BgL_res2149z00_2610 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2584,
														(int) (BgL_modz00_2590)), (int) (BgL_restz00_2592));
					}}}}}}}
					BgL_method1896z00_1513 = BgL_res2149z00_2610;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1896z00_1513) (BgL_method1896z00_1513,
						((obj_t) BgL_nodez00_87),
						BINT(BgL_kfactorz00_88), BgL_stackz00_89, BEOA));
			}
		}
	}



/* &inline-node */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t
		BgL_envz00_2965, obj_t BgL_nodez00_2966, obj_t BgL_kfactorz00_2967,
		obj_t BgL_stackz00_2968)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 60 */
			return
				BGl_inlinezd2nodezd2zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_nodez00_2966),
				(long) CINT(BgL_kfactorz00_2967), BgL_stackz00_2968);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_atomz00zzast_nodez00,
				BGl_proc2185z00zzinline_inlinez00, BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_varz00zzast_nodez00,
				BGl_proc2187z00zzinline_inlinez00, BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_kwotez00zzast_nodez00, BGl_proc2188z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2189z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_syncz00zzast_nodez00,
				BGl_proc2190z00zzinline_inlinez00, BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appz00zzast_nodez00,
				BGl_proc2191z00zzinline_inlinez00, BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2192z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2193z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_externz00zzast_nodez00, BGl_proc2194z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_castz00zzast_nodez00,
				BGl_proc2195z00zzinline_inlinez00, BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setqz00zzast_nodez00,
				BGl_proc2196z00zzinline_inlinez00, BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2197z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_failz00zzast_nodez00,
				BGl_proc2198z00zzinline_inlinez00, BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_selectz00zzast_nodez00, BGl_proc2199z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2200z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2201z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2202z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2203z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2204z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2205z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2206z00zzinline_inlinez00,
				BGl_string2186z00zzinline_inlinez00);
		}
	}



/* &inline-node-box-set!1939 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121939za2zzinline_inlinez00(obj_t
		BgL_envz00_2990, obj_t BgL_nodez00_2991, obj_t BgL_kfactorz00_2992,
		obj_t BgL_stackz00_2993)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 243 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1730;
				obj_t BgL_kfactorz00_1731;
				obj_t BgL_stackz00_1732;

				BgL_nodez00_1730 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2991);
				BgL_kfactorz00_1731 = BgL_kfactorz00_2992;
				BgL_stackz00_1732 = BgL_stackz00_2993;
				{
					BgL_varz00_bglt BgL_auxz00_3924;

					{	/* Inline/inline.scm 245 */
						BgL_varz00_bglt BgL_arg2072z00_1736;

						BgL_arg2072z00_1736 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1730))->BgL_varz00);
						BgL_auxz00_3924 =
							((BgL_varz00_bglt)
							BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg2072z00_1736),
								(long) CINT(BgL_kfactorz00_1731), BgL_stackz00_1732));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1730))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3924), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3931;

					{	/* Inline/inline.scm 246 */
						BgL_nodez00_bglt BgL_arg2073z00_1737;

						BgL_arg2073z00_1737 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1730))->
							BgL_valuez00);
						BgL_auxz00_3931 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2073z00_1737,
							(long) CINT(BgL_kfactorz00_1731), BgL_stackz00_1732);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1730))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3931), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1730);
			}
		}
	}



/* &inline-node-box-ref1937 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1937zb0zzinline_inlinez00(obj_t
		BgL_envz00_2994, obj_t BgL_nodez00_2995, obj_t BgL_kfactorz00_2996,
		obj_t BgL_stackz00_2997)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 236 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1722;
				obj_t BgL_kfactorz00_1723;
				obj_t BgL_stackz00_1724;

				BgL_nodez00_1722 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2995);
				BgL_kfactorz00_1723 = BgL_kfactorz00_2996;
				BgL_stackz00_1724 = BgL_stackz00_2997;
				{	/* Inline/inline.scm 237 */
					BgL_nodez00_bglt BgL_arg2070z00_2747;

					{	/* Inline/inline.scm 237 */
						BgL_varz00_bglt BgL_arg2071z00_2748;

						BgL_arg2071z00_2748 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1722))->BgL_varz00);
						BgL_arg2070z00_2747 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(
							((BgL_nodez00_bglt) BgL_arg2071z00_2748),
							(long) CINT(BgL_kfactorz00_1723), BgL_stackz00_1724);
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1722))->BgL_varz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg2070z00_2747)),
						BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1722);
			}
		}
	}



/* &inline-node-make-box1935 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1935zb0zzinline_inlinez00(obj_t
		BgL_envz00_2998, obj_t BgL_nodez00_2999, obj_t BgL_kfactorz00_3000,
		obj_t BgL_stackz00_3001)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 229 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1714;
				obj_t BgL_kfactorz00_1715;
				obj_t BgL_stackz00_1716;

				BgL_nodez00_1714 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2999);
				BgL_kfactorz00_1715 = BgL_kfactorz00_3000;
				BgL_stackz00_1716 = BgL_stackz00_3001;
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1714))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_makezd2boxzd2_bglt)
									CREF(BgL_nodez00_1714))->BgL_valuez00),
							(long) CINT(BgL_kfactorz00_1715), BgL_stackz00_1716)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1714);
			}
		}
	}



/* &inline-node-jump-ex-1933 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21933z62zzinline_inlinez00(obj_t
		BgL_envz00_3002, obj_t BgL_nodez00_3003, obj_t BgL_kfactorz00_3004,
		obj_t BgL_stackz00_3005)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 220 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1705;
				obj_t BgL_kfactorz00_1706;
				obj_t BgL_stackz00_1707;

				BgL_nodez00_1705 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3003);
				BgL_kfactorz00_1706 = BgL_kfactorz00_3004;
				BgL_stackz00_1707 = BgL_stackz00_3005;
				{
					BgL_nodez00_bglt BgL_auxz00_3952;

					{	/* Inline/inline.scm 222 */
						BgL_nodez00_bglt BgL_arg2066z00_1711;

						BgL_arg2066z00_1711 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1705))->
							BgL_exitz00);
						BgL_auxz00_3952 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2066z00_1711,
							(long) CINT(BgL_kfactorz00_1706), BgL_stackz00_1707);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1705))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3952), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3957;

					{	/* Inline/inline.scm 223 */
						BgL_nodez00_bglt BgL_arg2067z00_1712;

						BgL_arg2067z00_1712 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1705))->
							BgL_valuez00);
						BgL_auxz00_3957 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2067z00_1712,
							(long) CINT(BgL_kfactorz00_1706), BgL_stackz00_1707);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1705))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3957), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1705);
			}
		}
	}



/* &inline-node-set-ex-i1931 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1931z62zzinline_inlinez00(obj_t
		BgL_envz00_3006, obj_t BgL_nodez00_3007, obj_t BgL_kfactorz00_3008,
		obj_t BgL_stackz00_3009)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 213 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1697;
				obj_t BgL_kfactorz00_1698;
				obj_t BgL_stackz00_1699;

				BgL_nodez00_1697 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3007);
				BgL_kfactorz00_1698 = BgL_kfactorz00_3008;
				BgL_stackz00_1699 = BgL_stackz00_3009;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1697))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setzd2exzd2itz00_bglt)
									CREF(BgL_nodez00_1697))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1698), BgL_stackz00_1699)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1697);
			}
		}
	}



/* &inline-node-let-var1929 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1929zb0zzinline_inlinez00(obj_t
		BgL_envz00_3010, obj_t BgL_nodez00_3011, obj_t BgL_kfactorz00_3012,
		obj_t BgL_stackz00_3013)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 203 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1679;
				obj_t BgL_kfactorz00_1680;
				obj_t BgL_stackz00_1681;

				BgL_nodez00_1679 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3011);
				BgL_kfactorz00_1680 = BgL_kfactorz00_3012;
				BgL_stackz00_1681 = BgL_stackz00_3013;
				{	/* Inline/inline.scm 204 */
					obj_t BgL_g1892z00_1684;

					BgL_g1892z00_1684 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1679))->BgL_bindingsz00);
					{
						obj_t BgL_l1890z00_1686;

						BgL_l1890z00_1686 = BgL_g1892z00_1684;
					BgL_zc3anonymousza32057ze3z83_1687:
						if (PAIRP(BgL_l1890z00_1686))
							{	/* Inline/inline.scm 206 */
								{	/* Inline/inline.scm 205 */
									obj_t BgL_bindingz00_1689;

									BgL_bindingz00_1689 = CAR(BgL_l1890z00_1686);
									{	/* Inline/inline.scm 205 */
										BgL_nodez00_bglt BgL_arg2059z00_1690;

										{	/* Inline/inline.scm 205 */
											obj_t BgL_arg2060z00_1691;

											BgL_arg2060z00_1691 = CDR(BgL_bindingz00_1689);
											BgL_arg2059z00_1690 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg2060z00_1691),
												(long) CINT(BgL_kfactorz00_1680), BgL_stackz00_1681);
										}
										{	/* Inline/inline.scm 205 */
											obj_t BgL_auxz00_3978;

											BgL_auxz00_3978 = ((obj_t) BgL_arg2059z00_1690);
											SET_CDR(BgL_bindingz00_1689, BgL_auxz00_3978);
								}}}
								{
									obj_t BgL_l1890z00_3981;

									BgL_l1890z00_3981 = CDR(BgL_l1890z00_1686);
									BgL_l1890z00_1686 = BgL_l1890z00_3981;
									goto BgL_zc3anonymousza32057ze3z83_1687;
								}
							}
						else
							{	/* Inline/inline.scm 206 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1679))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2varzd2_bglt)
									CREF(BgL_nodez00_1679))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1680), BgL_stackz00_1681)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1679);
			}
		}
	}



/* &inline-node-let-fun1927 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1927zb0zzinline_inlinez00(obj_t
		BgL_envz00_3014, obj_t BgL_nodez00_3015, obj_t BgL_kfactorz00_3016,
		obj_t BgL_stackz00_3017)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 190 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1663;
				obj_t BgL_kfactorz00_1664;
				obj_t BgL_stackz00_1665;

				BgL_nodez00_1663 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3015);
				BgL_kfactorz00_1664 = BgL_kfactorz00_3016;
				BgL_stackz00_1665 = BgL_stackz00_3017;
				{	/* Inline/inline.scm 194 */
					obj_t BgL_g1889z00_1668;

					BgL_g1889z00_1668 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1663))->BgL_localsz00);
					{
						obj_t BgL_l1887z00_1670;

						BgL_l1887z00_1670 = BgL_g1889z00_1668;
					BgL_zc3anonymousza32052ze3z83_1671:
						if (PAIRP(BgL_l1887z00_1670))
							{	/* Inline/inline.scm 196 */
								{	/* Inline/inline.scm 195 */
									obj_t BgL_localz00_1673;

									BgL_localz00_1673 = CAR(BgL_l1887z00_1670);
									BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
										((BgL_variablez00_bglt) BgL_localz00_1673),
										(long) CINT(BgL_kfactorz00_1664), BgL_stackz00_1665);
								}
								{
									obj_t BgL_l1887z00_3996;

									BgL_l1887z00_3996 = CDR(BgL_l1887z00_1670);
									BgL_l1887z00_1670 = BgL_l1887z00_3996;
									goto BgL_zc3anonymousza32052ze3z83_1671;
								}
							}
						else
							{	/* Inline/inline.scm 196 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1663))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2funzd2_bglt)
									CREF(BgL_nodez00_1663))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1664), BgL_stackz00_1665)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1663);
			}
		}
	}



/* &inline-node-select1925 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2select1925z62zzinline_inlinez00(obj_t
		BgL_envz00_3018, obj_t BgL_nodez00_3019, obj_t BgL_kfactorz00_3020,
		obj_t BgL_stackz00_3021)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 180 */
			{
				BgL_selectz00_bglt BgL_nodez00_1645;
				obj_t BgL_kfactorz00_1646;
				obj_t BgL_stackz00_1647;

				BgL_nodez00_1645 = ((BgL_selectz00_bglt) BgL_nodez00_3019);
				BgL_kfactorz00_1646 = BgL_kfactorz00_3020;
				BgL_stackz00_1647 = BgL_stackz00_3021;
				((((BgL_selectz00_bglt) CREF(BgL_nodez00_1645))->BgL_testz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_selectz00_bglt)
									CREF(BgL_nodez00_1645))->BgL_testz00),
							(long) CINT(BgL_kfactorz00_1646), BgL_stackz00_1647)), BUNSPEC);
				{	/* Inline/inline.scm 182 */
					obj_t BgL_g1886z00_1652;

					BgL_g1886z00_1652 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1645))->BgL_clausesz00);
					{
						obj_t BgL_l1865z00_1654;

						BgL_l1865z00_1654 = BgL_g1886z00_1652;
					BgL_zc3anonymousza32047ze3z83_1655:
						if (PAIRP(BgL_l1865z00_1654))
							{	/* Inline/inline.scm 184 */
								{	/* Inline/inline.scm 183 */
									obj_t BgL_clausez00_1657;

									BgL_clausez00_1657 = CAR(BgL_l1865z00_1654);
									{	/* Inline/inline.scm 183 */
										BgL_nodez00_bglt BgL_arg2049z00_1658;

										{	/* Inline/inline.scm 183 */
											obj_t BgL_arg2050z00_1659;

											BgL_arg2050z00_1659 = CDR(BgL_clausez00_1657);
											BgL_arg2049z00_1658 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg2050z00_1659),
												(long) CINT(BgL_kfactorz00_1646), BgL_stackz00_1647);
										}
										{	/* Inline/inline.scm 183 */
											obj_t BgL_auxz00_4016;

											BgL_auxz00_4016 = ((obj_t) BgL_arg2049z00_1658);
											SET_CDR(BgL_clausez00_1657, BgL_auxz00_4016);
								}}}
								{
									obj_t BgL_l1865z00_4019;

									BgL_l1865z00_4019 = CDR(BgL_l1865z00_1654);
									BgL_l1865z00_1654 = BgL_l1865z00_4019;
									goto BgL_zc3anonymousza32047ze3z83_1655;
								}
							}
						else
							{	/* Inline/inline.scm 184 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1645);
			}
		}
	}



/* &inline-node-fail1922 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2fail1922z62zzinline_inlinez00(obj_t
		BgL_envz00_3022, obj_t BgL_nodez00_3023, obj_t BgL_kfactorz00_3024,
		obj_t BgL_stackz00_3025)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 170 */
			{
				BgL_failz00_bglt BgL_nodez00_1635;
				obj_t BgL_kfactorz00_1636;
				obj_t BgL_stackz00_1637;

				BgL_nodez00_1635 = ((BgL_failz00_bglt) BgL_nodez00_3023);
				BgL_kfactorz00_1636 = BgL_kfactorz00_3024;
				BgL_stackz00_1637 = BgL_stackz00_3025;
				{
					BgL_nodez00_bglt BgL_auxz00_4023;

					{	/* Inline/inline.scm 172 */
						BgL_nodez00_bglt BgL_arg2040z00_1641;

						BgL_arg2040z00_1641 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1635))->BgL_procz00);
						BgL_auxz00_4023 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2040z00_1641,
							(long) CINT(BgL_kfactorz00_1636), BgL_stackz00_1637);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1635))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4023), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4028;

					{	/* Inline/inline.scm 173 */
						BgL_nodez00_bglt BgL_arg2042z00_1642;

						BgL_arg2042z00_1642 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1635))->BgL_msgz00);
						BgL_auxz00_4028 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2042z00_1642,
							(long) CINT(BgL_kfactorz00_1636), BgL_stackz00_1637);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1635))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4028), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4033;

					{	/* Inline/inline.scm 174 */
						BgL_nodez00_bglt BgL_arg2043z00_1643;

						BgL_arg2043z00_1643 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1635))->BgL_objz00);
						BgL_auxz00_4033 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2043z00_1643,
							(long) CINT(BgL_kfactorz00_1636), BgL_stackz00_1637);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1635))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4033), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1635);
			}
		}
	}



/* &inline-node-conditio1920 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1920z62zzinline_inlinez00(obj_t
		BgL_envz00_3026, obj_t BgL_nodez00_3027, obj_t BgL_kfactorz00_3028,
		obj_t BgL_stackz00_3029)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 160 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1625;
				obj_t BgL_kfactorz00_1626;
				obj_t BgL_stackz00_1627;

				BgL_nodez00_1625 = ((BgL_conditionalz00_bglt) BgL_nodez00_3027);
				BgL_kfactorz00_1626 = BgL_kfactorz00_3028;
				BgL_stackz00_1627 = BgL_stackz00_3029;
				{
					BgL_nodez00_bglt BgL_auxz00_4040;

					{	/* Inline/inline.scm 162 */
						BgL_nodez00_bglt BgL_arg2037z00_1631;

						BgL_arg2037z00_1631 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1625))->BgL_testz00);
						BgL_auxz00_4040 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2037z00_1631,
							(long) CINT(BgL_kfactorz00_1626), BgL_stackz00_1627);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1625))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4040), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4045;

					{	/* Inline/inline.scm 163 */
						BgL_nodez00_bglt BgL_arg2038z00_1632;

						BgL_arg2038z00_1632 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1625))->BgL_truez00);
						BgL_auxz00_4045 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2038z00_1632,
							(long) CINT(BgL_kfactorz00_1626), BgL_stackz00_1627);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1625))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4045), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4050;

					{	/* Inline/inline.scm 164 */
						BgL_nodez00_bglt BgL_arg2039z00_1633;

						BgL_arg2039z00_1633 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1625))->
							BgL_falsez00);
						BgL_auxz00_4050 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2039z00_1633,
							(long) CINT(BgL_kfactorz00_1626), BgL_stackz00_1627);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1625))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4050), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1625);
			}
		}
	}



/* &inline-node-setq1918 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2setq1918z62zzinline_inlinez00(obj_t
		BgL_envz00_3030, obj_t BgL_nodez00_3031, obj_t BgL_kfactorz00_3032,
		obj_t BgL_stackz00_3033)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 153 */
			{
				BgL_setqz00_bglt BgL_nodez00_1617;
				obj_t BgL_kfactorz00_1618;
				obj_t BgL_stackz00_1619;

				BgL_nodez00_1617 = ((BgL_setqz00_bglt) BgL_nodez00_3031);
				BgL_kfactorz00_1618 = BgL_kfactorz00_3032;
				BgL_stackz00_1619 = BgL_stackz00_3033;
				((((BgL_setqz00_bglt) CREF(BgL_nodez00_1617))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setqz00_bglt)
									CREF(BgL_nodez00_1617))->BgL_valuez00),
							(long) CINT(BgL_kfactorz00_1618), BgL_stackz00_1619)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1617);
			}
		}
	}



/* &inline-node-cast1916 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2cast1916z62zzinline_inlinez00(obj_t
		BgL_envz00_3034, obj_t BgL_nodez00_3035, obj_t BgL_kfactorz00_3036,
		obj_t BgL_stackz00_3037)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 146 */
			{
				BgL_castz00_bglt BgL_nodez00_1610;
				obj_t BgL_kfactorz00_1611;
				obj_t BgL_stackz00_1612;

				BgL_nodez00_1610 = ((BgL_castz00_bglt) BgL_nodez00_3035);
				BgL_kfactorz00_1611 = BgL_kfactorz00_3036;
				BgL_stackz00_1612 = BgL_stackz00_3037;
				BGl_inlinezd2nodezd2zzinline_inlinez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1610))->BgL_argz00),
					(long) CINT(BgL_kfactorz00_1611), BgL_stackz00_1612);
				return ((BgL_nodez00_bglt) BgL_nodez00_1610);
			}
		}
	}



/* &inline-node-extern1914 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2extern1914z62zzinline_inlinez00(obj_t
		BgL_envz00_3038, obj_t BgL_nodez00_3039, obj_t BgL_kfactorz00_3040,
		obj_t BgL_stackz00_3041)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 139 */
			{
				BgL_externz00_bglt BgL_nodez00_1603;
				obj_t BgL_kfactorz00_1604;
				obj_t BgL_stackz00_1605;

				BgL_nodez00_1603 = ((BgL_externz00_bglt) BgL_nodez00_3039);
				BgL_kfactorz00_1604 = BgL_kfactorz00_3040;
				BgL_stackz00_1605 = BgL_stackz00_3041;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1603))->BgL_exprza2za2),
					BgL_kfactorz00_1604, BgL_stackz00_1605);
				return ((BgL_nodez00_bglt) BgL_nodez00_1603);
			}
		}
	}



/* &inline-node-funcall1912 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2funcall1912z62zzinline_inlinez00(obj_t
		BgL_envz00_3042, obj_t BgL_nodez00_3043, obj_t BgL_kfactorz00_3044,
		obj_t BgL_stackz00_3045)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 129 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1594;
				obj_t BgL_kfactorz00_1595;
				obj_t BgL_stackz00_1596;

				BgL_nodez00_1594 = ((BgL_funcallz00_bglt) BgL_nodez00_3043);
				BgL_kfactorz00_1595 = BgL_kfactorz00_3044;
				BgL_stackz00_1596 = BgL_stackz00_3045;
				{	/* Inline/inline.scm 131 */
					long BgL_za71za7_2662;

					BgL_za71za7_2662 =
						(long) CINT(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00);
					BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
						BINT((BgL_za71za7_2662 + ((long) 1)));
				}
				((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1594))->BgL_funz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_funcallz00_bglt)
									CREF(BgL_nodez00_1594))->BgL_funz00),
							(long) CINT(BgL_kfactorz00_1595), BgL_stackz00_1596)), BUNSPEC);
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_1594))->BgL_argsz00), BgL_kfactorz00_1595,
					BgL_stackz00_1596);
				return ((BgL_nodez00_bglt) BgL_nodez00_1594);
			}
		}
	}



/* &inline-node-app-ly1910 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1910zb0zzinline_inlinez00(obj_t
		BgL_envz00_3046, obj_t BgL_nodez00_3047, obj_t BgL_kfactorz00_3048,
		obj_t BgL_stackz00_3049)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 120 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1585;
				obj_t BgL_kfactorz00_1586;
				obj_t BgL_stackz00_1587;

				BgL_nodez00_1585 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3047);
				BgL_kfactorz00_1586 = BgL_kfactorz00_3048;
				BgL_stackz00_1587 = BgL_stackz00_3049;
				{
					BgL_nodez00_bglt BgL_auxz00_4083;

					{	/* Inline/inline.scm 122 */
						BgL_nodez00_bglt BgL_arg2027z00_1591;

						BgL_arg2027z00_1591 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1585))->BgL_funz00);
						BgL_auxz00_4083 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2027z00_1591,
							(long) CINT(BgL_kfactorz00_1586), BgL_stackz00_1587);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1585))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4083), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4088;

					{	/* Inline/inline.scm 123 */
						BgL_nodez00_bglt BgL_arg2028z00_1592;

						BgL_arg2028z00_1592 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1585))->BgL_argz00);
						BgL_auxz00_4088 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2028z00_1592,
							(long) CINT(BgL_kfactorz00_1586), BgL_stackz00_1587);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1585))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4088), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1585);
			}
		}
	}



/* &inline-node-app1908 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2app1908z62zzinline_inlinez00(obj_t
		BgL_envz00_3050, obj_t BgL_nodez00_3051, obj_t BgL_kfactorz00_3052,
		obj_t BgL_stackz00_3053)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 113 */
			{
				BgL_appz00_bglt BgL_nodez00_1578;
				obj_t BgL_kfactorz00_1579;
				obj_t BgL_stackz00_1580;

				BgL_nodez00_1578 = ((BgL_appz00_bglt) BgL_nodez00_3051);
				BgL_kfactorz00_1579 = BgL_kfactorz00_3052;
				BgL_stackz00_1580 = BgL_stackz00_3053;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1578))->BgL_argsz00),
					BgL_kfactorz00_1579, BgL_stackz00_1580);
				return BGl_inlinezd2appzd2zzinline_appz00(BgL_nodez00_1578,
					(long) CINT(BgL_kfactorz00_1579), BgL_stackz00_1580);
		}}
	}



/* &inline-node-sync1906 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2sync1906z62zzinline_inlinez00(obj_t
		BgL_envz00_3054, obj_t BgL_nodez00_3055, obj_t BgL_kfactorz00_3056,
		obj_t BgL_stackz00_3057)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 104 */
			{
				BgL_syncz00_bglt BgL_nodez00_1566;
				obj_t BgL_kfactorz00_1567;
				obj_t BgL_stackz00_1568;

				BgL_nodez00_1566 = ((BgL_syncz00_bglt) BgL_nodez00_3055);
				BgL_kfactorz00_1567 = BgL_kfactorz00_3056;
				BgL_stackz00_1568 = BgL_stackz00_3057;
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1566))->BgL_mutexz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1566))->BgL_mutexz00),
							(long) CINT(BgL_kfactorz00_1567), BgL_stackz00_1568)), BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1566))->BgL_prelockz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1566))->BgL_prelockz00),
							(long) CINT(BgL_kfactorz00_1567), BgL_stackz00_1568)), BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1566))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1566))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1567), BgL_stackz00_1568)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1566);
			}
		}
	}



/* &inline-node-sequence1904 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1904z62zzinline_inlinez00(obj_t
		BgL_envz00_3058, obj_t BgL_nodez00_3059, obj_t BgL_kfactorz00_3060,
		obj_t BgL_stackz00_3061)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 97 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1559;
				obj_t BgL_kfactorz00_1560;
				obj_t BgL_stackz00_1561;

				BgL_nodez00_1559 = ((BgL_sequencez00_bglt) BgL_nodez00_3059);
				BgL_kfactorz00_1560 = BgL_kfactorz00_3060;
				BgL_stackz00_1561 = BgL_stackz00_3061;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1559))->BgL_nodesz00),
					BgL_kfactorz00_1560, BgL_stackz00_1561);
				return ((BgL_nodez00_bglt) BgL_nodez00_1559);
			}
		}
	}



/* &inline-node-kwote1902 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2kwote1902z62zzinline_inlinez00(obj_t
		BgL_envz00_3062, obj_t BgL_nodez00_3063, obj_t BgL_kfactorz00_3064,
		obj_t BgL_stackz00_3065)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 91 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3063));
		}
	}



/* &inline-node-var1900 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2var1900z62zzinline_inlinez00(obj_t
		BgL_envz00_3066, obj_t BgL_nodez00_3067, obj_t BgL_kfactorz00_3068,
		obj_t BgL_stackz00_3069)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 71 */
			{
				BgL_varz00_bglt BgL_nodez00_1520;
				obj_t BgL_kfactorz00_1521;
				obj_t BgL_stackz00_1522;

				BgL_nodez00_1520 = ((BgL_varz00_bglt) BgL_nodez00_3067);
				BgL_kfactorz00_1521 = BgL_kfactorz00_3068;
				BgL_stackz00_1522 = BgL_stackz00_3069;
				{	/* Inline/inline.scm 73 */
					bool_t BgL_testz00_4120;

					if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) > ((long) 0)))
						{	/* Inline/inline.scm 74 */
							bool_t BgL_testz00_4124;

							{	/* Inline/inline.scm 74 */
								BgL_variablez00_bglt BgL_arg2016z00_1551;

								BgL_arg2016z00_1551 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1520))->BgL_variablez00);
								{	/* Inline/inline.scm 74 */
									bool_t BgL_res2151z00_2615;

									BgL_res2151z00_2615 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg2016z00_1551), BGl_globalz00zzast_varz00);
									BgL_testz00_4124 = BgL_res2151z00_2615;
							}}
							if (BgL_testz00_4124)
								{	/* Inline/inline.scm 74 */
									if (
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1520))->
																BgL_variablez00))))->BgL_importz00) ==
											CNST_TABLE_REF(((long) 8))))
										{	/* Inline/inline.scm 75 */
											if (
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) CREF(BgL_nodez00_1520))->
																	BgL_variablez00))))->BgL_evalzf3zf3))
												{	/* Inline/inline.scm 76 */
													BgL_testz00_4120 = ((bool_t) 0);
												}
											else
												{	/* Inline/inline.scm 77 */
													bool_t BgL_testz00_4138;

													if (
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1520))->
																					BgL_variablez00)))))->
																BgL_accessz00) == CNST_TABLE_REF(((long) 9))))
														{	/* Inline/inline.scm 77 */
															BgL_testz00_4138 = ((bool_t) 1);
														}
													else
														{	/* Inline/inline.scm 77 */
															if (
																((((BgL_globalz00_bglt) CREF(
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							CREF(BgL_nodez00_1520))->
																						BgL_variablez00))))->BgL_initz00) ==
																	BTRUE))
																{	/* Inline/inline.scm 78 */
																	BgL_testz00_4138 =
																		(
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							(((BgL_varz00_bglt)
																									CREF(BgL_nodez00_1520))->
																								BgL_variablez00)))))->
																			BgL_occurrencewz00) == ((long) 1));
																}
															else
																{	/* Inline/inline.scm 78 */
																	BgL_testz00_4138 = ((bool_t) 0);
																}
														}
													if (BgL_testz00_4138)
														{	/* Inline/inline.scm 80 */
															bool_t BgL__ortest_1177z00_1535;

															{	/* Inline/inline.scm 80 */
																obj_t BgL_arg2003z00_1538;

																BgL_arg2003z00_1538 =
																	(((BgL_globalz00_bglt) CREF(
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1520))->
																					BgL_variablez00))))->BgL_srcz00);
																BgL__ortest_1177z00_1535 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2003z00_1538,
																	BGl_atomz00zzast_nodez00);
															}
															if (BgL__ortest_1177z00_1535)
																{	/* Inline/inline.scm 80 */
																	BgL_testz00_4120 = BgL__ortest_1177z00_1535;
																}
															else
																{	/* Inline/inline.scm 81 */
																	obj_t BgL_arg2000z00_1536;

																	BgL_arg2000z00_1536 =
																		(((BgL_globalz00_bglt) CREF(
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							CREF(BgL_nodez00_1520))->
																						BgL_variablez00))))->BgL_srcz00);
																	BgL_testz00_4120 =
																		BGl_isazf3zf3zz__objectz00
																		(BgL_arg2000z00_1536,
																		BGl_kwotez00zzast_nodez00);
																}
														}
													else
														{	/* Inline/inline.scm 77 */
															BgL_testz00_4120 = ((bool_t) 0);
														}
												}
										}
									else
										{	/* Inline/inline.scm 75 */
											BgL_testz00_4120 = ((bool_t) 0);
										}
								}
							else
								{	/* Inline/inline.scm 74 */
									BgL_testz00_4120 = ((bool_t) 0);
								}
						}
					else
						{	/* Inline/inline.scm 73 */
							BgL_testz00_4120 = ((bool_t) 0);
						}
					if (BgL_testz00_4120)
						{	/* Inline/inline.scm 73 */
							{	/* Inline/inline.scm 85 */
								obj_t BgL_arg1992z00_1527;
								obj_t BgL_arg1993z00_1528;

								BgL_arg1992z00_1527 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1520)))->BgL_locz00);
								BgL_arg1993z00_1528 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_1520))->
													BgL_variablez00))))->BgL_srcz00);
								return BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
									BgL_arg1992z00_1527,
									((BgL_nodez00_bglt) BgL_arg1993z00_1528));
							}
						}
					else
						{	/* Inline/inline.scm 73 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1520);
						}
				}
			}
		}
	}



/* &inline-node-atom1898 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2atom1898z62zzinline_inlinez00(obj_t
		BgL_envz00_3070, obj_t BgL_nodez00_3071, obj_t BgL_kfactorz00_3072,
		obj_t BgL_stackz00_3073)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 65 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3071));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2207z00zzinline_inlinez00));
		}
	}

#ifdef __cplusplus
}
#endif
