/*===========================================================================*/
/*   (Integrate/node.scm)                                                    */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/node.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2kwote1961za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t
		BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2var1992z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2sync1969za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2closure1965za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2fail1986za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_nodez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62gloz12zd2var1963za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1996za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2ref2000z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2boxzd2setz122003z62zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2sequence1967za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt);
	static obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2conditional1984za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2select1988za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2appzd2ly1973z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2extern1977za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2setzd2exzd2it1994za2zzintegrate_nodez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2funcall1975za2zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2cast1980za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00();
	static BgL_nodez00_bglt BGl_z62gloz12zd2setq1982za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_nodez00();
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	extern obj_t BGl_sfunzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2makezd2box1998z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2app1971za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62gloz12zd2atom1959za2zzintegrate_nodez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
	static obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62gloz12zd2letzd2fun1990z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62gloz121955z70zzintegrate_nodez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t
		BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt,
		BgL_variablez00_bglt);
	static BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string2322z00zzintegrate_nodez00,
		BgL_bgl_string2322za700za7za7i2353za7, "glo!1955", 8);
	      DEFINE_STRING(BGl_string2323z00zzintegrate_nodez00,
		BgL_bgl_string2323za700za7za7i2354za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2325z00zzintegrate_nodez00,
		BgL_bgl_string2325za700za7za7i2355za7, "glo!", 4);
	      DEFINE_STRING(BGl_string2347z00zzintegrate_nodez00,
		BgL_bgl_string2347za700za7za7i2356za7, "node-free", 9);
	      DEFINE_STRING(BGl_string2348z00zzintegrate_nodez00,
		BgL_bgl_string2348za700za7za7i2357za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string2349z00zzintegrate_nodez00,
		BgL_bgl_string2349za700za7za7i2358za7, "integrate_node", 14);
	      DEFINE_STRING(BGl_string2350z00zzintegrate_nodez00,
		BgL_bgl_string2350za700za7za7i2359za7,
		"aux glo!1955 done (write cell-integrate) cell-integrate read ", 61);
	      DEFINE_STATIC_BGL_GENERIC(BGl_gloz12zd2envzc0zzintegrate_nodez00,
		BgL_bgl_za762gloza712za770za7za7in2360za7,
		BGl_z62gloz12z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2celledzf3zd2envzf3zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2c2361z00,
		BGl_z62integratezd2celledzf3z43zzintegrate_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2globaliza7ez12zd2envzb5zzintegrate_nodez00,
		BgL_bgl_za762integrateza7d2g2362z00,
		BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzintegrate_nodez00,
		BgL_bgl_za762gloza7121955za7702363za7,
		BGl_z62gloz121955z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2atom2364za7,
		BGl_z62gloz12zd2atom1959za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2kwot2365za7,
		BGl_z62gloz12zd2kwote1961za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2var12366za7,
		BGl_z62gloz12zd2var1963za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2clos2367za7,
		BGl_z62gloz12zd2closure1965za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sequ2368za7,
		BGl_z62gloz12zd2sequence1967za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sync2369za7,
		BGl_z62gloz12zd2sync1969za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2app12370za7,
		BGl_z62gloz12zd2app1971za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2appza72371z00,
		BGl_z62gloz12zd2appzd2ly1973z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2func2372za7,
		BGl_z62gloz12zd2funcall1975za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2exte2373za7,
		BGl_z62gloz12zd2extern1977za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cast2374za7,
		BGl_z62gloz12zd2cast1980za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setq2375za7,
		BGl_z62gloz12zd2setq1982za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2cond2376za7,
		BGl_z62gloz12zd2conditional1984za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2fail2377za7,
		BGl_z62gloz12zd2fail1986za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2sele2378za7,
		BGl_z62gloz12zd2select1988za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72379z00,
		BGl_z62gloz12zd2letzd2fun1990z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2letza72380z00,
		BGl_z62gloz12zd2letzd2var1992z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2setza72381z00,
		BGl_z62gloz12zd2setzd2exzd2it1994za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2jump2382za7,
		BGl_z62gloz12zd2jumpzd2exzd2it1996za2zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2make2383za7,
		BGl_z62gloz12zd2makezd2box1998z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72384z00,
		BGl_z62gloz12zd2boxzd2ref2000z70zzintegrate_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzintegrate_nodez00,
		BgL_bgl_za762gloza712za7d2boxza72385z00,
		BGl_z62gloz12zd2boxzd2setz122003z62zzintegrate_nodez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long
		BgL_checksumz00_3231, char *BgL_fromz00_3232)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_nodez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_cnstzd2initzd2zzintegrate_nodez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_nodez00();
					BGl_genericzd2initzd2zzintegrate_nodez00();
					BGl_methodzd2initzd2zzintegrate_nodez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_node");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			{	/* Integrate/node.scm 15 */
				obj_t BgL_cportz00_3219;

				BgL_cportz00_3219 =
					bgl_open_input_string(BGl_string2350z00zzintegrate_nodez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3220;

					BgL_iz00_3220 = ((long) 5);
				BgL_loopz00_3221:
					if ((BgL_iz00_3220 == ((long) -1)))
						{	/* Integrate/node.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/node.scm 15 */
							{	/* Integrate/node.scm 15 */
								obj_t BgL_arg2352z00_3223;

								{	/* Integrate/node.scm 15 */

									{	/* Integrate/node.scm 15 */
										obj_t BgL_locationz00_3225;

										BgL_locationz00_3225 = BBOOL(((bool_t) 0));
										{	/* Integrate/node.scm 15 */

											BgL_arg2352z00_3223 =
												BGl_readz00zz__readerz00(BgL_cportz00_3219,
												BgL_locationz00_3225);
										}
									}
								}
								{	/* Integrate/node.scm 15 */
									int BgL_auxz00_3253;

									BgL_auxz00_3253 = (int) (BgL_iz00_3220);
									CNST_TABLE_SET(BgL_auxz00_3253, BgL_arg2352z00_3223);
							}}
							{	/* Integrate/node.scm 15 */
								int BgL_auxz00_3226;

								BgL_auxz00_3226 = (int) ((BgL_iz00_3220 - ((long) 1)));
								{
									long BgL_iz00_3258;

									BgL_iz00_3258 = (long) (BgL_auxz00_3226);
									BgL_iz00_3220 = BgL_iz00_3258;
									goto BgL_loopz00_3221;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_nodez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1446;

				BgL_headz00_1446 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1447;
					obj_t BgL_tailz00_1448;

					BgL_prevz00_1447 = BgL_headz00_1446;
					BgL_tailz00_1448 = BgL_l1z00_1;
				BgL_loopz00_1449:
					if (PAIRP(BgL_tailz00_1448))
						{
							obj_t BgL_newzd2prevzd2_1451;

							BgL_newzd2prevzd2_1451 =
								MAKE_PAIR(CAR(BgL_tailz00_1448), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1447, BgL_newzd2prevzd2_1451);
							{
								obj_t BgL_tailz00_3267;
								obj_t BgL_prevz00_3266;

								BgL_prevz00_3266 = BgL_newzd2prevzd2_1451;
								BgL_tailz00_3267 = CDR(BgL_tailz00_1448);
								BgL_tailz00_1448 = BgL_tailz00_3267;
								BgL_prevz00_1447 = BgL_prevz00_3266;
								goto BgL_loopz00_1449;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1446);
				}
			}
		}
	}



/* integrate-globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_astz00_3, BgL_variablez00_bglt BgL_integratorz00_4,
		obj_t BgL_whatzf2byza2z50_5)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 36 */
			{	/* Integrate/node.scm 42 */
				BgL_valuez00_bglt BgL_funz00_1454;

				BgL_funz00_1454 =
					(((BgL_variablez00_bglt) CREF(BgL_integratorz00_4))->BgL_valuez00);
				{	/* Integrate/node.scm 42 */
					obj_t BgL_celledz00_1455;

					{	/* Integrate/node.scm 43 */
						obj_t BgL_arg2019z00_1476;

						BgL_arg2019z00_1476 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1454)))->BgL_argsz00);
						BgL_celledz00_1455 =
							BGl_celledzd2bindingszd2zzintegrate_nodez00(BgL_arg2019z00_1476);
					}
					{	/* Integrate/node.scm 43 */
						obj_t BgL_whatzf2byza2z50_1456;

						BgL_whatzf2byza2z50_1456 =
							BGl_appendzd221011zd2zzintegrate_nodez00(BgL_celledz00_1455,
							BgL_whatzf2byza2z50_5);
						{	/* Integrate/node.scm 44 */

							{
								obj_t BgL_l1933z00_1458;

								BgL_l1933z00_1458 = BgL_whatzf2byza2z50_1456;
							BgL_zc3anonymousza32008ze3z83_1459:
								if (PAIRP(BgL_l1933z00_1458))
									{	/* Integrate/node.scm 46 */
										{	/* Integrate/node.scm 47 */
											obj_t BgL_wzd2bzd2_1461;

											BgL_wzd2bzd2_1461 = CAR(BgL_l1933z00_1458);
											{	/* Integrate/node.scm 47 */
												obj_t BgL_arg2010z00_1462;
												obj_t BgL_arg2011z00_1463;

												BgL_arg2010z00_1462 = CAR(BgL_wzd2bzd2_1461);
												BgL_arg2011z00_1463 = CDR(BgL_wzd2bzd2_1461);
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_arg2010z00_1462))))->
														BgL_fastzd2alphazd2) =
													((obj_t) BgL_arg2011z00_1463), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1933z00_3283;

											BgL_l1933z00_3283 = CDR(BgL_l1933z00_1458);
											BgL_l1933z00_1458 = BgL_l1933z00_3283;
											goto BgL_zc3anonymousza32008ze3z83_1459;
										}
									}
								else
									{	/* Integrate/node.scm 46 */
										((bool_t) 1);
									}
							}
							{	/* Integrate/node.scm 49 */
								BgL_nodez00_bglt BgL_resz00_1466;

								BgL_resz00_1466 =
									BGl_cellzd2formalszd2zzintegrate_nodez00(BgL_celledz00_1455,
									BGl_gloz12z12zzintegrate_nodez00(BgL_astz00_3,
										BgL_integratorz00_4));
								{
									obj_t BgL_l1935z00_1468;

									BgL_l1935z00_1468 = BgL_whatzf2byza2z50_1456;
								BgL_zc3anonymousza32013ze3z83_1469:
									if (PAIRP(BgL_l1935z00_1468))
										{	/* Integrate/node.scm 51 */
											{	/* Integrate/node.scm 52 */
												obj_t BgL_wzd2bzd2_1471;

												BgL_wzd2bzd2_1471 = CAR(BgL_l1935z00_1468);
												{	/* Integrate/node.scm 52 */
													obj_t BgL_arg2015z00_1472;

													BgL_arg2015z00_1472 = CAR(BgL_wzd2bzd2_1471);
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			BgL_arg2015z00_1472))))->
															BgL_fastzd2alphazd2) =
														((obj_t) BUNSPEC), BUNSPEC);
												}
											}
											{
												obj_t BgL_l1935z00_3294;

												BgL_l1935z00_3294 = CDR(BgL_l1935z00_1468);
												BgL_l1935z00_1468 = BgL_l1935z00_3294;
												goto BgL_zc3anonymousza32013ze3z83_1469;
											}
										}
									else
										{	/* Integrate/node.scm 51 */
											((bool_t) 1);
										}
								}
								return ((obj_t) BgL_resz00_1466);
							}
						}
					}
				}
			}
		}
	}



/* &integrate-globalize! */
	obj_t BGl_z62integratezd2globaliza7ez12z05zzintegrate_nodez00(obj_t
		BgL_envz00_3118, obj_t BgL_astz00_3119, obj_t BgL_integratorz00_3120,
		obj_t BgL_whatzf2byza2z50_3121)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 36 */
			return
				BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_astz00_3119),
				((BgL_variablez00_bglt) BgL_integratorz00_3120),
				BgL_whatzf2byza2z50_3121);
		}
	}



/* celled-bindings */
	obj_t BGl_celledzd2bindingszd2zzintegrate_nodez00(obj_t BgL_formalsz00_6)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 59 */
			{
				obj_t BgL_celledz00_1479;
				obj_t BgL_formalsz00_1480;

				BgL_celledz00_1479 = BNIL;
				BgL_formalsz00_1480 = BgL_formalsz00_6;
			BgL_zc3anonymousza32020ze3z83_1481:
				if (NULLP(BgL_formalsz00_1480))
					{	/* Integrate/node.scm 63 */
						return BgL_celledz00_1479;
					}
				else
					{	/* Integrate/node.scm 65 */
						bool_t BgL_testz00_3302;

						{	/* Integrate/node.scm 65 */
							obj_t BgL_arg2036z00_1505;

							BgL_arg2036z00_1505 = CAR(BgL_formalsz00_1480);
							BgL_testz00_3302 =
								BGl_integratezd2celledzf3z21zzintegrate_nodez00(
								((BgL_localz00_bglt) BgL_arg2036z00_1505));
						}
						if (BgL_testz00_3302)
							{	/* Integrate/node.scm 68 */
								BgL_typez00_bglt BgL_vtypez00_1484;

								BgL_vtypez00_1484 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt)
													CAR(BgL_formalsz00_1480)))))->BgL_typez00);
								{	/* Integrate/node.scm 68 */
									obj_t BgL_ntypez00_1485;

									if (
										(((obj_t) BgL_vtypez00_1484) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Integrate/node.scm 70 */
											BgL_ntypez00_1485 = BGl_za2objza2z00zztype_cachez00;
										}
									else
										{	/* Integrate/node.scm 70 */
											if (BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_vtypez00_1484))
												{	/* Integrate/node.scm 71 */
													BgL_ntypez00_1485 = ((obj_t) BgL_vtypez00_1484);
												}
											else
												{	/* Integrate/node.scm 71 */
													if (
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(BgL_formalsz00_1480)))))->
																BgL_accessz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Integrate/node.scm 72 */
															BgL_ntypez00_1485 = ((obj_t) BgL_vtypez00_1484);
														}
													else
														{	/* Integrate/node.scm 72 */
															BgL_ntypez00_1485 =
																((obj_t)
																BGl_getzd2bigloozd2typez00zztype_cachez00
																(BgL_vtypez00_1484));
														}
												}
										}
									{	/* Integrate/node.scm 69 */
										BgL_localz00_bglt BgL_varz00_1486;

										{	/* Integrate/node.scm 74 */
											obj_t BgL_arg2027z00_1496;

											BgL_arg2027z00_1496 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(BgL_formalsz00_1480)))))->BgL_idz00);
											BgL_varz00_1486 =
												BGl_makezd2localzd2svarz00zzast_localz00
												(BgL_arg2027z00_1496,
												((BgL_typez00_bglt) BgL_ntypez00_1485));
										}
										{	/* Integrate/node.scm 74 */
											obj_t BgL_ozd2nzd2_1487;

											{	/* Integrate/node.scm 75 */
												obj_t BgL_arg2026z00_1495;

												BgL_arg2026z00_1495 = CAR(BgL_formalsz00_1480);
												BgL_ozd2nzd2_1487 =
													MAKE_PAIR(BgL_arg2026z00_1495,
													((obj_t) BgL_varz00_1486));
											}
											{	/* Integrate/node.scm 75 */

												{	/* Integrate/node.scm 76 */
													obj_t BgL_vz00_2743;

													BgL_vz00_2743 = CNST_TABLE_REF(((long) 1));
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_varz00_1486)))->
															BgL_accessz00) =
														((obj_t) BgL_vz00_2743), BUNSPEC);
												}
												{	/* Integrate/node.scm 77 */
													BgL_svarz00_bglt BgL_tmp1104z00_1488;

													BgL_tmp1104z00_1488 =
														((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_varz00_1486)))->
															BgL_valuez00));
													{	/* Integrate/node.scm 77 */
														BgL_svarzf2iinfozf2_bglt BgL_wide1106z00_1490;

														BgL_wide1106z00_1490 =
															((BgL_svarzf2iinfozf2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_svarzf2iinfozf2_bgl))));
														{	/* Integrate/node.scm 77 */
															obj_t BgL_auxz00_3345;
															BgL_objectz00_bglt BgL_auxz00_3342;

															BgL_auxz00_3345 = ((obj_t) BgL_wide1106z00_1490);
															BgL_auxz00_3342 =
																((BgL_objectz00_bglt)
																((BgL_svarz00_bglt) BgL_tmp1104z00_1488));
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_3342,
																BgL_auxz00_3345);
														}
														{	/* Integrate/node.scm 77 */
															long BgL_arg2023z00_1491;

															{	/* Integrate/node.scm 77 */
																long BgL_res2248z00_2749;

																BgL_res2248z00_2749 =
																	BGL_CLASS_INDEX
																	(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																BgL_arg2023z00_1491 = BgL_res2248z00_2749;
															}
															((BgL_svarz00_bglt)
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1104z00_1488)),
																	BgL_arg2023z00_1491));
														}
														((BgL_svarz00_bglt) BgL_tmp1104z00_1488);
													}
													{
														BgL_svarzf2iinfozf2_bglt BgL_auxz00_3354;

														{
															obj_t BgL_auxz00_3355;

															{	/* Integrate/node.scm 78 */
																BgL_objectz00_bglt BgL_auxz00_3356;

																BgL_auxz00_3356 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1104z00_1488));
																BgL_auxz00_3355 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3356);
															}
															BgL_auxz00_3354 =
																((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3355);
														}
														((((BgL_svarzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_3354))->BgL_fzd2markzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
													}
													{
														BgL_svarzf2iinfozf2_bglt BgL_auxz00_3362;

														{
															obj_t BgL_auxz00_3363;

															{	/* Integrate/node.scm 78 */
																BgL_objectz00_bglt BgL_auxz00_3364;

																BgL_auxz00_3364 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1104z00_1488));
																BgL_auxz00_3363 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3364);
															}
															BgL_auxz00_3362 =
																((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3363);
														}
														((((BgL_svarzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_3362))->BgL_uzd2markzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
													}
													{
														BgL_svarzf2iinfozf2_bglt BgL_auxz00_3370;

														{
															obj_t BgL_auxz00_3371;

															{	/* Integrate/node.scm 79 */
																BgL_objectz00_bglt BgL_auxz00_3372;

																BgL_auxz00_3372 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1104z00_1488));
																BgL_auxz00_3371 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3372);
															}
															BgL_auxz00_3370 =
																((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3371);
														}
														((((BgL_svarzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_3370))->BgL_kapturedzf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
													{
														BgL_svarzf2iinfozf2_bglt BgL_auxz00_3378;

														{
															obj_t BgL_auxz00_3379;

															{	/* Integrate/node.scm 78 */
																BgL_objectz00_bglt BgL_auxz00_3380;

																BgL_auxz00_3380 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1104z00_1488));
																BgL_auxz00_3379 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3380);
															}
															BgL_auxz00_3378 =
																((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3379);
														}
														((((BgL_svarzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_3378))->BgL_celledzf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
													((BgL_svarz00_bglt) BgL_tmp1104z00_1488);
												}
												{	/* Integrate/node.scm 80 */
													obj_t BgL_arg2024z00_1493;
													obj_t BgL_arg2025z00_1494;

													BgL_arg2024z00_1493 =
														MAKE_PAIR(BgL_ozd2nzd2_1487, BgL_celledz00_1479);
													BgL_arg2025z00_1494 = CDR(BgL_formalsz00_1480);
													{
														obj_t BgL_formalsz00_3390;
														obj_t BgL_celledz00_3389;

														BgL_celledz00_3389 = BgL_arg2024z00_1493;
														BgL_formalsz00_3390 = BgL_arg2025z00_1494;
														BgL_formalsz00_1480 = BgL_formalsz00_3390;
														BgL_celledz00_1479 = BgL_celledz00_3389;
														goto BgL_zc3anonymousza32020ze3z83_1481;
													}
												}
											}
										}
									}
								}
							}
						else
							{
								obj_t BgL_formalsz00_3391;

								BgL_formalsz00_3391 = CDR(BgL_formalsz00_1480);
								BgL_formalsz00_1480 = BgL_formalsz00_3391;
								goto BgL_zc3anonymousza32020ze3z83_1481;
							}
					}
			}
		}
	}



/* cell-formals */
	BgL_nodez00_bglt BGl_cellzd2formalszd2zzintegrate_nodez00(obj_t
		BgL_celledz00_7, BgL_nodez00_bglt BgL_bodyz00_8)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 85 */
			if (NULLP(BgL_celledz00_7))
				{	/* Integrate/node.scm 86 */
					return BgL_bodyz00_8;
				}
			else
				{	/* Integrate/node.scm 88 */
					obj_t BgL_locz00_1508;

					BgL_locz00_1508 =
						(((BgL_nodez00_bglt) CREF(BgL_bodyz00_8))->BgL_locz00);
					{	/* Integrate/node.scm 89 */
						BgL_letzd2varzd2_bglt BgL_new1109z00_1509;

						{	/* Integrate/node.scm 90 */
							BgL_letzd2varzd2_bglt BgL_new1108z00_1531;

							BgL_new1108z00_1531 =
								((BgL_letzd2varzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Integrate/node.scm 90 */
								long BgL_arg2051z00_1532;

								{	/* Integrate/node.scm 90 */
									long BgL_res2250z00_2759;

									BgL_res2250z00_2759 =
										BGL_CLASS_INDEX(BGl_letzd2varzd2zzast_nodez00);
									BgL_arg2051z00_1532 = BgL_res2250z00_2759;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1108z00_1531),
									BgL_arg2051z00_1532);
							}
							{	/* Integrate/node.scm 90 */
								BgL_objectz00_bglt BgL_auxz00_3400;

								BgL_auxz00_3400 = ((BgL_objectz00_bglt) BgL_new1108z00_1531);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3400, BFALSE);
							}
							BgL_new1109z00_1509 = BgL_new1108z00_1531;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1109z00_1509)))->BgL_locz00) =
							((obj_t) BgL_locz00_1508), BUNSPEC);
						((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
											BgL_new1109z00_1509)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt) CREF(BgL_bodyz00_8))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1109z00_1509)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
											BgL_new1109z00_1509)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3413;

							{	/* Integrate/node.scm 93 */
								obj_t BgL_head1939z00_1512;

								{	/* Integrate/node.scm 93 */
									obj_t BgL_res2253z00_2769;

									BgL_res2253z00_2769 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1939z00_1512 = BgL_res2253z00_2769;
								}
								{
									obj_t BgL_l1937z00_1514;
									obj_t BgL_tail1940z00_1515;

									BgL_l1937z00_1514 = BgL_celledz00_7;
									BgL_tail1940z00_1515 = BgL_head1939z00_1512;
								BgL_zc3anonymousza32039ze3z83_1516:
									if (NULLP(BgL_l1937z00_1514))
										{	/* Integrate/node.scm 93 */
											BgL_auxz00_3413 = CDR(BgL_head1939z00_1512);
										}
									else
										{	/* Integrate/node.scm 93 */
											obj_t BgL_newtail1941z00_1518;

											{	/* Integrate/node.scm 93 */
												obj_t BgL_arg2043z00_1520;

												{	/* Integrate/node.scm 93 */
													obj_t BgL_ozd2nzd2_1521;

													BgL_ozd2nzd2_1521 = CAR(BgL_l1937z00_1514);
													{	/* Integrate/node.scm 94 */
														obj_t BgL_arg2044z00_1522;
														BgL_makezd2boxzd2_bglt BgL_arg2046z00_1523;

														BgL_arg2044z00_1522 = CDR(BgL_ozd2nzd2_1521);
														{	/* Integrate/node.scm 95 */
															BgL_varz00_bglt BgL_arg2047z00_1524;
															obj_t BgL_arg2048z00_1525;

															{	/* Integrate/node.scm 95 */
																BgL_varz00_bglt BgL_new1111z00_1526;

																{	/* Integrate/node.scm 98 */
																	BgL_varz00_bglt BgL_new1110z00_1528;

																	BgL_new1110z00_1528 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Integrate/node.scm 98 */
																		long BgL_arg2050z00_1529;

																		{	/* Integrate/node.scm 98 */
																			long BgL_res2255z00_2776;

																			{	/* Integrate/node.scm 98 */
																				obj_t BgL_classz00_2775;

																				BgL_classz00_2775 =
																					BGl_varz00zzast_nodez00;
																				BgL_res2255z00_2776 =
																					BGL_CLASS_INDEX(BgL_classz00_2775);
																			}
																			BgL_arg2050z00_1529 = BgL_res2255z00_2776;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1110z00_1528),
																			BgL_arg2050z00_1529);
																	}
																	{	/* Integrate/node.scm 98 */
																		BgL_objectz00_bglt BgL_auxz00_3424;

																		BgL_auxz00_3424 =
																			((BgL_objectz00_bglt)
																			BgL_new1110z00_1528);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3424,
																			BFALSE);
																	}
																	BgL_new1111z00_1526 = BgL_new1110z00_1528;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1111z00_1526)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1508), BUNSPEC);
																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																					BgL_new1111z00_1526)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																				CREF(((BgL_variablez00_bglt)
																						CAR(BgL_ozd2nzd2_1521))))->
																			BgL_typez00)), BUNSPEC);
																((((BgL_varz00_bglt)
																			CREF(BgL_new1111z00_1526))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			CAR(BgL_ozd2nzd2_1521))), BUNSPEC);
																BgL_arg2047z00_1524 = BgL_new1111z00_1526;
															}
															BgL_arg2048z00_1525 = CAR(BgL_ozd2nzd2_1521);
															BgL_arg2046z00_1523 =
																BGl_azd2makezd2cellz00zzintegrate_nodez00(
																((BgL_nodez00_bglt) BgL_arg2047z00_1524),
																((BgL_variablez00_bglt) BgL_arg2048z00_1525));
														}
														BgL_arg2043z00_1520 =
															MAKE_PAIR(BgL_arg2044z00_1522,
															((obj_t) BgL_arg2046z00_1523));
												}}
												{	/* Integrate/node.scm 93 */
													obj_t BgL_res2257z00_2787;

													BgL_res2257z00_2787 =
														MAKE_PAIR(BgL_arg2043z00_1520, BNIL);
													BgL_newtail1941z00_1518 = BgL_res2257z00_2787;
											}}
											SET_CDR(BgL_tail1940z00_1515, BgL_newtail1941z00_1518);
											{	/* Integrate/node.scm 93 */
												obj_t BgL_arg2042z00_1519;

												BgL_arg2042z00_1519 = CDR(BgL_l1937z00_1514);
												{
													obj_t BgL_tail1940z00_3447;
													obj_t BgL_l1937z00_3446;

													BgL_l1937z00_3446 = BgL_arg2042z00_1519;
													BgL_tail1940z00_3447 = BgL_newtail1941z00_1518;
													BgL_tail1940z00_1515 = BgL_tail1940z00_3447;
													BgL_l1937z00_1514 = BgL_l1937z00_3446;
													goto BgL_zc3anonymousza32039ze3z83_1516;
												}
											}
										}
								}
							}
							((((BgL_letzd2varzd2_bglt) CREF(BgL_new1109z00_1509))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_3413), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1109z00_1509))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_bodyz00_8), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) CREF(BgL_new1109z00_1509))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1109z00_1509);
					}
				}
		}
	}



/* a-make-cell */
	BgL_makezd2boxzd2_bglt
		BGl_azd2makezd2cellz00zzintegrate_nodez00(BgL_nodez00_bglt BgL_nodez00_9,
		BgL_variablez00_bglt BgL_variablez00_10)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 105 */
			{	/* Integrate/node.scm 109 */
				obj_t BgL_vz00_2792;

				BgL_vz00_2792 = CNST_TABLE_REF(((long) 1));
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_10))))->BgL_accessz00) =
					((obj_t) BgL_vz00_2792), BUNSPEC);
			}
			{	/* Integrate/node.scm 110 */
				BgL_valuez00_bglt BgL_arg2052z00_1534;

				BgL_arg2052z00_1534 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_10))->BgL_valuez00);
				{
					BgL_svarzf2iinfozf2_bglt BgL_auxz00_3457;

					{
						obj_t BgL_auxz00_3458;

						{	/* Integrate/node.scm 110 */
							BgL_objectz00_bglt BgL_auxz00_3459;

							BgL_auxz00_3459 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_arg2052z00_1534));
							BgL_auxz00_3458 = BGL_OBJECT_WIDENING(BgL_auxz00_3459);
						}
						BgL_auxz00_3457 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3458);
					}
					((((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3457))->
							BgL_celledzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}}
			{	/* Integrate/node.scm 111 */
				BgL_makezd2boxzd2_bglt BgL_new1115z00_1535;

				{	/* Integrate/node.scm 114 */
					BgL_makezd2boxzd2_bglt BgL_new1114z00_1537;

					BgL_new1114z00_1537 =
						((BgL_makezd2boxzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Integrate/node.scm 114 */
						long BgL_arg2054z00_1538;

						{	/* Integrate/node.scm 114 */
							long BgL_res2259z00_2801;

							BgL_res2259z00_2801 =
								BGL_CLASS_INDEX(BGl_makezd2boxzd2zzast_nodez00);
							BgL_arg2054z00_1538 = BgL_res2259z00_2801;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1114z00_1537), BgL_arg2054z00_1538);
					}
					{	/* Integrate/node.scm 114 */
						BgL_objectz00_bglt BgL_auxz00_3469;

						BgL_auxz00_3469 = ((BgL_objectz00_bglt) BgL_new1114z00_1537);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3469, BFALSE);
					}
					BgL_new1115z00_1535 = BgL_new1114z00_1537;
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_new1115z00_1535)))->BgL_locz00) =
					((obj_t) (((BgL_nodez00_bglt) CREF(BgL_nodez00_9))->BgL_locz00)),
					BUNSPEC);
				((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1115z00_1535)))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_za2cellza2z00zztype_cachez00)), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1115z00_1535)))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
									BgL_new1115z00_1535)))->BgL_keyz00) =
					((obj_t) BINT(((long) -1))), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1115z00_1535))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_nodez00_9), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3484;

					{	/* Integrate/node.scm 113 */
						BgL_typez00_bglt BgL_arg2053z00_1536;

						BgL_arg2053z00_1536 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_10))->BgL_typez00);
						BgL_auxz00_3484 =
							BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg2053z00_1536);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_new1115z00_1535))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_3484), BUNSPEC);
				}
				return BgL_new1115z00_1535;
			}
		}
	}



/* integrate-celled? */
	BGL_EXPORTED_DEF bool_t
		BGl_integratezd2celledzf3z21zzintegrate_nodez00(BgL_localz00_bglt
		BgL_variablez00_11)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 120 */
			{	/* Integrate/node.scm 131 */
				bool_t BgL_testz00_3488;

				{	/* Integrate/node.scm 131 */
					BgL_valuez00_bglt BgL_arg2058z00_1545;

					BgL_arg2058z00_1545 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_variablez00_11)))->BgL_valuez00);
					{	/* Integrate/node.scm 131 */
						bool_t BgL_res2262z00_2811;

						BgL_res2262z00_2811 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_arg2058z00_1545),
							BGl_svarzf2Iinfozf2zzintegrate_infoz00);
						BgL_testz00_3488 = BgL_res2262z00_2811;
					}
				}
				if (BgL_testz00_3488)
					{	/* Integrate/node.scm 132 */
						bool_t BgL__ortest_1117z00_1540;

						{
							BgL_svarzf2iinfozf2_bglt BgL_auxz00_3493;

							{
								obj_t BgL_auxz00_3494;

								{	/* Integrate/node.scm 132 */
									BgL_objectz00_bglt BgL_auxz00_3495;

									BgL_auxz00_3495 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_variablez00_11)))->
												BgL_valuez00)));
									BgL_auxz00_3494 = BGL_OBJECT_WIDENING(BgL_auxz00_3495);
								}
								BgL_auxz00_3493 = ((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3494);
							}
							BgL__ortest_1117z00_1540 =
								(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3493))->
								BgL_celledzf3zf3);
						}
						if (BgL__ortest_1117z00_1540)
							{	/* Integrate/node.scm 132 */
								return BgL__ortest_1117z00_1540;
							}
						else
							{	/* Integrate/node.scm 132 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_variablez00_11)))->
												BgL_accessz00), CNST_TABLE_REF(((long) 2)))))
									{
										BgL_svarzf2iinfozf2_bglt BgL_auxz00_3510;

										{
											obj_t BgL_auxz00_3511;

											{	/* Integrate/node.scm 134 */
												BgL_objectz00_bglt BgL_auxz00_3512;

												BgL_auxz00_3512 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		BgL_variablez00_11)))->BgL_valuez00)));
												BgL_auxz00_3511 = BGL_OBJECT_WIDENING(BgL_auxz00_3512);
											}
											BgL_auxz00_3510 =
												((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_3511);
										}
										return
											(((BgL_svarzf2iinfozf2_bglt) CREF(BgL_auxz00_3510))->
											BgL_kapturedzf3zf3);
									}
								else
									{	/* Integrate/node.scm 133 */
										return ((bool_t) 0);
									}
							}
					}
				else
					{	/* Integrate/node.scm 131 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &integrate-celled? */
	obj_t BGl_z62integratezd2celledzf3z43zzintegrate_nodez00(obj_t
		BgL_envz00_3122, obj_t BgL_variablez00_3123)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 120 */
			return
				BBOOL(BGl_integratezd2celledzf3z21zzintegrate_nodez00(
					((BgL_localz00_bglt) BgL_variablez00_3123)));
		}
	}



/* glo*! */
	obj_t BGl_gloza2z12zb0zzintegrate_nodez00(obj_t BgL_nodeza2za2_58,
		obj_t BgL_integratorz00_59)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 421 */
			{
				obj_t BgL_nodeza2za2_1547;

				BgL_nodeza2za2_1547 = BgL_nodeza2za2_58;
			BgL_zc3anonymousza32059ze3z83_1548:
				if (NULLP(BgL_nodeza2za2_1547))
					{	/* Integrate/node.scm 423 */
						return CNST_TABLE_REF(((long) 3));
					}
				else
					{	/* Integrate/node.scm 423 */
						{	/* Integrate/node.scm 426 */
							BgL_nodez00_bglt BgL_arg2061z00_1550;

							{	/* Integrate/node.scm 426 */
								obj_t BgL_arg2062z00_1551;

								BgL_arg2062z00_1551 = CAR(BgL_nodeza2za2_1547);
								BgL_arg2061z00_1550 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_arg2062z00_1551),
									((BgL_variablez00_bglt) BgL_integratorz00_59));
							}
							{	/* Integrate/node.scm 426 */
								obj_t BgL_auxz00_3530;

								BgL_auxz00_3530 = ((obj_t) BgL_arg2061z00_1550);
								SET_CAR(BgL_nodeza2za2_1547, BgL_auxz00_3530);
							}
						}
						{
							obj_t BgL_nodeza2za2_3533;

							BgL_nodeza2za2_3533 = CDR(BgL_nodeza2za2_1547);
							BgL_nodeza2za2_1547 = BgL_nodeza2za2_3533;
							goto BgL_zc3anonymousza32059ze3z83_1548;
						}
					}
			}
		}
	}



/* globalize-local-fun! */
	obj_t BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(BgL_localz00_bglt
		BgL_localz00_60, BgL_variablez00_bglt BgL_integratorz00_61)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 432 */
			{	/* Integrate/node.scm 435 */
				BgL_valuez00_bglt BgL_funz00_1554;

				BgL_funz00_1554 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_localz00_60)))->BgL_valuez00);
				{	/* Integrate/node.scm 435 */
					obj_t BgL_obodyz00_1555;

					BgL_obodyz00_1555 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1554)))->BgL_bodyz00);
					{	/* Integrate/node.scm 436 */

						if ((((obj_t) BgL_localz00_60) == ((obj_t) BgL_integratorz00_61)))
							{	/* Integrate/node.scm 439 */
								BgL_nodez00_bglt BgL_arg2065z00_1557;

								BgL_arg2065z00_1557 =
									BGl_gloz12z12zzintegrate_nodez00(
									((BgL_nodez00_bglt) BgL_obodyz00_1555), BgL_integratorz00_61);
								return
									((((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_1554)))->BgL_bodyz00) =
									((obj_t) ((obj_t) BgL_arg2065z00_1557)), BUNSPEC);
							}
						else
							{	/* Integrate/node.scm 440 */
								bool_t BgL_testz00_3548;

								{	/* Integrate/node.scm 440 */
									bool_t BgL_testz00_3549;

									{	/* Integrate/node.scm 440 */
										bool_t BgL_res2269z00_2841;

										BgL_res2269z00_2841 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_funz00_1554),
											BGl_sfunzf2Iinfozf2zzintegrate_infoz00);
										BgL_testz00_3549 = BgL_res2269z00_2841;
									}
									if (BgL_testz00_3549)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3552;

											{
												obj_t BgL_auxz00_3553;

												{	/* Integrate/node.scm 440 */
													BgL_objectz00_bglt BgL_auxz00_3554;

													BgL_auxz00_3554 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_1554));
													BgL_auxz00_3553 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3554);
												}
												BgL_auxz00_3552 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3553);
											}
											BgL_testz00_3548 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3552))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 440 */
											BgL_testz00_3548 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3548)
									{	/* Integrate/node.scm 440 */
										return BUNSPEC;
									}
								else
									{	/* Integrate/node.scm 443 */
										obj_t BgL_celledz00_1559;

										{	/* Integrate/node.scm 443 */
											obj_t BgL_arg2076z00_1579;

											BgL_arg2076z00_1579 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_1554)))->
												BgL_argsz00);
											BgL_celledz00_1559 =
												BGl_celledzd2bindingszd2zzintegrate_nodez00
												(BgL_arg2076z00_1579);
										}
										{
											obj_t BgL_l1951z00_1561;

											BgL_l1951z00_1561 = BgL_celledz00_1559;
										BgL_zc3anonymousza32067ze3z83_1562:
											if (PAIRP(BgL_l1951z00_1561))
												{	/* Integrate/node.scm 444 */
													{	/* Integrate/node.scm 445 */
														obj_t BgL_wzd2bzd2_1564;

														BgL_wzd2bzd2_1564 = CAR(BgL_l1951z00_1561);
														{	/* Integrate/node.scm 445 */
															obj_t BgL_arg2069z00_1565;
															obj_t BgL_arg2070z00_1566;

															BgL_arg2069z00_1565 = CAR(BgL_wzd2bzd2_1564);
															BgL_arg2070z00_1566 = CDR(BgL_wzd2bzd2_1564);
															((((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_arg2069z00_1565)))->
																	BgL_fastzd2alphazd2) =
																((obj_t) BgL_arg2070z00_1566), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1951z00_3570;

														BgL_l1951z00_3570 = CDR(BgL_l1951z00_1561);
														BgL_l1951z00_1561 = BgL_l1951z00_3570;
														goto BgL_zc3anonymousza32067ze3z83_1562;
													}
												}
											else
												{	/* Integrate/node.scm 444 */
													((bool_t) 1);
												}
										}
										{	/* Integrate/node.scm 447 */
											BgL_nodez00_bglt BgL_nbody1z00_1569;

											BgL_nbody1z00_1569 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_obodyz00_1555),
												BgL_integratorz00_61);
											{	/* Integrate/node.scm 447 */
												BgL_nodez00_bglt BgL_nbody2z00_1570;

												BgL_nbody2z00_1570 =
													BGl_cellzd2formalszd2zzintegrate_nodez00
													(BgL_celledz00_1559, BgL_nbody1z00_1569);
												{	/* Integrate/node.scm 448 */

													{
														obj_t BgL_l1953z00_1572;

														BgL_l1953z00_1572 = BgL_celledz00_1559;
													BgL_zc3anonymousza32072ze3z83_1573:
														if (PAIRP(BgL_l1953z00_1572))
															{	/* Integrate/node.scm 449 */
																{	/* Integrate/node.scm 450 */
																	obj_t BgL_wzd2bzd2_1575;

																	BgL_wzd2bzd2_1575 = CAR(BgL_l1953z00_1572);
																	{	/* Integrate/node.scm 450 */
																		obj_t BgL_arg2074z00_1576;

																		BgL_arg2074z00_1576 =
																			CAR(BgL_wzd2bzd2_1575);
																		((((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_arg2074z00_1576)))->
																				BgL_fastzd2alphazd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																	}
																}
																{
																	obj_t BgL_l1953z00_3581;

																	BgL_l1953z00_3581 = CDR(BgL_l1953z00_1572);
																	BgL_l1953z00_1572 = BgL_l1953z00_3581;
																	goto BgL_zc3anonymousza32072ze3z83_1573;
																}
															}
														else
															{	/* Integrate/node.scm 449 */
																((bool_t) 1);
															}
													}
													return
														((((BgL_sfunz00_bglt) CREF(
																	((BgL_sfunz00_bglt) BgL_funz00_1554)))->
															BgL_bodyz00) =
														((obj_t) ((obj_t) BgL_nbody2z00_1570)), BUNSPEC);
												}
											}
										}
									}
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_proc2321z00zzintegrate_nodez00, BGl_nodez00zzast_nodez00,
				BGl_string2322z00zzintegrate_nodez00);
		}
	}



/* &glo!1955 */
	obj_t BGl_z62gloz121955z70zzintegrate_nodez00(obj_t BgL_envz00_3125,
		obj_t BgL_nodez00_3126, obj_t BgL_integratorz00_3127)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 139 */
			{
				BgL_nodez00_bglt BgL_nodez00_1582;
				BgL_variablez00_bglt BgL_integratorz00_1583;

				BgL_nodez00_1582 = ((BgL_nodez00_bglt) BgL_nodez00_3126);
				BgL_integratorz00_1583 =
					((BgL_variablez00_bglt) BgL_integratorz00_3127);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 4)),
					BGl_string2323z00zzintegrate_nodez00, ((obj_t) BgL_nodez00_1582));
		}}
	}



/* glo! */
	BgL_nodez00_bglt BGl_gloz12z12zzintegrate_nodez00(BgL_nodez00_bglt
		BgL_nodez00_12, BgL_variablez00_bglt BgL_integratorz00_13)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 139 */
			{	/* Integrate/node.scm 139 */
				obj_t BgL_method1956z00_1586;

				{	/* Integrate/node.scm 139 */
					obj_t BgL_res2279z00_2895;

					{	/* Integrate/node.scm 139 */
						long BgL_objzd2classzd2numz00_2868;

						{	/* Integrate/node.scm 139 */
							long BgL_res2273z00_2871;

							BgL_res2273z00_2871 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_12));
							BgL_objzd2classzd2numz00_2868 = BgL_res2273z00_2871;
						}
						{	/* Integrate/node.scm 139 */
							obj_t BgL_arg1769z00_2869;

							BgL_arg1769z00_2869 =
								PROCEDURE_REF(BGl_gloz12zd2envzc0zzintegrate_nodez00,
								(int) (((long) 1)));
							{	/* Integrate/node.scm 139 */
								int BgL_offsetz00_2873;

								BgL_offsetz00_2873 = (int) (BgL_objzd2classzd2numz00_2868);
								{	/* Integrate/node.scm 139 */
									long BgL_offsetz00_2874;

									BgL_offsetz00_2874 =
										((long) (BgL_offsetz00_2873) - OBJECT_TYPE);
									{	/* Integrate/node.scm 139 */
										long BgL_modz00_2875;

										{	/* Integrate/node.scm 139 */
											int BgL_arg1771z00_2876;

											BgL_arg1771z00_2876 = (int) (((long) 16));
											{	/* Integrate/node.scm 139 */
												long BgL_res2276z00_2886;

												{	/* Integrate/node.scm 139 */
													long BgL_auxz00_3600;

													BgL_auxz00_3600 = (long) (BgL_arg1771z00_2876);
													BgL_res2276z00_2886 =
														(BgL_offsetz00_2874 / BgL_auxz00_3600);
												}
												BgL_modz00_2875 = BgL_res2276z00_2886;
										}}
										{	/* Integrate/node.scm 139 */
											long BgL_restz00_2877;

											{	/* Integrate/node.scm 139 */
												int BgL_arg1770z00_2878;

												BgL_arg1770z00_2878 = (int) (((long) 16));
												{	/* Integrate/node.scm 139 */
													long BgL_res2278z00_2890;

													{	/* Integrate/node.scm 139 */
														long BgL_auxz00_3604;

														BgL_auxz00_3604 = (long) (BgL_arg1770z00_2878);
														BgL_res2278z00_2890 =
															(BgL_offsetz00_2874 % BgL_auxz00_3604);
													}
													BgL_restz00_2877 = BgL_res2278z00_2890;
											}}
											{	/* Integrate/node.scm 139 */

												BgL_res2279z00_2895 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2869,
														(int) (BgL_modz00_2875)), (int) (BgL_restz00_2877));
					}}}}}}}
					BgL_method1956z00_1586 = BgL_res2279z00_2895;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1956z00_1586) (BgL_method1956z00_1586,
						((obj_t) BgL_nodez00_12), ((obj_t) BgL_integratorz00_13), BEOA));
			}
		}
	}



/* &glo! */
	BgL_nodez00_bglt BGl_z62gloz12z70zzintegrate_nodez00(obj_t BgL_envz00_3128,
		obj_t BgL_nodez00_3129, obj_t BgL_integratorz00_3130)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 139 */
			return
				BGl_gloz12z12zzintegrate_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_3129),
				((BgL_variablez00_bglt) BgL_integratorz00_3130));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc2324z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2326z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc2327z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_closurez00zzast_nodez00,
				BGl_proc2328z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2329z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc2330z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc2331z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2332z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2333z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc2334z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc2335z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc2336z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2337z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc2338z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_selectz00zzast_nodez00,
				BGl_proc2339z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2340z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2341z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2342z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2343z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc2344z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc2345z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_gloz12zd2envzc0zzintegrate_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2346z00zzintegrate_nodez00,
				BGl_string2325z00zzintegrate_nodez00);
		}
	}



/* &glo!-box-set!2003 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2setz122003z62zzintegrate_nodez00(obj_t
		BgL_envz00_3153, obj_t BgL_nodez00_3154, obj_t BgL_integratorz00_3155)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 411 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1859;
				obj_t BgL_integratorz00_1860;

				BgL_nodez00_1859 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3154);
				BgL_integratorz00_1860 = BgL_integratorz00_3155;
				{
					BgL_varz00_bglt BgL_auxz00_3644;

					{	/* Integrate/node.scm 414 */
						BgL_varz00_bglt BgL_arg2175z00_1864;

						BgL_arg2175z00_1864 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1859))->BgL_varz00);
						BgL_auxz00_3644 =
							((BgL_varz00_bglt)
							BGl_gloz12z12zzintegrate_nodez00(
								((BgL_nodez00_bglt) BgL_arg2175z00_1864),
								((BgL_variablez00_bglt) BgL_integratorz00_1860)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1859))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3644), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3651;

					{	/* Integrate/node.scm 415 */
						BgL_nodez00_bglt BgL_arg2176z00_1865;

						BgL_arg2176z00_1865 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1859))->
							BgL_valuez00);
						BgL_auxz00_3651 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2176z00_1865,
							((BgL_variablez00_bglt) BgL_integratorz00_1860));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1859))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3651), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1859);
			}
		}
	}



/* &glo!-box-ref2000 */
	BgL_nodez00_bglt BGl_z62gloz12zd2boxzd2ref2000z70zzintegrate_nodez00(obj_t
		BgL_envz00_3156, obj_t BgL_nodez00_3157, obj_t BgL_integratorz00_3158)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 402 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1852;
				obj_t BgL_integratorz00_1853;

				BgL_nodez00_1852 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3157);
				BgL_integratorz00_1853 = BgL_integratorz00_3158;
				{
					BgL_varz00_bglt BgL_auxz00_3658;

					{	/* Integrate/node.scm 405 */
						BgL_varz00_bglt BgL_arg2174z00_3088;

						BgL_arg2174z00_3088 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1852))->BgL_varz00);
						BgL_auxz00_3658 =
							((BgL_varz00_bglt)
							BGl_gloz12z12zzintegrate_nodez00(
								((BgL_nodez00_bglt) BgL_arg2174z00_3088),
								((BgL_variablez00_bglt) BgL_integratorz00_1853)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1852))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3658), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1852);
			}
		}
	}



/* &glo!-make-box1998 */
	BgL_nodez00_bglt BGl_z62gloz12zd2makezd2box1998z70zzintegrate_nodez00(obj_t
		BgL_envz00_3159, obj_t BgL_nodez00_3160, obj_t BgL_integratorz00_3161)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 394 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1845;
				obj_t BgL_integratorz00_1846;

				BgL_nodez00_1845 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3160);
				BgL_integratorz00_1846 = BgL_integratorz00_3161;
				{
					BgL_nodez00_bglt BgL_auxz00_3667;

					{	/* Integrate/node.scm 396 */
						BgL_nodez00_bglt BgL_arg2173z00_3086;

						BgL_arg2173z00_3086 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1845))->BgL_valuez00);
						BgL_auxz00_3667 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2173z00_3086,
							((BgL_variablez00_bglt) BgL_integratorz00_1846));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1845))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3667), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1845);
			}
		}
	}



/* &glo!-jump-ex-it1996 */
	BgL_nodez00_bglt
		BGl_z62gloz12zd2jumpzd2exzd2it1996za2zzintegrate_nodez00(obj_t
		BgL_envz00_3162, obj_t BgL_nodez00_3163, obj_t BgL_integratorz00_3164)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 385 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1837;
				obj_t BgL_integratorz00_1838;

				BgL_nodez00_1837 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3163);
				BgL_integratorz00_1838 = BgL_integratorz00_3164;
				{
					BgL_nodez00_bglt BgL_auxz00_3674;

					{	/* Integrate/node.scm 387 */
						BgL_nodez00_bglt BgL_arg2170z00_1842;

						BgL_arg2170z00_1842 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1837))->
							BgL_exitz00);
						BgL_auxz00_3674 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2170z00_1842,
							((BgL_variablez00_bglt) BgL_integratorz00_1838));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1837))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3674), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3679;

					{	/* Integrate/node.scm 388 */
						BgL_nodez00_bglt BgL_arg2172z00_1843;

						BgL_arg2172z00_1843 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1837))->
							BgL_valuez00);
						BgL_auxz00_3679 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2172z00_1843,
							((BgL_variablez00_bglt) BgL_integratorz00_1838));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1837))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3679), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1837);
			}
		}
	}



/* &glo!-set-ex-it1994 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setzd2exzd2it1994za2zzintegrate_nodez00(obj_t
		BgL_envz00_3165, obj_t BgL_nodez00_3166, obj_t BgL_integratorz00_3167)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 377 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1830;
				obj_t BgL_integratorz00_1831;

				BgL_nodez00_1830 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3166);
				BgL_integratorz00_1831 = BgL_integratorz00_3167;
				{
					BgL_nodez00_bglt BgL_auxz00_3686;

					{	/* Integrate/node.scm 379 */
						BgL_nodez00_bglt BgL_arg2168z00_3084;

						BgL_arg2168z00_3084 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1830))->
							BgL_bodyz00);
						BgL_auxz00_3686 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2168z00_3084,
							((BgL_variablez00_bglt) BgL_integratorz00_1831));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1830))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3686), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1830);
			}
		}
	}



/* &glo!-let-var1992 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2var1992z70zzintegrate_nodez00(obj_t
		BgL_envz00_3168, obj_t BgL_nodez00_3169, obj_t BgL_integratorz00_3170)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 359 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1809;
				obj_t BgL_integratorz00_1810;

				BgL_nodez00_1809 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3169);
				BgL_integratorz00_1810 = BgL_integratorz00_3170;
				{	/* Integrate/node.scm 361 */
					obj_t BgL_g1950z00_1814;

					BgL_g1950z00_1814 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1809))->BgL_bindingsz00);
					{
						obj_t BgL_l1948z00_1816;

						BgL_l1948z00_1816 = BgL_g1950z00_1814;
					BgL_zc3anonymousza32160ze3z83_1817:
						if (PAIRP(BgL_l1948z00_1816))
							{	/* Integrate/node.scm 361 */
								{	/* Integrate/node.scm 362 */
									obj_t BgL_bindingz00_1819;

									BgL_bindingz00_1819 = CAR(BgL_l1948z00_1816);
									{	/* Integrate/node.scm 362 */
										obj_t BgL_varz00_1820;
										obj_t BgL_valz00_1821;

										BgL_varz00_1820 = CAR(BgL_bindingz00_1819);
										BgL_valz00_1821 = CDR(BgL_bindingz00_1819);
										{	/* Integrate/node.scm 364 */
											BgL_nodez00_bglt BgL_arg2162z00_1822;

											BgL_arg2162z00_1822 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_valz00_1821),
												((BgL_variablez00_bglt) BgL_integratorz00_1810));
											{	/* Integrate/node.scm 364 */
												obj_t BgL_auxz00_3702;

												BgL_auxz00_3702 = ((obj_t) BgL_arg2162z00_1822);
												SET_CDR(BgL_bindingz00_1819, BgL_auxz00_3702);
											}
										}
										if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
												((BgL_localz00_bglt) BgL_varz00_1820)))
											{	/* Integrate/node.scm 365 */
												{	/* Integrate/node.scm 367 */
													BgL_typez00_bglt BgL_vz00_3077;

													BgL_vz00_3077 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt)
																CREF(((BgL_variablez00_bglt) (
																			(BgL_localz00_bglt) BgL_varz00_1820))))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3077), BUNSPEC);
												}
												{	/* Integrate/node.scm 368 */
													BgL_makezd2boxzd2_bglt BgL_arg2164z00_1824;

													{	/* Integrate/node.scm 368 */
														obj_t BgL_arg2165z00_1825;

														BgL_arg2165z00_1825 = CDR(BgL_bindingz00_1819);
														BgL_arg2164z00_1824 =
															BGl_azd2makezd2cellz00zzintegrate_nodez00(
															((BgL_nodez00_bglt) BgL_arg2165z00_1825),
															((BgL_variablez00_bglt) BgL_varz00_1820));
													}
													{	/* Integrate/node.scm 368 */
														obj_t BgL_auxz00_3716;

														BgL_auxz00_3716 = ((obj_t) BgL_arg2164z00_1824);
														SET_CDR(BgL_bindingz00_1819, BgL_auxz00_3716);
													}
												}
											}
										else
											{	/* Integrate/node.scm 365 */
												BFALSE;
											}
									}
								}
								{
									obj_t BgL_l1948z00_3719;

									BgL_l1948z00_3719 = CDR(BgL_l1948z00_1816);
									BgL_l1948z00_1816 = BgL_l1948z00_3719;
									goto BgL_zc3anonymousza32160ze3z83_1817;
								}
							}
						else
							{	/* Integrate/node.scm 361 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3721;

					{	/* Integrate/node.scm 371 */
						BgL_nodez00_bglt BgL_arg2167z00_1828;

						BgL_arg2167z00_1828 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1809))->BgL_bodyz00);
						BgL_auxz00_3721 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2167z00_1828,
							((BgL_variablez00_bglt) BgL_integratorz00_1810));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1809))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3721), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1809);
			}
		}
	}



/* &glo!-let-fun1990 */
	BgL_nodez00_bglt BGl_z62gloz12zd2letzd2fun1990z70zzintegrate_nodez00(obj_t
		BgL_envz00_3171, obj_t BgL_nodez00_3172, obj_t BgL_integratorz00_3173)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 348 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1794;
				obj_t BgL_integratorz00_1795;

				BgL_nodez00_1794 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3172);
				BgL_integratorz00_1795 = BgL_integratorz00_3173;
				{
					BgL_nodez00_bglt BgL_auxz00_3728;

					{	/* Integrate/node.scm 350 */
						BgL_nodez00_bglt BgL_arg2156z00_1799;

						BgL_arg2156z00_1799 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1794))->BgL_bodyz00);
						BgL_auxz00_3728 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2156z00_1799,
							((BgL_variablez00_bglt) BgL_integratorz00_1795));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1794))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3728), BUNSPEC);
				}
				{	/* Integrate/node.scm 351 */
					obj_t BgL_g1947z00_1800;

					BgL_g1947z00_1800 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1794))->BgL_localsz00);
					{
						obj_t BgL_l1945z00_1802;

						BgL_l1945z00_1802 = BgL_g1947z00_1800;
					BgL_zc3anonymousza32157ze3z83_1803:
						if (PAIRP(BgL_l1945z00_1802))
							{	/* Integrate/node.scm 351 */
								{	/* Integrate/node.scm 352 */
									obj_t BgL_localz00_1805;

									BgL_localz00_1805 = CAR(BgL_l1945z00_1802);
									BGl_globaliza7ezd2localzd2funz12zb5zzintegrate_nodez00(
										((BgL_localz00_bglt) BgL_localz00_1805),
										((BgL_variablez00_bglt) BgL_integratorz00_1795));
								}
								{
									obj_t BgL_l1945z00_3740;

									BgL_l1945z00_3740 = CDR(BgL_l1945z00_1802);
									BgL_l1945z00_1802 = BgL_l1945z00_3740;
									goto BgL_zc3anonymousza32157ze3z83_1803;
								}
							}
						else
							{	/* Integrate/node.scm 351 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1794);
			}
		}
	}



/* &glo!-select1988 */
	BgL_nodez00_bglt BGl_z62gloz12zd2select1988za2zzintegrate_nodez00(obj_t
		BgL_envz00_3174, obj_t BgL_nodez00_3175, obj_t BgL_integratorz00_3176)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 337 */
			{
				BgL_selectz00_bglt BgL_nodez00_1777;
				obj_t BgL_integratorz00_1778;

				BgL_nodez00_1777 = ((BgL_selectz00_bglt) BgL_nodez00_3175);
				BgL_integratorz00_1778 = BgL_integratorz00_3176;
				{
					BgL_nodez00_bglt BgL_auxz00_3744;

					{	/* Integrate/node.scm 339 */
						BgL_nodez00_bglt BgL_arg2149z00_1782;

						BgL_arg2149z00_1782 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1777))->BgL_testz00);
						BgL_auxz00_3744 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2149z00_1782,
							((BgL_variablez00_bglt) BgL_integratorz00_1778));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1777))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3744), BUNSPEC);
				}
				{	/* Integrate/node.scm 340 */
					obj_t BgL_g1944z00_1783;

					BgL_g1944z00_1783 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1777))->BgL_clausesz00);
					{
						obj_t BgL_l1942z00_1785;

						BgL_l1942z00_1785 = BgL_g1944z00_1783;
					BgL_zc3anonymousza32150ze3z83_1786:
						if (PAIRP(BgL_l1942z00_1785))
							{	/* Integrate/node.scm 340 */
								{	/* Integrate/node.scm 341 */
									obj_t BgL_clausez00_1788;

									BgL_clausez00_1788 = CAR(BgL_l1942z00_1785);
									{	/* Integrate/node.scm 341 */
										BgL_nodez00_bglt BgL_arg2152z00_1789;

										{	/* Integrate/node.scm 341 */
											obj_t BgL_arg2153z00_1790;

											BgL_arg2153z00_1790 = CDR(BgL_clausez00_1788);
											BgL_arg2152z00_1789 =
												BGl_gloz12z12zzintegrate_nodez00(
												((BgL_nodez00_bglt) BgL_arg2153z00_1790),
												((BgL_variablez00_bglt) BgL_integratorz00_1778));
										}
										{	/* Integrate/node.scm 341 */
											obj_t BgL_auxz00_3757;

											BgL_auxz00_3757 = ((obj_t) BgL_arg2152z00_1789);
											SET_CDR(BgL_clausez00_1788, BgL_auxz00_3757);
										}
									}
								}
								{
									obj_t BgL_l1942z00_3760;

									BgL_l1942z00_3760 = CDR(BgL_l1942z00_1785);
									BgL_l1942z00_1785 = BgL_l1942z00_3760;
									goto BgL_zc3anonymousza32150ze3z83_1786;
								}
							}
						else
							{	/* Integrate/node.scm 340 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1777);
			}
		}
	}



/* &glo!-fail1986 */
	BgL_nodez00_bglt BGl_z62gloz12zd2fail1986za2zzintegrate_nodez00(obj_t
		BgL_envz00_3177, obj_t BgL_nodez00_3178, obj_t BgL_integratorz00_3179)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 327 */
			{
				BgL_failz00_bglt BgL_nodez00_1768;
				obj_t BgL_integratorz00_1769;

				BgL_nodez00_1768 = ((BgL_failz00_bglt) BgL_nodez00_3178);
				BgL_integratorz00_1769 = BgL_integratorz00_3179;
				{
					BgL_nodez00_bglt BgL_auxz00_3764;

					{	/* Integrate/node.scm 329 */
						BgL_nodez00_bglt BgL_arg2146z00_1773;

						BgL_arg2146z00_1773 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1768))->BgL_procz00);
						BgL_auxz00_3764 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2146z00_1773,
							((BgL_variablez00_bglt) BgL_integratorz00_1769));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1768))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3764), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3769;

					{	/* Integrate/node.scm 330 */
						BgL_nodez00_bglt BgL_arg2147z00_1774;

						BgL_arg2147z00_1774 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1768))->BgL_msgz00);
						BgL_auxz00_3769 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2147z00_1774,
							((BgL_variablez00_bglt) BgL_integratorz00_1769));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1768))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3769), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3774;

					{	/* Integrate/node.scm 331 */
						BgL_nodez00_bglt BgL_arg2148z00_1775;

						BgL_arg2148z00_1775 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1768))->BgL_objz00);
						BgL_auxz00_3774 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2148z00_1775,
							((BgL_variablez00_bglt) BgL_integratorz00_1769));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1768))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3774), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1768);
			}
		}
	}



/* &glo!-conditional1984 */
	BgL_nodez00_bglt BGl_z62gloz12zd2conditional1984za2zzintegrate_nodez00(obj_t
		BgL_envz00_3180, obj_t BgL_nodez00_3181, obj_t BgL_integratorz00_3182)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 317 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1759;
				obj_t BgL_integratorz00_1760;

				BgL_nodez00_1759 = ((BgL_conditionalz00_bglt) BgL_nodez00_3181);
				BgL_integratorz00_1760 = BgL_integratorz00_3182;
				{
					BgL_nodez00_bglt BgL_auxz00_3781;

					{	/* Integrate/node.scm 319 */
						BgL_nodez00_bglt BgL_arg2143z00_1764;

						BgL_arg2143z00_1764 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1759))->BgL_testz00);
						BgL_auxz00_3781 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2143z00_1764,
							((BgL_variablez00_bglt) BgL_integratorz00_1760));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1759))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3781), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3786;

					{	/* Integrate/node.scm 320 */
						BgL_nodez00_bglt BgL_arg2144z00_1765;

						BgL_arg2144z00_1765 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1759))->BgL_truez00);
						BgL_auxz00_3786 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2144z00_1765,
							((BgL_variablez00_bglt) BgL_integratorz00_1760));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1759))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3786), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3791;

					{	/* Integrate/node.scm 321 */
						BgL_nodez00_bglt BgL_arg2145z00_1766;

						BgL_arg2145z00_1766 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1759))->
							BgL_falsez00);
						BgL_auxz00_3791 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2145z00_1766,
							((BgL_variablez00_bglt) BgL_integratorz00_1760));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1759))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3791), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1759);
			}
		}
	}



/* &glo!-setq1982 */
	BgL_nodez00_bglt BGl_z62gloz12zd2setq1982za2zzintegrate_nodez00(obj_t
		BgL_envz00_3183, obj_t BgL_nodez00_3184, obj_t BgL_integratorz00_3185)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 280 */
			{
				BgL_setqz00_bglt BgL_nodez00_1716;
				obj_t BgL_integratorz00_1717;

				BgL_nodez00_1716 = ((BgL_setqz00_bglt) BgL_nodez00_3184);
				BgL_integratorz00_1717 = BgL_integratorz00_3185;
				{
					BgL_nodez00_bglt BgL_auxz00_3798;

					{	/* Integrate/node.scm 282 */
						BgL_nodez00_bglt BgL_arg2124z00_1721;

						BgL_arg2124z00_1721 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1716))->BgL_valuez00);
						BgL_auxz00_3798 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2124z00_1721,
							((BgL_variablez00_bglt) BgL_integratorz00_1717));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1716))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3798), BUNSPEC);
				}
				{	/* Integrate/node.scm 283 */
					BgL_variablez00_bglt BgL_varz00_1722;

					BgL_varz00_1722 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setqz00_bglt) CREF(BgL_nodez00_1716))->BgL_varz00)))->
						BgL_variablez00);
					{	/* Integrate/node.scm 283 */
						BgL_typez00_bglt BgL_vtypez00_1723;

						BgL_vtypez00_1723 =
							(((BgL_variablez00_bglt) CREF(BgL_varz00_1722))->BgL_typez00);
						{	/* Integrate/node.scm 284 */

							{	/* Integrate/node.scm 285 */
								obj_t BgL_g1135z00_1724;

								BgL_g1135z00_1724 =
									(((BgL_variablez00_bglt) CREF(BgL_varz00_1722))->
									BgL_fastzd2alphazd2);
								{
									BgL_variablez00_bglt BgL_varz00_1726;
									obj_t BgL_alphaz00_1727;

									BgL_varz00_1726 = BgL_varz00_1722;
									BgL_alphaz00_1727 = BgL_g1135z00_1724;
								BgL_zc3anonymousza32125ze3z83_1728:
									if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1727,
											BGl_localz00zzast_varz00))
										{	/* Integrate/node.scm 287 */
											{	/* Integrate/node.scm 289 */
												BgL_varz00_bglt BgL_arg2127z00_1730;

												BgL_arg2127z00_1730 =
													(((BgL_setqz00_bglt) CREF(BgL_nodez00_1716))->
													BgL_varz00);
												((((BgL_varz00_bglt) CREF(BgL_arg2127z00_1730))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt) (
																(BgL_localz00_bglt) BgL_alphaz00_1727))),
													BUNSPEC);
											}
											{	/* Integrate/node.scm 290 */
												obj_t BgL_arg2128z00_1731;

												BgL_arg2128z00_1731 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_alphaz00_1727))))->
													BgL_fastzd2alphazd2);
												{
													obj_t BgL_alphaz00_3819;
													BgL_variablez00_bglt BgL_varz00_3816;

													BgL_varz00_3816 =
														((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_alphaz00_1727));
													BgL_alphaz00_3819 = BgL_arg2128z00_1731;
													BgL_alphaz00_1727 = BgL_alphaz00_3819;
													BgL_varz00_1726 = BgL_varz00_3816;
													goto BgL_zc3anonymousza32125ze3z83_1728;
												}
											}
										}
									else
										{	/* Integrate/node.scm 291 */
											BgL_variablez00_bglt BgL_varz00_1732;

											BgL_varz00_1732 =
												(((BgL_varz00_bglt) CREF(
														(((BgL_setqz00_bglt) CREF(BgL_nodez00_1716))->
															BgL_varz00)))->BgL_variablez00);
											{	/* Integrate/node.scm 292 */
												bool_t BgL_testz00_3822;

												{	/* Integrate/node.scm 292 */
													bool_t BgL_testz00_3823;

													{	/* Integrate/node.scm 292 */
														bool_t BgL_res2308z00_3019;

														BgL_res2308z00_3019 =
															BGl_isazf3zf3zz__objectz00(
															((obj_t) BgL_varz00_1732),
															BGl_localz00zzast_varz00);
														BgL_testz00_3823 = BgL_res2308z00_3019;
													}
													if (BgL_testz00_3823)
														{	/* Integrate/node.scm 292 */
															BgL_testz00_3822 =
																BGl_integratezd2celledzf3z21zzintegrate_nodez00(
																((BgL_localz00_bglt) BgL_varz00_1732));
														}
													else
														{	/* Integrate/node.scm 292 */
															BgL_testz00_3822 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_3822)
													{	/* Integrate/node.scm 293 */
														BgL_localz00_bglt BgL_azd2varzd2_1734;
														obj_t BgL_locz00_1735;

														BgL_azd2varzd2_1734 =
															BGl_makezd2localzd2svarz00zzast_localz00
															(CNST_TABLE_REF(((long) 5)),
															((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00));
														BgL_locz00_1735 =
															(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_nodez00_1716)))->BgL_locz00);
														{	/* Integrate/node.scm 295 */
															obj_t BgL_vz00_3023;

															BgL_vz00_3023 = CNST_TABLE_REF(((long) 1));
															((((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_varz00_1732))))->BgL_accessz00) =
																((obj_t) BgL_vz00_3023), BUNSPEC);
														}
														{	/* Integrate/node.scm 296 */
															BgL_varz00_bglt BgL_arg2130z00_1736;

															BgL_arg2130z00_1736 =
																(((BgL_setqz00_bglt) CREF(BgL_nodez00_1716))->
																BgL_varz00);
															{	/* Integrate/node.scm 296 */
																BgL_typez00_bglt BgL_vz00_3029;

																BgL_vz00_3029 =
																	((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00);
																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																					BgL_arg2130z00_1736)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_vz00_3029), BUNSPEC);
														}}
														{	/* Integrate/node.scm 297 */
															BgL_svarz00_bglt BgL_tmp1136z00_1737;

															BgL_tmp1136z00_1737 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_azd2varzd2_1734)))->BgL_valuez00));
															{	/* Integrate/node.scm 297 */
																BgL_svarzf2iinfozf2_bglt BgL_wide1138z00_1739;

																BgL_wide1138z00_1739 =
																	((BgL_svarzf2iinfozf2_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_svarzf2iinfozf2_bgl))));
																{	/* Integrate/node.scm 297 */
																	obj_t BgL_auxz00_3848;
																	BgL_objectz00_bglt BgL_auxz00_3845;

																	BgL_auxz00_3848 =
																		((obj_t) BgL_wide1138z00_1739);
																	BgL_auxz00_3845 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1136z00_1737));
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_3845,
																		BgL_auxz00_3848);
																}
																{	/* Integrate/node.scm 297 */
																	long BgL_arg2131z00_1740;

																	{	/* Integrate/node.scm 297 */
																		long BgL_res2311z00_3035;

																		BgL_res2311z00_3035 =
																			BGL_CLASS_INDEX
																			(BGl_svarzf2Iinfozf2zzintegrate_infoz00);
																		BgL_arg2131z00_1740 = BgL_res2311z00_3035;
																	}
																	((BgL_svarz00_bglt)
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				((BgL_svarz00_bglt)
																					BgL_tmp1136z00_1737)),
																			BgL_arg2131z00_1740));
																}
																((BgL_svarz00_bglt) BgL_tmp1136z00_1737);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_3857;

																{
																	obj_t BgL_auxz00_3858;

																	{	/* Integrate/node.scm 298 */
																		BgL_objectz00_bglt BgL_auxz00_3859;

																		BgL_auxz00_3859 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1136z00_1737));
																		BgL_auxz00_3858 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3859);
																	}
																	BgL_auxz00_3857 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_3858);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_3857))->BgL_fzd2markzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_3865;

																{
																	obj_t BgL_auxz00_3866;

																	{	/* Integrate/node.scm 298 */
																		BgL_objectz00_bglt BgL_auxz00_3867;

																		BgL_auxz00_3867 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1136z00_1737));
																		BgL_auxz00_3866 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3867);
																	}
																	BgL_auxz00_3865 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_3866);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_3865))->BgL_uzd2markzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_3873;

																{
																	obj_t BgL_auxz00_3874;

																	{	/* Integrate/node.scm 298 */
																		BgL_objectz00_bglt BgL_auxz00_3875;

																		BgL_auxz00_3875 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1136z00_1737));
																		BgL_auxz00_3874 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3875);
																	}
																	BgL_auxz00_3873 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_3874);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_3873))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2iinfozf2_bglt BgL_auxz00_3881;

																{
																	obj_t BgL_auxz00_3882;

																	{	/* Integrate/node.scm 298 */
																		BgL_objectz00_bglt BgL_auxz00_3883;

																		BgL_auxz00_3883 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1136z00_1737));
																		BgL_auxz00_3882 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3883);
																	}
																	BgL_auxz00_3881 =
																		((BgL_svarzf2iinfozf2_bglt)
																		BgL_auxz00_3882);
																}
																((((BgL_svarzf2iinfozf2_bglt)
																			CREF(BgL_auxz00_3881))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1136z00_1737);
														}
														{	/* Integrate/node.scm 299 */
															BgL_letzd2varzd2_bglt BgL_new1141z00_1742;

															{	/* Integrate/node.scm 300 */
																BgL_letzd2varzd2_bglt BgL_new1140z00_1752;

																BgL_new1140z00_1752 =
																	((BgL_letzd2varzd2_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_letzd2varzd2_bgl))));
																{	/* Integrate/node.scm 300 */
																	long BgL_arg2138z00_1753;

																	{	/* Integrate/node.scm 300 */
																		long BgL_res2312z00_3039;

																		BgL_res2312z00_3039 =
																			BGL_CLASS_INDEX
																			(BGl_letzd2varzd2zzast_nodez00);
																		BgL_arg2138z00_1753 = BgL_res2312z00_3039;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1140z00_1752),
																		BgL_arg2138z00_1753);
																}
																{	/* Integrate/node.scm 300 */
																	BgL_objectz00_bglt BgL_auxz00_3894;

																	BgL_auxz00_3894 =
																		((BgL_objectz00_bglt) BgL_new1140z00_1752);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_3894,
																		BFALSE);
																}
																BgL_new1141z00_1742 = BgL_new1140z00_1752;
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1141z00_1742)))->BgL_locz00) =
																((obj_t) BgL_locz00_1735), BUNSPEC);
															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																				BgL_new1141z00_1742)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_za2unspecza2z00zztype_cachez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1141z00_1742)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1141z00_1742)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_3907;

																{	/* Integrate/node.scm 302 */
																	obj_t BgL_arg2132z00_1743;

																	{	/* Integrate/node.scm 302 */
																		BgL_nodez00_bglt BgL_arg2134z00_1745;

																		BgL_arg2134z00_1745 =
																			(((BgL_setqz00_bglt)
																				CREF(BgL_nodez00_1716))->BgL_valuez00);
																		BgL_arg2132z00_1743 =
																			MAKE_PAIR(((obj_t) BgL_azd2varzd2_1734),
																			((obj_t) BgL_arg2134z00_1745));
																	}
																	{	/* Integrate/node.scm 302 */
																		obj_t BgL_list2133z00_1744;

																		BgL_list2133z00_1744 =
																			MAKE_PAIR(BgL_arg2132z00_1743, BNIL);
																		BgL_auxz00_3907 = BgL_list2133z00_1744;
																}}
																((((BgL_letzd2varzd2_bglt)
																			CREF(BgL_new1141z00_1742))->
																		BgL_bindingsz00) =
																	((obj_t) BgL_auxz00_3907), BUNSPEC);
															}
															{
																BgL_nodez00_bglt BgL_auxz00_3914;

																{	/* Integrate/node.scm 303 */
																	BgL_boxzd2setz12zc0_bglt BgL_new1143z00_1746;

																	{	/* Integrate/node.scm 304 */
																		BgL_boxzd2setz12zc0_bglt
																			BgL_new1142z00_1750;
																		BgL_new1142z00_1750 =
																			((BgL_boxzd2setz12zc0_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_boxzd2setz12zc0_bgl))));
																		{	/* Integrate/node.scm 304 */
																			long BgL_arg2137z00_1751;

																			{	/* Integrate/node.scm 304 */
																				long BgL_res2314z00_3045;

																				{	/* Integrate/node.scm 304 */
																					obj_t BgL_classz00_3044;

																					BgL_classz00_3044 =
																						BGl_boxzd2setz12zc0zzast_nodez00;
																					BgL_res2314z00_3045 =
																						BGL_CLASS_INDEX(BgL_classz00_3044);
																				}
																				BgL_arg2137z00_1751 =
																					BgL_res2314z00_3045;
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1142z00_1750),
																				BgL_arg2137z00_1751);
																		}
																		{	/* Integrate/node.scm 304 */
																			BgL_objectz00_bglt BgL_auxz00_3919;

																			BgL_auxz00_3919 =
																				((BgL_objectz00_bglt)
																				BgL_new1142z00_1750);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_3919,
																				BFALSE);
																		}
																		BgL_new1143z00_1746 = BgL_new1142z00_1750;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1143z00_1746)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1735), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1143z00_1746)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2unspecza2z00zztype_cachez00)),
																		BUNSPEC);
																	((((BgL_boxzd2setz12zc0_bglt)
																				CREF(BgL_new1143z00_1746))->
																			BgL_varz00) =
																		((BgL_varz00_bglt) (((BgL_setqz00_bglt)
																					CREF(BgL_nodez00_1716))->BgL_varz00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_3929;

																		{	/* Integrate/node.scm 308 */
																			BgL_varz00_bglt BgL_new1145z00_1747;

																			{	/* Integrate/node.scm 309 */
																				BgL_varz00_bglt BgL_new1144z00_1748;

																				BgL_new1144z00_1748 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Integrate/node.scm 309 */
																					long BgL_arg2136z00_1749;

																					{	/* Integrate/node.scm 309 */
																						long BgL_res2316z00_3052;

																						{	/* Integrate/node.scm 309 */
																							obj_t BgL_classz00_3051;

																							BgL_classz00_3051 =
																								BGl_varz00zzast_nodez00;
																							BgL_res2316z00_3052 =
																								BGL_CLASS_INDEX
																								(BgL_classz00_3051);
																						}
																						BgL_arg2136z00_1749 =
																							BgL_res2316z00_3052;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1144z00_1748),
																						BgL_arg2136z00_1749);
																				}
																				{	/* Integrate/node.scm 309 */
																					BgL_objectz00_bglt BgL_auxz00_3934;

																					BgL_auxz00_3934 =
																						((BgL_objectz00_bglt)
																						BgL_new1144z00_1748);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_3934, BFALSE);
																				}
																				BgL_new1145z00_1747 =
																					BgL_new1144z00_1748;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1145z00_1747)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1735), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1145z00_1747)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((
																							(BgL_variablez00_bglt)
																							CREF(((BgL_variablez00_bglt)
																									BgL_azd2varzd2_1734)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1145z00_1747))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_azd2varzd2_1734)), BUNSPEC);
																			BgL_auxz00_3929 =
																				((BgL_nodez00_bglt)
																				BgL_new1145z00_1747);
																		}
																		((((BgL_boxzd2setz12zc0_bglt)
																					CREF(BgL_new1143z00_1746))->
																				BgL_valuez00) =
																			((BgL_nodez00_bglt) BgL_auxz00_3929),
																			BUNSPEC);
																	}
																	((((BgL_boxzd2setz12zc0_bglt)
																				CREF(BgL_new1143z00_1746))->
																			BgL_vtypez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_vtypez00_1723)), BUNSPEC);
																	BgL_auxz00_3914 =
																		((BgL_nodez00_bglt) BgL_new1143z00_1746);
																}
																((((BgL_letzd2varzd2_bglt)
																			CREF(BgL_new1141z00_1742))->BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_3914),
																	BUNSPEC);
															}
															((((BgL_letzd2varzd2_bglt)
																		CREF(BgL_new1141z00_1742))->
																	BgL_removablezf3zf3) =
																((bool_t) ((bool_t) 1)), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1141z00_1742);
														}
													}
												else
													{	/* Integrate/node.scm 292 */
														return ((BgL_nodez00_bglt) BgL_nodez00_1716);
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &glo!-cast1980 */
	BgL_nodez00_bglt BGl_z62gloz12zd2cast1980za2zzintegrate_nodez00(obj_t
		BgL_envz00_3186, obj_t BgL_nodez00_3187, obj_t BgL_integratorz00_3188)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 272 */
			{
				BgL_castz00_bglt BgL_nodez00_1709;
				obj_t BgL_integratorz00_1710;

				BgL_nodez00_1709 = ((BgL_castz00_bglt) BgL_nodez00_3187);
				BgL_integratorz00_1710 = BgL_integratorz00_3188;
				{	/* Integrate/node.scm 274 */
					BgL_nodez00_bglt BgL_arg2123z00_2990;

					BgL_arg2123z00_2990 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1709))->BgL_argz00);
					BGl_gloz12z12zzintegrate_nodez00(BgL_arg2123z00_2990,
						((BgL_variablez00_bglt) BgL_integratorz00_1710));
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1709);
			}
		}
	}



/* &glo!-extern1977 */
	BgL_nodez00_bglt BGl_z62gloz12zd2extern1977za2zzintegrate_nodez00(obj_t
		BgL_envz00_3189, obj_t BgL_nodez00_3190, obj_t BgL_integratorz00_3191)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 264 */
			{
				BgL_externz00_bglt BgL_nodez00_1702;
				obj_t BgL_integratorz00_1703;

				BgL_nodez00_1702 = ((BgL_externz00_bglt) BgL_nodez00_3190);
				BgL_integratorz00_1703 = BgL_integratorz00_3191;
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1702))->BgL_exprza2za2),
					BgL_integratorz00_1703);
				return ((BgL_nodez00_bglt) BgL_nodez00_1702);
			}
		}
	}



/* &glo!-funcall1975 */
	BgL_nodez00_bglt BGl_z62gloz12zd2funcall1975za2zzintegrate_nodez00(obj_t
		BgL_envz00_3192, obj_t BgL_nodez00_3193, obj_t BgL_integratorz00_3194)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 255 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1694;
				obj_t BgL_integratorz00_1695;

				BgL_nodez00_1694 = ((BgL_funcallz00_bglt) BgL_nodez00_3193);
				BgL_integratorz00_1695 = BgL_integratorz00_3194;
				{
					BgL_nodez00_bglt BgL_auxz00_3964;

					{	/* Integrate/node.scm 257 */
						BgL_nodez00_bglt BgL_arg2119z00_1699;

						BgL_arg2119z00_1699 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1694))->BgL_funz00);
						BgL_auxz00_3964 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2119z00_1699,
							((BgL_variablez00_bglt) BgL_integratorz00_1695));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1694))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3964), BUNSPEC);
				}
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1694))->BgL_argsz00),
					BgL_integratorz00_1695);
				return ((BgL_nodez00_bglt) BgL_nodez00_1694);
			}
		}
	}



/* &glo!-app-ly1973 */
	BgL_nodez00_bglt BGl_z62gloz12zd2appzd2ly1973z70zzintegrate_nodez00(obj_t
		BgL_envz00_3195, obj_t BgL_nodez00_3196, obj_t BgL_integratorz00_3197)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 246 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1686;
				obj_t BgL_integratorz00_1687;

				BgL_nodez00_1686 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3196);
				BgL_integratorz00_1687 = BgL_integratorz00_3197;
				{
					BgL_nodez00_bglt BgL_auxz00_3973;

					{	/* Integrate/node.scm 248 */
						BgL_nodez00_bglt BgL_arg2117z00_1691;

						BgL_arg2117z00_1691 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1686))->BgL_funz00);
						BgL_auxz00_3973 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2117z00_1691,
							((BgL_variablez00_bglt) BgL_integratorz00_1687));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1686))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3973), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3978;

					{	/* Integrate/node.scm 249 */
						BgL_nodez00_bglt BgL_arg2118z00_1692;

						BgL_arg2118z00_1692 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1686))->BgL_argz00);
						BgL_auxz00_3978 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2118z00_1692,
							((BgL_variablez00_bglt) BgL_integratorz00_1687));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1686))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3978), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1686);
			}
		}
	}



/* &glo!-app1971 */
	BgL_nodez00_bglt BGl_z62gloz12zd2app1971za2zzintegrate_nodez00(obj_t
		BgL_envz00_3198, obj_t BgL_nodez00_3199, obj_t BgL_integratorz00_3200)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 206 */
			{
				BgL_appz00_bglt BgL_nodez00_1640;
				obj_t BgL_integratorz00_1641;

				BgL_nodez00_1640 = ((BgL_appz00_bglt) BgL_nodez00_3199);
				BgL_integratorz00_1641 = BgL_integratorz00_3200;
				{	/* Integrate/node.scm 208 */
					BgL_variablez00_bglt BgL_funz00_1645;

					BgL_funz00_1645 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1640))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Integrate/node.scm 208 */
						BgL_valuez00_bglt BgL_infoz00_1646;

						BgL_infoz00_1646 =
							(((BgL_variablez00_bglt) CREF(BgL_funz00_1645))->BgL_valuez00);
						{	/* Integrate/node.scm 209 */

							{	/* Integrate/node.scm 211 */
								bool_t BgL_testz00_3988;

								{	/* Integrate/node.scm 211 */
									bool_t BgL_testz00_3989;

									{	/* Integrate/node.scm 211 */
										bool_t BgL_res2290z00_2945;

										BgL_res2290z00_2945 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_funz00_1645), BGl_localz00zzast_varz00);
										BgL_testz00_3989 = BgL_res2290z00_2945;
									}
									if (BgL_testz00_3989)
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_3992;

											{
												obj_t BgL_auxz00_3993;

												{	/* Integrate/node.scm 211 */
													BgL_objectz00_bglt BgL_auxz00_3994;

													BgL_auxz00_3994 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_1646));
													BgL_auxz00_3993 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3994);
												}
												BgL_auxz00_3992 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_3993);
											}
											BgL_testz00_3988 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_3992))->
												BgL_gzf3zf3);
										}
									else
										{	/* Integrate/node.scm 211 */
											BgL_testz00_3988 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3988)
									{	/* Integrate/node.scm 213 */
										BgL_varz00_bglt BgL_arg2094z00_1648;

										{	/* Integrate/node.scm 213 */
											BgL_varz00_bglt BgL_new1125z00_1649;

											{	/* Integrate/node.scm 214 */
												BgL_varz00_bglt BgL_new1124z00_1651;

												BgL_new1124z00_1651 =
													((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_varz00_bgl))));
												{	/* Integrate/node.scm 214 */
													long BgL_arg2096z00_1652;

													{	/* Integrate/node.scm 214 */
														long BgL_res2292z00_2950;

														BgL_res2292z00_2950 =
															BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
														BgL_arg2096z00_1652 = BgL_res2292z00_2950;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1124z00_1651),
														BgL_arg2096z00_1652);
												}
												{	/* Integrate/node.scm 214 */
													BgL_objectz00_bglt BgL_auxz00_4004;

													BgL_auxz00_4004 =
														((BgL_objectz00_bglt) BgL_new1124z00_1651);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_4004, BFALSE);
												}
												BgL_new1125z00_1649 = BgL_new1124z00_1651;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1125z00_1649)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																	BgL_nodez00_1640)))->BgL_locz00)), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_4011;

												{	/* Integrate/node.scm 215 */
													obj_t BgL_arg2095z00_1650;

													BgL_arg2095z00_1650 =
														BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
														((BgL_localz00_bglt) BgL_funz00_1645));
													BgL_auxz00_4011 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_arg2095z00_1650)))->
														BgL_typez00);
												}
												((((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_new1125z00_1649)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_4011), BUNSPEC);
											}
											((((BgL_varz00_bglt) CREF(BgL_new1125z00_1649))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BGl_thezd2globalzd2zzintegrate_localzd2ze3globalz31(
															((BgL_localz00_bglt) BgL_funz00_1645)))),
												BUNSPEC);
											BgL_arg2094z00_1648 = BgL_new1125z00_1649;
										}
										((((BgL_appz00_bglt) CREF(BgL_nodez00_1640))->BgL_funz00) =
											((BgL_varz00_bglt) BgL_arg2094z00_1648), BUNSPEC);
									}
								else
									{	/* Integrate/node.scm 211 */
										BFALSE;
									}
							}
							{
								obj_t BgL_nodesz00_1656;

								BgL_nodesz00_1656 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1640))->BgL_argsz00);
							BgL_zc3anonymousza32099ze3z83_1657:
								if (NULLP(BgL_nodesz00_1656))
									{	/* Integrate/node.scm 220 */
										CNST_TABLE_REF(((long) 3));
									}
								else
									{	/* Integrate/node.scm 220 */
										{	/* Integrate/node.scm 223 */
											BgL_nodez00_bglt BgL_arg2101z00_1659;

											{	/* Integrate/node.scm 223 */
												obj_t BgL_arg2102z00_1660;

												BgL_arg2102z00_1660 = CAR(BgL_nodesz00_1656);
												BgL_arg2101z00_1659 =
													BGl_gloz12z12zzintegrate_nodez00(
													((BgL_nodez00_bglt) BgL_arg2102z00_1660),
													((BgL_variablez00_bglt) BgL_integratorz00_1641));
											}
											{	/* Integrate/node.scm 223 */
												obj_t BgL_auxz00_4030;

												BgL_auxz00_4030 = ((obj_t) BgL_arg2101z00_1659);
												SET_CAR(BgL_nodesz00_1656, BgL_auxz00_4030);
											}
										}
										{
											obj_t BgL_nodesz00_4033;

											BgL_nodesz00_4033 = CDR(BgL_nodesz00_1656);
											BgL_nodesz00_1656 = BgL_nodesz00_4033;
											goto BgL_zc3anonymousza32099ze3z83_1657;
										}
									}
							}
							{	/* Integrate/node.scm 225 */
								bool_t BgL_testz00_4036;

								{	/* Integrate/node.scm 225 */
									bool_t BgL_testz00_4037;

									{	/* Integrate/node.scm 225 */
										bool_t BgL_res2295z00_2966;

										BgL_res2295z00_2966 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_funz00_1645), BGl_globalz00zzast_varz00);
										BgL_testz00_4037 = BgL_res2295z00_2966;
									}
									if (BgL_testz00_4037)
										{	/* Integrate/node.scm 225 */
											BgL_testz00_4036 = ((bool_t) 1);
										}
									else
										{	/* Integrate/node.scm 225 */
											bool_t BgL_testz00_4040;

											{
												BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4041;

												{
													obj_t BgL_auxz00_4042;

													{	/* Integrate/node.scm 225 */
														BgL_objectz00_bglt BgL_auxz00_4043;

														BgL_auxz00_4043 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_infoz00_1646));
														BgL_auxz00_4042 =
															BGL_OBJECT_WIDENING(BgL_auxz00_4043);
													}
													BgL_auxz00_4041 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4042);
												}
												BgL_testz00_4040 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_4041))->
													BgL_gzf3zf3);
											}
											if (BgL_testz00_4040)
												{	/* Integrate/node.scm 225 */
													BgL_testz00_4036 = ((bool_t) 0);
												}
											else
												{	/* Integrate/node.scm 225 */
													BgL_testz00_4036 = ((bool_t) 1);
												}
										}
								}
								if (BgL_testz00_4036)
									{	/* Integrate/node.scm 225 */
										BFALSE;
									}
								else
									{	/* Integrate/node.scm 228 */
										obj_t BgL_g1126z00_1664;

										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_4049;

											{
												obj_t BgL_auxz00_4050;

												{	/* Integrate/node.scm 229 */
													BgL_objectz00_bglt BgL_auxz00_4051;

													BgL_auxz00_4051 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_infoz00_1646));
													BgL_auxz00_4050 =
														BGL_OBJECT_WIDENING(BgL_auxz00_4051);
												}
												BgL_auxz00_4049 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_4050);
											}
											BgL_g1126z00_1664 =
												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_4049))->
												BgL_kapturedz00);
										}
										{
											obj_t BgL_newzd2actualszd2_1667;
											obj_t BgL_kapturedz00_1668;

											BgL_newzd2actualszd2_1667 =
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1640))->
												BgL_argsz00);
											BgL_kapturedz00_1668 = BgL_g1126z00_1664;
										BgL_zc3anonymousza32106ze3z83_1669:
											if (NULLP(BgL_kapturedz00_1668))
												{	/* Integrate/node.scm 230 */
													((((BgL_appz00_bglt) CREF(BgL_nodez00_1640))->
															BgL_argsz00) =
														((obj_t) BgL_newzd2actualszd2_1667), BUNSPEC);
												}
											else
												{	/* Integrate/node.scm 232 */
													obj_t BgL_kapz00_1671;

													BgL_kapz00_1671 = CAR(BgL_kapturedz00_1668);
													{	/* Integrate/node.scm 232 */
														obj_t BgL_alphaz00_1672;

														BgL_alphaz00_1672 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_kapz00_1671))))->
															BgL_fastzd2alphazd2);
														{	/* Integrate/node.scm 233 */
															obj_t BgL_varz00_1673;

															if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1672,
																	BGl_localz00zzast_varz00))
																{	/* Integrate/node.scm 234 */
																	BgL_varz00_1673 = BgL_alphaz00_1672;
																}
															else
																{	/* Integrate/node.scm 234 */
																	BgL_varz00_1673 = BgL_kapz00_1671;
																}
															{	/* Integrate/node.scm 234 */

																{	/* Integrate/node.scm 235 */
																	obj_t BgL_arg2108z00_1674;
																	obj_t BgL_arg2109z00_1675;

																	{	/* Integrate/node.scm 235 */
																		BgL_varz00_bglt BgL_arg2110z00_1676;

																		{	/* Integrate/node.scm 235 */
																			BgL_varz00_bglt BgL_new1129z00_1677;

																			{	/* Integrate/node.scm 238 */
																				BgL_varz00_bglt BgL_new1128z00_1678;

																				BgL_new1128z00_1678 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Integrate/node.scm 238 */
																					long BgL_arg2112z00_1679;

																					{	/* Integrate/node.scm 238 */
																						long BgL_res2299z00_2980;

																						BgL_res2299z00_2980 =
																							BGL_CLASS_INDEX
																							(BGl_varz00zzast_nodez00);
																						BgL_arg2112z00_1679 =
																							BgL_res2299z00_2980;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1128z00_1678),
																						BgL_arg2112z00_1679);
																				}
																				{	/* Integrate/node.scm 238 */
																					BgL_objectz00_bglt BgL_auxz00_4070;

																					BgL_auxz00_4070 =
																						((BgL_objectz00_bglt)
																						BgL_new1128z00_1678);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_4070, BFALSE);
																				}
																				BgL_new1129z00_1677 =
																					BgL_new1128z00_1678;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1129z00_1677)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_nodez00_1640)))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1129z00_1677)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((
																							(BgL_variablez00_bglt)
																							CREF(((BgL_variablez00_bglt)
																									BgL_varz00_1673)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1129z00_1677))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_1673)), BUNSPEC);
																			BgL_arg2110z00_1676 = BgL_new1129z00_1677;
																		}
																		BgL_arg2108z00_1674 =
																			MAKE_PAIR(
																			((obj_t) BgL_arg2110z00_1676),
																			BgL_newzd2actualszd2_1667);
																	}
																	BgL_arg2109z00_1675 =
																		CDR(BgL_kapturedz00_1668);
																	{
																		obj_t BgL_kapturedz00_4087;
																		obj_t BgL_newzd2actualszd2_4086;

																		BgL_newzd2actualszd2_4086 =
																			BgL_arg2108z00_1674;
																		BgL_kapturedz00_4087 = BgL_arg2109z00_1675;
																		BgL_kapturedz00_1668 = BgL_kapturedz00_4087;
																		BgL_newzd2actualszd2_1667 =
																			BgL_newzd2actualszd2_4086;
																		goto BgL_zc3anonymousza32106ze3z83_1669;
																	}
																}
															}
														}
													}
												}
										}
									}
							}
							return ((BgL_nodez00_bglt) BgL_nodez00_1640);
						}
					}
				}
			}
		}
	}



/* &glo!-sync1969 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sync1969za2zzintegrate_nodez00(obj_t
		BgL_envz00_3201, obj_t BgL_nodez00_3202, obj_t BgL_integratorz00_3203)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 196 */
			{
				BgL_syncz00_bglt BgL_nodez00_1631;
				obj_t BgL_integratorz00_1632;

				BgL_nodez00_1631 = ((BgL_syncz00_bglt) BgL_nodez00_3202);
				BgL_integratorz00_1632 = BgL_integratorz00_3203;
				{
					BgL_nodez00_bglt BgL_auxz00_4091;

					{	/* Integrate/node.scm 198 */
						BgL_nodez00_bglt BgL_arg2090z00_1636;

						BgL_arg2090z00_1636 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_mutexz00);
						BgL_auxz00_4091 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2090z00_1636,
							((BgL_variablez00_bglt) BgL_integratorz00_1632));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4091), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4096;

					{	/* Integrate/node.scm 199 */
						BgL_nodez00_bglt BgL_arg2091z00_1637;

						BgL_arg2091z00_1637 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_prelockz00);
						BgL_auxz00_4096 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2091z00_1637,
							((BgL_variablez00_bglt) BgL_integratorz00_1632));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4096), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4101;

					{	/* Integrate/node.scm 200 */
						BgL_nodez00_bglt BgL_arg2092z00_1638;

						BgL_arg2092z00_1638 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_bodyz00);
						BgL_auxz00_4101 =
							BGl_gloz12z12zzintegrate_nodez00(BgL_arg2092z00_1638,
							((BgL_variablez00_bglt) BgL_integratorz00_1632));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1631))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4101), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1631);
			}
		}
	}



/* &glo!-sequence1967 */
	BgL_nodez00_bglt BGl_z62gloz12zd2sequence1967za2zzintegrate_nodez00(obj_t
		BgL_envz00_3204, obj_t BgL_nodez00_3205, obj_t BgL_integratorz00_3206)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 188 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1624;
				obj_t BgL_integratorz00_1625;

				BgL_nodez00_1624 = ((BgL_sequencez00_bglt) BgL_nodez00_3205);
				BgL_integratorz00_1625 = BgL_integratorz00_3206;
				BGl_gloza2z12zb0zzintegrate_nodez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1624))->BgL_nodesz00),
					BgL_integratorz00_1625);
				return ((BgL_nodez00_bglt) BgL_nodez00_1624);
			}
		}
	}



/* &glo!-closure1965 */
	BgL_nodez00_bglt BGl_z62gloz12zd2closure1965za2zzintegrate_nodez00(obj_t
		BgL_envz00_3207, obj_t BgL_nodez00_3208, obj_t BgL_integratorz00_3209)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 182 */
			{
				BgL_closurez00_bglt BgL_nodez00_1618;
				obj_t BgL_integratorz00_1619;

				BgL_nodez00_1618 = ((BgL_closurez00_bglt) BgL_nodez00_3208);
				BgL_integratorz00_1619 = BgL_integratorz00_3209;
				{	/* Integrate/node.scm 183 */
					obj_t BgL_arg2087z00_2932;

					BgL_arg2087z00_2932 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1618));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2347z00zzintegrate_nodez00,
							BGl_string2348z00zzintegrate_nodez00, BgL_arg2087z00_2932));
				}
			}
		}
	}



/* &glo!-var1963 */
	BgL_nodez00_bglt BGl_z62gloz12zd2var1963za2zzintegrate_nodez00(obj_t
		BgL_envz00_3210, obj_t BgL_nodez00_3211, obj_t BgL_integratorz00_3212)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 156 */
			{
				BgL_varz00_bglt BgL_nodez00_1597;
				obj_t BgL_integratorz00_1598;

				BgL_nodez00_1597 = ((BgL_varz00_bglt) BgL_nodez00_3211);
				BgL_integratorz00_1598 = BgL_integratorz00_3212;
				{	/* Integrate/node.scm 157 */
					BgL_variablez00_bglt BgL_variablez00_1601;

					BgL_variablez00_1601 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1597))->BgL_variablez00);
					{	/* Integrate/node.scm 157 */
						BgL_typez00_bglt BgL_vtypez00_1602;

						BgL_vtypez00_1602 =
							(((BgL_variablez00_bglt) CREF(BgL_variablez00_1601))->
							BgL_typez00);
						{	/* Integrate/node.scm 158 */

							{
								BgL_variablez00_bglt BgL_variablez00_1604;

								BgL_variablez00_1604 = BgL_variablez00_1601;
							BgL_zc3anonymousza32079ze3z83_1605:
								{	/* Integrate/node.scm 160 */
									obj_t BgL_alphaz00_1606;

									BgL_alphaz00_1606 =
										(((BgL_variablez00_bglt) CREF(BgL_variablez00_1604))->
										BgL_fastzd2alphazd2);
									if (BGl_isazf3zf3zz__objectz00(BgL_alphaz00_1606,
											BGl_localz00zzast_varz00))
										{	/* Integrate/node.scm 162 */
											((((BgL_varz00_bglt) CREF(BgL_nodez00_1597))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt) (
															(BgL_localz00_bglt) BgL_alphaz00_1606))),
												BUNSPEC);
											{	/* Integrate/node.scm 164 */
												BgL_typez00_bglt BgL_arg2081z00_1608;

												BgL_arg2081z00_1608 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_alphaz00_1606))))->
													BgL_typez00);
												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																	BgL_nodez00_1597)))->BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg2081z00_1608), BUNSPEC);
											}
											{
												BgL_variablez00_bglt BgL_variablez00_4130;

												BgL_variablez00_4130 =
													((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_alphaz00_1606));
												BgL_variablez00_1604 = BgL_variablez00_4130;
												goto BgL_zc3anonymousza32079ze3z83_1605;
											}
										}
									else
										{	/* Integrate/node.scm 166 */
											bool_t BgL_testz00_4133;

											{	/* Integrate/node.scm 166 */
												bool_t BgL_res2284z00_2916;

												BgL_res2284z00_2916 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_variablez00_1604),
													BGl_globalz00zzast_varz00);
												BgL_testz00_4133 = BgL_res2284z00_2916;
											}
											if (BgL_testz00_4133)
												{	/* Integrate/node.scm 166 */
													return ((BgL_nodez00_bglt) BgL_nodez00_1597);
												}
											else
												{	/* Integrate/node.scm 166 */
													if (BGl_integratezd2celledzf3z21zzintegrate_nodez00(
															((BgL_localz00_bglt) BgL_variablez00_1604)))
														{	/* Integrate/node.scm 168 */
															{	/* Integrate/node.scm 169 */
																obj_t BgL_vz00_2918;

																BgL_vz00_2918 = CNST_TABLE_REF(((long) 1));
																((((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_variablez00_1604))))->
																		BgL_accessz00) =
																	((obj_t) BgL_vz00_2918), BUNSPEC);
															}
															{	/* Integrate/node.scm 170 */
																BgL_typez00_bglt BgL_arg2084z00_1611;

																BgL_arg2084z00_1611 =
																	BGl_getzd2bigloozd2typez00zztype_cachez00
																	(BgL_vtypez00_1602);
																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																					BgL_nodez00_1597)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2084z00_1611),
																	BUNSPEC);
															}
															{	/* Integrate/node.scm 171 */
																BgL_boxzd2refzd2_bglt BgL_new1120z00_1612;

																{	/* Integrate/node.scm 172 */
																	BgL_boxzd2refzd2_bglt BgL_new1119z00_1614;

																	BgL_new1119z00_1614 =
																		((BgL_boxzd2refzd2_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_boxzd2refzd2_bgl))));
																	{	/* Integrate/node.scm 172 */
																		long BgL_arg2086z00_1615;

																		{	/* Integrate/node.scm 172 */
																			long BgL_res2285z00_2924;

																			BgL_res2285z00_2924 =
																				BGL_CLASS_INDEX
																				(BGl_boxzd2refzd2zzast_nodez00);
																			BgL_arg2086z00_1615 = BgL_res2285z00_2924;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1119z00_1614),
																			BgL_arg2086z00_1615);
																	}
																	{	/* Integrate/node.scm 172 */
																		BgL_objectz00_bglt BgL_auxz00_4151;

																		BgL_auxz00_4151 =
																			((BgL_objectz00_bglt)
																			BgL_new1119z00_1614);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_4151,
																			BFALSE);
																	}
																	BgL_new1120z00_1612 = BgL_new1119z00_1614;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1120z00_1612)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				CREF(((BgL_nodez00_bglt)
																						BgL_nodez00_1597)))->BgL_locz00)),
																	BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_4158;

																	{	/* Integrate/node.scm 173 */
																		BgL_typez00_bglt BgL_arg2085z00_1613;

																		BgL_arg2085z00_1613 =
																			(((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_nodez00_1597)))->BgL_typez00);
																		BgL_auxz00_4158 =
																			BGl_getzd2bigloozd2typez00zztype_cachez00
																			(BgL_arg2085z00_1613);
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1120z00_1612)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_4158),
																		BUNSPEC);
																}
																((((BgL_nodezf2effectzf2_bglt) CREF(
																				((BgL_nodezf2effectzf2_bglt)
																					BgL_new1120z00_1612)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			CREF(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1120z00_1612)))->BgL_keyz00) =
																	((obj_t) BINT(((long) -1))), BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			CREF(BgL_new1120z00_1612))->BgL_varz00) =
																	((BgL_varz00_bglt) BgL_nodez00_1597),
																	BUNSPEC);
																((((BgL_boxzd2refzd2_bglt)
																			CREF(BgL_new1120z00_1612))->
																		BgL_vtypez00) =
																	((BgL_typez00_bglt)
																		BGl_getzd2bigloozd2typez00zztype_cachez00
																		(BgL_vtypez00_1602)), BUNSPEC);
																return ((BgL_nodez00_bglt) BgL_new1120z00_1612);
															}
														}
													else
														{	/* Integrate/node.scm 168 */
															return ((BgL_nodez00_bglt) BgL_nodez00_1597);
														}
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &glo!-kwote1961 */
	BgL_nodez00_bglt BGl_z62gloz12zd2kwote1961za2zzintegrate_nodez00(obj_t
		BgL_envz00_3213, obj_t BgL_nodez00_3214, obj_t BgL_integratorz00_3215)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 150 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3214));
		}
	}



/* &glo!-atom1959 */
	BgL_nodez00_bglt BGl_z62gloz12zd2atom1959za2zzintegrate_nodez00(obj_t
		BgL_envz00_3216, obj_t BgL_nodez00_3217, obj_t BgL_integratorz00_3218)
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 144 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3217));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_nodez00()
	{
		AN_OBJECT;
		{	/* Integrate/node.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					143977554), BSTRING_TO_STRING(BGl_string2349z00zzintegrate_nodez00));
		}
	}

#ifdef __cplusplus
}
#endif
