/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern1937z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1953z62zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2fail1912zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2node1923zb0zztrace_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var1951zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zztrace_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sync1929z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail1945z62zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00();
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1920z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2exter1906zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence1927z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2condi1910zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition1943z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1918z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1916z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21922z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1955z62zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setq1908zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21965zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21967zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21969zb0zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall1935z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62findzd2lastzd2node1893z62zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast1939z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztrace_walkz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box1957zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref1959zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121961za2zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2node1962z62zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2sync1898zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq1941z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2seque1896zb0zztrace_walkz00(obj_t,
		obj_t);
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1902z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2selec1914zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2funca1904zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1931z62zztrace_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun1949zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2app1900zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2select1947z62zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly1933zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[21];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2485za7,
		BGl_z62findzd2lastzd2node1893z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node12486z00,
		BGl_z62tracezd2node1923zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2487z00,
		BGl_z62toplevelzd2tracezd2node1962z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2443z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2488za7,
		BGl_z62findzd2lastzd2nodezd2seque1896zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2489za7,
		BGl_z62findzd2lastzd2nodezd2sync1898zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2490za7,
		BGl_z62findzd2lastzd2nodezd2app1900zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2447z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2491za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l1902z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2492za7,
		BGl_z62findzd2lastzd2nodezd2funca1904zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2493za7,
		BGl_z62findzd2lastzd2nodezd2exter1906zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2494za7,
		BGl_z62findzd2lastzd2nodezd2setq1908zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2451z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2495za7,
		BGl_z62findzd2lastzd2nodezd2condi1910zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2496za7,
		BGl_z62findzd2lastzd2nodezd2fail1912zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2497za7,
		BGl_z62findzd2lastzd2nodezd2selec1914zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2498za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v1916z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2499za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f1918z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2500za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e1920z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2501za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd21922z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72502za7,
		BGl_z62tracezd2nodezd2sequence1927z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72503za7,
		BGl_z62tracezd2nodezd2sync1929z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72504za7,
		BGl_z62tracezd2nodezd2app1931z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72505za7,
		BGl_z62tracezd2nodezd2appzd2ly1933zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72506za7,
		BGl_z62tracezd2nodezd2funcall1935z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72507za7,
		BGl_z62tracezd2nodezd2extern1937z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72508za7,
		BGl_z62tracezd2nodezd2cast1939z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72509za7,
		BGl_z62tracezd2nodezd2setq1941z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2467z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72510za7,
		BGl_z62tracezd2nodezd2condition1943z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72511za7,
		BGl_z62tracezd2nodezd2fail1945z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72512za7,
		BGl_z62tracezd2nodezd2select1947z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72513za7,
		BGl_z62tracezd2nodezd2letzd2fun1949zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72514za7,
		BGl_z62tracezd2nodezd2letzd2var1951zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72515za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it1953z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72516za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1955z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72517za7,
		BGl_z62tracezd2nodezd2makezd2box1957zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72518za7,
		BGl_z62tracezd2nodezd2boxzd2ref1959zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72519za7,
		BGl_z62tracezd2nodezd2boxzd2setz121961za2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2520z00,
		BGl_z62toplevelzd2tracezd2nodezd21965zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2521z00,
		BGl_z62toplevelzd2tracezd2nodezd21967zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2522z00,
		BGl_z62toplevelzd2tracezd2nodezd21969zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza72523za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2524za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2525z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2427z00zztrace_walkz00,
		BgL_bgl_string2427za700za7za7t2526za7, "Trace", 5);
	      DEFINE_STRING(BGl_string2428z00zztrace_walkz00,
		BgL_bgl_string2428za700za7za7t2527za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2429z00zztrace_walkz00,
		BgL_bgl_string2429za700za7za7t2528za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2430z00zztrace_walkz00,
		BgL_bgl_string2430za700za7za7t2529za7, " error", 6);
	      DEFINE_STRING(BGl_string2431z00zztrace_walkz00,
		BgL_bgl_string2431za700za7za7t2530za7, "s", 1);
	      DEFINE_STRING(BGl_string2432z00zztrace_walkz00,
		BgL_bgl_string2432za700za7za7t2531za7, "", 0);
	      DEFINE_STRING(BGl_string2433z00zztrace_walkz00,
		BgL_bgl_string2433za700za7za7t2532za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2434z00zztrace_walkz00,
		BgL_bgl_string2434za700za7za7t2533za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2435z00zztrace_walkz00,
		BgL_bgl_string2435za700za7za7t2534za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string2436z00zztrace_walkz00,
		BgL_bgl_string2436za700za7za7t2535za7, "%import@", 8);
	      DEFINE_STRING(BGl_string2438z00zztrace_walkz00,
		BgL_bgl_string2438za700za7za7t2536za7, "find-last-node1893", 18);
	      DEFINE_STRING(BGl_string2440z00zztrace_walkz00,
		BgL_bgl_string2440za700za7za7t2537za7, "trace-node1923", 14);
	      DEFINE_STRING(BGl_string2442z00zztrace_walkz00,
		BgL_bgl_string2442za700za7za7t2538za7, "toplevel-trace-node1962", 23);
	      DEFINE_STRING(BGl_string2444z00zztrace_walkz00,
		BgL_bgl_string2444za700za7za7t2539za7, "find-last-node", 14);
	      DEFINE_STRING(BGl_string2459z00zztrace_walkz00,
		BgL_bgl_string2459za700za7za7t2540za7, "trace-node", 10);
	      DEFINE_STRING(BGl_string2478z00zztrace_walkz00,
		BgL_bgl_string2478za700za7za7t2541za7, "toplevel-trace-node", 19);
	      DEFINE_STRING(BGl_string2481z00zztrace_walkz00,
		BgL_bgl_string2481za700za7za7t2542za7, "trace_walk", 10);
	      DEFINE_STRING(BGl_string2482z00zztrace_walkz00,
		BgL_bgl_string2482za700za7za7t2543za7,
		"value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location |:| env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72544za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_3330, char *BgL_fromz00_3331)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					BGl_toplevelzd2initzd2zztrace_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_3318;

				BgL_cportz00_3318 =
					bgl_open_input_string(BGl_string2482z00zztrace_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3319;

					BgL_iz00_3319 = ((long) 20);
				BgL_loopz00_3320:
					if ((BgL_iz00_3319 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg2484z00_3322;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_3324;

										BgL_locationz00_3324 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg2484z00_3322 =
												BGl_readz00zz__readerz00(BgL_cportz00_3318,
												BgL_locationz00_3324);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_auxz00_3360;

									BgL_auxz00_3360 = (int) (BgL_iz00_3319);
									CNST_TABLE_SET(BgL_auxz00_3360, BgL_arg2484z00_3322);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_3325;

								BgL_auxz00_3325 = (int) ((BgL_iz00_3319 - ((long) 1)));
								{
									long BgL_iz00_3365;

									BgL_iz00_3365 = (long) (BgL_auxz00_3325);
									BgL_iz00_3319 = BgL_iz00_3365;
									goto BgL_loopz00_3320;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			{	/* Trace/walk.scm 39 */
				obj_t BgL_list1980z00_1396;

				{	/* Trace/walk.scm 39 */
					obj_t BgL_arg1981z00_1397;

					{	/* Trace/walk.scm 39 */
						obj_t BgL_arg1982z00_1398;

						BgL_arg1982z00_1398 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1981z00_1397 =
							MAKE_PAIR(BGl_string2427z00zztrace_walkz00, BgL_arg1982z00_1398);
					}
					BgL_list1980z00_1396 =
						MAKE_PAIR(BGl_string2428z00zztrace_walkz00, BgL_arg1981z00_1397);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1980z00_1396);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2427z00zztrace_walkz00;
			{
				obj_t BgL_hooksz00_1402;
				obj_t BgL_hnamesz00_1403;

				BgL_hooksz00_1402 = BNIL;
				BgL_hnamesz00_1403 = BNIL;
			BgL_zc3anonymousza31983ze3z83_1404:
				if (NULLP(BgL_hooksz00_1402))
					{	/* Trace/walk.scm 39 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Trace/walk.scm 39 */
						bool_t BgL_testz00_3377;

						{	/* Trace/walk.scm 39 */
							obj_t BgL_fun1989z00_1410;

							BgL_fun1989z00_1410 = CAR(BgL_hooksz00_1402);
							BgL_testz00_3377 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1989z00_1410) (BgL_fun1989z00_1410,
									BEOA));
						}
						if (BgL_testz00_3377)
							{
								obj_t BgL_hnamesz00_3385;
								obj_t BgL_hooksz00_3383;

								BgL_hooksz00_3383 = CDR(BgL_hooksz00_1402);
								BgL_hnamesz00_3385 = CDR(BgL_hnamesz00_1403);
								BgL_hnamesz00_1403 = BgL_hnamesz00_3385;
								BgL_hooksz00_1402 = BgL_hooksz00_3383;
								goto BgL_zc3anonymousza31983ze3z83_1404;
							}
						else
							{	/* Trace/walk.scm 39 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2427z00zztrace_walkz00,
									BGl_string2429z00zztrace_walkz00, CAR(BgL_hnamesz00_1403));
							}
					}
			}
			{	/* Trace/walk.scm 45 */
				obj_t BgL_idz00_1413;

				BgL_idz00_1413 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 45 */
					obj_t BgL_gloz00_1414;

					{	/* Trace/walk.scm 46 */
						obj_t BgL_list1993z00_1418;

						BgL_list1993z00_1418 =
							MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1414 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1413,
							BgL_list1993z00_1418);
					}
					{	/* Trace/walk.scm 46 */

						if (BGl_isazf3zf3zz__objectz00(BgL_gloz00_1414,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 48 */
								BgL_sfunz00_bglt BgL_i1105z00_1416;

								BgL_i1105z00_1416 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_1414))))->
										BgL_valuez00));
								{
									obj_t BgL_auxz00_3398;

									{	/* Trace/walk.scm 49 */
										obj_t BgL_arg1992z00_1417;

										BgL_arg1992z00_1417 =
											(((BgL_sfunz00_bglt) CREF(BgL_i1105z00_1416))->
											BgL_bodyz00);
										BgL_auxz00_3398 =
											((obj_t)
											BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((
													(BgL_nodez00_bglt) BgL_arg1992z00_1417)));
									}
									((((BgL_sfunz00_bglt) CREF(BgL_i1105z00_1416))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_3398), BUNSPEC);
								}
							}
						else
							{	/* Trace/walk.scm 47 */
								BFALSE;
							}
					}
				}
			}
			{
				obj_t BgL_l1868z00_1420;

				BgL_l1868z00_1420 = BgL_globalsz00_17;
			BgL_zc3anonymousza31994ze3z83_1421:
				if (PAIRP(BgL_l1868z00_1420))
					{	/* Trace/walk.scm 51 */
						BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1868z00_1420), BNIL);
						{
							obj_t BgL_l1868z00_3408;

							BgL_l1868z00_3408 = CDR(BgL_l1868z00_1420);
							BgL_l1868z00_1420 = BgL_l1868z00_3408;
							goto BgL_zc3anonymousza31994ze3z83_1421;
						}
					}
				else
					{	/* Trace/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 52 */
					{	/* Trace/walk.scm 52 */
						obj_t BgL_port1870z00_1428;

						{	/* Trace/walk.scm 52 */
							obj_t BgL_res2323z00_2719;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_auxz00_3413;

								BgL_auxz00_3413 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2323z00_2719 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3413);
							}
							BgL_port1870z00_1428 = BgL_res2323z00_2719;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1870z00_1428);
						bgl_display_string(BGl_string2430z00zztrace_walkz00,
							BgL_port1870z00_1428);
						{	/* Trace/walk.scm 52 */
							obj_t BgL_arg1998z00_1429;

							{	/* Trace/walk.scm 52 */
								bool_t BgL_testz00_3418;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 52 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 52 */
												BgL_testz00_3418 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Trace/walk.scm 52 */
												BgL_testz00_3418 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Trace/walk.scm 52 */
										BgL_testz00_3418 = ((bool_t) 0);
									}
								if (BgL_testz00_3418)
									{	/* Trace/walk.scm 52 */
										BgL_arg1998z00_1429 = BGl_string2431z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 52 */
										BgL_arg1998z00_1429 = BGl_string2432z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1998z00_1429, BgL_port1870z00_1428);
						}
						bgl_display_string(BGl_string2433z00zztrace_walkz00,
							BgL_port1870z00_1428);
						bgl_display_char(((unsigned char) '\n'), BgL_port1870z00_1428);
					}
					{	/* Trace/walk.scm 52 */
						obj_t BgL_list2002z00_1433;

						BgL_list2002z00_1433 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2002z00_1433);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1437;
					obj_t BgL_hnamesz00_1438;

					BgL_hooksz00_1437 = BNIL;
					BgL_hnamesz00_1438 = BNIL;
				BgL_zc3anonymousza32003ze3z83_1439:
					if (NULLP(BgL_hooksz00_1437))
						{	/* Trace/walk.scm 52 */
							return BgL_globalsz00_17;
						}
					else
						{	/* Trace/walk.scm 52 */
							bool_t BgL_testz00_3435;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_fun2009z00_1445;

								BgL_fun2009z00_1445 = CAR(BgL_hooksz00_1437);
								BgL_testz00_3435 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2009z00_1445)
									(BgL_fun2009z00_1445, BEOA));
							}
							if (BgL_testz00_3435)
								{
									obj_t BgL_hnamesz00_3443;
									obj_t BgL_hooksz00_3441;

									BgL_hooksz00_3441 = CDR(BgL_hooksz00_1437);
									BgL_hnamesz00_3443 = CDR(BgL_hnamesz00_1438);
									BgL_hnamesz00_1438 = BgL_hnamesz00_3443;
									BgL_hooksz00_1437 = BgL_hooksz00_3441;
									goto BgL_zc3anonymousza32003ze3z83_1439;
								}
							else
								{	/* Trace/walk.scm 52 */
									obj_t BgL_arg2008z00_1444;

									BgL_arg2008z00_1444 = CAR(BgL_hnamesz00_1438);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2434z00zztrace_walkz00, BgL_arg2008z00_1444);
								}
						}
				}
		}
	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_3175,
		obj_t BgL_globalsz00_3176)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_3176);
		}
	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 63 */
			{	/* Trace/walk.scm 65 */
				bool_t BgL_testz00_3448;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18, BGl_globalz00zzast_varz00))
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3448 =
							(
							(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
							CNST_TABLE_REF(((long) 1)));
					}
				else
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3448 = ((bool_t) 0);
					}
				if (BgL_testz00_3448)
					{	/* Trace/walk.scm 66 */
						obj_t BgL_arg2012z00_1449;

						{	/* Trace/walk.scm 66 */
							obj_t BgL_arg2014z00_1450;
							obj_t BgL_arg2015z00_1451;

							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg2016z00_1452;

								BgL_arg2016z00_1452 =
									bstring_to_symbol(BGl_string2435z00zztrace_walkz00);
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2331z00_2747;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1265z00_2746;

										BgL_arg1265z00_2746 = SYMBOL_TO_STRING(BgL_arg2016z00_1452);
										BgL_res2331z00_2747 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_2746);
									}
									BgL_arg2014z00_1450 = BgL_res2331z00_2747;
								}
							}
							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg2017z00_1453;

								BgL_arg2017z00_1453 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2333z00_2753;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1265z00_2752;

										BgL_arg1265z00_2752 = SYMBOL_TO_STRING(BgL_arg2017z00_1453);
										BgL_res2333z00_2753 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1265z00_2752);
									}
									BgL_arg2015z00_1451 = BgL_res2333z00_2753;
								}
							}
							BgL_arg2012z00_1449 =
								string_append(BgL_arg2014z00_1450, BgL_arg2015z00_1451);
						}
						return bstring_to_symbol(BgL_arg2012z00_1449);
					}
				else
					{	/* Trace/walk.scm 67 */
						bool_t BgL_testz00_3465;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3465 =
									(
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
									CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3465 = ((bool_t) 0);
							}
						if (BgL_testz00_3465)
							{	/* Trace/walk.scm 68 */
								obj_t BgL_arg2019z00_1455;

								{	/* Trace/walk.scm 68 */
									obj_t BgL_arg2021z00_1456;
									obj_t BgL_arg2022z00_1457;

									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg2023z00_1458;

										BgL_arg2023z00_1458 =
											bstring_to_symbol(BGl_string2436z00zztrace_walkz00);
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2338z00_2765;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1265z00_2764;

												BgL_arg1265z00_2764 =
													SYMBOL_TO_STRING(BgL_arg2023z00_1458);
												BgL_res2338z00_2765 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1265z00_2764);
											}
											BgL_arg2021z00_1456 = BgL_res2338z00_2765;
										}
									}
									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg2024z00_1459;

										BgL_arg2024z00_1459 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2340z00_2771;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1265z00_2770;

												BgL_arg1265z00_2770 =
													SYMBOL_TO_STRING(BgL_arg2024z00_1459);
												BgL_res2340z00_2771 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1265z00_2770);
											}
											BgL_arg2022z00_1457 = BgL_res2340z00_2771;
										}
									}
									BgL_arg2019z00_1455 =
										string_append(BgL_arg2021z00_1456, BgL_arg2022z00_1457);
								}
								return bstring_to_symbol(BgL_arg2019z00_1455);
							}
						else
							{	/* Trace/walk.scm 67 */
								if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
										BGl_globalz00zzast_varz00))
									{	/* Trace/walk.scm 70 */
										obj_t BgL_arg2026z00_1461;
										obj_t BgL_arg2027z00_1462;

										BgL_arg2026z00_1461 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00);
										BgL_arg2027z00_1462 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 70 */
											obj_t BgL_list2028z00_1463;

											{	/* Trace/walk.scm 70 */
												obj_t BgL_arg2029z00_1464;

												{	/* Trace/walk.scm 70 */
													obj_t BgL_arg2030z00_1465;

													BgL_arg2030z00_1465 =
														MAKE_PAIR(BgL_arg2027z00_1462, BNIL);
													BgL_arg2029z00_1464 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg2030z00_1465);
												}
												BgL_list2028z00_1463 =
													MAKE_PAIR(BgL_arg2026z00_1461, BgL_arg2029z00_1464);
											}
											return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list2028z00_1463);
										}
									}
								else
									{	/* Trace/walk.scm 69 */
										return
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_18)))->BgL_idz00);
									}
							}
					}
			}
		}
	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 80 */
			{	/* Trace/walk.scm 81 */
				BgL_valuez00_bglt BgL_funz00_1470;

				BgL_funz00_1470 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Trace/walk.scm 81 */
					obj_t BgL_bodyz00_1471;

					BgL_bodyz00_1471 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1470)))->BgL_bodyz00);
					{	/* Trace/walk.scm 82 */
						obj_t BgL_llocz00_1472;

						if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 84 */
								obj_t BgL_arg2057z00_1500;

								BgL_arg2057z00_1500 =
									BGl_findzd2lastzd2sexpz00zztrace_walkz00(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_varz00_19)))->BgL_srcz00));
								BgL_llocz00_1472 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg2057z00_1500);
							}
						else
							{	/* Trace/walk.scm 85 */
								obj_t BgL_arg2059z00_1502;

								BgL_arg2059z00_1502 =
									BGl_findzd2lastzd2nodez00zztrace_walkz00(
									((BgL_nodez00_bglt) BgL_bodyz00_1471));
								BgL_llocz00_1472 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_arg2059z00_1502)))->BgL_locz00);
							}
						{	/* Trace/walk.scm 83 */

							{	/* Trace/walk.scm 86 */
								bool_t BgL_testz00_3510;

								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1470)))->
											BgL_predicatezd2ofzd2)))
									{	/* Trace/walk.scm 86 */
										BgL_testz00_3510 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 86 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 4)),
													(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																	BgL_funz00_1470)))->BgL_propertyz00))))
											{	/* Trace/walk.scm 87 */
												BgL_testz00_3510 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 88 */
												obj_t BgL_arg2054z00_1497;

												BgL_arg2054z00_1497 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_19)))->
													BgL_idz00);
												BgL_testz00_3510 =
													BGl_userzd2symbolzf3z21zzast_identz00
													(BgL_arg2054z00_1497);
											}
									}
								if (BgL_testz00_3510)
									{	/* Trace/walk.scm 86 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 90 */
											obj_t BgL_bdz00_1475;

											{	/* Trace/walk.scm 90 */
												bool_t BgL_testz00_3526;

												if (
													((long)
														CINT
														(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
														> ((long) 1)))
													{	/* Trace/walk.scm 90 */
														BgL_testz00_3526 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 90 */
														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_globalz00zzast_varz00))
															{	/* Trace/walk.scm 92 */
																bool_t BgL__ortest_1111z00_1490;

																BgL__ortest_1111z00_1490 =
																	(
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_19))))->BgL_idz00) ==
																	CNST_TABLE_REF(((long) 1)));
																if (BgL__ortest_1111z00_1490)
																	{	/* Trace/walk.scm 92 */
																		BgL_testz00_3526 = BgL__ortest_1111z00_1490;
																	}
																else
																	{	/* Trace/walk.scm 93 */
																		bool_t BgL__ortest_1112z00_1491;

																		BgL__ortest_1112z00_1491 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5)));
																		if (BgL__ortest_1112z00_1491)
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3526 =
																					BgL__ortest_1112z00_1491;
																			}
																		else
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3526 =
																					(
																					(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_varz00_19))))->
																						BgL_idz00) ==
																					CNST_TABLE_REF(((long) 6)));
															}}}
														else
															{	/* Trace/walk.scm 91 */
																BgL_testz00_3526 = ((bool_t) 0);
															}
													}
												if (BgL_testz00_3526)
													{	/* Trace/walk.scm 102 */
														bool_t BgL_testz00_3549;

														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_localz00zzast_varz00))
															{	/* Trace/walk.scm 102 */
																BgL_testz00_3549 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 102 */
																if (
																	((((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_varz00_19))))->BgL_idz00) ==
																		CNST_TABLE_REF(((long) 5))))
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3549 = ((bool_t) 1);
																	}
																else
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3549 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 6)));
															}}
														if (BgL_testz00_3549)
															{	/* Trace/walk.scm 102 */
																BgL_bdz00_1475 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1471),
																		BgL_stackz00_20));
															}
														else
															{	/* Trace/walk.scm 106 */
																obj_t BgL_arg2042z00_1483;

																BgL_arg2042z00_1483 =
																	MAKE_PAIR(BgL_varz00_19, BgL_stackz00_20);
																BgL_bdz00_1475 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1471),
																		BgL_arg2042z00_1483));
															}
													}
												else
													{	/* Trace/walk.scm 90 */
														BgL_bdz00_1475 = BgL_bodyz00_1471;
													}
											}
											{	/* Trace/walk.scm 90 */
												BgL_typez00_bglt BgL_tz00_1476;

												{	/* Trace/walk.scm 108 */
													BgL_typez00_bglt BgL_arg2037z00_1479;
													BgL_typez00_bglt BgL_arg2038z00_1480;

													BgL_arg2037z00_1479 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_bodyz00_1471)))->
														BgL_typez00);
													BgL_arg2038z00_1480 =
														(((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) BgL_varz00_19)))->
														BgL_typez00);
													BgL_tz00_1476 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg2037z00_1479, BgL_arg2038z00_1480);
												}
												{	/* Trace/walk.scm 108 */
													obj_t BgL_idz00_1477;

													BgL_idz00_1477 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 109 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1478;

														BgL_nbodyz00_1478 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1475),
															BgL_tz00_1476, BgL_idz00_1477, BgL_llocz00_1472,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 110 */

															((((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_funz00_1470)))->
																	BgL_bodyz00) =
																((obj_t) ((obj_t) BgL_nbodyz00_1478)), BUNSPEC);
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 86 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_21)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 121 */
			{
				obj_t BgL_sexpz00_1504;
				obj_t BgL_resz00_1505;

				BgL_sexpz00_1504 = BgL_sexpz00_21;
				BgL_resz00_1505 = BgL_sexpz00_21;
			BgL_zc3anonymousza32060ze3z83_1506:
				if (PAIRP(BgL_sexpz00_1504))
					{	/* Trace/walk.scm 127 */
						bool_t BgL_testz00_3584;

						{	/* Trace/walk.scm 127 */
							obj_t BgL_auxz00_3585;

							BgL_auxz00_3585 = CDR(BgL_sexpz00_1504);
							BgL_testz00_3584 = PAIRP(BgL_auxz00_3585);
						}
						if (BgL_testz00_3584)
							{
								obj_t BgL_resz00_3590;
								obj_t BgL_sexpz00_3588;

								BgL_sexpz00_3588 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1504);
								BgL_resz00_3590 = BgL_sexpz00_1504;
								BgL_resz00_1505 = BgL_resz00_3590;
								BgL_sexpz00_1504 = BgL_sexpz00_3588;
								goto BgL_zc3anonymousza32060ze3z83_1506;
							}
						else
							{
								obj_t BgL_resz00_3593;
								obj_t BgL_sexpz00_3591;

								BgL_sexpz00_3591 = CAR(BgL_sexpz00_1504);
								BgL_resz00_3593 = BgL_sexpz00_1504;
								BgL_resz00_1505 = BgL_resz00_3593;
								BgL_sexpz00_1504 = BgL_sexpz00_3591;
								goto BgL_zc3anonymousza32060ze3z83_1506;
							}
					}
				else
					{	/* Trace/walk.scm 125 */
						return BgL_resz00_1505;
					}
			}
		}
	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_37,
		BgL_typez00_bglt BgL_typez00_38, obj_t BgL_symbolz00_39,
		obj_t BgL_llocz00_40, obj_t BgL_stackz00_41)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 244 */
			{	/* Trace/walk.scm 245 */
				obj_t BgL_locz00_1513;

				BgL_locz00_1513 =
					(((BgL_nodez00_bglt) CREF(BgL_nodez00_37))->BgL_locz00);
				{	/* Trace/walk.scm 245 */
					obj_t BgL_auxz00_1514;

					BgL_auxz00_1514 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7))));
					{	/* Trace/walk.scm 246 */
						obj_t BgL_tauxz00_1515;

						BgL_tauxz00_1515 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1514,
							(((BgL_typez00_bglt) CREF(BgL_typez00_38))->BgL_idz00));
						{	/* Trace/walk.scm 247 */
							obj_t BgL_tmp1z00_1516;

							BgL_tmp1z00_1516 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											8))));
							{	/* Trace/walk.scm 248 */
								obj_t BgL_tmp2z00_1517;

								BgL_tmp2z00_1517 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												9))));
								{	/* Trace/walk.scm 249 */
									obj_t BgL_tmp3z00_1518;

									BgL_tmp3z00_1518 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													10))));
									{	/* Trace/walk.scm 250 */
										obj_t BgL_symz00_1519;

										{	/* Trace/walk.scm 251 */
											bool_t BgL_testz00_3609;

											if (PAIRP(BgL_stackz00_41))
												{	/* Trace/walk.scm 251 */
													obj_t BgL_arg2118z00_1573;

													BgL_arg2118z00_1573 = CAR(BgL_stackz00_41);
													BgL_testz00_3609 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2118z00_1573,
														BGl_variablez00zzast_varz00);
												}
											else
												{	/* Trace/walk.scm 251 */
													BgL_testz00_3609 = ((bool_t) 0);
												}
											if (BgL_testz00_3609)
												{	/* Trace/walk.scm 252 */
													obj_t BgL_arg2112z00_1567;

													BgL_arg2112z00_1567 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	CAR(BgL_stackz00_41))))->BgL_idz00);
													{	/* Trace/walk.scm 252 */
														obj_t BgL_list2113z00_1568;

														{	/* Trace/walk.scm 252 */
															obj_t BgL_arg2114z00_1569;

															{	/* Trace/walk.scm 252 */
																obj_t BgL_arg2115z00_1570;

																BgL_arg2115z00_1570 =
																	MAKE_PAIR(BgL_arg2112z00_1567, BNIL);
																BgL_arg2114z00_1569 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																	BgL_arg2115z00_1570);
															}
															BgL_list2113z00_1568 =
																MAKE_PAIR(BgL_symbolz00_39,
																BgL_arg2114z00_1569);
														}
														BgL_symz00_1519 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2113z00_1568);
												}}
											else
												{	/* Trace/walk.scm 251 */
													BgL_symz00_1519 = BgL_symbolz00_39;
												}
										}
										{	/* Trace/walk.scm 251 */
											obj_t BgL_lz00_1520;

											{	/* Trace/walk.scm 254 */
												bool_t BgL_testz00_3622;

												if (STRUCTP(BgL_locz00_1513))
													{	/* Trace/walk.scm 254 */
														BgL_testz00_3622 =
															(STRUCT_KEY(BgL_locz00_1513) ==
															CNST_TABLE_REF(((long) 12)));
													}
												else
													{	/* Trace/walk.scm 254 */
														BgL_testz00_3622 = ((bool_t) 0);
													}
												if (BgL_testz00_3622)
													{	/* Trace/walk.scm 255 */
														obj_t BgL_arg2107z00_1562;

														{	/* Trace/walk.scm 255 */
															obj_t BgL_arg2108z00_1563;
															obj_t BgL_arg2109z00_1564;

															BgL_arg2108z00_1563 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1513);
															BgL_arg2109z00_1564 =
																MAKE_PAIR(STRUCT_REF(BgL_locz00_1513,
																	(int) (((long) 1))), BNIL);
															BgL_arg2107z00_1562 =
																MAKE_PAIR(BgL_arg2108z00_1563,
																BgL_arg2109z00_1564);
														}
														BgL_lz00_1520 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg2107z00_1562);
													}
												else
													{	/* Trace/walk.scm 254 */
														BgL_lz00_1520 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 254 */
												obj_t BgL_expz00_1521;

												{	/* Trace/walk.scm 256 */
													obj_t BgL_arg2068z00_1525;

													{	/* Trace/walk.scm 256 */
														obj_t BgL_arg2069z00_1526;
														obj_t BgL_arg2070z00_1527;

														{	/* Trace/walk.scm 256 */
															obj_t BgL_arg2071z00_1528;
															obj_t BgL_arg2072z00_1529;

															{	/* Trace/walk.scm 256 */
																obj_t BgL_arg2073z00_1530;

																{	/* Trace/walk.scm 256 */
																	obj_t BgL_arg2074z00_1531;

																	{	/* Trace/walk.scm 256 */
																		obj_t BgL_arg2075z00_1532;

																		BgL_arg2075z00_1532 =
																			MAKE_PAIR(BgL_symz00_1519, BNIL);
																		BgL_arg2074z00_1531 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																			BgL_arg2075z00_1532);
																	}
																	BgL_arg2073z00_1530 =
																		MAKE_PAIR(BgL_arg2074z00_1531, BNIL);
																}
																BgL_arg2071z00_1528 =
																	MAKE_PAIR(BgL_tmp1z00_1516,
																	BgL_arg2073z00_1530);
															}
															{	/* Trace/walk.scm 257 */
																obj_t BgL_arg2076z00_1533;
																obj_t BgL_arg2077z00_1534;

																{	/* Trace/walk.scm 257 */
																	obj_t BgL_arg2078z00_1535;

																	{	/* Trace/walk.scm 257 */
																		obj_t BgL_arg2079z00_1536;

																		{	/* Trace/walk.scm 257 */
																			obj_t BgL_arg2080z00_1537;

																			BgL_arg2080z00_1537 =
																				MAKE_PAIR(BgL_lz00_1520, BNIL);
																			BgL_arg2079z00_1536 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																				BgL_arg2080z00_1537);
																		}
																		BgL_arg2078z00_1535 =
																			MAKE_PAIR(BgL_arg2079z00_1536, BNIL);
																	}
																	BgL_arg2076z00_1533 =
																		MAKE_PAIR(BgL_tmp2z00_1517,
																		BgL_arg2078z00_1535);
																}
																{	/* Trace/walk.scm 258 */
																	obj_t BgL_arg2081z00_1538;

																	{	/* Trace/walk.scm 258 */
																		obj_t BgL_arg2083z00_1539;
																		obj_t BgL_arg2084z00_1540;

																		BgL_arg2083z00_1539 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1518,
																			CNST_TABLE_REF(((long) 15)));
																		{	/* Trace/walk.scm 258 */
																			obj_t BgL_arg2085z00_1541;

																			BgL_arg2085z00_1541 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																				BNIL);
																			BgL_arg2084z00_1540 =
																				MAKE_PAIR(BgL_arg2085z00_1541, BNIL);
																		}
																		BgL_arg2081z00_1538 =
																			MAKE_PAIR(BgL_arg2083z00_1539,
																			BgL_arg2084z00_1540);
																	}
																	BgL_arg2077z00_1534 =
																		MAKE_PAIR(BgL_arg2081z00_1538, BNIL);
																}
																BgL_arg2072z00_1529 =
																	MAKE_PAIR(BgL_arg2076z00_1533,
																	BgL_arg2077z00_1534);
															}
															BgL_arg2069z00_1526 =
																MAKE_PAIR(BgL_arg2071z00_1528,
																BgL_arg2072z00_1529);
														}
														{	/* Trace/walk.scm 260 */
															obj_t BgL_arg2086z00_1542;

															{	/* Trace/walk.scm 260 */
																obj_t BgL_arg2087z00_1543;

																{	/* Trace/walk.scm 260 */
																	obj_t BgL_arg2089z00_1544;

																	{	/* Trace/walk.scm 260 */
																		obj_t BgL_arg2090z00_1545;
																		obj_t BgL_arg2091z00_1546;

																		{	/* Trace/walk.scm 260 */
																			obj_t BgL_arg2092z00_1547;

																			{	/* Trace/walk.scm 260 */
																				obj_t BgL_arg2093z00_1548;

																				{	/* Trace/walk.scm 260 */
																					obj_t BgL_arg2094z00_1549;

																					BgL_arg2094z00_1549 =
																						MAKE_PAIR(BgL_tmp2z00_1517, BNIL);
																					BgL_arg2093z00_1548 =
																						MAKE_PAIR(BgL_tmp1z00_1516,
																						BgL_arg2094z00_1549);
																				}
																				BgL_arg2092z00_1547 =
																					MAKE_PAIR(BgL_tmp3z00_1518,
																					BgL_arg2093z00_1548);
																			}
																			BgL_arg2090z00_1545 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																				BgL_arg2092z00_1547);
																		}
																		{	/* Trace/walk.scm 261 */
																			obj_t BgL_arg2095z00_1550;

																			{	/* Trace/walk.scm 261 */
																				obj_t BgL_arg2096z00_1551;

																				{	/* Trace/walk.scm 261 */
																					obj_t BgL_arg2097z00_1552;
																					obj_t BgL_arg2098z00_1553;

																					{	/* Trace/walk.scm 261 */
																						obj_t BgL_arg2099z00_1554;

																						{	/* Trace/walk.scm 261 */
																							obj_t BgL_arg2100z00_1555;

																							BgL_arg2100z00_1555 =
																								MAKE_PAIR(
																								((obj_t) BgL_nodez00_37), BNIL);
																							BgL_arg2099z00_1554 =
																								MAKE_PAIR(BgL_tauxz00_1515,
																								BgL_arg2100z00_1555);
																						}
																						BgL_arg2097z00_1552 =
																							MAKE_PAIR(BgL_arg2099z00_1554,
																							BNIL);
																					}
																					{	/* Trace/walk.scm 262 */
																						obj_t BgL_arg2101z00_1556;
																						obj_t BgL_arg2102z00_1557;

																						{	/* Trace/walk.scm 262 */
																							bool_t BgL_testz00_3663;

																							if (STRUCTP(BgL_llocz00_40))
																								{	/* Trace/walk.scm 262 */
																									BgL_testz00_3663 =
																										(STRUCT_KEY(BgL_llocz00_40)
																										==
																										CNST_TABLE_REF(((long)
																												12)));
																								}
																							else
																								{	/* Trace/walk.scm 262 */
																									BgL_testz00_3663 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_3663)
																								{	/* Trace/walk.scm 264 */
																									obj_t BgL_arg2104z00_1559;

																									{	/* Trace/walk.scm 264 */
																										obj_t BgL_res2369z00_2874;

																										BgL_res2369z00_2874 =
																											MAKE_EXTENDED_PAIR
																											(BgL_tmp3z00_1518, BNIL,
																											BgL_llocz00_40);
																										BgL_arg2104z00_1559 =
																											BgL_res2369z00_2874;
																									}
																									{	/* Trace/walk.scm 263 */
																										obj_t BgL_res2370z00_2878;

																										{	/* Trace/walk.scm 263 */
																											obj_t BgL_obj1z00_2875;

																											BgL_obj1z00_2875 =
																												CNST_TABLE_REF(((long)
																													18));
																											BgL_res2370z00_2878 =
																												MAKE_EXTENDED_PAIR
																												(BgL_obj1z00_2875,
																												BgL_arg2104z00_1559,
																												BgL_llocz00_40);
																										}
																										BgL_arg2101z00_1556 =
																											BgL_res2370z00_2878;
																								}}
																							else
																								{	/* Trace/walk.scm 266 */
																									obj_t BgL_arg2105z00_1560;

																									BgL_arg2105z00_1560 =
																										MAKE_PAIR(BgL_tmp3z00_1518,
																										BNIL);
																									BgL_arg2101z00_1556 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 18)),
																										BgL_arg2105z00_1560);
																						}}
																						BgL_arg2102z00_1557 =
																							MAKE_PAIR(BgL_auxz00_1514, BNIL);
																						BgL_arg2098z00_1553 =
																							MAKE_PAIR(BgL_arg2101z00_1556,
																							BgL_arg2102z00_1557);
																					}
																					BgL_arg2096z00_1551 =
																						MAKE_PAIR(BgL_arg2097z00_1552,
																						BgL_arg2098z00_1553);
																				}
																				BgL_arg2095z00_1550 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																					BgL_arg2096z00_1551);
																			}
																			BgL_arg2091z00_1546 =
																				MAKE_PAIR(BgL_arg2095z00_1550, BNIL);
																		}
																		BgL_arg2089z00_1544 =
																			MAKE_PAIR(BgL_arg2090z00_1545,
																			BgL_arg2091z00_1546);
																	}
																	BgL_arg2087z00_1543 =
																		MAKE_PAIR(BNIL, BgL_arg2089z00_1544);
																}
																BgL_arg2086z00_1542 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																	BgL_arg2087z00_1543);
															}
															BgL_arg2070z00_1527 =
																MAKE_PAIR(BgL_arg2086z00_1542, BNIL);
														}
														BgL_arg2068z00_1525 =
															MAKE_PAIR(BgL_arg2069z00_1526,
															BgL_arg2070z00_1527);
													}
													BgL_expz00_1521 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
														BgL_arg2068z00_1525);
												}
												{	/* Trace/walk.scm 256 */
													BgL_nodez00_bglt BgL_nnodez00_1522;

													BgL_nnodez00_1522 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1521,
														BNIL, BgL_locz00_1513, CNST_TABLE_REF(((long) 20)));
													{	/* Trace/walk.scm 268 */

														{	/* Trace/walk.scm 269 */
															bool_t BgL_arg2066z00_1523;

															{	/* Trace/walk.scm 269 */
																obj_t BgL_arg2067z00_1524;

																BgL_arg2067z00_1524 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg2066z00_1523 =
																	(((BgL_backendz00_bglt) CREF(
																			((BgL_backendz00_bglt)
																				BgL_arg2067z00_1524)))->
																	BgL_removezd2emptyzd2letz00);
															}
															((((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nnodez00_1522)))->
																	BgL_removablezf3zf3) =
																((bool_t) BgL_arg2066z00_1523), BUNSPEC);
														}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1522);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_80,
		obj_t BgL_stackz00_81)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 434 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_80))
				{	/* Trace/walk.scm 435 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 435 */
					{	/* Trace/walk.scm 436 */
						BgL_nodez00_bglt BgL_arg2126z00_1580;

						{	/* Trace/walk.scm 436 */
							obj_t BgL_arg2127z00_1581;

							BgL_arg2127z00_1581 = CAR(BgL_nodeza2za2_80);
							BgL_arg2126z00_1580 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2127z00_1581), BgL_stackz00_81);
						}
						{	/* Trace/walk.scm 436 */
							obj_t BgL_auxz00_3702;

							BgL_auxz00_3702 = ((obj_t) BgL_arg2126z00_1580);
							SET_CAR(BgL_nodeza2za2_80, BgL_auxz00_3702);
						}
					}
					{
						obj_t BgL_nodeza2za2_3705;

						BgL_nodeza2za2_3705 = CDR(BgL_nodeza2za2_80);
						BgL_nodeza2za2_80 = BgL_nodeza2za2_3705;
						goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
					}
				}
		}
	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_86)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 485 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_86))
				{	/* Trace/walk.scm 486 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 486 */
					{	/* Trace/walk.scm 487 */
						BgL_nodez00_bglt BgL_arg2130z00_1584;

						{	/* Trace/walk.scm 487 */
							obj_t BgL_arg2131z00_1585;

							BgL_arg2131z00_1585 = CAR(BgL_nodeza2za2_86);
							BgL_arg2130z00_1584 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2131z00_1585));
						}
						{	/* Trace/walk.scm 487 */
							obj_t BgL_auxz00_3712;

							BgL_auxz00_3712 = ((obj_t) BgL_arg2130z00_1584);
							SET_CAR(BgL_nodeza2za2_86, BgL_auxz00_3712);
						}
					}
					{
						obj_t BgL_nodeza2za2_3715;

						BgL_nodeza2za2_3715 = CDR(BgL_nodeza2za2_86);
						BgL_nodeza2za2_86 = BgL_nodeza2za2_3715;
						goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2437z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2438z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc2439z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2440z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2441z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2442z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node1962 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2node1962z62zztrace_walkz00(obj_t
		BgL_envz00_3180, obj_t BgL_nodez00_3181)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 442 */
			return ((BgL_nodez00_bglt) BgL_nodez00_3181);
		}
	}



/* &trace-node1923 */
	BgL_nodez00_bglt BGl_z62tracezd2node1923zb0zztrace_walkz00(obj_t
		BgL_envz00_3182, obj_t BgL_nodez00_3183, obj_t BgL_stackz00_3184)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 275 */
			return ((BgL_nodez00_bglt) BgL_nodez00_3183);
		}
	}



/* &find-last-node1893 */
	BgL_nodez00_bglt BGl_z62findzd2lastzd2node1893z62zztrace_walkz00(obj_t
		BgL_envz00_3185, obj_t BgL_nodez00_3186)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			return ((BgL_nodez00_bglt) BgL_nodez00_3186);
		}
	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			{	/* Trace/walk.scm 138 */
				obj_t BgL_method1894z00_1600;

				{	/* Trace/walk.scm 138 */
					obj_t BgL_res2380z00_2925;

					{	/* Trace/walk.scm 138 */
						long BgL_objzd2classzd2numz00_2898;

						{	/* Trace/walk.scm 138 */
							long BgL_res2374z00_2901;

							BgL_res2374z00_2901 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_22));
							BgL_objzd2classzd2numz00_2898 = BgL_res2374z00_2901;
						}
						{	/* Trace/walk.scm 138 */
							obj_t BgL_arg1769z00_2899;

							BgL_arg1769z00_2899 =
								PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 138 */
								int BgL_offsetz00_2903;

								BgL_offsetz00_2903 = (int) (BgL_objzd2classzd2numz00_2898);
								{	/* Trace/walk.scm 138 */
									long BgL_offsetz00_2904;

									BgL_offsetz00_2904 =
										((long) (BgL_offsetz00_2903) - OBJECT_TYPE);
									{	/* Trace/walk.scm 138 */
										long BgL_modz00_2905;

										{	/* Trace/walk.scm 138 */
											int BgL_arg1771z00_2906;

											BgL_arg1771z00_2906 = (int) (((long) 16));
											{	/* Trace/walk.scm 138 */
												long BgL_res2377z00_2916;

												{	/* Trace/walk.scm 138 */
													long BgL_auxz00_3731;

													BgL_auxz00_3731 = (long) (BgL_arg1771z00_2906);
													BgL_res2377z00_2916 =
														(BgL_offsetz00_2904 / BgL_auxz00_3731);
												}
												BgL_modz00_2905 = BgL_res2377z00_2916;
										}}
										{	/* Trace/walk.scm 138 */
											long BgL_restz00_2907;

											{	/* Trace/walk.scm 138 */
												int BgL_arg1770z00_2908;

												BgL_arg1770z00_2908 = (int) (((long) 16));
												{	/* Trace/walk.scm 138 */
													long BgL_res2379z00_2920;

													{	/* Trace/walk.scm 138 */
														long BgL_auxz00_3735;

														BgL_auxz00_3735 = (long) (BgL_arg1770z00_2908);
														BgL_res2379z00_2920 =
															(BgL_offsetz00_2904 % BgL_auxz00_3735);
													}
													BgL_restz00_2907 = BgL_res2379z00_2920;
											}}
											{	/* Trace/walk.scm 138 */

												BgL_res2380z00_2925 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2899,
														(int) (BgL_modz00_2905)), (int) (BgL_restz00_2907));
					}}}}}}}
					BgL_method1894z00_1600 = BgL_res2380z00_2925;
				}
				return
					PROCEDURE_ENTRY(BgL_method1894z00_1600) (BgL_method1894z00_1600,
					((obj_t) BgL_nodez00_22), BEOA);
			}
		}
	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_3187,
		obj_t BgL_nodez00_3188)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3188));
		}
	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_42, obj_t BgL_stackz00_43)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 275 */
			{	/* Trace/walk.scm 275 */
				obj_t BgL_method1924z00_1601;

				{	/* Trace/walk.scm 275 */
					obj_t BgL_res2387z00_2954;

					{	/* Trace/walk.scm 275 */
						long BgL_objzd2classzd2numz00_2927;

						{	/* Trace/walk.scm 275 */
							long BgL_res2381z00_2930;

							BgL_res2381z00_2930 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_42));
							BgL_objzd2classzd2numz00_2927 = BgL_res2381z00_2930;
						}
						{	/* Trace/walk.scm 275 */
							obj_t BgL_arg1769z00_2928;

							BgL_arg1769z00_2928 =
								PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 275 */
								int BgL_offsetz00_2932;

								BgL_offsetz00_2932 = (int) (BgL_objzd2classzd2numz00_2927);
								{	/* Trace/walk.scm 275 */
									long BgL_offsetz00_2933;

									BgL_offsetz00_2933 =
										((long) (BgL_offsetz00_2932) - OBJECT_TYPE);
									{	/* Trace/walk.scm 275 */
										long BgL_modz00_2934;

										{	/* Trace/walk.scm 275 */
											int BgL_arg1771z00_2935;

											BgL_arg1771z00_2935 = (int) (((long) 16));
											{	/* Trace/walk.scm 275 */
												long BgL_res2384z00_2945;

												{	/* Trace/walk.scm 275 */
													long BgL_auxz00_3757;

													BgL_auxz00_3757 = (long) (BgL_arg1771z00_2935);
													BgL_res2384z00_2945 =
														(BgL_offsetz00_2933 / BgL_auxz00_3757);
												}
												BgL_modz00_2934 = BgL_res2384z00_2945;
										}}
										{	/* Trace/walk.scm 275 */
											long BgL_restz00_2936;

											{	/* Trace/walk.scm 275 */
												int BgL_arg1770z00_2937;

												BgL_arg1770z00_2937 = (int) (((long) 16));
												{	/* Trace/walk.scm 275 */
													long BgL_res2386z00_2949;

													{	/* Trace/walk.scm 275 */
														long BgL_auxz00_3761;

														BgL_auxz00_3761 = (long) (BgL_arg1770z00_2937);
														BgL_res2386z00_2949 =
															(BgL_offsetz00_2933 % BgL_auxz00_3761);
													}
													BgL_restz00_2936 = BgL_res2386z00_2949;
											}}
											{	/* Trace/walk.scm 275 */

												BgL_res2387z00_2954 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2928,
														(int) (BgL_modz00_2934)), (int) (BgL_restz00_2936));
					}}}}}}}
					BgL_method1924z00_1601 = BgL_res2387z00_2954;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1924z00_1601) (BgL_method1924z00_1601,
						((obj_t) BgL_nodez00_42), BgL_stackz00_43, BEOA));
			}
		}
	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_3189,
		obj_t BgL_nodez00_3190, obj_t BgL_stackz00_3191)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 275 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3190), BgL_stackz00_3191);
		}
	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_82)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 442 */
			{	/* Trace/walk.scm 442 */
				obj_t BgL_method1963z00_1602;

				{	/* Trace/walk.scm 442 */
					obj_t BgL_res2394z00_2983;

					{	/* Trace/walk.scm 442 */
						long BgL_objzd2classzd2numz00_2956;

						{	/* Trace/walk.scm 442 */
							long BgL_res2388z00_2959;

							BgL_res2388z00_2959 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_82));
							BgL_objzd2classzd2numz00_2956 = BgL_res2388z00_2959;
						}
						{	/* Trace/walk.scm 442 */
							obj_t BgL_arg1769z00_2957;

							BgL_arg1769z00_2957 =
								PROCEDURE_REF
								(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 442 */
								int BgL_offsetz00_2961;

								BgL_offsetz00_2961 = (int) (BgL_objzd2classzd2numz00_2956);
								{	/* Trace/walk.scm 442 */
									long BgL_offsetz00_2962;

									BgL_offsetz00_2962 =
										((long) (BgL_offsetz00_2961) - OBJECT_TYPE);
									{	/* Trace/walk.scm 442 */
										long BgL_modz00_2963;

										{	/* Trace/walk.scm 442 */
											int BgL_arg1771z00_2964;

											BgL_arg1771z00_2964 = (int) (((long) 16));
											{	/* Trace/walk.scm 442 */
												long BgL_res2391z00_2974;

												{	/* Trace/walk.scm 442 */
													long BgL_auxz00_3785;

													BgL_auxz00_3785 = (long) (BgL_arg1771z00_2964);
													BgL_res2391z00_2974 =
														(BgL_offsetz00_2962 / BgL_auxz00_3785);
												}
												BgL_modz00_2963 = BgL_res2391z00_2974;
										}}
										{	/* Trace/walk.scm 442 */
											long BgL_restz00_2965;

											{	/* Trace/walk.scm 442 */
												int BgL_arg1770z00_2966;

												BgL_arg1770z00_2966 = (int) (((long) 16));
												{	/* Trace/walk.scm 442 */
													long BgL_res2393z00_2978;

													{	/* Trace/walk.scm 442 */
														long BgL_auxz00_3789;

														BgL_auxz00_3789 = (long) (BgL_arg1770z00_2966);
														BgL_res2393z00_2978 =
															(BgL_offsetz00_2962 % BgL_auxz00_3789);
													}
													BgL_restz00_2965 = BgL_res2393z00_2978;
											}}
											{	/* Trace/walk.scm 442 */

												BgL_res2394z00_2983 =
													VECTOR_REF(VECTOR_REF(BgL_arg1769z00_2957,
														(int) (BgL_modz00_2963)), (int) (BgL_restz00_2965));
					}}}}}}}
					BgL_method1963z00_1602 = BgL_res2394z00_2983;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1963z00_1602) (BgL_method1963z00_1602,
						((obj_t) BgL_nodez00_82), BEOA));
			}
		}
	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_3192, obj_t BgL_nodez00_3193)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 442 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3193));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2443z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2445z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2446z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2447z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2448z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2449z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2450z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2451z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2452z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2453z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2454z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2455z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2456z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2457z00zztrace_walkz00,
				BGl_string2444z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2458z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2460z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2461z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2462z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2463z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2464z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2465z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2466z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2467z00zztrace_walkz00,
				BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2468z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc2469z00zztrace_walkz00, BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2470z00zztrace_walkz00,
				BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2471z00zztrace_walkz00,
				BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2472z00zztrace_walkz00,
				BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2473z00zztrace_walkz00,
				BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2474z00zztrace_walkz00,
				BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2475z00zztrace_walkz00,
				BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2476z00zztrace_walkz00,
				BGl_string2459z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2477z00zztrace_walkz00,
				BGl_string2478z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2479z00zztrace_walkz00,
				BGl_string2478z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2480z00zztrace_walkz00,
				BGl_string2478z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node-1969 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21969zb0zztrace_walkz00(obj_t
		BgL_envz00_3229, obj_t BgL_nodez00_3230)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 469 */
			{
				BgL_setqz00_bglt BgL_nodez00_1876;

				BgL_nodez00_1876 = ((BgL_setqz00_bglt) BgL_nodez00_3230);
				{	/* Trace/walk.scm 471 */
					BgL_varz00_bglt BgL_i1130z00_1880;

					BgL_i1130z00_1880 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1876))->BgL_varz00);
					{	/* Trace/walk.scm 472 */
						bool_t BgL_testz00_3840;

						{	/* Trace/walk.scm 472 */
							bool_t BgL_testz00_3841;

							{	/* Trace/walk.scm 472 */
								BgL_variablez00_bglt BgL_arg2261z00_1901;

								BgL_arg2261z00_1901 =
									(((BgL_varz00_bglt) CREF(BgL_i1130z00_1880))->
									BgL_variablez00);
								{	/* Trace/walk.scm 472 */
									bool_t BgL_res2420z00_3119;

									BgL_res2420z00_3119 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_arg2261z00_1901), BGl_globalz00zzast_varz00);
									BgL_testz00_3841 = BgL_res2420z00_3119;
								}
							}
							if (BgL_testz00_3841)
								{	/* Trace/walk.scm 473 */
									bool_t BgL_testz00_3845;

									{	/* Trace/walk.scm 473 */
										bool_t BgL_testz00_3846;

										{	/* Trace/walk.scm 473 */
											BgL_nodez00_bglt BgL_arg2260z00_1900;

											BgL_arg2260z00_1900 =
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1876))->
												BgL_valuez00);
											{	/* Trace/walk.scm 473 */
												bool_t BgL_res2421z00_3121;

												BgL_res2421z00_3121 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_arg2260z00_1900),
													BGl_atomz00zzast_nodez00);
												BgL_testz00_3846 = BgL_res2421z00_3121;
											}
										}
										if (BgL_testz00_3846)
											{	/* Trace/walk.scm 473 */
												BgL_testz00_3845 = ((bool_t) 1);
											}
										else
											{	/* Trace/walk.scm 474 */
												bool_t BgL_testz00_3850;

												{	/* Trace/walk.scm 474 */
													BgL_nodez00_bglt BgL_arg2259z00_1899;

													BgL_arg2259z00_1899 =
														(((BgL_setqz00_bglt) CREF(BgL_nodez00_1876))->
														BgL_valuez00);
													{	/* Trace/walk.scm 474 */
														bool_t BgL_res2422z00_3123;

														BgL_res2422z00_3123 =
															BGl_isazf3zf3zz__objectz00(
															((obj_t) BgL_arg2259z00_1899),
															BGl_varz00zzast_nodez00);
														BgL_testz00_3850 = BgL_res2422z00_3123;
													}
												}
												if (BgL_testz00_3850)
													{	/* Trace/walk.scm 474 */
														BgL_testz00_3845 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 475 */
														bool_t BgL_testz00_3854;

														{	/* Trace/walk.scm 475 */
															BgL_nodez00_bglt BgL_arg2257z00_1898;

															BgL_arg2257z00_1898 =
																(((BgL_setqz00_bglt) CREF(BgL_nodez00_1876))->
																BgL_valuez00);
															{	/* Trace/walk.scm 475 */
																bool_t BgL_res2423z00_3125;

																BgL_res2423z00_3125 =
																	BGl_isazf3zf3zz__objectz00(
																	((obj_t) BgL_arg2257z00_1898),
																	BGl_kwotez00zzast_nodez00);
																BgL_testz00_3854 = BgL_res2423z00_3125;
															}
														}
														if (BgL_testz00_3854)
															{	/* Trace/walk.scm 475 */
																BgL_testz00_3845 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 476 */
																BgL_nodez00_bglt BgL_arg2256z00_1897;

																BgL_arg2256z00_1897 =
																	(((BgL_setqz00_bglt) CREF(BgL_nodez00_1876))->
																	BgL_valuez00);
																{	/* Trace/walk.scm 476 */
																	bool_t BgL_res2424z00_3127;

																	BgL_res2424z00_3127 =
																		BGl_isazf3zf3zz__objectz00(
																		((obj_t) BgL_arg2256z00_1897),
																		BGl_pragmaz00zzast_nodez00);
																	BgL_testz00_3845 = BgL_res2424z00_3127;
																}
															}
													}
											}
									}
									if (BgL_testz00_3845)
										{	/* Trace/walk.scm 473 */
											BgL_testz00_3840 = ((bool_t) 0);
										}
									else
										{	/* Trace/walk.scm 473 */
											BgL_testz00_3840 = ((bool_t) 1);
										}
								}
							else
								{	/* Trace/walk.scm 472 */
									BgL_testz00_3840 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3840)
							{	/* Trace/walk.scm 477 */
								BgL_typez00_bglt BgL_tz00_1882;

								{	/* Trace/walk.scm 477 */
									BgL_typez00_bglt BgL_arg2247z00_1888;
									BgL_typez00_bglt BgL_arg2248z00_1889;

									BgL_arg2247z00_1888 =
										(((BgL_nodez00_bglt) CREF(
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1876))->
													BgL_valuez00)))->BgL_typez00);
									BgL_arg2248z00_1889 =
										(((BgL_variablez00_bglt)
											CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) ((
																(BgL_varz00_bglt) CREF(BgL_i1130z00_1880))->
															BgL_variablez00)))))->BgL_typez00);
									BgL_tz00_1882 =
										BGl_strictzd2nodezd2typez00zzast_nodez00
										(BgL_arg2247z00_1888, BgL_arg2248z00_1889);
								}
								{	/* Trace/walk.scm 477 */
									BgL_letzd2varzd2_bglt BgL_tracez00_1883;

									{	/* Trace/walk.scm 478 */
										BgL_nodez00_bglt BgL_arg2241z00_1884;
										obj_t BgL_arg2243z00_1885;
										obj_t BgL_arg2244z00_1886;

										BgL_arg2241z00_1884 =
											(((BgL_setqz00_bglt) CREF(BgL_nodez00_1876))->
											BgL_valuez00);
										{	/* Trace/walk.scm 478 */
											BgL_variablez00_bglt BgL_arg2245z00_1887;

											BgL_arg2245z00_1887 =
												(((BgL_varz00_bglt) CREF(BgL_i1130z00_1880))->
												BgL_variablez00);
											BgL_arg2243z00_1885 =
												BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
													BgL_arg2245z00_1887));
										}
										BgL_arg2244z00_1886 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1876)))->BgL_locz00);
										BgL_tracez00_1883 =
											BGl_makezd2tracedzd2nodez00zztrace_walkz00
											(BgL_arg2241z00_1884, BgL_tz00_1882, BgL_arg2243z00_1885,
											BgL_arg2244z00_1886, BNIL);
									}
									{	/* Trace/walk.scm 478 */

										((((BgL_setqz00_bglt) CREF(BgL_nodez00_1876))->
												BgL_valuez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_tracez00_1883)), BUNSPEC);
									}
								}
							}
						else
							{	/* Trace/walk.scm 472 */
								BFALSE;
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1876);
			}
		}
	}



/* &toplevel-trace-node-1967 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21967zb0zztrace_walkz00(obj_t
		BgL_envz00_3231, obj_t BgL_nodez00_3232)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 455 */
			{
				BgL_syncz00_bglt BgL_nodez00_1866;

				BgL_nodez00_1866 = ((BgL_syncz00_bglt) BgL_nodez00_3232);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1866))->BgL_mutexz00) =
					((BgL_nodez00_bglt)
						BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1866))->BgL_mutexz00))), BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1866))->BgL_prelockz00) =
					((BgL_nodez00_bglt)
						BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1866))->BgL_prelockz00))), BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1866))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1866))->BgL_bodyz00))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1866);
			}
		}
	}



/* &toplevel-trace-node-1965 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21965zb0zztrace_walkz00(obj_t
		BgL_envz00_3233, obj_t BgL_nodez00_3234)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 448 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1861;

				BgL_nodez00_1861 = ((BgL_sequencez00_bglt) BgL_nodez00_3234);
				BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1861))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1861);
			}
		}
	}



/* &trace-node-box-set!1961 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121961za2zztrace_walkz00(obj_t
		BgL_envz00_3235, obj_t BgL_nodez00_3236, obj_t BgL_stackz00_3237)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 425 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1853;
				obj_t BgL_stackz00_1854;

				BgL_nodez00_1853 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3236);
				BgL_stackz00_1854 = BgL_stackz00_3237;
				{
					BgL_varz00_bglt BgL_auxz00_3894;

					{	/* Trace/walk.scm 427 */
						BgL_varz00_bglt BgL_arg2230z00_1858;

						BgL_arg2230z00_1858 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1853))->BgL_varz00);
						BgL_auxz00_3894 =
							((BgL_varz00_bglt)
							BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2230z00_1858), BgL_stackz00_1854));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1853))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3894), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3900;

					{	/* Trace/walk.scm 428 */
						BgL_nodez00_bglt BgL_arg2232z00_1859;

						BgL_arg2232z00_1859 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1853))->
							BgL_valuez00);
						BgL_auxz00_3900 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2232z00_1859,
							BgL_stackz00_1854);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1853))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3900), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1853);
			}
		}
	}



/* &trace-node-box-ref1959 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref1959zb0zztrace_walkz00(obj_t
		BgL_envz00_3238, obj_t BgL_nodez00_3239, obj_t BgL_stackz00_3240)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 418 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1846;
				obj_t BgL_stackz00_1847;

				BgL_nodez00_1846 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3239);
				BgL_stackz00_1847 = BgL_stackz00_3240;
				{	/* Trace/walk.scm 419 */
					BgL_nodez00_bglt BgL_arg2228z00_3089;

					{	/* Trace/walk.scm 419 */
						BgL_varz00_bglt BgL_arg2229z00_3090;

						BgL_arg2229z00_3090 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1846))->BgL_varz00);
						BgL_arg2228z00_3089 =
							BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg2229z00_3090), BgL_stackz00_1847);
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1846))->BgL_varz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg2228z00_3089)),
						BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1846);
			}
		}
	}



/* &trace-node-make-box1957 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box1957zb0zztrace_walkz00(obj_t
		BgL_envz00_3241, obj_t BgL_nodez00_3242, obj_t BgL_stackz00_3243)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 411 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1839;
				obj_t BgL_stackz00_1840;

				BgL_nodez00_1839 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3242);
				BgL_stackz00_1840 = BgL_stackz00_3243;
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1839))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_makezd2boxzd2_bglt)
									CREF(BgL_nodez00_1839))->BgL_valuez00), BgL_stackz00_1840)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1839);
			}
		}
	}



/* &trace-node-jump-ex-i1955 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1955z62zztrace_walkz00(obj_t
		BgL_envz00_3244, obj_t BgL_nodez00_3245, obj_t BgL_stackz00_3246)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 402 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1831;
				obj_t BgL_stackz00_1832;

				BgL_nodez00_1831 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3245);
				BgL_stackz00_1832 = BgL_stackz00_3246;
				{
					BgL_nodez00_bglt BgL_auxz00_3918;

					{	/* Trace/walk.scm 404 */
						BgL_nodez00_bglt BgL_arg2224z00_1836;

						BgL_arg2224z00_1836 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1831))->
							BgL_exitz00);
						BgL_auxz00_3918 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2224z00_1836,
							BgL_stackz00_1832);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1831))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3918), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3922;

					{	/* Trace/walk.scm 405 */
						BgL_nodez00_bglt BgL_arg2225z00_1837;

						BgL_arg2225z00_1837 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1831))->
							BgL_valuez00);
						BgL_auxz00_3922 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2225z00_1837,
							BgL_stackz00_1832);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1831))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3922), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1831);
			}
		}
	}



/* &trace-node-set-ex-it1953 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1953z62zztrace_walkz00(obj_t
		BgL_envz00_3247, obj_t BgL_nodez00_3248, obj_t BgL_stackz00_3249)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 395 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1824;
				obj_t BgL_stackz00_1825;

				BgL_nodez00_1824 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3248);
				BgL_stackz00_1825 = BgL_stackz00_3249;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1824))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
									CREF(BgL_nodez00_1824))->BgL_bodyz00), BgL_stackz00_1825)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1824);
			}
		}
	}



/* &trace-node-let-var1951 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var1951zb0zztrace_walkz00(obj_t
		BgL_envz00_3250, obj_t BgL_nodez00_3251, obj_t BgL_stackz00_3252)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 384 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1807;
				obj_t BgL_stackz00_1808;

				BgL_nodez00_1807 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3251);
				BgL_stackz00_1808 = BgL_stackz00_3252;
				{	/* Trace/walk.scm 386 */
					obj_t BgL_g1892z00_1812;

					BgL_g1892z00_1812 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1807))->BgL_bindingsz00);
					{
						obj_t BgL_l1890z00_1814;

						BgL_l1890z00_1814 = BgL_g1892z00_1812;
					BgL_zc3anonymousza32214ze3z83_1815:
						if (PAIRP(BgL_l1890z00_1814))
							{	/* Trace/walk.scm 386 */
								{	/* Trace/walk.scm 387 */
									obj_t BgL_bindingz00_1817;

									BgL_bindingz00_1817 = CAR(BgL_l1890z00_1814);
									{	/* Trace/walk.scm 387 */
										BgL_nodez00_bglt BgL_arg2216z00_1818;

										{	/* Trace/walk.scm 387 */
											obj_t BgL_arg2218z00_1819;

											BgL_arg2218z00_1819 = CDR(BgL_bindingz00_1817);
											BgL_arg2216z00_1818 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg2218z00_1819),
												BgL_stackz00_1808);
										}
										{	/* Trace/walk.scm 387 */
											obj_t BgL_auxz00_3940;

											BgL_auxz00_3940 = ((obj_t) BgL_arg2216z00_1818);
											SET_CDR(BgL_bindingz00_1817, BgL_auxz00_3940);
										}
									}
								}
								{
									obj_t BgL_l1890z00_3943;

									BgL_l1890z00_3943 = CDR(BgL_l1890z00_1814);
									BgL_l1890z00_1814 = BgL_l1890z00_3943;
									goto BgL_zc3anonymousza32214ze3z83_1815;
								}
							}
						else
							{	/* Trace/walk.scm 386 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3945;

					{	/* Trace/walk.scm 389 */
						BgL_nodez00_bglt BgL_arg2220z00_1822;

						BgL_arg2220z00_1822 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1807))->BgL_bodyz00);
						BgL_auxz00_3945 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2220z00_1822,
							BgL_stackz00_1808);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1807))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3945), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1807);
			}
		}
	}



/* &trace-node-let-fun1949 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun1949zb0zztrace_walkz00(obj_t
		BgL_envz00_3253, obj_t BgL_nodez00_3254, obj_t BgL_stackz00_3255)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 375 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1792;
				obj_t BgL_stackz00_1793;

				BgL_nodez00_1792 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3254);
				BgL_stackz00_1793 = BgL_stackz00_3255;
				{	/* Trace/walk.scm 377 */
					obj_t BgL_g1889z00_1797;

					BgL_g1889z00_1797 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1792))->BgL_localsz00);
					{
						obj_t BgL_l1887z00_1799;

						BgL_l1887z00_1799 = BgL_g1889z00_1797;
					BgL_zc3anonymousza32210ze3z83_1800:
						if (PAIRP(BgL_l1887z00_1799))
							{	/* Trace/walk.scm 377 */
								BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1887z00_1799),
									BgL_stackz00_1793);
								{
									obj_t BgL_l1887z00_3956;

									BgL_l1887z00_3956 = CDR(BgL_l1887z00_1799);
									BgL_l1887z00_1799 = BgL_l1887z00_3956;
									goto BgL_zc3anonymousza32210ze3z83_1800;
								}
							}
						else
							{	/* Trace/walk.scm 377 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3958;

					{	/* Trace/walk.scm 378 */
						BgL_nodez00_bglt BgL_arg2213z00_1805;

						BgL_arg2213z00_1805 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1792))->BgL_bodyz00);
						BgL_auxz00_3958 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2213z00_1805,
							BgL_stackz00_1793);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1792))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3958), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1792);
			}
		}
	}



/* &trace-node-select1947 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2select1947z62zztrace_walkz00(obj_t
		BgL_envz00_3256, obj_t BgL_nodez00_3257, obj_t BgL_stackz00_3258)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 364 */
			{
				BgL_selectz00_bglt BgL_nodez00_1775;
				obj_t BgL_stackz00_1776;

				BgL_nodez00_1775 = ((BgL_selectz00_bglt) BgL_nodez00_3257);
				BgL_stackz00_1776 = BgL_stackz00_3258;
				{
					BgL_nodez00_bglt BgL_auxz00_3964;

					{	/* Trace/walk.scm 366 */
						BgL_nodez00_bglt BgL_arg2203z00_1780;

						BgL_arg2203z00_1780 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1775))->BgL_testz00);
						BgL_auxz00_3964 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2203z00_1780,
							BgL_stackz00_1776);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1775))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3964), BUNSPEC);
				}
				{	/* Trace/walk.scm 367 */
					obj_t BgL_g1886z00_1781;

					BgL_g1886z00_1781 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1775))->BgL_clausesz00);
					{
						obj_t BgL_l1871z00_1783;

						BgL_l1871z00_1783 = BgL_g1886z00_1781;
					BgL_zc3anonymousza32204ze3z83_1784:
						if (PAIRP(BgL_l1871z00_1783))
							{	/* Trace/walk.scm 367 */
								{	/* Trace/walk.scm 368 */
									obj_t BgL_clausez00_1786;

									BgL_clausez00_1786 = CAR(BgL_l1871z00_1783);
									{	/* Trace/walk.scm 368 */
										BgL_nodez00_bglt BgL_arg2206z00_1787;

										{	/* Trace/walk.scm 368 */
											obj_t BgL_arg2207z00_1788;

											BgL_arg2207z00_1788 = CDR(BgL_clausez00_1786);
											BgL_arg2206z00_1787 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg2207z00_1788),
												BgL_stackz00_1776);
										}
										{	/* Trace/walk.scm 368 */
											obj_t BgL_auxz00_3975;

											BgL_auxz00_3975 = ((obj_t) BgL_arg2206z00_1787);
											SET_CDR(BgL_clausez00_1786, BgL_auxz00_3975);
										}
									}
								}
								{
									obj_t BgL_l1871z00_3978;

									BgL_l1871z00_3978 = CDR(BgL_l1871z00_1783);
									BgL_l1871z00_1783 = BgL_l1871z00_3978;
									goto BgL_zc3anonymousza32204ze3z83_1784;
								}
							}
						else
							{	/* Trace/walk.scm 367 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1775);
			}
		}
	}



/* &trace-node-fail1945 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail1945z62zztrace_walkz00(obj_t
		BgL_envz00_3259, obj_t BgL_nodez00_3260, obj_t BgL_stackz00_3261)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 354 */
			{
				BgL_failz00_bglt BgL_nodez00_1766;
				obj_t BgL_stackz00_1767;

				BgL_nodez00_1766 = ((BgL_failz00_bglt) BgL_nodez00_3260);
				BgL_stackz00_1767 = BgL_stackz00_3261;
				{
					BgL_nodez00_bglt BgL_auxz00_3982;

					{	/* Trace/walk.scm 356 */
						BgL_nodez00_bglt BgL_arg2200z00_1771;

						BgL_arg2200z00_1771 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1766))->BgL_procz00);
						BgL_auxz00_3982 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2200z00_1771,
							BgL_stackz00_1767);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1766))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3982), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3986;

					{	/* Trace/walk.scm 357 */
						BgL_nodez00_bglt BgL_arg2201z00_1772;

						BgL_arg2201z00_1772 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1766))->BgL_msgz00);
						BgL_auxz00_3986 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2201z00_1772,
							BgL_stackz00_1767);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1766))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3986), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3990;

					{	/* Trace/walk.scm 358 */
						BgL_nodez00_bglt BgL_arg2202z00_1773;

						BgL_arg2202z00_1773 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1766))->BgL_objz00);
						BgL_auxz00_3990 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2202z00_1773,
							BgL_stackz00_1767);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1766))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3990), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1766);
			}
		}
	}



/* &trace-node-condition1943 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition1943z62zztrace_walkz00(obj_t
		BgL_envz00_3262, obj_t BgL_nodez00_3263, obj_t BgL_stackz00_3264)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 344 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1757;
				obj_t BgL_stackz00_1758;

				BgL_nodez00_1757 = ((BgL_conditionalz00_bglt) BgL_nodez00_3263);
				BgL_stackz00_1758 = BgL_stackz00_3264;
				{
					BgL_nodez00_bglt BgL_auxz00_3996;

					{	/* Trace/walk.scm 346 */
						BgL_nodez00_bglt BgL_arg2197z00_1762;

						BgL_arg2197z00_1762 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1757))->BgL_testz00);
						BgL_auxz00_3996 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2197z00_1762,
							BgL_stackz00_1758);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1757))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3996), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4000;

					{	/* Trace/walk.scm 347 */
						BgL_nodez00_bglt BgL_arg2198z00_1763;

						BgL_arg2198z00_1763 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1757))->BgL_truez00);
						BgL_auxz00_4000 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2198z00_1763,
							BgL_stackz00_1758);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1757))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4000), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4004;

					{	/* Trace/walk.scm 348 */
						BgL_nodez00_bglt BgL_arg2199z00_1764;

						BgL_arg2199z00_1764 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1757))->
							BgL_falsez00);
						BgL_auxz00_4004 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2199z00_1764,
							BgL_stackz00_1758);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1757))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4004), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1757);
			}
		}
	}



/* &trace-node-setq1941 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq1941z62zztrace_walkz00(obj_t
		BgL_envz00_3265, obj_t BgL_nodez00_3266, obj_t BgL_stackz00_3267)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 337 */
			{
				BgL_setqz00_bglt BgL_nodez00_1750;
				obj_t BgL_stackz00_1751;

				BgL_nodez00_1750 = ((BgL_setqz00_bglt) BgL_nodez00_3266);
				BgL_stackz00_1751 = BgL_stackz00_3267;
				((((BgL_setqz00_bglt) CREF(BgL_nodez00_1750))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setqz00_bglt)
									CREF(BgL_nodez00_1750))->BgL_valuez00), BgL_stackz00_1751)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1750);
			}
		}
	}



/* &trace-node-cast1939 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast1939z62zztrace_walkz00(obj_t
		BgL_envz00_3268, obj_t BgL_nodez00_3269, obj_t BgL_stackz00_3270)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 330 */
			{
				BgL_castz00_bglt BgL_nodez00_1744;
				obj_t BgL_stackz00_1745;

				BgL_nodez00_1744 = ((BgL_castz00_bglt) BgL_nodez00_3269);
				BgL_stackz00_1745 = BgL_stackz00_3270;
				BGl_tracezd2nodezd2zztrace_walkz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1744))->BgL_argz00),
					BgL_stackz00_1745);
				return ((BgL_nodez00_bglt) BgL_nodez00_1744);
			}
		}
	}



/* &trace-node-extern1937 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern1937z62zztrace_walkz00(obj_t
		BgL_envz00_3271, obj_t BgL_nodez00_3272, obj_t BgL_stackz00_3273)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 323 */
			{
				BgL_externz00_bglt BgL_nodez00_1738;
				obj_t BgL_stackz00_1739;

				BgL_nodez00_1738 = ((BgL_externz00_bglt) BgL_nodez00_3272);
				BgL_stackz00_1739 = BgL_stackz00_3273;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1738))->BgL_exprza2za2),
					BgL_stackz00_1739);
				return ((BgL_nodez00_bglt) BgL_nodez00_1738);
			}
		}
	}



/* &trace-node-funcall1935 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall1935z62zztrace_walkz00(obj_t
		BgL_envz00_3274, obj_t BgL_nodez00_3275, obj_t BgL_stackz00_3276)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 314 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1730;
				obj_t BgL_stackz00_1731;

				BgL_nodez00_1730 = ((BgL_funcallz00_bglt) BgL_nodez00_3275);
				BgL_stackz00_1731 = BgL_stackz00_3276;
				{
					BgL_nodez00_bglt BgL_auxz00_4023;

					{	/* Trace/walk.scm 316 */
						BgL_nodez00_bglt BgL_arg2189z00_1735;

						BgL_arg2189z00_1735 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1730))->BgL_funz00);
						BgL_auxz00_4023 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2189z00_1735,
							BgL_stackz00_1731);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1730))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4023), BUNSPEC);
				}
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1730))->BgL_argsz00),
					BgL_stackz00_1731);
				return ((BgL_nodez00_bglt) BgL_nodez00_1730);
			}
		}
	}



/* &trace-node-app-ly1933 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly1933zb0zztrace_walkz00(obj_t
		BgL_envz00_3277, obj_t BgL_nodez00_3278, obj_t BgL_stackz00_3279)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 305 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1722;
				obj_t BgL_stackz00_1723;

				BgL_nodez00_1722 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3278);
				BgL_stackz00_1723 = BgL_stackz00_3279;
				{
					BgL_nodez00_bglt BgL_auxz00_4031;

					{	/* Trace/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg2187z00_1727;

						BgL_arg2187z00_1727 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1722))->BgL_funz00);
						BgL_auxz00_4031 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2187z00_1727,
							BgL_stackz00_1723);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1722))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4031), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4035;

					{	/* Trace/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg2188z00_1728;

						BgL_arg2188z00_1728 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1722))->BgL_argz00);
						BgL_auxz00_4035 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2188z00_1728,
							BgL_stackz00_1723);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1722))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4035), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1722);
			}
		}
	}



/* &trace-node-app1931 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1931z62zztrace_walkz00(obj_t
		BgL_envz00_3280, obj_t BgL_nodez00_3281, obj_t BgL_stackz00_3282)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 298 */
			{
				BgL_appz00_bglt BgL_nodez00_1716;
				obj_t BgL_stackz00_1717;

				BgL_nodez00_1716 = ((BgL_appz00_bglt) BgL_nodez00_3281);
				BgL_stackz00_1717 = BgL_stackz00_3282;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1716))->BgL_argsz00),
					BgL_stackz00_1717);
				return ((BgL_nodez00_bglt) BgL_nodez00_1716);
			}
		}
	}



/* &trace-node-sync1929 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sync1929z62zztrace_walkz00(obj_t
		BgL_envz00_3283, obj_t BgL_nodez00_3284, obj_t BgL_stackz00_3285)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 288 */
			{
				BgL_syncz00_bglt BgL_nodez00_1707;
				obj_t BgL_stackz00_1708;

				BgL_nodez00_1707 = ((BgL_syncz00_bglt) BgL_nodez00_3284);
				BgL_stackz00_1708 = BgL_stackz00_3285;
				{
					BgL_nodez00_bglt BgL_auxz00_4045;

					{	/* Trace/walk.scm 290 */
						BgL_nodez00_bglt BgL_arg2182z00_1712;

						BgL_arg2182z00_1712 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1707))->BgL_mutexz00);
						BgL_auxz00_4045 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2182z00_1712,
							BgL_stackz00_1708);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1707))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4045), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4049;

					{	/* Trace/walk.scm 291 */
						BgL_nodez00_bglt BgL_arg2183z00_1713;

						BgL_arg2183z00_1713 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1707))->BgL_prelockz00);
						BgL_auxz00_4049 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2183z00_1713,
							BgL_stackz00_1708);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1707))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4049), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4053;

					{	/* Trace/walk.scm 292 */
						BgL_nodez00_bglt BgL_arg2184z00_1714;

						BgL_arg2184z00_1714 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1707))->BgL_bodyz00);
						BgL_auxz00_4053 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2184z00_1714,
							BgL_stackz00_1708);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1707))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4053), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1707);
			}
		}
	}



/* &trace-node-sequence1927 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence1927z62zztrace_walkz00(obj_t
		BgL_envz00_3286, obj_t BgL_nodez00_3287, obj_t BgL_stackz00_3288)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 281 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1701;
				obj_t BgL_stackz00_1702;

				BgL_nodez00_1701 = ((BgL_sequencez00_bglt) BgL_nodez00_3287);
				BgL_stackz00_1702 = BgL_stackz00_3288;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1701))->BgL_nodesz00),
					BgL_stackz00_1702);
				return ((BgL_nodez00_bglt) BgL_nodez00_1701);
			}
		}
	}



/* &find-last-node-jump-1922 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21922z62zztrace_walkz00(obj_t
		BgL_envz00_3289, obj_t BgL_nodez00_3290)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 238 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1696;

				BgL_nodez00_1696 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3290);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1696))->
						BgL_valuez00));
			}
		}
	}



/* &find-last-node-set-e1920 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1920z62zztrace_walkz00(obj_t
		BgL_envz00_3291, obj_t BgL_nodez00_3292)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 232 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1691;

				BgL_nodez00_1691 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3292);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1691))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-let-f1918 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1918z62zztrace_walkz00(obj_t
		BgL_envz00_3293, obj_t BgL_nodez00_3294)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 226 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1686;

				BgL_nodez00_1686 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3294);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1686))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-let-v1916 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1916z62zztrace_walkz00(obj_t
		BgL_envz00_3295, obj_t BgL_nodez00_3296)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 220 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1681;

				BgL_nodez00_1681 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3296);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1681))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-selec1914 */
	obj_t BGl_z62findzd2lastzd2nodezd2selec1914zb0zztrace_walkz00(obj_t
		BgL_envz00_3297, obj_t BgL_nodez00_3298)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 211 */
			{
				BgL_selectz00_bglt BgL_nodez00_1670;

				BgL_nodez00_1670 = ((BgL_selectz00_bglt) BgL_nodez00_3298);
				{	/* Trace/walk.scm 213 */
					bool_t BgL_testz00_4075;

					{	/* Trace/walk.scm 213 */
						obj_t BgL_auxz00_4076;

						BgL_auxz00_4076 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1670))->BgL_clausesz00);
						BgL_testz00_4075 = PAIRP(BgL_auxz00_4076);
					}
					if (BgL_testz00_4075)
						{	/* Trace/walk.scm 214 */
							obj_t BgL_arg2170z00_1675;

							BgL_arg2170z00_1675 =
								CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1670))->
										BgL_clausesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2170z00_1675));
						}
					else
						{	/* Trace/walk.scm 213 */
							return
								BGl_findzd2lastzd2sexpz00zztrace_walkz00(
								((obj_t)
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1670))->
										BgL_testz00)));
						}
				}
			}
		}
	}



/* &find-last-node-fail1912 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail1912zb0zztrace_walkz00(obj_t
		BgL_envz00_3299, obj_t BgL_nodez00_3300)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 205 */
			{
				BgL_failz00_bglt BgL_nodez00_1665;

				BgL_nodez00_1665 = ((BgL_failz00_bglt) BgL_nodez00_3300);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1665))->BgL_objz00));
			}
		}
	}



/* &find-last-node-condi1910 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi1910zb0zztrace_walkz00(obj_t
		BgL_envz00_3301, obj_t BgL_nodez00_3302)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 199 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1660;

				BgL_nodez00_1660 = ((BgL_conditionalz00_bglt) BgL_nodez00_3302);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1660))->BgL_falsez00));
			}
		}
	}



/* &find-last-node-setq1908 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq1908zb0zztrace_walkz00(obj_t
		BgL_envz00_3303, obj_t BgL_nodez00_3304)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 193 */
			{
				BgL_setqz00_bglt BgL_nodez00_1655;

				BgL_nodez00_1655 = ((BgL_setqz00_bglt) BgL_nodez00_3304);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1655))->BgL_valuez00));
			}
		}
	}



/* &find-last-node-exter1906 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter1906zb0zztrace_walkz00(obj_t
		BgL_envz00_3305, obj_t BgL_nodez00_3306)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 184 */
			{
				BgL_externz00_bglt BgL_nodez00_1645;

				BgL_nodez00_1645 = ((BgL_externz00_bglt) BgL_nodez00_3306);
				if (NULLP(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1645))->BgL_exprza2za2)))
					{	/* Trace/walk.scm 186 */
						return ((obj_t) BgL_nodez00_1645);
					}
				else
					{	/* Trace/walk.scm 187 */
						obj_t BgL_arg2159z00_1650;

						BgL_arg2159z00_1650 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_externz00_bglt) CREF(BgL_nodez00_1645))->
									BgL_exprza2za2)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg2159z00_1650));
					}
			}
		}
	}



/* &find-last-node-funca1904 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca1904zb0zztrace_walkz00(obj_t
		BgL_envz00_3307, obj_t BgL_nodez00_3308)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 175 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1634;

				BgL_nodez00_1634 = ((BgL_funcallz00_bglt) BgL_nodez00_3308);
				{	/* Trace/walk.scm 177 */
					bool_t BgL_testz00_4107;

					{	/* Trace/walk.scm 177 */
						obj_t BgL_auxz00_4108;

						BgL_auxz00_4108 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1634))->BgL_argsz00);
						BgL_testz00_4107 = PAIRP(BgL_auxz00_4108);
					}
					if (BgL_testz00_4107)
						{	/* Trace/walk.scm 178 */
							obj_t BgL_arg2152z00_1639;

							BgL_arg2152z00_1639 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1634))->
										BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2152z00_1639));
						}
					else
						{	/* Trace/walk.scm 177 */
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1634))->BgL_funz00));
						}
				}
			}
		}
	}



/* &find-last-node-app-l1902 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1902z62zztrace_walkz00(obj_t
		BgL_envz00_3309, obj_t BgL_nodez00_3310)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 169 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1629;

				BgL_nodez00_1629 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3310);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1629))->BgL_argz00));
			}
		}
	}



/* &find-last-node-app1900 */
	obj_t BGl_z62findzd2lastzd2nodezd2app1900zb0zztrace_walkz00(obj_t
		BgL_envz00_3311, obj_t BgL_nodez00_3312)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 160 */
			{
				BgL_appz00_bglt BgL_nodez00_1619;

				BgL_nodez00_1619 = ((BgL_appz00_bglt) BgL_nodez00_3312);
				{	/* Trace/walk.scm 162 */
					bool_t BgL_testz00_4122;

					{	/* Trace/walk.scm 162 */
						obj_t BgL_auxz00_4123;

						BgL_auxz00_4123 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1619))->BgL_argsz00);
						BgL_testz00_4122 = PAIRP(BgL_auxz00_4123);
					}
					if (BgL_testz00_4122)
						{	/* Trace/walk.scm 163 */
							obj_t BgL_arg2146z00_1624;

							BgL_arg2146z00_1624 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1619))->BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2146z00_1624));
						}
					else
						{	/* Trace/walk.scm 162 */
							return ((obj_t) BgL_nodez00_1619);
						}
				}
			}
		}
	}



/* &find-last-node-sync1898 */
	obj_t BGl_z62findzd2lastzd2nodezd2sync1898zb0zztrace_walkz00(obj_t
		BgL_envz00_3313, obj_t BgL_nodez00_3314)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 153 */
			{
				BgL_syncz00_bglt BgL_nodez00_1613;

				BgL_nodez00_1613 = ((BgL_syncz00_bglt) BgL_nodez00_3314);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1613))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-seque1896 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque1896zb0zztrace_walkz00(obj_t
		BgL_envz00_3315, obj_t BgL_nodez00_3316)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 144 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1603;

				BgL_nodez00_1603 = ((BgL_sequencez00_bglt) BgL_nodez00_3316);
				{	/* Trace/walk.scm 146 */
					bool_t BgL_testz00_4136;

					{	/* Trace/walk.scm 146 */
						obj_t BgL_auxz00_4137;

						BgL_auxz00_4137 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1603))->BgL_nodesz00);
						BgL_testz00_4136 = PAIRP(BgL_auxz00_4137);
					}
					if (BgL_testz00_4136)
						{	/* Trace/walk.scm 147 */
							obj_t BgL_arg2139z00_1608;

							BgL_arg2139z00_1608 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1603))->
										BgL_nodesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2139z00_1608));
						}
					else
						{	/* Trace/walk.scm 146 */
							return ((obj_t) BgL_nodez00_1603);
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 328744326),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2481z00zztrace_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
