/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol2800z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2802z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2804z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2806z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2808z00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2810z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2812z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2814z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2816z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	static obj_t BGl_symbol2818z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza31315ze3ze1zz__evaluatez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2820z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2822z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2824z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static obj_t BGl_symbol2826z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2828z00zz__evaluatez00 = BUNSPEC;
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2830z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_symbol2832z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2834z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2836z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2838z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2840z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2842z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2844z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2846z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2848z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_keyword2897z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2850z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2852z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2854z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_symbol2856z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2858z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol2860z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2864z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2784z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2866z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2869z00zz__evaluatez00 = BUNSPEC;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol2871z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2873z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2792z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2875z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2794z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2877z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2796z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2879z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2798z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_symbol2881z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2883z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2885z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2887z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2889z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	static obj_t BGl_symbol2891z00zz__evaluatez00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol2893z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2895z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2899z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz72z72zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t bstring_to_keyword(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2801z00zz__evaluatez00,
		BgL_bgl_string2801za700za7za7_2902za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2803z00zz__evaluatez00,
		BgL_bgl_string2803za700za7za7_2903za7, "symbol?", 7);
	      DEFINE_STRING(BGl_string2805z00zz__evaluatez00,
		BgL_bgl_string2805za700za7za7_2904za7, "char", 4);
	      DEFINE_STRING(BGl_string2807z00zz__evaluatez00,
		BgL_bgl_string2807za700za7za7_2905za7, "char?", 5);
	      DEFINE_STRING(BGl_string2809z00zz__evaluatez00,
		BgL_bgl_string2809za700za7za7_2906za7, "int", 3);
	      DEFINE_STRING(BGl_string2811z00zz__evaluatez00,
		BgL_bgl_string2811za700za7za7_2907za7, "bint", 4);
	      DEFINE_STRING(BGl_string2813z00zz__evaluatez00,
		BgL_bgl_string2813za700za7za7_2908za7, "integer?", 8);
	      DEFINE_STRING(BGl_string2815z00zz__evaluatez00,
		BgL_bgl_string2815za700za7za7_2909za7, "real", 4);
	      DEFINE_STRING(BGl_string2817z00zz__evaluatez00,
		BgL_bgl_string2817za700za7za7_2910za7, "breal", 5);
	      DEFINE_STRING(BGl_string2819z00zz__evaluatez00,
		BgL_bgl_string2819za700za7za7_2911za7, "real?", 5);
	      DEFINE_STRING(BGl_string2900z00zz__evaluatez00,
		BgL_bgl_string2900za700za7za7_2912za7, "\\@", 2);
	      DEFINE_STRING(BGl_string2901z00zz__evaluatez00,
		BgL_bgl_string2901za700za7za7_2913za7, "__evaluate", 10);
	      DEFINE_STRING(BGl_string2821z00zz__evaluatez00,
		BgL_bgl_string2821za700za7za7_2914za7, "bool", 4);
	      DEFINE_STRING(BGl_string2823z00zz__evaluatez00,
		BgL_bgl_string2823za700za7za7_2915za7, "boolean?", 8);
	      DEFINE_STRING(BGl_string2825z00zz__evaluatez00,
		BgL_bgl_string2825za700za7za7_2916za7, "struct", 6);
	      DEFINE_STRING(BGl_string2827z00zz__evaluatez00,
		BgL_bgl_string2827za700za7za7_2917za7, "struct?", 7);
	      DEFINE_STRING(BGl_string2829z00zz__evaluatez00,
		BgL_bgl_string2829za700za7za7_2918za7, "class", 5);
	      DEFINE_STRING(BGl_string2831z00zz__evaluatez00,
		BgL_bgl_string2831za700za7za7_2919za7, "class?", 6);
	      DEFINE_STRING(BGl_string2833z00zz__evaluatez00,
		BgL_bgl_string2833za700za7za7_2920za7, "string", 6);
	      DEFINE_STRING(BGl_string2835z00zz__evaluatez00,
		BgL_bgl_string2835za700za7za7_2921za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2837z00zz__evaluatez00,
		BgL_bgl_string2837za700za7za7_2922za7, "string?", 7);
	      DEFINE_STRING(BGl_string2839z00zz__evaluatez00,
		BgL_bgl_string2839za700za7za7_2923za7, "o", 1);
	      DEFINE_STRING(BGl_string2841z00zz__evaluatez00,
		BgL_bgl_string2841za700za7za7_2924za7, "quote", 5);
	      DEFINE_STRING(BGl_string2843z00zz__evaluatez00,
		BgL_bgl_string2843za700za7za7_2925za7, "class-exists", 12);
	      DEFINE_STRING(BGl_string2845z00zz__evaluatez00,
		BgL_bgl_string2845za700za7za7_2926za7, "c", 1);
	      DEFINE_STRING(BGl_string2847z00zz__evaluatez00,
		BgL_bgl_string2847za700za7za7_2927za7, "isa?", 4);
	      DEFINE_STRING(BGl_string2849z00zz__evaluatez00,
		BgL_bgl_string2849za700za7za7_2928za7, "if", 2);
	      DEFINE_STRING(BGl_string2851z00zz__evaluatez00,
		BgL_bgl_string2851za700za7za7_2929za7, "let", 3);
	      DEFINE_STRING(BGl_string2853z00zz__evaluatez00,
		BgL_bgl_string2853za700za7za7_2930za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2855z00zz__evaluatez00,
		BgL_bgl_string2855za700za7za7_2931za7, "bigloo-type-error/location", 26);
	      DEFINE_STRING(BGl_string2857z00zz__evaluatez00,
		BgL_bgl_string2857za700za7za7_2932za7, "bigloo-type-error", 17);
	      DEFINE_STRING(BGl_string2859z00zz__evaluatez00,
		BgL_bgl_string2859za700za7za7_2933za7, "at", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat2934z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2861z00zz__evaluatez00,
		BgL_bgl_string2861za700za7za7_2935za7, "tmp", 3);
	      DEFINE_STRING(BGl_string2862z00zz__evaluatez00,
		BgL_bgl_string2862za700za7za7_2936za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string2863z00zz__evaluatez00,
		BgL_bgl_string2863za700za7za7_2937za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2783z00zz__evaluatez00,
		BgL_bgl_string2783za700za7za7_2938za7, "", 0);
	      DEFINE_STRING(BGl_string2865z00zz__evaluatez00,
		BgL_bgl_string2865za700za7za7_2939za7, "begin", 5);
	      DEFINE_STRING(BGl_string2785z00zz__evaluatez00,
		BgL_bgl_string2785za700za7za7_2940za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2867z00zz__evaluatez00,
		BgL_bgl_string2867za700za7za7_2941za7, " ", 1);
	      DEFINE_STRING(BGl_string2786z00zz__evaluatez00,
		BgL_bgl_string2786za700za7za7_2942za7, "eval", 4);
	      DEFINE_STRING(BGl_string2868z00zz__evaluatez00,
		BgL_bgl_string2868za700za7za7_2943za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string2787z00zz__evaluatez00,
		BgL_bgl_string2787za700za7za7_2944za7, "bad syntax", 10);
	      DEFINE_STRING(BGl_string2788z00zz__evaluatez00,
		BgL_bgl_string2788za700za7za7_2945za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2789z00zz__evaluatez00,
		BgL_bgl_string2789za700za7za7_2946za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2870z00zz__evaluatez00,
		BgL_bgl_string2870za700za7za7_2947za7, "module", 6);
	      DEFINE_STRING(BGl_string2790z00zz__evaluatez00,
		BgL_bgl_string2790za700za7za7_2948za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2872z00zz__evaluatez00,
		BgL_bgl_string2872za700za7za7_2949za7, "@", 1);
	      DEFINE_STRING(BGl_string2791z00zz__evaluatez00,
		BgL_bgl_string2791za700za7za7_2950za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2874z00zz__evaluatez00,
		BgL_bgl_string2874za700za7za7_2951za7, "->", 2);
	      DEFINE_STRING(BGl_string2793z00zz__evaluatez00,
		BgL_bgl_string2793za700za7za7_2952za7, "pair", 4);
	      DEFINE_STRING(BGl_string2876z00zz__evaluatez00,
		BgL_bgl_string2876za700za7za7_2953za7, "trap", 4);
	      DEFINE_STRING(BGl_string2795z00zz__evaluatez00,
		BgL_bgl_string2795za700za7za7_2954za7, "pair?", 5);
	      DEFINE_STRING(BGl_string2878z00zz__evaluatez00,
		BgL_bgl_string2878za700za7za7_2955za7, "or", 2);
	      DEFINE_STRING(BGl_string2797z00zz__evaluatez00,
		BgL_bgl_string2797za700za7za7_2956za7, "vector", 6);
	      DEFINE_STRING(BGl_string2799z00zz__evaluatez00,
		BgL_bgl_string2799za700za7za7_2957za7, "vector?", 7);
	      DEFINE_STRING(BGl_string2880z00zz__evaluatez00,
		BgL_bgl_string2880za700za7za7_2958za7, "and", 3);
	      DEFINE_STRING(BGl_string2882z00zz__evaluatez00,
		BgL_bgl_string2882za700za7za7_2959za7, "let*", 4);
	      DEFINE_STRING(BGl_string2884z00zz__evaluatez00,
		BgL_bgl_string2884za700za7za7_2960za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2886z00zz__evaluatez00,
		BgL_bgl_string2886za700za7za7_2961za7, "set!", 4);
	      DEFINE_STRING(BGl_string2888z00zz__evaluatez00,
		BgL_bgl_string2888za700za7za7_2962za7, "define", 6);
	      DEFINE_STRING(BGl_string2890z00zz__evaluatez00,
		BgL_bgl_string2890za700za7za7_2963za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2892z00zz__evaluatez00,
		BgL_bgl_string2892za700za7za7_2964za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2894z00zz__evaluatez00,
		BgL_bgl_string2894za700za7za7_2965za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2896z00zz__evaluatez00,
		BgL_bgl_string2896za700za7za7_2966za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string2898z00zz__evaluatez00,
		BgL_bgl_string2898za700za7za7_2967za7, "prelock", 7);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat2968z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za72969za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4527, char *BgL_fromz00_4528)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2784z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2785z00zz__evaluatez00);
			BGl_symbol2792z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2793z00zz__evaluatez00);
			BGl_symbol2794z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2795z00zz__evaluatez00);
			BGl_symbol2796z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2797z00zz__evaluatez00);
			BGl_symbol2798z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2799z00zz__evaluatez00);
			BGl_symbol2800z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2801z00zz__evaluatez00);
			BGl_symbol2802z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2803z00zz__evaluatez00);
			BGl_symbol2804z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2805z00zz__evaluatez00);
			BGl_symbol2806z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2807z00zz__evaluatez00);
			BGl_symbol2808z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2809z00zz__evaluatez00);
			BGl_symbol2810z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2811z00zz__evaluatez00);
			BGl_symbol2812z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2813z00zz__evaluatez00);
			BGl_symbol2814z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2815z00zz__evaluatez00);
			BGl_symbol2816z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2817z00zz__evaluatez00);
			BGl_symbol2818z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2819z00zz__evaluatez00);
			BGl_symbol2820z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2821z00zz__evaluatez00);
			BGl_symbol2822z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2823z00zz__evaluatez00);
			BGl_symbol2824z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2825z00zz__evaluatez00);
			BGl_symbol2826z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2827z00zz__evaluatez00);
			BGl_symbol2828z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2829z00zz__evaluatez00);
			BGl_symbol2830z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2831z00zz__evaluatez00);
			BGl_symbol2832z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2833z00zz__evaluatez00);
			BGl_symbol2834z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2835z00zz__evaluatez00);
			BGl_symbol2836z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2837z00zz__evaluatez00);
			BGl_symbol2838z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2839z00zz__evaluatez00);
			BGl_symbol2840z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2841z00zz__evaluatez00);
			BGl_symbol2842z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2843z00zz__evaluatez00);
			BGl_symbol2844z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2845z00zz__evaluatez00);
			BGl_symbol2846z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2847z00zz__evaluatez00);
			BGl_symbol2848z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2849z00zz__evaluatez00);
			BGl_symbol2850z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2851z00zz__evaluatez00);
			BGl_symbol2852z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2853z00zz__evaluatez00);
			BGl_symbol2854z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2855z00zz__evaluatez00);
			BGl_symbol2856z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2857z00zz__evaluatez00);
			BGl_symbol2858z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2859z00zz__evaluatez00);
			BGl_symbol2860z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2861z00zz__evaluatez00);
			BGl_symbol2864z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2865z00zz__evaluatez00);
			BGl_symbol2866z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2867z00zz__evaluatez00);
			BGl_symbol2869z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2870z00zz__evaluatez00);
			BGl_symbol2871z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2872z00zz__evaluatez00);
			BGl_symbol2873z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2874z00zz__evaluatez00);
			BGl_symbol2875z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2876z00zz__evaluatez00);
			BGl_symbol2877z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2878z00zz__evaluatez00);
			BGl_symbol2879z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2880z00zz__evaluatez00);
			BGl_symbol2881z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2882z00zz__evaluatez00);
			BGl_symbol2883z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2884z00zz__evaluatez00);
			BGl_symbol2885z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2886z00zz__evaluatez00);
			BGl_symbol2887z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2888z00zz__evaluatez00);
			BGl_symbol2889z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2890z00zz__evaluatez00);
			BGl_symbol2891z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2892z00zz__evaluatez00);
			BGl_symbol2893z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2894z00zz__evaluatez00);
			BGl_symbol2895z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2896z00zz__evaluatez00);
			BGl_keyword2897z00zz__evaluatez00 =
				bstring_to_keyword(BGl_string2898z00zz__evaluatez00);
			return (BGl_symbol2899z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2900z00zz__evaluatez00), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_694;

				BgL_headz00_694 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2393;
					obj_t BgL_tailz00_2394;

					BgL_prevz00_2393 = BgL_headz00_694;
					BgL_tailz00_2394 = BgL_l1z00_1;
				BgL_loopz00_2392:
					if (PAIRP(BgL_tailz00_2394))
						{
							obj_t BgL_newzd2prevzd2_2400;

							BgL_newzd2prevzd2_2400 =
								MAKE_PAIR(CAR(BgL_tailz00_2394), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2393, BgL_newzd2prevzd2_2400);
							{
								obj_t BgL_tailz00_4595;
								obj_t BgL_prevz00_4594;

								BgL_prevz00_4594 = BgL_newzd2prevzd2_2400;
								BgL_tailz00_4595 = CDR(BgL_tailz00_2394);
								BgL_tailz00_2394 = BgL_tailz00_4595;
								BgL_prevz00_2393 = BgL_prevz00_4594;
								goto BgL_loopz00_2392;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_694);
			}
		}
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{	/* Eval/evaluate.scm 72 */
				obj_t BgL_stringz00_702;

				{	/* Eval/evaluate.scm 72 */
					obj_t BgL_res2443z00_2412;

					{	/* Eval/evaluate.scm 72 */
						obj_t BgL_arg2374z00_2411;

						BgL_arg2374z00_2411 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2443z00_2412 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2374z00_2411);
					}
					BgL_stringz00_702 = BgL_res2443z00_2412;
				}
				{	/* Eval/evaluate.scm 72 */
					long BgL_lenz00_703;

					BgL_lenz00_703 = STRING_LENGTH(BgL_stringz00_702);
					{	/* Eval/evaluate.scm 73 */

						{
							long BgL_walkerz00_705;

							BgL_walkerz00_705 = ((long) 0);
						BgL_zc3anonymousza31277ze3z83_706:
							if ((BgL_walkerz00_705 == BgL_lenz00_703))
								{	/* Eval/evaluate.scm 76 */
									return MAKE_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 78 */
									bool_t BgL_testz00_4604;

									if (
										(STRING_REF(BgL_stringz00_702,
												BgL_walkerz00_705) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 78 */
											if ((BgL_walkerz00_705 < (BgL_lenz00_703 - ((long) 1))))
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4604 =
														(STRING_REF(BgL_stringz00_702,
															(BgL_walkerz00_705 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4604 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 78 */
											BgL_testz00_4604 = ((bool_t) 0);
										}
									if (BgL_testz00_4604)
										{	/* Eval/evaluate.scm 81 */
											obj_t BgL_arg1281z00_709;
											obj_t BgL_arg1283z00_710;

											BgL_arg1281z00_709 =
												bstring_to_symbol(c_substring(BgL_stringz00_702,
													((long) 0), BgL_walkerz00_705));
											{	/* Eval/evaluate.scm 82 */
												obj_t BgL_arg1285z00_712;

												{	/* Eval/evaluate.scm 82 */
													long BgL_arg1286z00_713;

													BgL_arg1286z00_713 = (BgL_walkerz00_705 + ((long) 2));
													{	/* Ieee/string.scm 179 */
														long BgL_endz00_716;

														BgL_endz00_716 = STRING_LENGTH(BgL_stringz00_702);
														{	/* Ieee/string.scm 179 */

															BgL_arg1285z00_712 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_702, BgL_arg1286z00_713,
																BgL_endz00_716);
												}}}
												BgL_arg1283z00_710 =
													bstring_to_symbol(BgL_arg1285z00_712);
											}
											return MAKE_PAIR(BgL_arg1281z00_709, BgL_arg1283z00_710);
										}
									else
										{
											long BgL_walkerz00_4621;

											BgL_walkerz00_4621 = (BgL_walkerz00_705 + ((long) 1));
											BgL_walkerz00_705 = BgL_walkerz00_4621;
											goto BgL_zc3anonymousza31277ze3z83_706;
										}
								}
						}
					}
				}
			}
		}
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			{	/* Eval/evaluate.scm 90 */
				obj_t BgL_sz00_725;

				BgL_sz00_725 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 91 */
					obj_t BgL_bpz00_726;

					BgL_bpz00_726 = VECTOR_REF(BgL_sz00_725, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 92 */
						obj_t BgL_rz00_727;

						BgL_rz00_727 =
							make_vector(CINT(BgL_bpz00_726),
							BGl_string2783z00zz__evaluatez00);
						{
							long BgL_iz00_2469;

							BgL_iz00_2469 = ((long) 0);
						BgL_recz00_2468:
							if ((BgL_iz00_2469 < (long) CINT(BgL_bpz00_726)))
								{	/* Eval/evaluate.scm 94 */
									VECTOR_SET(BgL_rz00_727,
										(int) (BgL_iz00_2469),
										VECTOR_REF(BgL_sz00_725, (int) (BgL_iz00_2469)));
									{
										long BgL_iz00_4635;

										BgL_iz00_4635 = (BgL_iz00_2469 + ((long) 1));
										BgL_iz00_2469 = BgL_iz00_4635;
										goto BgL_recz00_2468;
									}
								}
							else
								{	/* Eval/evaluate.scm 94 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_727;
					}
				}
			}
		}
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			{	/* Eval/evaluate.scm 103 */
				obj_t BgL_sz00_735;

				BgL_sz00_735 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 104 */
					obj_t BgL_bpz00_736;

					BgL_bpz00_736 = VECTOR_REF(BgL_vz00_4, (int) (((long) 0)));
					{
						long BgL_iz00_2498;

						{	/* Eval/evaluate.scm 105 */
							bool_t BgL_auxz00_4641;

							BgL_iz00_2498 = ((long) 0);
						BgL_recz00_2497:
							if ((BgL_iz00_2498 < (long) CINT(BgL_bpz00_736)))
								{	/* Eval/evaluate.scm 106 */
									VECTOR_SET(BgL_sz00_735,
										(int) (BgL_iz00_2498),
										VECTOR_REF(BgL_vz00_4, (int) (BgL_iz00_2498)));
									{
										long BgL_iz00_4649;

										BgL_iz00_4649 = (BgL_iz00_2498 + ((long) 1));
										BgL_iz00_2498 = BgL_iz00_4649;
										goto BgL_recz00_2497;
									}
								}
							else
								{	/* Eval/evaluate.scm 106 */
									BgL_auxz00_4641 = ((bool_t) 0);
								}
							return BBOOL(BgL_auxz00_4641);
						}
					}
				}
			}
		}
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4473, obj_t BgL_vz00_4474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4474);
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_5,
		obj_t BgL_envz00_6, obj_t BgL_locz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			{	/* Eval/evaluate.scm 114 */
				BgL_ev_exprz00_bglt BgL_astz00_744;

				{	/* Eval/evaluate.scm 114 */
					obj_t BgL_arg1316z00_758;

					BgL_arg1316z00_758 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_5, BNIL, BgL_envz00_6,
						BFALSE, BGl_symbol2784z00zz__evaluatez00, BgL_locz00_7,
						((bool_t) 1));
					BgL_astz00_744 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1316z00_758));
				}
				{	/* Eval/evaluate.scm 115 */
					bool_t BgL_testz00_4656;

					{	/* Eval/evaluate.scm 115 */
						int BgL_arg1314z00_748;

						BgL_arg1314z00_748 = bgl_debug();
						BgL_testz00_4656 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1314z00_748),
							BINT(((long) 10)));
					}
					if (BgL_testz00_4656)
						{	/* Eval/evaluate.scm 115 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_744), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 115 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_744);
				{	/* Eval/evaluate.scm 117 */
					int BgL_nz00_749;

					BgL_nz00_749 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_744);
					{	/* Eval/evaluate.scm 118 */
						obj_t BgL_fz00_750;

						BgL_fz00_750 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_744);
						{	/* Eval/evaluate.scm 119 */
							obj_t BgL_sz00_751;

							BgL_sz00_751 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 120 */
								obj_t BgL_bpz00_752;

								BgL_bpz00_752 = VECTOR_REF(BgL_sz00_751, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 121 */
									obj_t BgL_exitd1064z00_753;

									BgL_exitd1064z00_753 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate.scm 123 */
										obj_t BgL_zc3anonymousza31315ze3z83_4475;

										BgL_zc3anonymousza31315ze3z83_4475 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31315ze3ze1zz__evaluatez00,
											(int) (((long) 0)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza31315ze3z83_4475,
											(int) (((long) 0)), BgL_sz00_751);
										PROCEDURE_SET(BgL_zc3anonymousza31315ze3z83_4475,
											(int) (((long) 1)), BgL_bpz00_752);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1064z00_753,
											BgL_zc3anonymousza31315ze3z83_4475);
										{	/* Eval/evaluate.scm 122 */
											obj_t BgL_tmp1066z00_755;

											BgL_tmp1066z00_755 =
												PROCEDURE_ENTRY(BgL_fz00_750) (BgL_fz00_750,
												BgL_sz00_751, BEOA);
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1064z00_753);
											VECTOR_SET(BgL_sz00_751, (int) (((long) 0)),
												BgL_bpz00_752);
											return BgL_tmp1066z00_755;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4476,
		obj_t BgL_sexpz00_4477, obj_t BgL_envz00_4478, obj_t BgL_locz00_4479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4477, BgL_envz00_4478,
				BgL_locz00_4479);
		}
	}



/* &<anonymous:1315> */
	obj_t BGl_z62zc3anonymousza31315ze3ze1zz__evaluatez00(obj_t BgL_envz00_4480)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 121 */
			{	/* Eval/evaluate.scm 123 */
				obj_t BgL_sz00_4481;
				obj_t BgL_bpz00_4482;

				BgL_sz00_4481 = PROCEDURE_REF(BgL_envz00_4480, (int) (((long) 0)));
				BgL_bpz00_4482 = PROCEDURE_REF(BgL_envz00_4480, (int) (((long) 1)));
				{

					return VECTOR_SET(BgL_sz00_4481, (int) (((long) 0)), BgL_bpz00_4482);
		}}}
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_8,
		obj_t BgL_locz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 128 */
			{	/* Eval/evaluate.scm 129 */
				obj_t BgL__ortest_1067z00_2524;

				BgL__ortest_1067z00_2524 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_8);
				if (CBOOL(BgL__ortest_1067z00_2524))
					{	/* Eval/evaluate.scm 129 */
						return BgL__ortest_1067z00_2524;
					}
				else
					{	/* Eval/evaluate.scm 129 */
						return BgL_locz00_9;
					}
			}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_16,
		obj_t BgL_localsz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 148 */
			{
				obj_t BgL_lz00_763;

				BgL_lz00_763 = BgL_localsz00_17;
			BgL_zc3anonymousza31317ze3z83_764:
				if (NULLP(BgL_lz00_763))
					{	/* Eval/evaluate.scm 150 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 152 */
						obj_t BgL_rvz00_766;

						BgL_rvz00_766 = CAR(BgL_lz00_763);
						if (
							(BgL_vz00_16 ==
								(((BgL_ev_varz00_bglt) CREF(
											((BgL_ev_varz00_bglt) BgL_rvz00_766)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 154 */
								return BgL_rvz00_766;
							}
						else
							{
								obj_t BgL_lz00_4702;

								BgL_lz00_4702 = CDR(BgL_lz00_763);
								BgL_lz00_763 = BgL_lz00_4702;
								goto BgL_zc3anonymousza31317ze3z83_764;
							}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_18,
		obj_t BgL_localsz00_19, obj_t BgL_globalsz00_20, obj_t BgL_tailzf3zf3_21,
		obj_t BgL_wherez00_22, obj_t BgL_locz00_23, bool_t BgL_topzf3zf3_24)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 161 */
			{	/* Eval/evaluate.scm 162 */
				obj_t BgL_locz00_772;

				{	/* Eval/evaluate.scm 129 */
					obj_t BgL__ortest_1067z00_2533;

					BgL__ortest_1067z00_2533 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_18);
					if (CBOOL(BgL__ortest_1067z00_2533))
						{	/* Eval/evaluate.scm 129 */
							BgL_locz00_772 = BgL__ortest_1067z00_2533;
						}
					else
						{	/* Eval/evaluate.scm 129 */
							BgL_locz00_772 = BgL_locz00_23;
						}
				}
				{
					obj_t BgL_e1z00_776;
					obj_t BgL_rz00_777;

					if (NULLP(BgL_lz00_18))
						{
							BgL_ev_littz00_bglt BgL_auxz00_4709;

							{	/* Eval/evaluate.scm 165 */
								BgL_ev_littz00_bglt BgL_new1072z00_788;

								{	/* Eval/evaluate.scm 166 */
									BgL_ev_littz00_bglt BgL_new1071z00_789;

									BgL_new1071z00_789 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 166 */
										long BgL_arg1329z00_790;

										{	/* Eval/evaluate.scm 166 */
											long BgL_res2464z00_2535;

											BgL_res2464z00_2535 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg1329z00_790 = BgL_res2464z00_2535;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1071z00_789),
											BgL_arg1329z00_790);
									}
									{	/* Eval/evaluate.scm 166 */
										BgL_objectz00_bglt BgL_auxz00_4714;

										BgL_auxz00_4714 = ((BgL_objectz00_bglt) BgL_new1071z00_789);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4714, BFALSE);
									}
									BgL_new1072z00_788 = BgL_new1071z00_789;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1072z00_788))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_4709 = BgL_new1072z00_788;
							}
							return ((obj_t) BgL_auxz00_4709);
						}
					else
						{	/* Eval/evaluate.scm 163 */
							if (PAIRP(BgL_lz00_18))
								{	/* Eval/evaluate.scm 163 */
									if (NULLP(CDR(BgL_lz00_18)))
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1325z00_784;

											BgL_arg1325z00_784 = CAR(BgL_lz00_18);
											{	/* Eval/evaluate.scm 168 */
												obj_t BgL_arg1330z00_2558;

												{	/* Eval/evaluate.scm 129 */
													obj_t BgL__ortest_1067z00_2561;

													BgL__ortest_1067z00_2561 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1325z00_784);
													if (CBOOL(BgL__ortest_1067z00_2561))
														{	/* Eval/evaluate.scm 129 */
															BgL_arg1330z00_2558 = BgL__ortest_1067z00_2561;
														}
													else
														{	/* Eval/evaluate.scm 129 */
															BgL_arg1330z00_2558 = BgL_locz00_772;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1325z00_784,
													BgL_localsz00_19, BgL_globalsz00_20,
													BgL_tailzf3zf3_21, BgL_wherez00_22,
													BgL_arg1330z00_2558, BgL_topzf3zf3_24);
											}
										}
									else
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1326z00_785;
											obj_t BgL_arg1327z00_786;

											BgL_arg1326z00_785 = CAR(BgL_lz00_18);
											BgL_arg1327z00_786 = CDR(BgL_lz00_18);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_4731;

												BgL_e1z00_776 = BgL_arg1326z00_785;
												BgL_rz00_777 = BgL_arg1327z00_786;
												{	/* Eval/evaluate.scm 170 */
													BgL_ev_prog2z00_bglt BgL_new1074z00_792;

													{	/* Eval/evaluate.scm 171 */
														BgL_ev_prog2z00_bglt BgL_new1073z00_794;

														BgL_new1073z00_794 =
															((BgL_ev_prog2z00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 171 */
															long BgL_arg1333z00_795;

															{	/* Eval/evaluate.scm 171 */
																long BgL_res2465z00_2543;

																BgL_res2465z00_2543 =
																	BGL_CLASS_INDEX
																	(BGl_ev_prog2z00zz__evaluate_typesz00);
																BgL_arg1333z00_795 = BgL_res2465z00_2543;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1073z00_794),
																BgL_arg1333z00_795);
														}
														{	/* Eval/evaluate.scm 171 */
															BgL_objectz00_bglt BgL_auxz00_4736;

															BgL_auxz00_4736 =
																((BgL_objectz00_bglt) BgL_new1073z00_794);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_4736, BFALSE);
														}
														BgL_new1074z00_792 = BgL_new1073z00_794;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_4739;

														{	/* Eval/evaluate.scm 171 */
															obj_t BgL_arg1332z00_793;

															{	/* Eval/evaluate.scm 129 */
																obj_t BgL__ortest_1067z00_2548;

																BgL__ortest_1067z00_2548 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_776);
																if (CBOOL(BgL__ortest_1067z00_2548))
																	{	/* Eval/evaluate.scm 129 */
																		BgL_arg1332z00_793 =
																			BgL__ortest_1067z00_2548;
																	}
																else
																	{	/* Eval/evaluate.scm 129 */
																		BgL_arg1332z00_793 = BgL_locz00_772;
																	}
															}
															BgL_auxz00_4739 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_776,
																	BgL_localsz00_19, BgL_globalsz00_20, BFALSE,
																	BgL_wherez00_22, BgL_arg1332z00_793,
																	BgL_topzf3zf3_24));
														}
														((((BgL_ev_prog2z00_bglt)
																	CREF(BgL_new1074z00_792))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_4739), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt) CREF(BgL_new1074z00_792))->
															BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_777,
																	BgL_localsz00_19, BgL_globalsz00_20,
																	BgL_tailzf3zf3_21, BgL_wherez00_22,
																	BgL_locz00_772, BgL_topzf3zf3_24))), BUNSPEC);
													BgL_auxz00_4731 = BgL_new1074z00_792;
												}
												return ((obj_t) BgL_auxz00_4731);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 163 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_772,
										BGl_string2786z00zz__evaluatez00,
										BGl_string2787z00zz__evaluatez00, BgL_lz00_18);
								}
						}
				}
			}
		}
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_28,
		obj_t BgL_localsz00_29, obj_t BgL_globalsz00_30, obj_t BgL_tailzf3zf3_31,
		obj_t BgL_wherez00_32, obj_t BgL_locz00_33, bool_t BgL_topzf3zf3_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 188 */
			{	/* Eval/evaluate.scm 189 */
				obj_t BgL_lz00_800;

				BgL_lz00_800 = CDR(BgL_ez00_28);
				{	/* Eval/evaluate.scm 189 */
					obj_t BgL_vz00_801;

					BgL_vz00_801 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_800),
						BgL_localsz00_29);
					{	/* Eval/evaluate.scm 190 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_801,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 193 */
								obj_t BgL_g1078z00_804;
								obj_t BgL_g1079z00_805;

								{	/* Eval/evaluate.scm 194 */
									obj_t BgL_arg1359z00_828;

									BgL_arg1359z00_828 =
										(((BgL_ev_varz00_bglt) CREF(
												((BgL_ev_varz00_bglt) BgL_vz00_801)))->BgL_typez00);
									BgL_g1078z00_804 =
										BGl_classzd2existszd2zz__objectz00(BgL_arg1359z00_828);
								}
								BgL_g1079z00_805 = CDR(BgL_lz00_800);
								{
									BgL_ev_exprz00_bglt BgL_nodez00_807;
									obj_t BgL_klassz00_808;
									obj_t BgL_fieldsz00_809;

									BgL_nodez00_807 =
										((BgL_ev_exprz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_801));
									BgL_klassz00_808 = BgL_g1078z00_804;
									BgL_fieldsz00_809 = BgL_g1079z00_805;
								BgL_zc3anonymousza31337ze3z83_810:
									if (NULLP(BgL_fieldsz00_809))
										{	/* Eval/evaluate.scm 197 */
											return ((obj_t) BgL_nodez00_807);
										}
									else
										{	/* Eval/evaluate.scm 197 */
											if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_808))
												{	/* Eval/evaluate.scm 200 */
													obj_t BgL_fieldz00_813;

													BgL_fieldz00_813 =
														BGl_findzd2classzd2fieldz00zz__objectz00
														(BgL_klassz00_808, CAR(BgL_fieldsz00_809));
													if (BGl_classzd2fieldzf3z21zz__objectz00
														(BgL_fieldz00_813))
														{	/* Eval/evaluate.scm 202 */
															BgL_ev_appz00_bglt BgL_nodez00_815;

															BgL_nodez00_815 =
																BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																(BgL_fieldz00_813, BgL_nodez00_807,
																BgL_locz00_33, BgL_tailzf3zf3_31);
															{	/* Eval/evaluate.scm 205 */
																obj_t BgL_arg1341z00_816;
																obj_t BgL_arg1342z00_817;

																BgL_arg1341z00_816 =
																	BGl_classzd2fieldzd2typez00zz__objectz00
																	(BgL_fieldz00_813);
																BgL_arg1342z00_817 = CDR(BgL_fieldsz00_809);
																{
																	obj_t BgL_fieldsz00_4775;
																	obj_t BgL_klassz00_4774;
																	BgL_ev_exprz00_bglt BgL_nodez00_4772;

																	BgL_nodez00_4772 =
																		((BgL_ev_exprz00_bglt) BgL_nodez00_815);
																	BgL_klassz00_4774 = BgL_arg1341z00_816;
																	BgL_fieldsz00_4775 = BgL_arg1342z00_817;
																	BgL_fieldsz00_809 = BgL_fieldsz00_4775;
																	BgL_klassz00_808 = BgL_klassz00_4774;
																	BgL_nodez00_807 = BgL_nodez00_4772;
																	goto BgL_zc3anonymousza31337ze3z83_810;
																}
															}
														}
													else
														{	/* Eval/evaluate.scm 207 */
															obj_t BgL_arg1343z00_818;
															obj_t BgL_arg1344z00_819;

															BgL_arg1343z00_818 =
																(((BgL_ev_varz00_bglt) CREF(
																		((BgL_ev_varz00_bglt) BgL_vz00_801)))->
																BgL_typez00);
															{	/* Eval/evaluate.scm 208 */
																obj_t BgL_arg1347z00_820;
																obj_t BgL_arg1348z00_821;

																BgL_arg1347z00_820 =
																	(((BgL_ev_varz00_bglt) CREF(
																			((BgL_ev_varz00_bglt) BgL_vz00_801)))->
																	BgL_typez00);
																BgL_arg1348z00_821 = CAR(BgL_fieldsz00_809);
																{	/* Eval/evaluate.scm 208 */
																	obj_t BgL_list1349z00_822;

																	{	/* Eval/evaluate.scm 208 */
																		obj_t BgL_arg1351z00_823;

																		BgL_arg1351z00_823 =
																			MAKE_PAIR(BgL_arg1348z00_821, BNIL);
																		BgL_list1349z00_822 =
																			MAKE_PAIR(BgL_arg1347z00_820,
																			BgL_arg1351z00_823);
																	}
																	BgL_arg1344z00_819 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string2788z00zz__evaluatez00,
																		BgL_list1349z00_822);
																}
															}
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_33, BgL_arg1343z00_818,
																BgL_arg1344z00_819, BgL_ez00_28);
														}
												}
											else
												{	/* Eval/evaluate.scm 211 */
													obj_t BgL_arg1357z00_825;

													{	/* Eval/evaluate.scm 211 */
														obj_t BgL__ortest_1080z00_826;

														BgL__ortest_1080z00_826 =
															(((BgL_ev_varz00_bglt) CREF(
																	((BgL_ev_varz00_bglt) BgL_vz00_801)))->
															BgL_typez00);
														if (CBOOL(BgL__ortest_1080z00_826))
															{	/* Eval/evaluate.scm 211 */
																BgL_arg1357z00_825 = BgL__ortest_1080z00_826;
															}
														else
															{	/* Eval/evaluate.scm 211 */
																BgL_arg1357z00_825 =
																	(((BgL_ev_varz00_bglt) CREF(
																			((BgL_ev_varz00_bglt) BgL_vz00_801)))->
																	BgL_namez00);
															}
													}
													return
														BGl_evcompilezd2errorzd2zz__evcompilez00
														(BgL_locz00_33, BgL_arg1357z00_825,
														BGl_string2789z00zz__evaluatez00, BgL_ez00_28);
												}
										}
								}
							}
						else
							{	/* Eval/evaluate.scm 191 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_33,
									CAR(CDR(BgL_ez00_28)), BGl_string2790z00zz__evaluatez00,
									BgL_ez00_28);
							}
					}
				}
			}
		}
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_35,
		obj_t BgL_e2z00_36, obj_t BgL_ez00_37, obj_t BgL_localsz00_38,
		obj_t BgL_globalsz00_39, obj_t BgL_tailzf3zf3_40, obj_t BgL_wherez00_41,
		obj_t BgL_locz00_42, bool_t BgL_topzf3zf3_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 218 */
			{	/* Eval/evaluate.scm 219 */
				obj_t BgL_vz00_831;

				BgL_vz00_831 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_35), BgL_localsz00_38);
				{	/* Eval/evaluate.scm 219 */
					obj_t BgL_e2z00_832;

					BgL_e2z00_832 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_36, BgL_localsz00_38,
						BgL_globalsz00_39, BFALSE, BgL_wherez00_41, BgL_locz00_42,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 220 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_831,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 223 */
								obj_t BgL_g1082z00_835;
								obj_t BgL_g1083z00_836;

								{	/* Eval/evaluate.scm 224 */
									obj_t BgL_arg1384z00_866;

									BgL_arg1384z00_866 =
										(((BgL_ev_varz00_bglt) CREF(
												((BgL_ev_varz00_bglt) BgL_vz00_831)))->BgL_typez00);
									BgL_g1082z00_835 =
										BGl_classzd2existszd2zz__objectz00(BgL_arg1384z00_866);
								}
								BgL_g1083z00_836 = CDR(BgL_lz00_35);
								{
									BgL_ev_exprz00_bglt BgL_nodez00_838;
									obj_t BgL_klassz00_839;
									obj_t BgL_fieldsz00_840;

									BgL_nodez00_838 =
										((BgL_ev_exprz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_831));
									BgL_klassz00_839 = BgL_g1082z00_835;
									BgL_fieldsz00_840 = BgL_g1083z00_836;
								BgL_zc3anonymousza31363ze3z83_841:
									if (NULLP(BgL_fieldsz00_840))
										{	/* Eval/evaluate.scm 227 */
											return ((obj_t) BgL_nodez00_838);
										}
									else
										{	/* Eval/evaluate.scm 227 */
											if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_839))
												{	/* Eval/evaluate.scm 230 */
													obj_t BgL_fieldz00_844;

													BgL_fieldz00_844 =
														BGl_findzd2classzd2fieldz00zz__objectz00
														(BgL_klassz00_839, CAR(BgL_fieldsz00_840));
													if (BGl_classzd2fieldzf3z21zz__objectz00
														(BgL_fieldz00_844))
														{	/* Eval/evaluate.scm 231 */
															if (NULLP(CDR(BgL_fieldsz00_840)))
																{	/* Eval/evaluate.scm 232 */
																	if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_844))
																		{	/* Eval/evaluate.scm 235 */
																			obj_t BgL_arg1369z00_848;

																			{	/* Eval/evaluate.scm 235 */
																				obj_t BgL_list1370z00_849;

																				{	/* Eval/evaluate.scm 235 */
																					obj_t BgL_arg1371z00_850;

																					BgL_arg1371z00_850 =
																						MAKE_PAIR(BgL_e2z00_832, BNIL);
																					BgL_list1370z00_849 =
																						MAKE_PAIR(
																						((obj_t) BgL_nodez00_838),
																						BgL_arg1371z00_850);
																				}
																				BgL_arg1369z00_848 =
																					BgL_list1370z00_849;
																			}
																			return
																				((obj_t)
																				BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00
																				(BgL_fieldz00_844, BgL_arg1369z00_848,
																					BgL_locz00_42, BgL_tailzf3zf3_40));
																		}
																	else
																		{	/* Eval/evaluate.scm 233 */
																			return
																				BGl_evcompilezd2errorzd2zz__evcompilez00
																				(BgL_locz00_42, CAR(BgL_fieldsz00_840),
																				BGl_string2791z00zz__evaluatez00,
																				BgL_ez00_37);
																		}
																}
															else
																{	/* Eval/evaluate.scm 239 */
																	BgL_ev_appz00_bglt BgL_nodez00_852;

																	BgL_nodez00_852 =
																		BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																		(BgL_fieldz00_844, BgL_nodez00_838,
																		BgL_locz00_42, BgL_tailzf3zf3_40);
																	{	/* Eval/evaluate.scm 242 */
																		obj_t BgL_arg1373z00_853;
																		obj_t BgL_arg1374z00_854;

																		BgL_arg1373z00_853 =
																			BGl_classzd2fieldzd2typez00zz__objectz00
																			(BgL_fieldz00_844);
																		BgL_arg1374z00_854 = CDR(BgL_fieldsz00_840);
																		{
																			obj_t BgL_fieldsz00_4833;
																			obj_t BgL_klassz00_4832;
																			BgL_ev_exprz00_bglt BgL_nodez00_4830;

																			BgL_nodez00_4830 =
																				((BgL_ev_exprz00_bglt) BgL_nodez00_852);
																			BgL_klassz00_4832 = BgL_arg1373z00_853;
																			BgL_fieldsz00_4833 = BgL_arg1374z00_854;
																			BgL_fieldsz00_840 = BgL_fieldsz00_4833;
																			BgL_klassz00_839 = BgL_klassz00_4832;
																			BgL_nodez00_838 = BgL_nodez00_4830;
																			goto BgL_zc3anonymousza31363ze3z83_841;
																		}
																	}
																}
														}
													else
														{	/* Eval/evaluate.scm 244 */
															obj_t BgL_arg1376z00_856;
															obj_t BgL_arg1377z00_857;

															BgL_arg1376z00_856 =
																(((BgL_ev_varz00_bglt) CREF(
																		((BgL_ev_varz00_bglt) BgL_vz00_831)))->
																BgL_typez00);
															{	/* Eval/evaluate.scm 245 */
																obj_t BgL_arg1378z00_858;
																obj_t BgL_arg1379z00_859;

																BgL_arg1378z00_858 =
																	(((BgL_ev_varz00_bglt) CREF(
																			((BgL_ev_varz00_bglt) BgL_vz00_831)))->
																	BgL_typez00);
																BgL_arg1379z00_859 = CAR(BgL_fieldsz00_840);
																{	/* Eval/evaluate.scm 245 */
																	obj_t BgL_list1380z00_860;

																	{	/* Eval/evaluate.scm 245 */
																		obj_t BgL_arg1381z00_861;

																		BgL_arg1381z00_861 =
																			MAKE_PAIR(BgL_arg1379z00_859, BNIL);
																		BgL_list1380z00_860 =
																			MAKE_PAIR(BgL_arg1378z00_858,
																			BgL_arg1381z00_861);
																	}
																	BgL_arg1377z00_857 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string2788z00zz__evaluatez00,
																		BgL_list1380z00_860);
																}
															}
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_42, BgL_arg1376z00_856,
																BgL_arg1377z00_857, BgL_ez00_37);
														}
												}
											else
												{	/* Eval/evaluate.scm 249 */
													obj_t BgL_arg1383z00_863;

													{	/* Eval/evaluate.scm 249 */
														obj_t BgL__ortest_1084z00_864;

														BgL__ortest_1084z00_864 =
															(((BgL_ev_varz00_bglt) CREF(
																	((BgL_ev_varz00_bglt) BgL_vz00_831)))->
															BgL_typez00);
														if (CBOOL(BgL__ortest_1084z00_864))
															{	/* Eval/evaluate.scm 249 */
																BgL_arg1383z00_863 = BgL__ortest_1084z00_864;
															}
														else
															{	/* Eval/evaluate.scm 249 */
																BgL_arg1383z00_863 =
																	(((BgL_ev_varz00_bglt) CREF(
																			((BgL_ev_varz00_bglt) BgL_vz00_831)))->
																	BgL_namez00);
															}
													}
													return
														BGl_evcompilezd2errorzd2zz__evcompilez00
														(BgL_locz00_42, BgL_arg1383z00_863,
														BGl_string2789z00zz__evaluatez00, BgL_ez00_37);
												}
										}
								}
							}
						else
							{	/* Eval/evaluate.scm 221 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_42,
									CAR(BgL_lz00_35), BGl_string2790z00zz__evaluatez00,
									BgL_ez00_37);
							}
					}
				}
			}
		}
	}



/* make-class-field-ref */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t
		BgL_fieldz00_44, BgL_ev_exprz00_bglt BgL_argz00_45, obj_t BgL_locz00_46,
		obj_t BgL_tailzf3zf3_47)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 255 */
			{	/* Eval/evaluate.scm 256 */
				obj_t BgL_getz00_869;

				BgL_getz00_869 =
					BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_44);
				{	/* Eval/evaluate.scm 257 */
					BgL_ev_appz00_bglt BgL_new1086z00_870;

					{	/* Eval/evaluate.scm 258 */
						BgL_ev_appz00_bglt BgL_new1085z00_875;

						BgL_new1085z00_875 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 258 */
							long BgL_arg1389z00_876;

							{	/* Eval/evaluate.scm 258 */
								long BgL_res2474z00_2599;

								BgL_res2474z00_2599 =
									BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
								BgL_arg1389z00_876 = BgL_res2474z00_2599;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1085z00_875), BgL_arg1389z00_876);
						}
						{	/* Eval/evaluate.scm 258 */
							BgL_objectz00_bglt BgL_auxz00_4859;

							BgL_auxz00_4859 = ((BgL_objectz00_bglt) BgL_new1085z00_875);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4859, BFALSE);
						}
						BgL_new1086z00_870 = BgL_new1085z00_875;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1086z00_870))->BgL_locz00) =
						((obj_t) BgL_locz00_46), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4863;

						{	/* Eval/evaluate.scm 259 */
							BgL_ev_littz00_bglt BgL_new1088z00_871;

							{	/* Eval/evaluate.scm 259 */
								BgL_ev_littz00_bglt BgL_new1087z00_872;

								BgL_new1087z00_872 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 259 */
									long BgL_arg1387z00_873;

									{	/* Eval/evaluate.scm 259 */
										long BgL_res2475z00_2603;

										{	/* Eval/evaluate.scm 259 */
											obj_t BgL_classz00_2602;

											BgL_classz00_2602 = BGl_ev_littz00zz__evaluate_typesz00;
											BgL_res2475z00_2603 = BGL_CLASS_INDEX(BgL_classz00_2602);
										}
										BgL_arg1387z00_873 = BgL_res2475z00_2603;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1087z00_872),
										BgL_arg1387z00_873);
								}
								{	/* Eval/evaluate.scm 259 */
									BgL_objectz00_bglt BgL_auxz00_4868;

									BgL_auxz00_4868 = ((BgL_objectz00_bglt) BgL_new1087z00_872);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4868, BFALSE);
								}
								BgL_new1088z00_871 = BgL_new1087z00_872;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1088z00_871))->
									BgL_valuez00) = ((obj_t) BgL_getz00_869), BUNSPEC);
							BgL_auxz00_4863 = ((BgL_ev_exprz00_bglt) BgL_new1088z00_871);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1086z00_870))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4863), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_4874;

						{	/* Eval/evaluate.scm 260 */
							obj_t BgL_list1388z00_874;

							BgL_list1388z00_874 = MAKE_PAIR(((obj_t) BgL_argz00_45), BNIL);
							BgL_auxz00_4874 = BgL_list1388z00_874;
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1086z00_870))->BgL_argsz00) =
							((obj_t) BgL_auxz00_4874), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1086z00_870))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_47), BUNSPEC);
					return BgL_new1086z00_870;
				}
			}
		}
	}



/* make-class-field-set */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t
		BgL_fieldz00_48, obj_t BgL_argsz00_49, obj_t BgL_locz00_50,
		obj_t BgL_tailzf3zf3_51)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 266 */
			{	/* Eval/evaluate.scm 267 */
				obj_t BgL_setz00_877;

				BgL_setz00_877 =
					BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_48);
				{	/* Eval/evaluate.scm 268 */
					BgL_ev_appz00_bglt BgL_new1090z00_878;

					{	/* Eval/evaluate.scm 269 */
						BgL_ev_appz00_bglt BgL_new1089z00_882;

						BgL_new1089z00_882 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 269 */
							long BgL_arg1392z00_883;

							{	/* Eval/evaluate.scm 269 */
								long BgL_res2477z00_2609;

								BgL_res2477z00_2609 =
									BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
								BgL_arg1392z00_883 = BgL_res2477z00_2609;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1089z00_882), BgL_arg1392z00_883);
						}
						{	/* Eval/evaluate.scm 269 */
							BgL_objectz00_bglt BgL_auxz00_4884;

							BgL_auxz00_4884 = ((BgL_objectz00_bglt) BgL_new1089z00_882);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4884, BFALSE);
						}
						BgL_new1090z00_878 = BgL_new1089z00_882;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1090z00_878))->BgL_locz00) =
						((obj_t) BgL_locz00_50), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4888;

						{	/* Eval/evaluate.scm 270 */
							BgL_ev_littz00_bglt BgL_new1092z00_879;

							{	/* Eval/evaluate.scm 270 */
								BgL_ev_littz00_bglt BgL_new1091z00_880;

								BgL_new1091z00_880 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 270 */
									long BgL_arg1391z00_881;

									{	/* Eval/evaluate.scm 270 */
										long BgL_res2478z00_2613;

										{	/* Eval/evaluate.scm 270 */
											obj_t BgL_classz00_2612;

											BgL_classz00_2612 = BGl_ev_littz00zz__evaluate_typesz00;
											BgL_res2478z00_2613 = BGL_CLASS_INDEX(BgL_classz00_2612);
										}
										BgL_arg1391z00_881 = BgL_res2478z00_2613;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1091z00_880),
										BgL_arg1391z00_881);
								}
								{	/* Eval/evaluate.scm 270 */
									BgL_objectz00_bglt BgL_auxz00_4893;

									BgL_auxz00_4893 = ((BgL_objectz00_bglt) BgL_new1091z00_880);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4893, BFALSE);
								}
								BgL_new1092z00_879 = BgL_new1091z00_880;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1092z00_879))->
									BgL_valuez00) = ((obj_t) BgL_setz00_877), BUNSPEC);
							BgL_auxz00_4888 = ((BgL_ev_exprz00_bglt) BgL_new1092z00_879);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1090z00_878))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4888), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1090z00_878))->BgL_argsz00) =
						((obj_t) BgL_argsz00_49), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1090z00_878))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_51), BUNSPEC);
					return BgL_new1090z00_878;
				}
			}
		}
	}



/* type-check */
	obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_54,
		obj_t BgL_tnamez00_55, obj_t BgL_locz00_56, obj_t BgL_procnamez00_57,
		obj_t BgL_bodyz00_58)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 283 */
			if (SYMBOLP(BgL_tnamez00_55))
				{	/* Eval/evaluate.scm 286 */
					obj_t BgL_predz00_887;

					if ((BgL_tnamez00_55 == BGl_symbol2792z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 286 */
							BgL_predz00_887 = BGl_symbol2794z00zz__evaluatez00;
						}
					else
						{	/* Eval/evaluate.scm 286 */
							if ((BgL_tnamez00_55 == BGl_symbol2796z00zz__evaluatez00))
								{	/* Eval/evaluate.scm 286 */
									BgL_predz00_887 = BGl_symbol2798z00zz__evaluatez00;
								}
							else
								{	/* Eval/evaluate.scm 286 */
									if ((BgL_tnamez00_55 == BGl_symbol2800z00zz__evaluatez00))
										{	/* Eval/evaluate.scm 286 */
											BgL_predz00_887 = BGl_symbol2802z00zz__evaluatez00;
										}
									else
										{	/* Eval/evaluate.scm 286 */
											if ((BgL_tnamez00_55 == BGl_symbol2804z00zz__evaluatez00))
												{	/* Eval/evaluate.scm 286 */
													BgL_predz00_887 = BGl_symbol2806z00zz__evaluatez00;
												}
											else
												{	/* Eval/evaluate.scm 286 */
													bool_t BgL_testz00_4911;

													{	/* Eval/evaluate.scm 286 */
														bool_t BgL__ortest_1093z00_958;

														BgL__ortest_1093z00_958 =
															(BgL_tnamez00_55 ==
															BGl_symbol2808z00zz__evaluatez00);
														if (BgL__ortest_1093z00_958)
															{	/* Eval/evaluate.scm 286 */
																BgL_testz00_4911 = BgL__ortest_1093z00_958;
															}
														else
															{	/* Eval/evaluate.scm 286 */
																BgL_testz00_4911 =
																	(BgL_tnamez00_55 ==
																	BGl_symbol2810z00zz__evaluatez00);
															}
													}
													if (BgL_testz00_4911)
														{	/* Eval/evaluate.scm 286 */
															BgL_predz00_887 =
																BGl_symbol2812z00zz__evaluatez00;
														}
													else
														{	/* Eval/evaluate.scm 286 */
															bool_t BgL_testz00_4915;

															{	/* Eval/evaluate.scm 286 */
																bool_t BgL__ortest_1094z00_957;

																BgL__ortest_1094z00_957 =
																	(BgL_tnamez00_55 ==
																	BGl_symbol2814z00zz__evaluatez00);
																if (BgL__ortest_1094z00_957)
																	{	/* Eval/evaluate.scm 286 */
																		BgL_testz00_4915 = BgL__ortest_1094z00_957;
																	}
																else
																	{	/* Eval/evaluate.scm 286 */
																		BgL_testz00_4915 =
																			(BgL_tnamez00_55 ==
																			BGl_symbol2816z00zz__evaluatez00);
																	}
															}
															if (BgL_testz00_4915)
																{	/* Eval/evaluate.scm 286 */
																	BgL_predz00_887 =
																		BGl_symbol2818z00zz__evaluatez00;
																}
															else
																{	/* Eval/evaluate.scm 286 */
																	if (
																		(BgL_tnamez00_55 ==
																			BGl_symbol2820z00zz__evaluatez00))
																		{	/* Eval/evaluate.scm 286 */
																			BgL_predz00_887 =
																				BGl_symbol2822z00zz__evaluatez00;
																		}
																	else
																		{	/* Eval/evaluate.scm 286 */
																			if (
																				(BgL_tnamez00_55 ==
																					BGl_symbol2824z00zz__evaluatez00))
																				{	/* Eval/evaluate.scm 286 */
																					BgL_predz00_887 =
																						BGl_symbol2826z00zz__evaluatez00;
																				}
																			else
																				{	/* Eval/evaluate.scm 286 */
																					if (
																						(BgL_tnamez00_55 ==
																							BGl_symbol2828z00zz__evaluatez00))
																						{	/* Eval/evaluate.scm 286 */
																							BgL_predz00_887 =
																								BGl_symbol2830z00zz__evaluatez00;
																						}
																					else
																						{	/* Eval/evaluate.scm 286 */
																							bool_t BgL_testz00_4925;

																							{	/* Eval/evaluate.scm 286 */
																								bool_t BgL__ortest_1095z00_956;

																								BgL__ortest_1095z00_956 =
																									(BgL_tnamez00_55 ==
																									BGl_symbol2832z00zz__evaluatez00);
																								if (BgL__ortest_1095z00_956)
																									{	/* Eval/evaluate.scm 286 */
																										BgL_testz00_4925 =
																											BgL__ortest_1095z00_956;
																									}
																								else
																									{	/* Eval/evaluate.scm 286 */
																										BgL_testz00_4925 =
																											(BgL_tnamez00_55 ==
																											BGl_symbol2834z00zz__evaluatez00);
																									}
																							}
																							if (BgL_testz00_4925)
																								{	/* Eval/evaluate.scm 286 */
																									BgL_predz00_887 =
																										BGl_symbol2836z00zz__evaluatez00;
																								}
																							else
																								{	/* Eval/evaluate.scm 297 */
																									obj_t BgL_arg1437z00_936;

																									{	/* Eval/evaluate.scm 297 */
																										obj_t BgL_arg1438z00_937;
																										obj_t BgL_arg1439z00_938;

																										BgL_arg1438z00_937 =
																											MAKE_PAIR
																											(BGl_symbol2838z00zz__evaluatez00,
																											BNIL);
																										{	/* Eval/evaluate.scm 298 */
																											obj_t BgL_arg1440z00_939;

																											{	/* Eval/evaluate.scm 298 */
																												obj_t
																													BgL_arg1441z00_940;
																												{	/* Eval/evaluate.scm 298 */
																													obj_t
																														BgL_arg1443z00_941;
																													obj_t
																														BgL_arg1444z00_942;
																													{	/* Eval/evaluate.scm 298 */
																														obj_t
																															BgL_arg1450z00_943;
																														{	/* Eval/evaluate.scm 298 */
																															obj_t
																																BgL_arg1453z00_944;
																															{	/* Eval/evaluate.scm 298 */
																																obj_t
																																	BgL_arg1457z00_945;
																																{	/* Eval/evaluate.scm 298 */
																																	obj_t
																																		BgL_arg1459z00_946;
																																	{	/* Eval/evaluate.scm 298 */
																																		obj_t
																																			BgL_arg1461z00_947;
																																		{	/* Eval/evaluate.scm 298 */
																																			obj_t
																																				BgL_arg1462z00_948;
																																			BgL_arg1462z00_948
																																				=
																																				MAKE_PAIR
																																				(BgL_tnamez00_55,
																																				BNIL);
																																			BgL_arg1461z00_947
																																				=
																																				MAKE_PAIR
																																				(BGl_symbol2840z00zz__evaluatez00,
																																				BgL_arg1462z00_948);
																																		}
																																		BgL_arg1459z00_946
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1461z00_947,
																																			BNIL);
																																	}
																																	BgL_arg1457z00_945
																																		=
																																		MAKE_PAIR
																																		(BGl_symbol2842z00zz__evaluatez00,
																																		BgL_arg1459z00_946);
																																}
																																BgL_arg1453z00_944
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1457z00_945,
																																	BNIL);
																															}
																															BgL_arg1450z00_943
																																=
																																MAKE_PAIR
																																(BGl_symbol2844z00zz__evaluatez00,
																																BgL_arg1453z00_944);
																														}
																														BgL_arg1443z00_941 =
																															MAKE_PAIR
																															(BgL_arg1450z00_943,
																															BNIL);
																													}
																													{	/* Eval/evaluate.scm 299 */
																														obj_t
																															BgL_arg1463z00_949;
																														{	/* Eval/evaluate.scm 299 */
																															obj_t
																																BgL_arg1464z00_950;
																															{	/* Eval/evaluate.scm 299 */
																																obj_t
																																	BgL_arg1465z00_951;
																																{	/* Eval/evaluate.scm 299 */
																																	obj_t
																																		BgL_arg1466z00_952;
																																	obj_t
																																		BgL_arg1467z00_953;
																																	{	/* Eval/evaluate.scm 299 */
																																		obj_t
																																			BgL_arg1468z00_954;
																																		{	/* Eval/evaluate.scm 299 */
																																			obj_t
																																				BgL_arg1469z00_955;
																																			BgL_arg1469z00_955
																																				=
																																				MAKE_PAIR
																																				(BGl_symbol2844z00zz__evaluatez00,
																																				BNIL);
																																			BgL_arg1468z00_954
																																				=
																																				MAKE_PAIR
																																				(BGl_symbol2838z00zz__evaluatez00,
																																				BgL_arg1469z00_955);
																																		}
																																		BgL_arg1466z00_952
																																			=
																																			MAKE_PAIR
																																			(BGl_symbol2846z00zz__evaluatez00,
																																			BgL_arg1468z00_954);
																																	}
																																	BgL_arg1467z00_953
																																		=
																																		MAKE_PAIR
																																		(BTRUE,
																																		BNIL);
																																	BgL_arg1465z00_951
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1466z00_952,
																																		BgL_arg1467z00_953);
																																}
																																BgL_arg1464z00_950
																																	=
																																	MAKE_PAIR
																																	(BGl_symbol2844z00zz__evaluatez00,
																																	BgL_arg1465z00_951);
																															}
																															BgL_arg1463z00_949
																																=
																																MAKE_PAIR
																																(BGl_symbol2848z00zz__evaluatez00,
																																BgL_arg1464z00_950);
																														}
																														BgL_arg1444z00_942 =
																															MAKE_PAIR
																															(BgL_arg1463z00_949,
																															BNIL);
																													}
																													BgL_arg1441z00_940 =
																														MAKE_PAIR
																														(BgL_arg1443z00_941,
																														BgL_arg1444z00_942);
																												}
																												BgL_arg1440z00_939 =
																													MAKE_PAIR
																													(BGl_symbol2850z00zz__evaluatez00,
																													BgL_arg1441z00_940);
																											}
																											BgL_arg1439z00_938 =
																												MAKE_PAIR
																												(BgL_arg1440z00_939,
																												BNIL);
																										}
																										BgL_arg1437z00_936 =
																											MAKE_PAIR
																											(BgL_arg1438z00_937,
																											BgL_arg1439z00_938);
																									}
																									BgL_predz00_887 =
																										MAKE_PAIR
																										(BGl_symbol2852z00zz__evaluatez00,
																										BgL_arg1437z00_936);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					{	/* Eval/evaluate.scm 301 */
						obj_t BgL_arg1396z00_888;

						{	/* Eval/evaluate.scm 301 */
							obj_t BgL_arg1397z00_889;

							{	/* Eval/evaluate.scm 301 */
								obj_t BgL_arg1398z00_890;
								obj_t BgL_arg1399z00_891;

								{	/* Eval/evaluate.scm 301 */
									obj_t BgL_arg1400z00_892;

									BgL_arg1400z00_892 = MAKE_PAIR(BgL_varz00_54, BNIL);
									BgL_arg1398z00_890 =
										MAKE_PAIR(BgL_predz00_887, BgL_arg1400z00_892);
								}
								{	/* Eval/evaluate.scm 301 */
									obj_t BgL_arg1401z00_893;

									{	/* Eval/evaluate.scm 301 */
										obj_t BgL_arg1402z00_894;

										{
											obj_t BgL_fnamez00_895;
											obj_t BgL_posz00_896;

											if (PAIRP(BgL_locz00_56))
												{	/* Eval/evaluate.scm 301 */
													obj_t BgL_cdrzd2138zd2_901;

													BgL_cdrzd2138zd2_901 = CDR(BgL_locz00_56);
													if (
														(CAR(BgL_locz00_56) ==
															BGl_symbol2858z00zz__evaluatez00))
														{	/* Eval/evaluate.scm 301 */
															if (PAIRP(BgL_cdrzd2138zd2_901))
																{	/* Eval/evaluate.scm 301 */
																	obj_t BgL_cdrzd2142zd2_904;

																	BgL_cdrzd2142zd2_904 =
																		CDR(BgL_cdrzd2138zd2_901);
																	if (PAIRP(BgL_cdrzd2142zd2_904))
																		{	/* Eval/evaluate.scm 301 */
																			if (NULLP(CDR(BgL_cdrzd2142zd2_904)))
																				{	/* Eval/evaluate.scm 301 */
																					BgL_fnamez00_895 =
																						CAR(BgL_cdrzd2138zd2_901);
																					BgL_posz00_896 =
																						CAR(BgL_cdrzd2142zd2_904);
																					{	/* Eval/evaluate.scm 306 */
																						obj_t BgL_arg1412z00_911;

																						{	/* Eval/evaluate.scm 306 */
																							obj_t BgL_arg1413z00_912;
																							obj_t BgL_arg1414z00_913;

																							if (SYMBOLP(BgL_procnamez00_57))
																								{	/* Eval/evaluate.scm 306 */
																									obj_t BgL_res2489z00_2651;

																									{	/* Eval/evaluate.scm 306 */
																										obj_t BgL_arg2374z00_2650;

																										BgL_arg2374z00_2650 =
																											SYMBOL_TO_STRING
																											(BgL_procnamez00_57);
																										BgL_res2489z00_2651 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2374z00_2650);
																									}
																									BgL_arg1413z00_912 =
																										BgL_res2489z00_2651;
																								}
																							else
																								{	/* Eval/evaluate.scm 306 */
																									BgL_arg1413z00_912 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 307 */
																								obj_t BgL_arg1416z00_915;
																								obj_t BgL_arg1417z00_916;

																								{	/* Eval/evaluate.scm 307 */
																									obj_t BgL_res2490z00_2654;

																									{	/* Eval/evaluate.scm 307 */
																										obj_t BgL_arg2374z00_2653;

																										BgL_arg2374z00_2653 =
																											SYMBOL_TO_STRING
																											(BgL_tnamez00_55);
																										BgL_res2490z00_2654 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2374z00_2653);
																									}
																									BgL_arg1416z00_915 =
																										BgL_res2490z00_2654;
																								}
																								{	/* Eval/evaluate.scm 305 */
																									obj_t BgL_arg1418z00_917;

																									{	/* Eval/evaluate.scm 305 */
																										obj_t BgL_arg1419z00_918;

																										BgL_arg1419z00_918 =
																											MAKE_PAIR(BgL_posz00_896,
																											BNIL);
																										BgL_arg1418z00_917 =
																											MAKE_PAIR
																											(BgL_fnamez00_895,
																											BgL_arg1419z00_918);
																									}
																									BgL_arg1417z00_916 =
																										MAKE_PAIR(BgL_varz00_54,
																										BgL_arg1418z00_917);
																								}
																								BgL_arg1414z00_913 =
																									MAKE_PAIR(BgL_arg1416z00_915,
																									BgL_arg1417z00_916);
																							}
																							BgL_arg1412z00_911 =
																								MAKE_PAIR(BgL_arg1413z00_912,
																								BgL_arg1414z00_913);
																						}
																						BgL_arg1402z00_894 =
																							MAKE_PAIR
																							(BGl_symbol2854z00zz__evaluatez00,
																							BgL_arg1412z00_911);
																					}
																				}
																			else
																				{	/* Eval/evaluate.scm 301 */
																				BgL_tagzd2131zd2_898:
																					{	/* Eval/evaluate.scm 311 */
																						obj_t BgL_arg1421z00_919;

																						{	/* Eval/evaluate.scm 311 */
																							obj_t BgL_arg1422z00_920;
																							obj_t BgL_arg1423z00_921;

																							if (SYMBOLP(BgL_procnamez00_57))
																								{	/* Eval/evaluate.scm 311 */
																									obj_t BgL_res2492z00_2659;

																									{	/* Eval/evaluate.scm 311 */
																										obj_t BgL_arg2374z00_2658;

																										BgL_arg2374z00_2658 =
																											SYMBOL_TO_STRING
																											(BgL_procnamez00_57);
																										BgL_res2492z00_2659 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2374z00_2658);
																									}
																									BgL_arg1422z00_920 =
																										BgL_res2492z00_2659;
																								}
																							else
																								{	/* Eval/evaluate.scm 311 */
																									BgL_arg1422z00_920 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 312 */
																								obj_t BgL_arg1425z00_923;
																								obj_t BgL_arg1426z00_924;

																								{	/* Eval/evaluate.scm 312 */
																									obj_t BgL_res2493z00_2662;

																									{	/* Eval/evaluate.scm 312 */
																										obj_t BgL_arg2374z00_2661;

																										BgL_arg2374z00_2661 =
																											SYMBOL_TO_STRING
																											(BgL_tnamez00_55);
																										BgL_res2493z00_2662 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg2374z00_2661);
																									}
																									BgL_arg1425z00_923 =
																										BgL_res2493z00_2662;
																								}
																								BgL_arg1426z00_924 =
																									MAKE_PAIR(BgL_varz00_54,
																									BNIL);
																								BgL_arg1423z00_921 =
																									MAKE_PAIR(BgL_arg1425z00_923,
																									BgL_arg1426z00_924);
																							}
																							BgL_arg1421z00_919 =
																								MAKE_PAIR(BgL_arg1422z00_920,
																								BgL_arg1423z00_921);
																						}
																						BgL_arg1402z00_894 =
																							MAKE_PAIR
																							(BGl_symbol2856z00zz__evaluatez00,
																							BgL_arg1421z00_919);
																					}
																				}
																		}
																	else
																		{	/* Eval/evaluate.scm 301 */
																			goto BgL_tagzd2131zd2_898;
																		}
																}
															else
																{	/* Eval/evaluate.scm 301 */
																	goto BgL_tagzd2131zd2_898;
																}
														}
													else
														{	/* Eval/evaluate.scm 301 */
															goto BgL_tagzd2131zd2_898;
														}
												}
											else
												{	/* Eval/evaluate.scm 301 */
													goto BgL_tagzd2131zd2_898;
												}
										}
										BgL_arg1401z00_893 = MAKE_PAIR(BgL_arg1402z00_894, BNIL);
									}
									BgL_arg1399z00_891 =
										MAKE_PAIR(BgL_bodyz00_58, BgL_arg1401z00_893);
								}
								BgL_arg1397z00_889 =
									MAKE_PAIR(BgL_arg1398z00_890, BgL_arg1399z00_891);
							}
							BgL_arg1396z00_888 =
								MAKE_PAIR(BGl_symbol2848z00zz__evaluatez00, BgL_arg1397z00_889);
						}
						{	/* Eval/evaluate.scm 278 */
							obj_t BgL_arg1393z00_2679;
							obj_t BgL_arg1394z00_2680;

							BgL_arg1393z00_2679 = CAR(BgL_arg1396z00_888);
							BgL_arg1394z00_2680 = CDR(BgL_arg1396z00_888);
							{	/* Eval/evaluate.scm 278 */
								obj_t BgL_res2498z00_2686;

								BgL_res2498z00_2686 =
									MAKE_EXTENDED_PAIR(BgL_arg1393z00_2679, BgL_arg1394z00_2680,
									BgL_locz00_56);
								return BgL_res2498z00_2686;
							}
						}
					}
				}
			else
				{	/* Eval/evaluate.scm 285 */
					return BgL_bodyz00_58;
				}
		}
	}



/* type-checks */
	obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_59,
		obj_t BgL_srcsz00_60, obj_t BgL_bodyz00_61, obj_t BgL_locz00_62,
		obj_t BgL_procnamez00_63)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 319 */
			{	/* Eval/evaluate.scm 320 */
				bool_t BgL_testz00_4997;

				{	/* Eval/evaluate.scm 320 */
					int BgL_arg1482z00_976;

					BgL_arg1482z00_976 = bgl_debug();
					BgL_testz00_4997 = ((long) (BgL_arg1482z00_976) <= ((long) 0));
				}
				if (BgL_testz00_4997)
					{	/* Eval/evaluate.scm 320 */
						return BgL_bodyz00_61;
					}
				else
					{	/* Eval/evaluate.scm 320 */
						return
							BGl_loopz72z72zz__evaluatez00(BgL_bodyz00_61, BgL_procnamez00_63,
							BgL_locz00_62, BgL_varsz00_59, BgL_srcsz00_60);
					}
			}
		}
	}



/* loop' */
	obj_t BGl_loopz72z72zz__evaluatez00(obj_t BgL_bodyz00_4506,
		obj_t BgL_procnamez00_4505, obj_t BgL_locz00_4504, obj_t BgL_varsz00_961,
		obj_t BgL_srcsz00_962)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 322 */
		BGl_loopz72z72zz__evaluatez00:
			if (NULLP(BgL_varsz00_961))
				{	/* Eval/evaluate.scm 324 */
					return BgL_bodyz00_4506;
				}
			else
				{	/* Eval/evaluate.scm 326 */
					obj_t BgL_vz00_965;

					BgL_vz00_965 = CAR(BgL_varsz00_961);
					{	/* Eval/evaluate.scm 326 */
						obj_t BgL_idz00_966;

						BgL_idz00_966 = CAR(BgL_vz00_965);
						{	/* Eval/evaluate.scm 327 */
							obj_t BgL_tnamez00_967;

							BgL_tnamez00_967 = CDR(BgL_vz00_965);
							{	/* Eval/evaluate.scm 328 */

								if (CBOOL(BgL_tnamez00_967))
									{	/* Eval/evaluate.scm 330 */
										obj_t BgL_locz00_968;

										{	/* Eval/evaluate.scm 330 */
											obj_t BgL_arg1477z00_972;

											BgL_arg1477z00_972 = CAR(BgL_srcsz00_962);
											{	/* Eval/evaluate.scm 135 */
												obj_t BgL__ortest_1068z00_2699;

												BgL__ortest_1068z00_2699 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_arg1477z00_972);
												if (CBOOL(BgL__ortest_1068z00_2699))
													{	/* Eval/evaluate.scm 135 */
														BgL_locz00_968 = BgL__ortest_1068z00_2699;
													}
												else
													{	/* Eval/evaluate.scm 136 */
														obj_t BgL__ortest_1069z00_2700;

														BgL__ortest_1069z00_2700 =
															BGl_getzd2sourcezd2locationz00zz__readerz00
															(BgL_srcsz00_962);
														if (CBOOL(BgL__ortest_1069z00_2700))
															{	/* Eval/evaluate.scm 136 */
																BgL_locz00_968 = BgL__ortest_1069z00_2700;
															}
														else
															{	/* Eval/evaluate.scm 136 */
																BgL_locz00_968 = BgL_locz00_4504;
															}
													}
											}
										}
										return
											BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_966,
											BgL_tnamez00_967, BgL_locz00_968, BgL_procnamez00_4505,
											BGl_loopz72z72zz__evaluatez00(BgL_bodyz00_4506,
												BgL_procnamez00_4505, BgL_locz00_4504,
												CDR(BgL_varsz00_961), CDR(BgL_srcsz00_962)));
									}
								else
									{
										obj_t BgL_srcsz00_5022;
										obj_t BgL_varsz00_5020;

										BgL_varsz00_5020 = CDR(BgL_varsz00_961);
										BgL_srcsz00_5022 = CDR(BgL_srcsz00_962);
										BgL_srcsz00_962 = BgL_srcsz00_5022;
										BgL_varsz00_961 = BgL_varsz00_5020;
										goto BGl_loopz72z72zz__evaluatez00;
									}
							}
						}
					}
				}
		}
	}



/* type-result */
	obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_64,
		obj_t BgL_bodyz00_65, obj_t BgL_locz00_66)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 338 */
			{	/* Eval/evaluate.scm 339 */
				bool_t BgL_testz00_5024;

				if (CBOOL(BgL_typez00_64))
					{	/* Eval/evaluate.scm 339 */
						int BgL_arg1498z00_990;

						BgL_arg1498z00_990 = bgl_debug();
						BgL_testz00_5024 = ((long) (BgL_arg1498z00_990) >= ((long) 1));
					}
				else
					{	/* Eval/evaluate.scm 339 */
						BgL_testz00_5024 = ((bool_t) 0);
					}
				if (BgL_testz00_5024)
					{	/* Eval/evaluate.scm 340 */
						obj_t BgL_tmpz00_978;

						BgL_tmpz00_978 =
							BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol2860z00zz__evaluatez00);
						{	/* Eval/evaluate.scm 342 */
							obj_t BgL_arg1484z00_979;
							obj_t BgL_arg1485z00_980;

							{	/* Eval/evaluate.scm 342 */
								obj_t BgL_arg1486z00_981;

								{	/* Eval/evaluate.scm 342 */
									obj_t BgL_arg1487z00_982;
									obj_t BgL_arg1488z00_983;

									{	/* Eval/evaluate.scm 342 */
										obj_t BgL_arg1489z00_984;

										{	/* Eval/evaluate.scm 342 */
											obj_t BgL_arg1490z00_985;
											obj_t BgL_arg1491z00_986;

											{	/* Eval/evaluate.scm 342 */
												obj_t BgL_arg1492z00_987;

												{	/* Eval/evaluate.scm 342 */
													obj_t BgL_list1493z00_988;

													{	/* Eval/evaluate.scm 342 */
														obj_t BgL_arg1494z00_989;

														BgL_arg1494z00_989 =
															MAKE_PAIR(BgL_typez00_64, BNIL);
														BgL_list1493z00_988 =
															MAKE_PAIR(BgL_tmpz00_978, BgL_arg1494z00_989);
													}
													BgL_arg1492z00_987 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string2862z00zz__evaluatez00,
														BgL_list1493z00_988);
												}
												BgL_arg1490z00_985 =
													bstring_to_symbol(BgL_arg1492z00_987);
											}
											BgL_arg1491z00_986 = MAKE_PAIR(BgL_bodyz00_65, BNIL);
											BgL_arg1489z00_984 =
												MAKE_PAIR(BgL_arg1490z00_985, BgL_arg1491z00_986);
										}
										BgL_arg1487z00_982 = MAKE_PAIR(BgL_arg1489z00_984, BNIL);
									}
									BgL_arg1488z00_983 = MAKE_PAIR(BgL_tmpz00_978, BNIL);
									BgL_arg1486z00_981 =
										MAKE_PAIR(BgL_arg1487z00_982, BgL_arg1488z00_983);
								}
								BgL_arg1484z00_979 =
									MAKE_PAIR(BGl_symbol2850z00zz__evaluatez00,
									BgL_arg1486z00_981);
							}
							{	/* Eval/evaluate.scm 129 */
								obj_t BgL__ortest_1067z00_2712;

								BgL__ortest_1067z00_2712 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_65);
								if (CBOOL(BgL__ortest_1067z00_2712))
									{	/* Eval/evaluate.scm 129 */
										BgL_arg1485z00_980 = BgL__ortest_1067z00_2712;
									}
								else
									{	/* Eval/evaluate.scm 129 */
										BgL_arg1485z00_980 = BgL_locz00_66;
									}
							}
							{	/* Eval/evaluate.scm 278 */
								obj_t BgL_arg1393z00_2715;
								obj_t BgL_arg1394z00_2716;

								BgL_arg1393z00_2715 = CAR(BgL_arg1484z00_979);
								BgL_arg1394z00_2716 = CDR(BgL_arg1484z00_979);
								{	/* Eval/evaluate.scm 278 */
									obj_t BgL_res2503z00_2722;

									BgL_res2503z00_2722 =
										MAKE_EXTENDED_PAIR(BgL_arg1393z00_2715, BgL_arg1394z00_2716,
										BgL_arg1485z00_980);
									return BgL_res2503z00_2722;
								}
							}
						}
					}
				else
					{	/* Eval/evaluate.scm 339 */
						return BgL_bodyz00_65;
					}
			}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_67, obj_t BgL_localsz00_68,
		obj_t BgL_globalsz00_69, obj_t BgL_tailzf3zf3_70, obj_t BgL_wherez00_71,
		obj_t BgL_locz00_72, bool_t BgL_topzf3zf3_73)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 350 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_999;
				obj_t BgL_bahz00_1001;
				obj_t BgL_lz00_1006;
				obj_t BgL_funz00_1008;
				obj_t BgL_argsz00_1009;
				obj_t BgL_ez00_1011;
				obj_t BgL_pz00_1015;
				obj_t BgL_tz00_1016;
				obj_t BgL_oz00_1017;
				obj_t BgL_pz00_1019;
				obj_t BgL_tz00_1020;
				obj_t BgL_argsz00_1022;
				obj_t BgL_argsz00_1024;
				obj_t BgL_bindsz00_1028;
				obj_t BgL_bodyz00_1029;
				obj_t BgL_bindsz00_1031;
				obj_t BgL_bodyz00_1032;
				obj_t BgL_bindsz00_1034;
				obj_t BgL_bodyz00_1035;
				obj_t BgL_lz00_1041;
				obj_t BgL_e2z00_1042;
				obj_t BgL_vz00_1044;
				obj_t BgL_ez00_1045;
				obj_t BgL_gvz00_1048;
				obj_t BgL_formalsz00_1049;
				obj_t BgL_bodyz00_1050;
				obj_t BgL_gvz00_1052;
				obj_t BgL_gez00_1053;
				obj_t BgL_vz00_1055;
				obj_t BgL_bodyz00_1056;
				obj_t BgL_ez00_1058;
				obj_t BgL_bodyz00_1059;
				obj_t BgL_hz00_1061;
				obj_t BgL_bodyz00_1062;
				obj_t BgL_mz00_1064;
				obj_t BgL_pz00_1065;
				obj_t BgL_bodyz00_1066;
				obj_t BgL_mz00_1068;
				obj_t BgL_bodyz00_1069;
				obj_t BgL_fz00_1074;
				obj_t BgL_argsz00_1075;

				if (PAIRP(BgL_ez00_67))
					{	/* Eval/evaluate.scm 409 */
						if ((CAR(BgL_ez00_67) == BGl_symbol2869z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 409 */
								BgL_bahz00_1001 = CDR(BgL_ez00_67);
								if (BgL_topzf3zf3_73)
									{	/* Eval/evaluate.scm 417 */
										obj_t BgL_formsz00_1763;

										{	/* Eval/evaluate.scm 417 */
											obj_t BgL_arg2089z00_1766;

											{	/* Eval/evaluate.scm 129 */
												obj_t BgL__ortest_1067z00_2813;

												BgL__ortest_1067z00_2813 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_ez00_67);
												if (CBOOL(BgL__ortest_1067z00_2813))
													{	/* Eval/evaluate.scm 129 */
														BgL_arg2089z00_1766 = BgL__ortest_1067z00_2813;
													}
												else
													{	/* Eval/evaluate.scm 129 */
														BgL_arg2089z00_1766 = BgL_locz00_72;
													}
											}
											BgL_formsz00_1763 =
												BGl_evmodulez00zz__evmodulez00(BgL_ez00_67,
												BgL_arg2089z00_1766);
										}
										{	/* Eval/evaluate.scm 418 */
											obj_t BgL_arg2086z00_1764;
											obj_t BgL_arg2087z00_1765;

											BgL_arg2086z00_1764 =
												BGl_expandz00zz__expandz00(BgL_formsz00_1763);
											BgL_arg2087z00_1765 = BGL_MODULE();
											{
												bool_t BgL_topzf3zf3_5063;
												obj_t BgL_wherez00_5062;
												obj_t BgL_tailzf3zf3_5061;
												obj_t BgL_globalsz00_5060;
												obj_t BgL_ez00_5059;

												BgL_ez00_5059 = BgL_arg2086z00_1764;
												BgL_globalsz00_5060 = BgL_arg2087z00_1765;
												BgL_tailzf3zf3_5061 = BgL_wherez00_71;
												BgL_wherez00_5062 = BFALSE;
												BgL_topzf3zf3_5063 = ((bool_t) 1);
												BgL_topzf3zf3_73 = BgL_topzf3zf3_5063;
												BgL_wherez00_71 = BgL_wherez00_5062;
												BgL_tailzf3zf3_70 = BgL_tailzf3zf3_5061;
												BgL_globalsz00_69 = BgL_globalsz00_5060;
												BgL_ez00_67 = BgL_ez00_5059;
												goto BGl_convz00zz__evaluatez00;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 416 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_72,
											BGl_string2786z00zz__evaluatez00,
											BGl_string2868z00zz__evaluatez00, BgL_ez00_67);
									}
							}
						else
							{	/* Eval/evaluate.scm 409 */
								obj_t BgL_cdrzd2249zd2_1082;

								BgL_cdrzd2249zd2_1082 = CDR(BgL_ez00_67);
								if ((CAR(BgL_ez00_67) == BGl_symbol2871z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 409 */
										if (PAIRP(BgL_cdrzd2249zd2_1082))
											{	/* Eval/evaluate.scm 409 */
												obj_t BgL_carzd2252zd2_1085;
												obj_t BgL_cdrzd2253zd2_1086;

												BgL_carzd2252zd2_1085 = CAR(BgL_cdrzd2249zd2_1082);
												BgL_cdrzd2253zd2_1086 = CDR(BgL_cdrzd2249zd2_1082);
												if (SYMBOLP(BgL_carzd2252zd2_1085))
													{	/* Eval/evaluate.scm 409 */
														if (PAIRP(BgL_cdrzd2253zd2_1086))
															{	/* Eval/evaluate.scm 409 */
																obj_t BgL_carzd2257zd2_1089;

																BgL_carzd2257zd2_1089 =
																	CAR(BgL_cdrzd2253zd2_1086);
																if (SYMBOLP(BgL_carzd2257zd2_1089))
																	{	/* Eval/evaluate.scm 409 */
																		if (NULLP(CDR(BgL_cdrzd2253zd2_1086)))
																			{	/* Eval/evaluate.scm 422 */
																				BgL_ev_globalz00_bglt
																					BgL_new1106z00_3455;
																				{	/* Eval/evaluate.scm 423 */
																					BgL_ev_globalz00_bglt
																						BgL_new1105z00_3456;
																					BgL_new1105z00_3456 =
																						((BgL_ev_globalz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_ev_globalz00_bgl))));
																					{	/* Eval/evaluate.scm 423 */
																						long BgL_arg2090z00_3457;

																						{	/* Eval/evaluate.scm 423 */
																							long BgL_res2606z00_3459;

																							BgL_res2606z00_3459 =
																								BGL_CLASS_INDEX
																								(BGl_ev_globalz00zz__evaluate_typesz00);
																							BgL_arg2090z00_3457 =
																								BgL_res2606z00_3459;
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1105z00_3456),
																							BgL_arg2090z00_3457);
																					}
																					{	/* Eval/evaluate.scm 423 */
																						BgL_objectz00_bglt BgL_auxz00_5088;

																						BgL_auxz00_5088 =
																							((BgL_objectz00_bglt)
																							BgL_new1105z00_3456);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_auxz00_5088, BFALSE);
																					}
																					BgL_new1106z00_3455 =
																						BgL_new1105z00_3456;
																				}
																				((((BgL_ev_globalz00_bglt)
																							CREF(BgL_new1106z00_3455))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_72), BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							CREF(BgL_new1106z00_3455))->
																						BgL_namez00) =
																					((obj_t) BgL_carzd2252zd2_1085),
																					BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							CREF(BgL_new1106z00_3455))->
																						BgL_modz00) =
																					((obj_t)
																						BGl_evalzd2findzd2modulez00zz__evmodulez00
																						(BgL_carzd2257zd2_1089)), BUNSPEC);
																				return ((obj_t) BgL_new1106z00_3455);
																			}
																		else
																			{	/* Eval/evaluate.scm 409 */
																				obj_t BgL_carzd2302zd2_1092;

																				BgL_carzd2302zd2_1092 =
																					CAR(BgL_ez00_67);
																				if (SYMBOLP(BgL_carzd2302zd2_1092))
																					{	/* Eval/evaluate.scm 409 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2302zd2_1092,
																									BgL_localsz00_68)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5102;
																								BgL_funz00_1008 =
																									BgL_carzd2302zd2_1092;
																								BgL_argsz00_1009 =
																									BgL_cdrzd2249zd2_1082;
																							BgL_tagzd2152zd2_1010:
																								{	/* Eval/evaluate.scm 434 */
																									obj_t BgL_funz00_1783;
																									obj_t BgL_argsz00_1784;

																									{	/* Eval/evaluate.scm 365 */
																										obj_t BgL_arg2261z00_2833;

																										{	/* Eval/evaluate.scm 129 */
																											obj_t
																												BgL__ortest_1067z00_2836;
																											BgL__ortest_1067z00_2836 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_1008);
																											if (CBOOL
																												(BgL__ortest_1067z00_2836))
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2261z00_2833 =
																														BgL__ortest_1067z00_2836;
																												}
																											else
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2261z00_2833 =
																														BgL_locz00_72;
																												}
																										}
																										BgL_funz00_1783 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_1008,
																											BgL_localsz00_68,
																											BgL_globalsz00_69, BFALSE,
																											BgL_wherez00_71,
																											BgL_arg2261z00_2833,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1784 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_71,
																										BgL_globalsz00_69,
																										BgL_localsz00_68,
																										BgL_locz00_72,
																										BgL_argsz00_1009);
																									{	/* Eval/evaluate.scm 435 */
																										BgL_ev_appz00_bglt
																											BgL_new1108z00_1785;
																										{	/* Eval/evaluate.scm 436 */
																											BgL_ev_appz00_bglt
																												BgL_new1107z00_1786;
																											BgL_new1107z00_1786 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 436 */
																												long
																													BgL_arg2099z00_1787;
																												{	/* Eval/evaluate.scm 436 */
																													long
																														BgL_res2525z00_2840;
																													BgL_res2525z00_2840 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2099z00_1787 =
																														BgL_res2525z00_2840;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1107z00_1786),
																													BgL_arg2099z00_1787);
																											}
																											{	/* Eval/evaluate.scm 436 */
																												BgL_objectz00_bglt
																													BgL_auxz00_5112;
																												BgL_auxz00_5112 =
																													((BgL_objectz00_bglt)
																													BgL_new1107z00_1786);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_5112,
																													BFALSE);
																											}
																											BgL_new1108z00_1785 =
																												BgL_new1107z00_1786;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1108z00_1785))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_72),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1108z00_1785))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1783)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1108z00_1785))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1784),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1108z00_1785))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_70),
																											BUNSPEC);
																										BgL_auxz00_5102 =
																											BgL_new1108z00_1785;
																								}}
																								return
																									((obj_t) BgL_auxz00_5102);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5121;
																								BgL_fz00_1074 =
																									BgL_carzd2302zd2_1092;
																								BgL_argsz00_1075 =
																									BgL_cdrzd2249zd2_1082;
																							BgL_tagzd2175zd2_1076:
																								{	/* Eval/evaluate.scm 582 */
																									obj_t BgL_funz00_2034;
																									obj_t BgL_argsz00_2035;

																									{	/* Eval/evaluate.scm 365 */
																										obj_t BgL_arg2261z00_3423;

																										{	/* Eval/evaluate.scm 129 */
																											obj_t
																												BgL__ortest_1067z00_3426;
																											BgL__ortest_1067z00_3426 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_1074);
																											if (CBOOL
																												(BgL__ortest_1067z00_3426))
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2261z00_3423 =
																														BgL__ortest_1067z00_3426;
																												}
																											else
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2261z00_3423 =
																														BgL_locz00_72;
																												}
																										}
																										BgL_funz00_2034 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_1074,
																											BgL_localsz00_68,
																											BgL_globalsz00_69, BFALSE,
																											BgL_wherez00_71,
																											BgL_arg2261z00_3423,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2035 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_71,
																										BgL_globalsz00_69,
																										BgL_localsz00_68,
																										BgL_locz00_72,
																										BgL_argsz00_1075);
																									{	/* Eval/evaluate.scm 583 */
																										BgL_ev_appz00_bglt
																											BgL_new1159z00_2036;
																										{	/* Eval/evaluate.scm 584 */
																											BgL_ev_appz00_bglt
																												BgL_new1158z00_2037;
																											BgL_new1158z00_2037 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 584 */
																												long
																													BgL_arg2225z00_2038;
																												{	/* Eval/evaluate.scm 584 */
																													long
																														BgL_res2599z00_3430;
																													BgL_res2599z00_3430 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2225z00_2038 =
																														BgL_res2599z00_3430;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1158z00_2037),
																													BgL_arg2225z00_2038);
																											}
																											{	/* Eval/evaluate.scm 584 */
																												BgL_objectz00_bglt
																													BgL_auxz00_5131;
																												BgL_auxz00_5131 =
																													((BgL_objectz00_bglt)
																													BgL_new1158z00_2037);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_5131,
																													BFALSE);
																											}
																											BgL_new1159z00_2036 =
																												BgL_new1158z00_2037;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1159z00_2036))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_72),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1159z00_2036))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2034)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1159z00_2036))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2035),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1159z00_2036))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_70),
																											BUNSPEC);
																										BgL_auxz00_5121 =
																											BgL_new1159z00_2036;
																								}}
																								return
																									((obj_t) BgL_auxz00_5121);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5140;

																						{
																							obj_t BgL_argsz00_5142;
																							obj_t BgL_fz00_5141;

																							BgL_fz00_5141 =
																								BgL_carzd2302zd2_1092;
																							BgL_argsz00_5142 =
																								BgL_cdrzd2249zd2_1082;
																							BgL_argsz00_1075 =
																								BgL_argsz00_5142;
																							BgL_fz00_1074 = BgL_fz00_5141;
																							goto BgL_tagzd2175zd2_1076;
																						}
																						return ((obj_t) BgL_auxz00_5140);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 409 */
																		obj_t BgL_carzd21005zd2_1102;

																		BgL_carzd21005zd2_1102 = CAR(BgL_ez00_67);
																		if (SYMBOLP(BgL_carzd21005zd2_1102))
																			{	/* Eval/evaluate.scm 409 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd21005zd2_1102,
																							BgL_localsz00_68)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5150;

																						{
																							obj_t BgL_argsz00_5152;
																							obj_t BgL_funz00_5151;

																							BgL_funz00_5151 =
																								BgL_carzd21005zd2_1102;
																							BgL_argsz00_5152 =
																								BgL_cdrzd2249zd2_1082;
																							BgL_argsz00_1009 =
																								BgL_argsz00_5152;
																							BgL_funz00_1008 = BgL_funz00_5151;
																							goto BgL_tagzd2152zd2_1010;
																						}
																						return ((obj_t) BgL_auxz00_5150);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5154;

																						{
																							obj_t BgL_argsz00_5156;
																							obj_t BgL_fz00_5155;

																							BgL_fz00_5155 =
																								BgL_carzd21005zd2_1102;
																							BgL_argsz00_5156 =
																								BgL_cdrzd2249zd2_1082;
																							BgL_argsz00_1075 =
																								BgL_argsz00_5156;
																							BgL_fz00_1074 = BgL_fz00_5155;
																							goto BgL_tagzd2175zd2_1076;
																						}
																						return ((obj_t) BgL_auxz00_5154);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5158;

																				{
																					obj_t BgL_argsz00_5160;
																					obj_t BgL_fz00_5159;

																					BgL_fz00_5159 =
																						BgL_carzd21005zd2_1102;
																					BgL_argsz00_5160 =
																						BgL_cdrzd2249zd2_1082;
																					BgL_argsz00_1075 = BgL_argsz00_5160;
																					BgL_fz00_1074 = BgL_fz00_5159;
																					goto BgL_tagzd2175zd2_1076;
																				}
																				return ((obj_t) BgL_auxz00_5158);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 409 */
																obj_t BgL_carzd21708zd2_1111;

																BgL_carzd21708zd2_1111 = CAR(BgL_ez00_67);
																if (SYMBOLP(BgL_carzd21708zd2_1111))
																	{	/* Eval/evaluate.scm 409 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21708zd2_1111,
																					BgL_localsz00_68)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5168;

																				{
																					obj_t BgL_argsz00_5170;
																					obj_t BgL_funz00_5169;

																					BgL_funz00_5169 =
																						BgL_carzd21708zd2_1111;
																					BgL_argsz00_5170 =
																						BgL_cdrzd2249zd2_1082;
																					BgL_argsz00_1009 = BgL_argsz00_5170;
																					BgL_funz00_1008 = BgL_funz00_5169;
																					goto BgL_tagzd2152zd2_1010;
																				}
																				return ((obj_t) BgL_auxz00_5168);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5172;

																				{
																					obj_t BgL_argsz00_5174;
																					obj_t BgL_fz00_5173;

																					BgL_fz00_5173 =
																						BgL_carzd21708zd2_1111;
																					BgL_argsz00_5174 =
																						BgL_cdrzd2249zd2_1082;
																					BgL_argsz00_1075 = BgL_argsz00_5174;
																					BgL_fz00_1074 = BgL_fz00_5173;
																					goto BgL_tagzd2175zd2_1076;
																				}
																				return ((obj_t) BgL_auxz00_5172);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5176;

																		{
																			obj_t BgL_argsz00_5178;
																			obj_t BgL_fz00_5177;

																			BgL_fz00_5177 = BgL_carzd21708zd2_1111;
																			BgL_argsz00_5178 = BgL_cdrzd2249zd2_1082;
																			BgL_argsz00_1075 = BgL_argsz00_5178;
																			BgL_fz00_1074 = BgL_fz00_5177;
																			goto BgL_tagzd2175zd2_1076;
																		}
																		return ((obj_t) BgL_auxz00_5176);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 409 */
														obj_t BgL_carzd22411zd2_1120;

														BgL_carzd22411zd2_1120 = CAR(BgL_ez00_67);
														if (SYMBOLP(BgL_carzd22411zd2_1120))
															{	/* Eval/evaluate.scm 409 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22411zd2_1120, BgL_localsz00_68)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5186;

																		{
																			obj_t BgL_argsz00_5188;
																			obj_t BgL_funz00_5187;

																			BgL_funz00_5187 = BgL_carzd22411zd2_1120;
																			BgL_argsz00_5188 = BgL_cdrzd2249zd2_1082;
																			BgL_argsz00_1009 = BgL_argsz00_5188;
																			BgL_funz00_1008 = BgL_funz00_5187;
																			goto BgL_tagzd2152zd2_1010;
																		}
																		return ((obj_t) BgL_auxz00_5186);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5190;

																		{
																			obj_t BgL_argsz00_5192;
																			obj_t BgL_fz00_5191;

																			BgL_fz00_5191 = BgL_carzd22411zd2_1120;
																			BgL_argsz00_5192 = BgL_cdrzd2249zd2_1082;
																			BgL_argsz00_1075 = BgL_argsz00_5192;
																			BgL_fz00_1074 = BgL_fz00_5191;
																			goto BgL_tagzd2175zd2_1076;
																		}
																		return ((obj_t) BgL_auxz00_5190);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5194;

																{
																	obj_t BgL_argsz00_5196;
																	obj_t BgL_fz00_5195;

																	BgL_fz00_5195 = BgL_carzd22411zd2_1120;
																	BgL_argsz00_5196 = BgL_cdrzd2249zd2_1082;
																	BgL_argsz00_1075 = BgL_argsz00_5196;
																	BgL_fz00_1074 = BgL_fz00_5195;
																	goto BgL_tagzd2175zd2_1076;
																}
																return ((obj_t) BgL_auxz00_5194);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 409 */
												obj_t BgL_carzd23114zd2_1129;

												BgL_carzd23114zd2_1129 = CAR(BgL_ez00_67);
												if (SYMBOLP(BgL_carzd23114zd2_1129))
													{	/* Eval/evaluate.scm 409 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23114zd2_1129, BgL_localsz00_68)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5204;

																{
																	obj_t BgL_argsz00_5206;
																	obj_t BgL_funz00_5205;

																	BgL_funz00_5205 = BgL_carzd23114zd2_1129;
																	BgL_argsz00_5206 = BgL_cdrzd2249zd2_1082;
																	BgL_argsz00_1009 = BgL_argsz00_5206;
																	BgL_funz00_1008 = BgL_funz00_5205;
																	goto BgL_tagzd2152zd2_1010;
																}
																return ((obj_t) BgL_auxz00_5204);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5208;

																{
																	obj_t BgL_argsz00_5210;
																	obj_t BgL_fz00_5209;

																	BgL_fz00_5209 = BgL_carzd23114zd2_1129;
																	BgL_argsz00_5210 = BgL_cdrzd2249zd2_1082;
																	BgL_argsz00_1075 = BgL_argsz00_5210;
																	BgL_fz00_1074 = BgL_fz00_5209;
																	goto BgL_tagzd2175zd2_1076;
																}
																return ((obj_t) BgL_auxz00_5208);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_5212;

														{
															obj_t BgL_argsz00_5214;
															obj_t BgL_fz00_5213;

															BgL_fz00_5213 = BgL_carzd23114zd2_1129;
															BgL_argsz00_5214 = BgL_cdrzd2249zd2_1082;
															BgL_argsz00_1075 = BgL_argsz00_5214;
															BgL_fz00_1074 = BgL_fz00_5213;
															goto BgL_tagzd2175zd2_1076;
														}
														return ((obj_t) BgL_auxz00_5212);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 409 */
										if ((CAR(BgL_ez00_67) == BGl_symbol2873z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 409 */
												BgL_lz00_1006 = BgL_cdrzd2249zd2_1082;
												{	/* Eval/evaluate.scm 427 */
													bool_t BgL_testz00_5219;

													if (PAIRP(BgL_lz00_1006))
														{	/* Eval/evaluate.scm 427 */
															bool_t BgL_testz00_5222;

															{	/* Eval/evaluate.scm 427 */
																obj_t BgL_auxz00_5223;

																BgL_auxz00_5223 = CDR(BgL_lz00_1006);
																BgL_testz00_5222 = PAIRP(BgL_auxz00_5223);
															}
															if (BgL_testz00_5222)
																{
																	obj_t BgL_l1191z00_1774;

																	BgL_l1191z00_1774 = BgL_lz00_1006;
																BgL_zc3anonymousza32094ze3z83_1775:
																	if (NULLP(BgL_l1191z00_1774))
																		{	/* Eval/evaluate.scm 427 */
																			BgL_testz00_5219 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 427 */
																			bool_t BgL_testz00_5228;

																			{	/* Eval/evaluate.scm 427 */
																				obj_t BgL_auxz00_5229;

																				BgL_auxz00_5229 =
																					CAR(BgL_l1191z00_1774);
																				BgL_testz00_5228 =
																					SYMBOLP(BgL_auxz00_5229);
																			}
																			if (BgL_testz00_5228)
																				{
																					obj_t BgL_l1191z00_5232;

																					BgL_l1191z00_5232 =
																						CDR(BgL_l1191z00_1774);
																					BgL_l1191z00_1774 = BgL_l1191z00_5232;
																					goto
																						BgL_zc3anonymousza32094ze3z83_1775;
																				}
																			else
																				{	/* Eval/evaluate.scm 427 */
																					BgL_testz00_5219 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 427 */
																	BgL_testz00_5219 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 427 */
															BgL_testz00_5219 = ((bool_t) 0);
														}
													if (BgL_testz00_5219)
														{	/* Eval/evaluate.scm 427 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_67, BgL_localsz00_68,
																BgL_globalsz00_69, BgL_tailzf3zf3_70,
																BgL_wherez00_71, BgL_locz00_72,
																BgL_topzf3zf3_73);
														}
													else
														{	/* Eval/evaluate.scm 427 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_72,
																BGl_string2786z00zz__evaluatez00,
																BGl_string2863z00zz__evaluatez00, BgL_ez00_67);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 409 */
												obj_t BgL_carzd23820zd2_1140;

												BgL_carzd23820zd2_1140 = CAR(BgL_ez00_67);
												if (SYMBOLP(BgL_carzd23820zd2_1140))
													{	/* Eval/evaluate.scm 409 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23820zd2_1140, BgL_localsz00_68)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5242;

																{
																	obj_t BgL_argsz00_5244;
																	obj_t BgL_funz00_5243;

																	BgL_funz00_5243 = BgL_carzd23820zd2_1140;
																	BgL_argsz00_5244 = BgL_cdrzd2249zd2_1082;
																	BgL_argsz00_1009 = BgL_argsz00_5244;
																	BgL_funz00_1008 = BgL_funz00_5243;
																	goto BgL_tagzd2152zd2_1010;
																}
																return ((obj_t) BgL_auxz00_5242);
															}
														else
															{	/* Eval/evaluate.scm 409 */
																if (
																	(BgL_carzd23820zd2_1140 ==
																		BGl_symbol2875z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 409 */
																		if (PAIRP(BgL_cdrzd2249zd2_1082))
																			{	/* Eval/evaluate.scm 409 */
																				if (NULLP(CDR(BgL_cdrzd2249zd2_1082)))
																					{	/* Eval/evaluate.scm 409 */
																						obj_t BgL_arg1562z00_1148;

																						BgL_arg1562z00_1148 =
																							CAR(BgL_cdrzd2249zd2_1082);
																						{
																							BgL_ev_trapz00_bglt
																								BgL_auxz00_5254;
																							BgL_ez00_1011 =
																								BgL_arg1562z00_1148;
																						BgL_tagzd2153zd2_1012:
																							{	/* Eval/evaluate.scm 441 */
																								BgL_ev_trapz00_bglt
																									BgL_new1110z00_1788;
																								{	/* Eval/evaluate.scm 442 */
																									BgL_ev_trapz00_bglt
																										BgL_new1109z00_1789;
																									BgL_new1109z00_1789 =
																										((BgL_ev_trapz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_ev_trapz00_bgl))));
																									{	/* Eval/evaluate.scm 442 */
																										long BgL_arg2100z00_1790;

																										{	/* Eval/evaluate.scm 442 */
																											long BgL_res2526z00_2844;

																											BgL_res2526z00_2844 =
																												BGL_CLASS_INDEX
																												(BGl_ev_trapz00zz__evaluate_typesz00);
																											BgL_arg2100z00_1790 =
																												BgL_res2526z00_2844;
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1109z00_1789),
																											BgL_arg2100z00_1790);
																									}
																									{	/* Eval/evaluate.scm 442 */
																										BgL_objectz00_bglt
																											BgL_auxz00_5259;
																										BgL_auxz00_5259 =
																											((BgL_objectz00_bglt)
																											BgL_new1109z00_1789);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_auxz00_5259, BFALSE);
																									}
																									BgL_new1110z00_1788 =
																										BgL_new1109z00_1789;
																								}
																								{
																									BgL_ev_exprz00_bglt
																										BgL_auxz00_5262;
																									{	/* Eval/evaluate.scm 365 */
																										obj_t BgL_arg2261z00_2848;

																										{	/* Eval/evaluate.scm 129 */
																											obj_t
																												BgL__ortest_1067z00_2851;
																											BgL__ortest_1067z00_2851 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_ez00_1011);
																											if (CBOOL
																												(BgL__ortest_1067z00_2851))
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2261z00_2848 =
																														BgL__ortest_1067z00_2851;
																												}
																											else
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2261z00_2848 =
																														BgL_locz00_72;
																												}
																										}
																										BgL_auxz00_5262 =
																											((BgL_ev_exprz00_bglt)
																											BGl_convz00zz__evaluatez00
																											(BgL_ez00_1011,
																												BgL_localsz00_68,
																												BgL_globalsz00_69,
																												BFALSE, BgL_wherez00_71,
																												BgL_arg2261z00_2848,
																												((bool_t) 0)));
																									}
																									((((BgL_ev_hookz00_bglt) CREF(
																													((BgL_ev_hookz00_bglt)
																														BgL_new1110z00_1788)))->
																											BgL_ez00) =
																										((BgL_ev_exprz00_bglt)
																											BgL_auxz00_5262),
																										BUNSPEC);
																								}
																								BgL_auxz00_5254 =
																									BgL_new1110z00_1788;
																							}
																							return ((obj_t) BgL_auxz00_5254);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 409 */
																						obj_t BgL_arg1563z00_1149;
																						obj_t BgL_arg1565z00_1150;

																						BgL_arg1563z00_1149 =
																							CAR(BgL_ez00_67);
																						BgL_arg1565z00_1150 =
																							CDR(BgL_ez00_67);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5273;
																							{
																								obj_t BgL_argsz00_5275;
																								obj_t BgL_fz00_5274;

																								BgL_fz00_5274 =
																									BgL_arg1563z00_1149;
																								BgL_argsz00_5275 =
																									BgL_arg1565z00_1150;
																								BgL_argsz00_1075 =
																									BgL_argsz00_5275;
																								BgL_fz00_1074 = BgL_fz00_5274;
																								goto BgL_tagzd2175zd2_1076;
																							}
																							return ((obj_t) BgL_auxz00_5273);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 409 */
																				obj_t BgL_arg1568z00_1152;
																				obj_t BgL_arg1569z00_1153;

																				BgL_arg1568z00_1152 = CAR(BgL_ez00_67);
																				BgL_arg1569z00_1153 = CDR(BgL_ez00_67);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5279;

																					{
																						obj_t BgL_argsz00_5281;
																						obj_t BgL_fz00_5280;

																						BgL_fz00_5280 = BgL_arg1568z00_1152;
																						BgL_argsz00_5281 =
																							BgL_arg1569z00_1153;
																						BgL_argsz00_1075 = BgL_argsz00_5281;
																						BgL_fz00_1074 = BgL_fz00_5280;
																						goto BgL_tagzd2175zd2_1076;
																					}
																					return ((obj_t) BgL_auxz00_5279);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 409 */
																		obj_t BgL_cdrzd24489zd2_1154;

																		BgL_cdrzd24489zd2_1154 = CDR(BgL_ez00_67);
																		if (
																			(CAR(BgL_ez00_67) ==
																				BGl_symbol2840z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 409 */
																				if (PAIRP(BgL_cdrzd24489zd2_1154))
																					{	/* Eval/evaluate.scm 409 */
																						if (NULLP(CDR
																								(BgL_cdrzd24489zd2_1154)))
																							{	/* Eval/evaluate.scm 409 */
																								obj_t BgL_arg1573z00_1158;

																								BgL_arg1573z00_1158 =
																									CAR(BgL_cdrzd24489zd2_1154);
																								{	/* Eval/evaluate.scm 444 */
																									BgL_ev_littz00_bglt
																										BgL_new1112z00_3529;
																									{	/* Eval/evaluate.scm 445 */
																										BgL_ev_littz00_bglt
																											BgL_new1111z00_3530;
																										BgL_new1111z00_3530 =
																											((BgL_ev_littz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 445 */
																											long BgL_arg2101z00_3531;

																											{	/* Eval/evaluate.scm 445 */
																												long
																													BgL_res2617z00_3533;
																												BgL_res2617z00_3533 =
																													BGL_CLASS_INDEX
																													(BGl_ev_littz00zz__evaluate_typesz00);
																												BgL_arg2101z00_3531 =
																													BgL_res2617z00_3533;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1111z00_3530),
																												BgL_arg2101z00_3531);
																										}
																										{	/* Eval/evaluate.scm 445 */
																											BgL_objectz00_bglt
																												BgL_auxz00_5297;
																											BgL_auxz00_5297 =
																												((BgL_objectz00_bglt)
																												BgL_new1111z00_3530);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_5297,
																												BFALSE);
																										}
																										BgL_new1112z00_3529 =
																											BgL_new1111z00_3530;
																									}
																									((((BgL_ev_littz00_bglt)
																												CREF
																												(BgL_new1112z00_3529))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1573z00_1158),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1112z00_3529);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 409 */
																								obj_t BgL_arg1574z00_1159;

																								BgL_arg1574z00_1159 =
																									CAR(BgL_ez00_67);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5303;
																									{
																										obj_t BgL_argsz00_5305;
																										obj_t BgL_fz00_5304;

																										BgL_fz00_5304 =
																											BgL_arg1574z00_1159;
																										BgL_argsz00_5305 =
																											BgL_cdrzd24489zd2_1154;
																										BgL_argsz00_1075 =
																											BgL_argsz00_5305;
																										BgL_fz00_1074 =
																											BgL_fz00_5304;
																										goto BgL_tagzd2175zd2_1076;
																									}
																									return
																										((obj_t) BgL_auxz00_5303);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 409 */
																						obj_t BgL_arg1577z00_1162;

																						BgL_arg1577z00_1162 =
																							CAR(BgL_ez00_67);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5308;
																							{
																								obj_t BgL_argsz00_5310;
																								obj_t BgL_fz00_5309;

																								BgL_fz00_5309 =
																									BgL_arg1577z00_1162;
																								BgL_argsz00_5310 =
																									BgL_cdrzd24489zd2_1154;
																								BgL_argsz00_1075 =
																									BgL_argsz00_5310;
																								BgL_fz00_1074 = BgL_fz00_5309;
																								goto BgL_tagzd2175zd2_1076;
																							}
																							return ((obj_t) BgL_auxz00_5308);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 409 */
																				if (
																					(CAR(BgL_ez00_67) ==
																						BGl_symbol2848z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 409 */
																						if (PAIRP(BgL_cdrzd24489zd2_1154))
																							{	/* Eval/evaluate.scm 409 */
																								obj_t BgL_cdrzd25099zd2_1167;

																								BgL_cdrzd25099zd2_1167 =
																									CDR(BgL_cdrzd24489zd2_1154);
																								if (PAIRP
																									(BgL_cdrzd25099zd2_1167))
																									{	/* Eval/evaluate.scm 409 */
																										obj_t
																											BgL_cdrzd25104zd2_1169;
																										BgL_cdrzd25104zd2_1169 =
																											CDR
																											(BgL_cdrzd25099zd2_1167);
																										if (PAIRP
																											(BgL_cdrzd25104zd2_1169))
																											{	/* Eval/evaluate.scm 409 */
																												if (NULLP(CDR
																														(BgL_cdrzd25104zd2_1169)))
																													{	/* Eval/evaluate.scm 409 */
																														obj_t
																															BgL_arg1585z00_1172;
																														obj_t
																															BgL_arg1586z00_1173;
																														obj_t
																															BgL_arg1587z00_1174;
																														BgL_arg1585z00_1172
																															=
																															CAR
																															(BgL_cdrzd24489zd2_1154);
																														BgL_arg1586z00_1173
																															=
																															CAR
																															(BgL_cdrzd25099zd2_1167);
																														BgL_arg1587z00_1174
																															=
																															CAR
																															(BgL_cdrzd25104zd2_1169);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_5329;
																															BgL_pz00_1015 =
																																BgL_arg1585z00_1172;
																															BgL_tz00_1016 =
																																BgL_arg1586z00_1173;
																															BgL_oz00_1017 =
																																BgL_arg1587z00_1174;
																														BgL_tagzd2155zd2_1018:
																															{	/* Eval/evaluate.scm 447 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1115z00_1794;
																																{	/* Eval/evaluate.scm 448 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1114z00_1798;
																																	BgL_new1114z00_1798
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 448 */
																																		long
																																			BgL_arg2105z00_1799;
																																		{	/* Eval/evaluate.scm 448 */
																																			long
																																				BgL_res2528z00_2862;
																																			BgL_res2528z00_2862
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BgL_arg2105z00_1799
																																				=
																																				BgL_res2528z00_2862;
																																		}
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1114z00_1798), BgL_arg2105z00_1799);
																																	}
																																	{	/* Eval/evaluate.scm 448 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_5334;
																																		BgL_auxz00_5334
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1114z00_1798);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_5334,
																																			BFALSE);
																																	}
																																	BgL_new1115z00_1794
																																		=
																																		BgL_new1114z00_1798;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5337;
																																	{	/* Eval/evaluate.scm 448 */
																																		obj_t
																																			BgL_arg2102z00_1795;
																																		{	/* Eval/evaluate.scm 129 */
																																			obj_t
																																				BgL__ortest_1067z00_2867;
																																			BgL__ortest_1067z00_2867
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_1015);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_2867))
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg2102z00_1795
																																						=
																																						BgL__ortest_1067z00_2867;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg2102z00_1795
																																						=
																																						BgL_locz00_72;
																																				}
																																		}
																																		BgL_auxz00_5337
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_1015,
																																				BgL_localsz00_68,
																																				BgL_globalsz00_69,
																																				BFALSE,
																																				BgL_wherez00_71,
																																				BgL_arg2102z00_1795,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1115z00_1794))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5337), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5344;
																																	{	/* Eval/evaluate.scm 449 */
																																		obj_t
																																			BgL_arg2103z00_1796;
																																		{	/* Eval/evaluate.scm 129 */
																																			obj_t
																																				BgL__ortest_1067z00_2872;
																																			BgL__ortest_1067z00_2872
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_1016);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_2872))
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg2103z00_1796
																																						=
																																						BgL__ortest_1067z00_2872;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg2103z00_1796
																																						=
																																						BgL_locz00_72;
																																				}
																																		}
																																		BgL_auxz00_5344
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_1016,
																																				BgL_localsz00_68,
																																				BgL_globalsz00_69,
																																				BgL_tailzf3zf3_70,
																																				BgL_wherez00_71,
																																				BgL_arg2103z00_1796,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1115z00_1794))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5344), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5351;
																																	{	/* Eval/evaluate.scm 450 */
																																		obj_t
																																			BgL_arg2104z00_1797;
																																		{	/* Eval/evaluate.scm 129 */
																																			obj_t
																																				BgL__ortest_1067z00_2877;
																																			BgL__ortest_1067z00_2877
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_1017);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_2877))
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg2104z00_1797
																																						=
																																						BgL__ortest_1067z00_2877;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg2104z00_1797
																																						=
																																						BgL_locz00_72;
																																				}
																																		}
																																		BgL_auxz00_5351
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_1017,
																																				BgL_localsz00_68,
																																				BgL_globalsz00_69,
																																				BgL_tailzf3zf3_70,
																																				BgL_wherez00_71,
																																				BgL_arg2104z00_1797,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1115z00_1794))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5351), BUNSPEC);
																																}
																																BgL_auxz00_5329
																																	=
																																	BgL_new1115z00_1794;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5329);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 409 */
																														obj_t
																															BgL_arg1588z00_1175;
																														obj_t
																															BgL_arg1589z00_1176;
																														BgL_arg1588z00_1175
																															=
																															CAR(BgL_ez00_67);
																														BgL_arg1589z00_1176
																															=
																															CDR(BgL_ez00_67);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5361;
																															{
																																obj_t
																																	BgL_argsz00_5363;
																																obj_t
																																	BgL_fz00_5362;
																																BgL_fz00_5362 =
																																	BgL_arg1588z00_1175;
																																BgL_argsz00_5363
																																	=
																																	BgL_arg1589z00_1176;
																																BgL_argsz00_1075
																																	=
																																	BgL_argsz00_5363;
																																BgL_fz00_1074 =
																																	BgL_fz00_5362;
																																goto
																																	BgL_tagzd2175zd2_1076;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5361);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 409 */
																												obj_t
																													BgL_cdrzd25402zd2_1178;
																												BgL_cdrzd25402zd2_1178 =
																													CDR(BgL_ez00_67);
																												{	/* Eval/evaluate.scm 409 */
																													obj_t
																														BgL_cdrzd25408zd2_1179;
																													BgL_cdrzd25408zd2_1179
																														=
																														CDR
																														(BgL_cdrzd25402zd2_1178);
																													if (NULLP(CDR
																															(BgL_cdrzd25408zd2_1179)))
																														{	/* Eval/evaluate.scm 409 */
																															obj_t
																																BgL_arg1592z00_1181;
																															obj_t
																																BgL_arg1593z00_1182;
																															BgL_arg1592z00_1181
																																=
																																CAR
																																(BgL_cdrzd25402zd2_1178);
																															BgL_arg1593z00_1182
																																=
																																CAR
																																(BgL_cdrzd25408zd2_1179);
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_5372;
																																BgL_pz00_1019 =
																																	BgL_arg1592z00_1181;
																																BgL_tz00_1020 =
																																	BgL_arg1593z00_1182;
																															BgL_tagzd2156zd2_1021:
																																{	/* Eval/evaluate.scm 452 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1117z00_1800;
																																	{	/* Eval/evaluate.scm 453 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1116z00_1804;
																																		BgL_new1116z00_1804
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BREF
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 453 */
																																			long
																																				BgL_arg2110z00_1805;
																																			{	/* Eval/evaluate.scm 453 */
																																				long
																																					BgL_res2529z00_2881;
																																				BgL_res2529z00_2881
																																					=
																																					BGL_CLASS_INDEX
																																					(BGl_ev_ifz00zz__evaluate_typesz00);
																																				BgL_arg2110z00_1805
																																					=
																																					BgL_res2529z00_2881;
																																			}
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) BgL_new1116z00_1804), BgL_arg2110z00_1805);
																																		}
																																		{	/* Eval/evaluate.scm 453 */
																																			BgL_objectz00_bglt
																																				BgL_auxz00_5377;
																																			BgL_auxz00_5377
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1116z00_1804);
																																			BGL_OBJECT_WIDENING_SET
																																				(BgL_auxz00_5377,
																																				BFALSE);
																																		}
																																		BgL_new1117z00_1800
																																			=
																																			BgL_new1116z00_1804;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5380;
																																		{	/* Eval/evaluate.scm 453 */
																																			obj_t
																																				BgL_arg2107z00_1801;
																																			{	/* Eval/evaluate.scm 129 */
																																				obj_t
																																					BgL__ortest_1067z00_2886;
																																				BgL__ortest_1067z00_2886
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_1019);
																																				if (CBOOL(BgL__ortest_1067z00_2886))
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2107z00_1801
																																							=
																																							BgL__ortest_1067z00_2886;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2107z00_1801
																																							=
																																							BgL_locz00_72;
																																					}
																																			}
																																			BgL_auxz00_5380
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_1019,
																																					BgL_localsz00_68,
																																					BgL_globalsz00_69,
																																					BFALSE,
																																					BgL_wherez00_71,
																																					BgL_arg2107z00_1801,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1117z00_1800))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5380), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5387;
																																		{	/* Eval/evaluate.scm 454 */
																																			obj_t
																																				BgL_arg2108z00_1802;
																																			{	/* Eval/evaluate.scm 129 */
																																				obj_t
																																					BgL__ortest_1067z00_2891;
																																				BgL__ortest_1067z00_2891
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_1020);
																																				if (CBOOL(BgL__ortest_1067z00_2891))
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2108z00_1802
																																							=
																																							BgL__ortest_1067z00_2891;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2108z00_1802
																																							=
																																							BgL_locz00_72;
																																					}
																																			}
																																			BgL_auxz00_5387
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_1020,
																																					BgL_localsz00_68,
																																					BgL_globalsz00_69,
																																					BgL_tailzf3zf3_70,
																																					BgL_wherez00_71,
																																					BgL_arg2108z00_1802,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1117z00_1800))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5387), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5394;
																																		{	/* Eval/evaluate.scm 455 */
																																			obj_t
																																				BgL_arg2109z00_1803;
																																			{	/* Eval/evaluate.scm 129 */
																																				obj_t
																																					BgL__ortest_1067z00_2896;
																																				BgL__ortest_1067z00_2896
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1067z00_2896))
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2109z00_1803
																																							=
																																							BgL__ortest_1067z00_2896;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2109z00_1803
																																							=
																																							BgL_locz00_72;
																																					}
																																			}
																																			BgL_auxz00_5394
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_67,
																																					BgL_localsz00_68,
																																					BgL_globalsz00_69,
																																					BgL_tailzf3zf3_70,
																																					BgL_wherez00_71,
																																					BgL_arg2109z00_1803,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1117z00_1800))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5394), BUNSPEC);
																																	}
																																	BgL_auxz00_5372
																																		=
																																		BgL_new1117z00_1800;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5372);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 409 */
																															obj_t
																																BgL_arg1594z00_1183;
																															BgL_arg1594z00_1183
																																=
																																CAR
																																(BgL_ez00_67);
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_5403;
																																{
																																	obj_t
																																		BgL_argsz00_5405;
																																	obj_t
																																		BgL_fz00_5404;
																																	BgL_fz00_5404
																																		=
																																		BgL_arg1594z00_1183;
																																	BgL_argsz00_5405
																																		=
																																		BgL_cdrzd25402zd2_1178;
																																	BgL_argsz00_1075
																																		=
																																		BgL_argsz00_5405;
																																	BgL_fz00_1074
																																		=
																																		BgL_fz00_5404;
																																	goto
																																		BgL_tagzd2175zd2_1076;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5403);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 409 */
																										obj_t BgL_arg1597z00_1186;
																										obj_t BgL_arg1599z00_1187;

																										BgL_arg1597z00_1186 =
																											CAR(BgL_ez00_67);
																										BgL_arg1599z00_1187 =
																											CDR(BgL_ez00_67);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5409;
																											{
																												obj_t BgL_argsz00_5411;
																												obj_t BgL_fz00_5410;

																												BgL_fz00_5410 =
																													BgL_arg1597z00_1186;
																												BgL_argsz00_5411 =
																													BgL_arg1599z00_1187;
																												BgL_argsz00_1075 =
																													BgL_argsz00_5411;
																												BgL_fz00_1074 =
																													BgL_fz00_5410;
																												goto
																													BgL_tagzd2175zd2_1076;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5409);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 409 */
																								obj_t BgL_arg1600z00_1188;
																								obj_t BgL_arg1601z00_1189;

																								BgL_arg1600z00_1188 =
																									CAR(BgL_ez00_67);
																								BgL_arg1601z00_1189 =
																									CDR(BgL_ez00_67);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5415;
																									{
																										obj_t BgL_argsz00_5417;
																										obj_t BgL_fz00_5416;

																										BgL_fz00_5416 =
																											BgL_arg1600z00_1188;
																										BgL_argsz00_5417 =
																											BgL_arg1601z00_1189;
																										BgL_argsz00_1075 =
																											BgL_argsz00_5417;
																										BgL_fz00_1074 =
																											BgL_fz00_5416;
																										goto BgL_tagzd2175zd2_1076;
																									}
																									return
																										((obj_t) BgL_auxz00_5415);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 409 */
																						if (
																							(CAR(BgL_ez00_67) ==
																								BGl_symbol2877z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 409 */
																								obj_t BgL_arg1603z00_1191;

																								BgL_arg1603z00_1191 =
																									CDR(BgL_ez00_67);
																								{
																									BgL_ev_orz00_bglt
																										BgL_auxz00_5423;
																									BgL_argsz00_1022 =
																										BgL_arg1603z00_1191;
																								BgL_tagzd2157zd2_1023:
																									{	/* Eval/evaluate.scm 457 */
																										BgL_ev_orz00_bglt
																											BgL_new1119z00_1806;
																										{	/* Eval/evaluate.scm 458 */
																											BgL_ev_orz00_bglt
																												BgL_new1118z00_1807;
																											BgL_new1118z00_1807 =
																												((BgL_ev_orz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_orz00_bgl))));
																											{	/* Eval/evaluate.scm 458 */
																												long
																													BgL_arg2112z00_1808;
																												{	/* Eval/evaluate.scm 458 */
																													long
																														BgL_res2530z00_2900;
																													BgL_res2530z00_2900 =
																														BGL_CLASS_INDEX
																														(BGl_ev_orz00zz__evaluate_typesz00);
																													BgL_arg2112z00_1808 =
																														BgL_res2530z00_2900;
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1118z00_1807),
																													BgL_arg2112z00_1808);
																											}
																											{	/* Eval/evaluate.scm 458 */
																												BgL_objectz00_bglt
																													BgL_auxz00_5428;
																												BgL_auxz00_5428 =
																													((BgL_objectz00_bglt)
																													BgL_new1118z00_1807);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_5428,
																													BFALSE);
																											}
																											BgL_new1119z00_1806 =
																												BgL_new1118z00_1807;
																										}
																										((((BgL_ev_listz00_bglt)
																													CREF((
																															(BgL_ev_listz00_bglt)
																															BgL_new1119z00_1806)))->
																												BgL_argsz00) =
																											((obj_t)
																												BGl_loopz00zz__evaluatez00
																												(BgL_wherez00_71,
																													BgL_globalsz00_69,
																													BgL_localsz00_68,
																													BgL_locz00_72,
																													BgL_argsz00_1022)),
																											BUNSPEC);
																										BgL_auxz00_5423 =
																											BgL_new1119z00_1806;
																									}
																									return
																										((obj_t) BgL_auxz00_5423);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 409 */
																								if (
																									(CAR(BgL_ez00_67) ==
																										BGl_symbol2879z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 409 */
																										obj_t BgL_arg1605z00_1193;

																										BgL_arg1605z00_1193 =
																											CDR(BgL_ez00_67);
																										{
																											BgL_ev_andz00_bglt
																												BgL_auxz00_5439;
																											BgL_argsz00_1024 =
																												BgL_arg1605z00_1193;
																										BgL_tagzd2158zd2_1025:
																											{	/* Eval/evaluate.scm 460 */
																												BgL_ev_andz00_bglt
																													BgL_new1121z00_1809;
																												{	/* Eval/evaluate.scm 461 */
																													BgL_ev_andz00_bglt
																														BgL_new1120z00_1810;
																													BgL_new1120z00_1810 =
																														(
																														(BgL_ev_andz00_bglt)
																														BREF(GC_MALLOC
																															(sizeof(struct
																																	BgL_ev_andz00_bgl))));
																													{	/* Eval/evaluate.scm 461 */
																														long
																															BgL_arg2113z00_1811;
																														{	/* Eval/evaluate.scm 461 */
																															long
																																BgL_res2531z00_2904;
																															BgL_res2531z00_2904
																																=
																																BGL_CLASS_INDEX
																																(BGl_ev_andz00zz__evaluate_typesz00);
																															BgL_arg2113z00_1811
																																=
																																BgL_res2531z00_2904;
																														}
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1120z00_1810), BgL_arg2113z00_1811);
																													}
																													{	/* Eval/evaluate.scm 461 */
																														BgL_objectz00_bglt
																															BgL_auxz00_5444;
																														BgL_auxz00_5444 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1120z00_1810);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_auxz00_5444,
																															BFALSE);
																													}
																													BgL_new1121z00_1809 =
																														BgL_new1120z00_1810;
																												}
																												((((BgL_ev_listz00_bglt)
																															CREF((
																																	(BgL_ev_listz00_bglt)
																																	BgL_new1121z00_1809)))->
																														BgL_argsz00) =
																													((obj_t)
																														BGl_loopz00zz__evaluatez00
																														(BgL_wherez00_71,
																															BgL_globalsz00_69,
																															BgL_localsz00_68,
																															BgL_locz00_72,
																															BgL_argsz00_1024)),
																													BUNSPEC);
																												BgL_auxz00_5439 =
																													BgL_new1121z00_1809;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5439);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 409 */
																										if (
																											(CAR(BgL_ez00_67) ==
																												BGl_symbol2864z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 409 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_67),
																													BgL_localsz00_68,
																													BgL_globalsz00_69,
																													BgL_tailzf3zf3_70,
																													BgL_wherez00_71,
																													BgL_locz00_72,
																													BgL_topzf3zf3_73);
																											}
																										else
																											{	/* Eval/evaluate.scm 409 */
																												obj_t
																													BgL_cdrzd26301zd2_1196;
																												BgL_cdrzd26301zd2_1196 =
																													CDR(BgL_ez00_67);
																												if ((CAR(BgL_ez00_67) ==
																														BGl_symbol2850z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 409 */
																														if (PAIRP
																															(BgL_cdrzd26301zd2_1196))
																															{	/* Eval/evaluate.scm 409 */
																																obj_t
																																	BgL_arg1610z00_1199;
																																obj_t
																																	BgL_arg1611z00_1200;
																																BgL_arg1610z00_1199
																																	=
																																	CAR
																																	(BgL_cdrzd26301zd2_1196);
																																BgL_arg1611z00_1200
																																	=
																																	CDR
																																	(BgL_cdrzd26301zd2_1196);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_5464;
																																	BgL_bindsz00_1028
																																		=
																																		BgL_arg1610z00_1199;
																																	BgL_bodyz00_1029
																																		=
																																		BgL_arg1611z00_1200;
																																BgL_tagzd2160zd2_1030:
																																	{	/* Eval/evaluate.scm 465 */
																																		obj_t
																																			BgL_ubindsz00_1812;
																																		if (NULLP
																																			(BgL_bindsz00_1028))
																																			{	/* Eval/evaluate.scm 465 */
																																				BgL_ubindsz00_1812
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 465 */
																																				obj_t
																																					BgL_head1196z00_1856;
																																				{	/* Eval/evaluate.scm 465 */
																																					obj_t
																																						BgL_res2533z00_2911;
																																					BgL_res2533z00_2911
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1196z00_1856
																																						=
																																						BgL_res2533z00_2911;
																																				}
																																				{
																																					obj_t
																																						BgL_l1194z00_2949;
																																					obj_t
																																						BgL_tail1197z00_2950;
																																					BgL_l1194z00_2949
																																						=
																																						BgL_bindsz00_1028;
																																					BgL_tail1197z00_2950
																																						=
																																						BgL_head1196z00_1856;
																																				BgL_zc3anonymousza32132ze3z83_2948:
																																					if (NULLP(BgL_l1194z00_2949))
																																						{	/* Eval/evaluate.scm 465 */
																																							BgL_ubindsz00_1812
																																								=
																																								CDR
																																								(BgL_head1196z00_1856);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 465 */
																																							obj_t
																																								BgL_newtail1198z00_2958;
																																							{	/* Eval/evaluate.scm 465 */
																																								obj_t
																																									BgL_arg2136z00_2959;
																																								{	/* Eval/evaluate.scm 465 */
																																									obj_t
																																										BgL_bz00_2960;
																																									BgL_bz00_2960
																																										=
																																										CAR
																																										(BgL_l1194z00_2949);
																																									BgL_arg2136z00_2959
																																										=
																																										BGl_untypezd2identzd2zz__evaluatez00
																																										(CAR
																																										(BgL_bz00_2960));
																																								}
																																								{	/* Eval/evaluate.scm 465 */
																																									obj_t
																																										BgL_res2539z00_2970;
																																									BgL_res2539z00_2970
																																										=
																																										MAKE_PAIR
																																										(BgL_arg2136z00_2959,
																																										BNIL);
																																									BgL_newtail1198z00_2958
																																										=
																																										BgL_res2539z00_2970;
																																								}
																																							}
																																							SET_CDR
																																								(BgL_tail1197z00_2950,
																																								BgL_newtail1198z00_2958);
																																							{
																																								obj_t
																																									BgL_tail1197z00_5478;
																																								obj_t
																																									BgL_l1194z00_5476;
																																								BgL_l1194z00_5476
																																									=
																																									CDR
																																									(BgL_l1194z00_2949);
																																								BgL_tail1197z00_5478
																																									=
																																									BgL_newtail1198z00_2958;
																																								BgL_tail1197z00_2950
																																									=
																																									BgL_tail1197z00_5478;
																																								BgL_l1194z00_2949
																																									=
																																									BgL_l1194z00_5476;
																																								goto
																																									BgL_zc3anonymousza32132ze3z83_2948;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 465 */
																																			obj_t
																																				BgL_varsz00_1813;
																																			if (NULLP
																																				(BgL_ubindsz00_1812))
																																				{	/* Eval/evaluate.scm 466 */
																																					BgL_varsz00_1813
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 466 */
																																					obj_t
																																						BgL_head1201z00_1840;
																																					{	/* Eval/evaluate.scm 466 */
																																						obj_t
																																							BgL_res2541z00_2978;
																																						BgL_res2541z00_2978
																																							=
																																							MAKE_PAIR
																																							(BNIL,
																																							BNIL);
																																						BgL_head1201z00_1840
																																							=
																																							BgL_res2541z00_2978;
																																					}
																																					{
																																						obj_t
																																							BgL_l1199z00_1842;
																																						obj_t
																																							BgL_tail1202z00_1843;
																																						BgL_l1199z00_1842
																																							=
																																							BgL_ubindsz00_1812;
																																						BgL_tail1202z00_1843
																																							=
																																							BgL_head1201z00_1840;
																																					BgL_zc3anonymousza32126ze3z83_1844:
																																						if (NULLP(BgL_l1199z00_1842))
																																							{	/* Eval/evaluate.scm 466 */
																																								BgL_varsz00_1813
																																									=
																																									CDR
																																									(BgL_head1201z00_1840);
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 466 */
																																								obj_t
																																									BgL_newtail1203z00_1846;
																																								{	/* Eval/evaluate.scm 466 */
																																									BgL_ev_varz00_bglt
																																										BgL_arg2129z00_1848;
																																									{	/* Eval/evaluate.scm 466 */
																																										obj_t
																																											BgL_iz00_1849;
																																										BgL_iz00_1849
																																											=
																																											CAR
																																											(BgL_l1199z00_1842);
																																										{	/* Eval/evaluate.scm 467 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1124z00_1850;
																																											{	/* Eval/evaluate.scm 469 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1123z00_1851;
																																												BgL_new1123z00_1851
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 469 */
																																													long
																																														BgL_arg2130z00_1852;
																																													{	/* Eval/evaluate.scm 469 */
																																														long
																																															BgL_res2543z00_2984;
																																														BgL_res2543z00_2984
																																															=
																																															BGL_CLASS_INDEX
																																															(BGl_ev_varz00zz__evaluate_typesz00);
																																														BgL_arg2130z00_1852
																																															=
																																															BgL_res2543z00_2984;
																																													}
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1123z00_1851), BgL_arg2130z00_1852);
																																												}
																																												{	/* Eval/evaluate.scm 469 */
																																													BgL_objectz00_bglt
																																														BgL_auxz00_5490;
																																													BgL_auxz00_5490
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1123z00_1851);
																																													BGL_OBJECT_WIDENING_SET
																																														(BgL_auxz00_5490,
																																														BFALSE);
																																												}
																																												BgL_new1124z00_1850
																																													=
																																													BgL_new1123z00_1851;
																																											}
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1124z00_1850))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1849)), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1124z00_1850))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1124z00_1850))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1849)), BUNSPEC);
																																											BgL_arg2129z00_1848
																																												=
																																												BgL_new1124z00_1850;
																																									}}
																																									{	/* Eval/evaluate.scm 466 */
																																										obj_t
																																											BgL_res2544z00_2991;
																																										BgL_res2544z00_2991
																																											=
																																											MAKE_PAIR
																																											(
																																											((obj_t) BgL_arg2129z00_1848), BNIL);
																																										BgL_newtail1203z00_1846
																																											=
																																											BgL_res2544z00_2991;
																																								}}
																																								SET_CDR
																																									(BgL_tail1202z00_1843,
																																									BgL_newtail1203z00_1846);
																																								{
																																									obj_t
																																										BgL_tail1202z00_5503;
																																									obj_t
																																										BgL_l1199z00_5501;
																																									BgL_l1199z00_5501
																																										=
																																										CDR
																																										(BgL_l1199z00_1842);
																																									BgL_tail1202z00_5503
																																										=
																																										BgL_newtail1203z00_1846;
																																									BgL_tail1202z00_1843
																																										=
																																										BgL_tail1202z00_5503;
																																									BgL_l1199z00_1842
																																										=
																																										BgL_l1199z00_5501;
																																									goto
																																										BgL_zc3anonymousza32126ze3z83_1844;
																																								}
																																							}
																																					}
																																				}
																																			{	/* Eval/evaluate.scm 466 */
																																				obj_t
																																					BgL_bodyz00_1814;
																																				{	/* Eval/evaluate.scm 471 */
																																					bool_t
																																						BgL_testz00_5504;
																																					{	/* Eval/evaluate.scm 471 */
																																						obj_t
																																							BgL_auxz00_5505;
																																						BgL_auxz00_5505
																																							=
																																							CDR
																																							(BgL_bodyz00_1029);
																																						BgL_testz00_5504
																																							=
																																							PAIRP
																																							(BgL_auxz00_5505);
																																					}
																																					if (BgL_testz00_5504)
																																						{	/* Eval/evaluate.scm 471 */
																																							obj_t
																																								BgL_res2546z00_3001;
																																							BgL_res2546z00_3001
																																								=
																																								MAKE_EXTENDED_PAIR
																																								(BGl_symbol2864z00zz__evaluatez00,
																																								BgL_bodyz00_1029,
																																								BgL_locz00_72);
																																							BgL_bodyz00_1814
																																								=
																																								BgL_res2546z00_3001;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 471 */
																																							BgL_bodyz00_1814
																																								=
																																								CAR
																																								(BgL_bodyz00_1029);
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 471 */
																																					obj_t
																																						BgL_tbodyz00_1815;
																																					BgL_tbodyz00_1815
																																						=
																																						BGl_typezd2checkszd2zz__evaluatez00
																																						(BgL_ubindsz00_1812,
																																						BgL_bindsz00_1028,
																																						BgL_bodyz00_1814,
																																						BgL_locz00_72,
																																						BgL_wherez00_71);
																																					{	/* Eval/evaluate.scm 472 */

																																						{	/* Eval/evaluate.scm 473 */
																																							obj_t
																																								BgL_blocz00_1816;
																																							{	/* Eval/evaluate.scm 129 */
																																								obj_t
																																									BgL__ortest_1067z00_3005;
																																								BgL__ortest_1067z00_3005
																																									=
																																									BGl_getzd2sourcezd2locationz00zz__readerz00
																																									(BgL_bindsz00_1028);
																																								if (CBOOL(BgL__ortest_1067z00_3005))
																																									{	/* Eval/evaluate.scm 129 */
																																										BgL_blocz00_1816
																																											=
																																											BgL__ortest_1067z00_3005;
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 129 */
																																										BgL_blocz00_1816
																																											=
																																											BgL_locz00_72;
																																									}
																																							}
																																							{	/* Eval/evaluate.scm 474 */
																																								BgL_ev_letz00_bglt
																																									BgL_new1126z00_1817;
																																								{	/* Eval/evaluate.scm 475 */
																																									BgL_ev_letz00_bglt
																																										BgL_new1125z00_1834;
																																									BgL_new1125z00_1834
																																										=
																																										(
																																										(BgL_ev_letz00_bglt)
																																										BREF
																																										(GC_MALLOC
																																											(sizeof
																																												(struct
																																													BgL_ev_letz00_bgl))));
																																									{	/* Eval/evaluate.scm 475 */
																																										long
																																											BgL_arg2122z00_1835;
																																										{	/* Eval/evaluate.scm 475 */
																																											long
																																												BgL_res2547z00_3007;
																																											BgL_res2547z00_3007
																																												=
																																												BGL_CLASS_INDEX
																																												(BGl_ev_letz00zz__evaluate_typesz00);
																																											BgL_arg2122z00_1835
																																												=
																																												BgL_res2547z00_3007;
																																										}
																																										BGL_OBJECT_CLASS_NUM_SET
																																											(
																																											((BgL_objectz00_bglt) BgL_new1125z00_1834), BgL_arg2122z00_1835);
																																									}
																																									{	/* Eval/evaluate.scm 475 */
																																										BgL_objectz00_bglt
																																											BgL_auxz00_5518;
																																										BgL_auxz00_5518
																																											=
																																											(
																																											(BgL_objectz00_bglt)
																																											BgL_new1125z00_1834);
																																										BGL_OBJECT_WIDENING_SET
																																											(BgL_auxz00_5518,
																																											BFALSE);
																																									}
																																									BgL_new1126z00_1817
																																										=
																																										BgL_new1125z00_1834;
																																								}
																																								((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1126z00_1817)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1813), BUNSPEC);
																																								{
																																									obj_t
																																										BgL_auxz00_5523;
																																									if (NULLP(BgL_bindsz00_1028))
																																										{	/* Eval/evaluate.scm 476 */
																																											BgL_auxz00_5523
																																												=
																																												BNIL;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 476 */
																																											obj_t
																																												BgL_head1206z00_1820;
																																											{	/* Eval/evaluate.scm 476 */
																																												obj_t
																																													BgL_res2549z00_3014;
																																												BgL_res2549z00_3014
																																													=
																																													MAKE_PAIR
																																													(BNIL,
																																													BNIL);
																																												BgL_head1206z00_1820
																																													=
																																													BgL_res2549z00_3014;
																																											}
																																											{
																																												obj_t
																																													BgL_l1204z00_1822;
																																												obj_t
																																													BgL_tail1207z00_1823;
																																												BgL_l1204z00_1822
																																													=
																																													BgL_bindsz00_1028;
																																												BgL_tail1207z00_1823
																																													=
																																													BgL_head1206z00_1820;
																																											BgL_zc3anonymousza32115ze3z83_1824:
																																												if (NULLP(BgL_l1204z00_1822))
																																													{	/* Eval/evaluate.scm 476 */
																																														BgL_auxz00_5523
																																															=
																																															CDR
																																															(BgL_head1206z00_1820);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 476 */
																																														obj_t
																																															BgL_newtail1208z00_1826;
																																														{	/* Eval/evaluate.scm 476 */
																																															obj_t
																																																BgL_arg2118z00_1828;
																																															{	/* Eval/evaluate.scm 476 */
																																																obj_t
																																																	BgL_bz00_1829;
																																																BgL_bz00_1829
																																																	=
																																																	CAR
																																																	(BgL_l1204z00_1822);
																																																{	/* Eval/evaluate.scm 477 */
																																																	obj_t
																																																		BgL_locz00_1830;
																																																	{	/* Eval/evaluate.scm 129 */
																																																		obj_t
																																																			BgL__ortest_1067z00_3021;
																																																		BgL__ortest_1067z00_3021
																																																			=
																																																			BGl_getzd2sourcezd2locationz00zz__readerz00
																																																			(BgL_bz00_1829);
																																																		if (CBOOL(BgL__ortest_1067z00_3021))
																																																			{	/* Eval/evaluate.scm 129 */
																																																				BgL_locz00_1830
																																																					=
																																																					BgL__ortest_1067z00_3021;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 129 */
																																																				BgL_locz00_1830
																																																					=
																																																					BgL_blocz00_1816;
																																																			}
																																																	}
																																																	{	/* Eval/evaluate.scm 478 */
																																																		obj_t
																																																			BgL_arg2119z00_1831;
																																																		{	/* Eval/evaluate.scm 478 */
																																																			obj_t
																																																				BgL_pairz00_3025;
																																																			BgL_pairz00_3025
																																																				=
																																																				CDR
																																																				(BgL_bz00_1829);
																																																			BgL_arg2119z00_1831
																																																				=
																																																				CAR
																																																				(BgL_pairz00_3025);
																																																		}
																																																		BgL_arg2118z00_1828
																																																			=
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_arg2119z00_1831,
																																																			BgL_localsz00_68,
																																																			BgL_globalsz00_69,
																																																			BFALSE,
																																																			BgL_wherez00_71,
																																																			BgL_locz00_1830,
																																																			((bool_t) 0));
																																																	}
																																																}
																																															}
																																															{	/* Eval/evaluate.scm 476 */
																																																obj_t
																																																	BgL_res2551z00_3030;
																																																BgL_res2551z00_3030
																																																	=
																																																	MAKE_PAIR
																																																	(BgL_arg2118z00_1828,
																																																	BNIL);
																																																BgL_newtail1208z00_1826
																																																	=
																																																	BgL_res2551z00_3030;
																																															}
																																														}
																																														SET_CDR
																																															(BgL_tail1207z00_1823,
																																															BgL_newtail1208z00_1826);
																																														{	/* Eval/evaluate.scm 476 */
																																															obj_t
																																																BgL_arg2117z00_1827;
																																															BgL_arg2117z00_1827
																																																=
																																																CDR
																																																(BgL_l1204z00_1822);
																																															{
																																																obj_t
																																																	BgL_tail1207z00_5542;
																																																obj_t
																																																	BgL_l1204z00_5541;
																																																BgL_l1204z00_5541
																																																	=
																																																	BgL_arg2117z00_1827;
																																																BgL_tail1207z00_5542
																																																	=
																																																	BgL_newtail1208z00_1826;
																																																BgL_tail1207z00_1823
																																																	=
																																																	BgL_tail1207z00_5542;
																																																BgL_l1204z00_1822
																																																	=
																																																	BgL_l1204z00_5541;
																																																goto
																																																	BgL_zc3anonymousza32115ze3z83_1824;
																																															}
																																														}
																																													}
																																											}
																																										}
																																									((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1126z00_1817)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5523), BUNSPEC);
																																								}
																																								{
																																									BgL_ev_exprz00_bglt
																																										BgL_auxz00_5544;
																																									{	/* Eval/evaluate.scm 480 */
																																										obj_t
																																											BgL_arg2120z00_1833;
																																										BgL_arg2120z00_1833
																																											=
																																											BGl_appendzd221011zd2zz__evaluatez00
																																											(BgL_varsz00_1813,
																																											BgL_localsz00_68);
																																										BgL_auxz00_5544
																																											=
																																											(
																																											(BgL_ev_exprz00_bglt)
																																											BGl_convz00zz__evaluatez00
																																											(BgL_tbodyz00_1815,
																																												BgL_arg2120z00_1833,
																																												BgL_globalsz00_69,
																																												BgL_tailzf3zf3_70,
																																												BgL_wherez00_71,
																																												BgL_locz00_72,
																																												((bool_t) 0)));
																																									}
																																									((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1126z00_1817)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5544), BUNSPEC);
																																								}
																																								((((BgL_ev_letz00_bglt) CREF(BgL_new1126z00_1817))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																								BgL_auxz00_5464
																																									=
																																									BgL_new1126z00_1817;
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5464);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 409 */
																																obj_t
																																	BgL_arg1612z00_1201;
																																BgL_arg1612z00_1201
																																	=
																																	CAR
																																	(BgL_ez00_67);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5553;
																																	{
																																		obj_t
																																			BgL_argsz00_5555;
																																		obj_t
																																			BgL_fz00_5554;
																																		BgL_fz00_5554
																																			=
																																			BgL_arg1612z00_1201;
																																		BgL_argsz00_5555
																																			=
																																			BgL_cdrzd26301zd2_1196;
																																		BgL_argsz00_1075
																																			=
																																			BgL_argsz00_5555;
																																		BgL_fz00_1074
																																			=
																																			BgL_fz00_5554;
																																		goto
																																			BgL_tagzd2175zd2_1076;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5553);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 409 */
																														if (
																															(CAR(BgL_ez00_67)
																																==
																																BGl_symbol2881z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 409 */
																																if (PAIRP
																																	(BgL_cdrzd26301zd2_1196))
																																	{	/* Eval/evaluate.scm 409 */
																																		obj_t
																																			BgL_arg1616z00_1206;
																																		obj_t
																																			BgL_arg1617z00_1207;
																																		BgL_arg1616z00_1206
																																			=
																																			CAR
																																			(BgL_cdrzd26301zd2_1196);
																																		BgL_arg1617z00_1207
																																			=
																																			CDR
																																			(BgL_cdrzd26301zd2_1196);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_5564;
																																			BgL_bindsz00_1031
																																				=
																																				BgL_arg1616z00_1206;
																																			BgL_bodyz00_1032
																																				=
																																				BgL_arg1617z00_1207;
																																		BgL_tagzd2161zd2_1033:
																																			{	/* Eval/evaluate.scm 488 */
																																				obj_t
																																					BgL_varsz00_1869;
																																				obj_t
																																					BgL_blocz00_1870;
																																				if (NULLP(BgL_bindsz00_1031))
																																					{	/* Eval/evaluate.scm 488 */
																																						BgL_varsz00_1869
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 488 */
																																						obj_t
																																							BgL_head1211z00_1878;
																																						{	/* Eval/evaluate.scm 488 */
																																							obj_t
																																								BgL_res2555z00_3092;
																																							BgL_res2555z00_3092
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1211z00_1878
																																								=
																																								BgL_res2555z00_3092;
																																						}
																																						{
																																							obj_t
																																								BgL_l1209z00_1880;
																																							obj_t
																																								BgL_tail1212z00_1881;
																																							BgL_l1209z00_1880
																																								=
																																								BgL_bindsz00_1031;
																																							BgL_tail1212z00_1881
																																								=
																																								BgL_head1211z00_1878;
																																						BgL_zc3anonymousza32143ze3z83_1882:
																																							if (NULLP(BgL_l1209z00_1880))
																																								{	/* Eval/evaluate.scm 488 */
																																									BgL_varsz00_1869
																																										=
																																										CDR
																																										(BgL_head1211z00_1878);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 488 */
																																									obj_t
																																										BgL_newtail1213z00_1884;
																																									{	/* Eval/evaluate.scm 488 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2146z00_1886;
																																										{	/* Eval/evaluate.scm 488 */
																																											obj_t
																																												BgL_bz00_1887;
																																											BgL_bz00_1887
																																												=
																																												CAR
																																												(BgL_l1209z00_1880);
																																											{	/* Eval/evaluate.scm 489 */
																																												obj_t
																																													BgL_iz00_1888;
																																												BgL_iz00_1888
																																													=
																																													BGl_untypezd2identzd2zz__evaluatez00
																																													(CAR
																																													(BgL_bz00_1887));
																																												{	/* Eval/evaluate.scm 490 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1129z00_1889;
																																													{	/* Eval/evaluate.scm 492 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1128z00_1890;
																																														BgL_new1128z00_1890
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 492 */
																																															long
																																																BgL_arg2147z00_1891;
																																															{	/* Eval/evaluate.scm 492 */
																																																long
																																																	BgL_res2557z00_3099;
																																																BgL_res2557z00_3099
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_varz00zz__evaluate_typesz00);
																																																BgL_arg2147z00_1891
																																																	=
																																																	BgL_res2557z00_3099;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1128z00_1890), BgL_arg2147z00_1891);
																																														}
																																														{	/* Eval/evaluate.scm 492 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_5578;
																																															BgL_auxz00_5578
																																																=
																																																(
																																																(BgL_objectz00_bglt)
																																																BgL_new1128z00_1890);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_5578,
																																																BFALSE);
																																														}
																																														BgL_new1129z00_1889
																																															=
																																															BgL_new1128z00_1890;
																																													}
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1129z00_1889))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1888)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1129z00_1889))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1129z00_1889))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1888)), BUNSPEC);
																																													BgL_arg2146z00_1886
																																														=
																																														BgL_new1129z00_1889;
																																										}}}
																																										{	/* Eval/evaluate.scm 488 */
																																											obj_t
																																												BgL_res2558z00_3106;
																																											BgL_res2558z00_3106
																																												=
																																												MAKE_PAIR
																																												(
																																												((obj_t) BgL_arg2146z00_1886), BNIL);
																																											BgL_newtail1213z00_1884
																																												=
																																												BgL_res2558z00_3106;
																																									}}
																																									SET_CDR
																																										(BgL_tail1212z00_1881,
																																										BgL_newtail1213z00_1884);
																																									{
																																										obj_t
																																											BgL_tail1212z00_5591;
																																										obj_t
																																											BgL_l1209z00_5589;
																																										BgL_l1209z00_5589
																																											=
																																											CDR
																																											(BgL_l1209z00_1880);
																																										BgL_tail1212z00_5591
																																											=
																																											BgL_newtail1213z00_1884;
																																										BgL_tail1212z00_1881
																																											=
																																											BgL_tail1212z00_5591;
																																										BgL_l1209z00_1880
																																											=
																																											BgL_l1209z00_5589;
																																										goto
																																											BgL_zc3anonymousza32143ze3z83_1882;
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 129 */
																																					obj_t
																																						BgL__ortest_1067z00_3112;
																																					BgL__ortest_1067z00_3112
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_1031);
																																					if (CBOOL(BgL__ortest_1067z00_3112))
																																						{	/* Eval/evaluate.scm 129 */
																																							BgL_blocz00_1870
																																								=
																																								BgL__ortest_1067z00_3112;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 129 */
																																							BgL_blocz00_1870
																																								=
																																								BgL_locz00_72;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 495 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1131z00_1871;
																																					{	/* Eval/evaluate.scm 496 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1130z00_1874;
																																						BgL_new1130z00_1874
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BREF
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 496 */
																																							long
																																								BgL_arg2141z00_1875;
																																							{	/* Eval/evaluate.scm 496 */
																																								long
																																									BgL_res2559z00_3114;
																																								BgL_res2559z00_3114
																																									=
																																									BGL_CLASS_INDEX
																																									(BGl_ev_letza2za2zz__evaluate_typesz00);
																																								BgL_arg2141z00_1875
																																									=
																																									BgL_res2559z00_3114;
																																							}
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1130z00_1874), BgL_arg2141z00_1875);
																																						}
																																						{	/* Eval/evaluate.scm 496 */
																																							BgL_objectz00_bglt
																																								BgL_auxz00_5599;
																																							BgL_auxz00_5599
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1130z00_1874);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_auxz00_5599,
																																								BFALSE);
																																						}
																																						BgL_new1131z00_1871
																																							=
																																							BgL_new1130z00_1874;
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1131z00_1871)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1869), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1131z00_1871)))->BgL_valsz00) = ((obj_t) BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_71, BgL_globalsz00_69, BgL_bindsz00_1031, BgL_varsz00_1869, BgL_localsz00_68, BgL_blocz00_1870)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_5607;
																																						{	/* Eval/evaluate.scm 498 */
																																							obj_t
																																								BgL_arg2138z00_1872;
																																							{	/* Eval/evaluate.scm 498 */
																																								obj_t
																																									BgL_arg2139z00_1873;
																																								BgL_arg2139z00_1873
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_1869);
																																								BgL_arg2138z00_1872
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2139z00_1873,
																																									BgL_localsz00_68);
																																							}
																																							BgL_auxz00_5607
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_1032,
																																									BgL_arg2138z00_1872,
																																									BgL_globalsz00_69,
																																									BgL_tailzf3zf3_70,
																																									BgL_wherez00_71,
																																									BgL_locz00_72,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1131z00_1871)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5607), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1131z00_1871))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_5564
																																						=
																																						BgL_new1131z00_1871;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5564);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 409 */
																																		obj_t
																																			BgL_arg1618z00_1208;
																																		obj_t
																																			BgL_arg1619z00_1209;
																																		BgL_arg1618z00_1208
																																			=
																																			CAR
																																			(BgL_ez00_67);
																																		BgL_arg1619z00_1209
																																			=
																																			CDR
																																			(BgL_ez00_67);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5618;
																																			{
																																				obj_t
																																					BgL_argsz00_5620;
																																				obj_t
																																					BgL_fz00_5619;
																																				BgL_fz00_5619
																																					=
																																					BgL_arg1618z00_1208;
																																				BgL_argsz00_5620
																																					=
																																					BgL_arg1619z00_1209;
																																				BgL_argsz00_1075
																																					=
																																					BgL_argsz00_5620;
																																				BgL_fz00_1074
																																					=
																																					BgL_fz00_5619;
																																				goto
																																					BgL_tagzd2175zd2_1076;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5618);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 409 */
																																obj_t
																																	BgL_cdrzd26695zd2_1210;
																																BgL_cdrzd26695zd2_1210
																																	=
																																	CDR
																																	(BgL_ez00_67);
																																if ((CAR
																																		(BgL_ez00_67)
																																		==
																																		BGl_symbol2883z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 409 */
																																		if (PAIRP
																																			(BgL_cdrzd26695zd2_1210))
																																			{	/* Eval/evaluate.scm 409 */
																																				obj_t
																																					BgL_arg1622z00_1213;
																																				obj_t
																																					BgL_arg1623z00_1214;
																																				BgL_arg1622z00_1213
																																					=
																																					CAR
																																					(BgL_cdrzd26695zd2_1210);
																																				BgL_arg1623z00_1214
																																					=
																																					CDR
																																					(BgL_cdrzd26695zd2_1210);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_5630;
																																					BgL_bindsz00_1034
																																						=
																																						BgL_arg1622z00_1213;
																																					BgL_bodyz00_1035
																																						=
																																						BgL_arg1623z00_1214;
																																				BgL_tagzd2162zd2_1036:
																																					{	/* Eval/evaluate.scm 500 */
																																						obj_t
																																							BgL_ubindsz00_1910;
																																						if (NULLP(BgL_bindsz00_1034))
																																							{	/* Eval/evaluate.scm 500 */
																																								BgL_ubindsz00_1910
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 500 */
																																								obj_t
																																									BgL_head1216z00_1959;
																																								{	/* Eval/evaluate.scm 500 */
																																									obj_t
																																										BgL_res2562z00_3161;
																																									BgL_res2562z00_3161
																																										=
																																										MAKE_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1216z00_1959
																																										=
																																										BgL_res2562z00_3161;
																																								}
																																								{
																																									obj_t
																																										BgL_l1214z00_3199;
																																									obj_t
																																										BgL_tail1217z00_3200;
																																									BgL_l1214z00_3199
																																										=
																																										BgL_bindsz00_1034;
																																									BgL_tail1217z00_3200
																																										=
																																										BgL_head1216z00_1959;
																																								BgL_zc3anonymousza32184ze3z83_3198:
																																									if (NULLP(BgL_l1214z00_3199))
																																										{	/* Eval/evaluate.scm 500 */
																																											BgL_ubindsz00_1910
																																												=
																																												CDR
																																												(BgL_head1216z00_1959);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 500 */
																																											obj_t
																																												BgL_newtail1218z00_3208;
																																											{	/* Eval/evaluate.scm 500 */
																																												obj_t
																																													BgL_arg2188z00_3209;
																																												{	/* Eval/evaluate.scm 500 */
																																													obj_t
																																														BgL_bz00_3210;
																																													BgL_bz00_3210
																																														=
																																														CAR
																																														(BgL_l1214z00_3199);
																																													BgL_arg2188z00_3209
																																														=
																																														BGl_untypezd2identzd2zz__evaluatez00
																																														(CAR
																																														(BgL_bz00_3210));
																																												}
																																												{	/* Eval/evaluate.scm 500 */
																																													obj_t
																																														BgL_res2568z00_3220;
																																													BgL_res2568z00_3220
																																														=
																																														MAKE_PAIR
																																														(BgL_arg2188z00_3209,
																																														BNIL);
																																													BgL_newtail1218z00_3208
																																														=
																																														BgL_res2568z00_3220;
																																												}
																																											}
																																											SET_CDR
																																												(BgL_tail1217z00_3200,
																																												BgL_newtail1218z00_3208);
																																											{
																																												obj_t
																																													BgL_tail1217z00_5644;
																																												obj_t
																																													BgL_l1214z00_5642;
																																												BgL_l1214z00_5642
																																													=
																																													CDR
																																													(BgL_l1214z00_3199);
																																												BgL_tail1217z00_5644
																																													=
																																													BgL_newtail1218z00_3208;
																																												BgL_tail1217z00_3200
																																													=
																																													BgL_tail1217z00_5644;
																																												BgL_l1214z00_3199
																																													=
																																													BgL_l1214z00_5642;
																																												goto
																																													BgL_zc3anonymousza32184ze3z83_3198;
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 500 */
																																							obj_t
																																								BgL_varsz00_1911;
																																							if (NULLP(BgL_ubindsz00_1910))
																																								{	/* Eval/evaluate.scm 501 */
																																									BgL_varsz00_1911
																																										=
																																										BNIL;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 501 */
																																									obj_t
																																										BgL_head1221z00_1943;
																																									{	/* Eval/evaluate.scm 501 */
																																										obj_t
																																											BgL_res2570z00_3228;
																																										BgL_res2570z00_3228
																																											=
																																											MAKE_PAIR
																																											(BNIL,
																																											BNIL);
																																										BgL_head1221z00_1943
																																											=
																																											BgL_res2570z00_3228;
																																									}
																																									{
																																										obj_t
																																											BgL_l1219z00_1945;
																																										obj_t
																																											BgL_tail1222z00_1946;
																																										BgL_l1219z00_1945
																																											=
																																											BgL_ubindsz00_1910;
																																										BgL_tail1222z00_1946
																																											=
																																											BgL_head1221z00_1943;
																																									BgL_zc3anonymousza32178ze3z83_1947:
																																										if (NULLP(BgL_l1219z00_1945))
																																											{	/* Eval/evaluate.scm 501 */
																																												BgL_varsz00_1911
																																													=
																																													CDR
																																													(BgL_head1221z00_1943);
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 501 */
																																												obj_t
																																													BgL_newtail1223z00_1949;
																																												{	/* Eval/evaluate.scm 501 */
																																													BgL_ev_varz00_bglt
																																														BgL_arg2181z00_1951;
																																													{	/* Eval/evaluate.scm 501 */
																																														obj_t
																																															BgL_iz00_1952;
																																														BgL_iz00_1952
																																															=
																																															CAR
																																															(BgL_l1219z00_1945);
																																														{	/* Eval/evaluate.scm 502 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1133z00_1953;
																																															{	/* Eval/evaluate.scm 504 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1132z00_1954;
																																																BgL_new1132z00_1954
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 504 */
																																																	long
																																																		BgL_arg2182z00_1955;
																																																	{	/* Eval/evaluate.scm 504 */
																																																		long
																																																			BgL_res2572z00_3234;
																																																		BgL_res2572z00_3234
																																																			=
																																																			BGL_CLASS_INDEX
																																																			(BGl_ev_varz00zz__evaluate_typesz00);
																																																		BgL_arg2182z00_1955
																																																			=
																																																			BgL_res2572z00_3234;
																																																	}
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1132z00_1954), BgL_arg2182z00_1955);
																																																}
																																																{	/* Eval/evaluate.scm 504 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_5656;
																																																	BgL_auxz00_5656
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1132z00_1954);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_5656,
																																																		BFALSE);
																																																}
																																																BgL_new1133z00_1953
																																																	=
																																																	BgL_new1132z00_1954;
																																															}
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1133z00_1953))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1952)), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1133z00_1953))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1133z00_1953))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1952)), BUNSPEC);
																																															BgL_arg2181z00_1951
																																																=
																																																BgL_new1133z00_1953;
																																													}}
																																													{	/* Eval/evaluate.scm 501 */
																																														obj_t
																																															BgL_res2573z00_3241;
																																														BgL_res2573z00_3241
																																															=
																																															MAKE_PAIR
																																															(
																																															((obj_t) BgL_arg2181z00_1951), BNIL);
																																														BgL_newtail1223z00_1949
																																															=
																																															BgL_res2573z00_3241;
																																												}}
																																												SET_CDR
																																													(BgL_tail1222z00_1946,
																																													BgL_newtail1223z00_1949);
																																												{
																																													obj_t
																																														BgL_tail1222z00_5669;
																																													obj_t
																																														BgL_l1219z00_5667;
																																													BgL_l1219z00_5667
																																														=
																																														CDR
																																														(BgL_l1219z00_1945);
																																													BgL_tail1222z00_5669
																																														=
																																														BgL_newtail1223z00_1949;
																																													BgL_tail1222z00_1946
																																														=
																																														BgL_tail1222z00_5669;
																																													BgL_l1219z00_1945
																																														=
																																														BgL_l1219z00_5667;
																																													goto
																																														BgL_zc3anonymousza32178ze3z83_1947;
																																												}
																																											}
																																									}
																																								}
																																							{	/* Eval/evaluate.scm 501 */
																																								obj_t
																																									BgL_localsz00_1912;
																																								BgL_localsz00_1912
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_varsz00_1911,
																																									BgL_localsz00_68);
																																								{	/* Eval/evaluate.scm 506 */
																																									obj_t
																																										BgL_bodyz00_1913;
																																									{	/* Eval/evaluate.scm 507 */
																																										bool_t
																																											BgL_testz00_5671;
																																										{	/* Eval/evaluate.scm 507 */
																																											obj_t
																																												BgL_auxz00_5672;
																																											BgL_auxz00_5672
																																												=
																																												CDR
																																												(BgL_bodyz00_1035);
																																											BgL_testz00_5671
																																												=
																																												PAIRP
																																												(BgL_auxz00_5672);
																																										}
																																										if (BgL_testz00_5671)
																																											{	/* Eval/evaluate.scm 507 */
																																												obj_t
																																													BgL_res2575z00_3251;
																																												BgL_res2575z00_3251
																																													=
																																													MAKE_EXTENDED_PAIR
																																													(BGl_symbol2864z00zz__evaluatez00,
																																													BgL_bodyz00_1035,
																																													BgL_locz00_72);
																																												BgL_bodyz00_1913
																																													=
																																													BgL_res2575z00_3251;
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 507 */
																																												BgL_bodyz00_1913
																																													=
																																													CAR
																																													(BgL_bodyz00_1035);
																																											}
																																									}
																																									{	/* Eval/evaluate.scm 507 */
																																										obj_t
																																											BgL_tbodyz00_1914;
																																										BgL_tbodyz00_1914
																																											=
																																											BGl_typezd2checkszd2zz__evaluatez00
																																											(BgL_ubindsz00_1910,
																																											BgL_bindsz00_1034,
																																											BgL_bodyz00_1913,
																																											BgL_locz00_72,
																																											BgL_wherez00_71);
																																										{	/* Eval/evaluate.scm 508 */
																																											obj_t
																																												BgL_blocz00_1915;
																																											{	/* Eval/evaluate.scm 129 */
																																												obj_t
																																													BgL__ortest_1067z00_3255;
																																												BgL__ortest_1067z00_3255
																																													=
																																													BGl_getzd2sourcezd2locationz00zz__readerz00
																																													(BgL_bindsz00_1034);
																																												if (CBOOL(BgL__ortest_1067z00_3255))
																																													{	/* Eval/evaluate.scm 129 */
																																														BgL_blocz00_1915
																																															=
																																															BgL__ortest_1067z00_3255;
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 129 */
																																														BgL_blocz00_1915
																																															=
																																															BgL_locz00_72;
																																													}
																																											}
																																											{	/* Eval/evaluate.scm 509 */

																																												{	/* Eval/evaluate.scm 510 */
																																													BgL_ev_letrecz00_bglt
																																														BgL_new1135z00_1916;
																																													{	/* Eval/evaluate.scm 511 */
																																														BgL_ev_letrecz00_bglt
																																															BgL_new1134z00_1937;
																																														BgL_new1134z00_1937
																																															=
																																															(
																																															(BgL_ev_letrecz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_letrecz00_bgl))));
																																														{	/* Eval/evaluate.scm 511 */
																																															long
																																																BgL_arg2174z00_1938;
																																															{	/* Eval/evaluate.scm 511 */
																																																long
																																																	BgL_res2576z00_3257;
																																																BgL_res2576z00_3257
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_letrecz00zz__evaluate_typesz00);
																																																BgL_arg2174z00_1938
																																																	=
																																																	BgL_res2576z00_3257;
																																															}
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1134z00_1937), BgL_arg2174z00_1938);
																																														}
																																														{	/* Eval/evaluate.scm 511 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_5685;
																																															BgL_auxz00_5685
																																																=
																																																(
																																																(BgL_objectz00_bglt)
																																																BgL_new1134z00_1937);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_5685,
																																																BFALSE);
																																														}
																																														BgL_new1135z00_1916
																																															=
																																															BgL_new1134z00_1937;
																																													}
																																													((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1135z00_1916)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1911), BUNSPEC);
																																													{
																																														obj_t
																																															BgL_auxz00_5690;
																																														if (NULLP(BgL_bindsz00_1034))
																																															{	/* Eval/evaluate.scm 512 */
																																																BgL_auxz00_5690
																																																	=
																																																	BNIL;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 512 */
																																																obj_t
																																																	BgL_head1226z00_1919;
																																																{	/* Eval/evaluate.scm 512 */
																																																	obj_t
																																																		BgL_res2578z00_3264;
																																																	BgL_res2578z00_3264
																																																		=
																																																		MAKE_PAIR
																																																		(BNIL,
																																																		BNIL);
																																																	BgL_head1226z00_1919
																																																		=
																																																		BgL_res2578z00_3264;
																																																}
																																																{
																																																	obj_t
																																																		BgL_l1224z00_1921;
																																																	obj_t
																																																		BgL_tail1227z00_1922;
																																																	BgL_l1224z00_1921
																																																		=
																																																		BgL_bindsz00_1034;
																																																	BgL_tail1227z00_1922
																																																		=
																																																		BgL_head1226z00_1919;
																																																BgL_zc3anonymousza32161ze3z83_1923:
																																																	if (NULLP(BgL_l1224z00_1921))
																																																		{	/* Eval/evaluate.scm 512 */
																																																			BgL_auxz00_5690
																																																				=
																																																				CDR
																																																				(BgL_head1226z00_1919);
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 512 */
																																																			obj_t
																																																				BgL_newtail1228z00_1925;
																																																			{	/* Eval/evaluate.scm 512 */
																																																				obj_t
																																																					BgL_arg2165z00_1927;
																																																				{	/* Eval/evaluate.scm 512 */
																																																					obj_t
																																																						BgL_bz00_1928;
																																																					BgL_bz00_1928
																																																						=
																																																						CAR
																																																						(BgL_l1224z00_1921);
																																																					{	/* Eval/evaluate.scm 513 */
																																																						obj_t
																																																							BgL_arg2166z00_1929;
																																																						obj_t
																																																							BgL_arg2167z00_1930;
																																																						obj_t
																																																							BgL_arg2168z00_1931;
																																																						{	/* Eval/evaluate.scm 513 */
																																																							obj_t
																																																								BgL_pairz00_3272;
																																																							BgL_pairz00_3272
																																																								=
																																																								CDR
																																																								(BgL_bz00_1928);
																																																							BgL_arg2166z00_1929
																																																								=
																																																								CAR
																																																								(BgL_pairz00_3272);
																																																						}
																																																						{	/* Eval/evaluate.scm 513 */
																																																							obj_t
																																																								BgL_arg2170z00_1932;
																																																							BgL_arg2170z00_1932
																																																								=
																																																								CAR
																																																								(BgL_bz00_1928);
																																																							{	/* Eval/evaluate.scm 513 */
																																																								obj_t
																																																									BgL_list2171z00_1933;
																																																								{	/* Eval/evaluate.scm 513 */
																																																									obj_t
																																																										BgL_arg2172z00_1934;
																																																									{	/* Eval/evaluate.scm 513 */
																																																										obj_t
																																																											BgL_arg2173z00_1935;
																																																										BgL_arg2173z00_1935
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_wherez00_71,
																																																											BNIL);
																																																										BgL_arg2172z00_1934
																																																											=
																																																											MAKE_PAIR
																																																											(BGl_symbol2866z00zz__evaluatez00,
																																																											BgL_arg2173z00_1935);
																																																									}
																																																									BgL_list2171z00_1933
																																																										=
																																																										MAKE_PAIR
																																																										(BgL_arg2170z00_1932,
																																																										BgL_arg2172z00_1934);
																																																								}
																																																								BgL_arg2167z00_1930
																																																									=
																																																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																									(BgL_list2171z00_1933);
																																																							}
																																																						}
																																																						{	/* Eval/evaluate.scm 129 */
																																																							obj_t
																																																								BgL__ortest_1067z00_3276;
																																																							BgL__ortest_1067z00_3276
																																																								=
																																																								BGl_getzd2sourcezd2locationz00zz__readerz00
																																																								(BgL_bz00_1928);
																																																							if (CBOOL(BgL__ortest_1067z00_3276))
																																																								{	/* Eval/evaluate.scm 129 */
																																																									BgL_arg2168z00_1931
																																																										=
																																																										BgL__ortest_1067z00_3276;
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 129 */
																																																									BgL_arg2168z00_1931
																																																										=
																																																										BgL_blocz00_1915;
																																																								}
																																																						}
																																																						BgL_arg2165z00_1927
																																																							=
																																																							BGl_convz00zz__evaluatez00
																																																							(BgL_arg2166z00_1929,
																																																							BgL_localsz00_1912,
																																																							BgL_globalsz00_69,
																																																							BFALSE,
																																																							BgL_arg2167z00_1930,
																																																							BgL_arg2168z00_1931,
																																																							((bool_t) 0));
																																																					}
																																																				}
																																																				{	/* Eval/evaluate.scm 512 */
																																																					obj_t
																																																						BgL_res2580z00_3279;
																																																					BgL_res2580z00_3279
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_arg2165z00_1927,
																																																						BNIL);
																																																					BgL_newtail1228z00_1925
																																																						=
																																																						BgL_res2580z00_3279;
																																																				}
																																																			}
																																																			SET_CDR
																																																				(BgL_tail1227z00_1922,
																																																				BgL_newtail1228z00_1925);
																																																			{	/* Eval/evaluate.scm 512 */
																																																				obj_t
																																																					BgL_arg2164z00_1926;
																																																				BgL_arg2164z00_1926
																																																					=
																																																					CDR
																																																					(BgL_l1224z00_1921);
																																																				{
																																																					obj_t
																																																						BgL_tail1227z00_5714;
																																																					obj_t
																																																						BgL_l1224z00_5713;
																																																					BgL_l1224z00_5713
																																																						=
																																																						BgL_arg2164z00_1926;
																																																					BgL_tail1227z00_5714
																																																						=
																																																						BgL_newtail1228z00_1925;
																																																					BgL_tail1227z00_1922
																																																						=
																																																						BgL_tail1227z00_5714;
																																																					BgL_l1224z00_1921
																																																						=
																																																						BgL_l1224z00_5713;
																																																					goto
																																																						BgL_zc3anonymousza32161ze3z83_1923;
																																																				}
																																																			}
																																																		}
																																																}
																																															}
																																														((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1135z00_1916)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5690), BUNSPEC);
																																													}
																																													((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1135z00_1916)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convz00zz__evaluatez00(BgL_tbodyz00_1914, BgL_localsz00_1912, BgL_globalsz00_69, BgL_tailzf3zf3_70, BgL_wherez00_71, BgL_locz00_72, ((bool_t) 0)))), BUNSPEC);
																																													BgL_auxz00_5630
																																														=
																																														BgL_new1135z00_1916;
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_5630);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 409 */
																																				obj_t
																																					BgL_arg1624z00_1215;
																																				BgL_arg1624z00_1215
																																					=
																																					CAR
																																					(BgL_ez00_67);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_5722;
																																					{
																																						obj_t
																																							BgL_argsz00_5724;
																																						obj_t
																																							BgL_fz00_5723;
																																						BgL_fz00_5723
																																							=
																																							BgL_arg1624z00_1215;
																																						BgL_argsz00_5724
																																							=
																																							BgL_cdrzd26695zd2_1210;
																																						BgL_argsz00_1075
																																							=
																																							BgL_argsz00_5724;
																																						BgL_fz00_1074
																																							=
																																							BgL_fz00_5723;
																																						goto
																																							BgL_tagzd2175zd2_1076;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_5722);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 409 */
																																		if (
																																			(CAR
																																				(BgL_ez00_67)
																																				==
																																				BGl_symbol2885z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 409 */
																																				if (PAIRP(BgL_cdrzd26695zd2_1210))
																																					{	/* Eval/evaluate.scm 409 */
																																						obj_t
																																							BgL_carzd26869zd2_1220;
																																						obj_t
																																							BgL_cdrzd26870zd2_1221;
																																						BgL_carzd26869zd2_1220
																																							=
																																							CAR
																																							(BgL_cdrzd26695zd2_1210);
																																						BgL_cdrzd26870zd2_1221
																																							=
																																							CDR
																																							(BgL_cdrzd26695zd2_1210);
																																						if (PAIRP(BgL_carzd26869zd2_1220))
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_cdrzd26874zd2_1223;
																																								BgL_cdrzd26874zd2_1223
																																									=
																																									CDR
																																									(BgL_carzd26869zd2_1220);
																																								if ((CAR(BgL_carzd26869zd2_1220) == BGl_symbol2871z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 409 */
																																										if (PAIRP(BgL_cdrzd26874zd2_1223))
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_carzd26877zd2_1226;
																																												obj_t
																																													BgL_cdrzd26878zd2_1227;
																																												BgL_carzd26877zd2_1226
																																													=
																																													CAR
																																													(BgL_cdrzd26874zd2_1223);
																																												BgL_cdrzd26878zd2_1227
																																													=
																																													CDR
																																													(BgL_cdrzd26874zd2_1223);
																																												if (SYMBOLP(BgL_carzd26877zd2_1226))
																																													{	/* Eval/evaluate.scm 409 */
																																														if (PAIRP(BgL_cdrzd26878zd2_1227))
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_carzd26882zd2_1230;
																																																BgL_carzd26882zd2_1230
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26878zd2_1227);
																																																if (SYMBOLP(BgL_carzd26882zd2_1230))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		if (NULLP(CDR(BgL_cdrzd26878zd2_1227)))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				if (PAIRP(BgL_cdrzd26870zd2_1221))
																																																					{	/* Eval/evaluate.scm 409 */
																																																						if (NULLP(CDR(BgL_cdrzd26870zd2_1221)))
																																																							{	/* Eval/evaluate.scm 409 */
																																																								obj_t
																																																									BgL_arg1637z00_1235;
																																																								BgL_arg1637z00_1235
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26870zd2_1221);
																																																								{	/* Eval/evaluate.scm 516 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1137z00_3635;
																																																									{	/* Eval/evaluate.scm 520 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1136z00_3636;
																																																										BgL_new1136z00_3636
																																																											=
																																																											(
																																																											(BgL_ev_setglobalz00_bglt)
																																																											BREF
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_setglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 520 */
																																																											long
																																																												BgL_arg2191z00_3637;
																																																											{	/* Eval/evaluate.scm 520 */
																																																												long
																																																													BgL_res2635z00_3639;
																																																												BgL_res2635z00_3639
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2191z00_3637
																																																													=
																																																													BgL_res2635z00_3639;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1136z00_3636), BgL_arg2191z00_3637);
																																																										}
																																																										{	/* Eval/evaluate.scm 520 */
																																																											BgL_objectz00_bglt
																																																												BgL_auxz00_5763;
																																																											BgL_auxz00_5763
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1136z00_3636);
																																																											BGL_OBJECT_WIDENING_SET
																																																												(BgL_auxz00_5763,
																																																												BFALSE);
																																																										}
																																																										BgL_new1137z00_3635
																																																											=
																																																											BgL_new1136z00_3636;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_5766;
																																																										{	/* Eval/evaluate.scm 365 */
																																																											obj_t
																																																												BgL_arg2261z00_3643;
																																																											BgL_arg2261z00_3643
																																																												=
																																																												BGl_getzd2locationzd2zz__evaluatez00
																																																												(BgL_arg1637z00_1235,
																																																												BgL_locz00_72);
																																																											BgL_auxz00_5766
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_uconvzf2loczf2zz__evaluatez00
																																																												(BgL_wherez00_71,
																																																													BgL_globalsz00_69,
																																																													BgL_localsz00_68,
																																																													BgL_arg1637z00_1235,
																																																													BgL_arg2261z00_3643));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1137z00_3635)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5766), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1137z00_3635))->BgL_locz00) = ((obj_t) BgL_locz00_72), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1137z00_3635))->BgL_namez00) = ((obj_t) BgL_carzd26877zd2_1226), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1137z00_3635))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd26882zd2_1230)), BUNSPEC);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_new1137z00_3635);
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 409 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_72,
																																																									BGl_string2786z00zz__evaluatez00,
																																																									BGl_string2863z00zz__evaluatez00,
																																																									BgL_ez00_67);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 409 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_72,
																																																							BGl_string2786z00zz__evaluatez00,
																																																							BGl_string2863z00zz__evaluatez00,
																																																							BgL_ez00_67);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_cdrzd26998zd2_1237;
																																																				BgL_cdrzd26998zd2_1237
																																																					=
																																																					CDR
																																																					(BgL_ez00_67);
																																																				{	/* Eval/evaluate.scm 409 */
																																																					obj_t
																																																						BgL_cdrzd27002zd2_1238;
																																																					BgL_cdrzd27002zd2_1238
																																																						=
																																																						CDR
																																																						(BgL_cdrzd26998zd2_1237);
																																																					if (PAIRP(BgL_cdrzd27002zd2_1238))
																																																						{	/* Eval/evaluate.scm 409 */
																																																							if (NULLP(CDR(BgL_cdrzd27002zd2_1238)))
																																																								{	/* Eval/evaluate.scm 409 */
																																																									obj_t
																																																										BgL_arg1642z00_1241;
																																																									obj_t
																																																										BgL_arg1644z00_1242;
																																																									BgL_arg1642z00_1241
																																																										=
																																																										CAR
																																																										(BgL_cdrzd26998zd2_1237);
																																																									BgL_arg1644z00_1242
																																																										=
																																																										CAR
																																																										(BgL_cdrzd27002zd2_1238);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_5788;
																																																										BgL_vz00_1044
																																																											=
																																																											BgL_arg1642z00_1241;
																																																										BgL_ez00_1045
																																																											=
																																																											BgL_arg1644z00_1242;
																																																									BgL_tagzd2165zd2_1046:
																																																										{	/* Eval/evaluate.scm 526 */
																																																											obj_t
																																																												BgL_cvz00_1987;
																																																											obj_t
																																																												BgL_ez00_1988;
																																																											BgL_cvz00_1987
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_1044,
																																																												BgL_localsz00_68);
																																																											{	/* Eval/evaluate.scm 365 */
																																																												obj_t
																																																													BgL_arg2261z00_3309;
																																																												{	/* Eval/evaluate.scm 129 */
																																																													obj_t
																																																														BgL__ortest_1067z00_3312;
																																																													BgL__ortest_1067z00_3312
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_1045);
																																																													if (CBOOL(BgL__ortest_1067z00_3312))
																																																														{	/* Eval/evaluate.scm 129 */
																																																															BgL_arg2261z00_3309
																																																																=
																																																																BgL__ortest_1067z00_3312;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 129 */
																																																															BgL_arg2261z00_3309
																																																																=
																																																																BgL_locz00_72;
																																																														}
																																																												}
																																																												BgL_ez00_1988
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_1045,
																																																													BgL_localsz00_68,
																																																													BgL_globalsz00_69,
																																																													BFALSE,
																																																													BgL_wherez00_71,
																																																													BgL_arg2261z00_3309,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_1987))
																																																												{	/* Eval/evaluate.scm 528 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1139z00_1989;
																																																													{	/* Eval/evaluate.scm 530 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1138z00_1990;
																																																														BgL_new1138z00_1990
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 530 */
																																																															long
																																																																BgL_arg2200z00_1991;
																																																															{	/* Eval/evaluate.scm 530 */
																																																																long
																																																																	BgL_res2586z00_3316;
																																																																BgL_res2586z00_3316
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																																BgL_arg2200z00_1991
																																																																	=
																																																																	BgL_res2586z00_3316;
																																																															}
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1138z00_1990), BgL_arg2200z00_1991);
																																																														}
																																																														{	/* Eval/evaluate.scm 530 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5800;
																																																															BgL_auxz00_5800
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1138z00_1990);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5800,
																																																																BFALSE);
																																																														}
																																																														BgL_new1139z00_1989
																																																															=
																																																															BgL_new1138z00_1990;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1139z00_1989)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1988)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1139z00_1989))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_1987)), BUNSPEC);
																																																													BgL_auxz00_5788
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1139z00_1989);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 531 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1141z00_1992;
																																																													{	/* Eval/evaluate.scm 535 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1140z00_1994;
																																																														BgL_new1140z00_1994
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 535 */
																																																															long
																																																																BgL_arg2202z00_1995;
																																																															{	/* Eval/evaluate.scm 535 */
																																																																long
																																																																	BgL_res2587z00_3320;
																																																																BgL_res2587z00_3320
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																																BgL_arg2202z00_1995
																																																																	=
																																																																	BgL_res2587z00_3320;
																																																															}
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1140z00_1994), BgL_arg2202z00_1995);
																																																														}
																																																														{	/* Eval/evaluate.scm 535 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5813;
																																																															BgL_auxz00_5813
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1140z00_1994);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5813,
																																																																BFALSE);
																																																														}
																																																														BgL_new1141z00_1992
																																																															=
																																																															BgL_new1140z00_1994;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1141z00_1992)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1988)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1141z00_1992))->BgL_locz00) = ((obj_t) BgL_locz00_72), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1141z00_1992))->BgL_namez00) = ((obj_t) BgL_vz00_1044), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_5821;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_69))
																																																															{	/* Eval/evaluate.scm 534 */
																																																																BgL_auxz00_5821
																																																																	=
																																																																	BgL_globalsz00_69;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 534 */
																																																																BgL_auxz00_5821
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1141z00_1992))->BgL_modz00) = ((obj_t) BgL_auxz00_5821), BUNSPEC);
																																																													}
																																																													BgL_auxz00_5788
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1141z00_1992);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_5788);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 409 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_72,
																																																										BGl_string2786z00zz__evaluatez00,
																																																										BGl_string2863z00zz__evaluatez00,
																																																										BgL_ez00_67);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 409 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_72,
																																																								BGl_string2786z00zz__evaluatez00,
																																																								BGl_string2863z00zz__evaluatez00,
																																																								BgL_ez00_67);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_cdrzd27059zd2_1245;
																																																		BgL_cdrzd27059zd2_1245
																																																			=
																																																			CDR
																																																			(BgL_ez00_67);
																																																		{	/* Eval/evaluate.scm 409 */
																																																			obj_t
																																																				BgL_cdrzd27063zd2_1246;
																																																			BgL_cdrzd27063zd2_1246
																																																				=
																																																				CDR
																																																				(BgL_cdrzd27059zd2_1245);
																																																			if (PAIRP(BgL_cdrzd27063zd2_1246))
																																																				{	/* Eval/evaluate.scm 409 */
																																																					if (NULLP(CDR(BgL_cdrzd27063zd2_1246)))
																																																						{	/* Eval/evaluate.scm 409 */
																																																							obj_t
																																																								BgL_arg1649z00_1249;
																																																							obj_t
																																																								BgL_arg1650z00_1250;
																																																							BgL_arg1649z00_1249
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27059zd2_1245);
																																																							BgL_arg1650z00_1250
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27063zd2_1246);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5839;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5841;
																																																									obj_t
																																																										BgL_vz00_5840;
																																																									BgL_vz00_5840
																																																										=
																																																										BgL_arg1649z00_1249;
																																																									BgL_ez00_5841
																																																										=
																																																										BgL_arg1650z00_1250;
																																																									BgL_ez00_1045
																																																										=
																																																										BgL_ez00_5841;
																																																									BgL_vz00_1044
																																																										=
																																																										BgL_vz00_5840;
																																																									goto
																																																										BgL_tagzd2165zd2_1046;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5839);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 409 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_72,
																																																								BGl_string2786z00zz__evaluatez00,
																																																								BGl_string2863z00zz__evaluatez00,
																																																								BgL_ez00_67);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 409 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_72,
																																																						BGl_string2786z00zz__evaluatez00,
																																																						BGl_string2863z00zz__evaluatez00,
																																																						BgL_ez00_67);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_cdrzd27120zd2_1252;
																																																BgL_cdrzd27120zd2_1252
																																																	=
																																																	CDR
																																																	(BgL_ez00_67);
																																																{	/* Eval/evaluate.scm 409 */
																																																	obj_t
																																																		BgL_cdrzd27124zd2_1253;
																																																	BgL_cdrzd27124zd2_1253
																																																		=
																																																		CDR
																																																		(BgL_cdrzd27120zd2_1252);
																																																	if (PAIRP(BgL_cdrzd27124zd2_1253))
																																																		{	/* Eval/evaluate.scm 409 */
																																																			if (NULLP(CDR(BgL_cdrzd27124zd2_1253)))
																																																				{	/* Eval/evaluate.scm 409 */
																																																					obj_t
																																																						BgL_arg1654z00_1256;
																																																					obj_t
																																																						BgL_arg1655z00_1257;
																																																					BgL_arg1654z00_1256
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27120zd2_1252);
																																																					BgL_arg1655z00_1257
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27124zd2_1253);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5854;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5856;
																																																							obj_t
																																																								BgL_vz00_5855;
																																																							BgL_vz00_5855
																																																								=
																																																								BgL_arg1654z00_1256;
																																																							BgL_ez00_5856
																																																								=
																																																								BgL_arg1655z00_1257;
																																																							BgL_ez00_1045
																																																								=
																																																								BgL_ez00_5856;
																																																							BgL_vz00_1044
																																																								=
																																																								BgL_vz00_5855;
																																																							goto
																																																								BgL_tagzd2165zd2_1046;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5854);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 409 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_72,
																																																						BGl_string2786z00zz__evaluatez00,
																																																						BGl_string2863z00zz__evaluatez00,
																																																						BgL_ez00_67);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 409 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_72,
																																																				BGl_string2786z00zz__evaluatez00,
																																																				BGl_string2863z00zz__evaluatez00,
																																																				BgL_ez00_67);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_cdrzd27181zd2_1259;
																																														BgL_cdrzd27181zd2_1259
																																															=
																																															CDR
																																															(BgL_ez00_67);
																																														{	/* Eval/evaluate.scm 409 */
																																															obj_t
																																																BgL_cdrzd27185zd2_1260;
																																															BgL_cdrzd27185zd2_1260
																																																=
																																																CDR
																																																(BgL_cdrzd27181zd2_1259);
																																															if (PAIRP(BgL_cdrzd27185zd2_1260))
																																																{	/* Eval/evaluate.scm 409 */
																																																	if (NULLP(CDR(BgL_cdrzd27185zd2_1260)))
																																																		{	/* Eval/evaluate.scm 409 */
																																																			obj_t
																																																				BgL_arg1659z00_1263;
																																																			obj_t
																																																				BgL_arg1660z00_1264;
																																																			BgL_arg1659z00_1263
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27181zd2_1259);
																																																			BgL_arg1660z00_1264
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27185zd2_1260);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5869;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5871;
																																																					obj_t
																																																						BgL_vz00_5870;
																																																					BgL_vz00_5870
																																																						=
																																																						BgL_arg1659z00_1263;
																																																					BgL_ez00_5871
																																																						=
																																																						BgL_arg1660z00_1264;
																																																					BgL_ez00_1045
																																																						=
																																																						BgL_ez00_5871;
																																																					BgL_vz00_1044
																																																						=
																																																						BgL_vz00_5870;
																																																					goto
																																																						BgL_tagzd2165zd2_1046;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5869);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 409 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_72,
																																																				BGl_string2786z00zz__evaluatez00,
																																																				BGl_string2863z00zz__evaluatez00,
																																																				BgL_ez00_67);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 409 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_72,
																																																		BGl_string2786z00zz__evaluatez00,
																																																		BGl_string2863z00zz__evaluatez00,
																																																		BgL_ez00_67);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_cdrzd27242zd2_1266;
																																												BgL_cdrzd27242zd2_1266
																																													=
																																													CDR
																																													(BgL_ez00_67);
																																												{	/* Eval/evaluate.scm 409 */
																																													obj_t
																																														BgL_cdrzd27246zd2_1267;
																																													BgL_cdrzd27246zd2_1267
																																														=
																																														CDR
																																														(BgL_cdrzd27242zd2_1266);
																																													if (PAIRP(BgL_cdrzd27246zd2_1267))
																																														{	/* Eval/evaluate.scm 409 */
																																															if (NULLP(CDR(BgL_cdrzd27246zd2_1267)))
																																																{	/* Eval/evaluate.scm 409 */
																																																	obj_t
																																																		BgL_arg1664z00_1270;
																																																	obj_t
																																																		BgL_arg1665z00_1271;
																																																	BgL_arg1664z00_1270
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27242zd2_1266);
																																																	BgL_arg1665z00_1271
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27246zd2_1267);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5884;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5886;
																																																			obj_t
																																																				BgL_vz00_5885;
																																																			BgL_vz00_5885
																																																				=
																																																				BgL_arg1664z00_1270;
																																																			BgL_ez00_5886
																																																				=
																																																				BgL_arg1665z00_1271;
																																																			BgL_ez00_1045
																																																				=
																																																				BgL_ez00_5886;
																																																			BgL_vz00_1044
																																																				=
																																																				BgL_vz00_5885;
																																																			goto
																																																				BgL_tagzd2165zd2_1046;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5884);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 409 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_72,
																																																		BGl_string2786z00zz__evaluatez00,
																																																		BGl_string2863z00zz__evaluatez00,
																																																		BgL_ez00_67);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 409 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_72,
																																																BGl_string2786z00zz__evaluatez00,
																																																BGl_string2863z00zz__evaluatez00,
																																																BgL_ez00_67);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_cdrzd27290zd2_1273;
																																										BgL_cdrzd27290zd2_1273
																																											=
																																											CDR
																																											(BgL_ez00_67);
																																										{	/* Eval/evaluate.scm 409 */
																																											obj_t
																																												BgL_carzd27293zd2_1274;
																																											obj_t
																																												BgL_cdrzd27294zd2_1275;
																																											BgL_carzd27293zd2_1274
																																												=
																																												CAR
																																												(BgL_cdrzd27290zd2_1273);
																																											BgL_cdrzd27294zd2_1275
																																												=
																																												CDR
																																												(BgL_cdrzd27290zd2_1273);
																																											if ((CAR(BgL_carzd27293zd2_1274) == BGl_symbol2873z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 409 */
																																													if (PAIRP(BgL_cdrzd27294zd2_1275))
																																														{	/* Eval/evaluate.scm 409 */
																																															if (NULLP(CDR(BgL_cdrzd27294zd2_1275)))
																																																{	/* Eval/evaluate.scm 409 */
																																																	BgL_lz00_1041
																																																		=
																																																		CDR
																																																		(BgL_carzd27293zd2_1274);
																																																	BgL_e2z00_1042
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27294zd2_1275);
																																																BgL_tagzd2164zd2_1043:
																																																	{	/* Eval/evaluate.scm 522 */
																																																		bool_t
																																																			BgL_testz00_5901;
																																																		if (PAIRP(BgL_lz00_1041))
																																																			{	/* Eval/evaluate.scm 522 */
																																																				bool_t
																																																					BgL_testz00_5904;
																																																				{	/* Eval/evaluate.scm 522 */
																																																					obj_t
																																																						BgL_auxz00_5905;
																																																					BgL_auxz00_5905
																																																						=
																																																						CDR
																																																						(BgL_lz00_1041);
																																																					BgL_testz00_5904
																																																						=
																																																						PAIRP
																																																						(BgL_auxz00_5905);
																																																				}
																																																				if (BgL_testz00_5904)
																																																					{
																																																						obj_t
																																																							BgL_l1229z00_1978;
																																																						BgL_l1229z00_1978
																																																							=
																																																							BgL_lz00_1041;
																																																					BgL_zc3anonymousza32195ze3z83_1979:
																																																						if (NULLP(BgL_l1229z00_1978))
																																																							{	/* Eval/evaluate.scm 522 */
																																																								BgL_testz00_5901
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 522 */
																																																								bool_t
																																																									BgL_testz00_5910;
																																																								{	/* Eval/evaluate.scm 522 */
																																																									obj_t
																																																										BgL_auxz00_5911;
																																																									BgL_auxz00_5911
																																																										=
																																																										CAR
																																																										(BgL_l1229z00_1978);
																																																									BgL_testz00_5910
																																																										=
																																																										SYMBOLP
																																																										(BgL_auxz00_5911);
																																																								}
																																																								if (BgL_testz00_5910)
																																																									{
																																																										obj_t
																																																											BgL_l1229z00_5914;
																																																										BgL_l1229z00_5914
																																																											=
																																																											CDR
																																																											(BgL_l1229z00_1978);
																																																										BgL_l1229z00_1978
																																																											=
																																																											BgL_l1229z00_5914;
																																																										goto
																																																											BgL_zc3anonymousza32195ze3z83_1979;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 522 */
																																																										BgL_testz00_5901
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 522 */
																																																						BgL_testz00_5901
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 522 */
																																																				BgL_testz00_5901
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_5901)
																																																			{	/* Eval/evaluate.scm 522 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_1041,
																																																					BgL_e2z00_1042,
																																																					BgL_ez00_67,
																																																					BgL_localsz00_68,
																																																					BgL_globalsz00_69,
																																																					BgL_tailzf3zf3_70,
																																																					BgL_wherez00_71,
																																																					BgL_locz00_72,
																																																					BgL_topzf3zf3_73);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 522 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_72,
																																																					BGl_string2786z00zz__evaluatez00,
																																																					BGl_string2863z00zz__evaluatez00,
																																																					BgL_ez00_67);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 409 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_72,
																																																		BGl_string2786z00zz__evaluatez00,
																																																		BGl_string2863z00zz__evaluatez00,
																																																		BgL_ez00_67);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 409 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_72,
																																																BGl_string2786z00zz__evaluatez00,
																																																BGl_string2863z00zz__evaluatez00,
																																																BgL_ez00_67);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 409 */
																																													obj_t
																																														BgL_cdrzd27370zd2_1283;
																																													BgL_cdrzd27370zd2_1283
																																														=
																																														CDR
																																														(BgL_cdrzd27290zd2_1273);
																																													if (PAIRP(BgL_cdrzd27370zd2_1283))
																																														{	/* Eval/evaluate.scm 409 */
																																															if (NULLP(CDR(BgL_cdrzd27370zd2_1283)))
																																																{	/* Eval/evaluate.scm 409 */
																																																	obj_t
																																																		BgL_arg1675z00_1286;
																																																	obj_t
																																																		BgL_arg1676z00_1287;
																																																	BgL_arg1675z00_1286
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27290zd2_1273);
																																																	BgL_arg1676z00_1287
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27370zd2_1283);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5930;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5932;
																																																			obj_t
																																																				BgL_vz00_5931;
																																																			BgL_vz00_5931
																																																				=
																																																				BgL_arg1675z00_1286;
																																																			BgL_ez00_5932
																																																				=
																																																				BgL_arg1676z00_1287;
																																																			BgL_ez00_1045
																																																				=
																																																				BgL_ez00_5932;
																																																			BgL_vz00_1044
																																																				=
																																																				BgL_vz00_5931;
																																																			goto
																																																				BgL_tagzd2165zd2_1046;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5930);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 409 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_72,
																																																		BGl_string2786z00zz__evaluatez00,
																																																		BGl_string2863z00zz__evaluatez00,
																																																		BgL_ez00_67);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 409 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_72,
																																																BGl_string2786z00zz__evaluatez00,
																																																BGl_string2863z00zz__evaluatez00,
																																																BgL_ez00_67);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_cdrzd27427zd2_1291;
																																								BgL_cdrzd27427zd2_1291
																																									=
																																									CDR
																																									(BgL_ez00_67);
																																								{	/* Eval/evaluate.scm 409 */
																																									obj_t
																																										BgL_cdrzd27431zd2_1292;
																																									BgL_cdrzd27431zd2_1292
																																										=
																																										CDR
																																										(BgL_cdrzd27427zd2_1291);
																																									if (PAIRP(BgL_cdrzd27431zd2_1292))
																																										{	/* Eval/evaluate.scm 409 */
																																											if (NULLP(CDR(BgL_cdrzd27431zd2_1292)))
																																												{	/* Eval/evaluate.scm 409 */
																																													obj_t
																																														BgL_arg1682z00_1295;
																																													obj_t
																																														BgL_arg1683z00_1296;
																																													BgL_arg1682z00_1295
																																														=
																																														CAR
																																														(BgL_cdrzd27427zd2_1291);
																																													BgL_arg1683z00_1296
																																														=
																																														CAR
																																														(BgL_cdrzd27431zd2_1292);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_5945;
																																														{
																																															obj_t
																																																BgL_ez00_5947;
																																															obj_t
																																																BgL_vz00_5946;
																																															BgL_vz00_5946
																																																=
																																																BgL_arg1682z00_1295;
																																															BgL_ez00_5947
																																																=
																																																BgL_arg1683z00_1296;
																																															BgL_ez00_1045
																																																=
																																																BgL_ez00_5947;
																																															BgL_vz00_1044
																																																=
																																																BgL_vz00_5946;
																																															goto
																																																BgL_tagzd2165zd2_1046;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_5945);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 409 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_72,
																																														BGl_string2786z00zz__evaluatez00,
																																														BGl_string2863z00zz__evaluatez00,
																																														BgL_ez00_67);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 409 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_72,
																																												BGl_string2786z00zz__evaluatez00,
																																												BGl_string2863z00zz__evaluatez00,
																																												BgL_ez00_67);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 409 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_72,
																																							BGl_string2786z00zz__evaluatez00,
																																							BGl_string2863z00zz__evaluatez00,
																																							BgL_ez00_67);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 409 */
																																				obj_t
																																					BgL_cdrzd27552zd2_1298;
																																				BgL_cdrzd27552zd2_1298
																																					=
																																					CDR
																																					(BgL_ez00_67);
																																				if ((CAR
																																						(BgL_ez00_67)
																																						==
																																						BGl_symbol2887z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 409 */
																																						if (PAIRP(BgL_cdrzd27552zd2_1298))
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_cdrzd27557zd2_1301;
																																								BgL_cdrzd27557zd2_1301
																																									=
																																									CDR
																																									(BgL_cdrzd27552zd2_1298);
																																								if (PAIRP(BgL_cdrzd27557zd2_1301))
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_carzd27561zd2_1303;
																																										BgL_carzd27561zd2_1303
																																											=
																																											CAR
																																											(BgL_cdrzd27557zd2_1301);
																																										if (PAIRP(BgL_carzd27561zd2_1303))
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_cdrzd27566zd2_1305;
																																												BgL_cdrzd27566zd2_1305
																																													=
																																													CDR
																																													(BgL_carzd27561zd2_1303);
																																												if ((CAR(BgL_carzd27561zd2_1303) == BGl_symbol2852z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 409 */
																																														if (PAIRP(BgL_cdrzd27566zd2_1305))
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_cdrzd27570zd2_1308;
																																																BgL_cdrzd27570zd2_1308
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27566zd2_1305);
																																																if (PAIRP(BgL_cdrzd27570zd2_1308))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		if (NULLP(CDR(BgL_cdrzd27570zd2_1308)))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				if (NULLP(CDR(BgL_cdrzd27557zd2_1301)))
																																																					{	/* Eval/evaluate.scm 409 */
																																																						obj_t
																																																							BgL_arg1694z00_1312;
																																																						obj_t
																																																							BgL_arg1696z00_1313;
																																																						obj_t
																																																							BgL_arg1697z00_1314;
																																																						BgL_arg1694z00_1312
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27552zd2_1298);
																																																						BgL_arg1696z00_1313
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27566zd2_1305);
																																																						BgL_arg1697z00_1314
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27570zd2_1308);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5982;
																																																							BgL_gvz00_1048
																																																								=
																																																								BgL_arg1694z00_1312;
																																																							BgL_formalsz00_1049
																																																								=
																																																								BgL_arg1696z00_1313;
																																																							BgL_bodyz00_1050
																																																								=
																																																								BgL_arg1697z00_1314;
																																																						BgL_tagzd2167zd2_1051:
																																																							{	/* Eval/evaluate.scm 539 */
																																																								obj_t
																																																									BgL_tidz00_1996;
																																																								BgL_tidz00_1996
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1048);
																																																								{	/* Eval/evaluate.scm 540 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1143z00_1997;
																																																									{	/* Eval/evaluate.scm 544 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1142z00_2000;
																																																										BgL_new1142z00_2000
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BREF
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 544 */
																																																											long
																																																												BgL_arg2205z00_2001;
																																																											{	/* Eval/evaluate.scm 544 */
																																																												long
																																																													BgL_res2588z00_3324;
																																																												BgL_res2588z00_3324
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2205z00_2001
																																																													=
																																																													BgL_res2588z00_3324;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1142z00_2000), BgL_arg2205z00_2001);
																																																										}
																																																										{	/* Eval/evaluate.scm 544 */
																																																											BgL_objectz00_bglt
																																																												BgL_auxz00_5988;
																																																											BgL_auxz00_5988
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1142z00_2000);
																																																											BGL_OBJECT_WIDENING_SET
																																																												(BgL_auxz00_5988,
																																																												BFALSE);
																																																										}
																																																										BgL_new1143z00_1997
																																																											=
																																																											BgL_new1142z00_2000;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_5991;
																																																										{	/* Eval/evaluate.scm 544 */
																																																											obj_t
																																																												BgL_arg2203z00_1998;
																																																											BgL_arg2203z00_1998
																																																												=
																																																												CDR
																																																												(BgL_tidz00_1996);
																																																											BgL_auxz00_5991
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_convzd2lambdazd2zz__evaluatez00
																																																												(BgL_globalsz00_69,
																																																													BgL_localsz00_68,
																																																													BgL_ez00_67,
																																																													BgL_locz00_72,
																																																													BgL_formalsz00_1049,
																																																													BgL_bodyz00_1050,
																																																													BgL_gvz00_1048,
																																																													BgL_arg2203z00_1998));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1143z00_1997)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5991), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1143z00_1997)))->BgL_locz00) = ((obj_t) BgL_locz00_72), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1143z00_1997)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_1996)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6002;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_69))
																																																											{	/* Eval/evaluate.scm 543 */
																																																												BgL_auxz00_6002
																																																													=
																																																													BgL_globalsz00_69;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 543 */
																																																												BgL_auxz00_6002
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1143z00_1997)))->BgL_modz00) = ((obj_t) BgL_auxz00_6002), BUNSPEC);
																																																									}
																																																									BgL_auxz00_5982
																																																										=
																																																										BgL_new1143z00_1997;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5982);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 409 */
																																																						obj_t
																																																							BgL_arg1698z00_1315;
																																																						BgL_arg1698z00_1315
																																																							=
																																																							CAR
																																																							(BgL_ez00_67);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6010;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6012;
																																																								obj_t
																																																									BgL_fz00_6011;
																																																								BgL_fz00_6011
																																																									=
																																																									BgL_arg1698z00_1315;
																																																								BgL_argsz00_6012
																																																									=
																																																									BgL_cdrzd27552zd2_1298;
																																																								BgL_argsz00_1075
																																																									=
																																																									BgL_argsz00_6012;
																																																								BgL_fz00_1074
																																																									=
																																																									BgL_fz00_6011;
																																																								goto
																																																									BgL_tagzd2175zd2_1076;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6010);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_cdrzd27670zd2_1319;
																																																				BgL_cdrzd27670zd2_1319
																																																					=
																																																					CDR
																																																					(BgL_cdrzd27552zd2_1298);
																																																				if (NULLP(CDR(BgL_cdrzd27670zd2_1319)))
																																																					{	/* Eval/evaluate.scm 409 */
																																																						obj_t
																																																							BgL_arg1702z00_1321;
																																																						obj_t
																																																							BgL_arg1704z00_1322;
																																																						BgL_arg1702z00_1321
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27552zd2_1298);
																																																						BgL_arg1704z00_1322
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27670zd2_1319);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6020;
																																																							BgL_gvz00_1052
																																																								=
																																																								BgL_arg1702z00_1321;
																																																							BgL_gez00_1053
																																																								=
																																																								BgL_arg1704z00_1322;
																																																						BgL_tagzd2168zd2_1054:
																																																							{	/* Eval/evaluate.scm 546 */
																																																								obj_t
																																																									BgL_tidz00_2002;
																																																								BgL_tidz00_2002
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1052);
																																																								{	/* Eval/evaluate.scm 547 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1145z00_2003;
																																																									{	/* Eval/evaluate.scm 551 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1144z00_2008;
																																																										BgL_new1144z00_2008
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BREF
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 551 */
																																																											long
																																																												BgL_arg2211z00_2009;
																																																											{	/* Eval/evaluate.scm 551 */
																																																												long
																																																													BgL_res2589z00_3330;
																																																												BgL_res2589z00_3330
																																																													=
																																																													BGL_CLASS_INDEX
																																																													(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																												BgL_arg2211z00_2009
																																																													=
																																																													BgL_res2589z00_3330;
																																																											}
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1144z00_2008), BgL_arg2211z00_2009);
																																																										}
																																																										{	/* Eval/evaluate.scm 551 */
																																																											BgL_objectz00_bglt
																																																												BgL_auxz00_6026;
																																																											BgL_auxz00_6026
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1144z00_2008);
																																																											BGL_OBJECT_WIDENING_SET
																																																												(BgL_auxz00_6026,
																																																												BFALSE);
																																																										}
																																																										BgL_new1145z00_2003
																																																											=
																																																											BgL_new1144z00_2008;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6029;
																																																										{	/* Eval/evaluate.scm 552 */
																																																											obj_t
																																																												BgL_arg2206z00_2004;
																																																											{	/* Eval/evaluate.scm 552 */
																																																												obj_t
																																																													BgL_arg2209z00_2006;
																																																												BgL_arg2209z00_2006
																																																													=
																																																													CDR
																																																													(BgL_tidz00_2002);
																																																												BgL_arg2206z00_2004
																																																													=
																																																													BGl_typezd2resultzd2zz__evaluatez00
																																																													(BgL_arg2209z00_2006,
																																																													BgL_gez00_1053,
																																																													BgL_locz00_72);
																																																											}
																																																											{	/* Eval/evaluate.scm 368 */
																																																												obj_t
																																																													BgL_arg2259z00_3336;
																																																												{	/* Eval/evaluate.scm 129 */
																																																													obj_t
																																																														BgL__ortest_1067z00_3339;
																																																													BgL__ortest_1067z00_3339
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_arg2206z00_2004);
																																																													if (CBOOL(BgL__ortest_1067z00_3339))
																																																														{	/* Eval/evaluate.scm 129 */
																																																															BgL_arg2259z00_3336
																																																																=
																																																																BgL__ortest_1067z00_3339;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 129 */
																																																															BgL_arg2259z00_3336
																																																																=
																																																																BgL_locz00_72;
																																																														}
																																																												}
																																																												{
																																																													obj_t
																																																														BgL_auxz00_6036;
																																																													{	/* Eval/evaluate.scm 359 */
																																																														obj_t
																																																															BgL_auxz00_6037;
																																																														if (BgL_topzf3zf3_73)
																																																															{	/* Eval/evaluate.scm 553 */
																																																																BgL_auxz00_6037
																																																																	=
																																																																	BgL_gvz00_1052;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 553 */
																																																																BgL_auxz00_6037
																																																																	=
																																																																	BgL_wherez00_71;
																																																															}
																																																														BgL_auxz00_6036
																																																															=
																																																															BGl_convz00zz__evaluatez00
																																																															(BgL_arg2206z00_2004,
																																																															BgL_localsz00_68,
																																																															BgL_globalsz00_69,
																																																															BFALSE,
																																																															BgL_auxz00_6037,
																																																															BgL_arg2259z00_3336,
																																																															((bool_t) 0));
																																																													}
																																																													BgL_auxz00_6029
																																																														=
																																																														(
																																																														(BgL_ev_exprz00_bglt)
																																																														BgL_auxz00_6036);
																																																												}
																																																											}
																																																										}
																																																										((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1145z00_2003)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6029), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1145z00_2003)))->BgL_locz00) = ((obj_t) BgL_locz00_72), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1145z00_2003)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2002)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6047;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_69))
																																																											{	/* Eval/evaluate.scm 550 */
																																																												BgL_auxz00_6047
																																																													=
																																																													BgL_globalsz00_69;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 550 */
																																																												BgL_auxz00_6047
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1145z00_2003)))->BgL_modz00) = ((obj_t) BgL_auxz00_6047), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6020
																																																										=
																																																										BgL_new1145z00_2003;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6020);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 409 */
																																																						obj_t
																																																							BgL_arg1705z00_1323;
																																																						obj_t
																																																							BgL_arg1706z00_1324;
																																																						BgL_arg1705z00_1323
																																																							=
																																																							CAR
																																																							(BgL_ez00_67);
																																																						BgL_arg1706z00_1324
																																																							=
																																																							CDR
																																																							(BgL_ez00_67);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6056;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6058;
																																																								obj_t
																																																									BgL_fz00_6057;
																																																								BgL_fz00_6057
																																																									=
																																																									BgL_arg1705z00_1323;
																																																								BgL_argsz00_6058
																																																									=
																																																									BgL_arg1706z00_1324;
																																																								BgL_argsz00_1075
																																																									=
																																																									BgL_argsz00_6058;
																																																								BgL_fz00_1074
																																																									=
																																																									BgL_fz00_6057;
																																																								goto
																																																									BgL_tagzd2175zd2_1076;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6056);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_cdrzd27757zd2_1328;
																																																		BgL_cdrzd27757zd2_1328
																																																			=
																																																			CDR
																																																			(BgL_cdrzd27552zd2_1298);
																																																		if (NULLP(CDR(BgL_cdrzd27757zd2_1328)))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg1710z00_1330;
																																																				obj_t
																																																					BgL_arg1711z00_1331;
																																																				BgL_arg1710z00_1330
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27552zd2_1298);
																																																				BgL_arg1711z00_1331
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27757zd2_1328);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6066;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6068;
																																																						obj_t
																																																							BgL_gvz00_6067;
																																																						BgL_gvz00_6067
																																																							=
																																																							BgL_arg1710z00_1330;
																																																						BgL_gez00_6068
																																																							=
																																																							BgL_arg1711z00_1331;
																																																						BgL_gez00_1053
																																																							=
																																																							BgL_gez00_6068;
																																																						BgL_gvz00_1052
																																																							=
																																																							BgL_gvz00_6067;
																																																						goto
																																																							BgL_tagzd2168zd2_1054;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6066);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg1712z00_1332;
																																																				obj_t
																																																					BgL_arg1713z00_1333;
																																																				BgL_arg1712z00_1332
																																																					=
																																																					CAR
																																																					(BgL_ez00_67);
																																																				BgL_arg1713z00_1333
																																																					=
																																																					CDR
																																																					(BgL_ez00_67);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6072;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6074;
																																																						obj_t
																																																							BgL_fz00_6073;
																																																						BgL_fz00_6073
																																																							=
																																																							BgL_arg1712z00_1332;
																																																						BgL_argsz00_6074
																																																							=
																																																							BgL_arg1713z00_1333;
																																																						BgL_argsz00_1075
																																																							=
																																																							BgL_argsz00_6074;
																																																						BgL_fz00_1074
																																																							=
																																																							BgL_fz00_6073;
																																																						goto
																																																							BgL_tagzd2175zd2_1076;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6072);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_cdrzd27844zd2_1336;
																																																BgL_cdrzd27844zd2_1336
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27552zd2_1298);
																																																if (NULLP(CDR(BgL_cdrzd27844zd2_1336)))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_arg1716z00_1338;
																																																		obj_t
																																																			BgL_arg1717z00_1339;
																																																		BgL_arg1716z00_1338
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27552zd2_1298);
																																																		BgL_arg1717z00_1339
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27844zd2_1336);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6082;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6084;
																																																				obj_t
																																																					BgL_gvz00_6083;
																																																				BgL_gvz00_6083
																																																					=
																																																					BgL_arg1716z00_1338;
																																																				BgL_gez00_6084
																																																					=
																																																					BgL_arg1717z00_1339;
																																																				BgL_gez00_1053
																																																					=
																																																					BgL_gez00_6084;
																																																				BgL_gvz00_1052
																																																					=
																																																					BgL_gvz00_6083;
																																																				goto
																																																					BgL_tagzd2168zd2_1054;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6082);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_arg1719z00_1340;
																																																		obj_t
																																																			BgL_arg1720z00_1341;
																																																		BgL_arg1719z00_1340
																																																			=
																																																			CAR
																																																			(BgL_ez00_67);
																																																		BgL_arg1720z00_1341
																																																			=
																																																			CDR
																																																			(BgL_ez00_67);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6088;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6090;
																																																				obj_t
																																																					BgL_fz00_6089;
																																																				BgL_fz00_6089
																																																					=
																																																					BgL_arg1719z00_1340;
																																																				BgL_argsz00_6090
																																																					=
																																																					BgL_arg1720z00_1341;
																																																				BgL_argsz00_1075
																																																					=
																																																					BgL_argsz00_6090;
																																																				BgL_fz00_1074
																																																					=
																																																					BgL_fz00_6089;
																																																				goto
																																																					BgL_tagzd2175zd2_1076;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6088);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_cdrzd27931zd2_1344;
																																														BgL_cdrzd27931zd2_1344
																																															=
																																															CDR
																																															(BgL_cdrzd27552zd2_1298);
																																														if (NULLP(CDR(BgL_cdrzd27931zd2_1344)))
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_arg1724z00_1346;
																																																obj_t
																																																	BgL_arg1725z00_1347;
																																																BgL_arg1724z00_1346
																																																	=
																																																	CAR
																																																	(BgL_cdrzd27552zd2_1298);
																																																BgL_arg1725z00_1347
																																																	=
																																																	CAR
																																																	(BgL_cdrzd27931zd2_1344);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6098;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6100;
																																																		obj_t
																																																			BgL_gvz00_6099;
																																																		BgL_gvz00_6099
																																																			=
																																																			BgL_arg1724z00_1346;
																																																		BgL_gez00_6100
																																																			=
																																																			BgL_arg1725z00_1347;
																																																		BgL_gez00_1053
																																																			=
																																																			BgL_gez00_6100;
																																																		BgL_gvz00_1052
																																																			=
																																																			BgL_gvz00_6099;
																																																		goto
																																																			BgL_tagzd2168zd2_1054;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6098);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_arg1726z00_1348;
																																																obj_t
																																																	BgL_arg1727z00_1349;
																																																BgL_arg1726z00_1348
																																																	=
																																																	CAR
																																																	(BgL_ez00_67);
																																																BgL_arg1727z00_1349
																																																	=
																																																	CDR
																																																	(BgL_ez00_67);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6104;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6106;
																																																		obj_t
																																																			BgL_fz00_6105;
																																																		BgL_fz00_6105
																																																			=
																																																			BgL_arg1726z00_1348;
																																																		BgL_argsz00_6106
																																																			=
																																																			BgL_arg1727z00_1349;
																																																		BgL_argsz00_1075
																																																			=
																																																			BgL_argsz00_6106;
																																																		BgL_fz00_1074
																																																			=
																																																			BgL_fz00_6105;
																																																		goto
																																																			BgL_tagzd2175zd2_1076;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6104);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_cdrzd28018zd2_1353;
																																												BgL_cdrzd28018zd2_1353
																																													=
																																													CDR
																																													(BgL_cdrzd27552zd2_1298);
																																												if (NULLP(CDR(BgL_cdrzd28018zd2_1353)))
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg1732z00_1355;
																																														obj_t
																																															BgL_arg1733z00_1356;
																																														BgL_arg1732z00_1355
																																															=
																																															CAR
																																															(BgL_cdrzd27552zd2_1298);
																																														BgL_arg1733z00_1356
																																															=
																																															CAR
																																															(BgL_cdrzd28018zd2_1353);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6114;
																																															{
																																																obj_t
																																																	BgL_gez00_6116;
																																																obj_t
																																																	BgL_gvz00_6115;
																																																BgL_gvz00_6115
																																																	=
																																																	BgL_arg1732z00_1355;
																																																BgL_gez00_6116
																																																	=
																																																	BgL_arg1733z00_1356;
																																																BgL_gez00_1053
																																																	=
																																																	BgL_gez00_6116;
																																																BgL_gvz00_1052
																																																	=
																																																	BgL_gvz00_6115;
																																																goto
																																																	BgL_tagzd2168zd2_1054;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6114);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg1734z00_1357;
																																														obj_t
																																															BgL_arg1735z00_1358;
																																														BgL_arg1734z00_1357
																																															=
																																															CAR
																																															(BgL_ez00_67);
																																														BgL_arg1735z00_1358
																																															=
																																															CDR
																																															(BgL_ez00_67);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6120;
																																															{
																																																obj_t
																																																	BgL_argsz00_6122;
																																																obj_t
																																																	BgL_fz00_6121;
																																																BgL_fz00_6121
																																																	=
																																																	BgL_arg1734z00_1357;
																																																BgL_argsz00_6122
																																																	=
																																																	BgL_arg1735z00_1358;
																																																BgL_argsz00_1075
																																																	=
																																																	BgL_argsz00_6122;
																																																BgL_fz00_1074
																																																	=
																																																	BgL_fz00_6121;
																																																goto
																																																	BgL_tagzd2175zd2_1076;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6120);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_arg1737z00_1360;
																																										BgL_arg1737z00_1360
																																											=
																																											CAR
																																											(BgL_ez00_67);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6125;
																																											{
																																												obj_t
																																													BgL_argsz00_6127;
																																												obj_t
																																													BgL_fz00_6126;
																																												BgL_fz00_6126
																																													=
																																													BgL_arg1737z00_1360;
																																												BgL_argsz00_6127
																																													=
																																													BgL_cdrzd27552zd2_1298;
																																												BgL_argsz00_1075
																																													=
																																													BgL_argsz00_6127;
																																												BgL_fz00_1074
																																													=
																																													BgL_fz00_6126;
																																												goto
																																													BgL_tagzd2175zd2_1076;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6125);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_arg1739z00_1362;
																																								BgL_arg1739z00_1362
																																									=
																																									CAR
																																									(BgL_ez00_67);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6130;
																																									{
																																										obj_t
																																											BgL_argsz00_6132;
																																										obj_t
																																											BgL_fz00_6131;
																																										BgL_fz00_6131
																																											=
																																											BgL_arg1739z00_1362;
																																										BgL_argsz00_6132
																																											=
																																											BgL_cdrzd27552zd2_1298;
																																										BgL_argsz00_1075
																																											=
																																											BgL_argsz00_6132;
																																										BgL_fz00_1074
																																											=
																																											BgL_fz00_6131;
																																										goto
																																											BgL_tagzd2175zd2_1076;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6130);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 409 */
																																						if (
																																							(CAR
																																								(BgL_ez00_67)
																																								==
																																								BGl_symbol2889z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 409 */
																																								if (PAIRP(BgL_cdrzd27552zd2_1298))
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_carzd28260zd2_1367;
																																										BgL_carzd28260zd2_1367
																																											=
																																											CAR
																																											(BgL_cdrzd27552zd2_1298);
																																										if (PAIRP(BgL_carzd28260zd2_1367))
																																											{	/* Eval/evaluate.scm 409 */
																																												if (NULLP(CDR(BgL_carzd28260zd2_1367)))
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg1745z00_1370;
																																														obj_t
																																															BgL_arg1746z00_1371;
																																														BgL_arg1745z00_1370
																																															=
																																															CAR
																																															(BgL_carzd28260zd2_1367);
																																														BgL_arg1746z00_1371
																																															=
																																															CDR
																																															(BgL_cdrzd27552zd2_1298);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_6147;
																																															BgL_vz00_1055
																																																=
																																																BgL_arg1745z00_1370;
																																															BgL_bodyz00_1056
																																																=
																																																BgL_arg1746z00_1371;
																																														BgL_tagzd2169zd2_1057:
																																															{	/* Eval/evaluate.scm 555 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_2010;
																																																{	/* Eval/evaluate.scm 555 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1147z00_2015;
																																																	{	/* Eval/evaluate.scm 555 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1146z00_2016;
																																																		BgL_new1146z00_2016
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 555 */
																																																			long
																																																				BgL_arg2214z00_2017;
																																																			{	/* Eval/evaluate.scm 555 */
																																																				long
																																																					BgL_res2590z00_3345;
																																																				BgL_res2590z00_3345
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_varz00zz__evaluate_typesz00);
																																																				BgL_arg2214z00_2017
																																																					=
																																																					BgL_res2590z00_3345;
																																																			}
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1146z00_2016), BgL_arg2214z00_2017);
																																																		}
																																																		{	/* Eval/evaluate.scm 555 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_6152;
																																																			BgL_auxz00_6152
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1146z00_2016);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_6152,
																																																				BFALSE);
																																																		}
																																																		BgL_new1147z00_2015
																																																			=
																																																			BgL_new1146z00_2016;
																																																	}
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1147z00_2015))->BgL_namez00) = ((obj_t) BgL_vz00_1055), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1147z00_2015))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1147z00_2015))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_2010
																																																		=
																																																		BgL_new1147z00_2015;
																																																}
																																																{	/* Eval/evaluate.scm 556 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1149z00_2011;
																																																	{	/* Eval/evaluate.scm 557 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1148z00_2013;
																																																		BgL_new1148z00_2013
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 557 */
																																																			long
																																																				BgL_arg2213z00_2014;
																																																			{	/* Eval/evaluate.scm 557 */
																																																				long
																																																					BgL_res2591z00_3349;
																																																				BgL_res2591z00_3349
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																				BgL_arg2213z00_2014
																																																					=
																																																					BgL_res2591z00_3349;
																																																			}
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1148z00_2013), BgL_arg2213z00_2014);
																																																		}
																																																		{	/* Eval/evaluate.scm 557 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_6162;
																																																			BgL_auxz00_6162
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1148z00_2013);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_6162,
																																																				BFALSE);
																																																		}
																																																		BgL_new1149z00_2011
																																																			=
																																																			BgL_new1148z00_2013;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1149z00_2011))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_2010), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_6166;
																																																		{	/* Eval/evaluate.scm 558 */
																																																			obj_t
																																																				BgL_arg2212z00_2012;
																																																			BgL_arg2212z00_2012
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_2010), BgL_localsz00_68);
																																																			BgL_auxz00_6166
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_1056,
																																																					BgL_arg2212z00_2012,
																																																					BgL_globalsz00_69,
																																																					BFALSE,
																																																					BgL_wherez00_71,
																																																					BgL_locz00_72,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1149z00_2011))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6166), BUNSPEC);
																																																	}
																																																	BgL_auxz00_6147
																																																		=
																																																		BgL_new1149z00_2011;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6147);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg1747z00_1372;
																																														obj_t
																																															BgL_arg1748z00_1373;
																																														BgL_arg1747z00_1372
																																															=
																																															CAR
																																															(BgL_ez00_67);
																																														BgL_arg1748z00_1373
																																															=
																																															CDR
																																															(BgL_ez00_67);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6175;
																																															{
																																																obj_t
																																																	BgL_argsz00_6177;
																																																obj_t
																																																	BgL_fz00_6176;
																																																BgL_fz00_6176
																																																	=
																																																	BgL_arg1747z00_1372;
																																																BgL_argsz00_6177
																																																	=
																																																	BgL_arg1748z00_1373;
																																																BgL_argsz00_1075
																																																	=
																																																	BgL_argsz00_6177;
																																																BgL_fz00_1074
																																																	=
																																																	BgL_fz00_6176;
																																																goto
																																																	BgL_tagzd2175zd2_1076;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6175);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_arg1750z00_1375;
																																												obj_t
																																													BgL_arg1751z00_1376;
																																												BgL_arg1750z00_1375
																																													=
																																													CAR
																																													(BgL_ez00_67);
																																												BgL_arg1751z00_1376
																																													=
																																													CDR
																																													(BgL_ez00_67);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6181;
																																													{
																																														obj_t
																																															BgL_argsz00_6183;
																																														obj_t
																																															BgL_fz00_6182;
																																														BgL_fz00_6182
																																															=
																																															BgL_arg1750z00_1375;
																																														BgL_argsz00_6183
																																															=
																																															BgL_arg1751z00_1376;
																																														BgL_argsz00_1075
																																															=
																																															BgL_argsz00_6183;
																																														BgL_fz00_1074
																																															=
																																															BgL_fz00_6182;
																																														goto
																																															BgL_tagzd2175zd2_1076;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6181);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_arg1752z00_1377;
																																										obj_t
																																											BgL_arg1753z00_1378;
																																										BgL_arg1752z00_1377
																																											=
																																											CAR
																																											(BgL_ez00_67);
																																										BgL_arg1753z00_1378
																																											=
																																											CDR
																																											(BgL_ez00_67);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6187;
																																											{
																																												obj_t
																																													BgL_argsz00_6189;
																																												obj_t
																																													BgL_fz00_6188;
																																												BgL_fz00_6188
																																													=
																																													BgL_arg1752z00_1377;
																																												BgL_argsz00_6189
																																													=
																																													BgL_arg1753z00_1378;
																																												BgL_argsz00_1075
																																													=
																																													BgL_argsz00_6189;
																																												BgL_fz00_1074
																																													=
																																													BgL_fz00_6188;
																																												goto
																																													BgL_tagzd2175zd2_1076;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6187);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_cdrzd28425zd2_1379;
																																								BgL_cdrzd28425zd2_1379
																																									=
																																									CDR
																																									(BgL_ez00_67);
																																								if ((CAR(BgL_ez00_67) == BGl_symbol2891z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 409 */
																																										if (PAIRP(BgL_cdrzd28425zd2_1379))
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_arg1756z00_1382;
																																												obj_t
																																													BgL_arg1757z00_1383;
																																												BgL_arg1756z00_1382
																																													=
																																													CAR
																																													(BgL_cdrzd28425zd2_1379);
																																												BgL_arg1757z00_1383
																																													=
																																													CDR
																																													(BgL_cdrzd28425zd2_1379);
																																												{
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_auxz00_6199;
																																													BgL_ez00_1058
																																														=
																																														BgL_arg1756z00_1382;
																																													BgL_bodyz00_1059
																																														=
																																														BgL_arg1757z00_1383;
																																												BgL_tagzd2170zd2_1060:
																																													{	/* Eval/evaluate.scm 560 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1151z00_2018;
																																														{	/* Eval/evaluate.scm 561 */
																																															BgL_ev_unwindzd2protectzd2_bglt
																																																BgL_new1150z00_2019;
																																															BgL_new1150z00_2019
																																																=
																																																(
																																																(BgL_ev_unwindzd2protectzd2_bglt)
																																																BREF
																																																(GC_MALLOC
																																																	(sizeof
																																																		(struct
																																																			BgL_ev_unwindzd2protectzd2_bgl))));
																																															{	/* Eval/evaluate.scm 561 */
																																																long
																																																	BgL_arg2215z00_2020;
																																																{	/* Eval/evaluate.scm 561 */
																																																	long
																																																		BgL_res2592z00_3353;
																																																	BgL_res2592z00_3353
																																																		=
																																																		BGL_CLASS_INDEX
																																																		(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																																	BgL_arg2215z00_2020
																																																		=
																																																		BgL_res2592z00_3353;
																																																}
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(
																																																	((BgL_objectz00_bglt) BgL_new1150z00_2019), BgL_arg2215z00_2020);
																																															}
																																															{	/* Eval/evaluate.scm 561 */
																																																BgL_objectz00_bglt
																																																	BgL_auxz00_6204;
																																																BgL_auxz00_6204
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1150z00_2019);
																																																BGL_OBJECT_WIDENING_SET
																																																	(BgL_auxz00_6204,
																																																	BFALSE);
																																															}
																																															BgL_new1151z00_2018
																																																=
																																																BgL_new1150z00_2019;
																																														}
																																														{
																																															BgL_ev_exprz00_bglt
																																																BgL_auxz00_6207;
																																															{	/* Eval/evaluate.scm 365 */
																																																obj_t
																																																	BgL_arg2261z00_3357;
																																																{	/* Eval/evaluate.scm 129 */
																																																	obj_t
																																																		BgL__ortest_1067z00_3360;
																																																	BgL__ortest_1067z00_3360
																																																		=
																																																		BGl_getzd2sourcezd2locationz00zz__readerz00
																																																		(BgL_ez00_1058);
																																																	if (CBOOL(BgL__ortest_1067z00_3360))
																																																		{	/* Eval/evaluate.scm 129 */
																																																			BgL_arg2261z00_3357
																																																				=
																																																				BgL__ortest_1067z00_3360;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 129 */
																																																			BgL_arg2261z00_3357
																																																				=
																																																				BgL_locz00_72;
																																																		}
																																																}
																																																BgL_auxz00_6207
																																																	=
																																																	(
																																																	(BgL_ev_exprz00_bglt)
																																																	BGl_convz00zz__evaluatez00
																																																	(BgL_ez00_1058,
																																																		BgL_localsz00_68,
																																																		BgL_globalsz00_69,
																																																		BFALSE,
																																																		BgL_wherez00_71,
																																																		BgL_arg2261z00_3357,
																																																		((bool_t) 0)));
																																															}
																																															((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1151z00_2018))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6207), BUNSPEC);
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1151z00_2018))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1059, BgL_localsz00_68, BgL_globalsz00_69, BFALSE, BgL_wherez00_71, BgL_locz00_72, ((bool_t) 0)))), BUNSPEC);
																																														BgL_auxz00_6199
																																															=
																																															BgL_new1151z00_2018;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6199);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_arg1758z00_1384;
																																												BgL_arg1758z00_1384
																																													=
																																													CAR
																																													(BgL_ez00_67);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6219;
																																													{
																																														obj_t
																																															BgL_argsz00_6221;
																																														obj_t
																																															BgL_fz00_6220;
																																														BgL_fz00_6220
																																															=
																																															BgL_arg1758z00_1384;
																																														BgL_argsz00_6221
																																															=
																																															BgL_cdrzd28425zd2_1379;
																																														BgL_argsz00_1075
																																															=
																																															BgL_argsz00_6221;
																																														BgL_fz00_1074
																																															=
																																															BgL_fz00_6220;
																																														goto
																																															BgL_tagzd2175zd2_1076;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6219);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 409 */
																																										if ((CAR(BgL_ez00_67) == BGl_symbol2893z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 409 */
																																												if (PAIRP(BgL_cdrzd28425zd2_1379))
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg1762z00_1389;
																																														obj_t
																																															BgL_arg1763z00_1390;
																																														BgL_arg1762z00_1389
																																															=
																																															CAR
																																															(BgL_cdrzd28425zd2_1379);
																																														BgL_arg1763z00_1390
																																															=
																																															CDR
																																															(BgL_cdrzd28425zd2_1379);
																																														{
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_auxz00_6230;
																																															BgL_hz00_1061
																																																=
																																																BgL_arg1762z00_1389;
																																															BgL_bodyz00_1062
																																																=
																																																BgL_arg1763z00_1390;
																																														BgL_tagzd2171zd2_1063:
																																															{	/* Eval/evaluate.scm 564 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1153z00_2021;
																																																{	/* Eval/evaluate.scm 565 */
																																																	BgL_ev_withzd2handlerzd2_bglt
																																																		BgL_new1152z00_2022;
																																																	BgL_new1152z00_2022
																																																		=
																																																		(
																																																		(BgL_ev_withzd2handlerzd2_bglt)
																																																		BREF
																																																		(GC_MALLOC
																																																			(sizeof
																																																				(struct
																																																					BgL_ev_withzd2handlerzd2_bgl))));
																																																	{	/* Eval/evaluate.scm 565 */
																																																		long
																																																			BgL_arg2216z00_2023;
																																																		{	/* Eval/evaluate.scm 565 */
																																																			long
																																																				BgL_res2593z00_3364;
																																																			BgL_res2593z00_3364
																																																				=
																																																				BGL_CLASS_INDEX
																																																				(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																			BgL_arg2216z00_2023
																																																				=
																																																				BgL_res2593z00_3364;
																																																		}
																																																		BGL_OBJECT_CLASS_NUM_SET
																																																			(
																																																			((BgL_objectz00_bglt) BgL_new1152z00_2022), BgL_arg2216z00_2023);
																																																	}
																																																	{	/* Eval/evaluate.scm 565 */
																																																		BgL_objectz00_bglt
																																																			BgL_auxz00_6235;
																																																		BgL_auxz00_6235
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1152z00_2022);
																																																		BGL_OBJECT_WIDENING_SET
																																																			(BgL_auxz00_6235,
																																																			BFALSE);
																																																	}
																																																	BgL_new1153z00_2021
																																																		=
																																																		BgL_new1152z00_2022;
																																																}
																																																{
																																																	BgL_ev_exprz00_bglt
																																																		BgL_auxz00_6238;
																																																	{	/* Eval/evaluate.scm 365 */
																																																		obj_t
																																																			BgL_arg2261z00_3368;
																																																		{	/* Eval/evaluate.scm 129 */
																																																			obj_t
																																																				BgL__ortest_1067z00_3371;
																																																			BgL__ortest_1067z00_3371
																																																				=
																																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																																				(BgL_hz00_1061);
																																																			if (CBOOL(BgL__ortest_1067z00_3371))
																																																				{	/* Eval/evaluate.scm 129 */
																																																					BgL_arg2261z00_3368
																																																						=
																																																						BgL__ortest_1067z00_3371;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 129 */
																																																					BgL_arg2261z00_3368
																																																						=
																																																						BgL_locz00_72;
																																																				}
																																																		}
																																																		BgL_auxz00_6238
																																																			=
																																																			(
																																																			(BgL_ev_exprz00_bglt)
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_hz00_1061,
																																																				BgL_localsz00_68,
																																																				BgL_globalsz00_69,
																																																				BFALSE,
																																																				BgL_wherez00_71,
																																																				BgL_arg2261z00_3368,
																																																				((bool_t) 0)));
																																																	}
																																																	((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1153z00_2021))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6238), BUNSPEC);
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1153z00_2021))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1062, BgL_localsz00_68, BgL_globalsz00_69, BFALSE, BgL_wherez00_71, BgL_locz00_72, ((bool_t) 0)))), BUNSPEC);
																																																BgL_auxz00_6230
																																																	=
																																																	BgL_new1153z00_2021;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6230);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg1764z00_1391;
																																														obj_t
																																															BgL_arg1765z00_1392;
																																														BgL_arg1764z00_1391
																																															=
																																															CAR
																																															(BgL_ez00_67);
																																														BgL_arg1765z00_1392
																																															=
																																															CDR
																																															(BgL_ez00_67);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6251;
																																															{
																																																obj_t
																																																	BgL_argsz00_6253;
																																																obj_t
																																																	BgL_fz00_6252;
																																																BgL_fz00_6252
																																																	=
																																																	BgL_arg1764z00_1391;
																																																BgL_argsz00_6253
																																																	=
																																																	BgL_arg1765z00_1392;
																																																BgL_argsz00_1075
																																																	=
																																																	BgL_argsz00_6253;
																																																BgL_fz00_1074
																																																	=
																																																	BgL_fz00_6252;
																																																goto
																																																	BgL_tagzd2175zd2_1076;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6251);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_cdrzd28528zd2_1393;
																																												BgL_cdrzd28528zd2_1393
																																													=
																																													CDR
																																													(BgL_ez00_67);
																																												if ((CAR(BgL_ez00_67) == BGl_symbol2895z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 409 */
																																														if (PAIRP(BgL_cdrzd28528zd2_1393))
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_cdrzd28533zd2_1396;
																																																BgL_cdrzd28533zd2_1396
																																																	=
																																																	CDR
																																																	(BgL_cdrzd28528zd2_1393);
																																																if (PAIRP(BgL_cdrzd28533zd2_1396))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_cdrzd28538zd2_1398;
																																																		BgL_cdrzd28538zd2_1398
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28533zd2_1396);
																																																		if ((CAR(BgL_cdrzd28533zd2_1396) == BGl_keyword2897z00zz__evaluatez00))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				if (PAIRP(BgL_cdrzd28538zd2_1398))
																																																					{	/* Eval/evaluate.scm 409 */
																																																						obj_t
																																																							BgL_arg1771z00_1401;
																																																						obj_t
																																																							BgL_arg1772z00_1402;
																																																						obj_t
																																																							BgL_arg1773z00_1403;
																																																						BgL_arg1771z00_1401
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1393);
																																																						BgL_arg1772z00_1402
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28538zd2_1398);
																																																						BgL_arg1773z00_1403
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28538zd2_1398);
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_6273;
																																																							BgL_mz00_1064
																																																								=
																																																								BgL_arg1771z00_1401;
																																																							BgL_pz00_1065
																																																								=
																																																								BgL_arg1772z00_1402;
																																																							BgL_bodyz00_1066
																																																								=
																																																								BgL_arg1773z00_1403;
																																																						BgL_tagzd2172zd2_1067:
																																																							{	/* Eval/evaluate.scm 568 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1155z00_2024;
																																																								{	/* Eval/evaluate.scm 569 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1154z00_2025;
																																																									BgL_new1154z00_2025
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 569 */
																																																										long
																																																											BgL_arg2218z00_2026;
																																																										{	/* Eval/evaluate.scm 569 */
																																																											long
																																																												BgL_res2594z00_3375;
																																																											BgL_res2594z00_3375
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																											BgL_arg2218z00_2026
																																																												=
																																																												BgL_res2594z00_3375;
																																																										}
																																																										BGL_OBJECT_CLASS_NUM_SET
																																																											(
																																																											((BgL_objectz00_bglt) BgL_new1154z00_2025), BgL_arg2218z00_2026);
																																																									}
																																																									{	/* Eval/evaluate.scm 569 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_6278;
																																																										BgL_auxz00_6278
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1154z00_2025);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_6278,
																																																											BFALSE);
																																																									}
																																																									BgL_new1155z00_2024
																																																										=
																																																										BgL_new1154z00_2025;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1155z00_2024))->BgL_locz00) = ((obj_t) BgL_locz00_72), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6282;
																																																									{	/* Eval/evaluate.scm 365 */
																																																										obj_t
																																																											BgL_arg2261z00_3379;
																																																										{	/* Eval/evaluate.scm 129 */
																																																											obj_t
																																																												BgL__ortest_1067z00_3382;
																																																											BgL__ortest_1067z00_3382
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_1064);
																																																											if (CBOOL(BgL__ortest_1067z00_3382))
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2261z00_3379
																																																														=
																																																														BgL__ortest_1067z00_3382;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2261z00_3379
																																																														=
																																																														BgL_locz00_72;
																																																												}
																																																										}
																																																										BgL_auxz00_6282
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_1064,
																																																												BgL_localsz00_68,
																																																												BgL_globalsz00_69,
																																																												BFALSE,
																																																												BgL_wherez00_71,
																																																												BgL_arg2261z00_3379,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1155z00_2024))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6282), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6289;
																																																									{	/* Eval/evaluate.scm 365 */
																																																										obj_t
																																																											BgL_arg2261z00_3386;
																																																										{	/* Eval/evaluate.scm 129 */
																																																											obj_t
																																																												BgL__ortest_1067z00_3389;
																																																											BgL__ortest_1067z00_3389
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_pz00_1065);
																																																											if (CBOOL(BgL__ortest_1067z00_3389))
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2261z00_3386
																																																														=
																																																														BgL__ortest_1067z00_3389;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2261z00_3386
																																																														=
																																																														BgL_locz00_72;
																																																												}
																																																										}
																																																										BgL_auxz00_6289
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_pz00_1065,
																																																												BgL_localsz00_68,
																																																												BgL_globalsz00_69,
																																																												BFALSE,
																																																												BgL_wherez00_71,
																																																												BgL_arg2261z00_3386,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1155z00_2024))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6289), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1155z00_2024))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1066, BgL_localsz00_68, BgL_globalsz00_69, BFALSE, BgL_wherez00_71, BgL_locz00_72, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_6273
																																																									=
																																																									BgL_new1155z00_2024;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6273);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 409 */
																																																						obj_t
																																																							BgL_arg1774z00_1405;
																																																						obj_t
																																																							BgL_arg1775z00_1406;
																																																						BgL_arg1774z00_1405
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1393);
																																																						BgL_arg1775z00_1406
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28528zd2_1393);
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_6302;
																																																							BgL_mz00_1068
																																																								=
																																																								BgL_arg1774z00_1405;
																																																							BgL_bodyz00_1069
																																																								=
																																																								BgL_arg1775z00_1406;
																																																						BgL_tagzd2173zd2_1070:
																																																							{	/* Eval/evaluate.scm 574 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1157z00_2027;
																																																								{	/* Eval/evaluate.scm 575 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1156z00_2028;
																																																									BgL_new1156z00_2028
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 575 */
																																																										long
																																																											BgL_arg2219z00_2029;
																																																										{	/* Eval/evaluate.scm 575 */
																																																											long
																																																												BgL_res2595z00_3393;
																																																											BgL_res2595z00_3393
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																											BgL_arg2219z00_2029
																																																												=
																																																												BgL_res2595z00_3393;
																																																										}
																																																										BGL_OBJECT_CLASS_NUM_SET
																																																											(
																																																											((BgL_objectz00_bglt) BgL_new1156z00_2028), BgL_arg2219z00_2029);
																																																									}
																																																									{	/* Eval/evaluate.scm 575 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_6307;
																																																										BgL_auxz00_6307
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1156z00_2028);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_6307,
																																																											BFALSE);
																																																									}
																																																									BgL_new1157z00_2027
																																																										=
																																																										BgL_new1156z00_2028;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1157z00_2027))->BgL_locz00) = ((obj_t) BgL_locz00_72), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6311;
																																																									{	/* Eval/evaluate.scm 365 */
																																																										obj_t
																																																											BgL_arg2261z00_3397;
																																																										{	/* Eval/evaluate.scm 129 */
																																																											obj_t
																																																												BgL__ortest_1067z00_3400;
																																																											BgL__ortest_1067z00_3400
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_1068);
																																																											if (CBOOL(BgL__ortest_1067z00_3400))
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2261z00_3397
																																																														=
																																																														BgL__ortest_1067z00_3400;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2261z00_3397
																																																														=
																																																														BgL_locz00_72;
																																																												}
																																																										}
																																																										BgL_auxz00_6311
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_1068,
																																																												BgL_localsz00_68,
																																																												BgL_globalsz00_69,
																																																												BFALSE,
																																																												BgL_wherez00_71,
																																																												BgL_arg2261z00_3397,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1157z00_2027))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6311), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6318;
																																																									{	/* Eval/evaluate.scm 365 */
																																																										obj_t
																																																											BgL_arg2261z00_3404;
																																																										{	/* Eval/evaluate.scm 129 */
																																																											obj_t
																																																												BgL__ortest_1067z00_3407;
																																																											BgL__ortest_1067z00_3407
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BNIL);
																																																											if (CBOOL(BgL__ortest_1067z00_3407))
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2261z00_3404
																																																														=
																																																														BgL__ortest_1067z00_3407;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2261z00_3404
																																																														=
																																																														BgL_locz00_72;
																																																												}
																																																										}
																																																										BgL_auxz00_6318
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BNIL,
																																																												BgL_localsz00_68,
																																																												BgL_globalsz00_69,
																																																												BFALSE,
																																																												BgL_wherez00_71,
																																																												BgL_arg2261z00_3404,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1157z00_2027))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6318), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1157z00_2027))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1069, BgL_localsz00_68, BgL_globalsz00_69, BFALSE, BgL_wherez00_71, BgL_locz00_72, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_6302
																																																									=
																																																									BgL_new1157z00_2027;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6302);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg1776z00_1408;
																																																				obj_t
																																																					BgL_arg1777z00_1409;
																																																				BgL_arg1776z00_1408
																																																					=
																																																					CAR
																																																					(BgL_cdrzd28528zd2_1393);
																																																				BgL_arg1777z00_1409
																																																					=
																																																					CDR
																																																					(BgL_cdrzd28528zd2_1393);
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6331;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6333;
																																																						obj_t
																																																							BgL_mz00_6332;
																																																						BgL_mz00_6332
																																																							=
																																																							BgL_arg1776z00_1408;
																																																						BgL_bodyz00_6333
																																																							=
																																																							BgL_arg1777z00_1409;
																																																						BgL_bodyz00_1069
																																																							=
																																																							BgL_bodyz00_6333;
																																																						BgL_mz00_1068
																																																							=
																																																							BgL_mz00_6332;
																																																						goto
																																																							BgL_tagzd2173zd2_1070;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6331);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_arg1780z00_1412;
																																																		obj_t
																																																			BgL_arg1781z00_1413;
																																																		BgL_arg1780z00_1412
																																																			=
																																																			CAR
																																																			(BgL_cdrzd28528zd2_1393);
																																																		BgL_arg1781z00_1413
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28528zd2_1393);
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6337;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6339;
																																																				obj_t
																																																					BgL_mz00_6338;
																																																				BgL_mz00_6338
																																																					=
																																																					BgL_arg1780z00_1412;
																																																				BgL_bodyz00_6339
																																																					=
																																																					BgL_arg1781z00_1413;
																																																				BgL_bodyz00_1069
																																																					=
																																																					BgL_bodyz00_6339;
																																																				BgL_mz00_1068
																																																					=
																																																					BgL_mz00_6338;
																																																				goto
																																																					BgL_tagzd2173zd2_1070;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6337);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_arg1783z00_1414;
																																																BgL_arg1783z00_1414
																																																	=
																																																	CAR
																																																	(BgL_ez00_67);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6342;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6344;
																																																		obj_t
																																																			BgL_fz00_6343;
																																																		BgL_fz00_6343
																																																			=
																																																			BgL_arg1783z00_1414;
																																																		BgL_argsz00_6344
																																																			=
																																																			BgL_cdrzd28528zd2_1393;
																																																		BgL_argsz00_1075
																																																			=
																																																			BgL_argsz00_6344;
																																																		BgL_fz00_1074
																																																			=
																																																			BgL_fz00_6343;
																																																		goto
																																																			BgL_tagzd2175zd2_1076;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6342);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														if ((CAR(BgL_ez00_67) == BGl_symbol2852z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 409 */
																																																if (PAIRP(BgL_cdrzd28528zd2_1393))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_cdrzd28638zd2_1419;
																																																		BgL_cdrzd28638zd2_1419
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28528zd2_1393);
																																																		if (PAIRP(BgL_cdrzd28638zd2_1419))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				if (NULLP(CDR(BgL_cdrzd28638zd2_1419)))
																																																					{	/* Eval/evaluate.scm 409 */
																																																						obj_t
																																																							BgL_arg1790z00_1422;
																																																						obj_t
																																																							BgL_arg1791z00_1423;
																																																						BgL_arg1790z00_1422
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28528zd2_1393);
																																																						BgL_arg1791z00_1423
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28638zd2_1419);
																																																						{	/* Eval/evaluate.scm 580 */
																																																							obj_t
																																																								BgL_arg2220z00_3868;
																																																							{	/* Eval/evaluate.scm 580 */
																																																								obj_t
																																																									BgL_arg2222z00_3869;
																																																								{	/* Eval/evaluate.scm 580 */
																																																									obj_t
																																																										BgL_arg2223z00_3870;
																																																									obj_t
																																																										BgL_arg2224z00_3871;
																																																									{	/* Eval/evaluate.scm 580 */
																																																										obj_t
																																																											BgL_res2675z00_3874;
																																																										{	/* Eval/evaluate.scm 580 */
																																																											obj_t
																																																												BgL_symbolz00_3872;
																																																											BgL_symbolz00_3872
																																																												=
																																																												BGl_symbol2899z00zz__evaluatez00;
																																																											{	/* Eval/evaluate.scm 580 */
																																																												obj_t
																																																													BgL_arg2374z00_3873;
																																																												BgL_arg2374z00_3873
																																																													=
																																																													SYMBOL_TO_STRING
																																																													(BgL_symbolz00_3872);
																																																												BgL_res2675z00_3874
																																																													=
																																																													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																													(BgL_arg2374z00_3873);
																																																											}
																																																										}
																																																										BgL_arg2223z00_3870
																																																											=
																																																											BgL_res2675z00_3874;
																																																									}
																																																									{	/* Eval/evaluate.scm 580 */
																																																										obj_t
																																																											BgL_res2676z00_3877;
																																																										{	/* Eval/evaluate.scm 580 */
																																																											obj_t
																																																												BgL_arg2374z00_3876;
																																																											BgL_arg2374z00_3876
																																																												=
																																																												SYMBOL_TO_STRING
																																																												(BgL_wherez00_71);
																																																											BgL_res2676z00_3877
																																																												=
																																																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																												(BgL_arg2374z00_3876);
																																																										}
																																																										BgL_arg2224z00_3871
																																																											=
																																																											BgL_res2676z00_3877;
																																																									}
																																																									BgL_arg2222z00_3869
																																																										=
																																																										string_append
																																																										(BgL_arg2223z00_3870,
																																																										BgL_arg2224z00_3871);
																																																								}
																																																								BgL_arg2220z00_3868
																																																									=
																																																									bstring_to_symbol
																																																									(BgL_arg2222z00_3869);
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdazd2zz__evaluatez00
																																																								(BgL_globalsz00_69,
																																																									BgL_localsz00_68,
																																																									BgL_ez00_67,
																																																									BgL_locz00_72,
																																																									BgL_arg1790z00_1422,
																																																									BgL_arg1791z00_1423,
																																																									BgL_arg2220z00_3868,
																																																									BFALSE));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 409 */
																																																						obj_t
																																																							BgL_arg1792z00_1424;
																																																						obj_t
																																																							BgL_arg1793z00_1425;
																																																						BgL_arg1792z00_1424
																																																							=
																																																							CAR
																																																							(BgL_ez00_67);
																																																						BgL_arg1793z00_1425
																																																							=
																																																							CDR
																																																							(BgL_ez00_67);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6369;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6371;
																																																								obj_t
																																																									BgL_fz00_6370;
																																																								BgL_fz00_6370
																																																									=
																																																									BgL_arg1792z00_1424;
																																																								BgL_argsz00_6371
																																																									=
																																																									BgL_arg1793z00_1425;
																																																								BgL_argsz00_1075
																																																									=
																																																									BgL_argsz00_6371;
																																																								BgL_fz00_1074
																																																									=
																																																									BgL_fz00_6370;
																																																								goto
																																																									BgL_tagzd2175zd2_1076;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6369);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg1795z00_1427;
																																																				obj_t
																																																					BgL_arg1796z00_1428;
																																																				BgL_arg1795z00_1427
																																																					=
																																																					CAR
																																																					(BgL_ez00_67);
																																																				BgL_arg1796z00_1428
																																																					=
																																																					CDR
																																																					(BgL_ez00_67);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6375;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6377;
																																																						obj_t
																																																							BgL_fz00_6376;
																																																						BgL_fz00_6376
																																																							=
																																																							BgL_arg1795z00_1427;
																																																						BgL_argsz00_6377
																																																							=
																																																							BgL_arg1796z00_1428;
																																																						BgL_argsz00_1075
																																																							=
																																																							BgL_argsz00_6377;
																																																						BgL_fz00_1074
																																																							=
																																																							BgL_fz00_6376;
																																																						goto
																																																							BgL_tagzd2175zd2_1076;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6375);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_arg1797z00_1429;
																																																		obj_t
																																																			BgL_arg1798z00_1430;
																																																		BgL_arg1797z00_1429
																																																			=
																																																			CAR
																																																			(BgL_ez00_67);
																																																		BgL_arg1798z00_1430
																																																			=
																																																			CDR
																																																			(BgL_ez00_67);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6381;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6383;
																																																				obj_t
																																																					BgL_fz00_6382;
																																																				BgL_fz00_6382
																																																					=
																																																					BgL_arg1797z00_1429;
																																																				BgL_argsz00_6383
																																																					=
																																																					BgL_arg1798z00_1430;
																																																				BgL_argsz00_1075
																																																					=
																																																					BgL_argsz00_6383;
																																																				BgL_fz00_1074
																																																					=
																																																					BgL_fz00_6382;
																																																				goto
																																																					BgL_tagzd2175zd2_1076;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6381);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_arg1800z00_1431;
																																																obj_t
																																																	BgL_arg1801z00_1432;
																																																BgL_arg1800z00_1431
																																																	=
																																																	CAR
																																																	(BgL_ez00_67);
																																																BgL_arg1801z00_1432
																																																	=
																																																	CDR
																																																	(BgL_ez00_67);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6387;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6389;
																																																		obj_t
																																																			BgL_fz00_6388;
																																																		BgL_fz00_6388
																																																			=
																																																			BgL_arg1800z00_1431;
																																																		BgL_argsz00_6389
																																																			=
																																																			BgL_arg1801z00_1432;
																																																		BgL_argsz00_1075
																																																			=
																																																			BgL_argsz00_6389;
																																																		BgL_fz00_1074
																																																			=
																																																			BgL_fz00_6388;
																																																		goto
																																																			BgL_tagzd2175zd2_1076;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6387);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 409 */
														if (
															(BgL_carzd23820zd2_1140 ==
																BGl_symbol2875z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 409 */
																if (PAIRP(BgL_cdrzd2249zd2_1082))
																	{	/* Eval/evaluate.scm 409 */
																		if (NULLP(CDR(BgL_cdrzd2249zd2_1082)))
																			{	/* Eval/evaluate.scm 409 */
																				obj_t BgL_arg1823z00_1454;

																				BgL_arg1823z00_1454 =
																					CAR(BgL_cdrzd2249zd2_1082);
																				{
																					BgL_ev_trapz00_bglt BgL_auxz00_6399;

																					{
																						obj_t BgL_ez00_6400;

																						BgL_ez00_6400 = BgL_arg1823z00_1454;
																						BgL_ez00_1011 = BgL_ez00_6400;
																						goto BgL_tagzd2153zd2_1012;
																					}
																					return ((obj_t) BgL_auxz00_6399);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 409 */
																				obj_t BgL_arg1824z00_1455;
																				obj_t BgL_arg1825z00_1456;

																				BgL_arg1824z00_1455 = CAR(BgL_ez00_67);
																				BgL_arg1825z00_1456 = CDR(BgL_ez00_67);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6404;

																					{
																						obj_t BgL_argsz00_6406;
																						obj_t BgL_fz00_6405;

																						BgL_fz00_6405 = BgL_arg1824z00_1455;
																						BgL_argsz00_6406 =
																							BgL_arg1825z00_1456;
																						BgL_argsz00_1075 = BgL_argsz00_6406;
																						BgL_fz00_1074 = BgL_fz00_6405;
																						goto BgL_tagzd2175zd2_1076;
																					}
																					return ((obj_t) BgL_auxz00_6404);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 409 */
																		obj_t BgL_arg1827z00_1458;
																		obj_t BgL_arg1829z00_1459;

																		BgL_arg1827z00_1458 = CAR(BgL_ez00_67);
																		BgL_arg1829z00_1459 = CDR(BgL_ez00_67);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_6410;

																			{
																				obj_t BgL_argsz00_6412;
																				obj_t BgL_fz00_6411;

																				BgL_fz00_6411 = BgL_arg1827z00_1458;
																				BgL_argsz00_6412 = BgL_arg1829z00_1459;
																				BgL_argsz00_1075 = BgL_argsz00_6412;
																				BgL_fz00_1074 = BgL_fz00_6411;
																				goto BgL_tagzd2175zd2_1076;
																			}
																			return ((obj_t) BgL_auxz00_6410);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 409 */
																obj_t BgL_cdrzd29337zd2_1460;

																BgL_cdrzd29337zd2_1460 = CDR(BgL_ez00_67);
																if (
																	(CAR(BgL_ez00_67) ==
																		BGl_symbol2840z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 409 */
																		if (PAIRP(BgL_cdrzd29337zd2_1460))
																			{	/* Eval/evaluate.scm 409 */
																				if (NULLP(CDR(BgL_cdrzd29337zd2_1460)))
																					{	/* Eval/evaluate.scm 409 */
																						obj_t BgL_arg1833z00_1464;

																						BgL_arg1833z00_1464 =
																							CAR(BgL_cdrzd29337zd2_1460);
																						{	/* Eval/evaluate.scm 444 */
																							BgL_ev_littz00_bglt
																								BgL_new1112z00_3909;
																							{	/* Eval/evaluate.scm 445 */
																								BgL_ev_littz00_bglt
																									BgL_new1111z00_3910;
																								BgL_new1111z00_3910 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 445 */
																									long BgL_arg2101z00_3911;

																									{	/* Eval/evaluate.scm 445 */
																										long BgL_res2682z00_3913;

																										BgL_res2682z00_3913 =
																											BGL_CLASS_INDEX
																											(BGl_ev_littz00zz__evaluate_typesz00);
																										BgL_arg2101z00_3911 =
																											BgL_res2682z00_3913;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1111z00_3910),
																										BgL_arg2101z00_3911);
																								}
																								{	/* Eval/evaluate.scm 445 */
																									BgL_objectz00_bglt
																										BgL_auxz00_6428;
																									BgL_auxz00_6428 =
																										((BgL_objectz00_bglt)
																										BgL_new1111z00_3910);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_6428, BFALSE);
																								}
																								BgL_new1112z00_3909 =
																									BgL_new1111z00_3910;
																							}
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1112z00_3909))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1833z00_1464),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1112z00_3909);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 409 */
																						obj_t BgL_arg1834z00_1465;

																						BgL_arg1834z00_1465 =
																							CAR(BgL_ez00_67);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6434;
																							{
																								obj_t BgL_argsz00_6436;
																								obj_t BgL_fz00_6435;

																								BgL_fz00_6435 =
																									BgL_arg1834z00_1465;
																								BgL_argsz00_6436 =
																									BgL_cdrzd29337zd2_1460;
																								BgL_argsz00_1075 =
																									BgL_argsz00_6436;
																								BgL_fz00_1074 = BgL_fz00_6435;
																								goto BgL_tagzd2175zd2_1076;
																							}
																							return ((obj_t) BgL_auxz00_6434);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 409 */
																				obj_t BgL_arg1837z00_1468;

																				BgL_arg1837z00_1468 = CAR(BgL_ez00_67);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6439;

																					{
																						obj_t BgL_argsz00_6441;
																						obj_t BgL_fz00_6440;

																						BgL_fz00_6440 = BgL_arg1837z00_1468;
																						BgL_argsz00_6441 =
																							BgL_cdrzd29337zd2_1460;
																						BgL_argsz00_1075 = BgL_argsz00_6441;
																						BgL_fz00_1074 = BgL_fz00_6440;
																						goto BgL_tagzd2175zd2_1076;
																					}
																					return ((obj_t) BgL_auxz00_6439);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 409 */
																		if (
																			(CAR(BgL_ez00_67) ==
																				BGl_symbol2848z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 409 */
																				if (PAIRP(BgL_cdrzd29337zd2_1460))
																					{	/* Eval/evaluate.scm 409 */
																						obj_t BgL_cdrzd29947zd2_1473;

																						BgL_cdrzd29947zd2_1473 =
																							CDR(BgL_cdrzd29337zd2_1460);
																						if (PAIRP(BgL_cdrzd29947zd2_1473))
																							{	/* Eval/evaluate.scm 409 */
																								obj_t BgL_cdrzd29952zd2_1475;

																								BgL_cdrzd29952zd2_1475 =
																									CDR(BgL_cdrzd29947zd2_1473);
																								if (PAIRP
																									(BgL_cdrzd29952zd2_1475))
																									{	/* Eval/evaluate.scm 409 */
																										if (NULLP(CDR
																												(BgL_cdrzd29952zd2_1475)))
																											{	/* Eval/evaluate.scm 409 */
																												obj_t
																													BgL_arg1844z00_1478;
																												obj_t
																													BgL_arg1845z00_1479;
																												obj_t
																													BgL_arg1846z00_1480;
																												BgL_arg1844z00_1478 =
																													CAR
																													(BgL_cdrzd29337zd2_1460);
																												BgL_arg1845z00_1479 =
																													CAR
																													(BgL_cdrzd29947zd2_1473);
																												BgL_arg1846z00_1480 =
																													CAR
																													(BgL_cdrzd29952zd2_1475);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_6460;
																													{
																														obj_t BgL_oz00_6463;
																														obj_t BgL_tz00_6462;
																														obj_t BgL_pz00_6461;

																														BgL_pz00_6461 =
																															BgL_arg1844z00_1478;
																														BgL_tz00_6462 =
																															BgL_arg1845z00_1479;
																														BgL_oz00_6463 =
																															BgL_arg1846z00_1480;
																														BgL_oz00_1017 =
																															BgL_oz00_6463;
																														BgL_tz00_1016 =
																															BgL_tz00_6462;
																														BgL_pz00_1015 =
																															BgL_pz00_6461;
																														goto
																															BgL_tagzd2155zd2_1018;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6460);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 409 */
																												obj_t
																													BgL_arg1847z00_1481;
																												obj_t
																													BgL_arg1848z00_1482;
																												BgL_arg1847z00_1481 =
																													CAR(BgL_ez00_67);
																												BgL_arg1848z00_1482 =
																													CDR(BgL_ez00_67);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_6467;
																													{
																														obj_t
																															BgL_argsz00_6469;
																														obj_t BgL_fz00_6468;

																														BgL_fz00_6468 =
																															BgL_arg1847z00_1481;
																														BgL_argsz00_6469 =
																															BgL_arg1848z00_1482;
																														BgL_argsz00_1075 =
																															BgL_argsz00_6469;
																														BgL_fz00_1074 =
																															BgL_fz00_6468;
																														goto
																															BgL_tagzd2175zd2_1076;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6467);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 409 */
																										obj_t
																											BgL_cdrzd210250zd2_1484;
																										BgL_cdrzd210250zd2_1484 =
																											CDR(BgL_ez00_67);
																										{	/* Eval/evaluate.scm 409 */
																											obj_t
																												BgL_cdrzd210256zd2_1485;
																											BgL_cdrzd210256zd2_1485 =
																												CDR
																												(BgL_cdrzd210250zd2_1484);
																											if (NULLP(CDR
																													(BgL_cdrzd210256zd2_1485)))
																												{	/* Eval/evaluate.scm 409 */
																													obj_t
																														BgL_arg1851z00_1487;
																													obj_t
																														BgL_arg1852z00_1488;
																													BgL_arg1851z00_1487 =
																														CAR
																														(BgL_cdrzd210250zd2_1484);
																													BgL_arg1852z00_1488 =
																														CAR
																														(BgL_cdrzd210256zd2_1485);
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_6478;
																														{
																															obj_t
																																BgL_tz00_6480;
																															obj_t
																																BgL_pz00_6479;
																															BgL_pz00_6479 =
																																BgL_arg1851z00_1487;
																															BgL_tz00_6480 =
																																BgL_arg1852z00_1488;
																															BgL_tz00_1020 =
																																BgL_tz00_6480;
																															BgL_pz00_1019 =
																																BgL_pz00_6479;
																															goto
																																BgL_tagzd2156zd2_1021;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6478);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 409 */
																													obj_t
																														BgL_arg1854z00_1489;
																													BgL_arg1854z00_1489 =
																														CAR(BgL_ez00_67);
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_6483;
																														{
																															obj_t
																																BgL_argsz00_6485;
																															obj_t
																																BgL_fz00_6484;
																															BgL_fz00_6484 =
																																BgL_arg1854z00_1489;
																															BgL_argsz00_6485 =
																																BgL_cdrzd210250zd2_1484;
																															BgL_argsz00_1075 =
																																BgL_argsz00_6485;
																															BgL_fz00_1074 =
																																BgL_fz00_6484;
																															goto
																																BgL_tagzd2175zd2_1076;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6483);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 409 */
																								obj_t BgL_arg1857z00_1492;
																								obj_t BgL_arg1858z00_1493;

																								BgL_arg1857z00_1492 =
																									CAR(BgL_ez00_67);
																								BgL_arg1858z00_1493 =
																									CDR(BgL_ez00_67);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_6489;
																									{
																										obj_t BgL_argsz00_6491;
																										obj_t BgL_fz00_6490;

																										BgL_fz00_6490 =
																											BgL_arg1857z00_1492;
																										BgL_argsz00_6491 =
																											BgL_arg1858z00_1493;
																										BgL_argsz00_1075 =
																											BgL_argsz00_6491;
																										BgL_fz00_1074 =
																											BgL_fz00_6490;
																										goto BgL_tagzd2175zd2_1076;
																									}
																									return
																										((obj_t) BgL_auxz00_6489);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 409 */
																						obj_t BgL_arg1859z00_1494;
																						obj_t BgL_arg1861z00_1495;

																						BgL_arg1859z00_1494 =
																							CAR(BgL_ez00_67);
																						BgL_arg1861z00_1495 =
																							CDR(BgL_ez00_67);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6495;
																							{
																								obj_t BgL_argsz00_6497;
																								obj_t BgL_fz00_6496;

																								BgL_fz00_6496 =
																									BgL_arg1859z00_1494;
																								BgL_argsz00_6497 =
																									BgL_arg1861z00_1495;
																								BgL_argsz00_1075 =
																									BgL_argsz00_6497;
																								BgL_fz00_1074 = BgL_fz00_6496;
																								goto BgL_tagzd2175zd2_1076;
																							}
																							return ((obj_t) BgL_auxz00_6495);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 409 */
																				if (
																					(CAR(BgL_ez00_67) ==
																						BGl_symbol2877z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 409 */
																						obj_t BgL_arg1863z00_1497;

																						BgL_arg1863z00_1497 =
																							CDR(BgL_ez00_67);
																						{
																							BgL_ev_orz00_bglt BgL_auxz00_6503;

																							{
																								obj_t BgL_argsz00_6504;

																								BgL_argsz00_6504 =
																									BgL_arg1863z00_1497;
																								BgL_argsz00_1022 =
																									BgL_argsz00_6504;
																								goto BgL_tagzd2157zd2_1023;
																							}
																							return ((obj_t) BgL_auxz00_6503);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 409 */
																						if (
																							(CAR(BgL_ez00_67) ==
																								BGl_symbol2879z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 409 */
																								obj_t BgL_arg1865z00_1499;

																								BgL_arg1865z00_1499 =
																									CDR(BgL_ez00_67);
																								{
																									BgL_ev_andz00_bglt
																										BgL_auxz00_6510;
																									{
																										obj_t BgL_argsz00_6511;

																										BgL_argsz00_6511 =
																											BgL_arg1865z00_1499;
																										BgL_argsz00_1024 =
																											BgL_argsz00_6511;
																										goto BgL_tagzd2158zd2_1025;
																									}
																									return
																										((obj_t) BgL_auxz00_6510);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 409 */
																								if (
																									(CAR(BgL_ez00_67) ==
																										BGl_symbol2864z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 409 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_67),
																											BgL_localsz00_68,
																											BgL_globalsz00_69,
																											BgL_tailzf3zf3_70,
																											BgL_wherez00_71,
																											BgL_locz00_72,
																											BgL_topzf3zf3_73);
																									}
																								else
																									{	/* Eval/evaluate.scm 409 */
																										obj_t
																											BgL_cdrzd211149zd2_1502;
																										BgL_cdrzd211149zd2_1502 =
																											CDR(BgL_ez00_67);
																										if ((CAR(BgL_ez00_67) ==
																												BGl_symbol2850z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 409 */
																												if (PAIRP
																													(BgL_cdrzd211149zd2_1502))
																													{	/* Eval/evaluate.scm 409 */
																														obj_t
																															BgL_arg1870z00_1505;
																														obj_t
																															BgL_arg1871z00_1506;
																														BgL_arg1870z00_1505
																															=
																															CAR
																															(BgL_cdrzd211149zd2_1502);
																														BgL_arg1871z00_1506
																															=
																															CDR
																															(BgL_cdrzd211149zd2_1502);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_6526;
																															{
																																obj_t
																																	BgL_bodyz00_6528;
																																obj_t
																																	BgL_bindsz00_6527;
																																BgL_bindsz00_6527
																																	=
																																	BgL_arg1870z00_1505;
																																BgL_bodyz00_6528
																																	=
																																	BgL_arg1871z00_1506;
																																BgL_bodyz00_1029
																																	=
																																	BgL_bodyz00_6528;
																																BgL_bindsz00_1028
																																	=
																																	BgL_bindsz00_6527;
																																goto
																																	BgL_tagzd2160zd2_1030;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6526);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 409 */
																														obj_t
																															BgL_arg1872z00_1507;
																														BgL_arg1872z00_1507
																															=
																															CAR(BgL_ez00_67);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_6531;
																															{
																																obj_t
																																	BgL_argsz00_6533;
																																obj_t
																																	BgL_fz00_6532;
																																BgL_fz00_6532 =
																																	BgL_arg1872z00_1507;
																																BgL_argsz00_6533
																																	=
																																	BgL_cdrzd211149zd2_1502;
																																BgL_argsz00_1075
																																	=
																																	BgL_argsz00_6533;
																																BgL_fz00_1074 =
																																	BgL_fz00_6532;
																																goto
																																	BgL_tagzd2175zd2_1076;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6531);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 409 */
																												if (
																													(CAR(BgL_ez00_67) ==
																														BGl_symbol2881z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 409 */
																														if (PAIRP
																															(BgL_cdrzd211149zd2_1502))
																															{	/* Eval/evaluate.scm 409 */
																																obj_t
																																	BgL_arg1877z00_1512;
																																obj_t
																																	BgL_arg1878z00_1513;
																																BgL_arg1877z00_1512
																																	=
																																	CAR
																																	(BgL_cdrzd211149zd2_1502);
																																BgL_arg1878z00_1513
																																	=
																																	CDR
																																	(BgL_cdrzd211149zd2_1502);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_6542;
																																	{
																																		obj_t
																																			BgL_bodyz00_6544;
																																		obj_t
																																			BgL_bindsz00_6543;
																																		BgL_bindsz00_6543
																																			=
																																			BgL_arg1877z00_1512;
																																		BgL_bodyz00_6544
																																			=
																																			BgL_arg1878z00_1513;
																																		BgL_bodyz00_1032
																																			=
																																			BgL_bodyz00_6544;
																																		BgL_bindsz00_1031
																																			=
																																			BgL_bindsz00_6543;
																																		goto
																																			BgL_tagzd2161zd2_1033;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_6542);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 409 */
																																obj_t
																																	BgL_arg1879z00_1514;
																																obj_t
																																	BgL_arg1880z00_1515;
																																BgL_arg1879z00_1514
																																	=
																																	CAR
																																	(BgL_ez00_67);
																																BgL_arg1880z00_1515
																																	=
																																	CDR
																																	(BgL_ez00_67);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_6548;
																																	{
																																		obj_t
																																			BgL_argsz00_6550;
																																		obj_t
																																			BgL_fz00_6549;
																																		BgL_fz00_6549
																																			=
																																			BgL_arg1879z00_1514;
																																		BgL_argsz00_6550
																																			=
																																			BgL_arg1880z00_1515;
																																		BgL_argsz00_1075
																																			=
																																			BgL_argsz00_6550;
																																		BgL_fz00_1074
																																			=
																																			BgL_fz00_6549;
																																		goto
																																			BgL_tagzd2175zd2_1076;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_6548);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 409 */
																														obj_t
																															BgL_cdrzd211543zd2_1516;
																														BgL_cdrzd211543zd2_1516
																															=
																															CDR(BgL_ez00_67);
																														if ((CAR
																																(BgL_ez00_67) ==
																																BGl_symbol2883z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 409 */
																																if (PAIRP
																																	(BgL_cdrzd211543zd2_1516))
																																	{	/* Eval/evaluate.scm 409 */
																																		obj_t
																																			BgL_arg1883z00_1519;
																																		obj_t
																																			BgL_arg1884z00_1520;
																																		BgL_arg1883z00_1519
																																			=
																																			CAR
																																			(BgL_cdrzd211543zd2_1516);
																																		BgL_arg1884z00_1520
																																			=
																																			CDR
																																			(BgL_cdrzd211543zd2_1516);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_6560;
																																			{
																																				obj_t
																																					BgL_bodyz00_6562;
																																				obj_t
																																					BgL_bindsz00_6561;
																																				BgL_bindsz00_6561
																																					=
																																					BgL_arg1883z00_1519;
																																				BgL_bodyz00_6562
																																					=
																																					BgL_arg1884z00_1520;
																																				BgL_bodyz00_1035
																																					=
																																					BgL_bodyz00_6562;
																																				BgL_bindsz00_1034
																																					=
																																					BgL_bindsz00_6561;
																																				goto
																																					BgL_tagzd2162zd2_1036;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6560);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 409 */
																																		obj_t
																																			BgL_arg1885z00_1521;
																																		BgL_arg1885z00_1521
																																			=
																																			CAR
																																			(BgL_ez00_67);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_6565;
																																			{
																																				obj_t
																																					BgL_argsz00_6567;
																																				obj_t
																																					BgL_fz00_6566;
																																				BgL_fz00_6566
																																					=
																																					BgL_arg1885z00_1521;
																																				BgL_argsz00_6567
																																					=
																																					BgL_cdrzd211543zd2_1516;
																																				BgL_argsz00_1075
																																					=
																																					BgL_argsz00_6567;
																																				BgL_fz00_1074
																																					=
																																					BgL_fz00_6566;
																																				goto
																																					BgL_tagzd2175zd2_1076;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6565);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 409 */
																																if (
																																	(CAR
																																		(BgL_ez00_67)
																																		==
																																		BGl_symbol2885z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 409 */
																																		if (PAIRP
																																			(BgL_cdrzd211543zd2_1516))
																																			{	/* Eval/evaluate.scm 409 */
																																				obj_t
																																					BgL_carzd211717zd2_1526;
																																				obj_t
																																					BgL_cdrzd211718zd2_1527;
																																				BgL_carzd211717zd2_1526
																																					=
																																					CAR
																																					(BgL_cdrzd211543zd2_1516);
																																				BgL_cdrzd211718zd2_1527
																																					=
																																					CDR
																																					(BgL_cdrzd211543zd2_1516);
																																				if (PAIRP(BgL_carzd211717zd2_1526))
																																					{	/* Eval/evaluate.scm 409 */
																																						obj_t
																																							BgL_cdrzd211722zd2_1529;
																																						BgL_cdrzd211722zd2_1529
																																							=
																																							CDR
																																							(BgL_carzd211717zd2_1526);
																																						if (
																																							(CAR
																																								(BgL_carzd211717zd2_1526)
																																								==
																																								BGl_symbol2871z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 409 */
																																								if (PAIRP(BgL_cdrzd211722zd2_1529))
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_carzd211725zd2_1532;
																																										obj_t
																																											BgL_cdrzd211726zd2_1533;
																																										BgL_carzd211725zd2_1532
																																											=
																																											CAR
																																											(BgL_cdrzd211722zd2_1529);
																																										BgL_cdrzd211726zd2_1533
																																											=
																																											CDR
																																											(BgL_cdrzd211722zd2_1529);
																																										if (SYMBOLP(BgL_carzd211725zd2_1532))
																																											{	/* Eval/evaluate.scm 409 */
																																												if (PAIRP(BgL_cdrzd211726zd2_1533))
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_carzd211730zd2_1536;
																																														BgL_carzd211730zd2_1536
																																															=
																																															CAR
																																															(BgL_cdrzd211726zd2_1533);
																																														if (SYMBOLP(BgL_carzd211730zd2_1536))
																																															{	/* Eval/evaluate.scm 409 */
																																																if (NULLP(CDR(BgL_cdrzd211726zd2_1533)))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		if (PAIRP(BgL_cdrzd211718zd2_1527))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				if (NULLP(CDR(BgL_cdrzd211718zd2_1527)))
																																																					{	/* Eval/evaluate.scm 409 */
																																																						obj_t
																																																							BgL_arg1898z00_1541;
																																																						BgL_arg1898z00_1541
																																																							=
																																																							CAR
																																																							(BgL_cdrzd211718zd2_1527);
																																																						{	/* Eval/evaluate.scm 516 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_new1137z00_4015;
																																																							{	/* Eval/evaluate.scm 520 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1136z00_4016;
																																																								BgL_new1136z00_4016
																																																									=
																																																									(
																																																									(BgL_ev_setglobalz00_bglt)
																																																									BREF
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_setglobalz00_bgl))));
																																																								{	/* Eval/evaluate.scm 520 */
																																																									long
																																																										BgL_arg2191z00_4017;
																																																									{	/* Eval/evaluate.scm 520 */
																																																										long
																																																											BgL_res2700z00_4019;
																																																										BgL_res2700z00_4019
																																																											=
																																																											BGL_CLASS_INDEX
																																																											(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																										BgL_arg2191z00_4017
																																																											=
																																																											BgL_res2700z00_4019;
																																																									}
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1136z00_4016), BgL_arg2191z00_4017);
																																																								}
																																																								{	/* Eval/evaluate.scm 520 */
																																																									BgL_objectz00_bglt
																																																										BgL_auxz00_6606;
																																																									BgL_auxz00_6606
																																																										=
																																																										(
																																																										(BgL_objectz00_bglt)
																																																										BgL_new1136z00_4016);
																																																									BGL_OBJECT_WIDENING_SET
																																																										(BgL_auxz00_6606,
																																																										BFALSE);
																																																								}
																																																								BgL_new1137z00_4015
																																																									=
																																																									BgL_new1136z00_4016;
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6609;
																																																								{	/* Eval/evaluate.scm 365 */
																																																									obj_t
																																																										BgL_arg2261z00_4023;
																																																									BgL_arg2261z00_4023
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1898z00_1541,
																																																										BgL_locz00_72);
																																																									BgL_auxz00_6609
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2loczf2zz__evaluatez00
																																																										(BgL_wherez00_71,
																																																											BgL_globalsz00_69,
																																																											BgL_localsz00_68,
																																																											BgL_arg1898z00_1541,
																																																											BgL_arg2261z00_4023));
																																																								}
																																																								((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1137z00_4015)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6609), BUNSPEC);
																																																							}
																																																							((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1137z00_4015))->BgL_locz00) = ((obj_t) BgL_locz00_72), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1137z00_4015))->BgL_namez00) = ((obj_t) BgL_carzd211725zd2_1532), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1137z00_4015))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd211730zd2_1536)), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1137z00_4015);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 409 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_72,
																																																							BGl_string2786z00zz__evaluatez00,
																																																							BGl_string2863z00zz__evaluatez00,
																																																							BgL_ez00_67);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_72,
																																																					BGl_string2786z00zz__evaluatez00,
																																																					BGl_string2863z00zz__evaluatez00,
																																																					BgL_ez00_67);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_cdrzd211846zd2_1543;
																																																		BgL_cdrzd211846zd2_1543
																																																			=
																																																			CDR
																																																			(BgL_ez00_67);
																																																		{	/* Eval/evaluate.scm 409 */
																																																			obj_t
																																																				BgL_cdrzd211850zd2_1544;
																																																			BgL_cdrzd211850zd2_1544
																																																				=
																																																				CDR
																																																				(BgL_cdrzd211846zd2_1543);
																																																			if (PAIRP(BgL_cdrzd211850zd2_1544))
																																																				{	/* Eval/evaluate.scm 409 */
																																																					if (NULLP(CDR(BgL_cdrzd211850zd2_1544)))
																																																						{	/* Eval/evaluate.scm 409 */
																																																							obj_t
																																																								BgL_arg1903z00_1547;
																																																							obj_t
																																																								BgL_arg1904z00_1548;
																																																							BgL_arg1903z00_1547
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211846zd2_1543);
																																																							BgL_arg1904z00_1548
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211850zd2_1544);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_6631;
																																																								{
																																																									obj_t
																																																										BgL_ez00_6633;
																																																									obj_t
																																																										BgL_vz00_6632;
																																																									BgL_vz00_6632
																																																										=
																																																										BgL_arg1903z00_1547;
																																																									BgL_ez00_6633
																																																										=
																																																										BgL_arg1904z00_1548;
																																																									BgL_ez00_1045
																																																										=
																																																										BgL_ez00_6633;
																																																									BgL_vz00_1044
																																																										=
																																																										BgL_vz00_6632;
																																																									goto
																																																										BgL_tagzd2165zd2_1046;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_6631);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 409 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_72,
																																																								BGl_string2786z00zz__evaluatez00,
																																																								BGl_string2863z00zz__evaluatez00,
																																																								BgL_ez00_67);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 409 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_72,
																																																						BGl_string2786z00zz__evaluatez00,
																																																						BGl_string2863z00zz__evaluatez00,
																																																						BgL_ez00_67);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_cdrzd211907zd2_1551;
																																																BgL_cdrzd211907zd2_1551
																																																	=
																																																	CDR
																																																	(BgL_ez00_67);
																																																{	/* Eval/evaluate.scm 409 */
																																																	obj_t
																																																		BgL_cdrzd211911zd2_1552;
																																																	BgL_cdrzd211911zd2_1552
																																																		=
																																																		CDR
																																																		(BgL_cdrzd211907zd2_1551);
																																																	if (PAIRP(BgL_cdrzd211911zd2_1552))
																																																		{	/* Eval/evaluate.scm 409 */
																																																			if (NULLP(CDR(BgL_cdrzd211911zd2_1552)))
																																																				{	/* Eval/evaluate.scm 409 */
																																																					obj_t
																																																						BgL_arg1909z00_1555;
																																																					obj_t
																																																						BgL_arg1910z00_1556;
																																																					BgL_arg1909z00_1555
																																																						=
																																																						CAR
																																																						(BgL_cdrzd211907zd2_1551);
																																																					BgL_arg1910z00_1556
																																																						=
																																																						CAR
																																																						(BgL_cdrzd211911zd2_1552);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6646;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6648;
																																																							obj_t
																																																								BgL_vz00_6647;
																																																							BgL_vz00_6647
																																																								=
																																																								BgL_arg1909z00_1555;
																																																							BgL_ez00_6648
																																																								=
																																																								BgL_arg1910z00_1556;
																																																							BgL_ez00_1045
																																																								=
																																																								BgL_ez00_6648;
																																																							BgL_vz00_1044
																																																								=
																																																								BgL_vz00_6647;
																																																							goto
																																																								BgL_tagzd2165zd2_1046;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6646);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 409 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_72,
																																																						BGl_string2786z00zz__evaluatez00,
																																																						BGl_string2863z00zz__evaluatez00,
																																																						BgL_ez00_67);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 409 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_72,
																																																				BGl_string2786z00zz__evaluatez00,
																																																				BGl_string2863z00zz__evaluatez00,
																																																				BgL_ez00_67);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_cdrzd211968zd2_1558;
																																														BgL_cdrzd211968zd2_1558
																																															=
																																															CDR
																																															(BgL_ez00_67);
																																														{	/* Eval/evaluate.scm 409 */
																																															obj_t
																																																BgL_cdrzd211972zd2_1559;
																																															BgL_cdrzd211972zd2_1559
																																																=
																																																CDR
																																																(BgL_cdrzd211968zd2_1558);
																																															if (PAIRP(BgL_cdrzd211972zd2_1559))
																																																{	/* Eval/evaluate.scm 409 */
																																																	if (NULLP(CDR(BgL_cdrzd211972zd2_1559)))
																																																		{	/* Eval/evaluate.scm 409 */
																																																			obj_t
																																																				BgL_arg1914z00_1562;
																																																			obj_t
																																																				BgL_arg1915z00_1563;
																																																			BgL_arg1914z00_1562
																																																				=
																																																				CAR
																																																				(BgL_cdrzd211968zd2_1558);
																																																			BgL_arg1915z00_1563
																																																				=
																																																				CAR
																																																				(BgL_cdrzd211972zd2_1559);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6661;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6663;
																																																					obj_t
																																																						BgL_vz00_6662;
																																																					BgL_vz00_6662
																																																						=
																																																						BgL_arg1914z00_1562;
																																																					BgL_ez00_6663
																																																						=
																																																						BgL_arg1915z00_1563;
																																																					BgL_ez00_1045
																																																						=
																																																						BgL_ez00_6663;
																																																					BgL_vz00_1044
																																																						=
																																																						BgL_vz00_6662;
																																																					goto
																																																						BgL_tagzd2165zd2_1046;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6661);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 409 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_72,
																																																				BGl_string2786z00zz__evaluatez00,
																																																				BGl_string2863z00zz__evaluatez00,
																																																				BgL_ez00_67);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 409 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_72,
																																																		BGl_string2786z00zz__evaluatez00,
																																																		BGl_string2863z00zz__evaluatez00,
																																																		BgL_ez00_67);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_cdrzd212029zd2_1565;
																																												BgL_cdrzd212029zd2_1565
																																													=
																																													CDR
																																													(BgL_ez00_67);
																																												{	/* Eval/evaluate.scm 409 */
																																													obj_t
																																														BgL_cdrzd212033zd2_1566;
																																													BgL_cdrzd212033zd2_1566
																																														=
																																														CDR
																																														(BgL_cdrzd212029zd2_1565);
																																													if (PAIRP(BgL_cdrzd212033zd2_1566))
																																														{	/* Eval/evaluate.scm 409 */
																																															if (NULLP(CDR(BgL_cdrzd212033zd2_1566)))
																																																{	/* Eval/evaluate.scm 409 */
																																																	obj_t
																																																		BgL_arg1919z00_1569;
																																																	obj_t
																																																		BgL_arg1920z00_1570;
																																																	BgL_arg1919z00_1569
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212029zd2_1565);
																																																	BgL_arg1920z00_1570
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212033zd2_1566);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6676;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6678;
																																																			obj_t
																																																				BgL_vz00_6677;
																																																			BgL_vz00_6677
																																																				=
																																																				BgL_arg1919z00_1569;
																																																			BgL_ez00_6678
																																																				=
																																																				BgL_arg1920z00_1570;
																																																			BgL_ez00_1045
																																																				=
																																																				BgL_ez00_6678;
																																																			BgL_vz00_1044
																																																				=
																																																				BgL_vz00_6677;
																																																			goto
																																																				BgL_tagzd2165zd2_1046;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6676);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 409 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_72,
																																																		BGl_string2786z00zz__evaluatez00,
																																																		BGl_string2863z00zz__evaluatez00,
																																																		BgL_ez00_67);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 409 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_72,
																																																BGl_string2786z00zz__evaluatez00,
																																																BGl_string2863z00zz__evaluatez00,
																																																BgL_ez00_67);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_cdrzd212090zd2_1572;
																																										BgL_cdrzd212090zd2_1572
																																											=
																																											CDR
																																											(BgL_ez00_67);
																																										{	/* Eval/evaluate.scm 409 */
																																											obj_t
																																												BgL_cdrzd212094zd2_1573;
																																											BgL_cdrzd212094zd2_1573
																																												=
																																												CDR
																																												(BgL_cdrzd212090zd2_1572);
																																											if (PAIRP(BgL_cdrzd212094zd2_1573))
																																												{	/* Eval/evaluate.scm 409 */
																																													if (NULLP(CDR(BgL_cdrzd212094zd2_1573)))
																																														{	/* Eval/evaluate.scm 409 */
																																															obj_t
																																																BgL_arg1925z00_1576;
																																															obj_t
																																																BgL_arg1926z00_1577;
																																															BgL_arg1925z00_1576
																																																=
																																																CAR
																																																(BgL_cdrzd212090zd2_1572);
																																															BgL_arg1926z00_1577
																																																=
																																																CAR
																																																(BgL_cdrzd212094zd2_1573);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_6691;
																																																{
																																																	obj_t
																																																		BgL_ez00_6693;
																																																	obj_t
																																																		BgL_vz00_6692;
																																																	BgL_vz00_6692
																																																		=
																																																		BgL_arg1925z00_1576;
																																																	BgL_ez00_6693
																																																		=
																																																		BgL_arg1926z00_1577;
																																																	BgL_ez00_1045
																																																		=
																																																		BgL_ez00_6693;
																																																	BgL_vz00_1044
																																																		=
																																																		BgL_vz00_6692;
																																																	goto
																																																		BgL_tagzd2165zd2_1046;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6691);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 409 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_72,
																																																BGl_string2786z00zz__evaluatez00,
																																																BGl_string2863z00zz__evaluatez00,
																																																BgL_ez00_67);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 409 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_72,
																																														BGl_string2786z00zz__evaluatez00,
																																														BGl_string2863z00zz__evaluatez00,
																																														BgL_ez00_67);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_cdrzd212138zd2_1579;
																																								BgL_cdrzd212138zd2_1579
																																									=
																																									CDR
																																									(BgL_ez00_67);
																																								{	/* Eval/evaluate.scm 409 */
																																									obj_t
																																										BgL_carzd212141zd2_1580;
																																									obj_t
																																										BgL_cdrzd212142zd2_1581;
																																									BgL_carzd212141zd2_1580
																																										=
																																										CAR
																																										(BgL_cdrzd212138zd2_1579);
																																									BgL_cdrzd212142zd2_1581
																																										=
																																										CDR
																																										(BgL_cdrzd212138zd2_1579);
																																									if ((CAR(BgL_carzd212141zd2_1580) == BGl_symbol2873z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 409 */
																																											if (PAIRP(BgL_cdrzd212142zd2_1581))
																																												{	/* Eval/evaluate.scm 409 */
																																													if (NULLP(CDR(BgL_cdrzd212142zd2_1581)))
																																														{
																																															obj_t
																																																BgL_e2z00_6710;
																																															obj_t
																																																BgL_lz00_6708;
																																															BgL_lz00_6708
																																																=
																																																CDR
																																																(BgL_carzd212141zd2_1580);
																																															BgL_e2z00_6710
																																																=
																																																CAR
																																																(BgL_cdrzd212142zd2_1581);
																																															BgL_e2z00_1042
																																																=
																																																BgL_e2z00_6710;
																																															BgL_lz00_1041
																																																=
																																																BgL_lz00_6708;
																																															goto
																																																BgL_tagzd2164zd2_1043;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 409 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_72,
																																																BGl_string2786z00zz__evaluatez00,
																																																BGl_string2863z00zz__evaluatez00,
																																																BgL_ez00_67);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 409 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_72,
																																														BGl_string2786z00zz__evaluatez00,
																																														BGl_string2863z00zz__evaluatez00,
																																														BgL_ez00_67);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 409 */
																																											obj_t
																																												BgL_cdrzd212218zd2_1589;
																																											BgL_cdrzd212218zd2_1589
																																												=
																																												CDR
																																												(BgL_cdrzd212138zd2_1579);
																																											if (PAIRP(BgL_cdrzd212218zd2_1589))
																																												{	/* Eval/evaluate.scm 409 */
																																													if (NULLP(CDR(BgL_cdrzd212218zd2_1589)))
																																														{	/* Eval/evaluate.scm 409 */
																																															obj_t
																																																BgL_arg1936z00_1592;
																																															obj_t
																																																BgL_arg1937z00_1593;
																																															BgL_arg1936z00_1592
																																																=
																																																CAR
																																																(BgL_cdrzd212138zd2_1579);
																																															BgL_arg1937z00_1593
																																																=
																																																CAR
																																																(BgL_cdrzd212218zd2_1589);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_6722;
																																																{
																																																	obj_t
																																																		BgL_ez00_6724;
																																																	obj_t
																																																		BgL_vz00_6723;
																																																	BgL_vz00_6723
																																																		=
																																																		BgL_arg1936z00_1592;
																																																	BgL_ez00_6724
																																																		=
																																																		BgL_arg1937z00_1593;
																																																	BgL_ez00_1045
																																																		=
																																																		BgL_ez00_6724;
																																																	BgL_vz00_1044
																																																		=
																																																		BgL_vz00_6723;
																																																	goto
																																																		BgL_tagzd2165zd2_1046;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6722);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 409 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_72,
																																																BGl_string2786z00zz__evaluatez00,
																																																BGl_string2863z00zz__evaluatez00,
																																																BgL_ez00_67);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 409 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_72,
																																														BGl_string2786z00zz__evaluatez00,
																																														BGl_string2863z00zz__evaluatez00,
																																														BgL_ez00_67);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 409 */
																																						obj_t
																																							BgL_cdrzd212275zd2_1597;
																																						BgL_cdrzd212275zd2_1597
																																							=
																																							CDR
																																							(BgL_ez00_67);
																																						{	/* Eval/evaluate.scm 409 */
																																							obj_t
																																								BgL_cdrzd212279zd2_1598;
																																							BgL_cdrzd212279zd2_1598
																																								=
																																								CDR
																																								(BgL_cdrzd212275zd2_1597);
																																							if (PAIRP(BgL_cdrzd212279zd2_1598))
																																								{	/* Eval/evaluate.scm 409 */
																																									if (NULLP(CDR(BgL_cdrzd212279zd2_1598)))
																																										{	/* Eval/evaluate.scm 409 */
																																											obj_t
																																												BgL_arg1943z00_1601;
																																											obj_t
																																												BgL_arg1944z00_1602;
																																											BgL_arg1943z00_1601
																																												=
																																												CAR
																																												(BgL_cdrzd212275zd2_1597);
																																											BgL_arg1944z00_1602
																																												=
																																												CAR
																																												(BgL_cdrzd212279zd2_1598);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_6737;
																																												{
																																													obj_t
																																														BgL_ez00_6739;
																																													obj_t
																																														BgL_vz00_6738;
																																													BgL_vz00_6738
																																														=
																																														BgL_arg1943z00_1601;
																																													BgL_ez00_6739
																																														=
																																														BgL_arg1944z00_1602;
																																													BgL_ez00_1045
																																														=
																																														BgL_ez00_6739;
																																													BgL_vz00_1044
																																														=
																																														BgL_vz00_6738;
																																													goto
																																														BgL_tagzd2165zd2_1046;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_6737);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 409 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_72,
																																												BGl_string2786z00zz__evaluatez00,
																																												BGl_string2863z00zz__evaluatez00,
																																												BgL_ez00_67);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 409 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_72,
																																										BGl_string2786z00zz__evaluatez00,
																																										BGl_string2863z00zz__evaluatez00,
																																										BgL_ez00_67);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 409 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_72,
																																					BGl_string2786z00zz__evaluatez00,
																																					BGl_string2863z00zz__evaluatez00,
																																					BgL_ez00_67);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 409 */
																																		obj_t
																																			BgL_cdrzd212400zd2_1604;
																																		BgL_cdrzd212400zd2_1604
																																			=
																																			CDR
																																			(BgL_ez00_67);
																																		if ((CAR
																																				(BgL_ez00_67)
																																				==
																																				BGl_symbol2887z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 409 */
																																				if (PAIRP(BgL_cdrzd212400zd2_1604))
																																					{	/* Eval/evaluate.scm 409 */
																																						obj_t
																																							BgL_cdrzd212405zd2_1607;
																																						BgL_cdrzd212405zd2_1607
																																							=
																																							CDR
																																							(BgL_cdrzd212400zd2_1604);
																																						if (PAIRP(BgL_cdrzd212405zd2_1607))
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_carzd212409zd2_1609;
																																								BgL_carzd212409zd2_1609
																																									=
																																									CAR
																																									(BgL_cdrzd212405zd2_1607);
																																								if (PAIRP(BgL_carzd212409zd2_1609))
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_cdrzd212414zd2_1611;
																																										BgL_cdrzd212414zd2_1611
																																											=
																																											CDR
																																											(BgL_carzd212409zd2_1609);
																																										if ((CAR(BgL_carzd212409zd2_1609) == BGl_symbol2852z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 409 */
																																												if (PAIRP(BgL_cdrzd212414zd2_1611))
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_cdrzd212418zd2_1614;
																																														BgL_cdrzd212418zd2_1614
																																															=
																																															CDR
																																															(BgL_cdrzd212414zd2_1611);
																																														if (PAIRP(BgL_cdrzd212418zd2_1614))
																																															{	/* Eval/evaluate.scm 409 */
																																																if (NULLP(CDR(BgL_cdrzd212418zd2_1614)))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		if (NULLP(CDR(BgL_cdrzd212405zd2_1607)))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg1955z00_1618;
																																																				obj_t
																																																					BgL_arg1956z00_1619;
																																																				obj_t
																																																					BgL_arg1957z00_1620;
																																																				BgL_arg1955z00_1618
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212400zd2_1604);
																																																				BgL_arg1956z00_1619
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212414zd2_1611);
																																																				BgL_arg1957z00_1620
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212418zd2_1614);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6774;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6777;
																																																						obj_t
																																																							BgL_formalsz00_6776;
																																																						obj_t
																																																							BgL_gvz00_6775;
																																																						BgL_gvz00_6775
																																																							=
																																																							BgL_arg1955z00_1618;
																																																						BgL_formalsz00_6776
																																																							=
																																																							BgL_arg1956z00_1619;
																																																						BgL_bodyz00_6777
																																																							=
																																																							BgL_arg1957z00_1620;
																																																						BgL_bodyz00_1050
																																																							=
																																																							BgL_bodyz00_6777;
																																																						BgL_formalsz00_1049
																																																							=
																																																							BgL_formalsz00_6776;
																																																						BgL_gvz00_1048
																																																							=
																																																							BgL_gvz00_6775;
																																																						goto
																																																							BgL_tagzd2167zd2_1051;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6774);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg1958z00_1621;
																																																				BgL_arg1958z00_1621
																																																					=
																																																					CAR
																																																					(BgL_ez00_67);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6780;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6782;
																																																						obj_t
																																																							BgL_fz00_6781;
																																																						BgL_fz00_6781
																																																							=
																																																							BgL_arg1958z00_1621;
																																																						BgL_argsz00_6782
																																																							=
																																																							BgL_cdrzd212400zd2_1604;
																																																						BgL_argsz00_1075
																																																							=
																																																							BgL_argsz00_6782;
																																																						BgL_fz00_1074
																																																							=
																																																							BgL_fz00_6781;
																																																						goto
																																																							BgL_tagzd2175zd2_1076;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6780);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_cdrzd212518zd2_1625;
																																																		BgL_cdrzd212518zd2_1625
																																																			=
																																																			CDR
																																																			(BgL_cdrzd212400zd2_1604);
																																																		if (NULLP(CDR(BgL_cdrzd212518zd2_1625)))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg1964z00_1627;
																																																				obj_t
																																																					BgL_arg1965z00_1628;
																																																				BgL_arg1964z00_1627
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212400zd2_1604);
																																																				BgL_arg1965z00_1628
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212518zd2_1625);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6790;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6792;
																																																						obj_t
																																																							BgL_gvz00_6791;
																																																						BgL_gvz00_6791
																																																							=
																																																							BgL_arg1964z00_1627;
																																																						BgL_gez00_6792
																																																							=
																																																							BgL_arg1965z00_1628;
																																																						BgL_gez00_1053
																																																							=
																																																							BgL_gez00_6792;
																																																						BgL_gvz00_1052
																																																							=
																																																							BgL_gvz00_6791;
																																																						goto
																																																							BgL_tagzd2168zd2_1054;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6790);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg1966z00_1629;
																																																				obj_t
																																																					BgL_arg1968z00_1630;
																																																				BgL_arg1966z00_1629
																																																					=
																																																					CAR
																																																					(BgL_ez00_67);
																																																				BgL_arg1968z00_1630
																																																					=
																																																					CDR
																																																					(BgL_ez00_67);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6796;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6798;
																																																						obj_t
																																																							BgL_fz00_6797;
																																																						BgL_fz00_6797
																																																							=
																																																							BgL_arg1966z00_1629;
																																																						BgL_argsz00_6798
																																																							=
																																																							BgL_arg1968z00_1630;
																																																						BgL_argsz00_1075
																																																							=
																																																							BgL_argsz00_6798;
																																																						BgL_fz00_1074
																																																							=
																																																							BgL_fz00_6797;
																																																						goto
																																																							BgL_tagzd2175zd2_1076;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6796);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_cdrzd212605zd2_1634;
																																																BgL_cdrzd212605zd2_1634
																																																	=
																																																	CDR
																																																	(BgL_cdrzd212400zd2_1604);
																																																if (NULLP(CDR(BgL_cdrzd212605zd2_1634)))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_arg1972z00_1636;
																																																		obj_t
																																																			BgL_arg1973z00_1637;
																																																		BgL_arg1972z00_1636
																																																			=
																																																			CAR
																																																			(BgL_cdrzd212400zd2_1604);
																																																		BgL_arg1973z00_1637
																																																			=
																																																			CAR
																																																			(BgL_cdrzd212605zd2_1634);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6806;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6808;
																																																				obj_t
																																																					BgL_gvz00_6807;
																																																				BgL_gvz00_6807
																																																					=
																																																					BgL_arg1972z00_1636;
																																																				BgL_gez00_6808
																																																					=
																																																					BgL_arg1973z00_1637;
																																																				BgL_gez00_1053
																																																					=
																																																					BgL_gez00_6808;
																																																				BgL_gvz00_1052
																																																					=
																																																					BgL_gvz00_6807;
																																																				goto
																																																					BgL_tagzd2168zd2_1054;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6806);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_arg1974z00_1638;
																																																		obj_t
																																																			BgL_arg1975z00_1639;
																																																		BgL_arg1974z00_1638
																																																			=
																																																			CAR
																																																			(BgL_ez00_67);
																																																		BgL_arg1975z00_1639
																																																			=
																																																			CDR
																																																			(BgL_ez00_67);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6812;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6814;
																																																				obj_t
																																																					BgL_fz00_6813;
																																																				BgL_fz00_6813
																																																					=
																																																					BgL_arg1974z00_1638;
																																																				BgL_argsz00_6814
																																																					=
																																																					BgL_arg1975z00_1639;
																																																				BgL_argsz00_1075
																																																					=
																																																					BgL_argsz00_6814;
																																																				BgL_fz00_1074
																																																					=
																																																					BgL_fz00_6813;
																																																				goto
																																																					BgL_tagzd2175zd2_1076;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6812);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_cdrzd212692zd2_1642;
																																														BgL_cdrzd212692zd2_1642
																																															=
																																															CDR
																																															(BgL_cdrzd212400zd2_1604);
																																														if (NULLP(CDR(BgL_cdrzd212692zd2_1642)))
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_arg1978z00_1644;
																																																obj_t
																																																	BgL_arg1979z00_1645;
																																																BgL_arg1978z00_1644
																																																	=
																																																	CAR
																																																	(BgL_cdrzd212400zd2_1604);
																																																BgL_arg1979z00_1645
																																																	=
																																																	CAR
																																																	(BgL_cdrzd212692zd2_1642);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6822;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6824;
																																																		obj_t
																																																			BgL_gvz00_6823;
																																																		BgL_gvz00_6823
																																																			=
																																																			BgL_arg1978z00_1644;
																																																		BgL_gez00_6824
																																																			=
																																																			BgL_arg1979z00_1645;
																																																		BgL_gez00_1053
																																																			=
																																																			BgL_gez00_6824;
																																																		BgL_gvz00_1052
																																																			=
																																																			BgL_gvz00_6823;
																																																		goto
																																																			BgL_tagzd2168zd2_1054;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6822);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_arg1980z00_1646;
																																																obj_t
																																																	BgL_arg1981z00_1647;
																																																BgL_arg1980z00_1646
																																																	=
																																																	CAR
																																																	(BgL_ez00_67);
																																																BgL_arg1981z00_1647
																																																	=
																																																	CDR
																																																	(BgL_ez00_67);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6828;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6830;
																																																		obj_t
																																																			BgL_fz00_6829;
																																																		BgL_fz00_6829
																																																			=
																																																			BgL_arg1980z00_1646;
																																																		BgL_argsz00_6830
																																																			=
																																																			BgL_arg1981z00_1647;
																																																		BgL_argsz00_1075
																																																			=
																																																			BgL_argsz00_6830;
																																																		BgL_fz00_1074
																																																			=
																																																			BgL_fz00_6829;
																																																		goto
																																																			BgL_tagzd2175zd2_1076;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6828);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_cdrzd212779zd2_1650;
																																												BgL_cdrzd212779zd2_1650
																																													=
																																													CDR
																																													(BgL_cdrzd212400zd2_1604);
																																												if (NULLP(CDR(BgL_cdrzd212779zd2_1650)))
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg1984z00_1652;
																																														obj_t
																																															BgL_arg1986z00_1653;
																																														BgL_arg1984z00_1652
																																															=
																																															CAR
																																															(BgL_cdrzd212400zd2_1604);
																																														BgL_arg1986z00_1653
																																															=
																																															CAR
																																															(BgL_cdrzd212779zd2_1650);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6838;
																																															{
																																																obj_t
																																																	BgL_gez00_6840;
																																																obj_t
																																																	BgL_gvz00_6839;
																																																BgL_gvz00_6839
																																																	=
																																																	BgL_arg1984z00_1652;
																																																BgL_gez00_6840
																																																	=
																																																	BgL_arg1986z00_1653;
																																																BgL_gez00_1053
																																																	=
																																																	BgL_gez00_6840;
																																																BgL_gvz00_1052
																																																	=
																																																	BgL_gvz00_6839;
																																																goto
																																																	BgL_tagzd2168zd2_1054;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6838);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg1987z00_1654;
																																														obj_t
																																															BgL_arg1988z00_1655;
																																														BgL_arg1987z00_1654
																																															=
																																															CAR
																																															(BgL_ez00_67);
																																														BgL_arg1988z00_1655
																																															=
																																															CDR
																																															(BgL_ez00_67);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6844;
																																															{
																																																obj_t
																																																	BgL_argsz00_6846;
																																																obj_t
																																																	BgL_fz00_6845;
																																																BgL_fz00_6845
																																																	=
																																																	BgL_arg1987z00_1654;
																																																BgL_argsz00_6846
																																																	=
																																																	BgL_arg1988z00_1655;
																																																BgL_argsz00_1075
																																																	=
																																																	BgL_argsz00_6846;
																																																BgL_fz00_1074
																																																	=
																																																	BgL_fz00_6845;
																																																goto
																																																	BgL_tagzd2175zd2_1076;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6844);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_cdrzd212866zd2_1659;
																																										BgL_cdrzd212866zd2_1659
																																											=
																																											CDR
																																											(BgL_cdrzd212400zd2_1604);
																																										if (NULLP(CDR(BgL_cdrzd212866zd2_1659)))
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_arg1993z00_1661;
																																												obj_t
																																													BgL_arg1994z00_1662;
																																												BgL_arg1993z00_1661
																																													=
																																													CAR
																																													(BgL_cdrzd212400zd2_1604);
																																												BgL_arg1994z00_1662
																																													=
																																													CAR
																																													(BgL_cdrzd212866zd2_1659);
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_6854;
																																													{
																																														obj_t
																																															BgL_gez00_6856;
																																														obj_t
																																															BgL_gvz00_6855;
																																														BgL_gvz00_6855
																																															=
																																															BgL_arg1993z00_1661;
																																														BgL_gez00_6856
																																															=
																																															BgL_arg1994z00_1662;
																																														BgL_gez00_1053
																																															=
																																															BgL_gez00_6856;
																																														BgL_gvz00_1052
																																															=
																																															BgL_gvz00_6855;
																																														goto
																																															BgL_tagzd2168zd2_1054;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6854);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_arg1995z00_1663;
																																												obj_t
																																													BgL_arg1996z00_1664;
																																												BgL_arg1995z00_1663
																																													=
																																													CAR
																																													(BgL_ez00_67);
																																												BgL_arg1996z00_1664
																																													=
																																													CDR
																																													(BgL_ez00_67);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6860;
																																													{
																																														obj_t
																																															BgL_argsz00_6862;
																																														obj_t
																																															BgL_fz00_6861;
																																														BgL_fz00_6861
																																															=
																																															BgL_arg1995z00_1663;
																																														BgL_argsz00_6862
																																															=
																																															BgL_arg1996z00_1664;
																																														BgL_argsz00_1075
																																															=
																																															BgL_argsz00_6862;
																																														BgL_fz00_1074
																																															=
																																															BgL_fz00_6861;
																																														goto
																																															BgL_tagzd2175zd2_1076;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6860);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_arg1998z00_1666;
																																								BgL_arg1998z00_1666
																																									=
																																									CAR
																																									(BgL_ez00_67);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6865;
																																									{
																																										obj_t
																																											BgL_argsz00_6867;
																																										obj_t
																																											BgL_fz00_6866;
																																										BgL_fz00_6866
																																											=
																																											BgL_arg1998z00_1666;
																																										BgL_argsz00_6867
																																											=
																																											BgL_cdrzd212400zd2_1604;
																																										BgL_argsz00_1075
																																											=
																																											BgL_argsz00_6867;
																																										BgL_fz00_1074
																																											=
																																											BgL_fz00_6866;
																																										goto
																																											BgL_tagzd2175zd2_1076;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6865);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 409 */
																																						obj_t
																																							BgL_arg2000z00_1668;
																																						BgL_arg2000z00_1668
																																							=
																																							CAR
																																							(BgL_ez00_67);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_6870;
																																							{
																																								obj_t
																																									BgL_argsz00_6872;
																																								obj_t
																																									BgL_fz00_6871;
																																								BgL_fz00_6871
																																									=
																																									BgL_arg2000z00_1668;
																																								BgL_argsz00_6872
																																									=
																																									BgL_cdrzd212400zd2_1604;
																																								BgL_argsz00_1075
																																									=
																																									BgL_argsz00_6872;
																																								BgL_fz00_1074
																																									=
																																									BgL_fz00_6871;
																																								goto
																																									BgL_tagzd2175zd2_1076;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_6870);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 409 */
																																				if (
																																					(CAR
																																						(BgL_ez00_67)
																																						==
																																						BGl_symbol2889z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 409 */
																																						if (PAIRP(BgL_cdrzd212400zd2_1604))
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_carzd213108zd2_1673;
																																								BgL_carzd213108zd2_1673
																																									=
																																									CAR
																																									(BgL_cdrzd212400zd2_1604);
																																								if (PAIRP(BgL_carzd213108zd2_1673))
																																									{	/* Eval/evaluate.scm 409 */
																																										if (NULLP(CDR(BgL_carzd213108zd2_1673)))
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_arg2007z00_1676;
																																												obj_t
																																													BgL_arg2008z00_1677;
																																												BgL_arg2007z00_1676
																																													=
																																													CAR
																																													(BgL_carzd213108zd2_1673);
																																												BgL_arg2008z00_1677
																																													=
																																													CDR
																																													(BgL_cdrzd212400zd2_1604);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_6887;
																																													{
																																														obj_t
																																															BgL_bodyz00_6889;
																																														obj_t
																																															BgL_vz00_6888;
																																														BgL_vz00_6888
																																															=
																																															BgL_arg2007z00_1676;
																																														BgL_bodyz00_6889
																																															=
																																															BgL_arg2008z00_1677;
																																														BgL_bodyz00_1056
																																															=
																																															BgL_bodyz00_6889;
																																														BgL_vz00_1055
																																															=
																																															BgL_vz00_6888;
																																														goto
																																															BgL_tagzd2169zd2_1057;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6887);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_arg2009z00_1678;
																																												obj_t
																																													BgL_arg2010z00_1679;
																																												BgL_arg2009z00_1678
																																													=
																																													CAR
																																													(BgL_ez00_67);
																																												BgL_arg2010z00_1679
																																													=
																																													CDR
																																													(BgL_ez00_67);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6893;
																																													{
																																														obj_t
																																															BgL_argsz00_6895;
																																														obj_t
																																															BgL_fz00_6894;
																																														BgL_fz00_6894
																																															=
																																															BgL_arg2009z00_1678;
																																														BgL_argsz00_6895
																																															=
																																															BgL_arg2010z00_1679;
																																														BgL_argsz00_1075
																																															=
																																															BgL_argsz00_6895;
																																														BgL_fz00_1074
																																															=
																																															BgL_fz00_6894;
																																														goto
																																															BgL_tagzd2175zd2_1076;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6893);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_arg2012z00_1681;
																																										obj_t
																																											BgL_arg2014z00_1682;
																																										BgL_arg2012z00_1681
																																											=
																																											CAR
																																											(BgL_ez00_67);
																																										BgL_arg2014z00_1682
																																											=
																																											CDR
																																											(BgL_ez00_67);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6899;
																																											{
																																												obj_t
																																													BgL_argsz00_6901;
																																												obj_t
																																													BgL_fz00_6900;
																																												BgL_fz00_6900
																																													=
																																													BgL_arg2012z00_1681;
																																												BgL_argsz00_6901
																																													=
																																													BgL_arg2014z00_1682;
																																												BgL_argsz00_1075
																																													=
																																													BgL_argsz00_6901;
																																												BgL_fz00_1074
																																													=
																																													BgL_fz00_6900;
																																												goto
																																													BgL_tagzd2175zd2_1076;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6899);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 409 */
																																								obj_t
																																									BgL_arg2015z00_1683;
																																								obj_t
																																									BgL_arg2016z00_1684;
																																								BgL_arg2015z00_1683
																																									=
																																									CAR
																																									(BgL_ez00_67);
																																								BgL_arg2016z00_1684
																																									=
																																									CDR
																																									(BgL_ez00_67);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6905;
																																									{
																																										obj_t
																																											BgL_argsz00_6907;
																																										obj_t
																																											BgL_fz00_6906;
																																										BgL_fz00_6906
																																											=
																																											BgL_arg2015z00_1683;
																																										BgL_argsz00_6907
																																											=
																																											BgL_arg2016z00_1684;
																																										BgL_argsz00_1075
																																											=
																																											BgL_argsz00_6907;
																																										BgL_fz00_1074
																																											=
																																											BgL_fz00_6906;
																																										goto
																																											BgL_tagzd2175zd2_1076;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6905);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 409 */
																																						obj_t
																																							BgL_cdrzd213273zd2_1685;
																																						BgL_cdrzd213273zd2_1685
																																							=
																																							CDR
																																							(BgL_ez00_67);
																																						if (
																																							(CAR
																																								(BgL_ez00_67)
																																								==
																																								BGl_symbol2891z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 409 */
																																								if (PAIRP(BgL_cdrzd213273zd2_1685))
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_arg2019z00_1688;
																																										obj_t
																																											BgL_arg2021z00_1689;
																																										BgL_arg2019z00_1688
																																											=
																																											CAR
																																											(BgL_cdrzd213273zd2_1685);
																																										BgL_arg2021z00_1689
																																											=
																																											CDR
																																											(BgL_cdrzd213273zd2_1685);
																																										{
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_auxz00_6917;
																																											{
																																												obj_t
																																													BgL_bodyz00_6919;
																																												obj_t
																																													BgL_ez00_6918;
																																												BgL_ez00_6918
																																													=
																																													BgL_arg2019z00_1688;
																																												BgL_bodyz00_6919
																																													=
																																													BgL_arg2021z00_1689;
																																												BgL_bodyz00_1059
																																													=
																																													BgL_bodyz00_6919;
																																												BgL_ez00_1058
																																													=
																																													BgL_ez00_6918;
																																												goto
																																													BgL_tagzd2170zd2_1060;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6917);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_arg2022z00_1690;
																																										BgL_arg2022z00_1690
																																											=
																																											CAR
																																											(BgL_ez00_67);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6922;
																																											{
																																												obj_t
																																													BgL_argsz00_6924;
																																												obj_t
																																													BgL_fz00_6923;
																																												BgL_fz00_6923
																																													=
																																													BgL_arg2022z00_1690;
																																												BgL_argsz00_6924
																																													=
																																													BgL_cdrzd213273zd2_1685;
																																												BgL_argsz00_1075
																																													=
																																													BgL_argsz00_6924;
																																												BgL_fz00_1074
																																													=
																																													BgL_fz00_6923;
																																												goto
																																													BgL_tagzd2175zd2_1076;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6922);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 409 */
																																								if ((CAR(BgL_ez00_67) == BGl_symbol2893z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 409 */
																																										if (PAIRP(BgL_cdrzd213273zd2_1685))
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_arg2026z00_1695;
																																												obj_t
																																													BgL_arg2027z00_1696;
																																												BgL_arg2026z00_1695
																																													=
																																													CAR
																																													(BgL_cdrzd213273zd2_1685);
																																												BgL_arg2027z00_1696
																																													=
																																													CDR
																																													(BgL_cdrzd213273zd2_1685);
																																												{
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_auxz00_6933;
																																													{
																																														obj_t
																																															BgL_bodyz00_6935;
																																														obj_t
																																															BgL_hz00_6934;
																																														BgL_hz00_6934
																																															=
																																															BgL_arg2026z00_1695;
																																														BgL_bodyz00_6935
																																															=
																																															BgL_arg2027z00_1696;
																																														BgL_bodyz00_1062
																																															=
																																															BgL_bodyz00_6935;
																																														BgL_hz00_1061
																																															=
																																															BgL_hz00_6934;
																																														goto
																																															BgL_tagzd2171zd2_1063;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6933);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												obj_t
																																													BgL_arg2028z00_1697;
																																												obj_t
																																													BgL_arg2029z00_1698;
																																												BgL_arg2028z00_1697
																																													=
																																													CAR
																																													(BgL_ez00_67);
																																												BgL_arg2029z00_1698
																																													=
																																													CDR
																																													(BgL_ez00_67);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6939;
																																													{
																																														obj_t
																																															BgL_argsz00_6941;
																																														obj_t
																																															BgL_fz00_6940;
																																														BgL_fz00_6940
																																															=
																																															BgL_arg2028z00_1697;
																																														BgL_argsz00_6941
																																															=
																																															BgL_arg2029z00_1698;
																																														BgL_argsz00_1075
																																															=
																																															BgL_argsz00_6941;
																																														BgL_fz00_1074
																																															=
																																															BgL_fz00_6940;
																																														goto
																																															BgL_tagzd2175zd2_1076;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6939);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 409 */
																																										obj_t
																																											BgL_cdrzd213376zd2_1699;
																																										BgL_cdrzd213376zd2_1699
																																											=
																																											CDR
																																											(BgL_ez00_67);
																																										if ((CAR(BgL_ez00_67) == BGl_symbol2895z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 409 */
																																												if (PAIRP(BgL_cdrzd213376zd2_1699))
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_cdrzd213381zd2_1702;
																																														BgL_cdrzd213381zd2_1702
																																															=
																																															CDR
																																															(BgL_cdrzd213376zd2_1699);
																																														if (PAIRP(BgL_cdrzd213381zd2_1702))
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_cdrzd213386zd2_1704;
																																																BgL_cdrzd213386zd2_1704
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213381zd2_1702);
																																																if ((CAR(BgL_cdrzd213381zd2_1702) == BGl_keyword2897z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		if (PAIRP(BgL_cdrzd213386zd2_1704))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg2035z00_1707;
																																																				obj_t
																																																					BgL_arg2036z00_1708;
																																																				obj_t
																																																					BgL_arg2037z00_1709;
																																																				BgL_arg2035z00_1707
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_1699);
																																																				BgL_arg2036z00_1708
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213386zd2_1704);
																																																				BgL_arg2037z00_1709
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213386zd2_1704);
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6961;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6964;
																																																						obj_t
																																																							BgL_pz00_6963;
																																																						obj_t
																																																							BgL_mz00_6962;
																																																						BgL_mz00_6962
																																																							=
																																																							BgL_arg2035z00_1707;
																																																						BgL_pz00_6963
																																																							=
																																																							BgL_arg2036z00_1708;
																																																						BgL_bodyz00_6964
																																																							=
																																																							BgL_arg2037z00_1709;
																																																						BgL_bodyz00_1066
																																																							=
																																																							BgL_bodyz00_6964;
																																																						BgL_pz00_1065
																																																							=
																																																							BgL_pz00_6963;
																																																						BgL_mz00_1064
																																																							=
																																																							BgL_mz00_6962;
																																																						goto
																																																							BgL_tagzd2172zd2_1067;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6961);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg2038z00_1711;
																																																				obj_t
																																																					BgL_arg2039z00_1712;
																																																				BgL_arg2038z00_1711
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_1699);
																																																				BgL_arg2039z00_1712
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213376zd2_1699);
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6968;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6970;
																																																						obj_t
																																																							BgL_mz00_6969;
																																																						BgL_mz00_6969
																																																							=
																																																							BgL_arg2038z00_1711;
																																																						BgL_bodyz00_6970
																																																							=
																																																							BgL_arg2039z00_1712;
																																																						BgL_bodyz00_1069
																																																							=
																																																							BgL_bodyz00_6970;
																																																						BgL_mz00_1068
																																																							=
																																																							BgL_mz00_6969;
																																																						goto
																																																							BgL_tagzd2173zd2_1070;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6968);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_arg2040z00_1714;
																																																		obj_t
																																																			BgL_arg2042z00_1715;
																																																		BgL_arg2040z00_1714
																																																			=
																																																			CAR
																																																			(BgL_cdrzd213376zd2_1699);
																																																		BgL_arg2042z00_1715
																																																			=
																																																			CDR
																																																			(BgL_cdrzd213376zd2_1699);
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6974;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6976;
																																																				obj_t
																																																					BgL_mz00_6975;
																																																				BgL_mz00_6975
																																																					=
																																																					BgL_arg2040z00_1714;
																																																				BgL_bodyz00_6976
																																																					=
																																																					BgL_arg2042z00_1715;
																																																				BgL_bodyz00_1069
																																																					=
																																																					BgL_bodyz00_6976;
																																																				BgL_mz00_1068
																																																					=
																																																					BgL_mz00_6975;
																																																				goto
																																																					BgL_tagzd2173zd2_1070;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6974);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_arg2044z00_1718;
																																																obj_t
																																																	BgL_arg2046z00_1719;
																																																BgL_arg2044z00_1718
																																																	=
																																																	CAR
																																																	(BgL_cdrzd213376zd2_1699);
																																																BgL_arg2046z00_1719
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213376zd2_1699);
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_6980;
																																																	{
																																																		obj_t
																																																			BgL_bodyz00_6982;
																																																		obj_t
																																																			BgL_mz00_6981;
																																																		BgL_mz00_6981
																																																			=
																																																			BgL_arg2044z00_1718;
																																																		BgL_bodyz00_6982
																																																			=
																																																			BgL_arg2046z00_1719;
																																																		BgL_bodyz00_1069
																																																			=
																																																			BgL_bodyz00_6982;
																																																		BgL_mz00_1068
																																																			=
																																																			BgL_mz00_6981;
																																																		goto
																																																			BgL_tagzd2173zd2_1070;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6980);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg2047z00_1720;
																																														BgL_arg2047z00_1720
																																															=
																																															CAR
																																															(BgL_ez00_67);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6985;
																																															{
																																																obj_t
																																																	BgL_argsz00_6987;
																																																obj_t
																																																	BgL_fz00_6986;
																																																BgL_fz00_6986
																																																	=
																																																	BgL_arg2047z00_1720;
																																																BgL_argsz00_6987
																																																	=
																																																	BgL_cdrzd213376zd2_1699;
																																																BgL_argsz00_1075
																																																	=
																																																	BgL_argsz00_6987;
																																																BgL_fz00_1074
																																																	=
																																																	BgL_fz00_6986;
																																																goto
																																																	BgL_tagzd2175zd2_1076;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6985);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 409 */
																																												if ((CAR(BgL_ez00_67) == BGl_symbol2852z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 409 */
																																														if (PAIRP(BgL_cdrzd213376zd2_1699))
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_cdrzd213486zd2_1725;
																																																BgL_cdrzd213486zd2_1725
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213376zd2_1699);
																																																if (PAIRP(BgL_cdrzd213486zd2_1725))
																																																	{	/* Eval/evaluate.scm 409 */
																																																		if (NULLP(CDR(BgL_cdrzd213486zd2_1725)))
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg2053z00_1728;
																																																				obj_t
																																																					BgL_arg2054z00_1729;
																																																				BgL_arg2053z00_1728
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213376zd2_1699);
																																																				BgL_arg2054z00_1729
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213486zd2_1725);
																																																				{	/* Eval/evaluate.scm 580 */
																																																					obj_t
																																																						BgL_arg2220z00_4248;
																																																					{	/* Eval/evaluate.scm 580 */
																																																						obj_t
																																																							BgL_arg2222z00_4249;
																																																						{	/* Eval/evaluate.scm 580 */
																																																							obj_t
																																																								BgL_arg2223z00_4250;
																																																							obj_t
																																																								BgL_arg2224z00_4251;
																																																							{	/* Eval/evaluate.scm 580 */
																																																								obj_t
																																																									BgL_res2740z00_4254;
																																																								{	/* Eval/evaluate.scm 580 */
																																																									obj_t
																																																										BgL_symbolz00_4252;
																																																									BgL_symbolz00_4252
																																																										=
																																																										BGl_symbol2899z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 580 */
																																																										obj_t
																																																											BgL_arg2374z00_4253;
																																																										BgL_arg2374z00_4253
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_4252);
																																																										BgL_res2740z00_4254
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2374z00_4253);
																																																									}
																																																								}
																																																								BgL_arg2223z00_4250
																																																									=
																																																									BgL_res2740z00_4254;
																																																							}
																																																							{	/* Eval/evaluate.scm 580 */
																																																								obj_t
																																																									BgL_res2741z00_4257;
																																																								{	/* Eval/evaluate.scm 580 */
																																																									obj_t
																																																										BgL_arg2374z00_4256;
																																																									BgL_arg2374z00_4256
																																																										=
																																																										SYMBOL_TO_STRING
																																																										(BgL_wherez00_71);
																																																									BgL_res2741z00_4257
																																																										=
																																																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																										(BgL_arg2374z00_4256);
																																																								}
																																																								BgL_arg2224z00_4251
																																																									=
																																																									BgL_res2741z00_4257;
																																																							}
																																																							BgL_arg2222z00_4249
																																																								=
																																																								string_append
																																																								(BgL_arg2223z00_4250,
																																																								BgL_arg2224z00_4251);
																																																						}
																																																						BgL_arg2220z00_4248
																																																							=
																																																							bstring_to_symbol
																																																							(BgL_arg2222z00_4249);
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdazd2zz__evaluatez00
																																																						(BgL_globalsz00_69,
																																																							BgL_localsz00_68,
																																																							BgL_ez00_67,
																																																							BgL_locz00_72,
																																																							BgL_arg2053z00_1728,
																																																							BgL_arg2054z00_1729,
																																																							BgL_arg2220z00_4248,
																																																							BFALSE));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 409 */
																																																				obj_t
																																																					BgL_arg2055z00_1730;
																																																				obj_t
																																																					BgL_arg2056z00_1731;
																																																				BgL_arg2055z00_1730
																																																					=
																																																					CAR
																																																					(BgL_ez00_67);
																																																				BgL_arg2056z00_1731
																																																					=
																																																					CDR
																																																					(BgL_ez00_67);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7012;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7014;
																																																						obj_t
																																																							BgL_fz00_7013;
																																																						BgL_fz00_7013
																																																							=
																																																							BgL_arg2055z00_1730;
																																																						BgL_argsz00_7014
																																																							=
																																																							BgL_arg2056z00_1731;
																																																						BgL_argsz00_1075
																																																							=
																																																							BgL_argsz00_7014;
																																																						BgL_fz00_1074
																																																							=
																																																							BgL_fz00_7013;
																																																						goto
																																																							BgL_tagzd2175zd2_1076;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7012);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 409 */
																																																		obj_t
																																																			BgL_arg2058z00_1733;
																																																		obj_t
																																																			BgL_arg2059z00_1734;
																																																		BgL_arg2058z00_1733
																																																			=
																																																			CAR
																																																			(BgL_ez00_67);
																																																		BgL_arg2059z00_1734
																																																			=
																																																			CDR
																																																			(BgL_ez00_67);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7018;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7020;
																																																				obj_t
																																																					BgL_fz00_7019;
																																																				BgL_fz00_7019
																																																					=
																																																					BgL_arg2058z00_1733;
																																																				BgL_argsz00_7020
																																																					=
																																																					BgL_arg2059z00_1734;
																																																				BgL_argsz00_1075
																																																					=
																																																					BgL_argsz00_7020;
																																																				BgL_fz00_1074
																																																					=
																																																					BgL_fz00_7019;
																																																				goto
																																																					BgL_tagzd2175zd2_1076;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7018);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 409 */
																																																obj_t
																																																	BgL_arg2060z00_1735;
																																																obj_t
																																																	BgL_arg2061z00_1736;
																																																BgL_arg2060z00_1735
																																																	=
																																																	CAR
																																																	(BgL_ez00_67);
																																																BgL_arg2061z00_1736
																																																	=
																																																	CDR
																																																	(BgL_ez00_67);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7024;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7026;
																																																		obj_t
																																																			BgL_fz00_7025;
																																																		BgL_fz00_7025
																																																			=
																																																			BgL_arg2060z00_1735;
																																																		BgL_argsz00_7026
																																																			=
																																																			BgL_arg2061z00_1736;
																																																		BgL_argsz00_1075
																																																			=
																																																			BgL_argsz00_7026;
																																																		BgL_fz00_1074
																																																			=
																																																			BgL_fz00_7025;
																																																		goto
																																																			BgL_tagzd2175zd2_1076;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7024);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_arg2062z00_1737;
																																														obj_t
																																															BgL_arg2063z00_1738;
																																														BgL_arg2062z00_1737
																																															=
																																															CAR
																																															(BgL_ez00_67);
																																														BgL_arg2063z00_1738
																																															=
																																															CDR
																																															(BgL_ez00_67);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7030;
																																															{
																																																obj_t
																																																	BgL_argsz00_7032;
																																																obj_t
																																																	BgL_fz00_7031;
																																																BgL_fz00_7031
																																																	=
																																																	BgL_arg2062z00_1737;
																																																BgL_argsz00_7032
																																																	=
																																																	BgL_arg2063z00_1738;
																																																BgL_argsz00_1075
																																																	=
																																																	BgL_argsz00_7032;
																																																BgL_fz00_1074
																																																	=
																																																	BgL_fz00_7031;
																																																goto
																																																	BgL_tagzd2175zd2_1076;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7030);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 409 */
						BgL_xz00_999 = BgL_ez00_67;
						if (SYMBOLP(BgL_xz00_999))
							{	/* Eval/evaluate.scm 412 */
								obj_t BgL__ortest_1101z00_1759;

								BgL__ortest_1101z00_1759 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_999,
									BgL_localsz00_68);
								if (CBOOL(BgL__ortest_1101z00_1759))
									{	/* Eval/evaluate.scm 412 */
										return BgL__ortest_1101z00_1759;
									}
								else
									{	/* Eval/evaluate.scm 180 */
										BgL_ev_globalz00_bglt BgL_new1076z00_2799;

										{	/* Eval/evaluate.scm 181 */
											BgL_ev_globalz00_bglt BgL_new1075z00_2800;

											BgL_new1075z00_2800 =
												((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 181 */
												long BgL_arg1335z00_2801;

												{	/* Eval/evaluate.scm 181 */
													long BgL_res2518z00_2804;

													BgL_res2518z00_2804 =
														BGL_CLASS_INDEX
														(BGl_ev_globalz00zz__evaluate_typesz00);
													BgL_arg1335z00_2801 = BgL_res2518z00_2804;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1075z00_2800),
													BgL_arg1335z00_2801);
											}
											{	/* Eval/evaluate.scm 181 */
												BgL_objectz00_bglt BgL_auxz00_7043;

												BgL_auxz00_7043 =
													((BgL_objectz00_bglt) BgL_new1075z00_2800);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_7043, BFALSE);
											}
											BgL_new1076z00_2799 = BgL_new1075z00_2800;
										}
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1076z00_2799))->
												BgL_locz00) = ((obj_t) BgL_locz00_72), BUNSPEC);
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1076z00_2799))->
												BgL_namez00) = ((obj_t) BgL_xz00_999), BUNSPEC);
										{
											obj_t BgL_auxz00_7048;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_69))
												{	/* Eval/evaluate.scm 183 */
													BgL_auxz00_7048 = BgL_globalsz00_69;
												}
											else
												{	/* Eval/evaluate.scm 183 */
													BgL_auxz00_7048 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) CREF(BgL_new1076z00_2799))->
													BgL_modz00) = ((obj_t) BgL_auxz00_7048), BUNSPEC);
										}
										return ((obj_t) BgL_new1076z00_2799);
									}
							}
						else
							{	/* Eval/evaluate.scm 413 */
								BgL_ev_littz00_bglt BgL_new1104z00_1760;

								{	/* Eval/evaluate.scm 414 */
									BgL_ev_littz00_bglt BgL_new1102z00_1761;

									BgL_new1102z00_1761 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 414 */
										long BgL_arg2085z00_1762;

										{	/* Eval/evaluate.scm 414 */
											long BgL_res2519z00_2808;

											BgL_res2519z00_2808 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg2085z00_1762 = BgL_res2519z00_2808;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1102z00_1761),
											BgL_arg2085z00_1762);
									}
									{	/* Eval/evaluate.scm 414 */
										BgL_objectz00_bglt BgL_auxz00_7058;

										BgL_auxz00_7058 =
											((BgL_objectz00_bglt) BgL_new1102z00_1761);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_7058, BFALSE);
									}
									BgL_new1104z00_1760 = BgL_new1102z00_1761;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1104z00_1760))->
										BgL_valuez00) = ((obj_t) BgL_xz00_999), BUNSPEC);
								return ((obj_t) BgL_new1104z00_1760);
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__evaluatez00(obj_t BgL_wherez00_4490,
		obj_t BgL_globalsz00_4489, obj_t BgL_localsz00_4488, obj_t BgL_locz00_4487,
		obj_t BgL_esz00_2100)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 371 */
			if (NULLP(BgL_esz00_2100))
				{	/* Eval/evaluate.scm 372 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 374 */
					obj_t BgL_ez00_2103;

					BgL_ez00_2103 = CAR(BgL_esz00_2100);
					{	/* Eval/evaluate.scm 375 */
						obj_t BgL_arg2254z00_2104;
						obj_t BgL_arg2255z00_2105;

						{	/* Eval/evaluate.scm 375 */
							obj_t BgL_arg2256z00_2106;

							{	/* Eval/evaluate.scm 135 */
								obj_t BgL__ortest_1068z00_2742;

								BgL__ortest_1068z00_2742 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2103);
								if (CBOOL(BgL__ortest_1068z00_2742))
									{	/* Eval/evaluate.scm 135 */
										BgL_arg2256z00_2106 = BgL__ortest_1068z00_2742;
									}
								else
									{	/* Eval/evaluate.scm 136 */
										obj_t BgL__ortest_1069z00_2743;

										BgL__ortest_1069z00_2743 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_2100);
										if (CBOOL(BgL__ortest_1069z00_2743))
											{	/* Eval/evaluate.scm 136 */
												BgL_arg2256z00_2106 = BgL__ortest_1069z00_2743;
											}
										else
											{	/* Eval/evaluate.scm 136 */
												BgL_arg2256z00_2106 = BgL_locz00_4487;
											}
									}
							}
							BgL_arg2254z00_2104 =
								BGl_convz00zz__evaluatez00(BgL_ez00_2103, BgL_localsz00_4488,
								BgL_globalsz00_4489, BFALSE, BgL_wherez00_4490,
								BgL_arg2256z00_2106, ((bool_t) 0));
						}
						BgL_arg2255z00_2105 =
							BGl_loopz00zz__evaluatez00(BgL_wherez00_4490, BgL_globalsz00_4489,
							BgL_localsz00_4488, BgL_locz00_4487, CDR(BgL_esz00_2100));
						return MAKE_PAIR(BgL_arg2254z00_2104, BgL_arg2255z00_2105);
					}
				}
		}
	}



/* conv-vals */
	obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t BgL_wherez00_4492,
		obj_t BgL_globalsz00_4491, obj_t BgL_lz00_3118, obj_t BgL_varsz00_3119,
		obj_t BgL_localsz00_3120, obj_t BgL_locz00_3121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 487 */
			if (NULLP(BgL_lz00_3118))
				{	/* Eval/evaluate.scm 483 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 485 */
					obj_t BgL_locz00_3133;

					{	/* Eval/evaluate.scm 485 */
						obj_t BgL_arg2159z00_3134;

						BgL_arg2159z00_3134 = CAR(BgL_lz00_3118);
						{	/* Eval/evaluate.scm 129 */
							obj_t BgL__ortest_1067z00_3147;

							BgL__ortest_1067z00_3147 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2159z00_3134);
							if (CBOOL(BgL__ortest_1067z00_3147))
								{	/* Eval/evaluate.scm 129 */
									BgL_locz00_3133 = BgL__ortest_1067z00_3147;
								}
							else
								{	/* Eval/evaluate.scm 129 */
									BgL_locz00_3133 = BgL_locz00_3121;
								}
						}
					}
					{	/* Eval/evaluate.scm 486 */
						obj_t BgL_arg2151z00_3135;
						obj_t BgL_arg2152z00_3136;

						BgL_arg2151z00_3135 =
							BGl_convz00zz__evaluatez00(CAR(CDR(CAR(BgL_lz00_3118))),
							BgL_localsz00_3120, BgL_globalsz00_4491, BFALSE,
							BgL_wherez00_4492, BgL_locz00_3133, ((bool_t) 0));
						{	/* Eval/evaluate.scm 487 */
							obj_t BgL_arg2154z00_3138;
							obj_t BgL_arg2156z00_3139;
							obj_t BgL_arg2157z00_3140;

							BgL_arg2154z00_3138 = CDR(BgL_lz00_3118);
							BgL_arg2156z00_3139 = CDR(BgL_varsz00_3119);
							BgL_arg2157z00_3140 =
								MAKE_PAIR(CAR(BgL_varsz00_3119), BgL_localsz00_3120);
							BgL_arg2152z00_3136 =
								BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_4492,
								BgL_globalsz00_4491, BgL_arg2154z00_3138, BgL_arg2156z00_3139,
								BgL_arg2157z00_3140, BgL_locz00_3133);
						}
						return MAKE_PAIR(BgL_arg2151z00_3135, BgL_arg2152z00_3136);
					}
				}
		}
	}



/* conv-lambda */
	BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t
		BgL_globalsz00_4496, obj_t BgL_localsz00_4495, obj_t BgL_ez00_4494,
		obj_t BgL_locz00_4493, obj_t BgL_formalsz00_2039, obj_t BgL_bodyz00_2040,
		obj_t BgL_wherez00_2041, obj_t BgL_typez00_2042)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 389 */
			{
				obj_t BgL_lz00_2073;

				{	/* Eval/evaluate.scm 391 */
					obj_t BgL_argsz00_2045;

					BgL_lz00_2073 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_2039, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_2077;
						obj_t BgL_flatz00_2078;
						long BgL_arityz00_2079;

						BgL_rz00_2077 = BgL_lz00_2073;
						BgL_flatz00_2078 = BNIL;
						BgL_arityz00_2079 = ((long) 0);
					BgL_zc3anonymousza32239ze3z83_2080:
						if (NULLP(BgL_rz00_2077))
							{	/* Eval/evaluate.scm 384 */
								obj_t BgL_val0_1182z00_2082;

								BgL_val0_1182z00_2082 = bgl_reverse_bang(BgL_flatz00_2078);
								{	/* Eval/evaluate.scm 384 */
									int BgL_res2506z00_2748;

									{	/* Eval/evaluate.scm 384 */
										int BgL_auxz00_7095;

										BgL_auxz00_7095 = (int) (((long) 2));
										BgL_res2506z00_2748 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_7095);
									} BgL_res2506z00_2748;
								}
								{	/* Eval/evaluate.scm 384 */
									obj_t BgL_auxz00_7100;
									int BgL_auxz00_7098;

									BgL_auxz00_7100 = BINT(BgL_arityz00_2079);
									BgL_auxz00_7098 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_7098, BgL_auxz00_7100);
								}
								BgL_argsz00_2045 = BgL_val0_1182z00_2082;
							}
						else
							{	/* Eval/evaluate.scm 383 */
								if (PAIRP(BgL_rz00_2077))
									{	/* Eval/evaluate.scm 388 */
										obj_t BgL_arg2243z00_2085;
										obj_t BgL_arg2244z00_2086;
										long BgL_arg2245z00_2087;

										BgL_arg2243z00_2085 = CDR(BgL_rz00_2077);
										BgL_arg2244z00_2086 =
											MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_2077)), BgL_flatz00_2078);
										BgL_arg2245z00_2087 = (BgL_arityz00_2079 + ((long) 1));
										{
											long BgL_arityz00_7112;
											obj_t BgL_flatz00_7111;
											obj_t BgL_rz00_7110;

											BgL_rz00_7110 = BgL_arg2243z00_2085;
											BgL_flatz00_7111 = BgL_arg2244z00_2086;
											BgL_arityz00_7112 = BgL_arg2245z00_2087;
											BgL_arityz00_2079 = BgL_arityz00_7112;
											BgL_flatz00_2078 = BgL_flatz00_7111;
											BgL_rz00_2077 = BgL_rz00_7110;
											goto BgL_zc3anonymousza32239ze3z83_2080;
										}
									}
								else
									{	/* Eval/evaluate.scm 386 */
										obj_t BgL_val0_1184z00_2090;
										long BgL_val1_1185z00_2091;

										{	/* Eval/evaluate.scm 386 */
											obj_t BgL_arg2249z00_2092;

											BgL_arg2249z00_2092 =
												MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_2077), BgL_flatz00_2078);
											BgL_val0_1184z00_2090 =
												bgl_reverse_bang(BgL_arg2249z00_2092);
										}
										BgL_val1_1185z00_2091 = (((long) -1) - BgL_arityz00_2079);
										{	/* Eval/evaluate.scm 386 */
											int BgL_res2510z00_2762;

											{	/* Eval/evaluate.scm 386 */
												int BgL_auxz00_7117;

												BgL_auxz00_7117 = (int) (((long) 2));
												BgL_res2510z00_2762 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_7117);
											} BgL_res2510z00_2762;
										}
										{	/* Eval/evaluate.scm 386 */
											obj_t BgL_auxz00_7122;
											int BgL_auxz00_7120;

											BgL_auxz00_7122 = BINT(BgL_val1_1185z00_2091);
											BgL_auxz00_7120 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_7120, BgL_auxz00_7122);
										}
										BgL_argsz00_2045 = BgL_val0_1184z00_2090;
					}}}
					{	/* Eval/evaluate.scm 392 */
						obj_t BgL_arityz00_2046;

						{	/* Eval/evaluate.scm 393 */
							int BgL_auxz00_7126;

							BgL_auxz00_7126 = (int) (((long) 1));
							BgL_arityz00_2046 = BGL_MVALUES_VAL(BgL_auxz00_7126);
						}
						{	/* Eval/evaluate.scm 393 */
							obj_t BgL_varsz00_2047;
							obj_t BgL_bodyz00_2048;
							obj_t BgL_nlocz00_2049;

							if (NULLP(BgL_argsz00_2045))
								{	/* Eval/evaluate.scm 393 */
									BgL_varsz00_2047 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 393 */
									obj_t BgL_head1188z00_2056;

									{	/* Eval/evaluate.scm 393 */
										obj_t BgL_res2512z00_2770;

										BgL_res2512z00_2770 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1188z00_2056 = BgL_res2512z00_2770;
									}
									{
										obj_t BgL_l1186z00_2058;
										obj_t BgL_tail1189z00_2059;

										BgL_l1186z00_2058 = BgL_argsz00_2045;
										BgL_tail1189z00_2059 = BgL_head1188z00_2056;
									BgL_zc3anonymousza32230ze3z83_2060:
										if (NULLP(BgL_l1186z00_2058))
											{	/* Eval/evaluate.scm 393 */
												BgL_varsz00_2047 = CDR(BgL_head1188z00_2056);
											}
										else
											{	/* Eval/evaluate.scm 393 */
												obj_t BgL_newtail1190z00_2062;

												{	/* Eval/evaluate.scm 393 */
													BgL_ev_varz00_bglt BgL_arg2233z00_2064;

													{	/* Eval/evaluate.scm 393 */
														obj_t BgL_vz00_2065;

														BgL_vz00_2065 = CAR(BgL_l1186z00_2058);
														{	/* Eval/evaluate.scm 394 */
															BgL_ev_varz00_bglt BgL_new1098z00_2066;

															{	/* Eval/evaluate.scm 396 */
																BgL_ev_varz00_bglt BgL_new1097z00_2067;

																BgL_new1097z00_2067 =
																	((BgL_ev_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 396 */
																	long BgL_arg2234z00_2068;

																	{	/* Eval/evaluate.scm 396 */
																		long BgL_res2514z00_2776;

																		BgL_res2514z00_2776 =
																			BGL_CLASS_INDEX
																			(BGl_ev_varz00zz__evaluate_typesz00);
																		BgL_arg2234z00_2068 = BgL_res2514z00_2776;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1097z00_2067),
																		BgL_arg2234z00_2068);
																}
																{	/* Eval/evaluate.scm 396 */
																	BgL_objectz00_bglt BgL_auxz00_7140;

																	BgL_auxz00_7140 =
																		((BgL_objectz00_bglt) BgL_new1097z00_2067);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_7140,
																		BFALSE);
																}
																BgL_new1098z00_2066 = BgL_new1097z00_2067;
															}
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1098z00_2066))->BgL_namez00) =
																((obj_t) CAR(BgL_vz00_2065)), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1098z00_2066))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1098z00_2066))->BgL_typez00) =
																((obj_t) CDR(BgL_vz00_2065)), BUNSPEC);
															BgL_arg2233z00_2064 = BgL_new1098z00_2066;
													}}
													{	/* Eval/evaluate.scm 393 */
														obj_t BgL_res2515z00_2783;

														BgL_res2515z00_2783 =
															MAKE_PAIR(((obj_t) BgL_arg2233z00_2064), BNIL);
														BgL_newtail1190z00_2062 = BgL_res2515z00_2783;
												}}
												SET_CDR(BgL_tail1189z00_2059, BgL_newtail1190z00_2062);
												{
													obj_t BgL_tail1189z00_7153;
													obj_t BgL_l1186z00_7151;

													BgL_l1186z00_7151 = CDR(BgL_l1186z00_2058);
													BgL_tail1189z00_7153 = BgL_newtail1190z00_2062;
													BgL_tail1189z00_2059 = BgL_tail1189z00_7153;
													BgL_l1186z00_2058 = BgL_l1186z00_7151;
													goto BgL_zc3anonymousza32230ze3z83_2060;
												}
											}
									}
								}
							BgL_bodyz00_2048 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4494, BgL_formalsz00_2039,
								BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2045,
									BgL_argsz00_2045,
									BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2042,
										BgL_bodyz00_2040, BgL_locz00_4493), BgL_locz00_4493,
									BgL_wherez00_2041), BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 129 */
								obj_t BgL__ortest_1067z00_2789;

								BgL__ortest_1067z00_2789 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2040);
								if (CBOOL(BgL__ortest_1067z00_2789))
									{	/* Eval/evaluate.scm 129 */
										BgL_nlocz00_2049 = BgL__ortest_1067z00_2789;
									}
								else
									{	/* Eval/evaluate.scm 129 */
										BgL_nlocz00_2049 = BgL_locz00_4493;
									}
							}
							{	/* Eval/evaluate.scm 402 */
								BgL_ev_absz00_bglt BgL_new1100z00_2050;

								{	/* Eval/evaluate.scm 403 */
									BgL_ev_absz00_bglt BgL_new1099z00_2052;

									BgL_new1099z00_2052 =
										((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 403 */
										long BgL_arg2228z00_2053;

										{	/* Eval/evaluate.scm 403 */
											long BgL_res2516z00_2791;

											BgL_res2516z00_2791 =
												BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
											BgL_arg2228z00_2053 = BgL_res2516z00_2791;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1099z00_2052),
											BgL_arg2228z00_2053);
									}
									{	/* Eval/evaluate.scm 403 */
										BgL_objectz00_bglt BgL_auxz00_7164;

										BgL_auxz00_7164 =
											((BgL_objectz00_bglt) BgL_new1099z00_2052);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_7164, BFALSE);
									}
									BgL_new1100z00_2050 = BgL_new1099z00_2052;
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
										BgL_locz00) = ((obj_t) BgL_locz00_4493), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_2041), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_2046), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_2047), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_7171;

									{	/* Eval/evaluate.scm 407 */
										obj_t BgL_arg2227z00_2051;

										BgL_arg2227z00_2051 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_2047,
											BgL_localsz00_4495);
										BgL_auxz00_7171 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_2048,
												BgL_arg2227z00_2051, BgL_globalsz00_4496, BTRUE,
												BgL_wherez00_2041, BgL_nlocz00_2049, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_7171), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1100z00_2050))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1100z00_2050;
							}
						}
					}
				}
			}
		}
	}



/* uconv/loc */
	obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t BgL_wherez00_4503,
		obj_t BgL_globalsz00_4502, obj_t BgL_localsz00_4501, obj_t BgL_ez00_2119,
		obj_t BgL_locz00_2120)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 362 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_2119, BgL_localsz00_4501,
				BgL_globalsz00_4502, BFALSE, BgL_wherez00_4503, BgL_locz00_2120,
				((bool_t) 0));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 189425161),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 368290641),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 231561374),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string2901z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
