/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62zc3anonymousza32599ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32124ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34101ze3ze1zz__evaluate_compz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33121ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34012ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_letza21734z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33954ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32974ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33938ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32958ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62compzd2ev_litt1722zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34030ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33050ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32305ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33034ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33018ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33882ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33599ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol6324z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33124ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34015ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33141ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34032ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34105ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33109ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33884ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33795ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33868ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32799ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol6341z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6343z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6345z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6347z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33053ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32146ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32994ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_symbol6199z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32325ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32074ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32309ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34302ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33144ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32415ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32237ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32059ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3anonymousza34214ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34125ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33977ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_z62zc3anonymousza34231ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza34037ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33889ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32998ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza34070ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32450ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34216ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_prog21730zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33979ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34322ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32702ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34233ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34055ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33148ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32419ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33996ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33270ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33432ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32452ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33254ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34307ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33255ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32526ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33999ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33613ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33435ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34164ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34237ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32455ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34148ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34181ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_goto1748zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_let1732zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33364ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34328ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34166ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33186ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34272ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32563ze3ze1zz__evaluate_compz00(obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62zc3anonymousza33900ze3ze1zz__evaluate_compz00(obj_t);
	extern int bgl_debug();
	static obj_t BGl_z62zc3anonymousza33722ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33617ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34257ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33422ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		long, obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_global1716zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32492ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32654ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34347ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32387ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62compzd2ev_synchroniza7e1744z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33490ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33652ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33709ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32567ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34099ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_app1750zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33905ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34278ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32658ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34189ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33760ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32942ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33744ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33655ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33817ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33002ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33850ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33834ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33672ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32927ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34296ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_and1728zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33762ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33746ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33819ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33852ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33925ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33836ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32962ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32946ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33659ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_abs1752zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33022ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32204ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_letrec1736zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32115ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33006ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33870ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6201z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6203z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6209z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34003ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32221ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_if1724zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33588ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_trap1710zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol6217z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6219z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33113ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33783ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33678ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol6221z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6224z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6227z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6229z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32982ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32966ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33768ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6231z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6233z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6235z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6237z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6239z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34022ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33042ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33963ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33874ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33785ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33947ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_symbol6241z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6243z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6245z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6247z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34201ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol6249z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32330ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33132ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33116ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32209ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6251z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6253z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_defglobal1720zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol6255z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_symbol6257z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_setglobal1718zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol6259z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32242ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1740z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33965ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33949ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33698ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol6261z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6263z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6265z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6267z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6269z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34114ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32332ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32986ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol6271z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6273z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6275z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6277z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34204ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6279z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33135ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32244ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32139ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_symbol6281z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6283z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6285z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34221ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6287z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6289z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34116ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32172ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33047ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol6291z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6293z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32335ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_recz00zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_z62zc3anonymousza33969ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_recz72z72zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34150ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34134ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33154ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34045ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32174ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33138ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32247ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32531ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32604ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32264ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32159ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33898ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34136ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33156ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34047ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33988ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33602ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32193ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_z62zc3anonymousza32177ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62run6110z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6112z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6114z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6116z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6118z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34332ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34170ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34081ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34065ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32445ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62run6120z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_Ez00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6122z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6124z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6126z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6128z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1726zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33280ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33442ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34155ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32284ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34139ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32268ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6130z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6132z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62run6134z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6136z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6138z62zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_var1712zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33443ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34083ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34067ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32609ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32358ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6140z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6142z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6144z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6146z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6148z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33711ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33622ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_z62run6150z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6152z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6154z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6156z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6158z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32392ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34247ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62run6160z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62run6162z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62run6164z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6166z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6168z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34353ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33446ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33608ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6109z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62run6170z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6172z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6174z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6176z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62run6178z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34281ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6111z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34249ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6113z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62main6115z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32289ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6117z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main6119z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run6180z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6182z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6184z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6186z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33731ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62run6188z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33804ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6121z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main6123z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62main6125z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main6127z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main6129z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run6190z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62run6192z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run6194z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32752ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33627ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6131z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33198ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6133z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34089ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6135z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6137z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6139z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_labels1746zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33733ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33806ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6141z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34179ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6143z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6145z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6147z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6149z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33629ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6151z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6153z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6155z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6157z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6159z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33913ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6161z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32488ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6163z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6165z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6167z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6169z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32102ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33841ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32950ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33590ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33825ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32934ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33736ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33809ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32756ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main6171z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6173z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6175z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6177z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main6179z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62comp1707z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33010ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33680ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33915ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33486ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34199ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6181z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main6183z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza33437ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main6185z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1714zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main6187z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6189z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33100ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1738z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33754ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33665ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6191z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main6193z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33933ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33593ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33861ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32970ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32954ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33667ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33014ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1742z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33935ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za76351z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_6352z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza76353za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string6300z00zz__evaluate_compz00,
		BgL_bgl_string6300za700za7za7_6354za7, "comp", 4);
	      DEFINE_STRING(BGl_string6322z00zz__evaluate_compz00,
		BgL_bgl_string6322za700za7za7_6355za7, "internal error", 14);
	      DEFINE_STRING(BGl_string6323z00zz__evaluate_compz00,
		BgL_bgl_string6323za700za7za7_6356za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string6325z00zz__evaluate_compz00,
		BgL_bgl_string6325za700za7za7_6357za7, "notyet", 6);
	      DEFINE_STRING(BGl_string6326z00zz__evaluate_compz00,
		BgL_bgl_string6326za700za7za7_6358za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string6327z00zz__evaluate_compz00,
		BgL_bgl_string6327za700za7za7_6359za7, "mutex", 5);
	      DEFINE_STRING(BGl_string6328z00zz__evaluate_compz00,
		BgL_bgl_string6328za700za7za7_6360za7, "set!", 4);
	      DEFINE_STRING(BGl_string6329z00zz__evaluate_compz00,
		BgL_bgl_string6329za700za7za7_6361za7, "read-only variable", 18);
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string6330z00zz__evaluate_compz00,
		BgL_bgl_string6330za700za7za7_6362za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string6331z00zz__evaluate_compz00,
		BgL_bgl_string6331za700za7za7_6363za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string6332z00zz__evaluate_compz00,
		BgL_bgl_string6332za700za7za7_6364za7, "Uninitialized variable", 22);
	      DEFINE_STRING(BGl_string6342z00zz__evaluate_compz00,
		BgL_bgl_string6342za700za7za7_6365za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string6344z00zz__evaluate_compz00,
		BgL_bgl_string6344za700za7za7_6366za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string6346z00zz__evaluate_compz00,
		BgL_bgl_string6346za700za7za7_6367za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string6348z00zz__evaluate_compz00,
		BgL_bgl_string6348za700za7za7_6368za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string6349z00zz__evaluate_compz00,
		BgL_bgl_string6349za700za7za7_6369za7, "internal error: unknown command",
		31);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string6350z00zz__evaluate_compz00,
		BgL_bgl_string6350za700za7za7_6370za7, "__evaluate_comp", 15);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6295z00zz__evaluate_compz00,
		BgL_bgl_za762comp1707za762za7za76371z00,
		BGl_z62comp1707z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6299z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra6372z00,
		BGl_z62compzd2ev_trap1710zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev6373z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string6200z00zz__evaluate_compz00,
		BgL_bgl_string6200za700za7za7_6374za7, "all", 3);
	      DEFINE_STRING(BGl_string6202z00zz__evaluate_compz00,
		BgL_bgl_string6202za700za7za7_6375za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string6204z00zz__evaluate_compz00,
		BgL_bgl_string6204za700za7za7_6376za7, "bounce", 6);
	      DEFINE_STRING(BGl_string6205z00zz__evaluate_compz00,
		BgL_bgl_string6205za700za7za7_6377za7, "non non non", 11);
	      DEFINE_STRING(BGl_string6206z00zz__evaluate_compz00,
		BgL_bgl_string6206za700za7za7_6378za7, " in ", 4);
	      DEFINE_STRING(BGl_string6207z00zz__evaluate_compz00,
		BgL_bgl_string6207za700za7za7_6379za7, "eval", 4);
	      DEFINE_STRING(BGl_string6208z00zz__evaluate_compz00,
		BgL_bgl_string6208za700za7za7_6380za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string6210z00zz__evaluate_compz00,
		BgL_bgl_string6210za700za7za7_6381za7, "at", 2);
	      DEFINE_STRING(BGl_string6211z00zz__evaluate_compz00,
		BgL_bgl_string6211za700za7za7_6382za7, "", 0);
	      DEFINE_STRING(BGl_string6212z00zz__evaluate_compz00,
		BgL_bgl_string6212za700za7za7_6383za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string6213z00zz__evaluate_compz00,
		BgL_bgl_string6213za700za7za7_6384za7, "&compile", 8);
	      DEFINE_STRING(BGl_string6214z00zz__evaluate_compz00,
		BgL_bgl_string6214za700za7za7_6385za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string6215z00zz__evaluate_compz00,
		BgL_bgl_string6215za700za7za7_6386za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string6216z00zz__evaluate_compz00,
		BgL_bgl_string6216za700za7za7_6387za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string6218z00zz__evaluate_compz00,
		BgL_bgl_string6218za700za7za7_6388za7, "mcell", 5);
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string6220z00zz__evaluate_compz00,
		BgL_bgl_string6220za700za7za7_6389za7, "internal", 8);
	      DEFINE_STRING(BGl_string6222z00zz__evaluate_compz00,
		BgL_bgl_string6222za700za7za7_6390za7, "impossible", 10);
	      DEFINE_STRING(BGl_string6223z00zz__evaluate_compz00,
		BgL_bgl_string6223za700za7za7_6391za7, "procedure", 9);
	      DEFINE_STRING(BGl_string6225z00zz__evaluate_compz00,
		BgL_bgl_string6225za700za7za7_6392za7, "user", 4);
	      DEFINE_STRING(BGl_string6226z00zz__evaluate_compz00,
		BgL_bgl_string6226za700za7za7_6393za7, "invalid byte code", 17);
	      DEFINE_STRING(BGl_string6228z00zz__evaluate_compz00,
		BgL_bgl_string6228za700za7za7_6394za7, "+", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6301z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var6395z00,
		BGl_z62compzd2ev_var1712zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6302z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set6396z00,
		BGl_z62compzd2ev_setlocal1714zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6303z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo6397z00,
		BGl_z62compzd2ev_global1716zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6304z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set6398z00,
		BGl_z62compzd2ev_setglobal1718zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6305z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def6399z00,
		BGl_z62compzd2ev_defglobal1720zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6230z00zz__evaluate_compz00,
		BgL_bgl_string6230za700za7za7_6400za7, "number", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6306z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit6401z00,
		BGl_z62compzd2ev_litt1722zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6307z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if16402z00,
		BGl_z62compzd2ev_if1724zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6232z00zz__evaluate_compz00,
		BgL_bgl_string6232za700za7za7_6403za7, "-", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6308z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or16404z00,
		BGl_z62compzd2ev_or1726zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6309z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and6405z00,
		BGl_z62compzd2ev_and1728zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6234z00zz__evaluate_compz00,
		BgL_bgl_string6234za700za7za7_6406za7, "*", 1);
	      DEFINE_STRING(BGl_string6236z00zz__evaluate_compz00,
		BgL_bgl_string6236za700za7za7_6407za7, "/", 1);
	      DEFINE_STRING(BGl_string6238z00zz__evaluate_compz00,
		BgL_bgl_string6238za700za7za7_6408za7, "<", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6310z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro6409z00,
		BGl_z62compzd2ev_prog21730zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6311z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let6410z00,
		BGl_z62compzd2ev_let1732zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6312z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let6411z00,
		BGl_z62compzd2ev_letza21734z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6313z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let6412z00,
		BGl_z62compzd2ev_letrec1736zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6314z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin6413z00,
		BGl_z62compzd2ev_bindzd2exit1738z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6315z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw6414z00,
		BGl_z62compzd2ev_unwindzd2prote1740z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6240z00zz__evaluate_compz00,
		BgL_bgl_string6240za700za7za7_6415za7, ">", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6316z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit6416z00,
		BGl_z62compzd2ev_withzd2handler1742z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6317z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn6417z00,
		BGl_z62compzd2ev_synchroniza7e1744z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6242z00zz__evaluate_compz00,
		BgL_bgl_string6242za700za7za7_6418za7, "<=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6318z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab6419z00,
		BGl_z62compzd2ev_labels1746zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6319z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got6420z00,
		BGl_z62compzd2ev_goto1748zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6244z00zz__evaluate_compz00,
		BgL_bgl_string6244za700za7za7_6421za7, ">=", 2);
	      DEFINE_STRING(BGl_string6246z00zz__evaluate_compz00,
		BgL_bgl_string6246za700za7za7_6422za7, "=", 1);
	      DEFINE_STRING(BGl_string6248z00zz__evaluate_compz00,
		BgL_bgl_string6248za700za7za7_6423za7, "+fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6320z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app6424z00,
		BGl_z62compzd2ev_app1750zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6321z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs6425z00,
		BGl_z62compzd2ev_abs1752zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6250z00zz__evaluate_compz00,
		BgL_bgl_string6250za700za7za7_6426za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string6252z00zz__evaluate_compz00,
		BgL_bgl_string6252za700za7za7_6427za7, "-fx", 3);
	      DEFINE_STRING(BGl_string6254z00zz__evaluate_compz00,
		BgL_bgl_string6254za700za7za7_6428za7, "*fx", 3);
	      DEFINE_STRING(BGl_string6256z00zz__evaluate_compz00,
		BgL_bgl_string6256za700za7za7_6429za7, "/fx", 3);
	      DEFINE_STRING(BGl_string6258z00zz__evaluate_compz00,
		BgL_bgl_string6258za700za7za7_6430za7, "<fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6333z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76431za7,
		BGl_z62zc3anonymousza33109ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6334z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76432za7,
		BGl_z62zc3anonymousza33113ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6335z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76433za7,
		BGl_z62zc3anonymousza33116ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6260z00zz__evaluate_compz00,
		BgL_bgl_string6260za700za7za7_6434za7, ">fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6336z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76435za7,
		BGl_z62zc3anonymousza33121ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6337z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76436za7,
		BGl_z62zc3anonymousza33124ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6262z00zz__evaluate_compz00,
		BgL_bgl_string6262za700za7za7_6437za7, "<=fx", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6338z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76438za7,
		BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6339z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76439za7,
		BGl_z62zc3anonymousza33132ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6264z00zz__evaluate_compz00,
		BgL_bgl_string6264za700za7za7_6440za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string6266z00zz__evaluate_compz00,
		BgL_bgl_string6266za700za7za7_6441za7, "=fx", 3);
	      DEFINE_STRING(BGl_string6268z00zz__evaluate_compz00,
		BgL_bgl_string6268za700za7za7_6442za7, "+fl", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6340z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76443za7,
		BGl_z62zc3anonymousza33135ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6270z00zz__evaluate_compz00,
		BgL_bgl_string6270za700za7za7_6444za7, "flonum", 6);
	      DEFINE_STRING(BGl_string6272z00zz__evaluate_compz00,
		BgL_bgl_string6272za700za7za7_6445za7, "-fl", 3);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string6274z00zz__evaluate_compz00,
		BgL_bgl_string6274za700za7za7_6446za7, "*fl", 3);
	      DEFINE_STRING(BGl_string6276z00zz__evaluate_compz00,
		BgL_bgl_string6276za700za7za7_6447za7, "/fl", 3);
	      DEFINE_STRING(BGl_string6278z00zz__evaluate_compz00,
		BgL_bgl_string6278za700za7za7_6448za7, "<fl", 3);
	      DEFINE_STRING(BGl_string6280z00zz__evaluate_compz00,
		BgL_bgl_string6280za700za7za7_6449za7, ">fl", 3);
	      DEFINE_STRING(BGl_string6282z00zz__evaluate_compz00,
		BgL_bgl_string6282za700za7za7_6450za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string6284z00zz__evaluate_compz00,
		BgL_bgl_string6284za700za7za7_6451za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string6286z00zz__evaluate_compz00,
		BgL_bgl_string6286za700za7za7_6452za7, "=fl", 3);
	      DEFINE_STRING(BGl_string6288z00zz__evaluate_compz00,
		BgL_bgl_string6288za700za7za7_6453za7, "car", 3);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string6290z00zz__evaluate_compz00,
		BgL_bgl_string6290za700za7za7_6454za7, "pair", 4);
	      DEFINE_STRING(BGl_string6292z00zz__evaluate_compz00,
		BgL_bgl_string6292za700za7za7_6455za7, "cdr", 3);
	      DEFINE_STRING(BGl_string6294z00zz__evaluate_compz00,
		BgL_bgl_string6294za700za7za7_6456za7, "cadr", 4);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string6296z00zz__evaluate_compz00,
		BgL_bgl_string6296za700za7za7_6457za7, "comp1707", 8);
	      DEFINE_STRING(BGl_string6297z00zz__evaluate_compz00,
		BgL_bgl_string6297za700za7za7_6458za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string6298z00zz__evaluate_compz00,
		BgL_bgl_string6298za700za7za7_6459za7, "&comp", 5);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_20509, char *BgL_fromz00_20510)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					BGl_toplevelzd2initzd2zz__evaluate_compz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol6199z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6200z00zz__evaluate_compz00);
			BGl_symbol6201z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6202z00zz__evaluate_compz00);
			BGl_symbol6203z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6204z00zz__evaluate_compz00);
			BGl_symbol6209z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6210z00zz__evaluate_compz00);
			BGl_symbol6217z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6218z00zz__evaluate_compz00);
			BGl_symbol6219z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6220z00zz__evaluate_compz00);
			BGl_symbol6221z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6222z00zz__evaluate_compz00);
			BGl_symbol6224z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6225z00zz__evaluate_compz00);
			BGl_symbol6227z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6228z00zz__evaluate_compz00);
			BGl_symbol6229z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6230z00zz__evaluate_compz00);
			BGl_symbol6231z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6232z00zz__evaluate_compz00);
			BGl_symbol6233z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6234z00zz__evaluate_compz00);
			BGl_symbol6235z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6236z00zz__evaluate_compz00);
			BGl_symbol6237z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6238z00zz__evaluate_compz00);
			BGl_symbol6239z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6240z00zz__evaluate_compz00);
			BGl_symbol6241z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6242z00zz__evaluate_compz00);
			BGl_symbol6243z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6244z00zz__evaluate_compz00);
			BGl_symbol6245z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6246z00zz__evaluate_compz00);
			BGl_symbol6247z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6248z00zz__evaluate_compz00);
			BGl_symbol6249z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6250z00zz__evaluate_compz00);
			BGl_symbol6251z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6252z00zz__evaluate_compz00);
			BGl_symbol6253z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6254z00zz__evaluate_compz00);
			BGl_symbol6255z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6256z00zz__evaluate_compz00);
			BGl_symbol6257z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6258z00zz__evaluate_compz00);
			BGl_symbol6259z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6260z00zz__evaluate_compz00);
			BGl_symbol6261z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6262z00zz__evaluate_compz00);
			BGl_symbol6263z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6264z00zz__evaluate_compz00);
			BGl_symbol6265z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6266z00zz__evaluate_compz00);
			BGl_symbol6267z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6268z00zz__evaluate_compz00);
			BGl_symbol6269z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6270z00zz__evaluate_compz00);
			BGl_symbol6271z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6272z00zz__evaluate_compz00);
			BGl_symbol6273z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6274z00zz__evaluate_compz00);
			BGl_symbol6275z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6276z00zz__evaluate_compz00);
			BGl_symbol6277z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6278z00zz__evaluate_compz00);
			BGl_symbol6279z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6280z00zz__evaluate_compz00);
			BGl_symbol6281z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6282z00zz__evaluate_compz00);
			BGl_symbol6283z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6284z00zz__evaluate_compz00);
			BGl_symbol6285z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6286z00zz__evaluate_compz00);
			BGl_symbol6287z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6288z00zz__evaluate_compz00);
			BGl_symbol6289z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6290z00zz__evaluate_compz00);
			BGl_symbol6291z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6292z00zz__evaluate_compz00);
			BGl_symbol6293z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6294z00zz__evaluate_compz00);
			BGl_symbol6324z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6325z00zz__evaluate_compz00);
			BGl_symbol6341z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6342z00zz__evaluate_compz00);
			BGl_symbol6343z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6344z00zz__evaluate_compz00);
			BGl_symbol6345z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6346z00zz__evaluate_compz00);
			return (BGl_symbol6347z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6348z00zz__evaluate_compz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 101 */
				BGL_LONGLONG_T BgL_arg1783z00_910;

				{	/* Eval/evaluate_comp.scm 101 */
					BGL_LONGLONG_T BgL_res4666z00_6199;

					BgL_res4666z00_6199 = LONG_TO_LLONG(((long) 0));
					BgL_arg1783z00_910 = BgL_res4666z00_6199;
				}
				{	/* Eval/evaluate_comp.scm 101 */
					obj_t BgL_list1784z00_911;

					{	/* Eval/evaluate_comp.scm 101 */
						obj_t BgL_arg1785z00_912;

						BgL_arg1785z00_912 =
							MAKE_PAIR(make_bllong(BgL_arg1783z00_910), BNIL);
						BgL_list1784z00_911 =
							MAKE_PAIR(BGl_symbol6199z00zz__evaluate_compz00,
							BgL_arg1785z00_912);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1784z00_911;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long) 8192);
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol6201z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol6203z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_913;

				BgL_headz00_913 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_6231;
					obj_t BgL_tailz00_6232;

					BgL_prevz00_6231 = BgL_headz00_913;
					BgL_tailz00_6232 = BgL_l1z00_1;
				BgL_loopz00_6230:
					if (PAIRP(BgL_tailz00_6232))
						{
							obj_t BgL_newzd2prevzd2_6238;

							BgL_newzd2prevzd2_6238 =
								MAKE_PAIR(CAR(BgL_tailz00_6232), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_6231, BgL_newzd2prevzd2_6238);
							{
								obj_t BgL_tailz00_20581;
								obj_t BgL_prevz00_20580;

								BgL_prevz00_20580 = BgL_newzd2prevzd2_6238;
								BgL_tailz00_20581 = CDR(BgL_tailz00_6232);
								BgL_tailz00_6232 = BgL_tailz00_20581;
								BgL_prevz00_6231 = BgL_prevz00_20580;
								goto BgL_loopz00_6230;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_913);
			}
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 119 */
			{	/* Eval/evaluate_comp.scm 120 */
				BGL_LONGLONG_T BgL_arg1806z00_941;

				{	/* Eval/evaluate_comp.scm 120 */
					BGL_LONGLONG_T BgL_res4675z00_6249;

					BgL_res4675z00_6249 = LONG_TO_LLONG(((long) 0));
					BgL_arg1806z00_941 = BgL_res4675z00_6249;
				}
				{	/* Eval/evaluate_comp.scm 120 */
					obj_t BgL_list1807z00_942;

					{	/* Eval/evaluate_comp.scm 120 */
						obj_t BgL_arg1808z00_943;

						BgL_arg1808z00_943 =
							MAKE_PAIR(make_bllong(BgL_arg1806z00_941), BNIL);
						BgL_list1807z00_942 =
							MAKE_PAIR(BGl_symbol6199z00zz__evaluate_compz00,
							BgL_arg1808z00_943);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1807z00_942, BUNSPEC);
				}
			}
		}
	}



/* <lexint */
	bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t BgL_t1z00_4,
		obj_t BgL_t2z00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			{	/* Eval/evaluate_comp.scm 129 */
				obj_t BgL_v1z00_945;
				obj_t BgL_v2z00_946;

				BgL_v1z00_945 = CAR(BgL_t1z00_4);
				BgL_v2z00_946 = CAR(BgL_t2z00_5);
				{	/* Eval/evaluate_comp.scm 130 */
					bool_t BgL_testz00_20590;

					if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_945))
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_20590 =
								BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_946);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_20590 = ((bool_t) 0);
						}
					if (BgL_testz00_20590)
						{	/* Eval/evaluate_comp.scm 130 */
							return
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_945, BgL_v2z00_946);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							return
								string_lt(BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v1z00_945),
								BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v2z00_946));
						}
				}
			}
		}
	}



/* o->s */
	obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t BgL_vz00_951)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 128 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_951))
				{	/* Ieee/fixnum.scm 357 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_951), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 125 */
					if (SYMBOLP(BgL_vz00_951))
						{	/* Eval/evaluate_comp.scm 126 */
							obj_t BgL_res4678z00_6256;

							{	/* Eval/evaluate_comp.scm 126 */
								obj_t BgL_arg4483z00_6255;

								BgL_arg4483z00_6255 = SYMBOL_TO_STRING(BgL_vz00_951);
								BgL_res4678z00_6256 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg4483z00_6255);
							}
							return BgL_res4678z00_6256;
						}
					else
						{	/* Eval/evaluate_comp.scm 126 */
							if (STRINGP(BgL_vz00_951))
								{	/* Eval/evaluate_comp.scm 127 */
									return BgL_vz00_951;
								}
							else
								{	/* Eval/evaluate_comp.scm 127 */
									return BGl_string6205z00zz__evaluate_compz00;
								}
						}
				}
		}
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_18095,
		obj_t BgL_t1z00_18096, obj_t BgL_t2z00_18097)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			return
				BBOOL(BGl_zc3lexintzc3zz__evaluate_compz00(BgL_t1z00_18096,
					BgL_t2z00_18097));
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 134 */
			BGl_recz72z72zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
	}



/* rec' */
	bool_t BGl_recz72z72zz__evaluate_compz00(obj_t BgL_tz00_960)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 136 */
				obj_t BgL_auxz00_20613;
				obj_t BgL_auxz00_20611;

				BgL_auxz00_20613 =
					BGl_sortz00zz__r4_vectors_6_8z00
					(BGl_zc3lexintzd2envz11zz__evaluate_compz00, CDR(CDR(BgL_tz00_960)));
				BgL_auxz00_20611 = CDR(BgL_tz00_960);
				SET_CDR(BgL_auxz00_20611, BgL_auxz00_20613);
			}
			{	/* Eval/evaluate_comp.scm 137 */
				obj_t BgL_g1611z00_965;

				BgL_g1611z00_965 = CDR(CDR(BgL_tz00_960));
				{
					obj_t BgL_l1609z00_6291;

					BgL_l1609z00_6291 = BgL_g1611z00_965;
				BgL_zc3anonymousza31823ze3z83_6290:
					if (PAIRP(BgL_l1609z00_6291))
						{	/* Eval/evaluate_comp.scm 137 */
							BGl_recz72z72zz__evaluate_compz00(CAR(BgL_l1609z00_6291));
							{
								obj_t BgL_l1609z00_20624;

								BgL_l1609z00_20624 = CDR(BgL_l1609z00_6291);
								BgL_l1609z00_6291 = BgL_l1609z00_20624;
								goto BgL_zc3anonymousza31823ze3z83_6290;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 137 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 150 */
			{	/* Eval/evaluate_comp.scm 151 */
				obj_t BgL__ortest_1075z00_984;

				{
					obj_t BgL_lz00_20496;
					long BgL_nz00_20497;

					BgL_lz00_20496 = BgL_lz00_9;
					BgL_nz00_20497 = ((long) 0);
				BgL_walkz00_20495:
					if (NULLP(BgL_lz00_20496))
						{	/* Eval/evaluate_comp.scm 145 */
							BgL__ortest_1075z00_984 = BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 145 */
							if ((BgL_xz00_8 == CAR(BgL_lz00_20496)))
								{	/* Eval/evaluate_comp.scm 146 */
									BgL__ortest_1075z00_984 = BINT(BgL_nz00_20497);
								}
							else
								{
									long BgL_nz00_20634;
									obj_t BgL_lz00_20632;

									BgL_lz00_20632 = CDR(BgL_lz00_20496);
									BgL_nz00_20634 = (BgL_nz00_20497 + ((long) 1));
									BgL_nz00_20497 = BgL_nz00_20634;
									BgL_lz00_20496 = BgL_lz00_20632;
									goto BgL_walkz00_20495;
								}
						}
				}
				if (CBOOL(BgL__ortest_1075z00_984))
					{	/* Eval/evaluate_comp.scm 151 */
						return BgL__ortest_1075z00_984;
					}
				else
					{	/* Eval/evaluate_comp.scm 151 */
						obj_t BgL_arg1832z00_985;

						{	/* Eval/evaluate_comp.scm 151 */
							obj_t BgL_arg1833z00_986;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 151 */
									BgL_arg1833z00_986 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_head1614z00_992;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1843z00_1004;

										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_arg1844z00_1005;

											BgL_arg1844z00_1005 = CAR(BgL_lz00_9);
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1844z00_1005,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 176 */
													BgL_arg1843z00_1004 =
														(((BgL_ev_varz00_bglt) CREF(
																((BgL_ev_varz00_bglt) BgL_arg1844z00_1005)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 176 */
													BgL_arg1843z00_1004 = BgL_arg1844z00_1005;
												}
										}
										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_res4691z00_6356;

											BgL_res4691z00_6356 =
												MAKE_PAIR(BgL_arg1843z00_1004, BNIL);
											BgL_head1614z00_992 = BgL_res4691z00_6356;
										}
									}
									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_g1617z00_993;

										BgL_g1617z00_993 = CDR(BgL_lz00_9);
										{
											obj_t BgL_l1612z00_6392;
											obj_t BgL_tail1615z00_6393;

											BgL_l1612z00_6392 = BgL_g1617z00_993;
											BgL_tail1615z00_6393 = BgL_head1614z00_992;
										BgL_zc3anonymousza31838ze3z83_6391:
											if (NULLP(BgL_l1612z00_6392))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1833z00_986 = BgL_head1614z00_992;
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													obj_t BgL_newtail1616z00_6400;

													{	/* Eval/evaluate_comp.scm 151 */
														obj_t BgL_arg1841z00_6401;

														BgL_arg1841z00_6401 =
															BGl_lnamez00zz__evaluate_compz00(CAR
															(BgL_l1612z00_6392));
														{	/* Eval/evaluate_comp.scm 151 */
															obj_t BgL_res4697z00_6409;

															BgL_res4697z00_6409 =
																MAKE_PAIR(BgL_arg1841z00_6401, BNIL);
															BgL_newtail1616z00_6400 = BgL_res4697z00_6409;
														}
													}
													SET_CDR(BgL_tail1615z00_6393,
														BgL_newtail1616z00_6400);
													{
														obj_t BgL_tail1615z00_20655;
														obj_t BgL_l1612z00_20653;

														BgL_l1612z00_20653 = CDR(BgL_l1612z00_6392);
														BgL_tail1615z00_20655 = BgL_newtail1616z00_6400;
														BgL_tail1615z00_6393 = BgL_tail1615z00_20655;
														BgL_l1612z00_6392 = BgL_l1612z00_20653;
														goto BgL_zc3anonymousza31838ze3z83_6391;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 151 */
								obj_t BgL_list1834z00_987;

								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_arg1835z00_988;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1836z00_989;

										BgL_arg1836z00_989 = MAKE_PAIR(BgL_arg1833z00_986, BNIL);
										BgL_arg1835z00_988 =
											MAKE_PAIR(BGl_string6206z00zz__evaluate_compz00,
											BgL_arg1836z00_989);
									}
									BgL_list1834z00_987 =
										MAKE_PAIR(BgL_xz00_8, BgL_arg1835z00_988);
								}
								BgL_arg1832z00_985 = BgL_list1834z00_987;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string6207z00zz__evaluate_compz00,
							BGl_string6208z00zz__evaluate_compz00, BgL_arg1832z00_985);
					}
			}
		}
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 175 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 176 */
					return
						(((BgL_ev_varz00_bglt) CREF(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 176 */
					return BgL_vz00_16;
				}
		}
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 180 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 181 */
					obj_t BgL_cdrzd2177zd2_1031;

					BgL_cdrzd2177zd2_1031 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol6209z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 181 */
							if (PAIRP(BgL_cdrzd2177zd2_1031))
								{	/* Eval/evaluate_comp.scm 181 */
									obj_t BgL_cdrzd2181zd2_1034;

									BgL_cdrzd2181zd2_1034 = CDR(BgL_cdrzd2177zd2_1031);
									if (PAIRP(BgL_cdrzd2181zd2_1034))
										{	/* Eval/evaluate_comp.scm 181 */
											if (NULLP(CDR(BgL_cdrzd2181zd2_1034)))
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2177zd2_1031),
														CAR(BgL_cdrzd2181zd2_1034));
												}
											else
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 181 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 181 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 181 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 181 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 193 */
			{	/* Eval/evaluate_comp.scm 194 */
				obj_t BgL_stkz00_1048;

				BgL_stkz00_1048 =
					make_vector(
					(int) (((long) 8192)), BGl_string6211z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1048, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_stkz00_1048;
			}
		}
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			{	/* Eval/evaluate_comp.scm 199 */
				obj_t BgL_sz00_1049;

				{	/* Eval/evaluate_comp.scm 199 */
					obj_t BgL_auxz00_20691;

					BgL_auxz00_20691 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1049 = BGL_ENV_EVSTATE(BgL_auxz00_20691);
				}
				if (VECTORP(BgL_sz00_1049))
					{	/* Eval/evaluate_comp.scm 200 */
						return BgL_sz00_1049;
					}
				else
					{	/* Eval/evaluate_comp.scm 201 */
						obj_t BgL_statez00_1051;

						BgL_statez00_1051 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_auxz00_20697;

							BgL_auxz00_20697 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_auxz00_20697, BgL_statez00_1051);
						}
						return BgL_statez00_1051;
					}
			}
		}
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_18098)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_18099,
		obj_t BgL_ez00_18100)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			{	/* Eval/evaluate_comp.scm 262 */
				BgL_ev_exprz00_bglt BgL_auxz00_20702;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_18100,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 262 */
						BgL_auxz00_20702 = ((BgL_ev_exprz00_bglt) BgL_ez00_18100);
					}
				else
					{
						obj_t BgL_auxz00_20706;

						BgL_auxz00_20706 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string6212z00zz__evaluate_compz00, BINT(((long) 6594)),
							BGl_string6213z00zz__evaluate_compz00,
							BGl_string6214z00zz__evaluate_compz00, BgL_ez00_18100);
						FAILURE(BgL_auxz00_20706, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_20702);
			}
		}
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 320 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 323 */
					obj_t BgL_gz00_1102;

					{	/* Eval/evaluate_comp.scm 323 */
						obj_t BgL_arg1915z00_1103;
						obj_t BgL_arg1916z00_1104;

						BgL_arg1915z00_1103 =
							(((BgL_ev_globalz00_bglt) CREF(
									((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_modz00);
						BgL_arg1916z00_1104 =
							(((BgL_ev_globalz00_bglt) CREF(
									((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_namez00);
						BgL_gz00_1102 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg1915z00_1103, BgL_arg1916z00_1104);
					}
					if (CBOOL(BgL_gz00_1102))
						{	/* Eval/evaluate_comp.scm 324 */
							return VECTOR_REF(BgL_gz00_1102, (int) (((long) 2)));
						}
					else
						{	/* Eval/evaluate_comp.scm 324 */
							return BFALSE;
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 321 */
					return BFALSE;
				}
		}
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 604 */
			{
				obj_t BgL_lz00_1121;
				obj_t BgL_bsz00_1122;
				long BgL_spz00_1123;

				BgL_lz00_1121 = BgL_argsz00_83;
				BgL_bsz00_1122 = BgL_boxesz00_84;
				BgL_spz00_1123 = BgL_spz00_85;
			BgL_zc3anonymousza31927ze3z83_1124:
				if (NULLP(BgL_lz00_1121))
					{	/* Eval/evaluate_comp.scm 606 */
						if (NULLP(BgL_bsz00_1122))
							{	/* Eval/evaluate_comp.scm 607 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 610 */
								obj_t BgL_arg1930z00_1127;

								{	/* Eval/evaluate_comp.scm 610 */
									long BgL_arg1931z00_1128;
									long BgL_arg1932z00_1129;

									BgL_arg1931z00_1128 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1932z00_1129 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 609 */
										obj_t BgL_list1933z00_1130;

										{	/* Eval/evaluate_comp.scm 609 */
											obj_t BgL_arg1934z00_1131;

											BgL_arg1934z00_1131 =
												MAKE_PAIR(BINT(BgL_arg1932z00_1129), BNIL);
											BgL_list1933z00_1130 =
												MAKE_PAIR(BINT(BgL_arg1931z00_1128),
												BgL_arg1934z00_1131);
										}
										BgL_arg1930z00_1127 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string6215z00zz__evaluate_compz00,
											BgL_list1933z00_1130);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string6207z00zz__evaluate_compz00,
									BGl_string6216z00zz__evaluate_compz00, BgL_arg1930z00_1127);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 606 */
						if (NULLP(BgL_bsz00_1122))
							{	/* Eval/evaluate_comp.scm 614 */
								obj_t BgL_arg1936z00_1133;

								{	/* Eval/evaluate_comp.scm 614 */
									long BgL_arg1937z00_1134;
									long BgL_arg1938z00_1135;

									BgL_arg1937z00_1134 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1938z00_1135 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 613 */
										obj_t BgL_list1939z00_1136;

										{	/* Eval/evaluate_comp.scm 613 */
											obj_t BgL_arg1940z00_1137;

											BgL_arg1940z00_1137 =
												MAKE_PAIR(BINT(BgL_arg1938z00_1135), BNIL);
											BgL_list1939z00_1136 =
												MAKE_PAIR(BINT(BgL_arg1937z00_1134),
												BgL_arg1940z00_1137);
										}
										BgL_arg1936z00_1133 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string6215z00zz__evaluate_compz00,
											BgL_list1939z00_1136);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string6207z00zz__evaluate_compz00,
									BGl_string6216z00zz__evaluate_compz00, BgL_arg1936z00_1133);
							}
						else
							{	/* Eval/evaluate_comp.scm 611 */
								{	/* Eval/evaluate_comp.scm 617 */
									obj_t BgL_arg1941z00_1138;

									{	/* Eval/evaluate_comp.scm 617 */
										obj_t BgL_vz00_1139;

										{	/* Eval/evaluate_comp.scm 617 */
											obj_t BgL_fun1943z00_1141;

											BgL_fun1943z00_1141 = CAR(BgL_lz00_1121);
											BgL_vz00_1139 =
												PROCEDURE_ENTRY(BgL_fun1943z00_1141)
												(BgL_fun1943z00_1141, BgL_sz00_82, BEOA);
										}
										if (CBOOL(CAR(BgL_bsz00_1122)))
											{	/* Eval/evaluate_comp.scm 189 */
												obj_t BgL_newz00_6486;

												BgL_newz00_6486 =
													create_struct(BGl_symbol6217z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 189 */
													int BgL_auxz00_20755;

													BgL_auxz00_20755 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_6486, BgL_auxz00_20755,
														BgL_vz00_1139);
												}
												BgL_arg1941z00_1138 = BgL_newz00_6486;
											}
										else
											{	/* Eval/evaluate_comp.scm 618 */
												BgL_arg1941z00_1138 = BgL_vz00_1139;
											}
									}
									VECTOR_SET(BgL_sz00_82,
										(int) (BgL_spz00_1123), BgL_arg1941z00_1138);
								}
								{
									long BgL_spz00_20764;
									obj_t BgL_bsz00_20762;
									obj_t BgL_lz00_20760;

									BgL_lz00_20760 = CDR(BgL_lz00_1121);
									BgL_bsz00_20762 = CDR(BgL_bsz00_1122);
									BgL_spz00_20764 = (BgL_spz00_1123 + ((long) 1));
									BgL_spz00_1123 = BgL_spz00_20764;
									BgL_bsz00_1122 = BgL_bsz00_20762;
									BgL_lz00_1121 = BgL_lz00_20760;
									goto BgL_zc3anonymousza31927ze3z83_1124;
								}
							}
					}
			}
		}
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 626 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 627 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 627 */
					if ((CAR(BgL_l1z00_88) == CAR(BgL_l2z00_89)))
						{
							obj_t BgL_l2z00_20774;
							obj_t BgL_l1z00_20772;

							BgL_l1z00_20772 = CDR(BgL_l1z00_88);
							BgL_l2z00_20774 = CDR(BgL_l2z00_89);
							BgL_l2z00_89 = BgL_l2z00_20774;
							BgL_l1z00_88 = BgL_l1z00_20772;
							goto BGl_subzd2stkzd2zz__evaluate_compz00;
						}
					else
						{	/* Eval/evaluate_comp.scm 628 */
							return
								BGl_errorz00zz__errorz00(BGl_string6207z00zz__evaluate_compz00,
								BGl_symbol6219z00zz__evaluate_compz00,
								BGl_symbol6221z00zz__evaluate_compz00);
						}
				}
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 650 */
			{	/* Eval/evaluate_comp.scm 651 */
				obj_t BgL_savedzd2bpzd2_1159;

				BgL_savedzd2bpzd2_1159 = VECTOR_REF(BgL_sz00_94, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_94, (int) (((long) 0)), BgL_bpz00_95);
				{
					obj_t BgL_fz00_1161;

					BgL_fz00_1161 = BgL_fz00_93;
				BgL_zc3anonymousza31959ze3z83_1162:
					{	/* Eval/evaluate_comp.scm 654 */
						obj_t BgL_rz00_1163;

						BgL_rz00_1163 =
							PROCEDURE_ENTRY(BgL_fz00_1161) (BgL_fz00_1161, BgL_sz00_94, BEOA);
						{	/* Eval/evaluate_comp.scm 655 */
							bool_t BgL_testz00_20785;

							if (PROCEDUREP(BgL_rz00_1163))
								{	/* Eval/evaluate_comp.scm 655 */
									obj_t BgL_arg1964z00_1166;

									BgL_arg1964z00_1166 = PROCEDURE_ATTR(BgL_rz00_1163);
									if (STRUCTP(BgL_arg1964z00_1166))
										{	/* Eval/evaluate_comp.scm 635 */
											BgL_testz00_20785 =
												(STRUCT_KEY(BgL_arg1964z00_1166) ==
												BGl_symbol6203z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 635 */
											BgL_testz00_20785 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 655 */
									BgL_testz00_20785 = ((bool_t) 0);
								}
							if (BgL_testz00_20785)
								{
									obj_t BgL_fz00_20793;

									BgL_fz00_20793 = BgL_rz00_1163;
									BgL_fz00_1161 = BgL_fz00_20793;
									goto BgL_zc3anonymousza31959ze3z83_1162;
								}
							else
								{	/* Eval/evaluate_comp.scm 655 */
									VECTOR_SET(BgL_sz00_94,
										(int) (((long) 0)), BgL_savedzd2bpzd2_1159);
									return BgL_rz00_1163;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 669 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 671 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 673 */
					obj_t BgL_arg1976z00_1178;
					obj_t BgL_arg1977z00_1179;

					{	/* Eval/evaluate_comp.scm 673 */
						obj_t BgL_arg1978z00_1180;

						BgL_arg1978z00_1180 = CAR(BgL_eza2za2_117);
						BgL_arg1976z00_1178 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1978z00_1180), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 674 */
						obj_t BgL_arg1979z00_1181;
						obj_t BgL_arg1980z00_1182;

						BgL_arg1979z00_1181 = CDR(BgL_eza2za2_117);
						{	/* Eval/evaluate_comp.scm 674 */
							obj_t BgL_arg1981z00_1183;

							BgL_arg1981z00_1183 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg1980z00_1182 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1981z00_1183);
						}
						BgL_arg1977z00_1179 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1979z00_1181,
							BgL_arg1980z00_1182);
					}
					return MAKE_PAIR(BgL_arg1976z00_1178, BgL_arg1977z00_1179);
				}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_compz00(obj_t BgL_stkz00_20477,
		obj_t BgL_lz00_1185, long BgL_iz00_1186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 677 */
			if (NULLP(BgL_lz00_1185))
				{	/* Eval/evaluate_comp.scm 678 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 678 */
					if ((BgL_iz00_1186 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 679 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1185,
								BgL_stkz00_20477);
						}
					else
						{	/* Eval/evaluate_comp.scm 680 */
							obj_t BgL_arg1986z00_1190;
							obj_t BgL_arg1987z00_1191;

							{	/* Eval/evaluate_comp.scm 680 */
								obj_t BgL_arg1988z00_1192;

								BgL_arg1988z00_1192 = CAR(BgL_lz00_1185);
								BgL_arg1986z00_1190 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1988z00_1192),
									BgL_stkz00_20477);
							}
							BgL_arg1987z00_1191 =
								BGl_recz00zz__evaluate_compz00(BgL_stkz00_20477,
								CDR(BgL_lz00_1185), (BgL_iz00_1186 - ((long) 1)));
							return MAKE_PAIR(BgL_arg1986z00_1190, BgL_arg1987z00_1191);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		obj_t BgL_siza7eza7_126)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 683 */
			{	/* Eval/evaluate_comp.scm 685 */
				obj_t BgL_argsz00_1196;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 685 */
						BgL_argsz00_1196 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 685 */
						obj_t BgL_head1664z00_1201;

						{	/* Eval/evaluate_comp.scm 685 */
							obj_t BgL_res4730z00_6605;

							BgL_res4730z00_6605 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1664z00_1201 = BgL_res4730z00_6605;
						}
						{
							obj_t BgL_l1662z00_6639;
							obj_t BgL_tail1665z00_6640;

							BgL_l1662z00_6639 = BgL_argsz00_124;
							BgL_tail1665z00_6640 = BgL_head1664z00_1201;
						BgL_zc3anonymousza31994ze3z83_6638:
							if (NULLP(BgL_l1662z00_6639))
								{	/* Eval/evaluate_comp.scm 685 */
									BgL_argsz00_1196 = CDR(BgL_head1664z00_1201);
								}
							else
								{	/* Eval/evaluate_comp.scm 685 */
									obj_t BgL_newtail1666z00_6647;

									{	/* Eval/evaluate_comp.scm 685 */
										obj_t BgL_arg1997z00_6648;

										{	/* Eval/evaluate_comp.scm 685 */
											obj_t BgL_az00_6649;

											BgL_az00_6649 = CAR(BgL_l1662z00_6639);
											BgL_arg1997z00_6648 =
												PROCEDURE_ENTRY(BgL_az00_6649) (BgL_az00_6649,
												BgL_sz00_122, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 685 */
											obj_t BgL_res4736z00_6657;

											BgL_res4736z00_6657 =
												MAKE_PAIR(BgL_arg1997z00_6648, BNIL);
											BgL_newtail1666z00_6647 = BgL_res4736z00_6657;
										}
									}
									SET_CDR(BgL_tail1665z00_6640, BgL_newtail1666z00_6647);
									{
										obj_t BgL_tail1665z00_20833;
										obj_t BgL_l1662z00_20831;

										BgL_l1662z00_20831 = CDR(BgL_l1662z00_6639);
										BgL_tail1665z00_20833 = BgL_newtail1666z00_6647;
										BgL_tail1665z00_6640 = BgL_tail1665z00_20833;
										BgL_l1662z00_6639 = BgL_l1662z00_20831;
										goto BgL_zc3anonymousza31994ze3z83_6638;
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 686 */
					long BgL_arg1992z00_1197;

					BgL_arg1992z00_1197 =
						((long) CINT(BgL_bpz00_125) + (long) CINT(BgL_siza7eza7_126));
					VECTOR_SET(BgL_sz00_122,
						(int) (((long) 0)), BINT(BgL_arg1992z00_1197));
				}
				{	/* Eval/evaluate_comp.scm 687 */
					obj_t BgL_za2za2resza2za2z00_1198;

					BgL_za2za2resza2za2z00_1198 = apply(BgL_fz00_123, BgL_argsz00_1196);
					VECTOR_SET(BgL_sz00_122, (int) (((long) 0)), BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1198;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 696 */
			{	/* Eval/evaluate_comp.scm 697 */
				long BgL_g1144z00_1222;

				BgL_g1144z00_1222 = (((long) -1) - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1224;
					obj_t BgL_spz00_1225;
					long BgL_nz00_1226;

					BgL_lz00_1224 = BgL_argsz00_132;
					BgL_spz00_1225 = BgL_spz00_133;
					BgL_nz00_1226 = BgL_g1144z00_1222;
				BgL_zc3anonymousza32004ze3z83_1227:
					if ((BgL_nz00_1226 == ((long) 0)))
						{
							obj_t BgL_lz00_6768;
							obj_t BgL_rz00_6769;

							BgL_lz00_6768 = BgL_lz00_1224;
							BgL_rz00_6769 = BNIL;
						BgL_rec2z00_6767:
							if (NULLP(BgL_lz00_6768))
								{	/* Eval/evaluate_comp.scm 700 */
									return
										VECTOR_SET(BgL_sz00_131,
										CINT(BgL_spz00_1225), bgl_reverse_bang(BgL_rz00_6769));
								}
							else
								{	/* Eval/evaluate_comp.scm 702 */
									obj_t BgL_arg2009z00_6778;
									obj_t BgL_arg2010z00_6779;

									BgL_arg2009z00_6778 = CDR(BgL_lz00_6768);
									{	/* Eval/evaluate_comp.scm 702 */
										obj_t BgL_arg2011z00_6780;

										{	/* Eval/evaluate_comp.scm 702 */
											obj_t BgL_fun2012z00_6781;

											BgL_fun2012z00_6781 = CAR(BgL_lz00_6768);
											BgL_arg2011z00_6780 =
												PROCEDURE_ENTRY(BgL_fun2012z00_6781)
												(BgL_fun2012z00_6781, BgL_sz00_131, BEOA);
										}
										BgL_arg2010z00_6779 =
											MAKE_PAIR(BgL_arg2011z00_6780, BgL_rz00_6769);
									}
									{
										obj_t BgL_rz00_20861;
										obj_t BgL_lz00_20860;

										BgL_lz00_20860 = BgL_arg2009z00_6778;
										BgL_rz00_20861 = BgL_arg2010z00_6779;
										BgL_rz00_6769 = BgL_rz00_20861;
										BgL_lz00_6768 = BgL_lz00_20860;
										goto BgL_rec2z00_6767;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 698 */
							{	/* Eval/evaluate_comp.scm 703 */
								obj_t BgL_arg2014z00_1241;

								{	/* Eval/evaluate_comp.scm 703 */
									obj_t BgL_fun2015z00_1242;

									BgL_fun2015z00_1242 = CAR(BgL_lz00_1224);
									BgL_arg2014z00_1241 =
										PROCEDURE_ENTRY(BgL_fun2015z00_1242) (BgL_fun2015z00_1242,
										BgL_sz00_131, BEOA);
								}
								VECTOR_SET(BgL_sz00_131,
									CINT(BgL_spz00_1225), BgL_arg2014z00_1241);
							}
							{	/* Eval/evaluate_comp.scm 704 */
								obj_t BgL_arg2016z00_1243;
								long BgL_arg2017z00_1244;
								long BgL_arg2019z00_1245;

								BgL_arg2016z00_1243 = CDR(BgL_lz00_1224);
								BgL_arg2017z00_1244 =
									((long) CINT(BgL_spz00_1225) + ((long) 1));
								BgL_arg2019z00_1245 = (BgL_nz00_1226 - ((long) 1));
								{
									long BgL_nz00_20876;
									obj_t BgL_spz00_20874;
									obj_t BgL_lz00_20873;

									BgL_lz00_20873 = BgL_arg2016z00_1243;
									BgL_spz00_20874 = BINT(BgL_arg2017z00_1244);
									BgL_nz00_20876 = BgL_arg2019z00_1245;
									BgL_nz00_1226 = BgL_nz00_20876;
									BgL_spz00_1225 = BgL_spz00_20874;
									BgL_lz00_1224 = BgL_lz00_20873;
									goto BgL_zc3anonymousza32004ze3z83_1227;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 748 */
			{
				obj_t BgL_lz00_1248;
				obj_t BgL_stkz00_1249;

				BgL_lz00_1248 = BgL_argsz00_134;
				BgL_stkz00_1249 = BgL_stkz00_135;
			BgL_zc3anonymousza32020ze3z83_1250:
				{	/* Eval/evaluate_comp.scm 752 */
					bool_t BgL_testz00_20877;

					if (NULLP(BgL_lz00_1248))
						{	/* Eval/evaluate_comp.scm 752 */
							BgL_testz00_20877 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 752 */
							BgL_testz00_20877 = NULLP(BgL_stkz00_1249);
						}
					if (BgL_testz00_20877)
						{	/* Eval/evaluate_comp.scm 752 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 754 */
							bool_t BgL_testz00_20881;

							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_g1669z00_1255;

								BgL_g1669z00_1255 = CDR(BgL_lz00_1248);
								{
									obj_t BgL_l1667z00_1257;

									{	/* Eval/evaluate_comp.scm 754 */
										obj_t BgL_auxz00_20883;

										BgL_l1667z00_1257 = BgL_g1669z00_1255;
									BgL_zc3anonymousza32025ze3z83_1258:
										if (NULLP(BgL_l1667z00_1257))
											{	/* Eval/evaluate_comp.scm 754 */
												BgL_auxz00_20883 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 754 */
												obj_t BgL__ortest_1670z00_1260;

												{	/* Eval/evaluate_comp.scm 754 */
													obj_t BgL_ez00_1262;

													BgL_ez00_1262 = CAR(BgL_l1667z00_1257);
													{	/* Eval/evaluate_comp.scm 754 */
														obj_t BgL_arg2028z00_1263;
														obj_t BgL_arg2029z00_1264;

														BgL_arg2028z00_1263 = CAR(BgL_stkz00_1249);
														BgL_arg2029z00_1264 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1262), BNIL);
														BgL__ortest_1670z00_1260 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2028z00_1263, BgL_arg2029z00_1264);
													}
												}
												if (CBOOL(BgL__ortest_1670z00_1260))
													{	/* Eval/evaluate_comp.scm 754 */
														BgL_auxz00_20883 = BgL__ortest_1670z00_1260;
													}
												else
													{
														obj_t BgL_l1667z00_20893;

														BgL_l1667z00_20893 = CDR(BgL_l1667z00_1257);
														BgL_l1667z00_1257 = BgL_l1667z00_20893;
														goto BgL_zc3anonymousza32025ze3z83_1258;
													}
											}
										BgL_testz00_20881 = CBOOL(BgL_auxz00_20883);
									}
								}
							}
							if (BgL_testz00_20881)
								{	/* Eval/evaluate_comp.scm 754 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_20898;
									obj_t BgL_lz00_20896;

									BgL_lz00_20896 = CDR(BgL_lz00_1248);
									BgL_stkz00_20898 = CDR(BgL_stkz00_1249);
									BgL_stkz00_1249 = BgL_stkz00_20898;
									BgL_lz00_1248 = BgL_lz00_20896;
									goto BgL_zc3anonymousza32020ze3z83_1250;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 758 */
			{	/* Eval/evaluate_comp.scm 760 */
				long BgL_siza7eza7_1269;
				long BgL_nbargsz00_1270;
				obj_t BgL_fz00_1271;
				obj_t BgL_symbzd2funzd2_1272;

				BgL_siza7eza7_1269 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1270 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1271 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1272 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							CREF(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 762 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 769 */
								bool_t BgL_testz00_20913;

								{	/* Eval/evaluate_comp.scm 769 */
									int BgL_arg2079z00_1351;

									BgL_arg2079z00_1351 = bgl_debug();
									BgL_testz00_20913 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2079z00_1351),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20913)
									{	/* Eval/evaluate_comp.scm 769 */
										obj_t BgL_argsz00_1276;

										BgL_argsz00_1276 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 769 */
											obj_t BgL_zc3anonymousza32034ze3z83_18102;

											BgL_zc3anonymousza32034ze3z83_18102 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_18102,
												(int) (((long) 0)), BgL_fz00_1271);
											PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_18102,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_18102,
												(int) (((long) 2)), BgL_symbzd2funzd2_1272);
											PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_18102,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1270));
											PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_18102,
												(int) (((long) 4)), BgL_argsz00_1276);
											PROCEDURE_SET(BgL_zc3anonymousza32034ze3z83_18102,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1269));
											return BgL_zc3anonymousza32034ze3z83_18102;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 769 */
										obj_t BgL_argsz00_1315;

										BgL_argsz00_1315 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 769 */
											obj_t BgL_zc3anonymousza32059ze3z83_18104;

											BgL_zc3anonymousza32059ze3z83_18104 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32059ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza32059ze3z83_18104,
												(int) (((long) 0)), BgL_fz00_1271);
											PROCEDURE_SET(BgL_zc3anonymousza32059ze3z83_18104,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza32059ze3z83_18104,
												(int) (((long) 2)), BgL_symbzd2funzd2_1272);
											PROCEDURE_SET(BgL_zc3anonymousza32059ze3z83_18104,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1270));
											PROCEDURE_SET(BgL_zc3anonymousza32059ze3z83_18104,
												(int) (((long) 4)), BgL_argsz00_1315);
											PROCEDURE_SET(BgL_zc3anonymousza32059ze3z83_18104,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1269));
											return BgL_zc3anonymousza32059ze3z83_18104;
										}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 777 */
								bool_t BgL_testz00_20958;

								{	/* Eval/evaluate_comp.scm 777 */
									int BgL_arg2120z00_1422;

									BgL_arg2120z00_1422 = bgl_debug();
									BgL_testz00_20958 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2120z00_1422),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20958)
									{	/* Eval/evaluate_comp.scm 777 */
										obj_t BgL_argsz00_1353;

										BgL_argsz00_1353 =
											BGl_recz00zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_siza7eza7_1269);
										{	/* Eval/evaluate_comp.scm 777 */
											obj_t BgL_zc3anonymousza32081ze3z83_18106;

											BgL_zc3anonymousza32081ze3z83_18106 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_18106,
												(int) (((long) 0)), BgL_fz00_1271);
											PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_18106,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_18106,
												(int) (((long) 2)), BgL_symbzd2funzd2_1272);
											PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_18106,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1270));
											PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_18106,
												(int) (((long) 4)), BgL_argsz00_1353);
											return BgL_zc3anonymousza32081ze3z83_18106;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 777 */
										obj_t BgL_argsz00_1389;

										BgL_argsz00_1389 =
											BGl_recz00zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_siza7eza7_1269);
										{	/* Eval/evaluate_comp.scm 777 */
											obj_t BgL_zc3anonymousza32102ze3z83_18108;

											BgL_zc3anonymousza32102ze3z83_18108 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32102ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza32102ze3z83_18108,
												(int) (((long) 0)), BgL_fz00_1271);
											PROCEDURE_SET(BgL_zc3anonymousza32102ze3z83_18108,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza32102ze3z83_18108,
												(int) (((long) 2)), BgL_symbzd2funzd2_1272);
											PROCEDURE_SET(BgL_zc3anonymousza32102ze3z83_18108,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1270));
											PROCEDURE_SET(BgL_zc3anonymousza32102ze3z83_18108,
												(int) (((long) 4)), BgL_argsz00_1389);
											return BgL_zc3anonymousza32102ze3z83_18108;
										}
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 763 */
						bool_t BgL_testz00_20997;

						{	/* Eval/evaluate_comp.scm 763 */
							int BgL_arg2166z00_1494;

							BgL_arg2166z00_1494 = bgl_debug();
							BgL_testz00_20997 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2166z00_1494),
								BINT(((long) 0)));
						}
						if (BgL_testz00_20997)
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_argsz00_1425;

								BgL_argsz00_1425 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 763 */
									obj_t BgL_zc3anonymousza32124ze3z83_18110;

									BgL_zc3anonymousza32124ze3z83_18110 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32124ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18110,
										(int) (((long) 0)), BgL_fz00_1271);
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18110,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18110,
										(int) (((long) 2)), BgL_symbzd2funzd2_1272);
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18110,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1270));
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18110,
										(int) (((long) 4)), BgL_argsz00_1425);
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18110,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1269));
									return BgL_zc3anonymousza32124ze3z83_18110;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_argsz00_1461;

								BgL_argsz00_1461 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 763 */
									obj_t BgL_zc3anonymousza32146ze3z83_18112;

									BgL_zc3anonymousza32146ze3z83_18112 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32146ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza32146ze3z83_18112,
										(int) (((long) 0)), BgL_fz00_1271);
									PROCEDURE_SET(BgL_zc3anonymousza32146ze3z83_18112,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza32146ze3z83_18112,
										(int) (((long) 2)), BgL_symbzd2funzd2_1272);
									PROCEDURE_SET(BgL_zc3anonymousza32146ze3z83_18112,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1270));
									PROCEDURE_SET(BgL_zc3anonymousza32146ze3z83_18112,
										(int) (((long) 4)), BgL_argsz00_1461);
									PROCEDURE_SET(BgL_zc3anonymousza32146ze3z83_18112,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1269));
									return BgL_zc3anonymousza32146ze3z83_18112;
								}
							}
					}
			}
		}
	}



/* &<anonymous:2034> */
	obj_t BGl_z62zc3anonymousza32034ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18113, obj_t BgL_sz00_18120)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 769 */
				obj_t BgL_fz00_18114;
				BgL_ev_appz00_bglt BgL_i1152z00_18115;
				obj_t BgL_symbzd2funzd2_18116;
				long BgL_nbargsz00_18117;
				obj_t BgL_argsz00_18118;
				long BgL_siza7eza7_18119;

				BgL_fz00_18114 = PROCEDURE_REF(BgL_envz00_18113, (int) (((long) 0)));
				BgL_i1152z00_18115 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18113, (int) (((long) 1))));
				BgL_symbzd2funzd2_18116 =
					PROCEDURE_REF(BgL_envz00_18113, (int) (((long) 2)));
				BgL_nbargsz00_18117 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18113, (int) (((long) 3))));
				BgL_argsz00_18118 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18113, (int) (((long) 4))));
				BgL_siza7eza7_18119 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18113, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1277;

					BgL_sz00_1277 = BgL_sz00_18120;
					{	/* Eval/evaluate_comp.scm 769 */
						obj_t BgL_bpz00_1279;

						BgL_bpz00_1279 = VECTOR_REF(BgL_sz00_1277, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 769 */
							obj_t BgL_fz00_1280;

							BgL_fz00_1280 =
								PROCEDURE_ENTRY(BgL_fz00_18114) (BgL_fz00_18114, BgL_sz00_1277,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1280))
								{	/* Eval/evaluate_comp.scm 769 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 769 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18115))->
											BgL_locz00), BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1280);
								}
							{	/* Eval/evaluate_comp.scm 769 */
								obj_t BgL_ufz00_1283;

								BgL_ufz00_1283 = PROCEDURE_ATTR(BgL_fz00_1280);
								{	/* Eval/evaluate_comp.scm 769 */
									bool_t BgL_testz00_21069;

									if (STRUCTP(BgL_ufz00_1283))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21069 =
												(STRUCT_KEY(BgL_ufz00_1283) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21069 = ((bool_t) 0);
										}
									if (BgL_testz00_21069)
										{	/* Eval/evaluate_comp.scm 769 */
											obj_t BgL_arityz00_1285;
											obj_t BgL_runz00_1286;
											obj_t BgL_sfz00_1287;

											BgL_arityz00_1285 =
												STRUCT_REF(BgL_ufz00_1283, (int) (((long) 0)));
											BgL_runz00_1286 =
												STRUCT_REF(BgL_ufz00_1283, (int) (((long) 1)));
											BgL_sfz00_1287 =
												STRUCT_REF(BgL_ufz00_1283, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 769 */
												long BgL_spz00_1288;

												BgL_spz00_1288 =
													((long) CINT(BgL_bpz00_1279) + BgL_siza7eza7_18119);
												if (
													((long) CINT(BgL_arityz00_1285) ==
														BgL_nbargsz00_18117))
													{	/* Eval/evaluate_comp.scm 769 */
														{
															obj_t BgL_lz00_6843;
															long BgL_spz00_6844;

															BgL_lz00_6843 = BgL_argsz00_18118;
															BgL_spz00_6844 = BgL_spz00_1288;
														BgL_recz00_6842:
															if (NULLP(BgL_lz00_6843))
																{	/* Eval/evaluate_comp.scm 692 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 692 */
																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_arg2000z00_6851;

																		{	/* Eval/evaluate_comp.scm 693 */
																			obj_t BgL_fun2001z00_6852;

																			BgL_fun2001z00_6852 = CAR(BgL_lz00_6843);
																			BgL_arg2000z00_6851 =
																				PROCEDURE_ENTRY(BgL_fun2001z00_6852)
																				(BgL_fun2001z00_6852, BgL_sz00_1277,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1277,
																			(int) (BgL_spz00_6844),
																			BgL_arg2000z00_6851);
																	}
																	{
																		long BgL_spz00_21096;
																		obj_t BgL_lz00_21094;

																		BgL_lz00_21094 = CDR(BgL_lz00_6843);
																		BgL_spz00_21096 =
																			(BgL_spz00_6844 + ((long) 1));
																		BgL_spz00_6844 = BgL_spz00_21096;
																		BgL_lz00_6843 = BgL_lz00_21094;
																		goto BgL_recz00_6842;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 773 */
															long BgL_arg2039z00_1290;

															BgL_arg2039z00_1290 =
																(BgL_spz00_1288 + BgL_nbargsz00_18117);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1277, BgL_bpz00_1279, BgL_sz00_1277,
																BINT(BgL_spz00_1288),
																BINT(BgL_arg2039z00_1290));
													}}
												else
													{	/* Eval/evaluate_comp.scm 769 */
														bool_t BgL_testz00_21102;

														if (((long) CINT(BgL_arityz00_1285) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 769 */
																BgL_testz00_21102 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																BgL_testz00_21102 =
																	(
																	(long) CINT(BgL_arityz00_1285) <
																	(((long) -1) - BgL_nbargsz00_18117));
															}
														if (BgL_testz00_21102)
															{	/* Eval/evaluate_comp.scm 769 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1152z00_18115))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1283,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_18117),
																	CINT(BgL_arityz00_1285));
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1285, BgL_sz00_1277,
																	BgL_argsz00_18118, BINT(BgL_spz00_1288));
																{	/* Eval/evaluate_comp.scm 775 */
																	long BgL_arg2044z00_1294;

																	BgL_arg2044z00_1294 =
																		(BgL_spz00_1288 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1285)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1277, BgL_bpz00_1279,
																		BgL_sz00_1277, BINT(BgL_spz00_1288),
																		BINT(BgL_arg2044z00_1294));
													}}}
												{	/* Eval/evaluate_comp.scm 769 */
													obj_t BgL_z12denvz12_1298;

													BgL_z12denvz12_1298 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 769 */
														obj_t BgL_auxz00_21124;

														BgL_auxz00_21124 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18115))->
															BgL_locz00);
														BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1298,
															BgL_auxz00_21124);
													}
													if (
														(((long) CINT(BgL_bpz00_1279) +
																(long) CINT(BgL_sfz00_1287)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1277))))
														{	/* Eval/evaluate_comp.scm 769 */
															return BgL_runz00_1286;
														}
													else
														{	/* Eval/evaluate_comp.scm 769 */
															obj_t BgL_nsz00_1301;

															BgL_nsz00_1301 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 769 */
																long BgL_arg2051z00_1303;

																BgL_arg2051z00_1303 =
																	(
																	(long) CINT(BgL_bpz00_1279) +
																	BgL_nbargsz00_18117);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1301, BINT(((long) 2)),
																	BgL_sz00_1277, BgL_bpz00_1279,
																	BINT(BgL_arg2051z00_1303));
															}
															VECTOR_SET(BgL_nsz00_1301,
																(int) (((long) 1)), BgL_sz00_1277);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1298,
																BgL_nsz00_1301);
															{	/* Eval/evaluate_comp.scm 769 */
																obj_t BgL_exitd1159z00_1304;

																BgL_exitd1159z00_1304 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 769 */
																	obj_t BgL_zc3anonymousza32052ze3z83_18101;

																	BgL_zc3anonymousza32052ze3z83_18101 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32052ze3z83_18101,
																		(int) (((long) 0)), BgL_z12denvz12_1298);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32052ze3z83_18101,
																		(int) (((long) 1)), BgL_sz00_1277);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1159z00_1304,
																		BgL_zc3anonymousza32052ze3z83_18101);
																	{	/* Eval/evaluate_comp.scm 769 */
																		obj_t BgL_tmp1161z00_1306;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_6909;

																			BgL_savedzd2bpzd2_6909 =
																				VECTOR_REF(BgL_nsz00_1301,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1301,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_6916;

																				BgL_fz00_6916 = BgL_runz00_1286;
																			BgL_recz00_6915:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_6917;

																					BgL_rz00_6917 =
																						PROCEDURE_ENTRY(BgL_fz00_6916)
																						(BgL_fz00_6916, BgL_nsz00_1301,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_21161;

																						if (PROCEDUREP(BgL_rz00_6917))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_6922;

																								BgL_arg1964z00_6922 =
																									PROCEDURE_ATTR(BgL_rz00_6917);
																								if (STRUCTP
																									(BgL_arg1964z00_6922))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21161 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_6922) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21161 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_21161 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_21161)
																							{
																								obj_t BgL_fz00_21169;

																								BgL_fz00_21169 = BgL_rz00_6917;
																								BgL_fz00_6916 = BgL_fz00_21169;
																								goto BgL_recz00_6915;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1301,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_6909);
																								BgL_tmp1161z00_1306 =
																									BgL_rz00_6917;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1159z00_1304);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1298,
																			BgL_sz00_1277);
																		return BgL_tmp1161z00_1306;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 769 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1280,
													(int) (BgL_nbargsz00_18117)))
												{	/* Eval/evaluate_comp.scm 769 */
													{	/* Eval/evaluate_comp.scm 769 */
														obj_t BgL_auxz00_21179;
														obj_t BgL_auxz00_21177;

														BgL_auxz00_21179 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18115))->
															BgL_locz00);
														BgL_auxz00_21177 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_21177,
															BgL_auxz00_21179);
													}
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1277, BgL_fz00_1280, BgL_argsz00_18118,
														BgL_bpz00_1279, BINT(BgL_siza7eza7_18119));
												}
											else
												{	/* Eval/evaluate_comp.scm 769 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18115))->
															BgL_locz00), BgL_symbzd2funzd2_18116,
														(int) (BgL_nbargsz00_18117),
														PROCEDURE_ARITY(BgL_fz00_1280));
		}}}}}}}}}
	}



/* &<anonymous:2052> */
	obj_t BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 769 */
				obj_t BgL_z12denvz12_18122;
				obj_t BgL_sz00_18123;

				BgL_z12denvz12_18122 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18121, (int) (((long) 0))));
				BgL_sz00_18123 = PROCEDURE_REF(BgL_envz00_18121, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18122, BgL_sz00_18123);
				}
			}
		}
	}



/* &<anonymous:2059> */
	obj_t BGl_z62zc3anonymousza32059ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18124, obj_t BgL_sz00_18131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 769 */
				obj_t BgL_fz00_18125;
				BgL_ev_appz00_bglt BgL_i1152z00_18126;
				obj_t BgL_symbzd2funzd2_18127;
				long BgL_nbargsz00_18128;
				obj_t BgL_argsz00_18129;
				long BgL_siza7eza7_18130;

				BgL_fz00_18125 = PROCEDURE_REF(BgL_envz00_18124, (int) (((long) 0)));
				BgL_i1152z00_18126 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18124, (int) (((long) 1))));
				BgL_symbzd2funzd2_18127 =
					PROCEDURE_REF(BgL_envz00_18124, (int) (((long) 2)));
				BgL_nbargsz00_18128 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18124, (int) (((long) 3))));
				BgL_argsz00_18129 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18124, (int) (((long) 4))));
				BgL_siza7eza7_18130 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18124, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1316;

					BgL_sz00_1316 = BgL_sz00_18131;
					{	/* Eval/evaluate_comp.scm 769 */
						obj_t BgL_bpz00_1318;

						BgL_bpz00_1318 = VECTOR_REF(BgL_sz00_1316, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 769 */
							obj_t BgL_fz00_1319;

							BgL_fz00_1319 =
								PROCEDURE_ENTRY(BgL_fz00_18125) (BgL_fz00_18125, BgL_sz00_1316,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1319))
								{	/* Eval/evaluate_comp.scm 769 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 769 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18126))->
											BgL_locz00), BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1319);
								}
							{	/* Eval/evaluate_comp.scm 769 */
								obj_t BgL_ufz00_1322;

								BgL_ufz00_1322 = PROCEDURE_ATTR(BgL_fz00_1319);
								{	/* Eval/evaluate_comp.scm 769 */
									bool_t BgL_testz00_21221;

									if (STRUCTP(BgL_ufz00_1322))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21221 =
												(STRUCT_KEY(BgL_ufz00_1322) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21221 = ((bool_t) 0);
										}
									if (BgL_testz00_21221)
										{	/* Eval/evaluate_comp.scm 769 */
											obj_t BgL_arityz00_1324;
											obj_t BgL_runz00_1325;
											obj_t BgL_sfz00_1326;

											BgL_arityz00_1324 =
												STRUCT_REF(BgL_ufz00_1322, (int) (((long) 0)));
											BgL_runz00_1325 =
												STRUCT_REF(BgL_ufz00_1322, (int) (((long) 1)));
											BgL_sfz00_1326 =
												STRUCT_REF(BgL_ufz00_1322, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 769 */
												long BgL_spz00_1327;

												BgL_spz00_1327 =
													((long) CINT(BgL_bpz00_1318) + BgL_siza7eza7_18130);
												if (
													((long) CINT(BgL_arityz00_1324) ==
														BgL_nbargsz00_18128))
													{	/* Eval/evaluate_comp.scm 769 */
														{
															obj_t BgL_lz00_6966;
															long BgL_spz00_6967;

															BgL_lz00_6966 = BgL_argsz00_18129;
															BgL_spz00_6967 = BgL_spz00_1327;
														BgL_recz00_6965:
															if (NULLP(BgL_lz00_6966))
																{	/* Eval/evaluate_comp.scm 692 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 692 */
																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_arg2000z00_6974;

																		{	/* Eval/evaluate_comp.scm 693 */
																			obj_t BgL_fun2001z00_6975;

																			BgL_fun2001z00_6975 = CAR(BgL_lz00_6966);
																			BgL_arg2000z00_6974 =
																				PROCEDURE_ENTRY(BgL_fun2001z00_6975)
																				(BgL_fun2001z00_6975, BgL_sz00_1316,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1316,
																			(int) (BgL_spz00_6967),
																			BgL_arg2000z00_6974);
																	}
																	{
																		long BgL_spz00_21248;
																		obj_t BgL_lz00_21246;

																		BgL_lz00_21246 = CDR(BgL_lz00_6966);
																		BgL_spz00_21248 =
																			(BgL_spz00_6967 + ((long) 1));
																		BgL_spz00_6967 = BgL_spz00_21248;
																		BgL_lz00_6966 = BgL_lz00_21246;
																		goto BgL_recz00_6965;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 773 */
															long BgL_arg2064z00_1329;

															BgL_arg2064z00_1329 =
																(BgL_spz00_1327 + BgL_nbargsz00_18128);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1316, BgL_bpz00_1318, BgL_sz00_1316,
																BINT(BgL_spz00_1327),
																BINT(BgL_arg2064z00_1329));
													}}
												else
													{	/* Eval/evaluate_comp.scm 769 */
														bool_t BgL_testz00_21254;

														if (((long) CINT(BgL_arityz00_1324) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 769 */
																BgL_testz00_21254 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																BgL_testz00_21254 =
																	(
																	(long) CINT(BgL_arityz00_1324) <
																	(((long) -1) - BgL_nbargsz00_18128));
															}
														if (BgL_testz00_21254)
															{	/* Eval/evaluate_comp.scm 769 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1152z00_18126))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1322,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_18128),
																	CINT(BgL_arityz00_1324));
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1324, BgL_sz00_1316,
																	BgL_argsz00_18129, BINT(BgL_spz00_1327));
																{	/* Eval/evaluate_comp.scm 775 */
																	long BgL_arg2068z00_1333;

																	BgL_arg2068z00_1333 =
																		(BgL_spz00_1327 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1324)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1316, BgL_bpz00_1318,
																		BgL_sz00_1316, BINT(BgL_spz00_1327),
																		BINT(BgL_arg2068z00_1333));
													}}}
												{	/* Eval/evaluate_comp.scm 769 */
													obj_t BgL_z12denvz12_1337;

													BgL_z12denvz12_1337 = BGL_CURRENT_DYNAMIC_ENV();
													if (
														(((long) CINT(BgL_bpz00_1318) +
																(long) CINT(BgL_sfz00_1326)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1316))))
														{	/* Eval/evaluate_comp.scm 769 */
															return BgL_runz00_1325;
														}
													else
														{	/* Eval/evaluate_comp.scm 769 */
															obj_t BgL_nsz00_1339;

															BgL_nsz00_1339 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 769 */
																long BgL_arg2073z00_1341;

																BgL_arg2073z00_1341 =
																	(
																	(long) CINT(BgL_bpz00_1318) +
																	BgL_nbargsz00_18128);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1339, BINT(((long) 2)),
																	BgL_sz00_1316, BgL_bpz00_1318,
																	BINT(BgL_arg2073z00_1341));
															}
															VECTOR_SET(BgL_nsz00_1339,
																(int) (((long) 1)), BgL_sz00_1316);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1337,
																BgL_nsz00_1339);
															{	/* Eval/evaluate_comp.scm 769 */
																obj_t BgL_exitd1162z00_1342;

																BgL_exitd1162z00_1342 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 769 */
																	obj_t BgL_zc3anonymousza32074ze3z83_18103;

																	BgL_zc3anonymousza32074ze3z83_18103 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32074ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32074ze3z83_18103,
																		(int) (((long) 0)), BgL_z12denvz12_1337);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32074ze3z83_18103,
																		(int) (((long) 1)), BgL_sz00_1316);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1162z00_1342,
																		BgL_zc3anonymousza32074ze3z83_18103);
																	{	/* Eval/evaluate_comp.scm 769 */
																		obj_t BgL_tmp1164z00_1344;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_7032;

																			BgL_savedzd2bpzd2_7032 =
																				VECTOR_REF(BgL_nsz00_1339,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1339,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_7039;

																				BgL_fz00_7039 = BgL_runz00_1325;
																			BgL_recz00_7038:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_7040;

																					BgL_rz00_7040 =
																						PROCEDURE_ENTRY(BgL_fz00_7039)
																						(BgL_fz00_7039, BgL_nsz00_1339,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_21310;

																						if (PROCEDUREP(BgL_rz00_7040))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_7045;

																								BgL_arg1964z00_7045 =
																									PROCEDURE_ATTR(BgL_rz00_7040);
																								if (STRUCTP
																									(BgL_arg1964z00_7045))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21310 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_7045) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21310 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_21310 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_21310)
																							{
																								obj_t BgL_fz00_21318;

																								BgL_fz00_21318 = BgL_rz00_7040;
																								BgL_fz00_7039 = BgL_fz00_21318;
																								goto BgL_recz00_7038;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1339,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_7032);
																								BgL_tmp1164z00_1344 =
																									BgL_rz00_7040;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1162z00_1342);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1337,
																			BgL_sz00_1316);
																		return BgL_tmp1164z00_1344;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 769 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1319,
													(int) (BgL_nbargsz00_18128)))
												{	/* Eval/evaluate_comp.scm 769 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1316, BgL_fz00_1319, BgL_argsz00_18129,
														BgL_bpz00_1318, BINT(BgL_siza7eza7_18130));
												}
											else
												{	/* Eval/evaluate_comp.scm 769 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18126))->
															BgL_locz00), BgL_symbzd2funzd2_18127,
														(int) (BgL_nbargsz00_18128),
														PROCEDURE_ARITY(BgL_fz00_1319));
		}}}}}}}}}
	}



/* &<anonymous:2074> */
	obj_t BGl_z62zc3anonymousza32074ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18132)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 769 */
				obj_t BgL_z12denvz12_18133;
				obj_t BgL_sz00_18134;

				BgL_z12denvz12_18133 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18132, (int) (((long) 0))));
				BgL_sz00_18134 = PROCEDURE_REF(BgL_envz00_18132, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18133, BgL_sz00_18134);
				}
			}
		}
	}



/* &<anonymous:2081> */
	obj_t BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18135, obj_t BgL_sz00_18141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 777 */
			{	/* Eval/evaluate_comp.scm 777 */
				obj_t BgL_fz00_18136;
				BgL_ev_appz00_bglt BgL_i1152z00_18137;
				obj_t BgL_symbzd2funzd2_18138;
				long BgL_nbargsz00_18139;
				obj_t BgL_argsz00_18140;

				BgL_fz00_18136 = PROCEDURE_REF(BgL_envz00_18135, (int) (((long) 0)));
				BgL_i1152z00_18137 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18135, (int) (((long) 1))));
				BgL_symbzd2funzd2_18138 =
					PROCEDURE_REF(BgL_envz00_18135, (int) (((long) 2)));
				BgL_nbargsz00_18139 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18135, (int) (((long) 3))));
				BgL_argsz00_18140 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18135, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1354;

					BgL_sz00_1354 = BgL_sz00_18141;
					{	/* Eval/evaluate_comp.scm 777 */
						obj_t BgL_bpz00_1356;

						BgL_bpz00_1356 = VECTOR_REF(BgL_sz00_1354, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 777 */
							obj_t BgL_fz00_1357;

							BgL_fz00_1357 =
								PROCEDURE_ENTRY(BgL_fz00_18136) (BgL_fz00_18136, BgL_sz00_1354,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1357))
								{	/* Eval/evaluate_comp.scm 777 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 777 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18137))->
											BgL_locz00), BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1357);
								}
							{	/* Eval/evaluate_comp.scm 777 */
								obj_t BgL_ufz00_1360;

								BgL_ufz00_1360 = PROCEDURE_ATTR(BgL_fz00_1357);
								{	/* Eval/evaluate_comp.scm 777 */
									bool_t BgL_testz00_21362;

									if (STRUCTP(BgL_ufz00_1360))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21362 =
												(STRUCT_KEY(BgL_ufz00_1360) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21362 = ((bool_t) 0);
										}
									if (BgL_testz00_21362)
										{	/* Eval/evaluate_comp.scm 777 */
											obj_t BgL_arityz00_1362;
											obj_t BgL_runz00_1363;
											obj_t BgL_sfz00_1364;

											BgL_arityz00_1362 =
												STRUCT_REF(BgL_ufz00_1360, (int) (((long) 0)));
											BgL_runz00_1363 =
												STRUCT_REF(BgL_ufz00_1360, (int) (((long) 1)));
											BgL_sfz00_1364 =
												STRUCT_REF(BgL_ufz00_1360, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1362) == BgL_nbargsz00_18139))
												{
													obj_t BgL_lz00_7088;
													obj_t BgL_spz00_7089;

													{	/* Eval/evaluate_comp.scm 691 */
														bool_t BgL_auxz00_21376;

														BgL_lz00_7088 = BgL_argsz00_18140;
														BgL_spz00_7089 = BgL_bpz00_1356;
													BgL_recz00_7087:
														if (NULLP(BgL_lz00_7088))
															{	/* Eval/evaluate_comp.scm 692 */
																BgL_auxz00_21376 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 692 */
																{	/* Eval/evaluate_comp.scm 693 */
																	obj_t BgL_arg2000z00_7096;

																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_fun2001z00_7097;

																		BgL_fun2001z00_7097 = CAR(BgL_lz00_7088);
																		BgL_arg2000z00_7096 =
																			PROCEDURE_ENTRY(BgL_fun2001z00_7097)
																			(BgL_fun2001z00_7097, BgL_sz00_1354,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1354,
																		CINT(BgL_spz00_7089), BgL_arg2000z00_7096);
																}
																{	/* Eval/evaluate_comp.scm 694 */
																	obj_t BgL_arg2002z00_7098;
																	long BgL_arg2003z00_7099;

																	BgL_arg2002z00_7098 = CDR(BgL_lz00_7088);
																	BgL_arg2003z00_7099 =
																		((long) CINT(BgL_spz00_7089) + ((long) 1));
																	{
																		obj_t BgL_spz00_21390;
																		obj_t BgL_lz00_21389;

																		BgL_lz00_21389 = BgL_arg2002z00_7098;
																		BgL_spz00_21390 = BINT(BgL_arg2003z00_7099);
																		BgL_spz00_7089 = BgL_spz00_21390;
																		BgL_lz00_7088 = BgL_lz00_21389;
																		goto BgL_recz00_7087;
																	}
																}
															}
														BBOOL(BgL_auxz00_21376);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 777 */
													bool_t BgL_testz00_21393;

													if (((long) CINT(BgL_arityz00_1362) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 777 */
															BgL_testz00_21393 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															BgL_testz00_21393 =
																(
																(long) CINT(BgL_arityz00_1362) <
																(((long) -1) - BgL_nbargsz00_18139));
														}
													if (BgL_testz00_21393)
														{	/* Eval/evaluate_comp.scm 777 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1152z00_18137))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_1360, (int) (((long) 3))),
																(int) (BgL_nbargsz00_18139),
																CINT(BgL_arityz00_1362));
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1362, BgL_sz00_1354,
																BgL_argsz00_18140, BgL_bpz00_1356);
														}
												}
											{	/* Eval/evaluate_comp.scm 777 */
												obj_t BgL_z12denvz12_1372;

												BgL_z12denvz12_1372 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 777 */
													obj_t BgL_auxz00_21408;

													BgL_auxz00_21408 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18137))->
														BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1372,
														BgL_auxz00_21408);
												}
												if (
													(((long) CINT(BgL_bpz00_1356) +
															(long) CINT(BgL_sfz00_1364)) <
														(long) (VECTOR_LENGTH(BgL_sz00_1354))))
													{	/* Eval/evaluate_comp.scm 777 */
														return BgL_runz00_1363;
													}
												else
													{	/* Eval/evaluate_comp.scm 777 */
														obj_t BgL_nsz00_1375;

														BgL_nsz00_1375 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 777 */
															long BgL_arg2094z00_1377;

															BgL_arg2094z00_1377 =
																(
																(long) CINT(BgL_bpz00_1356) +
																BgL_nbargsz00_18139);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1375, BINT(((long) 2)),
																BgL_sz00_1354, BgL_bpz00_1356,
																BINT(BgL_arg2094z00_1377));
														}
														VECTOR_SET(BgL_nsz00_1375,
															(int) (((long) 1)), BgL_sz00_1354);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1372,
															BgL_nsz00_1375);
														{	/* Eval/evaluate_comp.scm 777 */
															obj_t BgL_exitd1165z00_1378;

															BgL_exitd1165z00_1378 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 777 */
																obj_t BgL_zc3anonymousza32095ze3z83_18105;

																BgL_zc3anonymousza32095ze3z83_18105 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32095ze3z83_18105,
																	(int) (((long) 0)), BgL_z12denvz12_1372);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32095ze3z83_18105,
																	(int) (((long) 1)), BgL_sz00_1354);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1165z00_1378,
																	BgL_zc3anonymousza32095ze3z83_18105);
																{	/* Eval/evaluate_comp.scm 777 */
																	obj_t BgL_tmp1167z00_1380;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_7145;

																		BgL_savedzd2bpzd2_7145 =
																			VECTOR_REF(BgL_nsz00_1375,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_1375,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_7152;

																			BgL_fz00_7152 = BgL_runz00_1363;
																		BgL_recz00_7151:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_7153;

																				BgL_rz00_7153 =
																					PROCEDURE_ENTRY(BgL_fz00_7152)
																					(BgL_fz00_7152, BgL_nsz00_1375, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_21445;

																					if (PROCEDUREP(BgL_rz00_7153))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_7158;

																							BgL_arg1964z00_7158 =
																								PROCEDURE_ATTR(BgL_rz00_7153);
																							if (STRUCTP(BgL_arg1964z00_7158))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_21445 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_7158) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_21445 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_21445 = ((bool_t) 0);
																						}
																					if (BgL_testz00_21445)
																						{
																							obj_t BgL_fz00_21453;

																							BgL_fz00_21453 = BgL_rz00_7153;
																							BgL_fz00_7152 = BgL_fz00_21453;
																							goto BgL_recz00_7151;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_1375,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_7145);
																							BgL_tmp1167z00_1380 =
																								BgL_rz00_7153;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1165z00_1378);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1372,
																		BgL_sz00_1354);
																	return BgL_tmp1167z00_1380;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 777 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1357,
													(int) (BgL_nbargsz00_18139)))
												{	/* Eval/evaluate_comp.scm 777 */
													{	/* Eval/evaluate_comp.scm 777 */
														obj_t BgL_auxz00_21463;
														obj_t BgL_auxz00_21461;

														BgL_auxz00_21463 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18137))->
															BgL_locz00);
														BgL_auxz00_21461 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_21461,
															BgL_auxz00_21463);
													}
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1354, BgL_fz00_1357, BgL_argsz00_18140,
														BgL_bpz00_1356, BINT(BgL_nbargsz00_18139));
												}
											else
												{	/* Eval/evaluate_comp.scm 777 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18137))->
															BgL_locz00), BgL_symbzd2funzd2_18138,
														(int) (BgL_nbargsz00_18139),
														PROCEDURE_ARITY(BgL_fz00_1357));
		}}}}}}}}}
	}



/* &<anonymous:2095> */
	obj_t BGl_z62zc3anonymousza32095ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 777 */
			{	/* Eval/evaluate_comp.scm 777 */
				obj_t BgL_z12denvz12_18143;
				obj_t BgL_sz00_18144;

				BgL_z12denvz12_18143 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18142, (int) (((long) 0))));
				BgL_sz00_18144 = PROCEDURE_REF(BgL_envz00_18142, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18143, BgL_sz00_18144);
				}
			}
		}
	}



/* &<anonymous:2102> */
	obj_t BGl_z62zc3anonymousza32102ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18145, obj_t BgL_sz00_18151)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 777 */
			{	/* Eval/evaluate_comp.scm 777 */
				obj_t BgL_fz00_18146;
				BgL_ev_appz00_bglt BgL_i1152z00_18147;
				obj_t BgL_symbzd2funzd2_18148;
				long BgL_nbargsz00_18149;
				obj_t BgL_argsz00_18150;

				BgL_fz00_18146 = PROCEDURE_REF(BgL_envz00_18145, (int) (((long) 0)));
				BgL_i1152z00_18147 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18145, (int) (((long) 1))));
				BgL_symbzd2funzd2_18148 =
					PROCEDURE_REF(BgL_envz00_18145, (int) (((long) 2)));
				BgL_nbargsz00_18149 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18145, (int) (((long) 3))));
				BgL_argsz00_18150 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18145, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1390;

					BgL_sz00_1390 = BgL_sz00_18151;
					{	/* Eval/evaluate_comp.scm 777 */
						obj_t BgL_bpz00_1392;

						BgL_bpz00_1392 = VECTOR_REF(BgL_sz00_1390, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 777 */
							obj_t BgL_fz00_1393;

							BgL_fz00_1393 =
								PROCEDURE_ENTRY(BgL_fz00_18146) (BgL_fz00_18146, BgL_sz00_1390,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1393))
								{	/* Eval/evaluate_comp.scm 777 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 777 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18147))->
											BgL_locz00), BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1393);
								}
							{	/* Eval/evaluate_comp.scm 777 */
								obj_t BgL_ufz00_1396;

								BgL_ufz00_1396 = PROCEDURE_ATTR(BgL_fz00_1393);
								{	/* Eval/evaluate_comp.scm 777 */
									bool_t BgL_testz00_21502;

									if (STRUCTP(BgL_ufz00_1396))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21502 =
												(STRUCT_KEY(BgL_ufz00_1396) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21502 = ((bool_t) 0);
										}
									if (BgL_testz00_21502)
										{	/* Eval/evaluate_comp.scm 777 */
											obj_t BgL_arityz00_1398;
											obj_t BgL_runz00_1399;
											obj_t BgL_sfz00_1400;

											BgL_arityz00_1398 =
												STRUCT_REF(BgL_ufz00_1396, (int) (((long) 0)));
											BgL_runz00_1399 =
												STRUCT_REF(BgL_ufz00_1396, (int) (((long) 1)));
											BgL_sfz00_1400 =
												STRUCT_REF(BgL_ufz00_1396, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1398) == BgL_nbargsz00_18149))
												{
													obj_t BgL_lz00_7202;
													obj_t BgL_spz00_7203;

													{	/* Eval/evaluate_comp.scm 691 */
														bool_t BgL_auxz00_21516;

														BgL_lz00_7202 = BgL_argsz00_18150;
														BgL_spz00_7203 = BgL_bpz00_1392;
													BgL_recz00_7201:
														if (NULLP(BgL_lz00_7202))
															{	/* Eval/evaluate_comp.scm 692 */
																BgL_auxz00_21516 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 692 */
																{	/* Eval/evaluate_comp.scm 693 */
																	obj_t BgL_arg2000z00_7210;

																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_fun2001z00_7211;

																		BgL_fun2001z00_7211 = CAR(BgL_lz00_7202);
																		BgL_arg2000z00_7210 =
																			PROCEDURE_ENTRY(BgL_fun2001z00_7211)
																			(BgL_fun2001z00_7211, BgL_sz00_1390,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1390,
																		CINT(BgL_spz00_7203), BgL_arg2000z00_7210);
																}
																{	/* Eval/evaluate_comp.scm 694 */
																	obj_t BgL_arg2002z00_7212;
																	long BgL_arg2003z00_7213;

																	BgL_arg2002z00_7212 = CDR(BgL_lz00_7202);
																	BgL_arg2003z00_7213 =
																		((long) CINT(BgL_spz00_7203) + ((long) 1));
																	{
																		obj_t BgL_spz00_21530;
																		obj_t BgL_lz00_21529;

																		BgL_lz00_21529 = BgL_arg2002z00_7212;
																		BgL_spz00_21530 = BINT(BgL_arg2003z00_7213);
																		BgL_spz00_7203 = BgL_spz00_21530;
																		BgL_lz00_7202 = BgL_lz00_21529;
																		goto BgL_recz00_7201;
																	}
																}
															}
														BBOOL(BgL_auxz00_21516);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 777 */
													bool_t BgL_testz00_21533;

													if (((long) CINT(BgL_arityz00_1398) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 777 */
															BgL_testz00_21533 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															BgL_testz00_21533 =
																(
																(long) CINT(BgL_arityz00_1398) <
																(((long) -1) - BgL_nbargsz00_18149));
														}
													if (BgL_testz00_21533)
														{	/* Eval/evaluate_comp.scm 777 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1152z00_18147))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_1396, (int) (((long) 3))),
																(int) (BgL_nbargsz00_18149),
																CINT(BgL_arityz00_1398));
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1398, BgL_sz00_1390,
																BgL_argsz00_18150, BgL_bpz00_1392);
														}
												}
											{	/* Eval/evaluate_comp.scm 777 */
												obj_t BgL_z12denvz12_1408;

												BgL_z12denvz12_1408 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_1392) +
															(long) CINT(BgL_sfz00_1400)) <
														(long) (VECTOR_LENGTH(BgL_sz00_1390))))
													{	/* Eval/evaluate_comp.scm 777 */
														return BgL_runz00_1399;
													}
												else
													{	/* Eval/evaluate_comp.scm 777 */
														obj_t BgL_nsz00_1410;

														BgL_nsz00_1410 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 777 */
															long BgL_arg2114z00_1412;

															BgL_arg2114z00_1412 =
																(
																(long) CINT(BgL_bpz00_1392) +
																BgL_nbargsz00_18149);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1410, BINT(((long) 2)),
																BgL_sz00_1390, BgL_bpz00_1392,
																BINT(BgL_arg2114z00_1412));
														}
														VECTOR_SET(BgL_nsz00_1410,
															(int) (((long) 1)), BgL_sz00_1390);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1408,
															BgL_nsz00_1410);
														{	/* Eval/evaluate_comp.scm 777 */
															obj_t BgL_exitd1168z00_1413;

															BgL_exitd1168z00_1413 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 777 */
																obj_t BgL_zc3anonymousza32115ze3z83_18107;

																BgL_zc3anonymousza32115ze3z83_18107 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32115ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32115ze3z83_18107,
																	(int) (((long) 0)), BgL_z12denvz12_1408);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32115ze3z83_18107,
																	(int) (((long) 1)), BgL_sz00_1390);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1168z00_1413,
																	BgL_zc3anonymousza32115ze3z83_18107);
																{	/* Eval/evaluate_comp.scm 777 */
																	obj_t BgL_tmp1170z00_1415;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_7259;

																		BgL_savedzd2bpzd2_7259 =
																			VECTOR_REF(BgL_nsz00_1410,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_1410,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_7266;

																			BgL_fz00_7266 = BgL_runz00_1399;
																		BgL_recz00_7265:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_7267;

																				BgL_rz00_7267 =
																					PROCEDURE_ENTRY(BgL_fz00_7266)
																					(BgL_fz00_7266, BgL_nsz00_1410, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_21582;

																					if (PROCEDUREP(BgL_rz00_7267))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_7272;

																							BgL_arg1964z00_7272 =
																								PROCEDURE_ATTR(BgL_rz00_7267);
																							if (STRUCTP(BgL_arg1964z00_7272))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_21582 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_7272) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_21582 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_21582 = ((bool_t) 0);
																						}
																					if (BgL_testz00_21582)
																						{
																							obj_t BgL_fz00_21590;

																							BgL_fz00_21590 = BgL_rz00_7267;
																							BgL_fz00_7266 = BgL_fz00_21590;
																							goto BgL_recz00_7265;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_1410,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_7259);
																							BgL_tmp1170z00_1415 =
																								BgL_rz00_7267;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1168z00_1413);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1408,
																		BgL_sz00_1390);
																	return BgL_tmp1170z00_1415;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 777 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1393,
													(int) (BgL_nbargsz00_18149)))
												{	/* Eval/evaluate_comp.scm 777 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1390, BgL_fz00_1393, BgL_argsz00_18150,
														BgL_bpz00_1392, BINT(BgL_nbargsz00_18149));
												}
											else
												{	/* Eval/evaluate_comp.scm 777 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18147))->
															BgL_locz00), BgL_symbzd2funzd2_18148,
														(int) (BgL_nbargsz00_18149),
														PROCEDURE_ARITY(BgL_fz00_1393));
		}}}}}}}}}
	}



/* &<anonymous:2115> */
	obj_t BGl_z62zc3anonymousza32115ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18152)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 777 */
			{	/* Eval/evaluate_comp.scm 777 */
				obj_t BgL_z12denvz12_18153;
				obj_t BgL_sz00_18154;

				BgL_z12denvz12_18153 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18152, (int) (((long) 0))));
				BgL_sz00_18154 = PROCEDURE_REF(BgL_envz00_18152, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18153, BgL_sz00_18154);
				}
			}
		}
	}



/* &<anonymous:2124> */
	obj_t BGl_z62zc3anonymousza32124ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18155, obj_t BgL_sz00_18162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			{	/* Eval/evaluate_comp.scm 763 */
				obj_t BgL_fz00_18156;
				BgL_ev_appz00_bglt BgL_i1152z00_18157;
				obj_t BgL_symbzd2funzd2_18158;
				long BgL_nbargsz00_18159;
				obj_t BgL_argsz00_18160;
				long BgL_siza7eza7_18161;

				BgL_fz00_18156 = PROCEDURE_REF(BgL_envz00_18155, (int) (((long) 0)));
				BgL_i1152z00_18157 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18155, (int) (((long) 1))));
				BgL_symbzd2funzd2_18158 =
					PROCEDURE_REF(BgL_envz00_18155, (int) (((long) 2)));
				BgL_nbargsz00_18159 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18155, (int) (((long) 3))));
				BgL_argsz00_18160 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18155, (int) (((long) 4))));
				BgL_siza7eza7_18161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18155, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1426;

					BgL_sz00_1426 = BgL_sz00_18162;
					{	/* Eval/evaluate_comp.scm 763 */
						obj_t BgL_bpz00_1428;

						BgL_bpz00_1428 = VECTOR_REF(BgL_sz00_1426, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 763 */
							obj_t BgL_fz00_1429;

							BgL_fz00_1429 =
								PROCEDURE_ENTRY(BgL_fz00_18156) (BgL_fz00_18156, BgL_sz00_1426,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1429))
								{	/* Eval/evaluate_comp.scm 763 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 763 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18157))->
											BgL_locz00), BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1429);
								}
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_ufz00_1432;

								BgL_ufz00_1432 = PROCEDURE_ATTR(BgL_fz00_1429);
								{	/* Eval/evaluate_comp.scm 763 */
									bool_t BgL_testz00_21637;

									if (STRUCTP(BgL_ufz00_1432))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21637 =
												(STRUCT_KEY(BgL_ufz00_1432) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21637 = ((bool_t) 0);
										}
									if (BgL_testz00_21637)
										{	/* Eval/evaluate_comp.scm 763 */
											obj_t BgL_arityz00_1434;
											obj_t BgL_runz00_1435;
											obj_t BgL_sfz00_1436;

											BgL_arityz00_1434 =
												STRUCT_REF(BgL_ufz00_1432, (int) (((long) 0)));
											BgL_runz00_1435 =
												STRUCT_REF(BgL_ufz00_1432, (int) (((long) 1)));
											BgL_sfz00_1436 =
												STRUCT_REF(BgL_ufz00_1432, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 763 */
												long BgL_spz00_1437;

												BgL_spz00_1437 =
													((long) CINT(BgL_bpz00_1428) + BgL_siza7eza7_18161);
												if (
													((long) CINT(BgL_arityz00_1434) ==
														BgL_nbargsz00_18159))
													{
														obj_t BgL_lz00_7315;
														long BgL_spz00_7316;

														{	/* Eval/evaluate_comp.scm 691 */
															bool_t BgL_auxz00_21653;

															BgL_lz00_7315 = BgL_argsz00_18160;
															BgL_spz00_7316 = BgL_spz00_1437;
														BgL_recz00_7314:
															if (NULLP(BgL_lz00_7315))
																{	/* Eval/evaluate_comp.scm 692 */
																	BgL_auxz00_21653 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 692 */
																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_arg2000z00_7323;

																		{	/* Eval/evaluate_comp.scm 693 */
																			obj_t BgL_fun2001z00_7324;

																			BgL_fun2001z00_7324 = CAR(BgL_lz00_7315);
																			BgL_arg2000z00_7323 =
																				PROCEDURE_ENTRY(BgL_fun2001z00_7324)
																				(BgL_fun2001z00_7324, BgL_sz00_1426,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1426,
																			(int) (BgL_spz00_7316),
																			BgL_arg2000z00_7323);
																	}
																	{
																		long BgL_spz00_21665;
																		obj_t BgL_lz00_21663;

																		BgL_lz00_21663 = CDR(BgL_lz00_7315);
																		BgL_spz00_21665 =
																			(BgL_spz00_7316 + ((long) 1));
																		BgL_spz00_7316 = BgL_spz00_21665;
																		BgL_lz00_7315 = BgL_lz00_21663;
																		goto BgL_recz00_7314;
																	}
																}
															BBOOL(BgL_auxz00_21653);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 763 */
														bool_t BgL_testz00_21668;

														if (((long) CINT(BgL_arityz00_1434) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 763 */
																BgL_testz00_21668 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																BgL_testz00_21668 =
																	(
																	(long) CINT(BgL_arityz00_1434) <
																	(((long) -1) - BgL_nbargsz00_18159));
															}
														if (BgL_testz00_21668)
															{	/* Eval/evaluate_comp.scm 763 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1152z00_18157))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1432,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_18159),
																	CINT(BgL_arityz00_1434));
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1434, BgL_sz00_1426,
																	BgL_argsz00_18160, BINT(BgL_spz00_1437));
															}
													}
												{	/* Eval/evaluate_comp.scm 763 */
													obj_t BgL_z12denvz12_1444;

													BgL_z12denvz12_1444 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 763 */
														obj_t BgL_auxz00_21684;

														BgL_auxz00_21684 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18157))->
															BgL_locz00);
														BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1444,
															BgL_auxz00_21684);
													}
													if (
														((BgL_spz00_1437 +
																(long) CINT(BgL_sfz00_1436)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1426))))
														{	/* Eval/evaluate_comp.scm 763 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1435, BgL_sz00_1426,
																BINT(BgL_spz00_1437));
														}
													else
														{	/* Eval/evaluate_comp.scm 763 */
															obj_t BgL_nsz00_1447;

															BgL_nsz00_1447 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 763 */
																long BgL_arg2138z00_1449;

																BgL_arg2138z00_1449 =
																	(BgL_spz00_1437 + BgL_nbargsz00_18159);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1447, BINT(((long) 2)),
																	BgL_sz00_1426, BINT(BgL_spz00_1437),
																	BINT(BgL_arg2138z00_1449));
															}
															VECTOR_SET(BgL_nsz00_1447,
																(int) (((long) 1)), BgL_sz00_1426);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1444,
																BgL_nsz00_1447);
															{	/* Eval/evaluate_comp.scm 763 */
																obj_t BgL_exitd1153z00_1450;

																BgL_exitd1153z00_1450 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 763 */
																	obj_t BgL_zc3anonymousza32139ze3z83_18109;

																	BgL_zc3anonymousza32139ze3z83_18109 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32139ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32139ze3z83_18109,
																		(int) (((long) 0)), BgL_z12denvz12_1444);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32139ze3z83_18109,
																		(int) (((long) 1)), BgL_sz00_1426);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1153z00_1450,
																		BgL_zc3anonymousza32139ze3z83_18109);
																	{	/* Eval/evaluate_comp.scm 763 */
																		obj_t BgL_tmp1155z00_1452;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_7371;

																			BgL_savedzd2bpzd2_7371 =
																				VECTOR_REF(BgL_nsz00_1447,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1447,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_7378;

																				BgL_fz00_7378 = BgL_runz00_1435;
																			BgL_recz00_7377:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_7379;

																					BgL_rz00_7379 =
																						PROCEDURE_ENTRY(BgL_fz00_7378)
																						(BgL_fz00_7378, BgL_nsz00_1447,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_21722;

																						if (PROCEDUREP(BgL_rz00_7379))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_7384;

																								BgL_arg1964z00_7384 =
																									PROCEDURE_ATTR(BgL_rz00_7379);
																								if (STRUCTP
																									(BgL_arg1964z00_7384))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21722 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_7384) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21722 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_21722 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_21722)
																							{
																								obj_t BgL_fz00_21730;

																								BgL_fz00_21730 = BgL_rz00_7379;
																								BgL_fz00_7378 = BgL_fz00_21730;
																								goto BgL_recz00_7377;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1447,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_7371);
																								BgL_tmp1155z00_1452 =
																									BgL_rz00_7379;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1153z00_1450);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1444,
																			BgL_sz00_1426);
																		return BgL_tmp1155z00_1452;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 763 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1429,
													(int) (BgL_nbargsz00_18159)))
												{	/* Eval/evaluate_comp.scm 763 */
													{	/* Eval/evaluate_comp.scm 763 */
														obj_t BgL_auxz00_21740;
														obj_t BgL_auxz00_21738;

														BgL_auxz00_21740 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18157))->
															BgL_locz00);
														BgL_auxz00_21738 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_21738,
															BgL_auxz00_21740);
													}
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1426, BgL_fz00_1429, BgL_argsz00_18160,
														BgL_bpz00_1428, BINT(BgL_siza7eza7_18161));
												}
											else
												{	/* Eval/evaluate_comp.scm 763 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18157))->
															BgL_locz00), BgL_symbzd2funzd2_18158,
														(int) (BgL_nbargsz00_18159),
														PROCEDURE_ARITY(BgL_fz00_1429));
		}}}}}}}}}
	}



/* &<anonymous:2139> */
	obj_t BGl_z62zc3anonymousza32139ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18163)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			{	/* Eval/evaluate_comp.scm 763 */
				obj_t BgL_z12denvz12_18164;
				obj_t BgL_sz00_18165;

				BgL_z12denvz12_18164 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18163, (int) (((long) 0))));
				BgL_sz00_18165 = PROCEDURE_REF(BgL_envz00_18163, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18164, BgL_sz00_18165);
				}
			}
		}
	}



/* &<anonymous:2146> */
	obj_t BGl_z62zc3anonymousza32146ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18166, obj_t BgL_sz00_18173)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			{	/* Eval/evaluate_comp.scm 763 */
				obj_t BgL_fz00_18167;
				BgL_ev_appz00_bglt BgL_i1152z00_18168;
				obj_t BgL_symbzd2funzd2_18169;
				long BgL_nbargsz00_18170;
				obj_t BgL_argsz00_18171;
				long BgL_siza7eza7_18172;

				BgL_fz00_18167 = PROCEDURE_REF(BgL_envz00_18166, (int) (((long) 0)));
				BgL_i1152z00_18168 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18166, (int) (((long) 1))));
				BgL_symbzd2funzd2_18169 =
					PROCEDURE_REF(BgL_envz00_18166, (int) (((long) 2)));
				BgL_nbargsz00_18170 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18166, (int) (((long) 3))));
				BgL_argsz00_18171 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18166, (int) (((long) 4))));
				BgL_siza7eza7_18172 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18166, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1462;

					BgL_sz00_1462 = BgL_sz00_18173;
					{	/* Eval/evaluate_comp.scm 763 */
						obj_t BgL_bpz00_1464;

						BgL_bpz00_1464 = VECTOR_REF(BgL_sz00_1462, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 763 */
							obj_t BgL_fz00_1465;

							BgL_fz00_1465 =
								PROCEDURE_ENTRY(BgL_fz00_18167) (BgL_fz00_18167, BgL_sz00_1462,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1465))
								{	/* Eval/evaluate_comp.scm 763 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 763 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18168))->
											BgL_locz00), BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1465);
								}
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_ufz00_1468;

								BgL_ufz00_1468 = PROCEDURE_ATTR(BgL_fz00_1465);
								{	/* Eval/evaluate_comp.scm 763 */
									bool_t BgL_testz00_21782;

									if (STRUCTP(BgL_ufz00_1468))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21782 =
												(STRUCT_KEY(BgL_ufz00_1468) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21782 = ((bool_t) 0);
										}
									if (BgL_testz00_21782)
										{	/* Eval/evaluate_comp.scm 763 */
											obj_t BgL_arityz00_1470;
											obj_t BgL_runz00_1471;
											obj_t BgL_sfz00_1472;

											BgL_arityz00_1470 =
												STRUCT_REF(BgL_ufz00_1468, (int) (((long) 0)));
											BgL_runz00_1471 =
												STRUCT_REF(BgL_ufz00_1468, (int) (((long) 1)));
											BgL_sfz00_1472 =
												STRUCT_REF(BgL_ufz00_1468, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 763 */
												long BgL_spz00_1473;

												BgL_spz00_1473 =
													((long) CINT(BgL_bpz00_1464) + BgL_siza7eza7_18172);
												if (
													((long) CINT(BgL_arityz00_1470) ==
														BgL_nbargsz00_18170))
													{
														obj_t BgL_lz00_7428;
														long BgL_spz00_7429;

														{	/* Eval/evaluate_comp.scm 691 */
															bool_t BgL_auxz00_21798;

															BgL_lz00_7428 = BgL_argsz00_18171;
															BgL_spz00_7429 = BgL_spz00_1473;
														BgL_recz00_7427:
															if (NULLP(BgL_lz00_7428))
																{	/* Eval/evaluate_comp.scm 692 */
																	BgL_auxz00_21798 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 692 */
																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_arg2000z00_7436;

																		{	/* Eval/evaluate_comp.scm 693 */
																			obj_t BgL_fun2001z00_7437;

																			BgL_fun2001z00_7437 = CAR(BgL_lz00_7428);
																			BgL_arg2000z00_7436 =
																				PROCEDURE_ENTRY(BgL_fun2001z00_7437)
																				(BgL_fun2001z00_7437, BgL_sz00_1462,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1462,
																			(int) (BgL_spz00_7429),
																			BgL_arg2000z00_7436);
																	}
																	{
																		long BgL_spz00_21810;
																		obj_t BgL_lz00_21808;

																		BgL_lz00_21808 = CDR(BgL_lz00_7428);
																		BgL_spz00_21810 =
																			(BgL_spz00_7429 + ((long) 1));
																		BgL_spz00_7429 = BgL_spz00_21810;
																		BgL_lz00_7428 = BgL_lz00_21808;
																		goto BgL_recz00_7427;
																	}
																}
															BBOOL(BgL_auxz00_21798);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 763 */
														bool_t BgL_testz00_21813;

														if (((long) CINT(BgL_arityz00_1470) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 763 */
																BgL_testz00_21813 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																BgL_testz00_21813 =
																	(
																	(long) CINT(BgL_arityz00_1470) <
																	(((long) -1) - BgL_nbargsz00_18170));
															}
														if (BgL_testz00_21813)
															{	/* Eval/evaluate_comp.scm 763 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1152z00_18168))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1468,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_18170),
																	CINT(BgL_arityz00_1470));
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1470, BgL_sz00_1462,
																	BgL_argsz00_18171, BINT(BgL_spz00_1473));
															}
													}
												{	/* Eval/evaluate_comp.scm 763 */
													obj_t BgL_z12denvz12_1480;

													BgL_z12denvz12_1480 = BGL_CURRENT_DYNAMIC_ENV();
													if (
														((BgL_spz00_1473 +
																(long) CINT(BgL_sfz00_1472)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1462))))
														{	/* Eval/evaluate_comp.scm 763 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1471, BgL_sz00_1462,
																BINT(BgL_spz00_1473));
														}
													else
														{	/* Eval/evaluate_comp.scm 763 */
															obj_t BgL_nsz00_1482;

															BgL_nsz00_1482 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 763 */
																long BgL_arg2158z00_1484;

																BgL_arg2158z00_1484 =
																	(BgL_spz00_1473 + BgL_nbargsz00_18170);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1482, BINT(((long) 2)),
																	BgL_sz00_1462, BINT(BgL_spz00_1473),
																	BINT(BgL_arg2158z00_1484));
															}
															VECTOR_SET(BgL_nsz00_1482,
																(int) (((long) 1)), BgL_sz00_1462);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1480,
																BgL_nsz00_1482);
															{	/* Eval/evaluate_comp.scm 763 */
																obj_t BgL_exitd1156z00_1485;

																BgL_exitd1156z00_1485 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 763 */
																	obj_t BgL_zc3anonymousza32159ze3z83_18111;

																	BgL_zc3anonymousza32159ze3z83_18111 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32159ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32159ze3z83_18111,
																		(int) (((long) 0)), BgL_z12denvz12_1480);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32159ze3z83_18111,
																		(int) (((long) 1)), BgL_sz00_1462);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1156z00_1485,
																		BgL_zc3anonymousza32159ze3z83_18111);
																	{	/* Eval/evaluate_comp.scm 763 */
																		obj_t BgL_tmp1158z00_1487;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_7484;

																			BgL_savedzd2bpzd2_7484 =
																				VECTOR_REF(BgL_nsz00_1482,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1482,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_7491;

																				BgL_fz00_7491 = BgL_runz00_1471;
																			BgL_recz00_7490:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_7492;

																					BgL_rz00_7492 =
																						PROCEDURE_ENTRY(BgL_fz00_7491)
																						(BgL_fz00_7491, BgL_nsz00_1482,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_21864;

																						if (PROCEDUREP(BgL_rz00_7492))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_7497;

																								BgL_arg1964z00_7497 =
																									PROCEDURE_ATTR(BgL_rz00_7492);
																								if (STRUCTP
																									(BgL_arg1964z00_7497))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21864 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_7497) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21864 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_21864 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_21864)
																							{
																								obj_t BgL_fz00_21872;

																								BgL_fz00_21872 = BgL_rz00_7492;
																								BgL_fz00_7491 = BgL_fz00_21872;
																								goto BgL_recz00_7490;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1482,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_7484);
																								BgL_tmp1158z00_1487 =
																									BgL_rz00_7492;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1156z00_1485);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1480,
																			BgL_sz00_1462);
																		return BgL_tmp1158z00_1487;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 763 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1465,
													(int) (BgL_nbargsz00_18170)))
												{	/* Eval/evaluate_comp.scm 763 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1462, BgL_fz00_1465, BgL_argsz00_18171,
														BgL_bpz00_1464, BINT(BgL_siza7eza7_18172));
												}
											else
												{	/* Eval/evaluate_comp.scm 763 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1152z00_18168))->
															BgL_locz00), BgL_symbzd2funzd2_18169,
														(int) (BgL_nbargsz00_18170),
														PROCEDURE_ARITY(BgL_fz00_1465));
		}}}}}}}}}
	}



/* &<anonymous:2159> */
	obj_t BGl_z62zc3anonymousza32159ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18174)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			{	/* Eval/evaluate_comp.scm 763 */
				obj_t BgL_z12denvz12_18175;
				obj_t BgL_sz00_18176;

				BgL_z12denvz12_18175 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18174, (int) (((long) 0))));
				BgL_sz00_18176 = PROCEDURE_REF(BgL_envz00_18174, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18175, BgL_sz00_18176);
				}
			}
		}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_1498;

				BgL_cfunz00_1498 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139,
					((long) 0), BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_1498))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_21895;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2175z00_1511;

							BgL_arg2175z00_1511 = bgl_debug();
							BgL_testz00_21895 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2175z00_1511),
								BINT(((long) 0)));
						}
						if (BgL_testz00_21895)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32172ze3z83_18177;

								BgL_zc3anonymousza32172ze3z83_18177 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32172ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza32172ze3z83_18177,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza32172ze3z83_18177,
									(int) (((long) 1)), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3anonymousza32172ze3z83_18177,
									(int) (((long) 2)), BgL_cfunz00_1498);
								return BgL_zc3anonymousza32172ze3z83_18177;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32174ze3z83_18178;

								BgL_zc3anonymousza32174ze3z83_18178 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32174ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza32174ze3z83_18178,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza32174ze3z83_18178,
									(int) (((long) 1)), BgL_cfunz00_1498);
								return BgL_zc3anonymousza32174ze3z83_18178;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_21920;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2207z00_1580;

									BgL_arg2207z00_1580 = bgl_debug();
									BgL_testz00_21920 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2207z00_1580),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21920)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32177ze3z83_18180;

										BgL_zc3anonymousza32177ze3z83_18180 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32177ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza32177ze3z83_18180,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza32177ze3z83_18180,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza32177ze3z83_18180,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza32177ze3z83_18180,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza32177ze3z83_18180;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32193ze3z83_18182;

										BgL_zc3anonymousza32193ze3z83_18182 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32193ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza32193ze3z83_18182,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza32193ze3z83_18182,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza32193ze3z83_18182,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza32193ze3z83_18182,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza32193ze3z83_18182;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_21949;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2240z00_1649;

									BgL_arg2240z00_1649 = bgl_debug();
									BgL_testz00_21949 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2240z00_1649),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21949)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32209ze3z83_18184;

										BgL_zc3anonymousza32209ze3z83_18184 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32209ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza32209ze3z83_18184,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza32209ze3z83_18184,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza32209ze3z83_18184,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza32209ze3z83_18184,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza32209ze3z83_18184;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32225ze3z83_18186;

										BgL_zc3anonymousza32225ze3z83_18186 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_18186,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_18186,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_18186,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza32225ze3z83_18186,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza32225ze3z83_18186;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2172> */
	obj_t BGl_z62zc3anonymousza32172ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18187, obj_t BgL_sz00_18191)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				long BgL_siza7eza7_18188;
				obj_t BgL_locz00_18189;
				obj_t BgL_cfunz00_18190;

				BgL_siza7eza7_18188 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18187, (int) (((long) 0))));
				BgL_locz00_18189 = PROCEDURE_REF(BgL_envz00_18187, (int) (((long) 1)));
				BgL_cfunz00_18190 = PROCEDURE_REF(BgL_envz00_18187, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1500;

					BgL_sz00_1500 = BgL_sz00_18191;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1502;

						BgL_bpz00_1502 = VECTOR_REF(BgL_sz00_1500, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */

							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1503;

								BgL_nbpz00_1503 =
									((long) CINT(BgL_bpz00_1502) + BgL_siza7eza7_18188);
								VECTOR_SET(BgL_sz00_1500,
									(int) (((long) 0)), BINT(BgL_nbpz00_1503));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_21992;

									BgL_auxz00_21992 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_21992,
										BgL_locz00_18189);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1505;

									BgL_rz00_1505 =
										PROCEDURE_ENTRY(BgL_cfunz00_18190) (BgL_cfunz00_18190,
										BEOA);
									VECTOR_SET(BgL_sz00_1500, (int) (((long) 0)), BgL_bpz00_1502);
									return BgL_rz00_1505;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2174> */
	obj_t BGl_z62zc3anonymousza32174ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18192, obj_t BgL_sz00_18195)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				long BgL_siza7eza7_18193;
				obj_t BgL_cfunz00_18194;

				BgL_siza7eza7_18193 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18192, (int) (((long) 0))));
				BgL_cfunz00_18194 = PROCEDURE_REF(BgL_envz00_18192, (int) (((long) 1)));
				{
					obj_t BgL_sz00_1506;

					BgL_sz00_1506 = BgL_sz00_18195;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1508;

						BgL_bpz00_1508 = VECTOR_REF(BgL_sz00_1506, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */

							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1509;

								BgL_nbpz00_1509 =
									((long) CINT(BgL_bpz00_1508) + BgL_siza7eza7_18193);
								VECTOR_SET(BgL_sz00_1506,
									(int) (((long) 0)), BINT(BgL_nbpz00_1509));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1510;

									BgL_rz00_1510 =
										PROCEDURE_ENTRY(BgL_cfunz00_18194) (BgL_cfunz00_18194,
										BEOA);
									VECTOR_SET(BgL_sz00_1506, (int) (((long) 0)), BgL_bpz00_1508);
									return BgL_rz00_1510;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2177> */
	obj_t BGl_z62zc3anonymousza32177ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18196, obj_t BgL_sz00_18201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18197;
				obj_t BgL_locz00_18198;
				obj_t BgL_symbzd2funzd2_18199;
				long BgL_siza7eza7_18200;

				BgL_funz00_18197 = PROCEDURE_REF(BgL_envz00_18196, (int) (((long) 0)));
				BgL_locz00_18198 = PROCEDURE_REF(BgL_envz00_18196, (int) (((long) 1)));
				BgL_symbzd2funzd2_18199 =
					PROCEDURE_REF(BgL_envz00_18196, (int) (((long) 2)));
				BgL_siza7eza7_18200 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18196, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1513;

					BgL_sz00_1513 = BgL_sz00_18201;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1515;

						BgL_bpz00_1515 = VECTOR_REF(BgL_sz00_1513, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1516;

							BgL_fz00_1516 =
								PROCEDURE_ENTRY(BgL_funz00_18197) (BgL_funz00_18197,
								BgL_sz00_1513, BEOA);
							if (PROCEDUREP(BgL_fz00_1516))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18198,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1516);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1518;

								BgL_ufz00_1518 = PROCEDURE_ATTR(BgL_fz00_1516);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22036;

									if (STRUCTP(BgL_ufz00_1518))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22036 =
												(STRUCT_KEY(BgL_ufz00_1518) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22036 = ((bool_t) 0);
										}
									if (BgL_testz00_22036)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1520;
											obj_t BgL_runz00_1521;
											obj_t BgL_sfz00_1522;

											BgL_arityz00_1520 =
												STRUCT_REF(BgL_ufz00_1518, (int) (((long) 0)));
											BgL_runz00_1521 =
												STRUCT_REF(BgL_ufz00_1518, (int) (((long) 1)));
											BgL_sfz00_1522 =
												STRUCT_REF(BgL_ufz00_1518, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1520) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 879 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1520))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1520))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2182z00_1528;

																		BgL_arg2182z00_1528 =
																			(
																			(long) CINT(BgL_bpz00_1515) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1513,
																			(int) (BgL_arg2182z00_1528), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18198,
																		STRUCT_REF(BgL_ufz00_1518,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1520));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18198, STRUCT_REF(BgL_ufz00_1518,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1520));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1532;

												BgL_z12denvz12_1532 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1532,
													BgL_locz00_18198);
												if ((((long) CINT(BgL_bpz00_1515) +
															(long) CINT(BgL_sfz00_1522)) <
														(long) (VECTOR_LENGTH(BgL_sz00_1513))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_1521;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_1534;

														BgL_nsz00_1534 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2187z00_1536;

															BgL_arg2187z00_1536 =
																((long) CINT(BgL_bpz00_1515) + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1534, BINT(((long) 2)),
																BgL_sz00_1513, BgL_bpz00_1515,
																BINT(BgL_arg2187z00_1536));
														}
														VECTOR_SET(BgL_nsz00_1534,
															(int) (((long) 1)), BgL_sz00_1513);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1532,
															BgL_nsz00_1534);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1188z00_1537;

															BgL_exitd1188z00_1537 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32188ze3z83_18179;

																BgL_zc3anonymousza32188ze3z83_18179 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32188ze3z83_18179,
																	(int) (((long) 0)), BgL_z12denvz12_1532);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32188ze3z83_18179,
																	(int) (((long) 1)), BgL_sz00_1513);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1188z00_1537,
																	BgL_zc3anonymousza32188ze3z83_18179);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1190z00_1539;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_7602;

																		BgL_savedzd2bpzd2_7602 =
																			VECTOR_REF(BgL_nsz00_1534,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_1534,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_7609;

																			BgL_fz00_7609 = BgL_runz00_1521;
																		BgL_recz00_7608:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_7610;

																				BgL_rz00_7610 =
																					PROCEDURE_ENTRY(BgL_fz00_7609)
																					(BgL_fz00_7609, BgL_nsz00_1534, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_22104;

																					if (PROCEDUREP(BgL_rz00_7610))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_7615;

																							BgL_arg1964z00_7615 =
																								PROCEDURE_ATTR(BgL_rz00_7610);
																							if (STRUCTP(BgL_arg1964z00_7615))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_22104 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_7615) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_22104 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_22104 = ((bool_t) 0);
																						}
																					if (BgL_testz00_22104)
																						{
																							obj_t BgL_fz00_22112;

																							BgL_fz00_22112 = BgL_rz00_7610;
																							BgL_fz00_7609 = BgL_fz00_22112;
																							goto BgL_recz00_7608;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_1534,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_7602);
																							BgL_tmp1190z00_1539 =
																								BgL_rz00_7610;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1188z00_1537);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1532,
																		BgL_sz00_1513);
																	return BgL_tmp1190z00_1539;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1516,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1543;

													BgL_nbpz00_1543 =
														((long) CINT(BgL_bpz00_1515) + BgL_siza7eza7_18200);
													VECTOR_SET(BgL_sz00_1513,
														(int) (((long) 0)), BINT(BgL_nbpz00_1543));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_22125;

														BgL_auxz00_22125 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_22125,
															BgL_locz00_18198);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1545;

														BgL_rz00_1545 =
															PROCEDURE_ENTRY(BgL_fz00_1516) (BgL_fz00_1516,
															BEOA);
														VECTOR_SET(BgL_sz00_1513, (int) (((long) 0)),
															BgL_bpz00_1515);
														return BgL_rz00_1545;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18198, BgL_symbzd2funzd2_18199,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1516));
		}}}}}}}}}
	}



/* &<anonymous:2188> */
	obj_t BGl_z62zc3anonymousza32188ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18202)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18203;
				obj_t BgL_sz00_18204;

				BgL_z12denvz12_18203 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18202, (int) (((long) 0))));
				BgL_sz00_18204 = PROCEDURE_REF(BgL_envz00_18202, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18203, BgL_sz00_18204);
				}
			}
		}
	}



/* &<anonymous:2193> */
	obj_t BGl_z62zc3anonymousza32193ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18205, obj_t BgL_sz00_18210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18206;
				obj_t BgL_locz00_18207;
				obj_t BgL_symbzd2funzd2_18208;
				long BgL_siza7eza7_18209;

				BgL_funz00_18206 = PROCEDURE_REF(BgL_envz00_18205, (int) (((long) 0)));
				BgL_locz00_18207 = PROCEDURE_REF(BgL_envz00_18205, (int) (((long) 1)));
				BgL_symbzd2funzd2_18208 =
					PROCEDURE_REF(BgL_envz00_18205, (int) (((long) 2)));
				BgL_siza7eza7_18209 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18205, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1547;

					BgL_sz00_1547 = BgL_sz00_18210;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1549;

						BgL_bpz00_1549 = VECTOR_REF(BgL_sz00_1547, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1550;

							BgL_fz00_1550 =
								PROCEDURE_ENTRY(BgL_funz00_18206) (BgL_funz00_18206,
								BgL_sz00_1547, BEOA);
							if (PROCEDUREP(BgL_fz00_1550))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18207,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1550);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1552;

								BgL_ufz00_1552 = PROCEDURE_ATTR(BgL_fz00_1550);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22161;

									if (STRUCTP(BgL_ufz00_1552))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22161 =
												(STRUCT_KEY(BgL_ufz00_1552) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22161 = ((bool_t) 0);
										}
									if (BgL_testz00_22161)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1554;
											obj_t BgL_runz00_1555;
											obj_t BgL_sfz00_1556;

											BgL_arityz00_1554 =
												STRUCT_REF(BgL_ufz00_1552, (int) (((long) 0)));
											BgL_runz00_1555 =
												STRUCT_REF(BgL_ufz00_1552, (int) (((long) 1)));
											BgL_sfz00_1556 =
												STRUCT_REF(BgL_ufz00_1552, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1554) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 879 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1554))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1554))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2198z00_1562;

																		BgL_arg2198z00_1562 =
																			(
																			(long) CINT(BgL_bpz00_1549) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1547,
																			(int) (BgL_arg2198z00_1562), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18207,
																		STRUCT_REF(BgL_ufz00_1552,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1554));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18207, STRUCT_REF(BgL_ufz00_1552,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1554));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1566;

												BgL_z12denvz12_1566 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_1549) +
															(long) CINT(BgL_sfz00_1556)) <
														(long) (VECTOR_LENGTH(BgL_sz00_1547))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_1555;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_1568;

														BgL_nsz00_1568 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2203z00_1570;

															BgL_arg2203z00_1570 =
																((long) CINT(BgL_bpz00_1549) + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1568, BINT(((long) 2)),
																BgL_sz00_1547, BgL_bpz00_1549,
																BINT(BgL_arg2203z00_1570));
														}
														VECTOR_SET(BgL_nsz00_1568,
															(int) (((long) 1)), BgL_sz00_1547);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1566,
															BgL_nsz00_1568);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1193z00_1571;

															BgL_exitd1193z00_1571 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32204ze3z83_18181;

																BgL_zc3anonymousza32204ze3z83_18181 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32204ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32204ze3z83_18181,
																	(int) (((long) 0)), BgL_z12denvz12_1566);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32204ze3z83_18181,
																	(int) (((long) 1)), BgL_sz00_1547);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1193z00_1571,
																	BgL_zc3anonymousza32204ze3z83_18181);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1195z00_1573;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_7707;

																		BgL_savedzd2bpzd2_7707 =
																			VECTOR_REF(BgL_nsz00_1568,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_1568,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_7714;

																			BgL_fz00_7714 = BgL_runz00_1555;
																		BgL_recz00_7713:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_7715;

																				BgL_rz00_7715 =
																					PROCEDURE_ENTRY(BgL_fz00_7714)
																					(BgL_fz00_7714, BgL_nsz00_1568, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_22228;

																					if (PROCEDUREP(BgL_rz00_7715))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_7720;

																							BgL_arg1964z00_7720 =
																								PROCEDURE_ATTR(BgL_rz00_7715);
																							if (STRUCTP(BgL_arg1964z00_7720))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_22228 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_7720) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_22228 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_22228 = ((bool_t) 0);
																						}
																					if (BgL_testz00_22228)
																						{
																							obj_t BgL_fz00_22236;

																							BgL_fz00_22236 = BgL_rz00_7715;
																							BgL_fz00_7714 = BgL_fz00_22236;
																							goto BgL_recz00_7713;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_1568,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_7707);
																							BgL_tmp1195z00_1573 =
																								BgL_rz00_7715;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1193z00_1571);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1566,
																		BgL_sz00_1547);
																	return BgL_tmp1195z00_1573;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1550,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1577;

													BgL_nbpz00_1577 =
														((long) CINT(BgL_bpz00_1549) + BgL_siza7eza7_18209);
													VECTOR_SET(BgL_sz00_1547,
														(int) (((long) 0)), BINT(BgL_nbpz00_1577));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1578;

														BgL_rz00_1578 =
															PROCEDURE_ENTRY(BgL_fz00_1550) (BgL_fz00_1550,
															BEOA);
														VECTOR_SET(BgL_sz00_1547, (int) (((long) 0)),
															BgL_bpz00_1549);
														return BgL_rz00_1578;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18207, BgL_symbzd2funzd2_18208,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1550));
		}}}}}}}}}
	}



/* &<anonymous:2204> */
	obj_t BGl_z62zc3anonymousza32204ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18212;
				obj_t BgL_sz00_18213;

				BgL_z12denvz12_18212 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18211, (int) (((long) 0))));
				BgL_sz00_18213 = PROCEDURE_REF(BgL_envz00_18211, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18212, BgL_sz00_18213);
				}
			}
		}
	}



/* &<anonymous:2209> */
	obj_t BGl_z62zc3anonymousza32209ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18214, obj_t BgL_sz00_18219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18215;
				obj_t BgL_locz00_18216;
				obj_t BgL_symbzd2funzd2_18217;
				long BgL_siza7eza7_18218;

				BgL_funz00_18215 = PROCEDURE_REF(BgL_envz00_18214, (int) (((long) 0)));
				BgL_locz00_18216 = PROCEDURE_REF(BgL_envz00_18214, (int) (((long) 1)));
				BgL_symbzd2funzd2_18217 =
					PROCEDURE_REF(BgL_envz00_18214, (int) (((long) 2)));
				BgL_siza7eza7_18218 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18214, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1582;

					BgL_sz00_1582 = BgL_sz00_18219;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1584;

						BgL_bpz00_1584 = VECTOR_REF(BgL_sz00_1582, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1585;

							BgL_fz00_1585 =
								PROCEDURE_ENTRY(BgL_funz00_18215) (BgL_funz00_18215,
								BgL_sz00_1582, BEOA);
							if (PROCEDUREP(BgL_fz00_1585))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18216,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1585);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1587;

								BgL_ufz00_1587 = PROCEDURE_ATTR(BgL_fz00_1585);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22282;

									if (STRUCTP(BgL_ufz00_1587))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22282 =
												(STRUCT_KEY(BgL_ufz00_1587) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22282 = ((bool_t) 0);
										}
									if (BgL_testz00_22282)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1589;
											obj_t BgL_runz00_1590;
											obj_t BgL_sfz00_1591;

											BgL_arityz00_1589 =
												STRUCT_REF(BgL_ufz00_1587, (int) (((long) 0)));
											BgL_runz00_1590 =
												STRUCT_REF(BgL_ufz00_1587, (int) (((long) 1)));
											BgL_sfz00_1591 =
												STRUCT_REF(BgL_ufz00_1587, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1592;

												BgL_spz00_1592 =
													((long) CINT(BgL_bpz00_1584) + BgL_siza7eza7_18218);
												if (((long) CINT(BgL_arityz00_1589) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 879 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1589))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1589))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2214z00_1597;

																			BgL_arg2214z00_1597 =
																				(BgL_spz00_1592 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1582,
																				(int) (BgL_arg2214z00_1597), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18216,
																			STRUCT_REF(BgL_ufz00_1587,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1589));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18216, STRUCT_REF(BgL_ufz00_1587,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1589));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1601;

													BgL_z12denvz12_1601 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1601,
														BgL_locz00_18216);
													if (((BgL_spz00_1592 + (long) CINT(BgL_sfz00_1591)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1582))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1590, BgL_sz00_1582,
																BINT(BgL_spz00_1592));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1603;

															BgL_nsz00_1603 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2220z00_1605;

																BgL_arg2220z00_1605 =
																	(BgL_spz00_1592 + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1603, BINT(((long) 2)),
																	BgL_sz00_1582, BINT(BgL_spz00_1592),
																	BINT(BgL_arg2220z00_1605));
															}
															VECTOR_SET(BgL_nsz00_1603,
																(int) (((long) 1)), BgL_sz00_1582);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1601,
																BgL_nsz00_1603);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1198z00_1606;

																BgL_exitd1198z00_1606 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32221ze3z83_18183;

																	BgL_zc3anonymousza32221ze3z83_18183 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32221ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32221ze3z83_18183,
																		(int) (((long) 0)), BgL_z12denvz12_1601);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32221ze3z83_18183,
																		(int) (((long) 1)), BgL_sz00_1582);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1198z00_1606,
																		BgL_zc3anonymousza32221ze3z83_18183);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1200z00_1608;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_7810;

																			BgL_savedzd2bpzd2_7810 =
																				VECTOR_REF(BgL_nsz00_1603,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1603,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_7817;

																				BgL_fz00_7817 = BgL_runz00_1590;
																			BgL_recz00_7816:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_7818;

																					BgL_rz00_7818 =
																						PROCEDURE_ENTRY(BgL_fz00_7817)
																						(BgL_fz00_7817, BgL_nsz00_1603,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_22352;

																						if (PROCEDUREP(BgL_rz00_7818))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_7823;

																								BgL_arg1964z00_7823 =
																									PROCEDURE_ATTR(BgL_rz00_7818);
																								if (STRUCTP
																									(BgL_arg1964z00_7823))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22352 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_7823) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22352 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_22352 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_22352)
																							{
																								obj_t BgL_fz00_22360;

																								BgL_fz00_22360 = BgL_rz00_7818;
																								BgL_fz00_7817 = BgL_fz00_22360;
																								goto BgL_recz00_7816;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1603,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_7810);
																								BgL_tmp1200z00_1608 =
																									BgL_rz00_7818;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1198z00_1606);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1601,
																			BgL_sz00_1582);
																		return BgL_tmp1200z00_1608;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1585,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1612;

													BgL_nbpz00_1612 =
														((long) CINT(BgL_bpz00_1584) + BgL_siza7eza7_18218);
													VECTOR_SET(BgL_sz00_1582,
														(int) (((long) 0)), BINT(BgL_nbpz00_1612));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_22373;

														BgL_auxz00_22373 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_22373,
															BgL_locz00_18216);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1614;

														BgL_rz00_1614 =
															PROCEDURE_ENTRY(BgL_fz00_1585) (BgL_fz00_1585,
															BEOA);
														VECTOR_SET(BgL_sz00_1582, (int) (((long) 0)),
															BgL_bpz00_1584);
														return BgL_rz00_1614;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18216, BgL_symbzd2funzd2_18217,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1585));
		}}}}}}}}}
	}



/* &<anonymous:2221> */
	obj_t BGl_z62zc3anonymousza32221ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18220)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18221;
				obj_t BgL_sz00_18222;

				BgL_z12denvz12_18221 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18220, (int) (((long) 0))));
				BgL_sz00_18222 = PROCEDURE_REF(BgL_envz00_18220, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18221, BgL_sz00_18222);
				}
			}
		}
	}



/* &<anonymous:2225> */
	obj_t BGl_z62zc3anonymousza32225ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18223, obj_t BgL_sz00_18228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18224;
				obj_t BgL_locz00_18225;
				obj_t BgL_symbzd2funzd2_18226;
				long BgL_siza7eza7_18227;

				BgL_funz00_18224 = PROCEDURE_REF(BgL_envz00_18223, (int) (((long) 0)));
				BgL_locz00_18225 = PROCEDURE_REF(BgL_envz00_18223, (int) (((long) 1)));
				BgL_symbzd2funzd2_18226 =
					PROCEDURE_REF(BgL_envz00_18223, (int) (((long) 2)));
				BgL_siza7eza7_18227 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18223, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1616;

					BgL_sz00_1616 = BgL_sz00_18228;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1618;

						BgL_bpz00_1618 = VECTOR_REF(BgL_sz00_1616, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1619;

							BgL_fz00_1619 =
								PROCEDURE_ENTRY(BgL_funz00_18224) (BgL_funz00_18224,
								BgL_sz00_1616, BEOA);
							if (PROCEDUREP(BgL_fz00_1619))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18225,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1619);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1621;

								BgL_ufz00_1621 = PROCEDURE_ATTR(BgL_fz00_1619);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22409;

									if (STRUCTP(BgL_ufz00_1621))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22409 =
												(STRUCT_KEY(BgL_ufz00_1621) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22409 = ((bool_t) 0);
										}
									if (BgL_testz00_22409)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1623;
											obj_t BgL_runz00_1624;
											obj_t BgL_sfz00_1625;

											BgL_arityz00_1623 =
												STRUCT_REF(BgL_ufz00_1621, (int) (((long) 0)));
											BgL_runz00_1624 =
												STRUCT_REF(BgL_ufz00_1621, (int) (((long) 1)));
											BgL_sfz00_1625 =
												STRUCT_REF(BgL_ufz00_1621, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1626;

												BgL_spz00_1626 =
													((long) CINT(BgL_bpz00_1618) + BgL_siza7eza7_18227);
												if (((long) CINT(BgL_arityz00_1623) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 879 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1623))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1623))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2230z00_1631;

																			BgL_arg2230z00_1631 =
																				(BgL_spz00_1626 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1616,
																				(int) (BgL_arg2230z00_1631), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18225,
																			STRUCT_REF(BgL_ufz00_1621,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1623));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18225, STRUCT_REF(BgL_ufz00_1621,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1623));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1635;

													BgL_z12denvz12_1635 = BGL_CURRENT_DYNAMIC_ENV();
													if (
														((BgL_spz00_1626 +
																(long) CINT(BgL_sfz00_1625)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1616))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1624, BgL_sz00_1616,
																BINT(BgL_spz00_1626));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1637;

															BgL_nsz00_1637 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2236z00_1639;

																BgL_arg2236z00_1639 =
																	(BgL_spz00_1626 + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1637, BINT(((long) 2)),
																	BgL_sz00_1616, BINT(BgL_spz00_1626),
																	BINT(BgL_arg2236z00_1639));
															}
															VECTOR_SET(BgL_nsz00_1637,
																(int) (((long) 1)), BgL_sz00_1616);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1635,
																BgL_nsz00_1637);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1203z00_1640;

																BgL_exitd1203z00_1640 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32237ze3z83_18185;

																	BgL_zc3anonymousza32237ze3z83_18185 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32237ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32237ze3z83_18185,
																		(int) (((long) 0)), BgL_z12denvz12_1635);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32237ze3z83_18185,
																		(int) (((long) 1)), BgL_sz00_1616);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1203z00_1640,
																		BgL_zc3anonymousza32237ze3z83_18185);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1205z00_1642;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_7914;

																			BgL_savedzd2bpzd2_7914 =
																				VECTOR_REF(BgL_nsz00_1637,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1637,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_7921;

																				BgL_fz00_7921 = BgL_runz00_1624;
																			BgL_recz00_7920:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_7922;

																					BgL_rz00_7922 =
																						PROCEDURE_ENTRY(BgL_fz00_7921)
																						(BgL_fz00_7921, BgL_nsz00_1637,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_22478;

																						if (PROCEDUREP(BgL_rz00_7922))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_7927;

																								BgL_arg1964z00_7927 =
																									PROCEDURE_ATTR(BgL_rz00_7922);
																								if (STRUCTP
																									(BgL_arg1964z00_7927))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22478 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_7927) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22478 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_22478 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_22478)
																							{
																								obj_t BgL_fz00_22486;

																								BgL_fz00_22486 = BgL_rz00_7922;
																								BgL_fz00_7921 = BgL_fz00_22486;
																								goto BgL_recz00_7920;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1637,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_7914);
																								BgL_tmp1205z00_1642 =
																									BgL_rz00_7922;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1203z00_1640);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1635,
																			BgL_sz00_1616);
																		return BgL_tmp1205z00_1642;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1619,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1646;

													BgL_nbpz00_1646 =
														((long) CINT(BgL_bpz00_1618) + BgL_siza7eza7_18227);
													VECTOR_SET(BgL_sz00_1616,
														(int) (((long) 0)), BINT(BgL_nbpz00_1646));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1647;

														BgL_rz00_1647 =
															PROCEDURE_ENTRY(BgL_fz00_1619) (BgL_fz00_1619,
															BEOA);
														VECTOR_SET(BgL_sz00_1616, (int) (((long) 0)),
															BgL_bpz00_1618);
														return BgL_rz00_1647;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18225, BgL_symbzd2funzd2_18226,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1619));
		}}}}}}}}}
	}



/* &<anonymous:2237> */
	obj_t BGl_z62zc3anonymousza32237ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18230;
				obj_t BgL_sz00_18231;

				BgL_z12denvz12_18230 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18229, (int) (((long) 0))));
				BgL_sz00_18231 = PROCEDURE_REF(BgL_envz00_18229, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18230, BgL_sz00_18231);
				}
			}
		}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_1650;

				BgL_cfunz00_1650 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146,
					((long) 1), BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_1650))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_22516;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2245z00_1665;

							BgL_arg2245z00_1665 = bgl_debug();
							BgL_testz00_22516 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2245z00_1665),
								BINT(((long) 0)));
						}
						if (BgL_testz00_22516)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32242ze3z83_18232;

								BgL_zc3anonymousza32242ze3z83_18232 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32242ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32242ze3z83_18232,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza32242ze3z83_18232,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza32242ze3z83_18232,
									(int) (((long) 2)), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3anonymousza32242ze3z83_18232,
									(int) (((long) 3)), BgL_cfunz00_1650);
								return BgL_zc3anonymousza32242ze3z83_18232;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32244ze3z83_18233;

								BgL_zc3anonymousza32244ze3z83_18233 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32244ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza32244ze3z83_18233,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza32244ze3z83_18233,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza32244ze3z83_18233,
									(int) (((long) 2)), BgL_cfunz00_1650);
								return BgL_zc3anonymousza32244ze3z83_18233;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_22545;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2287z00_1746;

									BgL_arg2287z00_1746 = bgl_debug();
									BgL_testz00_22545 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2287z00_1746),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22545)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32247ze3z83_18235;

										BgL_zc3anonymousza32247ze3z83_18235 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32247ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18235,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18235,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18235,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18235,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18235,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32247ze3z83_18235;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32268ze3z83_18237;

										BgL_zc3anonymousza32268ze3z83_18237 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32268ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18237,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18237,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18237,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18237,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18237,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32268ze3z83_18237;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_22578;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2328z00_1827;

									BgL_arg2328z00_1827 = bgl_debug();
									BgL_testz00_22578 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2328z00_1827),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22578)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32289ze3z83_18239;

										BgL_zc3anonymousza32289ze3z83_18239 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32289ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18239,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18239,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18239,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18239,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18239,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32289ze3z83_18239;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32309ze3z83_18241;

										BgL_zc3anonymousza32309ze3z83_18241 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32309ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18241,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18241,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18241,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18241,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18241,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32309ze3z83_18241;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2242> */
	obj_t BGl_z62zc3anonymousza32242ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18242, obj_t BgL_sz00_18247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18243;
				long BgL_siza7eza7_18244;
				obj_t BgL_locz00_18245;
				obj_t BgL_cfunz00_18246;

				BgL_a1z00_18243 = PROCEDURE_REF(BgL_envz00_18242, (int) (((long) 0)));
				BgL_siza7eza7_18244 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18242, (int) (((long) 1))));
				BgL_locz00_18245 = PROCEDURE_REF(BgL_envz00_18242, (int) (((long) 2)));
				BgL_cfunz00_18246 = PROCEDURE_REF(BgL_envz00_18242, (int) (((long) 3)));
				{
					obj_t BgL_sz00_1652;

					BgL_sz00_1652 = BgL_sz00_18247;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1654;

						BgL_bpz00_1654 = VECTOR_REF(BgL_sz00_1652, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_1655;

							BgL_a1z00_1655 =
								PROCEDURE_ENTRY(BgL_a1z00_18243) (BgL_a1z00_18243,
								BgL_sz00_1652, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1656;

								BgL_nbpz00_1656 =
									((long) CINT(BgL_bpz00_1654) + BgL_siza7eza7_18244);
								VECTOR_SET(BgL_sz00_1652,
									(int) (((long) 0)), BINT(BgL_nbpz00_1656));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_22631;

									BgL_auxz00_22631 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_22631,
										BgL_locz00_18245);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1658;

									BgL_rz00_1658 =
										PROCEDURE_ENTRY(BgL_cfunz00_18246) (BgL_cfunz00_18246,
										BgL_a1z00_1655, BEOA);
									VECTOR_SET(BgL_sz00_1652, (int) (((long) 0)), BgL_bpz00_1654);
									return BgL_rz00_1658;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2244> */
	obj_t BGl_z62zc3anonymousza32244ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18248, obj_t BgL_sz00_18252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18249;
				long BgL_siza7eza7_18250;
				obj_t BgL_cfunz00_18251;

				BgL_a1z00_18249 = PROCEDURE_REF(BgL_envz00_18248, (int) (((long) 0)));
				BgL_siza7eza7_18250 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18248, (int) (((long) 1))));
				BgL_cfunz00_18251 = PROCEDURE_REF(BgL_envz00_18248, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1659;

					BgL_sz00_1659 = BgL_sz00_18252;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1661;

						BgL_bpz00_1661 = VECTOR_REF(BgL_sz00_1659, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_1662;

							BgL_a1z00_1662 =
								PROCEDURE_ENTRY(BgL_a1z00_18249) (BgL_a1z00_18249,
								BgL_sz00_1659, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1663;

								BgL_nbpz00_1663 =
									((long) CINT(BgL_bpz00_1661) + BgL_siza7eza7_18250);
								VECTOR_SET(BgL_sz00_1659,
									(int) (((long) 0)), BINT(BgL_nbpz00_1663));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1664;

									BgL_rz00_1664 =
										PROCEDURE_ENTRY(BgL_cfunz00_18251) (BgL_cfunz00_18251,
										BgL_a1z00_1662, BEOA);
									VECTOR_SET(BgL_sz00_1659, (int) (((long) 0)), BgL_bpz00_1661);
									return BgL_rz00_1664;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2247> */
	obj_t BGl_z62zc3anonymousza32247ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18253, obj_t BgL_sz00_18259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18254;
				obj_t BgL_a1z00_18255;
				obj_t BgL_locz00_18256;
				obj_t BgL_symbzd2funzd2_18257;
				long BgL_siza7eza7_18258;

				BgL_funz00_18254 = PROCEDURE_REF(BgL_envz00_18253, (int) (((long) 0)));
				BgL_a1z00_18255 = PROCEDURE_REF(BgL_envz00_18253, (int) (((long) 1)));
				BgL_locz00_18256 = PROCEDURE_REF(BgL_envz00_18253, (int) (((long) 2)));
				BgL_symbzd2funzd2_18257 =
					PROCEDURE_REF(BgL_envz00_18253, (int) (((long) 3)));
				BgL_siza7eza7_18258 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18253, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1667;

					BgL_sz00_1667 = BgL_sz00_18259;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1669;

						BgL_bpz00_1669 = VECTOR_REF(BgL_sz00_1667, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1670;
							obj_t BgL_a1z00_1671;

							BgL_fz00_1670 =
								PROCEDURE_ENTRY(BgL_funz00_18254) (BgL_funz00_18254,
								BgL_sz00_1667, BEOA);
							BgL_a1z00_1671 =
								PROCEDURE_ENTRY(BgL_a1z00_18255) (BgL_a1z00_18255,
								BgL_sz00_1667, BEOA);
							if (PROCEDUREP(BgL_fz00_1670))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18256,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1670);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1673;

								BgL_ufz00_1673 = PROCEDURE_ATTR(BgL_fz00_1670);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22689;

									if (STRUCTP(BgL_ufz00_1673))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22689 =
												(STRUCT_KEY(BgL_ufz00_1673) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22689 = ((bool_t) 0);
										}
									if (BgL_testz00_22689)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1675;
											obj_t BgL_runz00_1676;
											obj_t BgL_sfz00_1677;

											BgL_arityz00_1675 =
												STRUCT_REF(BgL_ufz00_1673, (int) (((long) 0)));
											BgL_runz00_1676 =
												STRUCT_REF(BgL_ufz00_1673, (int) (((long) 1)));
											BgL_sfz00_1677 =
												STRUCT_REF(BgL_ufz00_1673, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1675) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_arg2251z00_1680;

													BgL_arg2251z00_1680 =
														((long) CINT(BgL_bpz00_1669) + ((long) 0));
													VECTOR_SET(BgL_sz00_1667,
														(int) (BgL_arg2251z00_1680), BgL_a1z00_1671);
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1675))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1675))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2253z00_1684;
																		obj_t BgL_arg2254z00_1685;

																		BgL_arg2253z00_1684 =
																			(
																			(long) CINT(BgL_bpz00_1669) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2255z00_1686;

																			BgL_list2255z00_1686 =
																				MAKE_PAIR(BgL_a1z00_1671, BNIL);
																			BgL_arg2254z00_1685 =
																				BgL_list2255z00_1686;
																		}
																		VECTOR_SET(BgL_sz00_1667,
																			(int) (BgL_arg2253z00_1684),
																			BgL_arg2254z00_1685);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2256z00_1687;

																		BgL_arg2256z00_1687 =
																			(
																			(long) CINT(BgL_bpz00_1669) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1667,
																			(int) (BgL_arg2256z00_1687),
																			BgL_a1z00_1671);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2257z00_1688;

																		BgL_arg2257z00_1688 =
																			(
																			(long) CINT(BgL_bpz00_1669) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1667,
																			(int) (BgL_arg2257z00_1688), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18256,
																		STRUCT_REF(BgL_ufz00_1673,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1675));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18256, STRUCT_REF(BgL_ufz00_1673,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1675));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1692;

												BgL_z12denvz12_1692 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1692,
													BgL_locz00_18256);
												if ((((long) CINT(BgL_bpz00_1669) +
															(long) CINT(BgL_sfz00_1677)) <
														(long) (VECTOR_LENGTH(BgL_sz00_1667))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_1676;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_1694;

														BgL_nsz00_1694 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2263z00_1696;

															BgL_arg2263z00_1696 =
																((long) CINT(BgL_bpz00_1669) + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1694, BINT(((long) 2)),
																BgL_sz00_1667, BgL_bpz00_1669,
																BINT(BgL_arg2263z00_1696));
														}
														VECTOR_SET(BgL_nsz00_1694,
															(int) (((long) 1)), BgL_sz00_1667);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1692,
															BgL_nsz00_1694);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1208z00_1697;

															BgL_exitd1208z00_1697 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32264ze3z83_18234;

																BgL_zc3anonymousza32264ze3z83_18234 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32264ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32264ze3z83_18234,
																	(int) (((long) 0)), BgL_z12denvz12_1692);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32264ze3z83_18234,
																	(int) (((long) 1)), BgL_sz00_1667);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1208z00_1697,
																	BgL_zc3anonymousza32264ze3z83_18234);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1210z00_1699;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_8061;

																		BgL_savedzd2bpzd2_8061 =
																			VECTOR_REF(BgL_nsz00_1694,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_1694,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_8068;

																			BgL_fz00_8068 = BgL_runz00_1676;
																		BgL_recz00_8067:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_8069;

																				BgL_rz00_8069 =
																					PROCEDURE_ENTRY(BgL_fz00_8068)
																					(BgL_fz00_8068, BgL_nsz00_1694, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_22770;

																					if (PROCEDUREP(BgL_rz00_8069))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_8074;

																							BgL_arg1964z00_8074 =
																								PROCEDURE_ATTR(BgL_rz00_8069);
																							if (STRUCTP(BgL_arg1964z00_8074))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_22770 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_8074) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_22770 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_22770 = ((bool_t) 0);
																						}
																					if (BgL_testz00_22770)
																						{
																							obj_t BgL_fz00_22778;

																							BgL_fz00_22778 = BgL_rz00_8069;
																							BgL_fz00_8068 = BgL_fz00_22778;
																							goto BgL_recz00_8067;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_1694,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_8061);
																							BgL_tmp1210z00_1699 =
																								BgL_rz00_8069;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1208z00_1697);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1692,
																		BgL_sz00_1667);
																	return BgL_tmp1210z00_1699;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1670,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1703;

													BgL_nbpz00_1703 =
														((long) CINT(BgL_bpz00_1669) + BgL_siza7eza7_18258);
													VECTOR_SET(BgL_sz00_1667,
														(int) (((long) 0)), BINT(BgL_nbpz00_1703));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_22791;

														BgL_auxz00_22791 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_22791,
															BgL_locz00_18256);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1705;

														BgL_rz00_1705 =
															PROCEDURE_ENTRY(BgL_fz00_1670) (BgL_fz00_1670,
															BgL_a1z00_1671, BEOA);
														VECTOR_SET(BgL_sz00_1667, (int) (((long) 0)),
															BgL_bpz00_1669);
														return BgL_rz00_1705;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18256, BgL_symbzd2funzd2_18257,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1670));
		}}}}}}}}}
	}



/* &<anonymous:2264> */
	obj_t BGl_z62zc3anonymousza32264ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18260)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18261;
				obj_t BgL_sz00_18262;

				BgL_z12denvz12_18261 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18260, (int) (((long) 0))));
				BgL_sz00_18262 = PROCEDURE_REF(BgL_envz00_18260, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18261, BgL_sz00_18262);
				}
			}
		}
	}



/* &<anonymous:2268> */
	obj_t BGl_z62zc3anonymousza32268ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18263, obj_t BgL_sz00_18269)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18264;
				obj_t BgL_a1z00_18265;
				obj_t BgL_locz00_18266;
				obj_t BgL_symbzd2funzd2_18267;
				long BgL_siza7eza7_18268;

				BgL_funz00_18264 = PROCEDURE_REF(BgL_envz00_18263, (int) (((long) 0)));
				BgL_a1z00_18265 = PROCEDURE_REF(BgL_envz00_18263, (int) (((long) 1)));
				BgL_locz00_18266 = PROCEDURE_REF(BgL_envz00_18263, (int) (((long) 2)));
				BgL_symbzd2funzd2_18267 =
					PROCEDURE_REF(BgL_envz00_18263, (int) (((long) 3)));
				BgL_siza7eza7_18268 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18263, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1707;

					BgL_sz00_1707 = BgL_sz00_18269;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1709;

						BgL_bpz00_1709 = VECTOR_REF(BgL_sz00_1707, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1710;
							obj_t BgL_a1z00_1711;

							BgL_fz00_1710 =
								PROCEDURE_ENTRY(BgL_funz00_18264) (BgL_funz00_18264,
								BgL_sz00_1707, BEOA);
							BgL_a1z00_1711 =
								PROCEDURE_ENTRY(BgL_a1z00_18265) (BgL_a1z00_18265,
								BgL_sz00_1707, BEOA);
							if (PROCEDUREP(BgL_fz00_1710))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18266,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1710);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1713;

								BgL_ufz00_1713 = PROCEDURE_ATTR(BgL_fz00_1710);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22834;

									if (STRUCTP(BgL_ufz00_1713))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22834 =
												(STRUCT_KEY(BgL_ufz00_1713) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22834 = ((bool_t) 0);
										}
									if (BgL_testz00_22834)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1715;
											obj_t BgL_runz00_1716;
											obj_t BgL_sfz00_1717;

											BgL_arityz00_1715 =
												STRUCT_REF(BgL_ufz00_1713, (int) (((long) 0)));
											BgL_runz00_1716 =
												STRUCT_REF(BgL_ufz00_1713, (int) (((long) 1)));
											BgL_sfz00_1717 =
												STRUCT_REF(BgL_ufz00_1713, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1715) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_arg2272z00_1720;

													BgL_arg2272z00_1720 =
														((long) CINT(BgL_bpz00_1709) + ((long) 0));
													VECTOR_SET(BgL_sz00_1707,
														(int) (BgL_arg2272z00_1720), BgL_a1z00_1711);
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1715))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1715))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2274z00_1724;
																		obj_t BgL_arg2275z00_1725;

																		BgL_arg2274z00_1724 =
																			(
																			(long) CINT(BgL_bpz00_1709) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2276z00_1726;

																			BgL_list2276z00_1726 =
																				MAKE_PAIR(BgL_a1z00_1711, BNIL);
																			BgL_arg2275z00_1725 =
																				BgL_list2276z00_1726;
																		}
																		VECTOR_SET(BgL_sz00_1707,
																			(int) (BgL_arg2274z00_1724),
																			BgL_arg2275z00_1725);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2277z00_1727;

																		BgL_arg2277z00_1727 =
																			(
																			(long) CINT(BgL_bpz00_1709) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1707,
																			(int) (BgL_arg2277z00_1727),
																			BgL_a1z00_1711);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2278z00_1728;

																		BgL_arg2278z00_1728 =
																			(
																			(long) CINT(BgL_bpz00_1709) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1707,
																			(int) (BgL_arg2278z00_1728), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18266,
																		STRUCT_REF(BgL_ufz00_1713,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1715));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18266, STRUCT_REF(BgL_ufz00_1713,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1715));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1732;

												BgL_z12denvz12_1732 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_1709) +
															(long) CINT(BgL_sfz00_1717)) <
														(long) (VECTOR_LENGTH(BgL_sz00_1707))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_1716;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_1734;

														BgL_nsz00_1734 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2283z00_1736;

															BgL_arg2283z00_1736 =
																((long) CINT(BgL_bpz00_1709) + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1734, BINT(((long) 2)),
																BgL_sz00_1707, BgL_bpz00_1709,
																BINT(BgL_arg2283z00_1736));
														}
														VECTOR_SET(BgL_nsz00_1734,
															(int) (((long) 1)), BgL_sz00_1707);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1732,
															BgL_nsz00_1734);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1213z00_1737;

															BgL_exitd1213z00_1737 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32284ze3z83_18236;

																BgL_zc3anonymousza32284ze3z83_18236 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32284ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32284ze3z83_18236,
																	(int) (((long) 0)), BgL_z12denvz12_1732);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32284ze3z83_18236,
																	(int) (((long) 1)), BgL_sz00_1707);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1213z00_1737,
																	BgL_zc3anonymousza32284ze3z83_18236);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1215z00_1739;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_8186;

																		BgL_savedzd2bpzd2_8186 =
																			VECTOR_REF(BgL_nsz00_1734,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_1734,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_8193;

																			BgL_fz00_8193 = BgL_runz00_1716;
																		BgL_recz00_8192:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_8194;

																				BgL_rz00_8194 =
																					PROCEDURE_ENTRY(BgL_fz00_8193)
																					(BgL_fz00_8193, BgL_nsz00_1734, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_22914;

																					if (PROCEDUREP(BgL_rz00_8194))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_8199;

																							BgL_arg1964z00_8199 =
																								PROCEDURE_ATTR(BgL_rz00_8194);
																							if (STRUCTP(BgL_arg1964z00_8199))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_22914 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_8199) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_22914 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_22914 = ((bool_t) 0);
																						}
																					if (BgL_testz00_22914)
																						{
																							obj_t BgL_fz00_22922;

																							BgL_fz00_22922 = BgL_rz00_8194;
																							BgL_fz00_8193 = BgL_fz00_22922;
																							goto BgL_recz00_8192;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_1734,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_8186);
																							BgL_tmp1215z00_1739 =
																								BgL_rz00_8194;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1213z00_1737);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1732,
																		BgL_sz00_1707);
																	return BgL_tmp1215z00_1739;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1710,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1743;

													BgL_nbpz00_1743 =
														((long) CINT(BgL_bpz00_1709) + BgL_siza7eza7_18268);
													VECTOR_SET(BgL_sz00_1707,
														(int) (((long) 0)), BINT(BgL_nbpz00_1743));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1744;

														BgL_rz00_1744 =
															PROCEDURE_ENTRY(BgL_fz00_1710) (BgL_fz00_1710,
															BgL_a1z00_1711, BEOA);
														VECTOR_SET(BgL_sz00_1707, (int) (((long) 0)),
															BgL_bpz00_1709);
														return BgL_rz00_1744;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18266, BgL_symbzd2funzd2_18267,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1710));
		}}}}}}}}}
	}



/* &<anonymous:2284> */
	obj_t BGl_z62zc3anonymousza32284ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18270)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18271;
				obj_t BgL_sz00_18272;

				BgL_z12denvz12_18271 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18270, (int) (((long) 0))));
				BgL_sz00_18272 = PROCEDURE_REF(BgL_envz00_18270, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18271, BgL_sz00_18272);
				}
			}
		}
	}



/* &<anonymous:2289> */
	obj_t BGl_z62zc3anonymousza32289ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18273, obj_t BgL_sz00_18279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18274;
				obj_t BgL_a1z00_18275;
				obj_t BgL_locz00_18276;
				obj_t BgL_symbzd2funzd2_18277;
				long BgL_siza7eza7_18278;

				BgL_funz00_18274 = PROCEDURE_REF(BgL_envz00_18273, (int) (((long) 0)));
				BgL_a1z00_18275 = PROCEDURE_REF(BgL_envz00_18273, (int) (((long) 1)));
				BgL_locz00_18276 = PROCEDURE_REF(BgL_envz00_18273, (int) (((long) 2)));
				BgL_symbzd2funzd2_18277 =
					PROCEDURE_REF(BgL_envz00_18273, (int) (((long) 3)));
				BgL_siza7eza7_18278 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18273, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1748;

					BgL_sz00_1748 = BgL_sz00_18279;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1750;

						BgL_bpz00_1750 = VECTOR_REF(BgL_sz00_1748, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1751;
							obj_t BgL_a1z00_1752;

							BgL_fz00_1751 =
								PROCEDURE_ENTRY(BgL_funz00_18274) (BgL_funz00_18274,
								BgL_sz00_1748, BEOA);
							BgL_a1z00_1752 =
								PROCEDURE_ENTRY(BgL_a1z00_18275) (BgL_a1z00_18275,
								BgL_sz00_1748, BEOA);
							if (PROCEDUREP(BgL_fz00_1751))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18276,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1751);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1754;

								BgL_ufz00_1754 = PROCEDURE_ATTR(BgL_fz00_1751);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22975;

									if (STRUCTP(BgL_ufz00_1754))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22975 =
												(STRUCT_KEY(BgL_ufz00_1754) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22975 = ((bool_t) 0);
										}
									if (BgL_testz00_22975)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1756;
											obj_t BgL_runz00_1757;
											obj_t BgL_sfz00_1758;

											BgL_arityz00_1756 =
												STRUCT_REF(BgL_ufz00_1754, (int) (((long) 0)));
											BgL_runz00_1757 =
												STRUCT_REF(BgL_ufz00_1754, (int) (((long) 1)));
											BgL_sfz00_1758 =
												STRUCT_REF(BgL_ufz00_1754, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1759;

												BgL_spz00_1759 =
													((long) CINT(BgL_bpz00_1750) + BgL_siza7eza7_18278);
												if (((long) CINT(BgL_arityz00_1756) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2293z00_1761;

														BgL_arg2293z00_1761 = (BgL_spz00_1759 + ((long) 0));
														VECTOR_SET(BgL_sz00_1748,
															(int) (BgL_arg2293z00_1761), BgL_a1z00_1752);
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1756))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1756))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2295z00_1765;
																			obj_t BgL_arg2296z00_1766;

																			BgL_arg2295z00_1765 =
																				(BgL_spz00_1759 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2297z00_1767;

																				BgL_list2297z00_1767 =
																					MAKE_PAIR(BgL_a1z00_1752, BNIL);
																				BgL_arg2296z00_1766 =
																					BgL_list2297z00_1767;
																			}
																			VECTOR_SET(BgL_sz00_1748,
																				(int) (BgL_arg2295z00_1765),
																				BgL_arg2296z00_1766);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2298z00_1768;

																			BgL_arg2298z00_1768 =
																				(BgL_spz00_1759 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1748,
																				(int) (BgL_arg2298z00_1768),
																				BgL_a1z00_1752);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2299z00_1769;

																			BgL_arg2299z00_1769 =
																				(BgL_spz00_1759 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1748,
																				(int) (BgL_arg2299z00_1769), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18276,
																			STRUCT_REF(BgL_ufz00_1754,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1756));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18276, STRUCT_REF(BgL_ufz00_1754,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1756));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1773;

													BgL_z12denvz12_1773 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1773,
														BgL_locz00_18276);
													if (((BgL_spz00_1759 + (long) CINT(BgL_sfz00_1758)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1748))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1757, BgL_sz00_1748,
																BINT(BgL_spz00_1759));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1775;

															BgL_nsz00_1775 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2304z00_1777;

																BgL_arg2304z00_1777 =
																	(BgL_spz00_1759 + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1775, BINT(((long) 2)),
																	BgL_sz00_1748, BINT(BgL_spz00_1759),
																	BINT(BgL_arg2304z00_1777));
															}
															VECTOR_SET(BgL_nsz00_1775,
																(int) (((long) 1)), BgL_sz00_1748);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1773,
																BgL_nsz00_1775);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1218z00_1778;

																BgL_exitd1218z00_1778 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32305ze3z83_18238;

																	BgL_zc3anonymousza32305ze3z83_18238 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32305ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32305ze3z83_18238,
																		(int) (((long) 0)), BgL_z12denvz12_1773);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32305ze3z83_18238,
																		(int) (((long) 1)), BgL_sz00_1748);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1218z00_1778,
																		BgL_zc3anonymousza32305ze3z83_18238);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1220z00_1780;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_8309;

																			BgL_savedzd2bpzd2_8309 =
																				VECTOR_REF(BgL_nsz00_1775,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1775,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_8316;

																				BgL_fz00_8316 = BgL_runz00_1757;
																			BgL_recz00_8315:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_8317;

																					BgL_rz00_8317 =
																						PROCEDURE_ENTRY(BgL_fz00_8316)
																						(BgL_fz00_8316, BgL_nsz00_1775,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_23055;

																						if (PROCEDUREP(BgL_rz00_8317))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_8322;

																								BgL_arg1964z00_8322 =
																									PROCEDURE_ATTR(BgL_rz00_8317);
																								if (STRUCTP
																									(BgL_arg1964z00_8322))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23055 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_8322) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23055 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_23055 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_23055)
																							{
																								obj_t BgL_fz00_23063;

																								BgL_fz00_23063 = BgL_rz00_8317;
																								BgL_fz00_8316 = BgL_fz00_23063;
																								goto BgL_recz00_8315;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1775,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_8309);
																								BgL_tmp1220z00_1780 =
																									BgL_rz00_8317;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1218z00_1778);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1773,
																			BgL_sz00_1748);
																		return BgL_tmp1220z00_1780;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1751,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1784;

													BgL_nbpz00_1784 =
														((long) CINT(BgL_bpz00_1750) + BgL_siza7eza7_18278);
													VECTOR_SET(BgL_sz00_1748,
														(int) (((long) 0)), BINT(BgL_nbpz00_1784));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_23076;

														BgL_auxz00_23076 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_23076,
															BgL_locz00_18276);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1786;

														BgL_rz00_1786 =
															PROCEDURE_ENTRY(BgL_fz00_1751) (BgL_fz00_1751,
															BgL_a1z00_1752, BEOA);
														VECTOR_SET(BgL_sz00_1748, (int) (((long) 0)),
															BgL_bpz00_1750);
														return BgL_rz00_1786;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18276, BgL_symbzd2funzd2_18277,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1751));
		}}}}}}}}}
	}



/* &<anonymous:2305> */
	obj_t BGl_z62zc3anonymousza32305ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18281;
				obj_t BgL_sz00_18282;

				BgL_z12denvz12_18281 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18280, (int) (((long) 0))));
				BgL_sz00_18282 = PROCEDURE_REF(BgL_envz00_18280, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18281, BgL_sz00_18282);
				}
			}
		}
	}



/* &<anonymous:2309> */
	obj_t BGl_z62zc3anonymousza32309ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18283, obj_t BgL_sz00_18289)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18284;
				obj_t BgL_a1z00_18285;
				obj_t BgL_locz00_18286;
				obj_t BgL_symbzd2funzd2_18287;
				long BgL_siza7eza7_18288;

				BgL_funz00_18284 = PROCEDURE_REF(BgL_envz00_18283, (int) (((long) 0)));
				BgL_a1z00_18285 = PROCEDURE_REF(BgL_envz00_18283, (int) (((long) 1)));
				BgL_locz00_18286 = PROCEDURE_REF(BgL_envz00_18283, (int) (((long) 2)));
				BgL_symbzd2funzd2_18287 =
					PROCEDURE_REF(BgL_envz00_18283, (int) (((long) 3)));
				BgL_siza7eza7_18288 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18283, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1788;

					BgL_sz00_1788 = BgL_sz00_18289;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1790;

						BgL_bpz00_1790 = VECTOR_REF(BgL_sz00_1788, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1791;
							obj_t BgL_a1z00_1792;

							BgL_fz00_1791 =
								PROCEDURE_ENTRY(BgL_funz00_18284) (BgL_funz00_18284,
								BgL_sz00_1788, BEOA);
							BgL_a1z00_1792 =
								PROCEDURE_ENTRY(BgL_a1z00_18285) (BgL_a1z00_18285,
								BgL_sz00_1788, BEOA);
							if (PROCEDUREP(BgL_fz00_1791))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18286,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1791);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1794;

								BgL_ufz00_1794 = PROCEDURE_ATTR(BgL_fz00_1791);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23119;

									if (STRUCTP(BgL_ufz00_1794))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23119 =
												(STRUCT_KEY(BgL_ufz00_1794) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23119 = ((bool_t) 0);
										}
									if (BgL_testz00_23119)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1796;
											obj_t BgL_runz00_1797;
											obj_t BgL_sfz00_1798;

											BgL_arityz00_1796 =
												STRUCT_REF(BgL_ufz00_1794, (int) (((long) 0)));
											BgL_runz00_1797 =
												STRUCT_REF(BgL_ufz00_1794, (int) (((long) 1)));
											BgL_sfz00_1798 =
												STRUCT_REF(BgL_ufz00_1794, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1799;

												BgL_spz00_1799 =
													((long) CINT(BgL_bpz00_1790) + BgL_siza7eza7_18288);
												if (((long) CINT(BgL_arityz00_1796) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2313z00_1801;

														BgL_arg2313z00_1801 = (BgL_spz00_1799 + ((long) 0));
														VECTOR_SET(BgL_sz00_1788,
															(int) (BgL_arg2313z00_1801), BgL_a1z00_1792);
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1796))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1796))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2315z00_1805;
																			obj_t BgL_arg2316z00_1806;

																			BgL_arg2315z00_1805 =
																				(BgL_spz00_1799 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2317z00_1807;

																				BgL_list2317z00_1807 =
																					MAKE_PAIR(BgL_a1z00_1792, BNIL);
																				BgL_arg2316z00_1806 =
																					BgL_list2317z00_1807;
																			}
																			VECTOR_SET(BgL_sz00_1788,
																				(int) (BgL_arg2315z00_1805),
																				BgL_arg2316z00_1806);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2318z00_1808;

																			BgL_arg2318z00_1808 =
																				(BgL_spz00_1799 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1788,
																				(int) (BgL_arg2318z00_1808),
																				BgL_a1z00_1792);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2319z00_1809;

																			BgL_arg2319z00_1809 =
																				(BgL_spz00_1799 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1788,
																				(int) (BgL_arg2319z00_1809), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18286,
																			STRUCT_REF(BgL_ufz00_1794,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1796));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18286, STRUCT_REF(BgL_ufz00_1794,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1796));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1813;

													BgL_z12denvz12_1813 = BGL_CURRENT_DYNAMIC_ENV();
													if (
														((BgL_spz00_1799 +
																(long) CINT(BgL_sfz00_1798)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1788))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1797, BgL_sz00_1788,
																BINT(BgL_spz00_1799));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1815;

															BgL_nsz00_1815 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2324z00_1817;

																BgL_arg2324z00_1817 =
																	(BgL_spz00_1799 + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1815, BINT(((long) 2)),
																	BgL_sz00_1788, BINT(BgL_spz00_1799),
																	BINT(BgL_arg2324z00_1817));
															}
															VECTOR_SET(BgL_nsz00_1815,
																(int) (((long) 1)), BgL_sz00_1788);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1813,
																BgL_nsz00_1815);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1223z00_1818;

																BgL_exitd1223z00_1818 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32325ze3z83_18240;

																	BgL_zc3anonymousza32325ze3z83_18240 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32325ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32325ze3z83_18240,
																		(int) (((long) 0)), BgL_z12denvz12_1813);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32325ze3z83_18240,
																		(int) (((long) 1)), BgL_sz00_1788);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1223z00_1818,
																		BgL_zc3anonymousza32325ze3z83_18240);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1225z00_1820;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_8433;

																			BgL_savedzd2bpzd2_8433 =
																				VECTOR_REF(BgL_nsz00_1815,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1815,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_8440;

																				BgL_fz00_8440 = BgL_runz00_1797;
																			BgL_recz00_8439:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_8441;

																					BgL_rz00_8441 =
																						PROCEDURE_ENTRY(BgL_fz00_8440)
																						(BgL_fz00_8440, BgL_nsz00_1815,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_23198;

																						if (PROCEDUREP(BgL_rz00_8441))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_8446;

																								BgL_arg1964z00_8446 =
																									PROCEDURE_ATTR(BgL_rz00_8441);
																								if (STRUCTP
																									(BgL_arg1964z00_8446))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23198 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_8446) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23198 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_23198 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_23198)
																							{
																								obj_t BgL_fz00_23206;

																								BgL_fz00_23206 = BgL_rz00_8441;
																								BgL_fz00_8440 = BgL_fz00_23206;
																								goto BgL_recz00_8439;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1815,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_8433);
																								BgL_tmp1225z00_1820 =
																									BgL_rz00_8441;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1223z00_1818);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1813,
																			BgL_sz00_1788);
																		return BgL_tmp1225z00_1820;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1791,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1824;

													BgL_nbpz00_1824 =
														((long) CINT(BgL_bpz00_1790) + BgL_siza7eza7_18288);
													VECTOR_SET(BgL_sz00_1788,
														(int) (((long) 0)), BINT(BgL_nbpz00_1824));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1825;

														BgL_rz00_1825 =
															PROCEDURE_ENTRY(BgL_fz00_1791) (BgL_fz00_1791,
															BgL_a1z00_1792, BEOA);
														VECTOR_SET(BgL_sz00_1788, (int) (((long) 0)),
															BgL_bpz00_1790);
														return BgL_rz00_1825;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18286, BgL_symbzd2funzd2_18287,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1791));
		}}}}}}}}}
	}



/* &<anonymous:2325> */
	obj_t BGl_z62zc3anonymousza32325ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18291;
				obj_t BgL_sz00_18292;

				BgL_z12denvz12_18291 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18290, (int) (((long) 0))));
				BgL_sz00_18292 = PROCEDURE_REF(BgL_envz00_18290, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18291, BgL_sz00_18292);
				}
			}
		}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_1828;

				BgL_cfunz00_1828 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154,
					((long) 2), BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_1828))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_23237;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2333z00_1845;

							BgL_arg2333z00_1845 = bgl_debug();
							BgL_testz00_23237 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2333z00_1845),
								BINT(((long) 0)));
						}
						if (BgL_testz00_23237)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32330ze3z83_18293;

								BgL_zc3anonymousza32330ze3z83_18293 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32330ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18293,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18293,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18293,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18293,
									(int) (((long) 3)), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18293,
									(int) (((long) 4)), BgL_cfunz00_1828);
								return BgL_zc3anonymousza32330ze3z83_18293;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32332ze3z83_18294;

								BgL_zc3anonymousza32332ze3z83_18294 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32332ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32332ze3z83_18294,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32332ze3z83_18294,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32332ze3z83_18294,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32332ze3z83_18294,
									(int) (((long) 3)), BgL_cfunz00_1828);
								return BgL_zc3anonymousza32332ze3z83_18294;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_23270;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2390z00_1942;

									BgL_arg2390z00_1942 = bgl_debug();
									BgL_testz00_23270 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2390z00_1942),
										BINT(((long) 0)));
								}
								if (BgL_testz00_23270)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32335ze3z83_18296;

										BgL_zc3anonymousza32335ze3z83_18296 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32335ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18296,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18296,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18296,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18296,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18296,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18296,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32335ze3z83_18296;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32362ze3z83_18298;

										BgL_zc3anonymousza32362ze3z83_18298 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18298,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18298,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18298,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18298,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18298,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18298,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32362ze3z83_18298;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_23307;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2448z00_2039;

									BgL_arg2448z00_2039 = bgl_debug();
									BgL_testz00_23307 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2448z00_2039),
										BINT(((long) 0)));
								}
								if (BgL_testz00_23307)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32392ze3z83_18300;

										BgL_zc3anonymousza32392ze3z83_18300 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32392ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32392ze3z83_18300,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32392ze3z83_18300,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32392ze3z83_18300,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32392ze3z83_18300,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32392ze3z83_18300,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32392ze3z83_18300,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32392ze3z83_18300;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32419ze3z83_18302;

										BgL_zc3anonymousza32419ze3z83_18302 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32419ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32419ze3z83_18302,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32419ze3z83_18302,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32419ze3z83_18302,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32419ze3z83_18302,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32419ze3z83_18302,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32419ze3z83_18302,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32419ze3z83_18302;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2330> */
	obj_t BGl_z62zc3anonymousza32330ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18303, obj_t BgL_sz00_18309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18304;
				obj_t BgL_a2z00_18305;
				long BgL_siza7eza7_18306;
				obj_t BgL_locz00_18307;
				obj_t BgL_cfunz00_18308;

				BgL_a1z00_18304 = PROCEDURE_REF(BgL_envz00_18303, (int) (((long) 0)));
				BgL_a2z00_18305 = PROCEDURE_REF(BgL_envz00_18303, (int) (((long) 1)));
				BgL_siza7eza7_18306 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18303, (int) (((long) 2))));
				BgL_locz00_18307 = PROCEDURE_REF(BgL_envz00_18303, (int) (((long) 3)));
				BgL_cfunz00_18308 = PROCEDURE_REF(BgL_envz00_18303, (int) (((long) 4)));
				{
					obj_t BgL_sz00_1830;

					BgL_sz00_1830 = BgL_sz00_18309;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1832;

						BgL_bpz00_1832 = VECTOR_REF(BgL_sz00_1830, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_1833;
							obj_t BgL_a2z00_1834;

							BgL_a1z00_1833 =
								PROCEDURE_ENTRY(BgL_a1z00_18304) (BgL_a1z00_18304,
								BgL_sz00_1830, BEOA);
							BgL_a2z00_1834 =
								PROCEDURE_ENTRY(BgL_a2z00_18305) (BgL_a2z00_18305,
								BgL_sz00_1830, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1835;

								BgL_nbpz00_1835 =
									((long) CINT(BgL_bpz00_1832) + BgL_siza7eza7_18306);
								VECTOR_SET(BgL_sz00_1830,
									(int) (((long) 0)), BINT(BgL_nbpz00_1835));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_23370;

									BgL_auxz00_23370 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_23370,
										BgL_locz00_18307);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1837;

									BgL_rz00_1837 =
										PROCEDURE_ENTRY(BgL_cfunz00_18308) (BgL_cfunz00_18308,
										BgL_a1z00_1833, BgL_a2z00_1834, BEOA);
									VECTOR_SET(BgL_sz00_1830, (int) (((long) 0)), BgL_bpz00_1832);
									return BgL_rz00_1837;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2332> */
	obj_t BGl_z62zc3anonymousza32332ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18310, obj_t BgL_sz00_18315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18311;
				obj_t BgL_a2z00_18312;
				long BgL_siza7eza7_18313;
				obj_t BgL_cfunz00_18314;

				BgL_a1z00_18311 = PROCEDURE_REF(BgL_envz00_18310, (int) (((long) 0)));
				BgL_a2z00_18312 = PROCEDURE_REF(BgL_envz00_18310, (int) (((long) 1)));
				BgL_siza7eza7_18313 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18310, (int) (((long) 2))));
				BgL_cfunz00_18314 = PROCEDURE_REF(BgL_envz00_18310, (int) (((long) 3)));
				{
					obj_t BgL_sz00_1838;

					BgL_sz00_1838 = BgL_sz00_18315;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1840;

						BgL_bpz00_1840 = VECTOR_REF(BgL_sz00_1838, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_1841;
							obj_t BgL_a2z00_1842;

							BgL_a1z00_1841 =
								PROCEDURE_ENTRY(BgL_a1z00_18311) (BgL_a1z00_18311,
								BgL_sz00_1838, BEOA);
							BgL_a2z00_1842 =
								PROCEDURE_ENTRY(BgL_a2z00_18312) (BgL_a2z00_18312,
								BgL_sz00_1838, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1843;

								BgL_nbpz00_1843 =
									((long) CINT(BgL_bpz00_1840) + BgL_siza7eza7_18313);
								VECTOR_SET(BgL_sz00_1838,
									(int) (((long) 0)), BINT(BgL_nbpz00_1843));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1844;

									BgL_rz00_1844 =
										PROCEDURE_ENTRY(BgL_cfunz00_18314) (BgL_cfunz00_18314,
										BgL_a1z00_1841, BgL_a2z00_1842, BEOA);
									VECTOR_SET(BgL_sz00_1838, (int) (((long) 0)), BgL_bpz00_1840);
									return BgL_rz00_1844;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2335> */
	obj_t BGl_z62zc3anonymousza32335ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18316, obj_t BgL_sz00_18323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18317;
				obj_t BgL_a1z00_18318;
				obj_t BgL_a2z00_18319;
				obj_t BgL_locz00_18320;
				obj_t BgL_symbzd2funzd2_18321;
				long BgL_siza7eza7_18322;

				BgL_funz00_18317 = PROCEDURE_REF(BgL_envz00_18316, (int) (((long) 0)));
				BgL_a1z00_18318 = PROCEDURE_REF(BgL_envz00_18316, (int) (((long) 1)));
				BgL_a2z00_18319 = PROCEDURE_REF(BgL_envz00_18316, (int) (((long) 2)));
				BgL_locz00_18320 = PROCEDURE_REF(BgL_envz00_18316, (int) (((long) 3)));
				BgL_symbzd2funzd2_18321 =
					PROCEDURE_REF(BgL_envz00_18316, (int) (((long) 4)));
				BgL_siza7eza7_18322 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18316, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1847;

					BgL_sz00_1847 = BgL_sz00_18323;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1849;

						BgL_bpz00_1849 = VECTOR_REF(BgL_sz00_1847, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1850;
							obj_t BgL_a1z00_1851;
							obj_t BgL_a2z00_1852;

							BgL_fz00_1850 =
								PROCEDURE_ENTRY(BgL_funz00_18317) (BgL_funz00_18317,
								BgL_sz00_1847, BEOA);
							BgL_a1z00_1851 =
								PROCEDURE_ENTRY(BgL_a1z00_18318) (BgL_a1z00_18318,
								BgL_sz00_1847, BEOA);
							BgL_a2z00_1852 =
								PROCEDURE_ENTRY(BgL_a2z00_18319) (BgL_a2z00_18319,
								BgL_sz00_1847, BEOA);
							if (PROCEDUREP(BgL_fz00_1850))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18320,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1850);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1854;

								BgL_ufz00_1854 = PROCEDURE_ATTR(BgL_fz00_1850);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23442;

									if (STRUCTP(BgL_ufz00_1854))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23442 =
												(STRUCT_KEY(BgL_ufz00_1854) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23442 = ((bool_t) 0);
										}
									if (BgL_testz00_23442)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1856;
											obj_t BgL_runz00_1857;
											obj_t BgL_sfz00_1858;

											BgL_arityz00_1856 =
												STRUCT_REF(BgL_ufz00_1854, (int) (((long) 0)));
											BgL_runz00_1857 =
												STRUCT_REF(BgL_ufz00_1854, (int) (((long) 1)));
											BgL_sfz00_1858 =
												STRUCT_REF(BgL_ufz00_1854, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1856) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2339z00_1861;

														BgL_arg2339z00_1861 =
															((long) CINT(BgL_bpz00_1849) + ((long) 0));
														VECTOR_SET(BgL_sz00_1847,
															(int) (BgL_arg2339z00_1861), BgL_a1z00_1851);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2340z00_1862;

														BgL_arg2340z00_1862 =
															((long) CINT(BgL_bpz00_1849) + ((long) 1));
														VECTOR_SET(BgL_sz00_1847,
															(int) (BgL_arg2340z00_1862), BgL_a2z00_1852);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1856))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1856))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2342z00_1866;
																		obj_t BgL_arg2343z00_1867;

																		BgL_arg2342z00_1866 =
																			(
																			(long) CINT(BgL_bpz00_1849) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2344z00_1868;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2345z00_1869;

																				BgL_arg2345z00_1869 =
																					MAKE_PAIR(BgL_a2z00_1852, BNIL);
																				BgL_list2344z00_1868 =
																					MAKE_PAIR(BgL_a1z00_1851,
																					BgL_arg2345z00_1869);
																			}
																			BgL_arg2343z00_1867 =
																				BgL_list2344z00_1868;
																		}
																		VECTOR_SET(BgL_sz00_1847,
																			(int) (BgL_arg2342z00_1866),
																			BgL_arg2343z00_1867);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2346z00_1870;

																		BgL_arg2346z00_1870 =
																			(
																			(long) CINT(BgL_bpz00_1849) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1847,
																			(int) (BgL_arg2346z00_1870),
																			BgL_a1z00_1851);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2347z00_1871;
																		obj_t BgL_arg2348z00_1872;

																		BgL_arg2347z00_1871 =
																			(
																			(long) CINT(BgL_bpz00_1849) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2349z00_1873;

																			BgL_list2349z00_1873 =
																				MAKE_PAIR(BgL_a2z00_1852, BNIL);
																			BgL_arg2348z00_1872 =
																				BgL_list2349z00_1873;
																		}
																		VECTOR_SET(BgL_sz00_1847,
																			(int) (BgL_arg2347z00_1871),
																			BgL_arg2348z00_1872);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2350z00_1874;

																		BgL_arg2350z00_1874 =
																			(
																			(long) CINT(BgL_bpz00_1849) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1847,
																			(int) (BgL_arg2350z00_1874),
																			BgL_a1z00_1851);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2351z00_1875;

																		BgL_arg2351z00_1875 =
																			(
																			(long) CINT(BgL_bpz00_1849) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1847,
																			(int) (BgL_arg2351z00_1875),
																			BgL_a2z00_1852);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2352z00_1876;

																		BgL_arg2352z00_1876 =
																			(
																			(long) CINT(BgL_bpz00_1849) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1847,
																			(int) (BgL_arg2352z00_1876), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18320,
																		STRUCT_REF(BgL_ufz00_1854,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_1856));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18320, STRUCT_REF(BgL_ufz00_1854,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_1856));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1880;

												BgL_z12denvz12_1880 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1880,
													BgL_locz00_18320);
												if ((((long) CINT(BgL_bpz00_1849) +
															(long) CINT(BgL_sfz00_1858)) <
														(long) (VECTOR_LENGTH(BgL_sz00_1847))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_1857;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_1882;

														BgL_nsz00_1882 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2357z00_1884;

															BgL_arg2357z00_1884 =
																((long) CINT(BgL_bpz00_1849) + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1882, BINT(((long) 2)),
																BgL_sz00_1847, BgL_bpz00_1849,
																BINT(BgL_arg2357z00_1884));
														}
														VECTOR_SET(BgL_nsz00_1882,
															(int) (((long) 1)), BgL_sz00_1847);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1880,
															BgL_nsz00_1882);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1228z00_1885;

															BgL_exitd1228z00_1885 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32358ze3z83_18295;

																BgL_zc3anonymousza32358ze3z83_18295 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32358ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32358ze3z83_18295,
																	(int) (((long) 0)), BgL_z12denvz12_1880);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32358ze3z83_18295,
																	(int) (((long) 1)), BgL_sz00_1847);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1228z00_1885,
																	BgL_zc3anonymousza32358ze3z83_18295);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1230z00_1887;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_8606;

																		BgL_savedzd2bpzd2_8606 =
																			VECTOR_REF(BgL_nsz00_1882,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_1882,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_8613;

																			BgL_fz00_8613 = BgL_runz00_1857;
																		BgL_recz00_8612:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_8614;

																				BgL_rz00_8614 =
																					PROCEDURE_ENTRY(BgL_fz00_8613)
																					(BgL_fz00_8613, BgL_nsz00_1882, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_23541;

																					if (PROCEDUREP(BgL_rz00_8614))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_8619;

																							BgL_arg1964z00_8619 =
																								PROCEDURE_ATTR(BgL_rz00_8614);
																							if (STRUCTP(BgL_arg1964z00_8619))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_23541 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_8619) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_23541 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_23541 = ((bool_t) 0);
																						}
																					if (BgL_testz00_23541)
																						{
																							obj_t BgL_fz00_23549;

																							BgL_fz00_23549 = BgL_rz00_8614;
																							BgL_fz00_8613 = BgL_fz00_23549;
																							goto BgL_recz00_8612;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_1882,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_8606);
																							BgL_tmp1230z00_1887 =
																								BgL_rz00_8614;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1228z00_1885);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1880,
																		BgL_sz00_1847);
																	return BgL_tmp1230z00_1887;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1850,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1891;

													BgL_nbpz00_1891 =
														((long) CINT(BgL_bpz00_1849) + BgL_siza7eza7_18322);
													VECTOR_SET(BgL_sz00_1847,
														(int) (((long) 0)), BINT(BgL_nbpz00_1891));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_23562;

														BgL_auxz00_23562 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_23562,
															BgL_locz00_18320);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1893;

														BgL_rz00_1893 =
															PROCEDURE_ENTRY(BgL_fz00_1850) (BgL_fz00_1850,
															BgL_a1z00_1851, BgL_a2z00_1852, BEOA);
														VECTOR_SET(BgL_sz00_1847, (int) (((long) 0)),
															BgL_bpz00_1849);
														return BgL_rz00_1893;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18320, BgL_symbzd2funzd2_18321,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1850));
		}}}}}}}}}
	}



/* &<anonymous:2358> */
	obj_t BGl_z62zc3anonymousza32358ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18325;
				obj_t BgL_sz00_18326;

				BgL_z12denvz12_18325 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18324, (int) (((long) 0))));
				BgL_sz00_18326 = PROCEDURE_REF(BgL_envz00_18324, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18325, BgL_sz00_18326);
				}
			}
		}
	}



/* &<anonymous:2362> */
	obj_t BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18327, obj_t BgL_sz00_18334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18328;
				obj_t BgL_a1z00_18329;
				obj_t BgL_a2z00_18330;
				obj_t BgL_locz00_18331;
				obj_t BgL_symbzd2funzd2_18332;
				long BgL_siza7eza7_18333;

				BgL_funz00_18328 = PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 0)));
				BgL_a1z00_18329 = PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 1)));
				BgL_a2z00_18330 = PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 2)));
				BgL_locz00_18331 = PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 3)));
				BgL_symbzd2funzd2_18332 =
					PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 4)));
				BgL_siza7eza7_18333 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1895;

					BgL_sz00_1895 = BgL_sz00_18334;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1897;

						BgL_bpz00_1897 = VECTOR_REF(BgL_sz00_1895, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1898;
							obj_t BgL_a1z00_1899;
							obj_t BgL_a2z00_1900;

							BgL_fz00_1898 =
								PROCEDURE_ENTRY(BgL_funz00_18328) (BgL_funz00_18328,
								BgL_sz00_1895, BEOA);
							BgL_a1z00_1899 =
								PROCEDURE_ENTRY(BgL_a1z00_18329) (BgL_a1z00_18329,
								BgL_sz00_1895, BEOA);
							BgL_a2z00_1900 =
								PROCEDURE_ENTRY(BgL_a2z00_18330) (BgL_a2z00_18330,
								BgL_sz00_1895, BEOA);
							if (PROCEDUREP(BgL_fz00_1898))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18331,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1898);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1902;

								BgL_ufz00_1902 = PROCEDURE_ATTR(BgL_fz00_1898);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23612;

									if (STRUCTP(BgL_ufz00_1902))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23612 =
												(STRUCT_KEY(BgL_ufz00_1902) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23612 = ((bool_t) 0);
										}
									if (BgL_testz00_23612)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1904;
											obj_t BgL_runz00_1905;
											obj_t BgL_sfz00_1906;

											BgL_arityz00_1904 =
												STRUCT_REF(BgL_ufz00_1902, (int) (((long) 0)));
											BgL_runz00_1905 =
												STRUCT_REF(BgL_ufz00_1902, (int) (((long) 1)));
											BgL_sfz00_1906 =
												STRUCT_REF(BgL_ufz00_1902, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1904) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2366z00_1909;

														BgL_arg2366z00_1909 =
															((long) CINT(BgL_bpz00_1897) + ((long) 0));
														VECTOR_SET(BgL_sz00_1895,
															(int) (BgL_arg2366z00_1909), BgL_a1z00_1899);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2368z00_1910;

														BgL_arg2368z00_1910 =
															((long) CINT(BgL_bpz00_1897) + ((long) 1));
														VECTOR_SET(BgL_sz00_1895,
															(int) (BgL_arg2368z00_1910), BgL_a2z00_1900);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1904))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1904))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2370z00_1914;
																		obj_t BgL_arg2371z00_1915;

																		BgL_arg2370z00_1914 =
																			(
																			(long) CINT(BgL_bpz00_1897) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2372z00_1916;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2373z00_1917;

																				BgL_arg2373z00_1917 =
																					MAKE_PAIR(BgL_a2z00_1900, BNIL);
																				BgL_list2372z00_1916 =
																					MAKE_PAIR(BgL_a1z00_1899,
																					BgL_arg2373z00_1917);
																			}
																			BgL_arg2371z00_1915 =
																				BgL_list2372z00_1916;
																		}
																		VECTOR_SET(BgL_sz00_1895,
																			(int) (BgL_arg2370z00_1914),
																			BgL_arg2371z00_1915);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2374z00_1918;

																		BgL_arg2374z00_1918 =
																			(
																			(long) CINT(BgL_bpz00_1897) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1895,
																			(int) (BgL_arg2374z00_1918),
																			BgL_a1z00_1899);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2375z00_1919;
																		obj_t BgL_arg2376z00_1920;

																		BgL_arg2375z00_1919 =
																			(
																			(long) CINT(BgL_bpz00_1897) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2377z00_1921;

																			BgL_list2377z00_1921 =
																				MAKE_PAIR(BgL_a2z00_1900, BNIL);
																			BgL_arg2376z00_1920 =
																				BgL_list2377z00_1921;
																		}
																		VECTOR_SET(BgL_sz00_1895,
																			(int) (BgL_arg2375z00_1919),
																			BgL_arg2376z00_1920);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2378z00_1922;

																		BgL_arg2378z00_1922 =
																			(
																			(long) CINT(BgL_bpz00_1897) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1895,
																			(int) (BgL_arg2378z00_1922),
																			BgL_a1z00_1899);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2379z00_1923;

																		BgL_arg2379z00_1923 =
																			(
																			(long) CINT(BgL_bpz00_1897) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1895,
																			(int) (BgL_arg2379z00_1923),
																			BgL_a2z00_1900);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2380z00_1924;

																		BgL_arg2380z00_1924 =
																			(
																			(long) CINT(BgL_bpz00_1897) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1895,
																			(int) (BgL_arg2380z00_1924), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18331,
																		STRUCT_REF(BgL_ufz00_1902,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_1904));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18331, STRUCT_REF(BgL_ufz00_1902,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_1904));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1928;

												BgL_z12denvz12_1928 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_1897) +
															(long) CINT(BgL_sfz00_1906)) <
														(long) (VECTOR_LENGTH(BgL_sz00_1895))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_1905;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_1930;

														BgL_nsz00_1930 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2386z00_1932;

															BgL_arg2386z00_1932 =
																((long) CINT(BgL_bpz00_1897) + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1930, BINT(((long) 2)),
																BgL_sz00_1895, BgL_bpz00_1897,
																BINT(BgL_arg2386z00_1932));
														}
														VECTOR_SET(BgL_nsz00_1930,
															(int) (((long) 1)), BgL_sz00_1895);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1928,
															BgL_nsz00_1930);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1233z00_1933;

															BgL_exitd1233z00_1933 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32387ze3z83_18297;

																BgL_zc3anonymousza32387ze3z83_18297 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32387ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32387ze3z83_18297,
																	(int) (((long) 0)), BgL_z12denvz12_1928);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32387ze3z83_18297,
																	(int) (((long) 1)), BgL_sz00_1895);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1233z00_1933,
																	BgL_zc3anonymousza32387ze3z83_18297);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1235z00_1935;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_8757;

																		BgL_savedzd2bpzd2_8757 =
																			VECTOR_REF(BgL_nsz00_1930,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_1930,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_8764;

																			BgL_fz00_8764 = BgL_runz00_1905;
																		BgL_recz00_8763:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_8765;

																				BgL_rz00_8765 =
																					PROCEDURE_ENTRY(BgL_fz00_8764)
																					(BgL_fz00_8764, BgL_nsz00_1930, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_23710;

																					if (PROCEDUREP(BgL_rz00_8765))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_8770;

																							BgL_arg1964z00_8770 =
																								PROCEDURE_ATTR(BgL_rz00_8765);
																							if (STRUCTP(BgL_arg1964z00_8770))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_23710 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_8770) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_23710 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_23710 = ((bool_t) 0);
																						}
																					if (BgL_testz00_23710)
																						{
																							obj_t BgL_fz00_23718;

																							BgL_fz00_23718 = BgL_rz00_8765;
																							BgL_fz00_8764 = BgL_fz00_23718;
																							goto BgL_recz00_8763;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_1930,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_8757);
																							BgL_tmp1235z00_1935 =
																								BgL_rz00_8765;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1233z00_1933);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1928,
																		BgL_sz00_1895);
																	return BgL_tmp1235z00_1935;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1898,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1939;

													BgL_nbpz00_1939 =
														((long) CINT(BgL_bpz00_1897) + BgL_siza7eza7_18333);
													VECTOR_SET(BgL_sz00_1895,
														(int) (((long) 0)), BINT(BgL_nbpz00_1939));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1940;

														BgL_rz00_1940 =
															PROCEDURE_ENTRY(BgL_fz00_1898) (BgL_fz00_1898,
															BgL_a1z00_1899, BgL_a2z00_1900, BEOA);
														VECTOR_SET(BgL_sz00_1895, (int) (((long) 0)),
															BgL_bpz00_1897);
														return BgL_rz00_1940;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18331, BgL_symbzd2funzd2_18332,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1898));
		}}}}}}}}}
	}



/* &<anonymous:2387> */
	obj_t BGl_z62zc3anonymousza32387ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18336;
				obj_t BgL_sz00_18337;

				BgL_z12denvz12_18336 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18335, (int) (((long) 0))));
				BgL_sz00_18337 = PROCEDURE_REF(BgL_envz00_18335, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18336, BgL_sz00_18337);
				}
			}
		}
	}



/* &<anonymous:2392> */
	obj_t BGl_z62zc3anonymousza32392ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18338, obj_t BgL_sz00_18345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18339;
				obj_t BgL_a1z00_18340;
				obj_t BgL_a2z00_18341;
				obj_t BgL_locz00_18342;
				obj_t BgL_symbzd2funzd2_18343;
				long BgL_siza7eza7_18344;

				BgL_funz00_18339 = PROCEDURE_REF(BgL_envz00_18338, (int) (((long) 0)));
				BgL_a1z00_18340 = PROCEDURE_REF(BgL_envz00_18338, (int) (((long) 1)));
				BgL_a2z00_18341 = PROCEDURE_REF(BgL_envz00_18338, (int) (((long) 2)));
				BgL_locz00_18342 = PROCEDURE_REF(BgL_envz00_18338, (int) (((long) 3)));
				BgL_symbzd2funzd2_18343 =
					PROCEDURE_REF(BgL_envz00_18338, (int) (((long) 4)));
				BgL_siza7eza7_18344 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18338, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1944;

					BgL_sz00_1944 = BgL_sz00_18345;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1946;

						BgL_bpz00_1946 = VECTOR_REF(BgL_sz00_1944, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1947;
							obj_t BgL_a1z00_1948;
							obj_t BgL_a2z00_1949;

							BgL_fz00_1947 =
								PROCEDURE_ENTRY(BgL_funz00_18339) (BgL_funz00_18339,
								BgL_sz00_1944, BEOA);
							BgL_a1z00_1948 =
								PROCEDURE_ENTRY(BgL_a1z00_18340) (BgL_a1z00_18340,
								BgL_sz00_1944, BEOA);
							BgL_a2z00_1949 =
								PROCEDURE_ENTRY(BgL_a2z00_18341) (BgL_a2z00_18341,
								BgL_sz00_1944, BEOA);
							if (PROCEDUREP(BgL_fz00_1947))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18342,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1947);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1951;

								BgL_ufz00_1951 = PROCEDURE_ATTR(BgL_fz00_1947);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23778;

									if (STRUCTP(BgL_ufz00_1951))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23778 =
												(STRUCT_KEY(BgL_ufz00_1951) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23778 = ((bool_t) 0);
										}
									if (BgL_testz00_23778)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1953;
											obj_t BgL_runz00_1954;
											obj_t BgL_sfz00_1955;

											BgL_arityz00_1953 =
												STRUCT_REF(BgL_ufz00_1951, (int) (((long) 0)));
											BgL_runz00_1954 =
												STRUCT_REF(BgL_ufz00_1951, (int) (((long) 1)));
											BgL_sfz00_1955 =
												STRUCT_REF(BgL_ufz00_1951, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1956;

												BgL_spz00_1956 =
													((long) CINT(BgL_bpz00_1946) + BgL_siza7eza7_18344);
												if (((long) CINT(BgL_arityz00_1953) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2396z00_1958;

															BgL_arg2396z00_1958 =
																(BgL_spz00_1956 + ((long) 0));
															VECTOR_SET(BgL_sz00_1944,
																(int) (BgL_arg2396z00_1958), BgL_a1z00_1948);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2397z00_1959;

															BgL_arg2397z00_1959 =
																(BgL_spz00_1956 + ((long) 1));
															VECTOR_SET(BgL_sz00_1944,
																(int) (BgL_arg2397z00_1959), BgL_a2z00_1949);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1953))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1953))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2399z00_1963;
																			obj_t BgL_arg2400z00_1964;

																			BgL_arg2399z00_1963 =
																				(BgL_spz00_1956 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2401z00_1965;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2402z00_1966;

																					BgL_arg2402z00_1966 =
																						MAKE_PAIR(BgL_a2z00_1949, BNIL);
																					BgL_list2401z00_1965 =
																						MAKE_PAIR(BgL_a1z00_1948,
																						BgL_arg2402z00_1966);
																				}
																				BgL_arg2400z00_1964 =
																					BgL_list2401z00_1965;
																			}
																			VECTOR_SET(BgL_sz00_1944,
																				(int) (BgL_arg2399z00_1963),
																				BgL_arg2400z00_1964);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2403z00_1967;

																			BgL_arg2403z00_1967 =
																				(BgL_spz00_1956 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1944,
																				(int) (BgL_arg2403z00_1967),
																				BgL_a1z00_1948);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2404z00_1968;
																			obj_t BgL_arg2405z00_1969;

																			BgL_arg2404z00_1968 =
																				(BgL_spz00_1956 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2406z00_1970;

																				BgL_list2406z00_1970 =
																					MAKE_PAIR(BgL_a2z00_1949, BNIL);
																				BgL_arg2405z00_1969 =
																					BgL_list2406z00_1970;
																			}
																			VECTOR_SET(BgL_sz00_1944,
																				(int) (BgL_arg2404z00_1968),
																				BgL_arg2405z00_1969);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2407z00_1971;

																			BgL_arg2407z00_1971 =
																				(BgL_spz00_1956 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1944,
																				(int) (BgL_arg2407z00_1971),
																				BgL_a1z00_1948);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2408z00_1972;

																			BgL_arg2408z00_1972 =
																				(BgL_spz00_1956 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1944,
																				(int) (BgL_arg2408z00_1972),
																				BgL_a2z00_1949);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2409z00_1973;

																			BgL_arg2409z00_1973 =
																				(BgL_spz00_1956 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1944,
																				(int) (BgL_arg2409z00_1973), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18342,
																			STRUCT_REF(BgL_ufz00_1951,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_1953));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18342, STRUCT_REF(BgL_ufz00_1951,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_1953));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1977;

													BgL_z12denvz12_1977 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1977,
														BgL_locz00_18342);
													if (((BgL_spz00_1956 + (long) CINT(BgL_sfz00_1955)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1944))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1954, BgL_sz00_1944,
																BINT(BgL_spz00_1956));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1979;

															BgL_nsz00_1979 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2414z00_1981;

																BgL_arg2414z00_1981 =
																	(BgL_spz00_1956 + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1979, BINT(((long) 2)),
																	BgL_sz00_1944, BINT(BgL_spz00_1956),
																	BINT(BgL_arg2414z00_1981));
															}
															VECTOR_SET(BgL_nsz00_1979,
																(int) (((long) 1)), BgL_sz00_1944);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1977,
																BgL_nsz00_1979);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1238z00_1982;

																BgL_exitd1238z00_1982 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32415ze3z83_18299;

																	BgL_zc3anonymousza32415ze3z83_18299 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32415ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32415ze3z83_18299,
																		(int) (((long) 0)), BgL_z12denvz12_1977);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32415ze3z83_18299,
																		(int) (((long) 1)), BgL_sz00_1944);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1238z00_1982,
																		BgL_zc3anonymousza32415ze3z83_18299);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1240z00_1984;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_8906;

																			BgL_savedzd2bpzd2_8906 =
																				VECTOR_REF(BgL_nsz00_1979,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1979,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_8913;

																				BgL_fz00_8913 = BgL_runz00_1954;
																			BgL_recz00_8912:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_8914;

																					BgL_rz00_8914 =
																						PROCEDURE_ENTRY(BgL_fz00_8913)
																						(BgL_fz00_8913, BgL_nsz00_1979,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_23872;

																						if (PROCEDUREP(BgL_rz00_8914))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_8919;

																								BgL_arg1964z00_8919 =
																									PROCEDURE_ATTR(BgL_rz00_8914);
																								if (STRUCTP
																									(BgL_arg1964z00_8919))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23872 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_8919) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23872 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_23872 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_23872)
																							{
																								obj_t BgL_fz00_23880;

																								BgL_fz00_23880 = BgL_rz00_8914;
																								BgL_fz00_8913 = BgL_fz00_23880;
																								goto BgL_recz00_8912;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1979,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_8906);
																								BgL_tmp1240z00_1984 =
																									BgL_rz00_8914;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1238z00_1982);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1977,
																			BgL_sz00_1944);
																		return BgL_tmp1240z00_1984;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1947,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1988;

													BgL_nbpz00_1988 =
														((long) CINT(BgL_bpz00_1946) + BgL_siza7eza7_18344);
													VECTOR_SET(BgL_sz00_1944,
														(int) (((long) 0)), BINT(BgL_nbpz00_1988));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_23893;

														BgL_auxz00_23893 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_23893,
															BgL_locz00_18342);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1990;

														BgL_rz00_1990 =
															PROCEDURE_ENTRY(BgL_fz00_1947) (BgL_fz00_1947,
															BgL_a1z00_1948, BgL_a2z00_1949, BEOA);
														VECTOR_SET(BgL_sz00_1944, (int) (((long) 0)),
															BgL_bpz00_1946);
														return BgL_rz00_1990;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18342, BgL_symbzd2funzd2_18343,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1947));
		}}}}}}}}}
	}



/* &<anonymous:2415> */
	obj_t BGl_z62zc3anonymousza32415ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18347;
				obj_t BgL_sz00_18348;

				BgL_z12denvz12_18347 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18346, (int) (((long) 0))));
				BgL_sz00_18348 = PROCEDURE_REF(BgL_envz00_18346, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18347, BgL_sz00_18348);
				}
			}
		}
	}



/* &<anonymous:2419> */
	obj_t BGl_z62zc3anonymousza32419ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18349, obj_t BgL_sz00_18356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18350;
				obj_t BgL_a1z00_18351;
				obj_t BgL_a2z00_18352;
				obj_t BgL_locz00_18353;
				obj_t BgL_symbzd2funzd2_18354;
				long BgL_siza7eza7_18355;

				BgL_funz00_18350 = PROCEDURE_REF(BgL_envz00_18349, (int) (((long) 0)));
				BgL_a1z00_18351 = PROCEDURE_REF(BgL_envz00_18349, (int) (((long) 1)));
				BgL_a2z00_18352 = PROCEDURE_REF(BgL_envz00_18349, (int) (((long) 2)));
				BgL_locz00_18353 = PROCEDURE_REF(BgL_envz00_18349, (int) (((long) 3)));
				BgL_symbzd2funzd2_18354 =
					PROCEDURE_REF(BgL_envz00_18349, (int) (((long) 4)));
				BgL_siza7eza7_18355 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18349, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1992;

					BgL_sz00_1992 = BgL_sz00_18356;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1994;

						BgL_bpz00_1994 = VECTOR_REF(BgL_sz00_1992, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1995;
							obj_t BgL_a1z00_1996;
							obj_t BgL_a2z00_1997;

							BgL_fz00_1995 =
								PROCEDURE_ENTRY(BgL_funz00_18350) (BgL_funz00_18350,
								BgL_sz00_1992, BEOA);
							BgL_a1z00_1996 =
								PROCEDURE_ENTRY(BgL_a1z00_18351) (BgL_a1z00_18351,
								BgL_sz00_1992, BEOA);
							BgL_a2z00_1997 =
								PROCEDURE_ENTRY(BgL_a2z00_18352) (BgL_a2z00_18352,
								BgL_sz00_1992, BEOA);
							if (PROCEDUREP(BgL_fz00_1995))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18353,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_1995);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1999;

								BgL_ufz00_1999 = PROCEDURE_ATTR(BgL_fz00_1995);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23943;

									if (STRUCTP(BgL_ufz00_1999))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23943 =
												(STRUCT_KEY(BgL_ufz00_1999) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23943 = ((bool_t) 0);
										}
									if (BgL_testz00_23943)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2001;
											obj_t BgL_runz00_2002;
											obj_t BgL_sfz00_2003;

											BgL_arityz00_2001 =
												STRUCT_REF(BgL_ufz00_1999, (int) (((long) 0)));
											BgL_runz00_2002 =
												STRUCT_REF(BgL_ufz00_1999, (int) (((long) 1)));
											BgL_sfz00_2003 =
												STRUCT_REF(BgL_ufz00_1999, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2004;

												BgL_spz00_2004 =
													((long) CINT(BgL_bpz00_1994) + BgL_siza7eza7_18355);
												if (((long) CINT(BgL_arityz00_2001) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2423z00_2006;

															BgL_arg2423z00_2006 =
																(BgL_spz00_2004 + ((long) 0));
															VECTOR_SET(BgL_sz00_1992,
																(int) (BgL_arg2423z00_2006), BgL_a1z00_1996);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2424z00_2007;

															BgL_arg2424z00_2007 =
																(BgL_spz00_2004 + ((long) 1));
															VECTOR_SET(BgL_sz00_1992,
																(int) (BgL_arg2424z00_2007), BgL_a2z00_1997);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_2001))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_2001))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2426z00_2011;
																			obj_t BgL_arg2427z00_2012;

																			BgL_arg2426z00_2011 =
																				(BgL_spz00_2004 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2428z00_2013;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2429z00_2014;

																					BgL_arg2429z00_2014 =
																						MAKE_PAIR(BgL_a2z00_1997, BNIL);
																					BgL_list2428z00_2013 =
																						MAKE_PAIR(BgL_a1z00_1996,
																						BgL_arg2429z00_2014);
																				}
																				BgL_arg2427z00_2012 =
																					BgL_list2428z00_2013;
																			}
																			VECTOR_SET(BgL_sz00_1992,
																				(int) (BgL_arg2426z00_2011),
																				BgL_arg2427z00_2012);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2430z00_2015;

																			BgL_arg2430z00_2015 =
																				(BgL_spz00_2004 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1992,
																				(int) (BgL_arg2430z00_2015),
																				BgL_a1z00_1996);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2431z00_2016;
																			obj_t BgL_arg2433z00_2017;

																			BgL_arg2431z00_2016 =
																				(BgL_spz00_2004 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2434z00_2018;

																				BgL_list2434z00_2018 =
																					MAKE_PAIR(BgL_a2z00_1997, BNIL);
																				BgL_arg2433z00_2017 =
																					BgL_list2434z00_2018;
																			}
																			VECTOR_SET(BgL_sz00_1992,
																				(int) (BgL_arg2431z00_2016),
																				BgL_arg2433z00_2017);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2435z00_2019;

																			BgL_arg2435z00_2019 =
																				(BgL_spz00_2004 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1992,
																				(int) (BgL_arg2435z00_2019),
																				BgL_a1z00_1996);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2437z00_2020;

																			BgL_arg2437z00_2020 =
																				(BgL_spz00_2004 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1992,
																				(int) (BgL_arg2437z00_2020),
																				BgL_a2z00_1997);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2438z00_2021;

																			BgL_arg2438z00_2021 =
																				(BgL_spz00_2004 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1992,
																				(int) (BgL_arg2438z00_2021), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18353,
																			STRUCT_REF(BgL_ufz00_1999,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_2001));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18353, STRUCT_REF(BgL_ufz00_1999,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_2001));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2025;

													BgL_z12denvz12_2025 = BGL_CURRENT_DYNAMIC_ENV();
													if (
														((BgL_spz00_2004 +
																(long) CINT(BgL_sfz00_2003)) <
															(long) (VECTOR_LENGTH(BgL_sz00_1992))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_2002, BgL_sz00_1992,
																BINT(BgL_spz00_2004));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_2027;

															BgL_nsz00_2027 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2444z00_2029;

																BgL_arg2444z00_2029 =
																	(BgL_spz00_2004 + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2027, BINT(((long) 2)),
																	BgL_sz00_1992, BINT(BgL_spz00_2004),
																	BINT(BgL_arg2444z00_2029));
															}
															VECTOR_SET(BgL_nsz00_2027,
																(int) (((long) 1)), BgL_sz00_1992);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2025,
																BgL_nsz00_2027);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1243z00_2030;

																BgL_exitd1243z00_2030 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32445ze3z83_18301;

																	BgL_zc3anonymousza32445ze3z83_18301 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32445ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32445ze3z83_18301,
																		(int) (((long) 0)), BgL_z12denvz12_2025);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32445ze3z83_18301,
																		(int) (((long) 1)), BgL_sz00_1992);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1243z00_2030,
																		BgL_zc3anonymousza32445ze3z83_18301);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1245z00_2032;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_9056;

																			BgL_savedzd2bpzd2_9056 =
																				VECTOR_REF(BgL_nsz00_2027,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_2027,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_9063;

																				BgL_fz00_9063 = BgL_runz00_2002;
																			BgL_recz00_9062:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_9064;

																					BgL_rz00_9064 =
																						PROCEDURE_ENTRY(BgL_fz00_9063)
																						(BgL_fz00_9063, BgL_nsz00_2027,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_24036;

																						if (PROCEDUREP(BgL_rz00_9064))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_9069;

																								BgL_arg1964z00_9069 =
																									PROCEDURE_ATTR(BgL_rz00_9064);
																								if (STRUCTP
																									(BgL_arg1964z00_9069))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_24036 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_9069) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_24036 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_24036 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_24036)
																							{
																								obj_t BgL_fz00_24044;

																								BgL_fz00_24044 = BgL_rz00_9064;
																								BgL_fz00_9063 = BgL_fz00_24044;
																								goto BgL_recz00_9062;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_2027,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_9056);
																								BgL_tmp1245z00_2032 =
																									BgL_rz00_9064;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1243z00_2030);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2025,
																			BgL_sz00_1992);
																		return BgL_tmp1245z00_2032;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1995,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2036;

													BgL_nbpz00_2036 =
														((long) CINT(BgL_bpz00_1994) + BgL_siza7eza7_18355);
													VECTOR_SET(BgL_sz00_1992,
														(int) (((long) 0)), BINT(BgL_nbpz00_2036));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2037;

														BgL_rz00_2037 =
															PROCEDURE_ENTRY(BgL_fz00_1995) (BgL_fz00_1995,
															BgL_a1z00_1996, BgL_a2z00_1997, BEOA);
														VECTOR_SET(BgL_sz00_1992, (int) (((long) 0)),
															BgL_bpz00_1994);
														return BgL_rz00_2037;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18353, BgL_symbzd2funzd2_18354,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1995));
		}}}}}}}}}
	}



/* &<anonymous:2445> */
	obj_t BGl_z62zc3anonymousza32445ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18358;
				obj_t BgL_sz00_18359;

				BgL_z12denvz12_18358 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18357, (int) (((long) 0))));
				BgL_sz00_18359 = PROCEDURE_REF(BgL_envz00_18357, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18358, BgL_sz00_18359);
				}
			}
		}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_2040;

				BgL_cfunz00_2040 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163,
					((long) 3), BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_2040))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_24076;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2453z00_2059;

							BgL_arg2453z00_2059 = bgl_debug();
							BgL_testz00_24076 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2453z00_2059),
								BINT(((long) 0)));
						}
						if (BgL_testz00_24076)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32450ze3z83_18360;

								BgL_zc3anonymousza32450ze3z83_18360 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32450ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18360,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18360,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18360,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18360,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18360,
									(int) (((long) 4)), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18360,
									(int) (((long) 5)), BgL_cfunz00_2040);
								return BgL_zc3anonymousza32450ze3z83_18360;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32452ze3z83_18361;

								BgL_zc3anonymousza32452ze3z83_18361 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32452ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32452ze3z83_18361,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32452ze3z83_18361,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32452ze3z83_18361,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32452ze3z83_18361,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32452ze3z83_18361,
									(int) (((long) 4)), BgL_cfunz00_2040);
								return BgL_zc3anonymousza32452ze3z83_18361;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_24113;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2529z00_2176;

									BgL_arg2529z00_2176 = bgl_debug();
									BgL_testz00_24113 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2529z00_2176),
										BINT(((long) 0)));
								}
								if (BgL_testz00_24113)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32455ze3z83_18363;

										BgL_zc3anonymousza32455ze3z83_18363 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32455ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32455ze3z83_18363,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32455ze3z83_18363,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32455ze3z83_18363,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32455ze3z83_18363,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32455ze3z83_18363,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32455ze3z83_18363,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32455ze3z83_18363,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32455ze3z83_18363;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32492ze3z83_18365;

										BgL_zc3anonymousza32492ze3z83_18365 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32492ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32492ze3z83_18365,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32492ze3z83_18365,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32492ze3z83_18365,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32492ze3z83_18365,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32492ze3z83_18365,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32492ze3z83_18365,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32492ze3z83_18365,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32492ze3z83_18365;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_24154;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2602z00_2293;

									BgL_arg2602z00_2293 = bgl_debug();
									BgL_testz00_24154 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2602z00_2293),
										BINT(((long) 0)));
								}
								if (BgL_testz00_24154)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32531ze3z83_18367;

										BgL_zc3anonymousza32531ze3z83_18367 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32531ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32531ze3z83_18367,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32531ze3z83_18367,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32531ze3z83_18367,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32531ze3z83_18367,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32531ze3z83_18367,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32531ze3z83_18367,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32531ze3z83_18367,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32531ze3z83_18367;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32567ze3z83_18369;

										BgL_zc3anonymousza32567ze3z83_18369 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32567ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32567ze3z83_18369,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32567ze3z83_18369,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32567ze3z83_18369,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32567ze3z83_18369,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32567ze3z83_18369,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32567ze3z83_18369,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32567ze3z83_18369,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32567ze3z83_18369;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2450> */
	obj_t BGl_z62zc3anonymousza32450ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18370, obj_t BgL_sz00_18377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18371;
				obj_t BgL_a2z00_18372;
				obj_t BgL_a3z00_18373;
				long BgL_siza7eza7_18374;
				obj_t BgL_locz00_18375;
				obj_t BgL_cfunz00_18376;

				BgL_a1z00_18371 = PROCEDURE_REF(BgL_envz00_18370, (int) (((long) 0)));
				BgL_a2z00_18372 = PROCEDURE_REF(BgL_envz00_18370, (int) (((long) 1)));
				BgL_a3z00_18373 = PROCEDURE_REF(BgL_envz00_18370, (int) (((long) 2)));
				BgL_siza7eza7_18374 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18370, (int) (((long) 3))));
				BgL_locz00_18375 = PROCEDURE_REF(BgL_envz00_18370, (int) (((long) 4)));
				BgL_cfunz00_18376 = PROCEDURE_REF(BgL_envz00_18370, (int) (((long) 5)));
				{
					obj_t BgL_sz00_2042;

					BgL_sz00_2042 = BgL_sz00_18377;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2044;

						BgL_bpz00_2044 = VECTOR_REF(BgL_sz00_2042, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_2045;
							obj_t BgL_a2z00_2046;
							obj_t BgL_a3z00_2047;

							BgL_a1z00_2045 =
								PROCEDURE_ENTRY(BgL_a1z00_18371) (BgL_a1z00_18371,
								BgL_sz00_2042, BEOA);
							BgL_a2z00_2046 =
								PROCEDURE_ENTRY(BgL_a2z00_18372) (BgL_a2z00_18372,
								BgL_sz00_2042, BEOA);
							BgL_a3z00_2047 =
								PROCEDURE_ENTRY(BgL_a3z00_18373) (BgL_a3z00_18373,
								BgL_sz00_2042, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_2048;

								BgL_nbpz00_2048 =
									((long) CINT(BgL_bpz00_2044) + BgL_siza7eza7_18374);
								VECTOR_SET(BgL_sz00_2042,
									(int) (((long) 0)), BINT(BgL_nbpz00_2048));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_24227;

									BgL_auxz00_24227 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_24227,
										BgL_locz00_18375);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_2050;

									BgL_rz00_2050 =
										PROCEDURE_ENTRY(BgL_cfunz00_18376) (BgL_cfunz00_18376,
										BgL_a1z00_2045, BgL_a2z00_2046, BgL_a3z00_2047, BEOA);
									VECTOR_SET(BgL_sz00_2042, (int) (((long) 0)), BgL_bpz00_2044);
									return BgL_rz00_2050;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2452> */
	obj_t BGl_z62zc3anonymousza32452ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18378, obj_t BgL_sz00_18384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18379;
				obj_t BgL_a2z00_18380;
				obj_t BgL_a3z00_18381;
				long BgL_siza7eza7_18382;
				obj_t BgL_cfunz00_18383;

				BgL_a1z00_18379 = PROCEDURE_REF(BgL_envz00_18378, (int) (((long) 0)));
				BgL_a2z00_18380 = PROCEDURE_REF(BgL_envz00_18378, (int) (((long) 1)));
				BgL_a3z00_18381 = PROCEDURE_REF(BgL_envz00_18378, (int) (((long) 2)));
				BgL_siza7eza7_18382 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18378, (int) (((long) 3))));
				BgL_cfunz00_18383 = PROCEDURE_REF(BgL_envz00_18378, (int) (((long) 4)));
				{
					obj_t BgL_sz00_2051;

					BgL_sz00_2051 = BgL_sz00_18384;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2053;

						BgL_bpz00_2053 = VECTOR_REF(BgL_sz00_2051, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_2054;
							obj_t BgL_a2z00_2055;
							obj_t BgL_a3z00_2056;

							BgL_a1z00_2054 =
								PROCEDURE_ENTRY(BgL_a1z00_18379) (BgL_a1z00_18379,
								BgL_sz00_2051, BEOA);
							BgL_a2z00_2055 =
								PROCEDURE_ENTRY(BgL_a2z00_18380) (BgL_a2z00_18380,
								BgL_sz00_2051, BEOA);
							BgL_a3z00_2056 =
								PROCEDURE_ENTRY(BgL_a3z00_18381) (BgL_a3z00_18381,
								BgL_sz00_2051, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_2057;

								BgL_nbpz00_2057 =
									((long) CINT(BgL_bpz00_2053) + BgL_siza7eza7_18382);
								VECTOR_SET(BgL_sz00_2051,
									(int) (((long) 0)), BINT(BgL_nbpz00_2057));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_2058;

									BgL_rz00_2058 =
										PROCEDURE_ENTRY(BgL_cfunz00_18383) (BgL_cfunz00_18383,
										BgL_a1z00_2054, BgL_a2z00_2055, BgL_a3z00_2056, BEOA);
									VECTOR_SET(BgL_sz00_2051, (int) (((long) 0)), BgL_bpz00_2053);
									return BgL_rz00_2058;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2455> */
	obj_t BGl_z62zc3anonymousza32455ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18385, obj_t BgL_sz00_18393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18386;
				obj_t BgL_a1z00_18387;
				obj_t BgL_a2z00_18388;
				obj_t BgL_a3z00_18389;
				obj_t BgL_locz00_18390;
				obj_t BgL_symbzd2funzd2_18391;
				long BgL_siza7eza7_18392;

				BgL_funz00_18386 = PROCEDURE_REF(BgL_envz00_18385, (int) (((long) 0)));
				BgL_a1z00_18387 = PROCEDURE_REF(BgL_envz00_18385, (int) (((long) 1)));
				BgL_a2z00_18388 = PROCEDURE_REF(BgL_envz00_18385, (int) (((long) 2)));
				BgL_a3z00_18389 = PROCEDURE_REF(BgL_envz00_18385, (int) (((long) 3)));
				BgL_locz00_18390 = PROCEDURE_REF(BgL_envz00_18385, (int) (((long) 4)));
				BgL_symbzd2funzd2_18391 =
					PROCEDURE_REF(BgL_envz00_18385, (int) (((long) 5)));
				BgL_siza7eza7_18392 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18385, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2061;

					BgL_sz00_2061 = BgL_sz00_18393;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2063;

						BgL_bpz00_2063 = VECTOR_REF(BgL_sz00_2061, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2064;
							obj_t BgL_a1z00_2065;
							obj_t BgL_a2z00_2066;
							obj_t BgL_a3z00_2067;

							BgL_fz00_2064 =
								PROCEDURE_ENTRY(BgL_funz00_18386) (BgL_funz00_18386,
								BgL_sz00_2061, BEOA);
							BgL_a1z00_2065 =
								PROCEDURE_ENTRY(BgL_a1z00_18387) (BgL_a1z00_18387,
								BgL_sz00_2061, BEOA);
							BgL_a2z00_2066 =
								PROCEDURE_ENTRY(BgL_a2z00_18388) (BgL_a2z00_18388,
								BgL_sz00_2061, BEOA);
							BgL_a3z00_2067 =
								PROCEDURE_ENTRY(BgL_a3z00_18389) (BgL_a3z00_18389,
								BgL_sz00_2061, BEOA);
							if (PROCEDUREP(BgL_fz00_2064))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18390,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_2064);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2069;

								BgL_ufz00_2069 = PROCEDURE_ATTR(BgL_fz00_2064);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_24313;

									if (STRUCTP(BgL_ufz00_2069))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24313 =
												(STRUCT_KEY(BgL_ufz00_2069) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24313 = ((bool_t) 0);
										}
									if (BgL_testz00_24313)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2071;
											obj_t BgL_runz00_2072;
											obj_t BgL_sfz00_2073;

											BgL_arityz00_2071 =
												STRUCT_REF(BgL_ufz00_2069, (int) (((long) 0)));
											BgL_runz00_2072 =
												STRUCT_REF(BgL_ufz00_2069, (int) (((long) 1)));
											BgL_sfz00_2073 =
												STRUCT_REF(BgL_ufz00_2069, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2071) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2459z00_2076;

														BgL_arg2459z00_2076 =
															((long) CINT(BgL_bpz00_2063) + ((long) 0));
														VECTOR_SET(BgL_sz00_2061,
															(int) (BgL_arg2459z00_2076), BgL_a1z00_2065);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2460z00_2077;

														BgL_arg2460z00_2077 =
															((long) CINT(BgL_bpz00_2063) + ((long) 1));
														VECTOR_SET(BgL_sz00_2061,
															(int) (BgL_arg2460z00_2077), BgL_a2z00_2066);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2461z00_2078;

														BgL_arg2461z00_2078 =
															((long) CINT(BgL_bpz00_2063) + ((long) 2));
														VECTOR_SET(BgL_sz00_2061,
															(int) (BgL_arg2461z00_2078), BgL_a3z00_2067);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_2071))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_2071))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2464z00_2082;
																		obj_t BgL_arg2465z00_2083;

																		BgL_arg2464z00_2082 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2466z00_2084;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2467z00_2085;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2468z00_2086;

																					BgL_arg2468z00_2086 =
																						MAKE_PAIR(BgL_a3z00_2067, BNIL);
																					BgL_arg2467z00_2085 =
																						MAKE_PAIR(BgL_a2z00_2066,
																						BgL_arg2468z00_2086);
																				}
																				BgL_list2466z00_2084 =
																					MAKE_PAIR(BgL_a1z00_2065,
																					BgL_arg2467z00_2085);
																			}
																			BgL_arg2465z00_2083 =
																				BgL_list2466z00_2084;
																		}
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2464z00_2082),
																			BgL_arg2465z00_2083);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2469z00_2087;

																		BgL_arg2469z00_2087 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2469z00_2087),
																			BgL_a1z00_2065);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2470z00_2088;
																		obj_t BgL_arg2471z00_2089;

																		BgL_arg2470z00_2088 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2472z00_2090;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2473z00_2091;

																				BgL_arg2473z00_2091 =
																					MAKE_PAIR(BgL_a3z00_2067, BNIL);
																				BgL_list2472z00_2090 =
																					MAKE_PAIR(BgL_a2z00_2066,
																					BgL_arg2473z00_2091);
																			}
																			BgL_arg2471z00_2089 =
																				BgL_list2472z00_2090;
																		}
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2470z00_2088),
																			BgL_arg2471z00_2089);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2474z00_2092;

																		BgL_arg2474z00_2092 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2474z00_2092),
																			BgL_a1z00_2065);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2475z00_2093;

																		BgL_arg2475z00_2093 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2475z00_2093),
																			BgL_a2z00_2066);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2476z00_2094;
																		obj_t BgL_arg2477z00_2095;

																		BgL_arg2476z00_2094 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2478z00_2096;

																			BgL_list2478z00_2096 =
																				MAKE_PAIR(BgL_a3z00_2067, BNIL);
																			BgL_arg2477z00_2095 =
																				BgL_list2478z00_2096;
																		}
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2476z00_2094),
																			BgL_arg2477z00_2095);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2479z00_2097;

																		BgL_arg2479z00_2097 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2479z00_2097),
																			BgL_a1z00_2065);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2480z00_2098;

																		BgL_arg2480z00_2098 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2480z00_2098),
																			BgL_a2z00_2066);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2481z00_2099;

																		BgL_arg2481z00_2099 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2481z00_2099),
																			BgL_a3z00_2067);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2482z00_2100;

																		BgL_arg2482z00_2100 =
																			(
																			(long) CINT(BgL_bpz00_2063) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2061,
																			(int) (BgL_arg2482z00_2100), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18390,
																		STRUCT_REF(BgL_ufz00_2069,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_2071));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18390, STRUCT_REF(BgL_ufz00_2069,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_2071));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_2104;

												BgL_z12denvz12_2104 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2104,
													BgL_locz00_18390);
												if ((((long) CINT(BgL_bpz00_2063) +
															(long) CINT(BgL_sfz00_2073)) <
														(long) (VECTOR_LENGTH(BgL_sz00_2061))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_2072;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_2106;

														BgL_nsz00_2106 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2487z00_2108;

															BgL_arg2487z00_2108 =
																((long) CINT(BgL_bpz00_2063) + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_2106, BINT(((long) 2)),
																BgL_sz00_2061, BgL_bpz00_2063,
																BINT(BgL_arg2487z00_2108));
														}
														VECTOR_SET(BgL_nsz00_2106,
															(int) (((long) 1)), BgL_sz00_2061);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2104,
															BgL_nsz00_2106);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1248z00_2109;

															BgL_exitd1248z00_2109 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32488ze3z83_18362;

																BgL_zc3anonymousza32488ze3z83_18362 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32488ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32488ze3z83_18362,
																	(int) (((long) 0)), BgL_z12denvz12_2104);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32488ze3z83_18362,
																	(int) (((long) 1)), BgL_sz00_2061);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1248z00_2109,
																	BgL_zc3anonymousza32488ze3z83_18362);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1250z00_2111;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_9261;

																		BgL_savedzd2bpzd2_9261 =
																			VECTOR_REF(BgL_nsz00_2106,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_2106,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_9268;

																			BgL_fz00_9268 = BgL_runz00_2072;
																		BgL_recz00_9267:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_9269;

																				BgL_rz00_9269 =
																					PROCEDURE_ENTRY(BgL_fz00_9268)
																					(BgL_fz00_9268, BgL_nsz00_2106, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_24435;

																					if (PROCEDUREP(BgL_rz00_9269))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_9274;

																							BgL_arg1964z00_9274 =
																								PROCEDURE_ATTR(BgL_rz00_9269);
																							if (STRUCTP(BgL_arg1964z00_9274))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_24435 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_9274) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_24435 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_24435 = ((bool_t) 0);
																						}
																					if (BgL_testz00_24435)
																						{
																							obj_t BgL_fz00_24443;

																							BgL_fz00_24443 = BgL_rz00_9269;
																							BgL_fz00_9268 = BgL_fz00_24443;
																							goto BgL_recz00_9267;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_2106,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_9261);
																							BgL_tmp1250z00_2111 =
																								BgL_rz00_9269;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1248z00_2109);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2104,
																		BgL_sz00_2061);
																	return BgL_tmp1250z00_2111;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2064,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2115;

													BgL_nbpz00_2115 =
														((long) CINT(BgL_bpz00_2063) + BgL_siza7eza7_18392);
													VECTOR_SET(BgL_sz00_2061,
														(int) (((long) 0)), BINT(BgL_nbpz00_2115));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_24456;

														BgL_auxz00_24456 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_24456,
															BgL_locz00_18390);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2117;

														BgL_rz00_2117 =
															PROCEDURE_ENTRY(BgL_fz00_2064) (BgL_fz00_2064,
															BgL_a1z00_2065, BgL_a2z00_2066, BgL_a3z00_2067,
															BEOA);
														VECTOR_SET(BgL_sz00_2061, (int) (((long) 0)),
															BgL_bpz00_2063);
														return BgL_rz00_2117;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18390, BgL_symbzd2funzd2_18391,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2064));
		}}}}}}}}}
	}



/* &<anonymous:2488> */
	obj_t BGl_z62zc3anonymousza32488ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18395;
				obj_t BgL_sz00_18396;

				BgL_z12denvz12_18395 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18394, (int) (((long) 0))));
				BgL_sz00_18396 = PROCEDURE_REF(BgL_envz00_18394, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18395, BgL_sz00_18396);
				}
			}
		}
	}



/* &<anonymous:2492> */
	obj_t BGl_z62zc3anonymousza32492ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18397, obj_t BgL_sz00_18405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18398;
				obj_t BgL_a1z00_18399;
				obj_t BgL_a2z00_18400;
				obj_t BgL_a3z00_18401;
				obj_t BgL_locz00_18402;
				obj_t BgL_symbzd2funzd2_18403;
				long BgL_siza7eza7_18404;

				BgL_funz00_18398 = PROCEDURE_REF(BgL_envz00_18397, (int) (((long) 0)));
				BgL_a1z00_18399 = PROCEDURE_REF(BgL_envz00_18397, (int) (((long) 1)));
				BgL_a2z00_18400 = PROCEDURE_REF(BgL_envz00_18397, (int) (((long) 2)));
				BgL_a3z00_18401 = PROCEDURE_REF(BgL_envz00_18397, (int) (((long) 3)));
				BgL_locz00_18402 = PROCEDURE_REF(BgL_envz00_18397, (int) (((long) 4)));
				BgL_symbzd2funzd2_18403 =
					PROCEDURE_REF(BgL_envz00_18397, (int) (((long) 5)));
				BgL_siza7eza7_18404 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18397, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2119;

					BgL_sz00_2119 = BgL_sz00_18405;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2121;

						BgL_bpz00_2121 = VECTOR_REF(BgL_sz00_2119, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2122;
							obj_t BgL_a1z00_2123;
							obj_t BgL_a2z00_2124;
							obj_t BgL_a3z00_2125;

							BgL_fz00_2122 =
								PROCEDURE_ENTRY(BgL_funz00_18398) (BgL_funz00_18398,
								BgL_sz00_2119, BEOA);
							BgL_a1z00_2123 =
								PROCEDURE_ENTRY(BgL_a1z00_18399) (BgL_a1z00_18399,
								BgL_sz00_2119, BEOA);
							BgL_a2z00_2124 =
								PROCEDURE_ENTRY(BgL_a2z00_18400) (BgL_a2z00_18400,
								BgL_sz00_2119, BEOA);
							BgL_a3z00_2125 =
								PROCEDURE_ENTRY(BgL_a3z00_18401) (BgL_a3z00_18401,
								BgL_sz00_2119, BEOA);
							if (PROCEDUREP(BgL_fz00_2122))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18402,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_2122);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2127;

								BgL_ufz00_2127 = PROCEDURE_ATTR(BgL_fz00_2122);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_24513;

									if (STRUCTP(BgL_ufz00_2127))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24513 =
												(STRUCT_KEY(BgL_ufz00_2127) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24513 = ((bool_t) 0);
										}
									if (BgL_testz00_24513)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2129;
											obj_t BgL_runz00_2130;
											obj_t BgL_sfz00_2131;

											BgL_arityz00_2129 =
												STRUCT_REF(BgL_ufz00_2127, (int) (((long) 0)));
											BgL_runz00_2130 =
												STRUCT_REF(BgL_ufz00_2127, (int) (((long) 1)));
											BgL_sfz00_2131 =
												STRUCT_REF(BgL_ufz00_2127, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2129) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2496z00_2134;

														BgL_arg2496z00_2134 =
															((long) CINT(BgL_bpz00_2121) + ((long) 0));
														VECTOR_SET(BgL_sz00_2119,
															(int) (BgL_arg2496z00_2134), BgL_a1z00_2123);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2497z00_2135;

														BgL_arg2497z00_2135 =
															((long) CINT(BgL_bpz00_2121) + ((long) 1));
														VECTOR_SET(BgL_sz00_2119,
															(int) (BgL_arg2497z00_2135), BgL_a2z00_2124);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2498z00_2136;

														BgL_arg2498z00_2136 =
															((long) CINT(BgL_bpz00_2121) + ((long) 2));
														VECTOR_SET(BgL_sz00_2119,
															(int) (BgL_arg2498z00_2136), BgL_a3z00_2125);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_2129))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_2129))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2500z00_2140;
																		obj_t BgL_arg2501z00_2141;

																		BgL_arg2500z00_2140 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2502z00_2142;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2503z00_2143;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2504z00_2144;

																					BgL_arg2504z00_2144 =
																						MAKE_PAIR(BgL_a3z00_2125, BNIL);
																					BgL_arg2503z00_2143 =
																						MAKE_PAIR(BgL_a2z00_2124,
																						BgL_arg2504z00_2144);
																				}
																				BgL_list2502z00_2142 =
																					MAKE_PAIR(BgL_a1z00_2123,
																					BgL_arg2503z00_2143);
																			}
																			BgL_arg2501z00_2141 =
																				BgL_list2502z00_2142;
																		}
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2500z00_2140),
																			BgL_arg2501z00_2141);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2506z00_2145;

																		BgL_arg2506z00_2145 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2506z00_2145),
																			BgL_a1z00_2123);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2507z00_2146;
																		obj_t BgL_arg2508z00_2147;

																		BgL_arg2507z00_2146 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2509z00_2148;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2510z00_2149;

																				BgL_arg2510z00_2149 =
																					MAKE_PAIR(BgL_a3z00_2125, BNIL);
																				BgL_list2509z00_2148 =
																					MAKE_PAIR(BgL_a2z00_2124,
																					BgL_arg2510z00_2149);
																			}
																			BgL_arg2508z00_2147 =
																				BgL_list2509z00_2148;
																		}
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2507z00_2146),
																			BgL_arg2508z00_2147);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2511z00_2150;

																		BgL_arg2511z00_2150 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2511z00_2150),
																			BgL_a1z00_2123);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2513z00_2151;

																		BgL_arg2513z00_2151 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2513z00_2151),
																			BgL_a2z00_2124);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2514z00_2152;
																		obj_t BgL_arg2515z00_2153;

																		BgL_arg2514z00_2152 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2516z00_2154;

																			BgL_list2516z00_2154 =
																				MAKE_PAIR(BgL_a3z00_2125, BNIL);
																			BgL_arg2515z00_2153 =
																				BgL_list2516z00_2154;
																		}
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2514z00_2152),
																			BgL_arg2515z00_2153);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2517z00_2155;

																		BgL_arg2517z00_2155 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2517z00_2155),
																			BgL_a1z00_2123);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2518z00_2156;

																		BgL_arg2518z00_2156 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2518z00_2156),
																			BgL_a2z00_2124);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2519z00_2157;

																		BgL_arg2519z00_2157 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2519z00_2157),
																			BgL_a3z00_2125);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2520z00_2158;

																		BgL_arg2520z00_2158 =
																			(
																			(long) CINT(BgL_bpz00_2121) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2119,
																			(int) (BgL_arg2520z00_2158), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18402,
																		STRUCT_REF(BgL_ufz00_2127,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_2129));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18402, STRUCT_REF(BgL_ufz00_2127,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_2129));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_2162;

												BgL_z12denvz12_2162 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_2121) +
															(long) CINT(BgL_sfz00_2131)) <
														(long) (VECTOR_LENGTH(BgL_sz00_2119))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_2130;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_2164;

														BgL_nsz00_2164 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2525z00_2166;

															BgL_arg2525z00_2166 =
																((long) CINT(BgL_bpz00_2121) + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_2164, BINT(((long) 2)),
																BgL_sz00_2119, BgL_bpz00_2121,
																BINT(BgL_arg2525z00_2166));
														}
														VECTOR_SET(BgL_nsz00_2164,
															(int) (((long) 1)), BgL_sz00_2119);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2162,
															BgL_nsz00_2164);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1253z00_2167;

															BgL_exitd1253z00_2167 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32526ze3z83_18364;

																BgL_zc3anonymousza32526ze3z83_18364 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32526ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32526ze3z83_18364,
																	(int) (((long) 0)), BgL_z12denvz12_2162);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32526ze3z83_18364,
																	(int) (((long) 1)), BgL_sz00_2119);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1253z00_2167,
																	BgL_zc3anonymousza32526ze3z83_18364);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1255z00_2169;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_9444;

																		BgL_savedzd2bpzd2_9444 =
																			VECTOR_REF(BgL_nsz00_2164,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_2164,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_9451;

																			BgL_fz00_9451 = BgL_runz00_2130;
																		BgL_recz00_9450:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_9452;

																				BgL_rz00_9452 =
																					PROCEDURE_ENTRY(BgL_fz00_9451)
																					(BgL_fz00_9451, BgL_nsz00_2164, BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_24634;

																					if (PROCEDUREP(BgL_rz00_9452))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_9457;

																							BgL_arg1964z00_9457 =
																								PROCEDURE_ATTR(BgL_rz00_9452);
																							if (STRUCTP(BgL_arg1964z00_9457))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_24634 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_9457) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_24634 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_24634 = ((bool_t) 0);
																						}
																					if (BgL_testz00_24634)
																						{
																							obj_t BgL_fz00_24642;

																							BgL_fz00_24642 = BgL_rz00_9452;
																							BgL_fz00_9451 = BgL_fz00_24642;
																							goto BgL_recz00_9450;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_2164,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_9444);
																							BgL_tmp1255z00_2169 =
																								BgL_rz00_9452;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1253z00_2167);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2162,
																		BgL_sz00_2119);
																	return BgL_tmp1255z00_2169;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2122,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2173;

													BgL_nbpz00_2173 =
														((long) CINT(BgL_bpz00_2121) + BgL_siza7eza7_18404);
													VECTOR_SET(BgL_sz00_2119,
														(int) (((long) 0)), BINT(BgL_nbpz00_2173));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2174;

														BgL_rz00_2174 =
															PROCEDURE_ENTRY(BgL_fz00_2122) (BgL_fz00_2122,
															BgL_a1z00_2123, BgL_a2z00_2124, BgL_a3z00_2125,
															BEOA);
														VECTOR_SET(BgL_sz00_2119, (int) (((long) 0)),
															BgL_bpz00_2121);
														return BgL_rz00_2174;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18402, BgL_symbzd2funzd2_18403,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2122));
		}}}}}}}}}
	}



/* &<anonymous:2526> */
	obj_t BGl_z62zc3anonymousza32526ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18407;
				obj_t BgL_sz00_18408;

				BgL_z12denvz12_18407 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18406, (int) (((long) 0))));
				BgL_sz00_18408 = PROCEDURE_REF(BgL_envz00_18406, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18407, BgL_sz00_18408);
				}
			}
		}
	}



/* &<anonymous:2531> */
	obj_t BGl_z62zc3anonymousza32531ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18409, obj_t BgL_sz00_18417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18410;
				obj_t BgL_a1z00_18411;
				obj_t BgL_a2z00_18412;
				obj_t BgL_a3z00_18413;
				obj_t BgL_locz00_18414;
				obj_t BgL_symbzd2funzd2_18415;
				long BgL_siza7eza7_18416;

				BgL_funz00_18410 = PROCEDURE_REF(BgL_envz00_18409, (int) (((long) 0)));
				BgL_a1z00_18411 = PROCEDURE_REF(BgL_envz00_18409, (int) (((long) 1)));
				BgL_a2z00_18412 = PROCEDURE_REF(BgL_envz00_18409, (int) (((long) 2)));
				BgL_a3z00_18413 = PROCEDURE_REF(BgL_envz00_18409, (int) (((long) 3)));
				BgL_locz00_18414 = PROCEDURE_REF(BgL_envz00_18409, (int) (((long) 4)));
				BgL_symbzd2funzd2_18415 =
					PROCEDURE_REF(BgL_envz00_18409, (int) (((long) 5)));
				BgL_siza7eza7_18416 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18409, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2178;

					BgL_sz00_2178 = BgL_sz00_18417;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2180;

						BgL_bpz00_2180 = VECTOR_REF(BgL_sz00_2178, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2181;
							obj_t BgL_a1z00_2182;
							obj_t BgL_a2z00_2183;
							obj_t BgL_a3z00_2184;

							BgL_fz00_2181 =
								PROCEDURE_ENTRY(BgL_funz00_18410) (BgL_funz00_18410,
								BgL_sz00_2178, BEOA);
							BgL_a1z00_2182 =
								PROCEDURE_ENTRY(BgL_a1z00_18411) (BgL_a1z00_18411,
								BgL_sz00_2178, BEOA);
							BgL_a2z00_2183 =
								PROCEDURE_ENTRY(BgL_a2z00_18412) (BgL_a2z00_18412,
								BgL_sz00_2178, BEOA);
							BgL_a3z00_2184 =
								PROCEDURE_ENTRY(BgL_a3z00_18413) (BgL_a3z00_18413,
								BgL_sz00_2178, BEOA);
							if (PROCEDUREP(BgL_fz00_2181))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18414,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_2181);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2186;

								BgL_ufz00_2186 = PROCEDURE_ATTR(BgL_fz00_2181);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_24709;

									if (STRUCTP(BgL_ufz00_2186))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24709 =
												(STRUCT_KEY(BgL_ufz00_2186) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24709 = ((bool_t) 0);
										}
									if (BgL_testz00_24709)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2188;
											obj_t BgL_runz00_2189;
											obj_t BgL_sfz00_2190;

											BgL_arityz00_2188 =
												STRUCT_REF(BgL_ufz00_2186, (int) (((long) 0)));
											BgL_runz00_2189 =
												STRUCT_REF(BgL_ufz00_2186, (int) (((long) 1)));
											BgL_sfz00_2190 =
												STRUCT_REF(BgL_ufz00_2186, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2191;

												BgL_spz00_2191 =
													((long) CINT(BgL_bpz00_2180) + BgL_siza7eza7_18416);
												if (((long) CINT(BgL_arityz00_2188) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2535z00_2193;

															BgL_arg2535z00_2193 =
																(BgL_spz00_2191 + ((long) 0));
															VECTOR_SET(BgL_sz00_2178,
																(int) (BgL_arg2535z00_2193), BgL_a1z00_2182);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2536z00_2194;

															BgL_arg2536z00_2194 =
																(BgL_spz00_2191 + ((long) 1));
															VECTOR_SET(BgL_sz00_2178,
																(int) (BgL_arg2536z00_2194), BgL_a2z00_2183);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2537z00_2195;

															BgL_arg2537z00_2195 =
																(BgL_spz00_2191 + ((long) 2));
															VECTOR_SET(BgL_sz00_2178,
																(int) (BgL_arg2537z00_2195), BgL_a3z00_2184);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_2188))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_2188))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2539z00_2199;
																			obj_t BgL_arg2540z00_2200;

																			BgL_arg2539z00_2199 =
																				(BgL_spz00_2191 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2541z00_2201;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2542z00_2202;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2543z00_2203;

																						BgL_arg2543z00_2203 =
																							MAKE_PAIR(BgL_a3z00_2184, BNIL);
																						BgL_arg2542z00_2202 =
																							MAKE_PAIR(BgL_a2z00_2183,
																							BgL_arg2543z00_2203);
																					}
																					BgL_list2541z00_2201 =
																						MAKE_PAIR(BgL_a1z00_2182,
																						BgL_arg2542z00_2202);
																				}
																				BgL_arg2540z00_2200 =
																					BgL_list2541z00_2201;
																			}
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2539z00_2199),
																				BgL_arg2540z00_2200);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2544z00_2204;

																			BgL_arg2544z00_2204 =
																				(BgL_spz00_2191 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2544z00_2204),
																				BgL_a1z00_2182);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2545z00_2205;
																			obj_t BgL_arg2546z00_2206;

																			BgL_arg2545z00_2205 =
																				(BgL_spz00_2191 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2547z00_2207;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2548z00_2208;

																					BgL_arg2548z00_2208 =
																						MAKE_PAIR(BgL_a3z00_2184, BNIL);
																					BgL_list2547z00_2207 =
																						MAKE_PAIR(BgL_a2z00_2183,
																						BgL_arg2548z00_2208);
																				}
																				BgL_arg2546z00_2206 =
																					BgL_list2547z00_2207;
																			}
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2545z00_2205),
																				BgL_arg2546z00_2206);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2549z00_2209;

																			BgL_arg2549z00_2209 =
																				(BgL_spz00_2191 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2549z00_2209),
																				BgL_a1z00_2182);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2550z00_2210;

																			BgL_arg2550z00_2210 =
																				(BgL_spz00_2191 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2550z00_2210),
																				BgL_a2z00_2183);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2551z00_2211;
																			obj_t BgL_arg2552z00_2212;

																			BgL_arg2551z00_2211 =
																				(BgL_spz00_2191 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2553z00_2213;

																				BgL_list2553z00_2213 =
																					MAKE_PAIR(BgL_a3z00_2184, BNIL);
																				BgL_arg2552z00_2212 =
																					BgL_list2553z00_2213;
																			}
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2551z00_2211),
																				BgL_arg2552z00_2212);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2554z00_2214;

																			BgL_arg2554z00_2214 =
																				(BgL_spz00_2191 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2554z00_2214),
																				BgL_a1z00_2182);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2555z00_2215;

																			BgL_arg2555z00_2215 =
																				(BgL_spz00_2191 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2555z00_2215),
																				BgL_a2z00_2183);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2556z00_2216;

																			BgL_arg2556z00_2216 =
																				(BgL_spz00_2191 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2556z00_2216),
																				BgL_a3z00_2184);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2557z00_2217;

																			BgL_arg2557z00_2217 =
																				(BgL_spz00_2191 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2178,
																				(int) (BgL_arg2557z00_2217), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18414,
																			STRUCT_REF(BgL_ufz00_2186,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_2188));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18414, STRUCT_REF(BgL_ufz00_2186,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_2188));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2221;

													BgL_z12denvz12_2221 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2221,
														BgL_locz00_18414);
													if (((BgL_spz00_2191 + (long) CINT(BgL_sfz00_2190)) <
															(long) (VECTOR_LENGTH(BgL_sz00_2178))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_2189, BgL_sz00_2178,
																BINT(BgL_spz00_2191));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_2223;

															BgL_nsz00_2223 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2562z00_2225;

																BgL_arg2562z00_2225 =
																	(BgL_spz00_2191 + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2223, BINT(((long) 2)),
																	BgL_sz00_2178, BINT(BgL_spz00_2191),
																	BINT(BgL_arg2562z00_2225));
															}
															VECTOR_SET(BgL_nsz00_2223,
																(int) (((long) 1)), BgL_sz00_2178);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2221,
																BgL_nsz00_2223);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1258z00_2226;

																BgL_exitd1258z00_2226 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32563ze3z83_18366;

																	BgL_zc3anonymousza32563ze3z83_18366 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32563ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32563ze3z83_18366,
																		(int) (((long) 0)), BgL_z12denvz12_2221);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32563ze3z83_18366,
																		(int) (((long) 1)), BgL_sz00_2178);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1258z00_2226,
																		BgL_zc3anonymousza32563ze3z83_18366);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1260z00_2228;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_9625;

																			BgL_savedzd2bpzd2_9625 =
																				VECTOR_REF(BgL_nsz00_2223,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_2223,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_9632;

																				BgL_fz00_9632 = BgL_runz00_2189;
																			BgL_recz00_9631:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_9633;

																					BgL_rz00_9633 =
																						PROCEDURE_ENTRY(BgL_fz00_9632)
																						(BgL_fz00_9632, BgL_nsz00_2223,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_24821;

																						if (PROCEDUREP(BgL_rz00_9633))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_9638;

																								BgL_arg1964z00_9638 =
																									PROCEDURE_ATTR(BgL_rz00_9633);
																								if (STRUCTP
																									(BgL_arg1964z00_9638))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_24821 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_9638) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_24821 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_24821 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_24821)
																							{
																								obj_t BgL_fz00_24829;

																								BgL_fz00_24829 = BgL_rz00_9633;
																								BgL_fz00_9632 = BgL_fz00_24829;
																								goto BgL_recz00_9631;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_2223,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_9625);
																								BgL_tmp1260z00_2228 =
																									BgL_rz00_9633;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1258z00_2226);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2221,
																			BgL_sz00_2178);
																		return BgL_tmp1260z00_2228;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2181,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2232;

													BgL_nbpz00_2232 =
														((long) CINT(BgL_bpz00_2180) + BgL_siza7eza7_18416);
													VECTOR_SET(BgL_sz00_2178,
														(int) (((long) 0)), BINT(BgL_nbpz00_2232));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_24842;

														BgL_auxz00_24842 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_24842,
															BgL_locz00_18414);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2234;

														BgL_rz00_2234 =
															PROCEDURE_ENTRY(BgL_fz00_2181) (BgL_fz00_2181,
															BgL_a1z00_2182, BgL_a2z00_2183, BgL_a3z00_2184,
															BEOA);
														VECTOR_SET(BgL_sz00_2178, (int) (((long) 0)),
															BgL_bpz00_2180);
														return BgL_rz00_2234;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18414, BgL_symbzd2funzd2_18415,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2181));
		}}}}}}}}}
	}



/* &<anonymous:2563> */
	obj_t BGl_z62zc3anonymousza32563ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18418)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18419;
				obj_t BgL_sz00_18420;

				BgL_z12denvz12_18419 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18418, (int) (((long) 0))));
				BgL_sz00_18420 = PROCEDURE_REF(BgL_envz00_18418, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18419, BgL_sz00_18420);
				}
			}
		}
	}



/* &<anonymous:2567> */
	obj_t BGl_z62zc3anonymousza32567ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18421, obj_t BgL_sz00_18429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18422;
				obj_t BgL_a1z00_18423;
				obj_t BgL_a2z00_18424;
				obj_t BgL_a3z00_18425;
				obj_t BgL_locz00_18426;
				obj_t BgL_symbzd2funzd2_18427;
				long BgL_siza7eza7_18428;

				BgL_funz00_18422 = PROCEDURE_REF(BgL_envz00_18421, (int) (((long) 0)));
				BgL_a1z00_18423 = PROCEDURE_REF(BgL_envz00_18421, (int) (((long) 1)));
				BgL_a2z00_18424 = PROCEDURE_REF(BgL_envz00_18421, (int) (((long) 2)));
				BgL_a3z00_18425 = PROCEDURE_REF(BgL_envz00_18421, (int) (((long) 3)));
				BgL_locz00_18426 = PROCEDURE_REF(BgL_envz00_18421, (int) (((long) 4)));
				BgL_symbzd2funzd2_18427 =
					PROCEDURE_REF(BgL_envz00_18421, (int) (((long) 5)));
				BgL_siza7eza7_18428 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18421, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2236;

					BgL_sz00_2236 = BgL_sz00_18429;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2238;

						BgL_bpz00_2238 = VECTOR_REF(BgL_sz00_2236, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2239;
							obj_t BgL_a1z00_2240;
							obj_t BgL_a2z00_2241;
							obj_t BgL_a3z00_2242;

							BgL_fz00_2239 =
								PROCEDURE_ENTRY(BgL_funz00_18422) (BgL_funz00_18422,
								BgL_sz00_2236, BEOA);
							BgL_a1z00_2240 =
								PROCEDURE_ENTRY(BgL_a1z00_18423) (BgL_a1z00_18423,
								BgL_sz00_2236, BEOA);
							BgL_a2z00_2241 =
								PROCEDURE_ENTRY(BgL_a2z00_18424) (BgL_a2z00_18424,
								BgL_sz00_2236, BEOA);
							BgL_a3z00_2242 =
								PROCEDURE_ENTRY(BgL_a3z00_18425) (BgL_a3z00_18425,
								BgL_sz00_2236, BEOA);
							if (PROCEDUREP(BgL_fz00_2239))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18426,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_2239);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2244;

								BgL_ufz00_2244 = PROCEDURE_ATTR(BgL_fz00_2239);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_24899;

									if (STRUCTP(BgL_ufz00_2244))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24899 =
												(STRUCT_KEY(BgL_ufz00_2244) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24899 = ((bool_t) 0);
										}
									if (BgL_testz00_24899)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2246;
											obj_t BgL_runz00_2247;
											obj_t BgL_sfz00_2248;

											BgL_arityz00_2246 =
												STRUCT_REF(BgL_ufz00_2244, (int) (((long) 0)));
											BgL_runz00_2247 =
												STRUCT_REF(BgL_ufz00_2244, (int) (((long) 1)));
											BgL_sfz00_2248 =
												STRUCT_REF(BgL_ufz00_2244, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2249;

												BgL_spz00_2249 =
													((long) CINT(BgL_bpz00_2238) + BgL_siza7eza7_18428);
												if (((long) CINT(BgL_arityz00_2246) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2571z00_2251;

															BgL_arg2571z00_2251 =
																(BgL_spz00_2249 + ((long) 0));
															VECTOR_SET(BgL_sz00_2236,
																(int) (BgL_arg2571z00_2251), BgL_a1z00_2240);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2572z00_2252;

															BgL_arg2572z00_2252 =
																(BgL_spz00_2249 + ((long) 1));
															VECTOR_SET(BgL_sz00_2236,
																(int) (BgL_arg2572z00_2252), BgL_a2z00_2241);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2573z00_2253;

															BgL_arg2573z00_2253 =
																(BgL_spz00_2249 + ((long) 2));
															VECTOR_SET(BgL_sz00_2236,
																(int) (BgL_arg2573z00_2253), BgL_a3z00_2242);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_2246))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_2246))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2575z00_2257;
																			obj_t BgL_arg2576z00_2258;

																			BgL_arg2575z00_2257 =
																				(BgL_spz00_2249 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2577z00_2259;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2578z00_2260;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2579z00_2261;

																						BgL_arg2579z00_2261 =
																							MAKE_PAIR(BgL_a3z00_2242, BNIL);
																						BgL_arg2578z00_2260 =
																							MAKE_PAIR(BgL_a2z00_2241,
																							BgL_arg2579z00_2261);
																					}
																					BgL_list2577z00_2259 =
																						MAKE_PAIR(BgL_a1z00_2240,
																						BgL_arg2578z00_2260);
																				}
																				BgL_arg2576z00_2258 =
																					BgL_list2577z00_2259;
																			}
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2575z00_2257),
																				BgL_arg2576z00_2258);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2580z00_2262;

																			BgL_arg2580z00_2262 =
																				(BgL_spz00_2249 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2580z00_2262),
																				BgL_a1z00_2240);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2581z00_2263;
																			obj_t BgL_arg2582z00_2264;

																			BgL_arg2581z00_2263 =
																				(BgL_spz00_2249 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2583z00_2265;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2584z00_2266;

																					BgL_arg2584z00_2266 =
																						MAKE_PAIR(BgL_a3z00_2242, BNIL);
																					BgL_list2583z00_2265 =
																						MAKE_PAIR(BgL_a2z00_2241,
																						BgL_arg2584z00_2266);
																				}
																				BgL_arg2582z00_2264 =
																					BgL_list2583z00_2265;
																			}
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2581z00_2263),
																				BgL_arg2582z00_2264);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2585z00_2267;

																			BgL_arg2585z00_2267 =
																				(BgL_spz00_2249 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2585z00_2267),
																				BgL_a1z00_2240);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2586z00_2268;

																			BgL_arg2586z00_2268 =
																				(BgL_spz00_2249 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2586z00_2268),
																				BgL_a2z00_2241);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2587z00_2269;
																			obj_t BgL_arg2588z00_2270;

																			BgL_arg2587z00_2269 =
																				(BgL_spz00_2249 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2589z00_2271;

																				BgL_list2589z00_2271 =
																					MAKE_PAIR(BgL_a3z00_2242, BNIL);
																				BgL_arg2588z00_2270 =
																					BgL_list2589z00_2271;
																			}
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2587z00_2269),
																				BgL_arg2588z00_2270);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2590z00_2272;

																			BgL_arg2590z00_2272 =
																				(BgL_spz00_2249 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2590z00_2272),
																				BgL_a1z00_2240);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2591z00_2273;

																			BgL_arg2591z00_2273 =
																				(BgL_spz00_2249 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2591z00_2273),
																				BgL_a2z00_2241);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2592z00_2274;

																			BgL_arg2592z00_2274 =
																				(BgL_spz00_2249 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2592z00_2274),
																				BgL_a3z00_2242);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2593z00_2275;

																			BgL_arg2593z00_2275 =
																				(BgL_spz00_2249 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2236,
																				(int) (BgL_arg2593z00_2275), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18426,
																			STRUCT_REF(BgL_ufz00_2244,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_2246));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18426, STRUCT_REF(BgL_ufz00_2244,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_2246));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2279;

													BgL_z12denvz12_2279 = BGL_CURRENT_DYNAMIC_ENV();
													if (
														((BgL_spz00_2249 +
																(long) CINT(BgL_sfz00_2248)) <
															(long) (VECTOR_LENGTH(BgL_sz00_2236))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_2247, BgL_sz00_2236,
																BINT(BgL_spz00_2249));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_2281;

															BgL_nsz00_2281 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2598z00_2283;

																BgL_arg2598z00_2283 =
																	(BgL_spz00_2249 + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2281, BINT(((long) 2)),
																	BgL_sz00_2236, BINT(BgL_spz00_2249),
																	BINT(BgL_arg2598z00_2283));
															}
															VECTOR_SET(BgL_nsz00_2281,
																(int) (((long) 1)), BgL_sz00_2236);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2279,
																BgL_nsz00_2281);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1263z00_2284;

																BgL_exitd1263z00_2284 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32599ze3z83_18368;

																	BgL_zc3anonymousza32599ze3z83_18368 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32599ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32599ze3z83_18368,
																		(int) (((long) 0)), BgL_z12denvz12_2279);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32599ze3z83_18368,
																		(int) (((long) 1)), BgL_sz00_2236);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1263z00_2284,
																		BgL_zc3anonymousza32599ze3z83_18368);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1265z00_2286;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_9807;

																			BgL_savedzd2bpzd2_9807 =
																				VECTOR_REF(BgL_nsz00_2281,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_2281,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_9814;

																				BgL_fz00_9814 = BgL_runz00_2247;
																			BgL_recz00_9813:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_9815;

																					BgL_rz00_9815 =
																						PROCEDURE_ENTRY(BgL_fz00_9814)
																						(BgL_fz00_9814, BgL_nsz00_2281,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_25010;

																						if (PROCEDUREP(BgL_rz00_9815))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_9820;

																								BgL_arg1964z00_9820 =
																									PROCEDURE_ATTR(BgL_rz00_9815);
																								if (STRUCTP
																									(BgL_arg1964z00_9820))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_25010 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_9820) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_25010 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_25010 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_25010)
																							{
																								obj_t BgL_fz00_25018;

																								BgL_fz00_25018 = BgL_rz00_9815;
																								BgL_fz00_9814 = BgL_fz00_25018;
																								goto BgL_recz00_9813;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_2281,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_9807);
																								BgL_tmp1265z00_2286 =
																									BgL_rz00_9815;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1263z00_2284);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2279,
																			BgL_sz00_2236);
																		return BgL_tmp1265z00_2286;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2239,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2290;

													BgL_nbpz00_2290 =
														((long) CINT(BgL_bpz00_2238) + BgL_siza7eza7_18428);
													VECTOR_SET(BgL_sz00_2236,
														(int) (((long) 0)), BINT(BgL_nbpz00_2290));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2291;

														BgL_rz00_2291 =
															PROCEDURE_ENTRY(BgL_fz00_2239) (BgL_fz00_2239,
															BgL_a1z00_2240, BgL_a2z00_2241, BgL_a3z00_2242,
															BEOA);
														VECTOR_SET(BgL_sz00_2236, (int) (((long) 0)),
															BgL_bpz00_2238);
														return BgL_rz00_2291;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18426, BgL_symbzd2funzd2_18427,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2239));
		}}}}}}}}}
	}



/* &<anonymous:2599> */
	obj_t BGl_z62zc3anonymousza32599ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18430)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18431;
				obj_t BgL_sz00_18432;

				BgL_z12denvz12_18431 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18430, (int) (((long) 0))));
				BgL_sz00_18432 = PROCEDURE_REF(BgL_envz00_18430, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18431, BgL_sz00_18432);
				}
			}
		}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_2294;

				BgL_cfunz00_2294 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173,
					((long) 4), BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_2294))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_25051;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2607z00_2315;

							BgL_arg2607z00_2315 = bgl_debug();
							BgL_testz00_25051 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2607z00_2315),
								BINT(((long) 0)));
						}
						if (BgL_testz00_25051)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32604ze3z83_18433;

								BgL_zc3anonymousza32604ze3z83_18433 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32604ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32604ze3z83_18433,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32604ze3z83_18433,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32604ze3z83_18433,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32604ze3z83_18433,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32604ze3z83_18433,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32604ze3z83_18433,
									(int) (((long) 5)), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3anonymousza32604ze3z83_18433,
									(int) (((long) 6)), BgL_cfunz00_2294);
								return BgL_zc3anonymousza32604ze3z83_18433;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32606ze3z83_18434;

								BgL_zc3anonymousza32606ze3z83_18434 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32606ze3z83_18434,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32606ze3z83_18434,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32606ze3z83_18434,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32606ze3z83_18434,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32606ze3z83_18434,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32606ze3z83_18434,
									(int) (((long) 5)), BgL_cfunz00_2294);
								return BgL_zc3anonymousza32606ze3z83_18434;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_25092;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2705z00_2456;

									BgL_arg2705z00_2456 = bgl_debug();
									BgL_testz00_25092 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2705z00_2456),
										BINT(((long) 0)));
								}
								if (BgL_testz00_25092)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32609ze3z83_18436;

										BgL_zc3anonymousza32609ze3z83_18436 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32609ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32609ze3z83_18436,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32609ze3z83_18436,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32609ze3z83_18436,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32609ze3z83_18436,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32609ze3z83_18436,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32609ze3z83_18436,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32609ze3z83_18436,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32609ze3z83_18436,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32609ze3z83_18436;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32658ze3z83_18438;

										BgL_zc3anonymousza32658ze3z83_18438 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32658ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32658ze3z83_18438,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32658ze3z83_18438,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32658ze3z83_18438,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32658ze3z83_18438,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32658ze3z83_18438,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32658ze3z83_18438,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32658ze3z83_18438,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32658ze3z83_18438,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32658ze3z83_18438;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_25137;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2802z00_2597;

									BgL_arg2802z00_2597 = bgl_debug();
									BgL_testz00_25137 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2802z00_2597),
										BINT(((long) 0)));
								}
								if (BgL_testz00_25137)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32707ze3z83_18440;

										BgL_zc3anonymousza32707ze3z83_18440 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_18440,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_18440,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_18440,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_18440,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_18440,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_18440,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_18440,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_18440,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32707ze3z83_18440;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32756ze3z83_18442;

										BgL_zc3anonymousza32756ze3z83_18442 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32756ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32756ze3z83_18442,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32756ze3z83_18442,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32756ze3z83_18442,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32756ze3z83_18442,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32756ze3z83_18442,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32756ze3z83_18442,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32756ze3z83_18442,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32756ze3z83_18442,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32756ze3z83_18442;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2604> */
	obj_t BGl_z62zc3anonymousza32604ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18443, obj_t BgL_sz00_18451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18444;
				obj_t BgL_a2z00_18445;
				obj_t BgL_a3z00_18446;
				obj_t BgL_a4z00_18447;
				long BgL_siza7eza7_18448;
				obj_t BgL_locz00_18449;
				obj_t BgL_cfunz00_18450;

				BgL_a1z00_18444 = PROCEDURE_REF(BgL_envz00_18443, (int) (((long) 0)));
				BgL_a2z00_18445 = PROCEDURE_REF(BgL_envz00_18443, (int) (((long) 1)));
				BgL_a3z00_18446 = PROCEDURE_REF(BgL_envz00_18443, (int) (((long) 2)));
				BgL_a4z00_18447 = PROCEDURE_REF(BgL_envz00_18443, (int) (((long) 3)));
				BgL_siza7eza7_18448 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18443, (int) (((long) 4))));
				BgL_locz00_18449 = PROCEDURE_REF(BgL_envz00_18443, (int) (((long) 5)));
				BgL_cfunz00_18450 = PROCEDURE_REF(BgL_envz00_18443, (int) (((long) 6)));
				{
					obj_t BgL_sz00_2296;

					BgL_sz00_2296 = BgL_sz00_18451;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2298;

						BgL_bpz00_2298 = VECTOR_REF(BgL_sz00_2296, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_2299;
							obj_t BgL_a2z00_2300;
							obj_t BgL_a3z00_2301;
							obj_t BgL_a4z00_2302;

							BgL_a1z00_2299 =
								PROCEDURE_ENTRY(BgL_a1z00_18444) (BgL_a1z00_18444,
								BgL_sz00_2296, BEOA);
							BgL_a2z00_2300 =
								PROCEDURE_ENTRY(BgL_a2z00_18445) (BgL_a2z00_18445,
								BgL_sz00_2296, BEOA);
							BgL_a3z00_2301 =
								PROCEDURE_ENTRY(BgL_a3z00_18446) (BgL_a3z00_18446,
								BgL_sz00_2296, BEOA);
							BgL_a4z00_2302 =
								PROCEDURE_ENTRY(BgL_a4z00_18447) (BgL_a4z00_18447,
								BgL_sz00_2296, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_2303;

								BgL_nbpz00_2303 =
									((long) CINT(BgL_bpz00_2298) + BgL_siza7eza7_18448);
								VECTOR_SET(BgL_sz00_2296,
									(int) (((long) 0)), BINT(BgL_nbpz00_2303));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_25220;

									BgL_auxz00_25220 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_25220,
										BgL_locz00_18449);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_2305;

									BgL_rz00_2305 =
										PROCEDURE_ENTRY(BgL_cfunz00_18450) (BgL_cfunz00_18450,
										BgL_a1z00_2299, BgL_a2z00_2300, BgL_a3z00_2301,
										BgL_a4z00_2302, BEOA);
									VECTOR_SET(BgL_sz00_2296, (int) (((long) 0)), BgL_bpz00_2298);
									return BgL_rz00_2305;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2606> */
	obj_t BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18452, obj_t BgL_sz00_18459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18453;
				obj_t BgL_a2z00_18454;
				obj_t BgL_a3z00_18455;
				obj_t BgL_a4z00_18456;
				long BgL_siza7eza7_18457;
				obj_t BgL_cfunz00_18458;

				BgL_a1z00_18453 = PROCEDURE_REF(BgL_envz00_18452, (int) (((long) 0)));
				BgL_a2z00_18454 = PROCEDURE_REF(BgL_envz00_18452, (int) (((long) 1)));
				BgL_a3z00_18455 = PROCEDURE_REF(BgL_envz00_18452, (int) (((long) 2)));
				BgL_a4z00_18456 = PROCEDURE_REF(BgL_envz00_18452, (int) (((long) 3)));
				BgL_siza7eza7_18457 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18452, (int) (((long) 4))));
				BgL_cfunz00_18458 = PROCEDURE_REF(BgL_envz00_18452, (int) (((long) 5)));
				{
					obj_t BgL_sz00_2306;

					BgL_sz00_2306 = BgL_sz00_18459;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2308;

						BgL_bpz00_2308 = VECTOR_REF(BgL_sz00_2306, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_2309;
							obj_t BgL_a2z00_2310;
							obj_t BgL_a3z00_2311;
							obj_t BgL_a4z00_2312;

							BgL_a1z00_2309 =
								PROCEDURE_ENTRY(BgL_a1z00_18453) (BgL_a1z00_18453,
								BgL_sz00_2306, BEOA);
							BgL_a2z00_2310 =
								PROCEDURE_ENTRY(BgL_a2z00_18454) (BgL_a2z00_18454,
								BgL_sz00_2306, BEOA);
							BgL_a3z00_2311 =
								PROCEDURE_ENTRY(BgL_a3z00_18455) (BgL_a3z00_18455,
								BgL_sz00_2306, BEOA);
							BgL_a4z00_2312 =
								PROCEDURE_ENTRY(BgL_a4z00_18456) (BgL_a4z00_18456,
								BgL_sz00_2306, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_2313;

								BgL_nbpz00_2313 =
									((long) CINT(BgL_bpz00_2308) + BgL_siza7eza7_18457);
								VECTOR_SET(BgL_sz00_2306,
									(int) (((long) 0)), BINT(BgL_nbpz00_2313));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_2314;

									BgL_rz00_2314 =
										PROCEDURE_ENTRY(BgL_cfunz00_18458) (BgL_cfunz00_18458,
										BgL_a1z00_2309, BgL_a2z00_2310, BgL_a3z00_2311,
										BgL_a4z00_2312, BEOA);
									VECTOR_SET(BgL_sz00_2306, (int) (((long) 0)), BgL_bpz00_2308);
									return BgL_rz00_2314;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2609> */
	obj_t BGl_z62zc3anonymousza32609ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18460, obj_t BgL_sz00_18469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18461;
				obj_t BgL_a1z00_18462;
				obj_t BgL_a2z00_18463;
				obj_t BgL_a3z00_18464;
				obj_t BgL_a4z00_18465;
				obj_t BgL_locz00_18466;
				obj_t BgL_symbzd2funzd2_18467;
				long BgL_siza7eza7_18468;

				BgL_funz00_18461 = PROCEDURE_REF(BgL_envz00_18460, (int) (((long) 0)));
				BgL_a1z00_18462 = PROCEDURE_REF(BgL_envz00_18460, (int) (((long) 1)));
				BgL_a2z00_18463 = PROCEDURE_REF(BgL_envz00_18460, (int) (((long) 2)));
				BgL_a3z00_18464 = PROCEDURE_REF(BgL_envz00_18460, (int) (((long) 3)));
				BgL_a4z00_18465 = PROCEDURE_REF(BgL_envz00_18460, (int) (((long) 4)));
				BgL_locz00_18466 = PROCEDURE_REF(BgL_envz00_18460, (int) (((long) 5)));
				BgL_symbzd2funzd2_18467 =
					PROCEDURE_REF(BgL_envz00_18460, (int) (((long) 6)));
				BgL_siza7eza7_18468 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18460, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2317;

					BgL_sz00_2317 = BgL_sz00_18469;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2319;

						BgL_bpz00_2319 = VECTOR_REF(BgL_sz00_2317, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2320;
							obj_t BgL_a1z00_2321;
							obj_t BgL_a2z00_2322;
							obj_t BgL_a3z00_2323;
							obj_t BgL_a4z00_2324;

							BgL_fz00_2320 =
								PROCEDURE_ENTRY(BgL_funz00_18461) (BgL_funz00_18461,
								BgL_sz00_2317, BEOA);
							BgL_a1z00_2321 =
								PROCEDURE_ENTRY(BgL_a1z00_18462) (BgL_a1z00_18462,
								BgL_sz00_2317, BEOA);
							BgL_a2z00_2322 =
								PROCEDURE_ENTRY(BgL_a2z00_18463) (BgL_a2z00_18463,
								BgL_sz00_2317, BEOA);
							BgL_a3z00_2323 =
								PROCEDURE_ENTRY(BgL_a3z00_18464) (BgL_a3z00_18464,
								BgL_sz00_2317, BEOA);
							BgL_a4z00_2324 =
								PROCEDURE_ENTRY(BgL_a4z00_18465) (BgL_a4z00_18465,
								BgL_sz00_2317, BEOA);
							if (PROCEDUREP(BgL_fz00_2320))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18466,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_2320);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2326;

								BgL_ufz00_2326 = PROCEDURE_ATTR(BgL_fz00_2320);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_25320;

									if (STRUCTP(BgL_ufz00_2326))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25320 =
												(STRUCT_KEY(BgL_ufz00_2326) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25320 = ((bool_t) 0);
										}
									if (BgL_testz00_25320)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2328;
											obj_t BgL_runz00_2329;
											obj_t BgL_sfz00_2330;

											BgL_arityz00_2328 =
												STRUCT_REF(BgL_ufz00_2326, (int) (((long) 0)));
											BgL_runz00_2329 =
												STRUCT_REF(BgL_ufz00_2326, (int) (((long) 1)));
											BgL_sfz00_2330 =
												STRUCT_REF(BgL_ufz00_2326, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2328) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2613z00_2333;

														BgL_arg2613z00_2333 =
															((long) CINT(BgL_bpz00_2319) + ((long) 0));
														VECTOR_SET(BgL_sz00_2317,
															(int) (BgL_arg2613z00_2333), BgL_a1z00_2321);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2614z00_2334;

														BgL_arg2614z00_2334 =
															((long) CINT(BgL_bpz00_2319) + ((long) 1));
														VECTOR_SET(BgL_sz00_2317,
															(int) (BgL_arg2614z00_2334), BgL_a2z00_2322);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2615z00_2335;

														BgL_arg2615z00_2335 =
															((long) CINT(BgL_bpz00_2319) + ((long) 2));
														VECTOR_SET(BgL_sz00_2317,
															(int) (BgL_arg2615z00_2335), BgL_a3z00_2323);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2616z00_2336;

														BgL_arg2616z00_2336 =
															((long) CINT(BgL_bpz00_2319) + ((long) 3));
														VECTOR_SET(BgL_sz00_2317,
															(int) (BgL_arg2616z00_2336), BgL_a4z00_2324);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_2328))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_2328))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2618z00_2340;
																		obj_t BgL_arg2620z00_2341;

																		BgL_arg2618z00_2340 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2621z00_2342;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2622z00_2343;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2623z00_2344;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2624z00_2345;

																						BgL_arg2624z00_2345 =
																							MAKE_PAIR(BgL_a4z00_2324, BNIL);
																						BgL_arg2623z00_2344 =
																							MAKE_PAIR(BgL_a3z00_2323,
																							BgL_arg2624z00_2345);
																					}
																					BgL_arg2622z00_2343 =
																						MAKE_PAIR(BgL_a2z00_2322,
																						BgL_arg2623z00_2344);
																				}
																				BgL_list2621z00_2342 =
																					MAKE_PAIR(BgL_a1z00_2321,
																					BgL_arg2622z00_2343);
																			}
																			BgL_arg2620z00_2341 =
																				BgL_list2621z00_2342;
																		}
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2618z00_2340),
																			BgL_arg2620z00_2341);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2625z00_2346;

																		BgL_arg2625z00_2346 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2625z00_2346),
																			BgL_a1z00_2321);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2626z00_2347;
																		obj_t BgL_arg2627z00_2348;

																		BgL_arg2626z00_2347 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2628z00_2349;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2629z00_2350;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2630z00_2351;

																					BgL_arg2630z00_2351 =
																						MAKE_PAIR(BgL_a4z00_2324, BNIL);
																					BgL_arg2629z00_2350 =
																						MAKE_PAIR(BgL_a3z00_2323,
																						BgL_arg2630z00_2351);
																				}
																				BgL_list2628z00_2349 =
																					MAKE_PAIR(BgL_a2z00_2322,
																					BgL_arg2629z00_2350);
																			}
																			BgL_arg2627z00_2348 =
																				BgL_list2628z00_2349;
																		}
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2626z00_2347),
																			BgL_arg2627z00_2348);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2631z00_2352;

																		BgL_arg2631z00_2352 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2631z00_2352),
																			BgL_a1z00_2321);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2632z00_2353;

																		BgL_arg2632z00_2353 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2632z00_2353),
																			BgL_a2z00_2322);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2634z00_2354;
																		obj_t BgL_arg2635z00_2355;

																		BgL_arg2634z00_2354 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2636z00_2356;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2637z00_2357;

																				BgL_arg2637z00_2357 =
																					MAKE_PAIR(BgL_a4z00_2324, BNIL);
																				BgL_list2636z00_2356 =
																					MAKE_PAIR(BgL_a3z00_2323,
																					BgL_arg2637z00_2357);
																			}
																			BgL_arg2635z00_2355 =
																				BgL_list2636z00_2356;
																		}
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2634z00_2354),
																			BgL_arg2635z00_2355);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2638z00_2358;

																		BgL_arg2638z00_2358 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2638z00_2358),
																			BgL_a1z00_2321);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2639z00_2359;

																		BgL_arg2639z00_2359 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2639z00_2359),
																			BgL_a2z00_2322);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2640z00_2360;

																		BgL_arg2640z00_2360 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2640z00_2360),
																			BgL_a3z00_2323);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2641z00_2361;
																		obj_t BgL_arg2642z00_2362;

																		BgL_arg2641z00_2361 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2643z00_2363;

																			BgL_list2643z00_2363 =
																				MAKE_PAIR(BgL_a4z00_2324, BNIL);
																			BgL_arg2642z00_2362 =
																				BgL_list2643z00_2363;
																		}
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2641z00_2361),
																			BgL_arg2642z00_2362);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2644z00_2364;

																		BgL_arg2644z00_2364 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2644z00_2364),
																			BgL_a1z00_2321);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2645z00_2365;

																		BgL_arg2645z00_2365 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2645z00_2365),
																			BgL_a2z00_2322);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2646z00_2366;

																		BgL_arg2646z00_2366 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2646z00_2366),
																			BgL_a3z00_2323);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2647z00_2367;

																		BgL_arg2647z00_2367 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2647z00_2367),
																			BgL_a4z00_2324);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2648z00_2368;

																		BgL_arg2648z00_2368 =
																			(
																			(long) CINT(BgL_bpz00_2319) + ((long) 4));
																		VECTOR_SET(BgL_sz00_2317,
																			(int) (BgL_arg2648z00_2368), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18466,
																		STRUCT_REF(BgL_ufz00_2326,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_2328));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18466, STRUCT_REF(BgL_ufz00_2326,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_2328));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_2372;

												BgL_z12denvz12_2372 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2372,
													BgL_locz00_18466);
												if ((((long) CINT(BgL_bpz00_2319) +
															(long) CINT(BgL_sfz00_2330)) <
														(long) (VECTOR_LENGTH(BgL_sz00_2317))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_2329;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_2374;

														BgL_nsz00_2374 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2653z00_2376;

															BgL_arg2653z00_2376 =
																((long) CINT(BgL_bpz00_2319) + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_2374, BINT(((long) 2)),
																BgL_sz00_2317, BgL_bpz00_2319,
																BINT(BgL_arg2653z00_2376));
														}
														VECTOR_SET(BgL_nsz00_2374,
															(int) (((long) 1)), BgL_sz00_2317);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2372,
															BgL_nsz00_2374);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1268z00_2377;

															BgL_exitd1268z00_2377 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32654ze3z83_18435;

																BgL_zc3anonymousza32654ze3z83_18435 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32654ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32654ze3z83_18435,
																	(int) (((long) 0)), BgL_z12denvz12_2372);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32654ze3z83_18435,
																	(int) (((long) 1)), BgL_sz00_2317);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1268z00_2377,
																	BgL_zc3anonymousza32654ze3z83_18435);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1270z00_2379;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_10050;

																		BgL_savedzd2bpzd2_10050 =
																			VECTOR_REF(BgL_nsz00_2374,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_2374,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_10057;

																			BgL_fz00_10057 = BgL_runz00_2329;
																		BgL_recz00_10056:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_10058;

																				BgL_rz00_10058 =
																					PROCEDURE_ENTRY(BgL_fz00_10057)
																					(BgL_fz00_10057, BgL_nsz00_2374,
																					BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_25470;

																					if (PROCEDUREP(BgL_rz00_10058))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_10063;

																							BgL_arg1964z00_10063 =
																								PROCEDURE_ATTR(BgL_rz00_10058);
																							if (STRUCTP(BgL_arg1964z00_10063))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_25470 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_10063) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_25470 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_25470 = ((bool_t) 0);
																						}
																					if (BgL_testz00_25470)
																						{
																							obj_t BgL_fz00_25478;

																							BgL_fz00_25478 = BgL_rz00_10058;
																							BgL_fz00_10057 = BgL_fz00_25478;
																							goto BgL_recz00_10056;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_2374,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_10050);
																							BgL_tmp1270z00_2379 =
																								BgL_rz00_10058;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1268z00_2377);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2372,
																		BgL_sz00_2317);
																	return BgL_tmp1270z00_2379;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2320,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2383;

													BgL_nbpz00_2383 =
														((long) CINT(BgL_bpz00_2319) + BgL_siza7eza7_18468);
													VECTOR_SET(BgL_sz00_2317,
														(int) (((long) 0)), BINT(BgL_nbpz00_2383));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_25491;

														BgL_auxz00_25491 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_25491,
															BgL_locz00_18466);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2385;

														BgL_rz00_2385 =
															PROCEDURE_ENTRY(BgL_fz00_2320) (BgL_fz00_2320,
															BgL_a1z00_2321, BgL_a2z00_2322, BgL_a3z00_2323,
															BgL_a4z00_2324, BEOA);
														VECTOR_SET(BgL_sz00_2317, (int) (((long) 0)),
															BgL_bpz00_2319);
														return BgL_rz00_2385;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18466, BgL_symbzd2funzd2_18467,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2320));
		}}}}}}}}}
	}



/* &<anonymous:2654> */
	obj_t BGl_z62zc3anonymousza32654ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18471;
				obj_t BgL_sz00_18472;

				BgL_z12denvz12_18471 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18470, (int) (((long) 0))));
				BgL_sz00_18472 = PROCEDURE_REF(BgL_envz00_18470, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18471, BgL_sz00_18472);
				}
			}
		}
	}



/* &<anonymous:2658> */
	obj_t BGl_z62zc3anonymousza32658ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18473, obj_t BgL_sz00_18482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18474;
				obj_t BgL_a1z00_18475;
				obj_t BgL_a2z00_18476;
				obj_t BgL_a3z00_18477;
				obj_t BgL_a4z00_18478;
				obj_t BgL_locz00_18479;
				obj_t BgL_symbzd2funzd2_18480;
				long BgL_siza7eza7_18481;

				BgL_funz00_18474 = PROCEDURE_REF(BgL_envz00_18473, (int) (((long) 0)));
				BgL_a1z00_18475 = PROCEDURE_REF(BgL_envz00_18473, (int) (((long) 1)));
				BgL_a2z00_18476 = PROCEDURE_REF(BgL_envz00_18473, (int) (((long) 2)));
				BgL_a3z00_18477 = PROCEDURE_REF(BgL_envz00_18473, (int) (((long) 3)));
				BgL_a4z00_18478 = PROCEDURE_REF(BgL_envz00_18473, (int) (((long) 4)));
				BgL_locz00_18479 = PROCEDURE_REF(BgL_envz00_18473, (int) (((long) 5)));
				BgL_symbzd2funzd2_18480 =
					PROCEDURE_REF(BgL_envz00_18473, (int) (((long) 6)));
				BgL_siza7eza7_18481 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18473, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2387;

					BgL_sz00_2387 = BgL_sz00_18482;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2389;

						BgL_bpz00_2389 = VECTOR_REF(BgL_sz00_2387, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2390;
							obj_t BgL_a1z00_2391;
							obj_t BgL_a2z00_2392;
							obj_t BgL_a3z00_2393;
							obj_t BgL_a4z00_2394;

							BgL_fz00_2390 =
								PROCEDURE_ENTRY(BgL_funz00_18474) (BgL_funz00_18474,
								BgL_sz00_2387, BEOA);
							BgL_a1z00_2391 =
								PROCEDURE_ENTRY(BgL_a1z00_18475) (BgL_a1z00_18475,
								BgL_sz00_2387, BEOA);
							BgL_a2z00_2392 =
								PROCEDURE_ENTRY(BgL_a2z00_18476) (BgL_a2z00_18476,
								BgL_sz00_2387, BEOA);
							BgL_a3z00_2393 =
								PROCEDURE_ENTRY(BgL_a3z00_18477) (BgL_a3z00_18477,
								BgL_sz00_2387, BEOA);
							BgL_a4z00_2394 =
								PROCEDURE_ENTRY(BgL_a4z00_18478) (BgL_a4z00_18478,
								BgL_sz00_2387, BEOA);
							if (PROCEDUREP(BgL_fz00_2390))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18479,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_2390);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2396;

								BgL_ufz00_2396 = PROCEDURE_ATTR(BgL_fz00_2390);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_25555;

									if (STRUCTP(BgL_ufz00_2396))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25555 =
												(STRUCT_KEY(BgL_ufz00_2396) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25555 = ((bool_t) 0);
										}
									if (BgL_testz00_25555)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2398;
											obj_t BgL_runz00_2399;
											obj_t BgL_sfz00_2400;

											BgL_arityz00_2398 =
												STRUCT_REF(BgL_ufz00_2396, (int) (((long) 0)));
											BgL_runz00_2399 =
												STRUCT_REF(BgL_ufz00_2396, (int) (((long) 1)));
											BgL_sfz00_2400 =
												STRUCT_REF(BgL_ufz00_2396, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2398) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2662z00_2403;

														BgL_arg2662z00_2403 =
															((long) CINT(BgL_bpz00_2389) + ((long) 0));
														VECTOR_SET(BgL_sz00_2387,
															(int) (BgL_arg2662z00_2403), BgL_a1z00_2391);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2663z00_2404;

														BgL_arg2663z00_2404 =
															((long) CINT(BgL_bpz00_2389) + ((long) 1));
														VECTOR_SET(BgL_sz00_2387,
															(int) (BgL_arg2663z00_2404), BgL_a2z00_2392);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2664z00_2405;

														BgL_arg2664z00_2405 =
															((long) CINT(BgL_bpz00_2389) + ((long) 2));
														VECTOR_SET(BgL_sz00_2387,
															(int) (BgL_arg2664z00_2405), BgL_a3z00_2393);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2665z00_2406;

														BgL_arg2665z00_2406 =
															((long) CINT(BgL_bpz00_2389) + ((long) 3));
														VECTOR_SET(BgL_sz00_2387,
															(int) (BgL_arg2665z00_2406), BgL_a4z00_2394);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_2398))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_2398))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2668z00_2410;
																		obj_t BgL_arg2669z00_2411;

																		BgL_arg2668z00_2410 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2670z00_2412;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2671z00_2413;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2672z00_2414;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2673z00_2415;

																						BgL_arg2673z00_2415 =
																							MAKE_PAIR(BgL_a4z00_2394, BNIL);
																						BgL_arg2672z00_2414 =
																							MAKE_PAIR(BgL_a3z00_2393,
																							BgL_arg2673z00_2415);
																					}
																					BgL_arg2671z00_2413 =
																						MAKE_PAIR(BgL_a2z00_2392,
																						BgL_arg2672z00_2414);
																				}
																				BgL_list2670z00_2412 =
																					MAKE_PAIR(BgL_a1z00_2391,
																					BgL_arg2671z00_2413);
																			}
																			BgL_arg2669z00_2411 =
																				BgL_list2670z00_2412;
																		}
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2668z00_2410),
																			BgL_arg2669z00_2411);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2674z00_2416;

																		BgL_arg2674z00_2416 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2674z00_2416),
																			BgL_a1z00_2391);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2675z00_2417;
																		obj_t BgL_arg2676z00_2418;

																		BgL_arg2675z00_2417 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2677z00_2419;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2678z00_2420;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2679z00_2421;

																					BgL_arg2679z00_2421 =
																						MAKE_PAIR(BgL_a4z00_2394, BNIL);
																					BgL_arg2678z00_2420 =
																						MAKE_PAIR(BgL_a3z00_2393,
																						BgL_arg2679z00_2421);
																				}
																				BgL_list2677z00_2419 =
																					MAKE_PAIR(BgL_a2z00_2392,
																					BgL_arg2678z00_2420);
																			}
																			BgL_arg2676z00_2418 =
																				BgL_list2677z00_2419;
																		}
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2675z00_2417),
																			BgL_arg2676z00_2418);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2680z00_2422;

																		BgL_arg2680z00_2422 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2680z00_2422),
																			BgL_a1z00_2391);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2681z00_2423;

																		BgL_arg2681z00_2423 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2681z00_2423),
																			BgL_a2z00_2392);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2682z00_2424;
																		obj_t BgL_arg2683z00_2425;

																		BgL_arg2682z00_2424 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2684z00_2426;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2685z00_2427;

																				BgL_arg2685z00_2427 =
																					MAKE_PAIR(BgL_a4z00_2394, BNIL);
																				BgL_list2684z00_2426 =
																					MAKE_PAIR(BgL_a3z00_2393,
																					BgL_arg2685z00_2427);
																			}
																			BgL_arg2683z00_2425 =
																				BgL_list2684z00_2426;
																		}
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2682z00_2424),
																			BgL_arg2683z00_2425);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2686z00_2428;

																		BgL_arg2686z00_2428 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2686z00_2428),
																			BgL_a1z00_2391);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2687z00_2429;

																		BgL_arg2687z00_2429 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2687z00_2429),
																			BgL_a2z00_2392);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2688z00_2430;

																		BgL_arg2688z00_2430 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2688z00_2430),
																			BgL_a3z00_2393);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2689z00_2431;
																		obj_t BgL_arg2690z00_2432;

																		BgL_arg2689z00_2431 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2691z00_2433;

																			BgL_list2691z00_2433 =
																				MAKE_PAIR(BgL_a4z00_2394, BNIL);
																			BgL_arg2690z00_2432 =
																				BgL_list2691z00_2433;
																		}
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2689z00_2431),
																			BgL_arg2690z00_2432);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2692z00_2434;

																		BgL_arg2692z00_2434 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2692z00_2434),
																			BgL_a1z00_2391);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2693z00_2435;

																		BgL_arg2693z00_2435 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2693z00_2435),
																			BgL_a2z00_2392);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2694z00_2436;

																		BgL_arg2694z00_2436 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2694z00_2436),
																			BgL_a3z00_2393);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2695z00_2437;

																		BgL_arg2695z00_2437 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2695z00_2437),
																			BgL_a4z00_2394);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2696z00_2438;

																		BgL_arg2696z00_2438 =
																			(
																			(long) CINT(BgL_bpz00_2389) + ((long) 4));
																		VECTOR_SET(BgL_sz00_2387,
																			(int) (BgL_arg2696z00_2438), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18479,
																		STRUCT_REF(BgL_ufz00_2396,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_2398));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18479, STRUCT_REF(BgL_ufz00_2396,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_2398));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_2442;

												BgL_z12denvz12_2442 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_2389) +
															(long) CINT(BgL_sfz00_2400)) <
														(long) (VECTOR_LENGTH(BgL_sz00_2387))))
													{	/* Eval/evaluate_comp.scm 879 */
														return BgL_runz00_2399;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_nsz00_2444;

														BgL_nsz00_2444 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2701z00_2446;

															BgL_arg2701z00_2446 =
																((long) CINT(BgL_bpz00_2389) + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_2444, BINT(((long) 2)),
																BgL_sz00_2387, BgL_bpz00_2389,
																BINT(BgL_arg2701z00_2446));
														}
														VECTOR_SET(BgL_nsz00_2444,
															(int) (((long) 1)), BgL_sz00_2387);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2442,
															BgL_nsz00_2444);
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_exitd1273z00_2447;

															BgL_exitd1273z00_2447 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_zc3anonymousza32702ze3z83_18437;

																BgL_zc3anonymousza32702ze3z83_18437 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32702ze3ze1zz__evaluate_compz00,
																	(int) (((long) 0)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32702ze3z83_18437,
																	(int) (((long) 0)), BgL_z12denvz12_2442);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32702ze3z83_18437,
																	(int) (((long) 1)), BgL_sz00_2387);
																BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																	(BgL_exitd1273z00_2447,
																	BgL_zc3anonymousza32702ze3z83_18437);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_tmp1275z00_2449;

																	{	/* Eval/evaluate_comp.scm 651 */
																		obj_t BgL_savedzd2bpzd2_10271;

																		BgL_savedzd2bpzd2_10271 =
																			VECTOR_REF(BgL_nsz00_2444,
																			(int) (((long) 0)));
																		VECTOR_SET(BgL_nsz00_2444,
																			(int) (((long) 0)), BINT(((long) 2)));
																		{
																			obj_t BgL_fz00_10278;

																			BgL_fz00_10278 = BgL_runz00_2399;
																		BgL_recz00_10277:
																			{	/* Eval/evaluate_comp.scm 654 */
																				obj_t BgL_rz00_10279;

																				BgL_rz00_10279 =
																					PROCEDURE_ENTRY(BgL_fz00_10278)
																					(BgL_fz00_10278, BgL_nsz00_2444,
																					BEOA);
																				{	/* Eval/evaluate_comp.scm 655 */
																					bool_t BgL_testz00_25704;

																					if (PROCEDUREP(BgL_rz00_10279))
																						{	/* Eval/evaluate_comp.scm 655 */
																							obj_t BgL_arg1964z00_10284;

																							BgL_arg1964z00_10284 =
																								PROCEDURE_ATTR(BgL_rz00_10279);
																							if (STRUCTP(BgL_arg1964z00_10284))
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_25704 =
																										(STRUCT_KEY
																										(BgL_arg1964z00_10284) ==
																										BGl_symbol6203z00zz__evaluate_compz00);
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 635 */
																									BgL_testz00_25704 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							BgL_testz00_25704 = ((bool_t) 0);
																						}
																					if (BgL_testz00_25704)
																						{
																							obj_t BgL_fz00_25712;

																							BgL_fz00_25712 = BgL_rz00_10279;
																							BgL_fz00_10278 = BgL_fz00_25712;
																							goto BgL_recz00_10277;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 655 */
																							VECTOR_SET(BgL_nsz00_2444,
																								(int) (((long) 0)),
																								BgL_savedzd2bpzd2_10271);
																							BgL_tmp1275z00_2449 =
																								BgL_rz00_10279;
																	}}}}}
																	BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																		(BgL_exitd1273z00_2447);
																	BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2442,
																		BgL_sz00_2387);
																	return BgL_tmp1275z00_2449;
																}
															}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2390,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2453;

													BgL_nbpz00_2453 =
														((long) CINT(BgL_bpz00_2389) + BgL_siza7eza7_18481);
													VECTOR_SET(BgL_sz00_2387,
														(int) (((long) 0)), BINT(BgL_nbpz00_2453));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2454;

														BgL_rz00_2454 =
															PROCEDURE_ENTRY(BgL_fz00_2390) (BgL_fz00_2390,
															BgL_a1z00_2391, BgL_a2z00_2392, BgL_a3z00_2393,
															BgL_a4z00_2394, BEOA);
														VECTOR_SET(BgL_sz00_2387, (int) (((long) 0)),
															BgL_bpz00_2389);
														return BgL_rz00_2454;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18479, BgL_symbzd2funzd2_18480,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2390));
		}}}}}}}}}
	}



/* &<anonymous:2702> */
	obj_t BGl_z62zc3anonymousza32702ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18484;
				obj_t BgL_sz00_18485;

				BgL_z12denvz12_18484 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18483, (int) (((long) 0))));
				BgL_sz00_18485 = PROCEDURE_REF(BgL_envz00_18483, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18484, BgL_sz00_18485);
				}
			}
		}
	}



/* &<anonymous:2707> */
	obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18486, obj_t BgL_sz00_18495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18487;
				obj_t BgL_a1z00_18488;
				obj_t BgL_a2z00_18489;
				obj_t BgL_a3z00_18490;
				obj_t BgL_a4z00_18491;
				obj_t BgL_locz00_18492;
				obj_t BgL_symbzd2funzd2_18493;
				long BgL_siza7eza7_18494;

				BgL_funz00_18487 = PROCEDURE_REF(BgL_envz00_18486, (int) (((long) 0)));
				BgL_a1z00_18488 = PROCEDURE_REF(BgL_envz00_18486, (int) (((long) 1)));
				BgL_a2z00_18489 = PROCEDURE_REF(BgL_envz00_18486, (int) (((long) 2)));
				BgL_a3z00_18490 = PROCEDURE_REF(BgL_envz00_18486, (int) (((long) 3)));
				BgL_a4z00_18491 = PROCEDURE_REF(BgL_envz00_18486, (int) (((long) 4)));
				BgL_locz00_18492 = PROCEDURE_REF(BgL_envz00_18486, (int) (((long) 5)));
				BgL_symbzd2funzd2_18493 =
					PROCEDURE_REF(BgL_envz00_18486, (int) (((long) 6)));
				BgL_siza7eza7_18494 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18486, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2458;

					BgL_sz00_2458 = BgL_sz00_18495;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2460;

						BgL_bpz00_2460 = VECTOR_REF(BgL_sz00_2458, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2461;
							obj_t BgL_a1z00_2462;
							obj_t BgL_a2z00_2463;
							obj_t BgL_a3z00_2464;
							obj_t BgL_a4z00_2465;

							BgL_fz00_2461 =
								PROCEDURE_ENTRY(BgL_funz00_18487) (BgL_funz00_18487,
								BgL_sz00_2458, BEOA);
							BgL_a1z00_2462 =
								PROCEDURE_ENTRY(BgL_a1z00_18488) (BgL_a1z00_18488,
								BgL_sz00_2458, BEOA);
							BgL_a2z00_2463 =
								PROCEDURE_ENTRY(BgL_a2z00_18489) (BgL_a2z00_18489,
								BgL_sz00_2458, BEOA);
							BgL_a3z00_2464 =
								PROCEDURE_ENTRY(BgL_a3z00_18490) (BgL_a3z00_18490,
								BgL_sz00_2458, BEOA);
							BgL_a4z00_2465 =
								PROCEDURE_ENTRY(BgL_a4z00_18491) (BgL_a4z00_18491,
								BgL_sz00_2458, BEOA);
							if (PROCEDUREP(BgL_fz00_2461))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18492,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_2461);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2467;

								BgL_ufz00_2467 = PROCEDURE_ATTR(BgL_fz00_2461);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_25786;

									if (STRUCTP(BgL_ufz00_2467))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25786 =
												(STRUCT_KEY(BgL_ufz00_2467) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25786 = ((bool_t) 0);
										}
									if (BgL_testz00_25786)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2469;
											obj_t BgL_runz00_2470;
											obj_t BgL_sfz00_2471;

											BgL_arityz00_2469 =
												STRUCT_REF(BgL_ufz00_2467, (int) (((long) 0)));
											BgL_runz00_2470 =
												STRUCT_REF(BgL_ufz00_2467, (int) (((long) 1)));
											BgL_sfz00_2471 =
												STRUCT_REF(BgL_ufz00_2467, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2472;

												BgL_spz00_2472 =
													((long) CINT(BgL_bpz00_2460) + BgL_siza7eza7_18494);
												if (((long) CINT(BgL_arityz00_2469) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2711z00_2474;

															BgL_arg2711z00_2474 =
																(BgL_spz00_2472 + ((long) 0));
															VECTOR_SET(BgL_sz00_2458,
																(int) (BgL_arg2711z00_2474), BgL_a1z00_2462);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2713z00_2475;

															BgL_arg2713z00_2475 =
																(BgL_spz00_2472 + ((long) 1));
															VECTOR_SET(BgL_sz00_2458,
																(int) (BgL_arg2713z00_2475), BgL_a2z00_2463);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2714z00_2476;

															BgL_arg2714z00_2476 =
																(BgL_spz00_2472 + ((long) 2));
															VECTOR_SET(BgL_sz00_2458,
																(int) (BgL_arg2714z00_2476), BgL_a3z00_2464);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2715z00_2477;

															BgL_arg2715z00_2477 =
																(BgL_spz00_2472 + ((long) 3));
															VECTOR_SET(BgL_sz00_2458,
																(int) (BgL_arg2715z00_2477), BgL_a4z00_2465);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_2469))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_2469))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2717z00_2481;
																			obj_t BgL_arg2718z00_2482;

																			BgL_arg2717z00_2481 =
																				(BgL_spz00_2472 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2719z00_2483;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2720z00_2484;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2721z00_2485;

																						{	/* Eval/evaluate_comp.scm 879 */
																							obj_t BgL_arg2722z00_2486;

																							BgL_arg2722z00_2486 =
																								MAKE_PAIR(BgL_a4z00_2465, BNIL);
																							BgL_arg2721z00_2485 =
																								MAKE_PAIR(BgL_a3z00_2464,
																								BgL_arg2722z00_2486);
																						}
																						BgL_arg2720z00_2484 =
																							MAKE_PAIR(BgL_a2z00_2463,
																							BgL_arg2721z00_2485);
																					}
																					BgL_list2719z00_2483 =
																						MAKE_PAIR(BgL_a1z00_2462,
																						BgL_arg2720z00_2484);
																				}
																				BgL_arg2718z00_2482 =
																					BgL_list2719z00_2483;
																			}
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2717z00_2481),
																				BgL_arg2718z00_2482);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2723z00_2487;

																			BgL_arg2723z00_2487 =
																				(BgL_spz00_2472 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2723z00_2487),
																				BgL_a1z00_2462);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2724z00_2488;
																			obj_t BgL_arg2726z00_2489;

																			BgL_arg2724z00_2488 =
																				(BgL_spz00_2472 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2727z00_2490;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2728z00_2491;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2729z00_2492;

																						BgL_arg2729z00_2492 =
																							MAKE_PAIR(BgL_a4z00_2465, BNIL);
																						BgL_arg2728z00_2491 =
																							MAKE_PAIR(BgL_a3z00_2464,
																							BgL_arg2729z00_2492);
																					}
																					BgL_list2727z00_2490 =
																						MAKE_PAIR(BgL_a2z00_2463,
																						BgL_arg2728z00_2491);
																				}
																				BgL_arg2726z00_2489 =
																					BgL_list2727z00_2490;
																			}
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2724z00_2488),
																				BgL_arg2726z00_2489);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2730z00_2493;

																			BgL_arg2730z00_2493 =
																				(BgL_spz00_2472 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2730z00_2493),
																				BgL_a1z00_2462);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2731z00_2494;

																			BgL_arg2731z00_2494 =
																				(BgL_spz00_2472 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2731z00_2494),
																				BgL_a2z00_2463);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2732z00_2495;
																			obj_t BgL_arg2733z00_2496;

																			BgL_arg2732z00_2495 =
																				(BgL_spz00_2472 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2734z00_2497;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2735z00_2498;

																					BgL_arg2735z00_2498 =
																						MAKE_PAIR(BgL_a4z00_2465, BNIL);
																					BgL_list2734z00_2497 =
																						MAKE_PAIR(BgL_a3z00_2464,
																						BgL_arg2735z00_2498);
																				}
																				BgL_arg2733z00_2496 =
																					BgL_list2734z00_2497;
																			}
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2732z00_2495),
																				BgL_arg2733z00_2496);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2736z00_2499;

																			BgL_arg2736z00_2499 =
																				(BgL_spz00_2472 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2736z00_2499),
																				BgL_a1z00_2462);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2737z00_2500;

																			BgL_arg2737z00_2500 =
																				(BgL_spz00_2472 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2737z00_2500),
																				BgL_a2z00_2463);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2738z00_2501;

																			BgL_arg2738z00_2501 =
																				(BgL_spz00_2472 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2738z00_2501),
																				BgL_a3z00_2464);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2739z00_2502;
																			obj_t BgL_arg2740z00_2503;

																			BgL_arg2739z00_2502 =
																				(BgL_spz00_2472 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2741z00_2504;

																				BgL_list2741z00_2504 =
																					MAKE_PAIR(BgL_a4z00_2465, BNIL);
																				BgL_arg2740z00_2503 =
																					BgL_list2741z00_2504;
																			}
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2739z00_2502),
																				BgL_arg2740z00_2503);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2742z00_2505;

																			BgL_arg2742z00_2505 =
																				(BgL_spz00_2472 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2742z00_2505),
																				BgL_a1z00_2462);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2743z00_2506;

																			BgL_arg2743z00_2506 =
																				(BgL_spz00_2472 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2743z00_2506),
																				BgL_a2z00_2463);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2744z00_2507;

																			BgL_arg2744z00_2507 =
																				(BgL_spz00_2472 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2744z00_2507),
																				BgL_a3z00_2464);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2745z00_2508;

																			BgL_arg2745z00_2508 =
																				(BgL_spz00_2472 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2745z00_2508),
																				BgL_a4z00_2465);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2746z00_2509;

																			BgL_arg2746z00_2509 =
																				(BgL_spz00_2472 + ((long) 4));
																			VECTOR_SET(BgL_sz00_2458,
																				(int) (BgL_arg2746z00_2509), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18492,
																			STRUCT_REF(BgL_ufz00_2467,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_2469));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18492, STRUCT_REF(BgL_ufz00_2467,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_2469));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2513;

													BgL_z12denvz12_2513 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2513,
														BgL_locz00_18492);
													if (((BgL_spz00_2472 + (long) CINT(BgL_sfz00_2471)) <
															(long) (VECTOR_LENGTH(BgL_sz00_2458))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_2470, BgL_sz00_2458,
																BINT(BgL_spz00_2472));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_2515;

															BgL_nsz00_2515 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2751z00_2517;

																BgL_arg2751z00_2517 =
																	(BgL_spz00_2472 + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2515, BINT(((long) 2)),
																	BgL_sz00_2458, BINT(BgL_spz00_2472),
																	BINT(BgL_arg2751z00_2517));
															}
															VECTOR_SET(BgL_nsz00_2515,
																(int) (((long) 1)), BgL_sz00_2458);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2513,
																BgL_nsz00_2515);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1278z00_2518;

																BgL_exitd1278z00_2518 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32752ze3z83_18439;

																	BgL_zc3anonymousza32752ze3z83_18439 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32752ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32752ze3z83_18439,
																		(int) (((long) 0)), BgL_z12denvz12_2513);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32752ze3z83_18439,
																		(int) (((long) 1)), BgL_sz00_2458);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1278z00_2518,
																		BgL_zc3anonymousza32752ze3z83_18439);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1280z00_2520;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_10490;

																			BgL_savedzd2bpzd2_10490 =
																				VECTOR_REF(BgL_nsz00_2515,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_2515,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_10497;

																				BgL_fz00_10497 = BgL_runz00_2470;
																			BgL_recz00_10496:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_10498;

																					BgL_rz00_10498 =
																						PROCEDURE_ENTRY(BgL_fz00_10497)
																						(BgL_fz00_10497, BgL_nsz00_2515,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_25920;

																						if (PROCEDUREP(BgL_rz00_10498))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_10503;

																								BgL_arg1964z00_10503 =
																									PROCEDURE_ATTR
																									(BgL_rz00_10498);
																								if (STRUCTP
																									(BgL_arg1964z00_10503))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_25920 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_10503) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_25920 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_25920 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_25920)
																							{
																								obj_t BgL_fz00_25928;

																								BgL_fz00_25928 = BgL_rz00_10498;
																								BgL_fz00_10497 = BgL_fz00_25928;
																								goto BgL_recz00_10496;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_2515,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_10490);
																								BgL_tmp1280z00_2520 =
																									BgL_rz00_10498;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1278z00_2518);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2513,
																			BgL_sz00_2458);
																		return BgL_tmp1280z00_2520;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2461,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2524;

													BgL_nbpz00_2524 =
														((long) CINT(BgL_bpz00_2460) + BgL_siza7eza7_18494);
													VECTOR_SET(BgL_sz00_2458,
														(int) (((long) 0)), BINT(BgL_nbpz00_2524));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_25941;

														BgL_auxz00_25941 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_25941,
															BgL_locz00_18492);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2526;

														BgL_rz00_2526 =
															PROCEDURE_ENTRY(BgL_fz00_2461) (BgL_fz00_2461,
															BgL_a1z00_2462, BgL_a2z00_2463, BgL_a3z00_2464,
															BgL_a4z00_2465, BEOA);
														VECTOR_SET(BgL_sz00_2458, (int) (((long) 0)),
															BgL_bpz00_2460);
														return BgL_rz00_2526;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18492, BgL_symbzd2funzd2_18493,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2461));
		}}}}}}}}}
	}



/* &<anonymous:2752> */
	obj_t BGl_z62zc3anonymousza32752ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18496)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18497;
				obj_t BgL_sz00_18498;

				BgL_z12denvz12_18497 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18496, (int) (((long) 0))));
				BgL_sz00_18498 = PROCEDURE_REF(BgL_envz00_18496, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18497, BgL_sz00_18498);
				}
			}
		}
	}



/* &<anonymous:2756> */
	obj_t BGl_z62zc3anonymousza32756ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18499, obj_t BgL_sz00_18508)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18500;
				obj_t BgL_a1z00_18501;
				obj_t BgL_a2z00_18502;
				obj_t BgL_a3z00_18503;
				obj_t BgL_a4z00_18504;
				obj_t BgL_locz00_18505;
				obj_t BgL_symbzd2funzd2_18506;
				long BgL_siza7eza7_18507;

				BgL_funz00_18500 = PROCEDURE_REF(BgL_envz00_18499, (int) (((long) 0)));
				BgL_a1z00_18501 = PROCEDURE_REF(BgL_envz00_18499, (int) (((long) 1)));
				BgL_a2z00_18502 = PROCEDURE_REF(BgL_envz00_18499, (int) (((long) 2)));
				BgL_a3z00_18503 = PROCEDURE_REF(BgL_envz00_18499, (int) (((long) 3)));
				BgL_a4z00_18504 = PROCEDURE_REF(BgL_envz00_18499, (int) (((long) 4)));
				BgL_locz00_18505 = PROCEDURE_REF(BgL_envz00_18499, (int) (((long) 5)));
				BgL_symbzd2funzd2_18506 =
					PROCEDURE_REF(BgL_envz00_18499, (int) (((long) 6)));
				BgL_siza7eza7_18507 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18499, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2528;

					BgL_sz00_2528 = BgL_sz00_18508;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2530;

						BgL_bpz00_2530 = VECTOR_REF(BgL_sz00_2528, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2531;
							obj_t BgL_a1z00_2532;
							obj_t BgL_a2z00_2533;
							obj_t BgL_a3z00_2534;
							obj_t BgL_a4z00_2535;

							BgL_fz00_2531 =
								PROCEDURE_ENTRY(BgL_funz00_18500) (BgL_funz00_18500,
								BgL_sz00_2528, BEOA);
							BgL_a1z00_2532 =
								PROCEDURE_ENTRY(BgL_a1z00_18501) (BgL_a1z00_18501,
								BgL_sz00_2528, BEOA);
							BgL_a2z00_2533 =
								PROCEDURE_ENTRY(BgL_a2z00_18502) (BgL_a2z00_18502,
								BgL_sz00_2528, BEOA);
							BgL_a3z00_2534 =
								PROCEDURE_ENTRY(BgL_a3z00_18503) (BgL_a3z00_18503,
								BgL_sz00_2528, BEOA);
							BgL_a4z00_2535 =
								PROCEDURE_ENTRY(BgL_a4z00_18504) (BgL_a4z00_18504,
								BgL_sz00_2528, BEOA);
							if (PROCEDUREP(BgL_fz00_2531))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18505,
										BGl_string6207z00zz__evaluate_compz00,
										BGl_string6223z00zz__evaluate_compz00, BgL_fz00_2531);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2537;

								BgL_ufz00_2537 = PROCEDURE_ATTR(BgL_fz00_2531);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_26005;

									if (STRUCTP(BgL_ufz00_2537))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_26005 =
												(STRUCT_KEY(BgL_ufz00_2537) ==
												BGl_symbol6224z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_26005 = ((bool_t) 0);
										}
									if (BgL_testz00_26005)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2539;
											obj_t BgL_runz00_2540;
											obj_t BgL_sfz00_2541;

											BgL_arityz00_2539 =
												STRUCT_REF(BgL_ufz00_2537, (int) (((long) 0)));
											BgL_runz00_2540 =
												STRUCT_REF(BgL_ufz00_2537, (int) (((long) 1)));
											BgL_sfz00_2541 =
												STRUCT_REF(BgL_ufz00_2537, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2542;

												BgL_spz00_2542 =
													((long) CINT(BgL_bpz00_2530) + BgL_siza7eza7_18507);
												if (((long) CINT(BgL_arityz00_2539) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2760z00_2544;

															BgL_arg2760z00_2544 =
																(BgL_spz00_2542 + ((long) 0));
															VECTOR_SET(BgL_sz00_2528,
																(int) (BgL_arg2760z00_2544), BgL_a1z00_2532);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2761z00_2545;

															BgL_arg2761z00_2545 =
																(BgL_spz00_2542 + ((long) 1));
															VECTOR_SET(BgL_sz00_2528,
																(int) (BgL_arg2761z00_2545), BgL_a2z00_2533);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2762z00_2546;

															BgL_arg2762z00_2546 =
																(BgL_spz00_2542 + ((long) 2));
															VECTOR_SET(BgL_sz00_2528,
																(int) (BgL_arg2762z00_2546), BgL_a3z00_2534);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2763z00_2547;

															BgL_arg2763z00_2547 =
																(BgL_spz00_2542 + ((long) 3));
															VECTOR_SET(BgL_sz00_2528,
																(int) (BgL_arg2763z00_2547), BgL_a4z00_2535);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_2539))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_2539))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2765z00_2551;
																			obj_t BgL_arg2766z00_2552;

																			BgL_arg2765z00_2551 =
																				(BgL_spz00_2542 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2767z00_2553;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2768z00_2554;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2769z00_2555;

																						{	/* Eval/evaluate_comp.scm 879 */
																							obj_t BgL_arg2770z00_2556;

																							BgL_arg2770z00_2556 =
																								MAKE_PAIR(BgL_a4z00_2535, BNIL);
																							BgL_arg2769z00_2555 =
																								MAKE_PAIR(BgL_a3z00_2534,
																								BgL_arg2770z00_2556);
																						}
																						BgL_arg2768z00_2554 =
																							MAKE_PAIR(BgL_a2z00_2533,
																							BgL_arg2769z00_2555);
																					}
																					BgL_list2767z00_2553 =
																						MAKE_PAIR(BgL_a1z00_2532,
																						BgL_arg2768z00_2554);
																				}
																				BgL_arg2766z00_2552 =
																					BgL_list2767z00_2553;
																			}
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2765z00_2551),
																				BgL_arg2766z00_2552);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2771z00_2557;

																			BgL_arg2771z00_2557 =
																				(BgL_spz00_2542 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2771z00_2557),
																				BgL_a1z00_2532);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2772z00_2558;
																			obj_t BgL_arg2773z00_2559;

																			BgL_arg2772z00_2558 =
																				(BgL_spz00_2542 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2774z00_2560;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2775z00_2561;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2776z00_2562;

																						BgL_arg2776z00_2562 =
																							MAKE_PAIR(BgL_a4z00_2535, BNIL);
																						BgL_arg2775z00_2561 =
																							MAKE_PAIR(BgL_a3z00_2534,
																							BgL_arg2776z00_2562);
																					}
																					BgL_list2774z00_2560 =
																						MAKE_PAIR(BgL_a2z00_2533,
																						BgL_arg2775z00_2561);
																				}
																				BgL_arg2773z00_2559 =
																					BgL_list2774z00_2560;
																			}
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2772z00_2558),
																				BgL_arg2773z00_2559);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2777z00_2563;

																			BgL_arg2777z00_2563 =
																				(BgL_spz00_2542 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2777z00_2563),
																				BgL_a1z00_2532);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2778z00_2564;

																			BgL_arg2778z00_2564 =
																				(BgL_spz00_2542 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2778z00_2564),
																				BgL_a2z00_2533);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2779z00_2565;
																			obj_t BgL_arg2780z00_2566;

																			BgL_arg2779z00_2565 =
																				(BgL_spz00_2542 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2781z00_2567;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2782z00_2568;

																					BgL_arg2782z00_2568 =
																						MAKE_PAIR(BgL_a4z00_2535, BNIL);
																					BgL_list2781z00_2567 =
																						MAKE_PAIR(BgL_a3z00_2534,
																						BgL_arg2782z00_2568);
																				}
																				BgL_arg2780z00_2566 =
																					BgL_list2781z00_2567;
																			}
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2779z00_2565),
																				BgL_arg2780z00_2566);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2783z00_2569;

																			BgL_arg2783z00_2569 =
																				(BgL_spz00_2542 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2783z00_2569),
																				BgL_a1z00_2532);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2784z00_2570;

																			BgL_arg2784z00_2570 =
																				(BgL_spz00_2542 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2784z00_2570),
																				BgL_a2z00_2533);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2785z00_2571;

																			BgL_arg2785z00_2571 =
																				(BgL_spz00_2542 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2785z00_2571),
																				BgL_a3z00_2534);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2786z00_2572;
																			obj_t BgL_arg2787z00_2573;

																			BgL_arg2786z00_2572 =
																				(BgL_spz00_2542 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2788z00_2574;

																				BgL_list2788z00_2574 =
																					MAKE_PAIR(BgL_a4z00_2535, BNIL);
																				BgL_arg2787z00_2573 =
																					BgL_list2788z00_2574;
																			}
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2786z00_2572),
																				BgL_arg2787z00_2573);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2789z00_2575;

																			BgL_arg2789z00_2575 =
																				(BgL_spz00_2542 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2789z00_2575),
																				BgL_a1z00_2532);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2790z00_2576;

																			BgL_arg2790z00_2576 =
																				(BgL_spz00_2542 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2790z00_2576),
																				BgL_a2z00_2533);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2791z00_2577;

																			BgL_arg2791z00_2577 =
																				(BgL_spz00_2542 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2791z00_2577),
																				BgL_a3z00_2534);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2792z00_2578;

																			BgL_arg2792z00_2578 =
																				(BgL_spz00_2542 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2792z00_2578),
																				BgL_a4z00_2535);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2793z00_2579;

																			BgL_arg2793z00_2579 =
																				(BgL_spz00_2542 + ((long) 4));
																			VECTOR_SET(BgL_sz00_2528,
																				(int) (BgL_arg2793z00_2579), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18505,
																			STRUCT_REF(BgL_ufz00_2537,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_2539));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18505, STRUCT_REF(BgL_ufz00_2537,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_2539));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2583;

													BgL_z12denvz12_2583 = BGL_CURRENT_DYNAMIC_ENV();
													if (
														((BgL_spz00_2542 +
																(long) CINT(BgL_sfz00_2541)) <
															(long) (VECTOR_LENGTH(BgL_sz00_2528))))
														{	/* Eval/evaluate_comp.scm 879 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_2540, BgL_sz00_2528,
																BINT(BgL_spz00_2542));
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_2585;

															BgL_nsz00_2585 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2798z00_2587;

																BgL_arg2798z00_2587 =
																	(BgL_spz00_2542 + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2585, BINT(((long) 2)),
																	BgL_sz00_2528, BINT(BgL_spz00_2542),
																	BINT(BgL_arg2798z00_2587));
															}
															VECTOR_SET(BgL_nsz00_2585,
																(int) (((long) 1)), BgL_sz00_2528);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2583,
																BgL_nsz00_2585);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1283z00_2588;

																BgL_exitd1283z00_2588 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32799ze3z83_18441;

																	BgL_zc3anonymousza32799ze3z83_18441 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32799ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32799ze3z83_18441,
																		(int) (((long) 0)), BgL_z12denvz12_2583);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32799ze3z83_18441,
																		(int) (((long) 1)), BgL_sz00_2528);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1283z00_2588,
																		BgL_zc3anonymousza32799ze3z83_18441);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1285z00_2590;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_10710;

																			BgL_savedzd2bpzd2_10710 =
																				VECTOR_REF(BgL_nsz00_2585,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_2585,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_10717;

																				BgL_fz00_10717 = BgL_runz00_2540;
																			BgL_recz00_10716:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_10718;

																					BgL_rz00_10718 =
																						PROCEDURE_ENTRY(BgL_fz00_10717)
																						(BgL_fz00_10717, BgL_nsz00_2585,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_26138;

																						if (PROCEDUREP(BgL_rz00_10718))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1964z00_10723;

																								BgL_arg1964z00_10723 =
																									PROCEDURE_ATTR
																									(BgL_rz00_10718);
																								if (STRUCTP
																									(BgL_arg1964z00_10723))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_26138 =
																											(STRUCT_KEY
																											(BgL_arg1964z00_10723) ==
																											BGl_symbol6203z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_26138 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_26138 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_26138)
																							{
																								obj_t BgL_fz00_26146;

																								BgL_fz00_26146 = BgL_rz00_10718;
																								BgL_fz00_10717 = BgL_fz00_26146;
																								goto BgL_recz00_10716;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_2585,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_10710);
																								BgL_tmp1285z00_2590 =
																									BgL_rz00_10718;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1283z00_2588);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2583,
																			BgL_sz00_2528);
																		return BgL_tmp1285z00_2590;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2531,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2594;

													BgL_nbpz00_2594 =
														((long) CINT(BgL_bpz00_2530) + BgL_siza7eza7_18507);
													VECTOR_SET(BgL_sz00_2528,
														(int) (((long) 0)), BINT(BgL_nbpz00_2594));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2595;

														BgL_rz00_2595 =
															PROCEDURE_ENTRY(BgL_fz00_2531) (BgL_fz00_2531,
															BgL_a1z00_2532, BgL_a2z00_2533, BgL_a3z00_2534,
															BgL_a4z00_2535, BEOA);
														VECTOR_SET(BgL_sz00_2528, (int) (((long) 0)),
															BgL_bpz00_2530);
														return BgL_rz00_2595;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18505, BgL_symbzd2funzd2_18506,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2531));
		}}}}}}}}}
	}



/* &<anonymous:2799> */
	obj_t BGl_z62zc3anonymousza32799ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18510;
				obj_t BgL_sz00_18511;

				BgL_z12denvz12_18510 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18509, (int) (((long) 0))));
				BgL_sz00_18511 = PROCEDURE_REF(BgL_envz00_18509, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18510, BgL_sz00_18511);
				}
			}
		}
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 882 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 886 */
					obj_t BgL_gz00_2600;

					{	/* Eval/evaluate_comp.scm 886 */
						obj_t BgL_arg2809z00_2606;
						obj_t BgL_arg2810z00_2607;

						BgL_arg2809z00_2606 =
							(((BgL_ev_globalz00_bglt) CREF(
									((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_modz00);
						BgL_arg2810z00_2607 =
							(((BgL_ev_globalz00_bglt) CREF(
									((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_namez00);
						BgL_gz00_2600 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00
							(BgL_arg2809z00_2606, BgL_arg2810z00_2607);
					}
					if (CBOOL(BgL_gz00_2600))
						{	/* Eval/evaluate_comp.scm 888 */
							bool_t BgL_testz00_26187;

							{	/* Eval/evaluate_comp.scm 888 */
								int BgL_arg2808z00_2605;

								{	/* Eval/evaluate_comp.scm 888 */
									int BgL_res5312z00_10747;

									{	/* Eval/evaluate_comp.scm 888 */
										int BgL_kz00_10746;

										BgL_kz00_10746 = (int) (((long) 0));
										BgL_res5312z00_10747 =
											CINT(VECTOR_REF(BgL_gz00_2600, BgL_kz00_10746));
									}
									BgL_arg2808z00_2605 = BgL_res5312z00_10747;
								}
								BgL_testz00_26187 =
									((long) (BgL_arg2808z00_2605) == ((long) 0));
							}
							if (BgL_testz00_26187)
								{	/* Eval/evaluate_comp.scm 889 */
									obj_t BgL_valz00_2602;

									BgL_valz00_2602 =
										VECTOR_REF(BgL_gz00_2600, (int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 890 */
										bool_t BgL_testz00_26195;

										if (PROCEDUREP(BgL_valz00_2602))
											{	/* Eval/evaluate_comp.scm 890 */
												BgL_testz00_26195 =
													PROCEDURE_CORRECT_ARITYP(BgL_valz00_2602,
													(int) (BgL_nbargsz00_184));
											}
										else
											{	/* Eval/evaluate_comp.scm 890 */
												BgL_testz00_26195 = ((bool_t) 0);
											}
										if (BgL_testz00_26195)
											{	/* Eval/evaluate_comp.scm 890 */
												return BgL_valz00_2602;
											}
										else
											{	/* Eval/evaluate_comp.scm 890 */
												return BFALSE;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 888 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 887 */
							return BFALSE;
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 893 */
					bool_t BgL_testz00_26200;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 894 */
							obj_t BgL_auxz00_26204;

							BgL_auxz00_26204 =
								(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
							BgL_testz00_26200 = PROCEDUREP(BgL_auxz00_26204);
						}
					else
						{	/* Eval/evaluate_comp.scm 893 */
							BgL_testz00_26200 = ((bool_t) 0);
						}
					if (BgL_testz00_26200)
						{	/* Eval/evaluate_comp.scm 896 */
							bool_t BgL_testz00_26208;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_arg2815z00_2613;

								BgL_arg2815z00_2613 =
									(((BgL_ev_littz00_bglt) CREF(
											((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
								BgL_testz00_26208 =
									PROCEDURE_CORRECT_ARITYP(BgL_arg2815z00_2613,
									(int) (BgL_nbargsz00_184));
							}
							if (BgL_testz00_26208)
								{	/* Eval/evaluate_comp.scm 896 */
									return
										(((BgL_ev_littz00_bglt) CREF(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 898 */
									int BgL_arg2813z00_2611;

									{	/* Eval/evaluate_comp.scm 898 */
										obj_t BgL_arg2814z00_2612;

										BgL_arg2814z00_2612 =
											(((BgL_ev_littz00_bglt) CREF(
													((BgL_ev_littz00_bglt) BgL_funz00_183)))->
											BgL_valuez00);
										BgL_arg2813z00_2611 = PROCEDURE_ARITY(BgL_arg2814z00_2612);
									}
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
										BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
										BgL_arg2813z00_2611);
						}}
					else
						{	/* Eval/evaluate_comp.scm 893 */
							return BFALSE;
						}
				}
		}
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 901 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 905 */
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 907 */
							obj_t BgL_v1671z00_2621;

							BgL_v1671z00_2621 = create_vector((int) (((long) 2)));
							{	/* Eval/evaluate_comp.scm 907 */
								double BgL_arg2820z00_2622;

								BgL_arg2820z00_2622 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) CREF(
													((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
											BgL_valuez00)));
								{	/* Eval/evaluate_comp.scm 907 */
									int BgL_kz00_10763;
									obj_t BgL_objz00_10764;

									BgL_kz00_10763 = (int) (((long) 1));
									BgL_objz00_10764 = DOUBLE_TO_REAL(BgL_arg2820z00_2622);
									VECTOR_SET(BgL_v1671z00_2621, BgL_kz00_10763,
										BgL_objz00_10764);
							}}
							VECTOR_SET(BgL_v1671z00_2621,
								(int) (((long) 0)), BINT(((long) 1)));
							return BgL_v1671z00_2621;
						}
					else
						{	/* Eval/evaluate_comp.scm 908 */
							bool_t BgL_testz00_26238;

							{	/* Eval/evaluate_comp.scm 908 */
								obj_t BgL_auxz00_26239;

								BgL_auxz00_26239 =
									(((BgL_ev_littz00_bglt) CREF(
											((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00);
								BgL_testz00_26238 = REALP(BgL_auxz00_26239);
							}
							if (BgL_testz00_26238)
								{	/* Eval/evaluate_comp.scm 908 */
									obj_t BgL_v1672z00_2625;

									BgL_v1672z00_2625 = create_vector((int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 908 */
										obj_t BgL_arg2823z00_2626;

										BgL_arg2823z00_2626 =
											(((BgL_ev_littz00_bglt) CREF(
													((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
											BgL_valuez00);
										VECTOR_SET(BgL_v1672z00_2625, (int) (((long) 1)),
											BgL_arg2823z00_2626);
									}
									VECTOR_SET(BgL_v1672z00_2625,
										(int) (((long) 0)), BINT(((long) 1)));
									return BgL_v1672z00_2625;
								}
							else
								{	/* Eval/evaluate_comp.scm 909 */
									obj_t BgL_v1673z00_2627;

									BgL_v1673z00_2627 = create_vector((int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 909 */
										obj_t BgL_arg2824z00_2628;

										BgL_arg2824z00_2628 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_187)),
											BgL_stkz00_188);
										VECTOR_SET(BgL_v1673z00_2627, (int) (((long) 1)),
											BgL_arg2824z00_2628);
									}
									VECTOR_SET(BgL_v1673z00_2627,
										(int) (((long) 0)), BINT(((long) 0)));
									return BgL_v1673z00_2627;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 905 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 910 */
							if (CBOOL(
									(((BgL_ev_varz00_bglt) CREF(
												((BgL_ev_varz00_bglt) BgL_exprz00_187)))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_v1674z00_2634;

									BgL_v1674z00_2634 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1674z00_2634,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									VECTOR_SET(BgL_v1674z00_2634, (int) (((long) 0)),
										BINT(((long) 3)));
									return BgL_v1674z00_2634;
								}
							else
								{	/* Eval/evaluate_comp.scm 914 */
									obj_t BgL_v1675z00_2636;

									BgL_v1675z00_2636 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1675z00_2636,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									VECTOR_SET(BgL_v1675z00_2636, (int) (((long) 0)),
										BINT(((long) 2)));
									return BgL_v1675z00_2636;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 910 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 917 */
									obj_t BgL_gz00_2640;

									{	/* Eval/evaluate_comp.scm 917 */
										obj_t BgL_arg2836z00_2647;
										obj_t BgL_arg2837z00_2648;

										BgL_arg2836z00_2647 =
											(((BgL_ev_globalz00_bglt) CREF(
													((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
											BgL_modz00);
										BgL_arg2837z00_2648 =
											(((BgL_ev_globalz00_bglt) CREF(((BgL_ev_globalz00_bglt)
														BgL_exprz00_187)))->BgL_namez00);
										BgL_gz00_2640 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00
											(BgL_arg2836z00_2647, BgL_arg2837z00_2648);
									}
									if (CBOOL(BgL_gz00_2640))
										{	/* Eval/evaluate_comp.scm 919 */
											bool_t BgL_testz00_26293;

											{	/* Eval/evaluate_comp.scm 919 */
												int BgL_arg2833z00_2644;

												{	/* Eval/evaluate_comp.scm 919 */
													int BgL_res5319z00_10797;

													{	/* Eval/evaluate_comp.scm 919 */
														int BgL_kz00_10796;

														BgL_kz00_10796 = (int) (((long) 0));
														BgL_res5319z00_10797 =
															CINT(VECTOR_REF(BgL_gz00_2640, BgL_kz00_10796));
													}
													BgL_arg2833z00_2644 = BgL_res5319z00_10797;
												}
												BgL_testz00_26293 =
													(BINT(BgL_arg2833z00_2644) == BINT(((long) 1)));
											}
											if (BgL_testz00_26293)
												{	/* Eval/evaluate_comp.scm 920 */
													obj_t BgL_v1676z00_2642;

													BgL_v1676z00_2642 = create_vector((int) (((long) 2)));
													VECTOR_SET(BgL_v1676z00_2642,
														(int) (((long) 1)), BgL_gz00_2640);
													VECTOR_SET(BgL_v1676z00_2642,
														(int) (((long) 0)), BINT(((long) 4)));
													return BgL_v1676z00_2642;
												}
											else
												{	/* Eval/evaluate_comp.scm 921 */
													obj_t BgL_v1677z00_2643;

													BgL_v1677z00_2643 = create_vector((int) (((long) 2)));
													VECTOR_SET(BgL_v1677z00_2643,
														(int) (((long) 1)), BgL_gz00_2640);
													VECTOR_SET(BgL_v1677z00_2643,
														(int) (((long) 0)), BINT(((long) 5)));
													return BgL_v1677z00_2643;
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 922 */
											obj_t BgL_v1678z00_2645;

											BgL_v1678z00_2645 = create_vector((int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 922 */
												obj_t BgL_arg2834z00_2646;

												BgL_arg2834z00_2646 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt)
														((BgL_ev_globalz00_bglt) BgL_exprz00_187)),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1678z00_2645, (int) (((long) 1)),
													BgL_arg2834z00_2646);
											}
											VECTOR_SET(BgL_v1678z00_2645,
												(int) (((long) 0)), BINT(((long) 0)));
											return BgL_v1678z00_2645;
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 915 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 925 */
											obj_t BgL_fvalz00_2651;

											{	/* Eval/evaluate_comp.scm 925 */
												BgL_ev_exprz00_bglt BgL_arg2882z00_2699;

												BgL_arg2882z00_2699 =
													(((BgL_ev_appz00_bglt) CREF(
															((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
													BgL_funz00);
												BgL_fvalz00_2651 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00
													(BgL_arg2882z00_2699);
											}
											if (
												(BgL_fvalz00_2651 ==
													BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
												{	/* Eval/evaluate_comp.scm 928 */
													obj_t BgL_v1679z00_2653;

													BgL_v1679z00_2653 = create_vector((int) (((long) 3)));
													{	/* Eval/evaluate_comp.scm 928 */
														obj_t BgL_arg2840z00_2654;

														{	/* Eval/evaluate_comp.scm 928 */
															obj_t BgL_arg2841z00_2655;

															{	/* Eval/evaluate_comp.scm 928 */
																obj_t BgL_pairz00_10816;

																BgL_pairz00_10816 =
																	(((BgL_ev_appz00_bglt) CREF(
																			((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																	BgL_argsz00);
																BgL_arg2841z00_2655 =
																	CAR(CDR(BgL_pairz00_10816));
															}
															BgL_arg2840z00_2654 =
																BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																(BgL_arg2841z00_2655, BgL_stkz00_188);
														}
														VECTOR_SET(BgL_v1679z00_2653,
															(int) (((long) 2)), BgL_arg2840z00_2654);
													}
													{	/* Eval/evaluate_comp.scm 928 */
														obj_t BgL_arg2843z00_2657;

														{	/* Eval/evaluate_comp.scm 928 */
															obj_t BgL_arg2844z00_2658;

															{	/* Eval/evaluate_comp.scm 928 */
																obj_t BgL_pairz00_10824;

																BgL_pairz00_10824 =
																	(((BgL_ev_appz00_bglt) CREF(
																			((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																	BgL_argsz00);
																BgL_arg2844z00_2658 = CAR(BgL_pairz00_10824);
															}
															BgL_arg2843z00_2657 =
																BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																(BgL_arg2844z00_2658, BgL_stkz00_188);
														}
														VECTOR_SET(BgL_v1679z00_2653,
															(int) (((long) 1)), BgL_arg2843z00_2657);
													}
													VECTOR_SET(BgL_v1679z00_2653,
														(int) (((long) 0)), BINT(((long) 6)));
													return BgL_v1679z00_2653;
												}
											else
												{	/* Eval/evaluate_comp.scm 927 */
													if (
														(BgL_fvalz00_2651 ==
															BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
														{	/* Eval/evaluate_comp.scm 930 */
															obj_t BgL_v1680z00_2661;

															BgL_v1680z00_2661 =
																create_vector((int) (((long) 3)));
															{	/* Eval/evaluate_comp.scm 930 */
																obj_t BgL_arg2847z00_2662;

																{	/* Eval/evaluate_comp.scm 930 */
																	obj_t BgL_arg2848z00_2663;

																	{	/* Eval/evaluate_comp.scm 930 */
																		obj_t BgL_pairz00_10832;

																		BgL_pairz00_10832 =
																			(((BgL_ev_appz00_bglt) CREF(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2848z00_2663 =
																			CAR(CDR(BgL_pairz00_10832));
																	}
																	BgL_arg2847z00_2662 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2848z00_2663, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1680z00_2661,
																	(int) (((long) 2)), BgL_arg2847z00_2662);
															}
															{	/* Eval/evaluate_comp.scm 930 */
																obj_t BgL_arg2850z00_2665;

																{	/* Eval/evaluate_comp.scm 930 */
																	obj_t BgL_arg2851z00_2666;

																	{	/* Eval/evaluate_comp.scm 930 */
																		obj_t BgL_pairz00_10840;

																		BgL_pairz00_10840 =
																			(((BgL_ev_appz00_bglt) CREF(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2851z00_2666 =
																			CAR(BgL_pairz00_10840);
																	}
																	BgL_arg2850z00_2665 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2851z00_2666, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1680z00_2661,
																	(int) (((long) 1)), BgL_arg2850z00_2665);
															}
															VECTOR_SET(BgL_v1680z00_2661,
																(int) (((long) 0)), BINT(((long) 7)));
															return BgL_v1680z00_2661;
														}
													else
														{	/* Eval/evaluate_comp.scm 929 */
															if (
																(BgL_fvalz00_2651 ==
																	BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																{	/* Eval/evaluate_comp.scm 932 */
																	obj_t BgL_v1681z00_2669;

																	BgL_v1681z00_2669 =
																		create_vector((int) (((long) 3)));
																	{	/* Eval/evaluate_comp.scm 932 */
																		obj_t BgL_arg2854z00_2670;

																		{	/* Eval/evaluate_comp.scm 932 */
																			obj_t BgL_arg2855z00_2671;

																			{	/* Eval/evaluate_comp.scm 932 */
																				obj_t BgL_pairz00_10848;

																				BgL_pairz00_10848 =
																					(((BgL_ev_appz00_bglt) CREF(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2855z00_2671 =
																					CAR(CDR(BgL_pairz00_10848));
																			}
																			BgL_arg2854z00_2670 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2855z00_2671, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1681z00_2669,
																			(int) (((long) 2)), BgL_arg2854z00_2670);
																	}
																	{	/* Eval/evaluate_comp.scm 932 */
																		obj_t BgL_arg2857z00_2673;

																		{	/* Eval/evaluate_comp.scm 932 */
																			obj_t BgL_arg2858z00_2674;

																			{	/* Eval/evaluate_comp.scm 932 */
																				obj_t BgL_pairz00_10856;

																				BgL_pairz00_10856 =
																					(((BgL_ev_appz00_bglt) CREF(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2858z00_2674 =
																					CAR(BgL_pairz00_10856);
																			}
																			BgL_arg2857z00_2673 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2858z00_2674, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1681z00_2669,
																			(int) (((long) 1)), BgL_arg2857z00_2673);
																	}
																	VECTOR_SET(BgL_v1681z00_2669,
																		(int) (((long) 0)), BINT(((long) 8)));
																	return BgL_v1681z00_2669;
																}
															else
																{	/* Eval/evaluate_comp.scm 931 */
																	if (
																		(BgL_fvalz00_2651 ==
																			BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																		{	/* Eval/evaluate_comp.scm 934 */
																			obj_t BgL_v1682z00_2677;

																			BgL_v1682z00_2677 =
																				create_vector((int) (((long) 3)));
																			{	/* Eval/evaluate_comp.scm 934 */
																				obj_t BgL_arg2861z00_2678;

																				{	/* Eval/evaluate_comp.scm 934 */
																					obj_t BgL_arg2862z00_2679;

																					{	/* Eval/evaluate_comp.scm 934 */
																						obj_t BgL_pairz00_10864;

																						BgL_pairz00_10864 =
																							(((BgL_ev_appz00_bglt) CREF(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2862z00_2679 =
																							CAR(CDR(BgL_pairz00_10864));
																					}
																					BgL_arg2861z00_2678 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2862z00_2679,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1682z00_2677,
																					(int) (((long) 2)),
																					BgL_arg2861z00_2678);
																			}
																			{	/* Eval/evaluate_comp.scm 934 */
																				obj_t BgL_arg2864z00_2681;

																				{	/* Eval/evaluate_comp.scm 934 */
																					obj_t BgL_arg2865z00_2682;

																					{	/* Eval/evaluate_comp.scm 934 */
																						obj_t BgL_pairz00_10872;

																						BgL_pairz00_10872 =
																							(((BgL_ev_appz00_bglt) CREF(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2865z00_2682 =
																							CAR(BgL_pairz00_10872);
																					}
																					BgL_arg2864z00_2681 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2865z00_2682,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1682z00_2677,
																					(int) (((long) 1)),
																					BgL_arg2864z00_2681);
																			}
																			VECTOR_SET(BgL_v1682z00_2677,
																				(int) (((long) 0)), BINT(((long) 9)));
																			return BgL_v1682z00_2677;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 933 */
																			if (
																				(BgL_fvalz00_2651 ==
																					BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 936 */
																					obj_t BgL_v1683z00_2685;

																					BgL_v1683z00_2685 =
																						create_vector((int) (((long) 2)));
																					{	/* Eval/evaluate_comp.scm 936 */
																						obj_t BgL_arg2869z00_2686;

																						{	/* Eval/evaluate_comp.scm 936 */
																							obj_t BgL_arg2870z00_2687;

																							{	/* Eval/evaluate_comp.scm 936 */
																								obj_t BgL_pairz00_10880;

																								BgL_pairz00_10880 =
																									(((BgL_ev_appz00_bglt) CREF(
																											((BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2870z00_2687 =
																									CAR(BgL_pairz00_10880);
																							}
																							BgL_arg2869z00_2686 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_arg2870z00_2687),
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1683z00_2685,
																							(int) (((long) 1)),
																							BgL_arg2869z00_2686);
																					}
																					VECTOR_SET(BgL_v1683z00_2685,
																						(int) (((long) 0)),
																						BINT(((long) 10)));
																					return BgL_v1683z00_2685;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 935 */
																					if (
																						(BgL_fvalz00_2651 ==
																							BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																						{	/* Eval/evaluate_comp.scm 938 */
																							obj_t BgL_v1684z00_2690;

																							BgL_v1684z00_2690 =
																								create_vector(
																								(int) (((long) 3)));
																							{	/* Eval/evaluate_comp.scm 938 */
																								obj_t BgL_arg2874z00_2691;

																								{	/* Eval/evaluate_comp.scm 938 */
																									obj_t BgL_arg2875z00_2692;

																									{	/* Eval/evaluate_comp.scm 938 */
																										obj_t BgL_pairz00_10887;

																										BgL_pairz00_10887 =
																											(((BgL_ev_appz00_bglt)
																												CREF((
																														(BgL_ev_appz00_bglt)
																														BgL_exprz00_187)))->
																											BgL_argsz00);
																										BgL_arg2875z00_2692 =
																											CAR(CDR
																											(BgL_pairz00_10887));
																									}
																									BgL_arg2874z00_2691 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_arg2875z00_2692),
																										BgL_stkz00_188);
																								}
																								VECTOR_SET(BgL_v1684z00_2690,
																									(int) (((long) 2)),
																									BgL_arg2874z00_2691);
																							}
																							{	/* Eval/evaluate_comp.scm 938 */
																								obj_t BgL_arg2877z00_2694;

																								{	/* Eval/evaluate_comp.scm 938 */
																									obj_t BgL_arg2878z00_2695;

																									{	/* Eval/evaluate_comp.scm 938 */
																										obj_t BgL_pairz00_10894;

																										BgL_pairz00_10894 =
																											(((BgL_ev_appz00_bglt)
																												CREF((
																														(BgL_ev_appz00_bglt)
																														BgL_exprz00_187)))->
																											BgL_argsz00);
																										BgL_arg2878z00_2695 =
																											CAR(BgL_pairz00_10894);
																									}
																									BgL_arg2877z00_2694 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_arg2878z00_2695),
																										BgL_stkz00_188);
																								}
																								VECTOR_SET(BgL_v1684z00_2690,
																									(int) (((long) 1)),
																									BgL_arg2877z00_2694);
																							}
																							VECTOR_SET(BgL_v1684z00_2690,
																								(int) (((long) 0)),
																								BINT(((long) 11)));
																							return BgL_v1684z00_2690;
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 940 */
																							obj_t BgL_v1685z00_2697;

																							BgL_v1685z00_2697 =
																								create_vector(
																								(int) (((long) 2)));
																							{	/* Eval/evaluate_comp.scm 940 */
																								obj_t BgL_arg2881z00_2698;

																								BgL_arg2881z00_2698 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt) (
																											(BgL_ev_appz00_bglt)
																											BgL_exprz00_187)),
																									BgL_stkz00_188);
																								VECTOR_SET(BgL_v1685z00_2697,
																									(int) (((long) 1)),
																									BgL_arg2881z00_2698);
																							}
																							VECTOR_SET(BgL_v1685z00_2697,
																								(int) (((long) 0)),
																								BINT(((long) 0)));
																							return BgL_v1685z00_2697;
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 941 */
											obj_t BgL_v1686z00_2700;

											BgL_v1686z00_2700 = create_vector((int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 941 */
												obj_t BgL_arg2883z00_2701;

												BgL_arg2883z00_2701 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_187),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1686z00_2700, (int) (((long) 1)),
													BgL_arg2883z00_2701);
											}
											VECTOR_SET(BgL_v1686z00_2700,
												(int) (((long) 0)), BINT(((long) 0)));
											return BgL_v1686z00_2700;
										}
								}
						}
				}
		}
	}



/* E */
	obj_t BGl_Ez00zz__evaluate_compz00(obj_t BgL_sz00_20476, obj_t BgL_bcz00_2706)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 958 */
			{	/* Eval/evaluate_comp.scm 945 */
				obj_t BgL_aux1294z00_2709;

				BgL_aux1294z00_2709 = VECTOR_REF(BgL_bcz00_2706, (int) (((long) 0)));
				if (INTEGERP(BgL_aux1294z00_2709))
					{	/* Eval/evaluate_comp.scm 945 */
						switch ((long) CINT(BgL_aux1294z00_2709))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 946 */
									obj_t BgL_fun2887z00_2711;

									BgL_fun2887z00_2711 =
										VECTOR_REF(BgL_bcz00_2706, (int) (((long) 1)));
									return
										PROCEDURE_ENTRY(BgL_fun2887z00_2711) (BgL_fun2887z00_2711,
										BgL_sz00_20476, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(BgL_bcz00_2706, (int) (((long) 1)));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 948 */
									long BgL_arg2888z00_2712;

									{	/* Eval/evaluate_comp.scm 948 */
										obj_t BgL_arg2890z00_2713;
										obj_t BgL_arg2891z00_2714;

										BgL_arg2890z00_2713 =
											VECTOR_REF(BgL_sz00_20476, (int) (((long) 0)));
										BgL_arg2891z00_2714 =
											VECTOR_REF(BgL_bcz00_2706, (int) (((long) 1)));
										BgL_arg2888z00_2712 =
											(
											(long) CINT(BgL_arg2890z00_2713) +
											(long) CINT(BgL_arg2891z00_2714));
									}
									return
										VECTOR_REF(BgL_sz00_20476, (int) (BgL_arg2888z00_2712));
								} break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 949 */
									obj_t BgL_arg2892z00_2715;

									{	/* Eval/evaluate_comp.scm 949 */
										long BgL_arg2893z00_2716;

										{	/* Eval/evaluate_comp.scm 949 */
											obj_t BgL_arg2894z00_2717;
											obj_t BgL_arg2895z00_2718;

											BgL_arg2894z00_2717 =
												VECTOR_REF(BgL_sz00_20476, (int) (((long) 0)));
											BgL_arg2895z00_2718 =
												VECTOR_REF(BgL_sz00_20476, (int) (((long) 1)));
											BgL_arg2893z00_2716 =
												(
												(long) CINT(BgL_arg2894z00_2717) +
												(long) CINT(BgL_arg2895z00_2718));
										}
										BgL_arg2892z00_2715 =
											VECTOR_REF(BgL_sz00_20476, (int) (BgL_arg2893z00_2716));
									}
									return STRUCT_REF(BgL_arg2892z00_2715, (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 950 */
									obj_t BgL_auxz00_26496;

									BgL_auxz00_26496 =
										VECTOR_REF(VECTOR_REF(BgL_bcz00_2706,
											(int) (((long) 1))), (int) (((long) 2)));
									return __EVMEANING_ADDRESS_REF(BgL_auxz00_26496);
								}
								break;
							case ((long) 5):

								return
									VECTOR_REF(VECTOR_REF(BgL_bcz00_2706,
										(int) (((long) 1))), (int) (((long) 2)));
								break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 952 */
									obj_t BgL_arg2900z00_2722;
									obj_t BgL_arg2902z00_2723;

									BgL_arg2900z00_2722 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20476,
										VECTOR_REF(BgL_bcz00_2706, (int) (((long) 1))));
									BgL_arg2902z00_2723 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20476,
										VECTOR_REF(BgL_bcz00_2706, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2900z00_2722) +
											REAL_TO_DOUBLE(BgL_arg2902z00_2723)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 953 */
									obj_t BgL_arg2905z00_2726;
									obj_t BgL_arg2907z00_2727;

									BgL_arg2905z00_2726 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20476,
										VECTOR_REF(BgL_bcz00_2706, (int) (((long) 1))));
									BgL_arg2907z00_2727 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20476,
										VECTOR_REF(BgL_bcz00_2706, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2905z00_2726) -
											REAL_TO_DOUBLE(BgL_arg2907z00_2727)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 954 */
									obj_t BgL_arg2910z00_2730;
									obj_t BgL_arg2911z00_2731;

									BgL_arg2910z00_2730 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20476,
										VECTOR_REF(BgL_bcz00_2706, (int) (((long) 1))));
									BgL_arg2911z00_2731 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20476,
										VECTOR_REF(BgL_bcz00_2706, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2910z00_2730) *
											REAL_TO_DOUBLE(BgL_arg2911z00_2731)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 955 */
									obj_t BgL_arg2915z00_2734;
									obj_t BgL_arg2916z00_2735;

									BgL_arg2915z00_2734 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20476,
										VECTOR_REF(BgL_bcz00_2706, (int) (((long) 1))));
									BgL_arg2916z00_2735 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20476,
										VECTOR_REF(BgL_bcz00_2706, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2915z00_2734) /
											REAL_TO_DOUBLE(BgL_arg2916z00_2735)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 956 */
									obj_t BgL_arg2919z00_2738;

									{	/* Eval/evaluate_comp.scm 956 */
										obj_t BgL_fun2920z00_2739;

										BgL_fun2920z00_2739 =
											VECTOR_REF(BgL_bcz00_2706, (int) (((long) 1)));
										BgL_arg2919z00_2738 =
											PROCEDURE_ENTRY(BgL_fun2920z00_2739) (BgL_fun2920z00_2739,
											BgL_sz00_20476, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2919z00_2738)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 957 */
									obj_t BgL_arg2921z00_2740;
									obj_t BgL_arg2922z00_2741;

									{	/* Eval/evaluate_comp.scm 957 */
										obj_t BgL_fun2923z00_2742;

										BgL_fun2923z00_2742 =
											VECTOR_REF(BgL_bcz00_2706, (int) (((long) 1)));
										BgL_arg2921z00_2740 =
											PROCEDURE_ENTRY(BgL_fun2923z00_2742) (BgL_fun2923z00_2742,
											BgL_sz00_20476, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 957 */
										obj_t BgL_fun2924z00_2743;

										BgL_fun2924z00_2743 =
											VECTOR_REF(BgL_bcz00_2706, (int) (((long) 2)));
										BgL_arg2922z00_2741 =
											PROCEDURE_ENTRY(BgL_fun2924z00_2743) (BgL_fun2924z00_2743,
											BgL_sz00_20476, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 957 */
										double BgL_auxz00_26567;

										{	/* Eval/evaluate_comp.scm 957 */
											long BgL_auxz00_26568;

											BgL_auxz00_26568 = (long) CINT(BgL_arg2922z00_2741);
											BgL_auxz00_26567 =
												BGL_F64VREF(BgL_arg2921z00_2740, BgL_auxz00_26568);
										}
										return DOUBLE_TO_REAL(BgL_auxz00_26567);
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string6207z00zz__evaluate_compz00,
									BGl_string6226z00zz__evaluate_compz00,
									VECTOR_REF(BgL_bcz00_2706, (int) (((long) 0))));
					}}
				else
					{	/* Eval/evaluate_comp.scm 945 */
						return
							BGl_errorz00zz__errorz00(BGl_string6207z00zz__evaluate_compz00,
							BGl_string6226z00zz__evaluate_compz00, VECTOR_REF(BgL_bcz00_2706,
								(int) (((long) 0))));
		}}}
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 963 */
				obj_t BgL_fvalz00_2747;

				BgL_fvalz00_2747 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 964 */
					bool_t BgL_testz00_26582;

					if (
						(BgL_fvalz00_2747 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 964 */
							BgL_testz00_26582 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 964 */
							if (
								(BgL_fvalz00_2747 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 964 */
									BgL_testz00_26582 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									if (
										(BgL_fvalz00_2747 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 964 */
											BgL_testz00_26582 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 964 */
											BgL_testz00_26582 =
												(BgL_fvalz00_2747 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_26582)
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bcz00_2749;

							BgL_bcz00_2749 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 966 */
								obj_t BgL_zc3anonymousza32927ze3z83_18529;

								BgL_zc3anonymousza32927ze3z83_18529 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32927ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32927ze3z83_18529,
									(int) (((long) 0)), BgL_bcz00_2749);
								return BgL_zc3anonymousza32927ze3z83_18529;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 964 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &<anonymous:2927> */
	obj_t BGl_z62zc3anonymousza32927ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18530, obj_t BgL_sz00_18532)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 966 */
			{	/* Eval/evaluate_comp.scm 966 */
				obj_t BgL_bcz00_18531;

				BgL_bcz00_18531 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18530, (int) (((long) 0))));
				{
					obj_t BgL_sz00_2750;

					{	/* Eval/evaluate_comp.scm 966 */
						double BgL_auxz00_26600;

						BgL_sz00_2750 = BgL_sz00_18532;
						{	/* Eval/evaluate_comp.scm 966 */
							obj_t BgL_bpz00_10995;

							BgL_bpz00_10995 = VECTOR_REF(BgL_sz00_2750, (int) (((long) 0)));
							BgL_auxz00_26600 =
								REAL_TO_DOUBLE(BGl_Ez00zz__evaluate_compz00(BgL_sz00_2750,
									BgL_bcz00_18531));
						}
						return DOUBLE_TO_REAL(BgL_auxz00_26600);
					}
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 992 */
			{	/* Eval/evaluate_comp.scm 993 */
				obj_t BgL_valz00_2757;

				BgL_valz00_2757 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_2757))
					{	/* Eval/evaluate_comp.scm 995 */
						long BgL_nz00_2758;

						BgL_nz00_2758 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 996 */
							obj_t BgL__ortest_1300z00_2759;

							if ((BgL_nz00_2758 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 997 */
									obj_t BgL_a1z00_3050;

									BgL_a1z00_3050 = CAR(BgL_argsz00_195);
									if (
										(BgL_valz00_2757 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 998 */
											obj_t BgL_a1z00_3052;

											BgL_a1z00_3052 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_3050), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 998 */
												obj_t BgL_zc3anonymousza33047ze3z83_18562;

												BgL_zc3anonymousza33047ze3z83_18562 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33047ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33047ze3z83_18562,
													(int) (((long) 0)), BgL_a1z00_3052);
												PROCEDURE_SET(BgL_zc3anonymousza33047ze3z83_18562,
													(int) (((long) 1)), BgL_locz00_193);
												BgL__ortest_1300z00_2759 =
													BgL_zc3anonymousza33047ze3z83_18562;
										}}
									else
										{	/* Eval/evaluate_comp.scm 998 */
											if (
												(BgL_valz00_2757 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 998 */
													obj_t BgL_a1z00_3059;

													BgL_a1z00_3059 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3050),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 998 */
														obj_t BgL_zc3anonymousza33050ze3z83_18563;

														BgL_zc3anonymousza33050ze3z83_18563 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza33050ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza33050ze3z83_18563,
															(int) (((long) 0)), BgL_a1z00_3059);
														PROCEDURE_SET(BgL_zc3anonymousza33050ze3z83_18563,
															(int) (((long) 1)), BgL_locz00_193);
														BgL__ortest_1300z00_2759 =
															BgL_zc3anonymousza33050ze3z83_18563;
												}}
											else
												{	/* Eval/evaluate_comp.scm 998 */
													if (
														(BgL_valz00_2757 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 998 */
															obj_t BgL_a1z00_3066;

															BgL_a1z00_3066 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3050),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 998 */
																obj_t BgL_zc3anonymousza33053ze3z83_18564;

																BgL_zc3anonymousza33053ze3z83_18564 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33053ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33053ze3z83_18564,
																	(int) (((long) 0)), BgL_a1z00_3066);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33053ze3z83_18564,
																	(int) (((long) 1)), BgL_locz00_193);
																BgL__ortest_1300z00_2759 =
																	BgL_zc3anonymousza33053ze3z83_18564;
														}}
													else
														{	/* Eval/evaluate_comp.scm 998 */
															BgL__ortest_1300z00_2759 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 996 */
									BgL__ortest_1300z00_2759 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1300z00_2759))
								{	/* Eval/evaluate_comp.scm 996 */
									return BgL__ortest_1300z00_2759;
								}
							else
								{	/* Eval/evaluate_comp.scm 996 */
									if ((BgL_nz00_2758 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 1000 */
											obj_t BgL_a1z00_2761;
											obj_t BgL_a2z00_2762;

											BgL_a1z00_2761 = CAR(BgL_argsz00_195);
											BgL_a2z00_2762 = CAR(CDR(BgL_argsz00_195));
											if (
												(BgL_valz00_2757 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 1001 */
													obj_t BgL_a1z00_2764;
													obj_t BgL_a2z00_2765;

													BgL_a1z00_2764 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2761),
														BgL_stkz00_196);
													BgL_a2z00_2765 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_2762),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1001 */
														obj_t BgL_zc3anonymousza32934ze3z83_18533;

														BgL_zc3anonymousza32934ze3z83_18533 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32934ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32934ze3z83_18533,
															(int) (((long) 0)), BgL_a1z00_2764);
														PROCEDURE_SET(BgL_zc3anonymousza32934ze3z83_18533,
															(int) (((long) 1)), BgL_a2z00_2765);
														PROCEDURE_SET(BgL_zc3anonymousza32934ze3z83_18533,
															(int) (((long) 2)), BgL_locz00_193);
														return BgL_zc3anonymousza32934ze3z83_18533;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 1001 */
													if (
														(BgL_valz00_2757 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 1001 */
															obj_t BgL_a1z00_2774;
															obj_t BgL_a2z00_2775;

															BgL_a1z00_2774 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2761),
																BgL_stkz00_196);
															BgL_a2z00_2775 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_2762),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1001 */
																obj_t BgL_zc3anonymousza32938ze3z83_18534;

																BgL_zc3anonymousza32938ze3z83_18534 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32938ze3z83_18534,
																	(int) (((long) 0)), BgL_a1z00_2774);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32938ze3z83_18534,
																	(int) (((long) 1)), BgL_a2z00_2775);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32938ze3z83_18534,
																	(int) (((long) 2)), BgL_locz00_193);
																return BgL_zc3anonymousza32938ze3z83_18534;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 1001 */
															if (
																(BgL_valz00_2757 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 1001 */
																	obj_t BgL_a1z00_2784;
																	obj_t BgL_a2z00_2785;

																	BgL_a1z00_2784 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_2761),
																		BgL_stkz00_196);
																	BgL_a2z00_2785 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_2762),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 1001 */
																		obj_t BgL_zc3anonymousza32942ze3z83_18535;

																		BgL_zc3anonymousza32942ze3z83_18535 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32942ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32942ze3z83_18535,
																			(int) (((long) 0)), BgL_a1z00_2784);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32942ze3z83_18535,
																			(int) (((long) 1)), BgL_a2z00_2785);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32942ze3z83_18535,
																			(int) (((long) 2)), BgL_locz00_193);
																		return BgL_zc3anonymousza32942ze3z83_18535;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 1001 */
																	if (
																		(BgL_valz00_2757 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 1001 */
																			obj_t BgL_a1z00_2794;
																			obj_t BgL_a2z00_2795;

																			BgL_a1z00_2794 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_2761),
																				BgL_stkz00_196);
																			BgL_a2z00_2795 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_2762),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 1001 */
																				obj_t
																					BgL_zc3anonymousza32946ze3z83_18536;
																				BgL_zc3anonymousza32946ze3z83_18536 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32946ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32946ze3z83_18536,
																					(int) (((long) 0)), BgL_a1z00_2794);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32946ze3z83_18536,
																					(int) (((long) 1)), BgL_a2z00_2795);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32946ze3z83_18536,
																					(int) (((long) 2)), BgL_locz00_193);
																				return
																					BgL_zc3anonymousza32946ze3z83_18536;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1001 */
																			if (
																				(BgL_valz00_2757 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 1001 */
																					obj_t BgL_a1z00_2804;
																					obj_t BgL_a2z00_2805;

																					BgL_a1z00_2804 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_2761), BgL_stkz00_196);
																					BgL_a2z00_2805 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_2762), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 1001 */
																						obj_t
																							BgL_zc3anonymousza32950ze3z83_18537;
																						BgL_zc3anonymousza32950ze3z83_18537
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32950ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32950ze3z83_18537,
																							(int) (((long) 0)),
																							BgL_a1z00_2804);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32950ze3z83_18537,
																							(int) (((long) 1)),
																							BgL_a2z00_2805);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32950ze3z83_18537,
																							(int) (((long) 2)),
																							BgL_locz00_193);
																						return
																							BgL_zc3anonymousza32950ze3z83_18537;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1001 */
																					if (
																						(BgL_valz00_2757 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 1001 */
																							obj_t BgL_a1z00_2814;
																							obj_t BgL_a2z00_2815;

																							BgL_a1z00_2814 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_2761),
																								BgL_stkz00_196);
																							BgL_a2z00_2815 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_2762),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 1001 */
																								obj_t
																									BgL_zc3anonymousza32954ze3z83_18538;
																								BgL_zc3anonymousza32954ze3z83_18538
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32954ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32954ze3z83_18538,
																									(int) (((long) 0)),
																									BgL_a1z00_2814);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32954ze3z83_18538,
																									(int) (((long) 1)),
																									BgL_a2z00_2815);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32954ze3z83_18538,
																									(int) (((long) 2)),
																									BgL_locz00_193);
																								return
																									BgL_zc3anonymousza32954ze3z83_18538;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 1001 */
																							if (
																								(BgL_valz00_2757 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 1001 */
																									obj_t BgL_a1z00_2824;
																									obj_t BgL_a2z00_2825;

																									BgL_a1z00_2824 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_2761),
																										BgL_stkz00_196);
																									BgL_a2z00_2825 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_2762),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 1001 */
																										obj_t
																											BgL_zc3anonymousza32958ze3z83_18539;
																										BgL_zc3anonymousza32958ze3z83_18539
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32958ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32958ze3z83_18539,
																											(int) (((long) 0)),
																											BgL_a1z00_2824);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32958ze3z83_18539,
																											(int) (((long) 1)),
																											BgL_a2z00_2825);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32958ze3z83_18539,
																											(int) (((long) 2)),
																											BgL_locz00_193);
																										return
																											BgL_zc3anonymousza32958ze3z83_18539;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 1001 */
																									if (
																										(BgL_valz00_2757 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 1001 */
																											obj_t BgL_a1z00_2834;
																											obj_t BgL_a2z00_2835;

																											BgL_a1z00_2834 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_2761),
																												BgL_stkz00_196);
																											BgL_a2z00_2835 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_2762),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 1001 */
																												obj_t
																													BgL_zc3anonymousza32962ze3z83_18540;
																												BgL_zc3anonymousza32962ze3z83_18540
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32962ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32962ze3z83_18540,
																													(int) (((long) 0)),
																													BgL_a1z00_2834);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32962ze3z83_18540,
																													(int) (((long) 1)),
																													BgL_a2z00_2835);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32962ze3z83_18540,
																													(int) (((long) 2)),
																													BgL_locz00_193);
																												return
																													BgL_zc3anonymousza32962ze3z83_18540;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 1001 */
																											if (
																												(BgL_valz00_2757 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 1001 */
																													obj_t BgL_a1z00_2844;
																													obj_t BgL_a2z00_2845;

																													BgL_a1z00_2844 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																													BgL_a2z00_2845 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 1001 */
																														obj_t
																															BgL_zc3anonymousza32966ze3z83_18541;
																														BgL_zc3anonymousza32966ze3z83_18541
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32966ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32966ze3z83_18541,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_2844);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32966ze3z83_18541,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_2845);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32966ze3z83_18541,
																															(int) (((long)
																																	2)),
																															BgL_locz00_193);
																														return
																															BgL_zc3anonymousza32966ze3z83_18541;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 1001 */
																													if (
																														(BgL_valz00_2757 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 1001 */
																															obj_t
																																BgL_a1z00_2854;
																															obj_t
																																BgL_a2z00_2855;
																															BgL_a1z00_2854 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																															BgL_a2z00_2855 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 1001 */
																																obj_t
																																	BgL_zc3anonymousza32970ze3z83_18542;
																																BgL_zc3anonymousza32970ze3z83_18542
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32970ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32970ze3z83_18542,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_2854);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32970ze3z83_18542,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_2855);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32970ze3z83_18542,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3anonymousza32970ze3z83_18542;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 1001 */
																															if (
																																(BgL_valz00_2757
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 1001 */
																																	obj_t
																																		BgL_a1z00_2864;
																																	obj_t
																																		BgL_a2z00_2865;
																																	BgL_a1z00_2864
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																	BgL_a2z00_2865
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 1001 */
																																		obj_t
																																			BgL_zc3anonymousza32974ze3z83_18543;
																																		BgL_zc3anonymousza32974ze3z83_18543
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32974ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32974ze3z83_18543,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_2864);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32974ze3z83_18543,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_2865);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32974ze3z83_18543,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3anonymousza32974ze3z83_18543;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 1001 */
																																	if (
																																		(BgL_valz00_2757
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 1001 */
																																			obj_t
																																				BgL_a1z00_2874;
																																			obj_t
																																				BgL_a2z00_2875;
																																			BgL_a1z00_2874
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																			BgL_a2z00_2875
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 1001 */
																																				obj_t
																																					BgL_zc3anonymousza32978ze3z83_18544;
																																				BgL_zc3anonymousza32978ze3z83_18544
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32978ze3z83_18544,
																																					(int)
																																					(((long) 0)), BgL_a1z00_2874);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32978ze3z83_18544,
																																					(int)
																																					(((long) 1)), BgL_a2z00_2875);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32978ze3z83_18544,
																																					(int)
																																					(((long) 2)), BgL_locz00_193);
																																				return
																																					BgL_zc3anonymousza32978ze3z83_18544;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 1001 */
																																			if (
																																				(BgL_valz00_2757
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 1001 */
																																					obj_t
																																						BgL_a1z00_2884;
																																					obj_t
																																						BgL_a2z00_2885;
																																					BgL_a1z00_2884
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																					BgL_a2z00_2885
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 1001 */
																																						obj_t
																																							BgL_zc3anonymousza32982ze3z83_18545;
																																						BgL_zc3anonymousza32982ze3z83_18545
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32982ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32982ze3z83_18545,
																																							(int)
																																							(((long) 0)), BgL_a1z00_2884);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32982ze3z83_18545,
																																							(int)
																																							(((long) 1)), BgL_a2z00_2885);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32982ze3z83_18545,
																																							(int)
																																							(((long) 2)), BgL_locz00_193);
																																						return
																																							BgL_zc3anonymousza32982ze3z83_18545;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 1001 */
																																					if (
																																						(BgL_valz00_2757
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 1001 */
																																							obj_t
																																								BgL_a1z00_2894;
																																							obj_t
																																								BgL_a2z00_2895;
																																							BgL_a1z00_2894
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																							BgL_a2z00_2895
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 1001 */
																																								obj_t
																																									BgL_zc3anonymousza32986ze3z83_18546;
																																								BgL_zc3anonymousza32986ze3z83_18546
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32986ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32986ze3z83_18546,
																																									(int)
																																									(((long) 0)), BgL_a1z00_2894);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32986ze3z83_18546,
																																									(int)
																																									(((long) 1)), BgL_a2z00_2895);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32986ze3z83_18546,
																																									(int)
																																									(((long) 2)), BgL_locz00_193);
																																								return
																																									BgL_zc3anonymousza32986ze3z83_18546;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 1001 */
																																							if ((BgL_valz00_2757 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 1001 */
																																									obj_t
																																										BgL_a1z00_2904;
																																									obj_t
																																										BgL_a2z00_2905;
																																									BgL_a1z00_2904
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																									BgL_a2z00_2905
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 1001 */
																																										obj_t
																																											BgL_zc3anonymousza32990ze3z83_18547;
																																										BgL_zc3anonymousza32990ze3z83_18547
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32990ze3z83_18547,
																																											(int)
																																											(((long) 0)), BgL_a1z00_2904);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32990ze3z83_18547,
																																											(int)
																																											(((long) 1)), BgL_a2z00_2905);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32990ze3z83_18547,
																																											(int)
																																											(((long) 2)), BgL_locz00_193);
																																										return
																																											BgL_zc3anonymousza32990ze3z83_18547;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 1001 */
																																									if ((BgL_valz00_2757 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 1001 */
																																											obj_t
																																												BgL_a1z00_2914;
																																											obj_t
																																												BgL_a2z00_2915;
																																											BgL_a1z00_2914
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																											BgL_a2z00_2915
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 1001 */
																																												obj_t
																																													BgL_zc3anonymousza32994ze3z83_18548;
																																												BgL_zc3anonymousza32994ze3z83_18548
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32994ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32994ze3z83_18548,
																																													(int)
																																													(((long) 0)), BgL_a1z00_2914);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32994ze3z83_18548,
																																													(int)
																																													(((long) 1)), BgL_a2z00_2915);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32994ze3z83_18548,
																																													(int)
																																													(((long) 2)), BgL_locz00_193);
																																												return
																																													BgL_zc3anonymousza32994ze3z83_18548;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 1001 */
																																											if ((BgL_valz00_2757 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 1001 */
																																													obj_t
																																														BgL_a1z00_2924;
																																													obj_t
																																														BgL_a2z00_2925;
																																													BgL_a1z00_2924
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																													BgL_a2z00_2925
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 1001 */
																																														obj_t
																																															BgL_zc3anonymousza32998ze3z83_18549;
																																														BgL_zc3anonymousza32998ze3z83_18549
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32998ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32998ze3z83_18549,
																																															(int)
																																															(((long) 0)), BgL_a1z00_2924);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32998ze3z83_18549,
																																															(int)
																																															(((long) 1)), BgL_a2z00_2925);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32998ze3z83_18549,
																																															(int)
																																															(((long) 2)), BgL_locz00_193);
																																														return
																																															BgL_zc3anonymousza32998ze3z83_18549;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 1001 */
																																													if ((BgL_valz00_2757 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 1001 */
																																															obj_t
																																																BgL_a1z00_2934;
																																															obj_t
																																																BgL_a2z00_2935;
																																															BgL_a1z00_2934
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																															BgL_a2z00_2935
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 1001 */
																																																obj_t
																																																	BgL_zc3anonymousza33002ze3z83_18550;
																																																BgL_zc3anonymousza33002ze3z83_18550
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza33002ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza33002ze3z83_18550,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_2934);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza33002ze3z83_18550,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_2935);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza33002ze3z83_18550,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_193);
																																																return
																																																	BgL_zc3anonymousza33002ze3z83_18550;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 1001 */
																																															if ((BgL_valz00_2757 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 1001 */
																																																	obj_t
																																																		BgL_a1z00_2944;
																																																	obj_t
																																																		BgL_a2z00_2945;
																																																	BgL_a1z00_2944
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																	BgL_a2z00_2945
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 1001 */
																																																		obj_t
																																																			BgL_zc3anonymousza33006ze3z83_18551;
																																																		BgL_zc3anonymousza33006ze3z83_18551
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza33006ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza33006ze3z83_18551,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_2944);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza33006ze3z83_18551,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_2945);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza33006ze3z83_18551,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_193);
																																																		return
																																																			BgL_zc3anonymousza33006ze3z83_18551;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 1001 */
																																																	if ((BgL_valz00_2757 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 1001 */
																																																			obj_t
																																																				BgL_a1z00_2954;
																																																			obj_t
																																																				BgL_a2z00_2955;
																																																			BgL_a1z00_2954
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																			BgL_a2z00_2955
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 1001 */
																																																				obj_t
																																																					BgL_zc3anonymousza33010ze3z83_18552;
																																																				BgL_zc3anonymousza33010ze3z83_18552
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza33010ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33010ze3z83_18552,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_2954);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33010ze3z83_18552,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_2955);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33010ze3z83_18552,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_193);
																																																				return
																																																					BgL_zc3anonymousza33010ze3z83_18552;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 1001 */
																																																			if ((BgL_valz00_2757 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 1001 */
																																																					obj_t
																																																						BgL_a1z00_2964;
																																																					obj_t
																																																						BgL_a2z00_2965;
																																																					BgL_a1z00_2964
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																					BgL_a2z00_2965
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 1001 */
																																																						obj_t
																																																							BgL_zc3anonymousza33014ze3z83_18553;
																																																						BgL_zc3anonymousza33014ze3z83_18553
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza33014ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza33014ze3z83_18553,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_2964);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza33014ze3z83_18553,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_2965);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza33014ze3z83_18553,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_193);
																																																						return
																																																							BgL_zc3anonymousza33014ze3z83_18553;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 1001 */
																																																					if ((BgL_valz00_2757 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 1001 */
																																																							obj_t
																																																								BgL_a1z00_2974;
																																																							obj_t
																																																								BgL_a2z00_2975;
																																																							BgL_a1z00_2974
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																							BgL_a2z00_2975
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 1001 */
																																																								obj_t
																																																									BgL_zc3anonymousza33018ze3z83_18554;
																																																								BgL_zc3anonymousza33018ze3z83_18554
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza33018ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza33018ze3z83_18554,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_2974);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza33018ze3z83_18554,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_2975);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza33018ze3z83_18554,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_193);
																																																								return
																																																									BgL_zc3anonymousza33018ze3z83_18554;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 1001 */
																																																							if ((BgL_valz00_2757 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 1001 */
																																																									obj_t
																																																										BgL_a1z00_2984;
																																																									obj_t
																																																										BgL_a2z00_2985;
																																																									BgL_a1z00_2984
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																									BgL_a2z00_2985
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 1001 */
																																																										obj_t
																																																											BgL_zc3anonymousza33022ze3z83_18555;
																																																										BgL_zc3anonymousza33022ze3z83_18555
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza33022ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza33022ze3z83_18555,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_2984);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza33022ze3z83_18555,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_2985);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza33022ze3z83_18555,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_193);
																																																										return
																																																											BgL_zc3anonymousza33022ze3z83_18555;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 1001 */
																																																									if ((BgL_valz00_2757 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 1001 */
																																																											obj_t
																																																												BgL_a1z00_2994;
																																																											obj_t
																																																												BgL_a2z00_2995;
																																																											BgL_a1z00_2994
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																											BgL_a2z00_2995
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 1001 */
																																																												obj_t
																																																													BgL_zc3anonymousza33026ze3z83_18556;
																																																												BgL_zc3anonymousza33026ze3z83_18556
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza33026ze3z83_18556,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_2994);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza33026ze3z83_18556,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_2995);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza33026ze3z83_18556,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_193);
																																																												return
																																																													BgL_zc3anonymousza33026ze3z83_18556;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 1001 */
																																																											if ((BgL_valz00_2757 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 1001 */
																																																													obj_t
																																																														BgL_a1z00_3004;
																																																													obj_t
																																																														BgL_a2z00_3005;
																																																													BgL_a1z00_3004
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																													BgL_a2z00_3005
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 1001 */
																																																														obj_t
																																																															BgL_zc3anonymousza33030ze3z83_18557;
																																																														BgL_zc3anonymousza33030ze3z83_18557
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza33030ze3z83_18557,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_3004);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza33030ze3z83_18557,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_3005);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza33030ze3z83_18557,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_193);
																																																														return
																																																															BgL_zc3anonymousza33030ze3z83_18557;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 1001 */
																																																													if ((BgL_valz00_2757 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 1001 */
																																																															obj_t
																																																																BgL_a1z00_3014;
																																																															obj_t
																																																																BgL_a2z00_3015;
																																																															BgL_a1z00_3014
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																															BgL_a2z00_3015
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 1001 */
																																																																obj_t
																																																																	BgL_zc3anonymousza33034ze3z83_18558;
																																																																BgL_zc3anonymousza33034ze3z83_18558
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza33034ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza33034ze3z83_18558,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_3014);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza33034ze3z83_18558,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_3015);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza33034ze3z83_18558,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_193);
																																																																return
																																																																	BgL_zc3anonymousza33034ze3z83_18558;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 1001 */
																																																															if ((BgL_valz00_2757 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 1001 */
																																																																	obj_t
																																																																		BgL_a1z00_3024;
																																																																	obj_t
																																																																		BgL_a2z00_3025;
																																																																	BgL_a1z00_3024
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																																	BgL_a2z00_3025
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 1001 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza33038ze3z83_18559;
																																																																		BgL_zc3anonymousza33038ze3z83_18559
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza33038ze3z83_18559,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_3024);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza33038ze3z83_18559,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_3025);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza33038ze3z83_18559,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3anonymousza33038ze3z83_18559;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 1001 */
																																																																	if ((BgL_valz00_2757 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 1001 */
																																																																			obj_t
																																																																				BgL_a1z00_3034;
																																																																			obj_t
																																																																				BgL_a2z00_3035;
																																																																			BgL_a1z00_3034
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																																			BgL_a2z00_3035
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 1001 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza33042ze3z83_18560;
																																																																				BgL_zc3anonymousza33042ze3z83_18560
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza33042ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza33042ze3z83_18560,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_3034);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza33042ze3z83_18560,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_3035);
																																																																				return
																																																																					BgL_zc3anonymousza33042ze3z83_18560;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 1001 */
																																																																			if ((BgL_valz00_2757 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 1001 */
																																																																					obj_t
																																																																						BgL_a1z00_3042;
																																																																					obj_t
																																																																						BgL_a2z00_3043;
																																																																					BgL_a1z00_3042
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2761), BgL_stkz00_196);
																																																																					BgL_a2z00_3043
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2762), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 1001 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza33044ze3z83_18561;
																																																																						BgL_zc3anonymousza33044ze3z83_18561
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza33044ze3z83_18561,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_3042);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza33044ze3z83_18561,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_3043);
																																																																						return
																																																																							BgL_zc3anonymousza33044ze3z83_18561;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 1001 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 999 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 994 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2934> */
	obj_t BGl_z62zc3anonymousza32934ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18565, obj_t BgL_sz00_18569)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18566;
				obj_t BgL_a2z00_18567;
				obj_t BgL_locz00_18568;

				BgL_a1z00_18566 = PROCEDURE_REF(BgL_envz00_18565, (int) (((long) 0)));
				BgL_a2z00_18567 = PROCEDURE_REF(BgL_envz00_18565, (int) (((long) 1)));
				BgL_locz00_18568 = PROCEDURE_REF(BgL_envz00_18565, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2766;

					BgL_sz00_2766 = BgL_sz00_18569;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_2768;

						BgL_bpz00_2768 = VECTOR_REF(BgL_sz00_2766, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_2769;
							obj_t BgL_a2z00_2770;

							BgL_a1z00_2769 =
								PROCEDURE_ENTRY(BgL_a1z00_18566) (BgL_a1z00_18566,
								BgL_sz00_2766, BEOA);
							BgL_a2z00_2770 =
								PROCEDURE_ENTRY(BgL_a2z00_18567) (BgL_a2z00_18567,
								BgL_sz00_2766, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2769))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6227z00zz__evaluate_compz00,
										BGl_symbol6229z00zz__evaluate_compz00, BgL_a1z00_2769,
										BgL_locz00_18568);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2770))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6227z00zz__evaluate_compz00,
										BGl_symbol6229z00zz__evaluate_compz00, BgL_a2z00_2770,
										BgL_locz00_18568);
								}
							return
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_2769,
								BgL_a2z00_2770);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2938> */
	obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18570, obj_t BgL_sz00_18574)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18571;
				obj_t BgL_a2z00_18572;
				obj_t BgL_locz00_18573;

				BgL_a1z00_18571 = PROCEDURE_REF(BgL_envz00_18570, (int) (((long) 0)));
				BgL_a2z00_18572 = PROCEDURE_REF(BgL_envz00_18570, (int) (((long) 1)));
				BgL_locz00_18573 = PROCEDURE_REF(BgL_envz00_18570, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2776;

					BgL_sz00_2776 = BgL_sz00_18574;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_2778;

						BgL_bpz00_2778 = VECTOR_REF(BgL_sz00_2776, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_2779;
							obj_t BgL_a2z00_2780;

							BgL_a1z00_2779 =
								PROCEDURE_ENTRY(BgL_a1z00_18571) (BgL_a1z00_18571,
								BgL_sz00_2776, BEOA);
							BgL_a2z00_2780 =
								PROCEDURE_ENTRY(BgL_a2z00_18572) (BgL_a2z00_18572,
								BgL_sz00_2776, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2779))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6231z00zz__evaluate_compz00,
										BGl_symbol6229z00zz__evaluate_compz00, BgL_a1z00_2779,
										BgL_locz00_18573);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2780))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6231z00zz__evaluate_compz00,
										BGl_symbol6229z00zz__evaluate_compz00, BgL_a2z00_2780,
										BgL_locz00_18573);
								}
							return
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_2779,
								BgL_a2z00_2780);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2942> */
	obj_t BGl_z62zc3anonymousza32942ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18575, obj_t BgL_sz00_18579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18576;
				obj_t BgL_a2z00_18577;
				obj_t BgL_locz00_18578;

				BgL_a1z00_18576 = PROCEDURE_REF(BgL_envz00_18575, (int) (((long) 0)));
				BgL_a2z00_18577 = PROCEDURE_REF(BgL_envz00_18575, (int) (((long) 1)));
				BgL_locz00_18578 = PROCEDURE_REF(BgL_envz00_18575, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2786;

					BgL_sz00_2786 = BgL_sz00_18579;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_2788;

						BgL_bpz00_2788 = VECTOR_REF(BgL_sz00_2786, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_2789;
							obj_t BgL_a2z00_2790;

							BgL_a1z00_2789 =
								PROCEDURE_ENTRY(BgL_a1z00_18576) (BgL_a1z00_18576,
								BgL_sz00_2786, BEOA);
							BgL_a2z00_2790 =
								PROCEDURE_ENTRY(BgL_a2z00_18577) (BgL_a2z00_18577,
								BgL_sz00_2786, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2789))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6233z00zz__evaluate_compz00,
										BGl_symbol6229z00zz__evaluate_compz00, BgL_a1z00_2789,
										BgL_locz00_18578);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2790))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6233z00zz__evaluate_compz00,
										BGl_symbol6229z00zz__evaluate_compz00, BgL_a2z00_2790,
										BgL_locz00_18578);
								}
							return
								BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_2789,
								BgL_a2z00_2790);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2946> */
	obj_t BGl_z62zc3anonymousza32946ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18580, obj_t BgL_sz00_18584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18581;
				obj_t BgL_a2z00_18582;
				obj_t BgL_locz00_18583;

				BgL_a1z00_18581 = PROCEDURE_REF(BgL_envz00_18580, (int) (((long) 0)));
				BgL_a2z00_18582 = PROCEDURE_REF(BgL_envz00_18580, (int) (((long) 1)));
				BgL_locz00_18583 = PROCEDURE_REF(BgL_envz00_18580, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2796;

					BgL_sz00_2796 = BgL_sz00_18584;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_2798;

						BgL_bpz00_2798 = VECTOR_REF(BgL_sz00_2796, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_2799;
							obj_t BgL_a2z00_2800;

							BgL_a1z00_2799 =
								PROCEDURE_ENTRY(BgL_a1z00_18581) (BgL_a1z00_18581,
								BgL_sz00_2796, BEOA);
							BgL_a2z00_2800 =
								PROCEDURE_ENTRY(BgL_a2z00_18582) (BgL_a2z00_18582,
								BgL_sz00_2796, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2799))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6235z00zz__evaluate_compz00,
										BGl_symbol6229z00zz__evaluate_compz00, BgL_a1z00_2799,
										BgL_locz00_18583);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2800))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6235z00zz__evaluate_compz00,
										BGl_symbol6229z00zz__evaluate_compz00, BgL_a2z00_2800,
										BgL_locz00_18583);
								}
							return
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_2799,
								BgL_a2z00_2800);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2950> */
	obj_t BGl_z62zc3anonymousza32950ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18585, obj_t BgL_sz00_18589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18586;
				obj_t BgL_a2z00_18587;
				obj_t BgL_locz00_18588;

				BgL_a1z00_18586 = PROCEDURE_REF(BgL_envz00_18585, (int) (((long) 0)));
				BgL_a2z00_18587 = PROCEDURE_REF(BgL_envz00_18585, (int) (((long) 1)));
				BgL_locz00_18588 = PROCEDURE_REF(BgL_envz00_18585, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2806;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27182;

						BgL_sz00_2806 = BgL_sz00_18589;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2808;

							BgL_bpz00_2808 = VECTOR_REF(BgL_sz00_2806, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2809;
								obj_t BgL_a2z00_2810;

								BgL_a1z00_2809 =
									PROCEDURE_ENTRY(BgL_a1z00_18586) (BgL_a1z00_18586,
									BgL_sz00_2806, BEOA);
								BgL_a2z00_2810 =
									PROCEDURE_ENTRY(BgL_a2z00_18587) (BgL_a2z00_18587,
									BgL_sz00_2806, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2809))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6237z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a1z00_2809,
											BgL_locz00_18588);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2810))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6237z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a2z00_2810,
											BgL_locz00_18588);
									}
								BgL_auxz00_27182 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_2809,
									BgL_a2z00_2810);
							}
						}
						return BBOOL(BgL_auxz00_27182);
					}
				}
			}
		}
	}



/* &<anonymous:2954> */
	obj_t BGl_z62zc3anonymousza32954ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18590, obj_t BgL_sz00_18594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18591;
				obj_t BgL_a2z00_18592;
				obj_t BgL_locz00_18593;

				BgL_a1z00_18591 = PROCEDURE_REF(BgL_envz00_18590, (int) (((long) 0)));
				BgL_a2z00_18592 = PROCEDURE_REF(BgL_envz00_18590, (int) (((long) 1)));
				BgL_locz00_18593 = PROCEDURE_REF(BgL_envz00_18590, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2816;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27207;

						BgL_sz00_2816 = BgL_sz00_18594;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2818;

							BgL_bpz00_2818 = VECTOR_REF(BgL_sz00_2816, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2819;
								obj_t BgL_a2z00_2820;

								BgL_a1z00_2819 =
									PROCEDURE_ENTRY(BgL_a1z00_18591) (BgL_a1z00_18591,
									BgL_sz00_2816, BEOA);
								BgL_a2z00_2820 =
									PROCEDURE_ENTRY(BgL_a2z00_18592) (BgL_a2z00_18592,
									BgL_sz00_2816, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2819))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6239z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a1z00_2819,
											BgL_locz00_18593);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2820))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6239z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a2z00_2820,
											BgL_locz00_18593);
									}
								BgL_auxz00_27207 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_2819,
									BgL_a2z00_2820);
							}
						}
						return BBOOL(BgL_auxz00_27207);
					}
				}
			}
		}
	}



/* &<anonymous:2958> */
	obj_t BGl_z62zc3anonymousza32958ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18595, obj_t BgL_sz00_18599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18596;
				obj_t BgL_a2z00_18597;
				obj_t BgL_locz00_18598;

				BgL_a1z00_18596 = PROCEDURE_REF(BgL_envz00_18595, (int) (((long) 0)));
				BgL_a2z00_18597 = PROCEDURE_REF(BgL_envz00_18595, (int) (((long) 1)));
				BgL_locz00_18598 = PROCEDURE_REF(BgL_envz00_18595, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2826;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27232;

						BgL_sz00_2826 = BgL_sz00_18599;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2828;

							BgL_bpz00_2828 = VECTOR_REF(BgL_sz00_2826, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2829;
								obj_t BgL_a2z00_2830;

								BgL_a1z00_2829 =
									PROCEDURE_ENTRY(BgL_a1z00_18596) (BgL_a1z00_18596,
									BgL_sz00_2826, BEOA);
								BgL_a2z00_2830 =
									PROCEDURE_ENTRY(BgL_a2z00_18597) (BgL_a2z00_18597,
									BgL_sz00_2826, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2829))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6241z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a1z00_2829,
											BgL_locz00_18598);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2830))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6241z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a2z00_2830,
											BgL_locz00_18598);
									}
								BgL_auxz00_27232 =
									BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_2829,
									BgL_a2z00_2830);
							}
						}
						return BBOOL(BgL_auxz00_27232);
					}
				}
			}
		}
	}



/* &<anonymous:2962> */
	obj_t BGl_z62zc3anonymousza32962ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18600, obj_t BgL_sz00_18604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18601;
				obj_t BgL_a2z00_18602;
				obj_t BgL_locz00_18603;

				BgL_a1z00_18601 = PROCEDURE_REF(BgL_envz00_18600, (int) (((long) 0)));
				BgL_a2z00_18602 = PROCEDURE_REF(BgL_envz00_18600, (int) (((long) 1)));
				BgL_locz00_18603 = PROCEDURE_REF(BgL_envz00_18600, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2836;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27257;

						BgL_sz00_2836 = BgL_sz00_18604;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2838;

							BgL_bpz00_2838 = VECTOR_REF(BgL_sz00_2836, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2839;
								obj_t BgL_a2z00_2840;

								BgL_a1z00_2839 =
									PROCEDURE_ENTRY(BgL_a1z00_18601) (BgL_a1z00_18601,
									BgL_sz00_2836, BEOA);
								BgL_a2z00_2840 =
									PROCEDURE_ENTRY(BgL_a2z00_18602) (BgL_a2z00_18602,
									BgL_sz00_2836, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2839))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6243z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a1z00_2839,
											BgL_locz00_18603);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2840))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6243z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a2z00_2840,
											BgL_locz00_18603);
									}
								BgL_auxz00_27257 =
									BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_2839,
									BgL_a2z00_2840);
							}
						}
						return BBOOL(BgL_auxz00_27257);
					}
				}
			}
		}
	}



/* &<anonymous:2966> */
	obj_t BGl_z62zc3anonymousza32966ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18605, obj_t BgL_sz00_18609)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18606;
				obj_t BgL_a2z00_18607;
				obj_t BgL_locz00_18608;

				BgL_a1z00_18606 = PROCEDURE_REF(BgL_envz00_18605, (int) (((long) 0)));
				BgL_a2z00_18607 = PROCEDURE_REF(BgL_envz00_18605, (int) (((long) 1)));
				BgL_locz00_18608 = PROCEDURE_REF(BgL_envz00_18605, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2846;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27282;

						BgL_sz00_2846 = BgL_sz00_18609;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2848;

							BgL_bpz00_2848 = VECTOR_REF(BgL_sz00_2846, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2849;
								obj_t BgL_a2z00_2850;

								BgL_a1z00_2849 =
									PROCEDURE_ENTRY(BgL_a1z00_18606) (BgL_a1z00_18606,
									BgL_sz00_2846, BEOA);
								BgL_a2z00_2850 =
									PROCEDURE_ENTRY(BgL_a2z00_18607) (BgL_a2z00_18607,
									BgL_sz00_2846, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2849))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6245z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a1z00_2849,
											BgL_locz00_18608);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2850))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6245z00zz__evaluate_compz00,
											BGl_symbol6229z00zz__evaluate_compz00, BgL_a2z00_2850,
											BgL_locz00_18608);
									}
								BgL_auxz00_27282 =
									BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_2849,
									BgL_a2z00_2850);
							}
						}
						return BBOOL(BgL_auxz00_27282);
					}
				}
			}
		}
	}



/* &<anonymous:2970> */
	obj_t BGl_z62zc3anonymousza32970ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18610, obj_t BgL_sz00_18614)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18611;
				obj_t BgL_a2z00_18612;
				obj_t BgL_locz00_18613;

				BgL_a1z00_18611 = PROCEDURE_REF(BgL_envz00_18610, (int) (((long) 0)));
				BgL_a2z00_18612 = PROCEDURE_REF(BgL_envz00_18610, (int) (((long) 1)));
				BgL_locz00_18613 = PROCEDURE_REF(BgL_envz00_18610, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2856;

					{	/* Eval/evaluate_comp.scm 1001 */
						long BgL_auxz00_27307;

						BgL_sz00_2856 = BgL_sz00_18614;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2858;

							BgL_bpz00_2858 = VECTOR_REF(BgL_sz00_2856, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2859;
								obj_t BgL_a2z00_2860;

								BgL_a1z00_2859 =
									PROCEDURE_ENTRY(BgL_a1z00_18611) (BgL_a1z00_18611,
									BgL_sz00_2856, BEOA);
								BgL_a2z00_2860 =
									PROCEDURE_ENTRY(BgL_a2z00_18612) (BgL_a2z00_18612,
									BgL_sz00_2856, BEOA);
								if (INTEGERP(BgL_a1z00_2859))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6247z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a1z00_2859,
											BgL_locz00_18613);
									}
								if (INTEGERP(BgL_a2z00_2860))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6247z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a2z00_2860,
											BgL_locz00_18613);
									}
								BgL_auxz00_27307 =
									((long) CINT(BgL_a1z00_2859) + (long) CINT(BgL_a2z00_2860));
						}}
						return BINT(BgL_auxz00_27307);
					}
				}
			}
		}
	}



/* &<anonymous:2974> */
	obj_t BGl_z62zc3anonymousza32974ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18615, obj_t BgL_sz00_18619)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18616;
				obj_t BgL_a2z00_18617;
				obj_t BgL_locz00_18618;

				BgL_a1z00_18616 = PROCEDURE_REF(BgL_envz00_18615, (int) (((long) 0)));
				BgL_a2z00_18617 = PROCEDURE_REF(BgL_envz00_18615, (int) (((long) 1)));
				BgL_locz00_18618 = PROCEDURE_REF(BgL_envz00_18615, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2866;

					{	/* Eval/evaluate_comp.scm 1001 */
						long BgL_auxz00_27334;

						BgL_sz00_2866 = BgL_sz00_18619;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2868;

							BgL_bpz00_2868 = VECTOR_REF(BgL_sz00_2866, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2869;
								obj_t BgL_a2z00_2870;

								BgL_a1z00_2869 =
									PROCEDURE_ENTRY(BgL_a1z00_18616) (BgL_a1z00_18616,
									BgL_sz00_2866, BEOA);
								BgL_a2z00_2870 =
									PROCEDURE_ENTRY(BgL_a2z00_18617) (BgL_a2z00_18617,
									BgL_sz00_2866, BEOA);
								if (INTEGERP(BgL_a1z00_2869))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6251z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a1z00_2869,
											BgL_locz00_18618);
									}
								if (INTEGERP(BgL_a2z00_2870))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6251z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a2z00_2870,
											BgL_locz00_18618);
									}
								BgL_auxz00_27334 =
									((long) CINT(BgL_a1z00_2869) - (long) CINT(BgL_a2z00_2870));
						}}
						return BINT(BgL_auxz00_27334);
					}
				}
			}
		}
	}



/* &<anonymous:2978> */
	obj_t BGl_z62zc3anonymousza32978ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18620, obj_t BgL_sz00_18624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18621;
				obj_t BgL_a2z00_18622;
				obj_t BgL_locz00_18623;

				BgL_a1z00_18621 = PROCEDURE_REF(BgL_envz00_18620, (int) (((long) 0)));
				BgL_a2z00_18622 = PROCEDURE_REF(BgL_envz00_18620, (int) (((long) 1)));
				BgL_locz00_18623 = PROCEDURE_REF(BgL_envz00_18620, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2876;

					{	/* Eval/evaluate_comp.scm 1001 */
						long BgL_auxz00_27361;

						BgL_sz00_2876 = BgL_sz00_18624;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2878;

							BgL_bpz00_2878 = VECTOR_REF(BgL_sz00_2876, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2879;
								obj_t BgL_a2z00_2880;

								BgL_a1z00_2879 =
									PROCEDURE_ENTRY(BgL_a1z00_18621) (BgL_a1z00_18621,
									BgL_sz00_2876, BEOA);
								BgL_a2z00_2880 =
									PROCEDURE_ENTRY(BgL_a2z00_18622) (BgL_a2z00_18622,
									BgL_sz00_2876, BEOA);
								if (INTEGERP(BgL_a1z00_2879))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6253z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a1z00_2879,
											BgL_locz00_18623);
									}
								if (INTEGERP(BgL_a2z00_2880))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6253z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a2z00_2880,
											BgL_locz00_18623);
									}
								BgL_auxz00_27361 =
									((long) CINT(BgL_a1z00_2879) * (long) CINT(BgL_a2z00_2880));
						}}
						return BINT(BgL_auxz00_27361);
					}
				}
			}
		}
	}



/* &<anonymous:2982> */
	obj_t BGl_z62zc3anonymousza32982ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18625, obj_t BgL_sz00_18629)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18626;
				obj_t BgL_a2z00_18627;
				obj_t BgL_locz00_18628;

				BgL_a1z00_18626 = PROCEDURE_REF(BgL_envz00_18625, (int) (((long) 0)));
				BgL_a2z00_18627 = PROCEDURE_REF(BgL_envz00_18625, (int) (((long) 1)));
				BgL_locz00_18628 = PROCEDURE_REF(BgL_envz00_18625, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2886;

					{	/* Eval/evaluate_comp.scm 1001 */
						long BgL_auxz00_27388;

						BgL_sz00_2886 = BgL_sz00_18629;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2888;

							BgL_bpz00_2888 = VECTOR_REF(BgL_sz00_2886, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2889;
								obj_t BgL_a2z00_2890;

								BgL_a1z00_2889 =
									PROCEDURE_ENTRY(BgL_a1z00_18626) (BgL_a1z00_18626,
									BgL_sz00_2886, BEOA);
								BgL_a2z00_2890 =
									PROCEDURE_ENTRY(BgL_a2z00_18627) (BgL_a2z00_18627,
									BgL_sz00_2886, BEOA);
								if (INTEGERP(BgL_a1z00_2889))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6255z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a1z00_2889,
											BgL_locz00_18628);
									}
								if (INTEGERP(BgL_a2z00_2890))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6255z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a2z00_2890,
											BgL_locz00_18628);
									}
								BgL_auxz00_27388 =
									((long) CINT(BgL_a1z00_2889) / (long) CINT(BgL_a2z00_2890));
						}}
						return BINT(BgL_auxz00_27388);
					}
				}
			}
		}
	}



/* &<anonymous:2986> */
	obj_t BGl_z62zc3anonymousza32986ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18630, obj_t BgL_sz00_18634)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18631;
				obj_t BgL_a2z00_18632;
				obj_t BgL_locz00_18633;

				BgL_a1z00_18631 = PROCEDURE_REF(BgL_envz00_18630, (int) (((long) 0)));
				BgL_a2z00_18632 = PROCEDURE_REF(BgL_envz00_18630, (int) (((long) 1)));
				BgL_locz00_18633 = PROCEDURE_REF(BgL_envz00_18630, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2896;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27415;

						BgL_sz00_2896 = BgL_sz00_18634;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2898;

							BgL_bpz00_2898 = VECTOR_REF(BgL_sz00_2896, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2899;
								obj_t BgL_a2z00_2900;

								BgL_a1z00_2899 =
									PROCEDURE_ENTRY(BgL_a1z00_18631) (BgL_a1z00_18631,
									BgL_sz00_2896, BEOA);
								BgL_a2z00_2900 =
									PROCEDURE_ENTRY(BgL_a2z00_18632) (BgL_a2z00_18632,
									BgL_sz00_2896, BEOA);
								if (INTEGERP(BgL_a1z00_2899))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6257z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a1z00_2899,
											BgL_locz00_18633);
									}
								if (INTEGERP(BgL_a2z00_2900))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6257z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a2z00_2900,
											BgL_locz00_18633);
									}
								BgL_auxz00_27415 =
									((long) CINT(BgL_a1z00_2899) < (long) CINT(BgL_a2z00_2900));
						}}
						return BBOOL(BgL_auxz00_27415);
					}
				}
			}
		}
	}



/* &<anonymous:2990> */
	obj_t BGl_z62zc3anonymousza32990ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18635, obj_t BgL_sz00_18639)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18636;
				obj_t BgL_a2z00_18637;
				obj_t BgL_locz00_18638;

				BgL_a1z00_18636 = PROCEDURE_REF(BgL_envz00_18635, (int) (((long) 0)));
				BgL_a2z00_18637 = PROCEDURE_REF(BgL_envz00_18635, (int) (((long) 1)));
				BgL_locz00_18638 = PROCEDURE_REF(BgL_envz00_18635, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2906;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27442;

						BgL_sz00_2906 = BgL_sz00_18639;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2908;

							BgL_bpz00_2908 = VECTOR_REF(BgL_sz00_2906, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2909;
								obj_t BgL_a2z00_2910;

								BgL_a1z00_2909 =
									PROCEDURE_ENTRY(BgL_a1z00_18636) (BgL_a1z00_18636,
									BgL_sz00_2906, BEOA);
								BgL_a2z00_2910 =
									PROCEDURE_ENTRY(BgL_a2z00_18637) (BgL_a2z00_18637,
									BgL_sz00_2906, BEOA);
								if (INTEGERP(BgL_a1z00_2909))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6259z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a1z00_2909,
											BgL_locz00_18638);
									}
								if (INTEGERP(BgL_a2z00_2910))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6259z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a2z00_2910,
											BgL_locz00_18638);
									}
								BgL_auxz00_27442 =
									((long) CINT(BgL_a1z00_2909) > (long) CINT(BgL_a2z00_2910));
						}}
						return BBOOL(BgL_auxz00_27442);
					}
				}
			}
		}
	}



/* &<anonymous:2994> */
	obj_t BGl_z62zc3anonymousza32994ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18640, obj_t BgL_sz00_18644)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18641;
				obj_t BgL_a2z00_18642;
				obj_t BgL_locz00_18643;

				BgL_a1z00_18641 = PROCEDURE_REF(BgL_envz00_18640, (int) (((long) 0)));
				BgL_a2z00_18642 = PROCEDURE_REF(BgL_envz00_18640, (int) (((long) 1)));
				BgL_locz00_18643 = PROCEDURE_REF(BgL_envz00_18640, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2916;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27469;

						BgL_sz00_2916 = BgL_sz00_18644;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2918;

							BgL_bpz00_2918 = VECTOR_REF(BgL_sz00_2916, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2919;
								obj_t BgL_a2z00_2920;

								BgL_a1z00_2919 =
									PROCEDURE_ENTRY(BgL_a1z00_18641) (BgL_a1z00_18641,
									BgL_sz00_2916, BEOA);
								BgL_a2z00_2920 =
									PROCEDURE_ENTRY(BgL_a2z00_18642) (BgL_a2z00_18642,
									BgL_sz00_2916, BEOA);
								if (INTEGERP(BgL_a1z00_2919))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6261z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a1z00_2919,
											BgL_locz00_18643);
									}
								if (INTEGERP(BgL_a2z00_2920))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6261z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a2z00_2920,
											BgL_locz00_18643);
									}
								BgL_auxz00_27469 =
									((long) CINT(BgL_a1z00_2919) <= (long) CINT(BgL_a2z00_2920));
						}}
						return BBOOL(BgL_auxz00_27469);
					}
				}
			}
		}
	}



/* &<anonymous:2998> */
	obj_t BGl_z62zc3anonymousza32998ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18645, obj_t BgL_sz00_18649)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18646;
				obj_t BgL_a2z00_18647;
				obj_t BgL_locz00_18648;

				BgL_a1z00_18646 = PROCEDURE_REF(BgL_envz00_18645, (int) (((long) 0)));
				BgL_a2z00_18647 = PROCEDURE_REF(BgL_envz00_18645, (int) (((long) 1)));
				BgL_locz00_18648 = PROCEDURE_REF(BgL_envz00_18645, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2926;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27496;

						BgL_sz00_2926 = BgL_sz00_18649;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2928;

							BgL_bpz00_2928 = VECTOR_REF(BgL_sz00_2926, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2929;
								obj_t BgL_a2z00_2930;

								BgL_a1z00_2929 =
									PROCEDURE_ENTRY(BgL_a1z00_18646) (BgL_a1z00_18646,
									BgL_sz00_2926, BEOA);
								BgL_a2z00_2930 =
									PROCEDURE_ENTRY(BgL_a2z00_18647) (BgL_a2z00_18647,
									BgL_sz00_2926, BEOA);
								if (INTEGERP(BgL_a1z00_2929))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6263z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a1z00_2929,
											BgL_locz00_18648);
									}
								if (INTEGERP(BgL_a2z00_2930))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6263z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a2z00_2930,
											BgL_locz00_18648);
									}
								BgL_auxz00_27496 =
									((long) CINT(BgL_a1z00_2929) >= (long) CINT(BgL_a2z00_2930));
						}}
						return BBOOL(BgL_auxz00_27496);
					}
				}
			}
		}
	}



/* &<anonymous:3002> */
	obj_t BGl_z62zc3anonymousza33002ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18650, obj_t BgL_sz00_18654)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18651;
				obj_t BgL_a2z00_18652;
				obj_t BgL_locz00_18653;

				BgL_a1z00_18651 = PROCEDURE_REF(BgL_envz00_18650, (int) (((long) 0)));
				BgL_a2z00_18652 = PROCEDURE_REF(BgL_envz00_18650, (int) (((long) 1)));
				BgL_locz00_18653 = PROCEDURE_REF(BgL_envz00_18650, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2936;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27523;

						BgL_sz00_2936 = BgL_sz00_18654;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2938;

							BgL_bpz00_2938 = VECTOR_REF(BgL_sz00_2936, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2939;
								obj_t BgL_a2z00_2940;

								BgL_a1z00_2939 =
									PROCEDURE_ENTRY(BgL_a1z00_18651) (BgL_a1z00_18651,
									BgL_sz00_2936, BEOA);
								BgL_a2z00_2940 =
									PROCEDURE_ENTRY(BgL_a2z00_18652) (BgL_a2z00_18652,
									BgL_sz00_2936, BEOA);
								if (INTEGERP(BgL_a1z00_2939))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6265z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a1z00_2939,
											BgL_locz00_18653);
									}
								if (INTEGERP(BgL_a2z00_2940))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6265z00zz__evaluate_compz00,
											BGl_symbol6249z00zz__evaluate_compz00, BgL_a2z00_2940,
											BgL_locz00_18653);
									}
								BgL_auxz00_27523 =
									((long) CINT(BgL_a1z00_2939) == (long) CINT(BgL_a2z00_2940));
						}}
						return BBOOL(BgL_auxz00_27523);
					}
				}
			}
		}
	}



/* &<anonymous:3006> */
	obj_t BGl_z62zc3anonymousza33006ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18655, obj_t BgL_sz00_18659)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18656;
				obj_t BgL_a2z00_18657;
				obj_t BgL_locz00_18658;

				BgL_a1z00_18656 = PROCEDURE_REF(BgL_envz00_18655, (int) (((long) 0)));
				BgL_a2z00_18657 = PROCEDURE_REF(BgL_envz00_18655, (int) (((long) 1)));
				BgL_locz00_18658 = PROCEDURE_REF(BgL_envz00_18655, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2946;

					{	/* Eval/evaluate_comp.scm 1001 */
						double BgL_auxz00_27550;

						BgL_sz00_2946 = BgL_sz00_18659;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2948;

							BgL_bpz00_2948 = VECTOR_REF(BgL_sz00_2946, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2949;
								obj_t BgL_a2z00_2950;

								BgL_a1z00_2949 =
									PROCEDURE_ENTRY(BgL_a1z00_18656) (BgL_a1z00_18656,
									BgL_sz00_2946, BEOA);
								BgL_a2z00_2950 =
									PROCEDURE_ENTRY(BgL_a2z00_18657) (BgL_a2z00_18657,
									BgL_sz00_2946, BEOA);
								if (REALP(BgL_a1z00_2949))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6267z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a1z00_2949,
											BgL_locz00_18658);
									}
								if (REALP(BgL_a2z00_2950))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6267z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a2z00_2950,
											BgL_locz00_18658);
									}
								BgL_auxz00_27550 =
									(REAL_TO_DOUBLE(BgL_a1z00_2949) +
									REAL_TO_DOUBLE(BgL_a2z00_2950));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_27550);
					}
				}
			}
		}
	}



/* &<anonymous:3010> */
	obj_t BGl_z62zc3anonymousza33010ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18660, obj_t BgL_sz00_18664)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18661;
				obj_t BgL_a2z00_18662;
				obj_t BgL_locz00_18663;

				BgL_a1z00_18661 = PROCEDURE_REF(BgL_envz00_18660, (int) (((long) 0)));
				BgL_a2z00_18662 = PROCEDURE_REF(BgL_envz00_18660, (int) (((long) 1)));
				BgL_locz00_18663 = PROCEDURE_REF(BgL_envz00_18660, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2956;

					{	/* Eval/evaluate_comp.scm 1001 */
						double BgL_auxz00_27577;

						BgL_sz00_2956 = BgL_sz00_18664;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2958;

							BgL_bpz00_2958 = VECTOR_REF(BgL_sz00_2956, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2959;
								obj_t BgL_a2z00_2960;

								BgL_a1z00_2959 =
									PROCEDURE_ENTRY(BgL_a1z00_18661) (BgL_a1z00_18661,
									BgL_sz00_2956, BEOA);
								BgL_a2z00_2960 =
									PROCEDURE_ENTRY(BgL_a2z00_18662) (BgL_a2z00_18662,
									BgL_sz00_2956, BEOA);
								if (REALP(BgL_a1z00_2959))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6271z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a1z00_2959,
											BgL_locz00_18663);
									}
								if (REALP(BgL_a2z00_2960))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6271z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a2z00_2960,
											BgL_locz00_18663);
									}
								BgL_auxz00_27577 =
									(REAL_TO_DOUBLE(BgL_a1z00_2959) -
									REAL_TO_DOUBLE(BgL_a2z00_2960));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_27577);
					}
				}
			}
		}
	}



/* &<anonymous:3014> */
	obj_t BGl_z62zc3anonymousza33014ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18665, obj_t BgL_sz00_18669)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18666;
				obj_t BgL_a2z00_18667;
				obj_t BgL_locz00_18668;

				BgL_a1z00_18666 = PROCEDURE_REF(BgL_envz00_18665, (int) (((long) 0)));
				BgL_a2z00_18667 = PROCEDURE_REF(BgL_envz00_18665, (int) (((long) 1)));
				BgL_locz00_18668 = PROCEDURE_REF(BgL_envz00_18665, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2966;

					{	/* Eval/evaluate_comp.scm 1001 */
						double BgL_auxz00_27604;

						BgL_sz00_2966 = BgL_sz00_18669;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2968;

							BgL_bpz00_2968 = VECTOR_REF(BgL_sz00_2966, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2969;
								obj_t BgL_a2z00_2970;

								BgL_a1z00_2969 =
									PROCEDURE_ENTRY(BgL_a1z00_18666) (BgL_a1z00_18666,
									BgL_sz00_2966, BEOA);
								BgL_a2z00_2970 =
									PROCEDURE_ENTRY(BgL_a2z00_18667) (BgL_a2z00_18667,
									BgL_sz00_2966, BEOA);
								if (REALP(BgL_a1z00_2969))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6273z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a1z00_2969,
											BgL_locz00_18668);
									}
								if (REALP(BgL_a2z00_2970))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6273z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a2z00_2970,
											BgL_locz00_18668);
									}
								BgL_auxz00_27604 =
									(REAL_TO_DOUBLE(BgL_a1z00_2969) *
									REAL_TO_DOUBLE(BgL_a2z00_2970));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_27604);
					}
				}
			}
		}
	}



/* &<anonymous:3018> */
	obj_t BGl_z62zc3anonymousza33018ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18670, obj_t BgL_sz00_18674)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18671;
				obj_t BgL_a2z00_18672;
				obj_t BgL_locz00_18673;

				BgL_a1z00_18671 = PROCEDURE_REF(BgL_envz00_18670, (int) (((long) 0)));
				BgL_a2z00_18672 = PROCEDURE_REF(BgL_envz00_18670, (int) (((long) 1)));
				BgL_locz00_18673 = PROCEDURE_REF(BgL_envz00_18670, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2976;

					{	/* Eval/evaluate_comp.scm 1001 */
						double BgL_auxz00_27631;

						BgL_sz00_2976 = BgL_sz00_18674;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2978;

							BgL_bpz00_2978 = VECTOR_REF(BgL_sz00_2976, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2979;
								obj_t BgL_a2z00_2980;

								BgL_a1z00_2979 =
									PROCEDURE_ENTRY(BgL_a1z00_18671) (BgL_a1z00_18671,
									BgL_sz00_2976, BEOA);
								BgL_a2z00_2980 =
									PROCEDURE_ENTRY(BgL_a2z00_18672) (BgL_a2z00_18672,
									BgL_sz00_2976, BEOA);
								if (REALP(BgL_a1z00_2979))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6275z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a1z00_2979,
											BgL_locz00_18673);
									}
								if (REALP(BgL_a2z00_2980))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6275z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a2z00_2980,
											BgL_locz00_18673);
									}
								BgL_auxz00_27631 =
									(REAL_TO_DOUBLE(BgL_a1z00_2979) /
									REAL_TO_DOUBLE(BgL_a2z00_2980));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_27631);
					}
				}
			}
		}
	}



/* &<anonymous:3022> */
	obj_t BGl_z62zc3anonymousza33022ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18675, obj_t BgL_sz00_18679)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18676;
				obj_t BgL_a2z00_18677;
				obj_t BgL_locz00_18678;

				BgL_a1z00_18676 = PROCEDURE_REF(BgL_envz00_18675, (int) (((long) 0)));
				BgL_a2z00_18677 = PROCEDURE_REF(BgL_envz00_18675, (int) (((long) 1)));
				BgL_locz00_18678 = PROCEDURE_REF(BgL_envz00_18675, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2986;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27658;

						BgL_sz00_2986 = BgL_sz00_18679;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2988;

							BgL_bpz00_2988 = VECTOR_REF(BgL_sz00_2986, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2989;
								obj_t BgL_a2z00_2990;

								BgL_a1z00_2989 =
									PROCEDURE_ENTRY(BgL_a1z00_18676) (BgL_a1z00_18676,
									BgL_sz00_2986, BEOA);
								BgL_a2z00_2990 =
									PROCEDURE_ENTRY(BgL_a2z00_18677) (BgL_a2z00_18677,
									BgL_sz00_2986, BEOA);
								if (REALP(BgL_a1z00_2989))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6277z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a1z00_2989,
											BgL_locz00_18678);
									}
								if (REALP(BgL_a2z00_2990))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6277z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a2z00_2990,
											BgL_locz00_18678);
									}
								BgL_auxz00_27658 =
									(REAL_TO_DOUBLE(BgL_a1z00_2989) <
									REAL_TO_DOUBLE(BgL_a2z00_2990));
							}
						}
						return BBOOL(BgL_auxz00_27658);
					}
				}
			}
		}
	}



/* &<anonymous:3026> */
	obj_t BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18680, obj_t BgL_sz00_18684)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18681;
				obj_t BgL_a2z00_18682;
				obj_t BgL_locz00_18683;

				BgL_a1z00_18681 = PROCEDURE_REF(BgL_envz00_18680, (int) (((long) 0)));
				BgL_a2z00_18682 = PROCEDURE_REF(BgL_envz00_18680, (int) (((long) 1)));
				BgL_locz00_18683 = PROCEDURE_REF(BgL_envz00_18680, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2996;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27685;

						BgL_sz00_2996 = BgL_sz00_18684;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2998;

							BgL_bpz00_2998 = VECTOR_REF(BgL_sz00_2996, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2999;
								obj_t BgL_a2z00_3000;

								BgL_a1z00_2999 =
									PROCEDURE_ENTRY(BgL_a1z00_18681) (BgL_a1z00_18681,
									BgL_sz00_2996, BEOA);
								BgL_a2z00_3000 =
									PROCEDURE_ENTRY(BgL_a2z00_18682) (BgL_a2z00_18682,
									BgL_sz00_2996, BEOA);
								if (REALP(BgL_a1z00_2999))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6279z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a1z00_2999,
											BgL_locz00_18683);
									}
								if (REALP(BgL_a2z00_3000))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6279z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a2z00_3000,
											BgL_locz00_18683);
									}
								BgL_auxz00_27685 =
									(REAL_TO_DOUBLE(BgL_a1z00_2999) >
									REAL_TO_DOUBLE(BgL_a2z00_3000));
							}
						}
						return BBOOL(BgL_auxz00_27685);
					}
				}
			}
		}
	}



/* &<anonymous:3030> */
	obj_t BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18685, obj_t BgL_sz00_18689)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18686;
				obj_t BgL_a2z00_18687;
				obj_t BgL_locz00_18688;

				BgL_a1z00_18686 = PROCEDURE_REF(BgL_envz00_18685, (int) (((long) 0)));
				BgL_a2z00_18687 = PROCEDURE_REF(BgL_envz00_18685, (int) (((long) 1)));
				BgL_locz00_18688 = PROCEDURE_REF(BgL_envz00_18685, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3006;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27712;

						BgL_sz00_3006 = BgL_sz00_18689;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_3008;

							BgL_bpz00_3008 = VECTOR_REF(BgL_sz00_3006, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_3009;
								obj_t BgL_a2z00_3010;

								BgL_a1z00_3009 =
									PROCEDURE_ENTRY(BgL_a1z00_18686) (BgL_a1z00_18686,
									BgL_sz00_3006, BEOA);
								BgL_a2z00_3010 =
									PROCEDURE_ENTRY(BgL_a2z00_18687) (BgL_a2z00_18687,
									BgL_sz00_3006, BEOA);
								if (REALP(BgL_a1z00_3009))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6281z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a1z00_3009,
											BgL_locz00_18688);
									}
								if (REALP(BgL_a2z00_3010))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6281z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a2z00_3010,
											BgL_locz00_18688);
									}
								BgL_auxz00_27712 =
									(REAL_TO_DOUBLE(BgL_a1z00_3009) <=
									REAL_TO_DOUBLE(BgL_a2z00_3010));
							}
						}
						return BBOOL(BgL_auxz00_27712);
					}
				}
			}
		}
	}



/* &<anonymous:3034> */
	obj_t BGl_z62zc3anonymousza33034ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18690, obj_t BgL_sz00_18694)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18691;
				obj_t BgL_a2z00_18692;
				obj_t BgL_locz00_18693;

				BgL_a1z00_18691 = PROCEDURE_REF(BgL_envz00_18690, (int) (((long) 0)));
				BgL_a2z00_18692 = PROCEDURE_REF(BgL_envz00_18690, (int) (((long) 1)));
				BgL_locz00_18693 = PROCEDURE_REF(BgL_envz00_18690, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3016;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27739;

						BgL_sz00_3016 = BgL_sz00_18694;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_3018;

							BgL_bpz00_3018 = VECTOR_REF(BgL_sz00_3016, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_3019;
								obj_t BgL_a2z00_3020;

								BgL_a1z00_3019 =
									PROCEDURE_ENTRY(BgL_a1z00_18691) (BgL_a1z00_18691,
									BgL_sz00_3016, BEOA);
								BgL_a2z00_3020 =
									PROCEDURE_ENTRY(BgL_a2z00_18692) (BgL_a2z00_18692,
									BgL_sz00_3016, BEOA);
								if (REALP(BgL_a1z00_3019))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6283z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a1z00_3019,
											BgL_locz00_18693);
									}
								if (REALP(BgL_a2z00_3020))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6283z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a2z00_3020,
											BgL_locz00_18693);
									}
								BgL_auxz00_27739 =
									(REAL_TO_DOUBLE(BgL_a1z00_3019) >=
									REAL_TO_DOUBLE(BgL_a2z00_3020));
							}
						}
						return BBOOL(BgL_auxz00_27739);
					}
				}
			}
		}
	}



/* &<anonymous:3038> */
	obj_t BGl_z62zc3anonymousza33038ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18695, obj_t BgL_sz00_18699)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18696;
				obj_t BgL_a2z00_18697;
				obj_t BgL_locz00_18698;

				BgL_a1z00_18696 = PROCEDURE_REF(BgL_envz00_18695, (int) (((long) 0)));
				BgL_a2z00_18697 = PROCEDURE_REF(BgL_envz00_18695, (int) (((long) 1)));
				BgL_locz00_18698 = PROCEDURE_REF(BgL_envz00_18695, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3026;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27766;

						BgL_sz00_3026 = BgL_sz00_18699;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_3028;

							BgL_bpz00_3028 = VECTOR_REF(BgL_sz00_3026, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_3029;
								obj_t BgL_a2z00_3030;

								BgL_a1z00_3029 =
									PROCEDURE_ENTRY(BgL_a1z00_18696) (BgL_a1z00_18696,
									BgL_sz00_3026, BEOA);
								BgL_a2z00_3030 =
									PROCEDURE_ENTRY(BgL_a2z00_18697) (BgL_a2z00_18697,
									BgL_sz00_3026, BEOA);
								if (REALP(BgL_a1z00_3029))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6285z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a1z00_3029,
											BgL_locz00_18698);
									}
								if (REALP(BgL_a2z00_3030))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6285z00zz__evaluate_compz00,
											BGl_symbol6269z00zz__evaluate_compz00, BgL_a2z00_3030,
											BgL_locz00_18698);
									}
								BgL_auxz00_27766 =
									(REAL_TO_DOUBLE(BgL_a1z00_3029) ==
									REAL_TO_DOUBLE(BgL_a2z00_3030));
							}
						}
						return BBOOL(BgL_auxz00_27766);
					}
				}
			}
		}
	}



/* &<anonymous:3042> */
	obj_t BGl_z62zc3anonymousza33042ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18700, obj_t BgL_sz00_18703)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18701;
				obj_t BgL_a2z00_18702;

				BgL_a1z00_18701 = PROCEDURE_REF(BgL_envz00_18700, (int) (((long) 0)));
				BgL_a2z00_18702 = PROCEDURE_REF(BgL_envz00_18700, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3036;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27791;

						BgL_sz00_3036 = BgL_sz00_18703;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_11214;

							BgL_bpz00_11214 = VECTOR_REF(BgL_sz00_3036, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_11215;
								obj_t BgL_a2z00_11216;

								BgL_a1z00_11215 =
									PROCEDURE_ENTRY(BgL_a1z00_18701) (BgL_a1z00_18701,
									BgL_sz00_3036, BEOA);
								BgL_a2z00_11216 =
									PROCEDURE_ENTRY(BgL_a2z00_18702) (BgL_a2z00_18702,
									BgL_sz00_3036, BEOA);
								BgL_auxz00_27791 = (BgL_a1z00_11215 == BgL_a2z00_11216);
						}}
						return BBOOL(BgL_auxz00_27791);
					}
				}
			}
		}
	}



/* &<anonymous:3044> */
	obj_t BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18704, obj_t BgL_sz00_18707)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18705;
				obj_t BgL_a2z00_18706;

				BgL_a1z00_18705 = PROCEDURE_REF(BgL_envz00_18704, (int) (((long) 0)));
				BgL_a2z00_18706 = PROCEDURE_REF(BgL_envz00_18704, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3044;

					BgL_sz00_3044 = BgL_sz00_18707;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_11219;

						BgL_bpz00_11219 = VECTOR_REF(BgL_sz00_3044, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_11220;
							obj_t BgL_a2z00_11221;

							BgL_a1z00_11220 =
								PROCEDURE_ENTRY(BgL_a1z00_18705) (BgL_a1z00_18705,
								BgL_sz00_3044, BEOA);
							BgL_a2z00_11221 =
								PROCEDURE_ENTRY(BgL_a2z00_18706) (BgL_a2z00_18706,
								BgL_sz00_3044, BEOA);
							return MAKE_PAIR(BgL_a1z00_11220, BgL_a2z00_11221);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3047> */
	obj_t BGl_z62zc3anonymousza33047ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18708, obj_t BgL_sz00_18711)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 998 */
			{	/* Eval/evaluate_comp.scm 998 */
				obj_t BgL_a1z00_18709;
				obj_t BgL_locz00_18710;

				BgL_a1z00_18709 = PROCEDURE_REF(BgL_envz00_18708, (int) (((long) 0)));
				BgL_locz00_18710 = PROCEDURE_REF(BgL_envz00_18708, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3053;

					BgL_sz00_3053 = BgL_sz00_18711;
					{	/* Eval/evaluate_comp.scm 998 */
						obj_t BgL_bpz00_3055;

						BgL_bpz00_3055 = VECTOR_REF(BgL_sz00_3053, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 998 */
							obj_t BgL_a1z00_3056;

							BgL_a1z00_3056 =
								PROCEDURE_ENTRY(BgL_a1z00_18709) (BgL_a1z00_18709,
								BgL_sz00_3053, BEOA);
							if (PAIRP(BgL_a1z00_3056))
								{	/* Eval/evaluate_comp.scm 998 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 998 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6287z00zz__evaluate_compz00,
										BGl_symbol6289z00zz__evaluate_compz00, BgL_a1z00_3056,
										BgL_locz00_18710);
								}
							return CAR(BgL_a1z00_3056);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3050> */
	obj_t BGl_z62zc3anonymousza33050ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18712, obj_t BgL_sz00_18715)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 998 */
			{	/* Eval/evaluate_comp.scm 998 */
				obj_t BgL_a1z00_18713;
				obj_t BgL_locz00_18714;

				BgL_a1z00_18713 = PROCEDURE_REF(BgL_envz00_18712, (int) (((long) 0)));
				BgL_locz00_18714 = PROCEDURE_REF(BgL_envz00_18712, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3060;

					BgL_sz00_3060 = BgL_sz00_18715;
					{	/* Eval/evaluate_comp.scm 998 */
						obj_t BgL_bpz00_3062;

						BgL_bpz00_3062 = VECTOR_REF(BgL_sz00_3060, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 998 */
							obj_t BgL_a1z00_3063;

							BgL_a1z00_3063 =
								PROCEDURE_ENTRY(BgL_a1z00_18713) (BgL_a1z00_18713,
								BgL_sz00_3060, BEOA);
							if (PAIRP(BgL_a1z00_3063))
								{	/* Eval/evaluate_comp.scm 998 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 998 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6291z00zz__evaluate_compz00,
										BGl_symbol6289z00zz__evaluate_compz00, BgL_a1z00_3063,
										BgL_locz00_18714);
								}
							return CDR(BgL_a1z00_3063);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3053> */
	obj_t BGl_z62zc3anonymousza33053ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18716, obj_t BgL_sz00_18719)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 998 */
			{	/* Eval/evaluate_comp.scm 998 */
				obj_t BgL_a1z00_18717;
				obj_t BgL_locz00_18718;

				BgL_a1z00_18717 = PROCEDURE_REF(BgL_envz00_18716, (int) (((long) 0)));
				BgL_locz00_18718 = PROCEDURE_REF(BgL_envz00_18716, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3067;

					BgL_sz00_3067 = BgL_sz00_18719;
					{	/* Eval/evaluate_comp.scm 998 */
						obj_t BgL_bpz00_3069;

						BgL_bpz00_3069 = VECTOR_REF(BgL_sz00_3067, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 998 */
							obj_t BgL_a1z00_3070;

							BgL_a1z00_3070 =
								PROCEDURE_ENTRY(BgL_a1z00_18717) (BgL_a1z00_18717,
								BgL_sz00_3067, BEOA);
							{	/* Eval/evaluate_comp.scm 998 */
								bool_t BgL_testz00_27857;

								if (PAIRP(BgL_a1z00_3070))
									{	/* Eval/evaluate_comp.scm 1007 */
										obj_t BgL_auxz00_27860;

										BgL_auxz00_27860 = CDR(BgL_a1z00_3070);
										BgL_testz00_27857 = PAIRP(BgL_auxz00_27860);
									}
								else
									{	/* Eval/evaluate_comp.scm 1007 */
										BgL_testz00_27857 = ((bool_t) 0);
									}
								if (BgL_testz00_27857)
									{	/* Eval/evaluate_comp.scm 998 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 998 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6293z00zz__evaluate_compz00,
											BGl_symbol6289z00zz__evaluate_compz00, BgL_a1z00_3070,
											BgL_locz00_18718);
									}
							}
							return CAR(CDR(BgL_a1z00_3070));
						}
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_202,
		obj_t BgL_wherez00_203, long BgL_spz00_204, long BgL_arityz00_205,
		obj_t BgL_valsz00_206, obj_t BgL_locz00_207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1040 */
			if ((BgL_arityz00_205 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1042 */
					long BgL_g1310z00_3076;

					BgL_g1310z00_3076 = (((long) -1) - BgL_arityz00_205);
					{
						long BgL_rz00_3078;
						long BgL_spz00_3079;
						obj_t BgL_lz00_3080;

						BgL_rz00_3078 = BgL_g1310z00_3076;
						BgL_spz00_3079 = BgL_spz00_204;
						BgL_lz00_3080 = BgL_valsz00_206;
					BgL_zc3anonymousza33058ze3z83_3081:
						if ((BgL_rz00_3078 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1044 */
								return
									VECTOR_SET(BgL_sz00_202,
									(int) (BgL_spz00_3079), BgL_lz00_3080);
							}
						else
							{	/* Eval/evaluate_comp.scm 1044 */
								if (PAIRP(BgL_lz00_3080))
									{	/* Eval/evaluate_comp.scm 1046 */
										VECTOR_SET(BgL_sz00_202,
											(int) (BgL_spz00_3079), CAR(BgL_lz00_3080));
										{
											obj_t BgL_lz00_27882;
											long BgL_spz00_27880;
											long BgL_rz00_27878;

											BgL_rz00_27878 = (BgL_rz00_3078 - ((long) 1));
											BgL_spz00_27880 = (BgL_spz00_3079 + ((long) 1));
											BgL_lz00_27882 = CDR(BgL_lz00_3080);
											BgL_lz00_3080 = BgL_lz00_27882;
											BgL_spz00_3079 = BgL_spz00_27880;
											BgL_rz00_3078 = BgL_rz00_27878;
											goto BgL_zc3anonymousza33058ze3z83_3081;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1047 */
										long BgL_arg3067z00_3088;

										BgL_arg3067z00_3088 = bgl_list_length(BgL_valsz00_206);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_207,
											BgL_wherez00_203, (int) (BgL_arityz00_205),
											(int) (BgL_arg3067z00_3088));
				}}}}
			else
				{
					long BgL_rz00_3091;
					long BgL_spz00_3092;
					obj_t BgL_lz00_3093;

					BgL_rz00_3091 = BgL_arityz00_205;
					BgL_spz00_3092 = BgL_spz00_204;
					BgL_lz00_3093 = BgL_valsz00_206;
				BgL_zc3anonymousza33068ze3z83_3094:
					if ((BgL_rz00_3091 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1053 */
							if (NULLP(BgL_lz00_3093))
								{	/* Eval/evaluate_comp.scm 1054 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1055 */
									long BgL_arg3071z00_3097;

									BgL_arg3071z00_3097 = bgl_list_length(BgL_valsz00_206);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_207,
										BgL_wherez00_203, (int) (BgL_arityz00_205),
										(int) (BgL_arg3071z00_3097));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1053 */
							if (PAIRP(BgL_lz00_3093))
								{	/* Eval/evaluate_comp.scm 1056 */
									VECTOR_SET(BgL_sz00_202,
										(int) (BgL_spz00_3092), CAR(BgL_lz00_3093));
									{
										obj_t BgL_lz00_27905;
										long BgL_spz00_27903;
										long BgL_rz00_27901;

										BgL_rz00_27901 = (BgL_rz00_3091 - ((long) 1));
										BgL_spz00_27903 = (BgL_spz00_3092 + ((long) 1));
										BgL_lz00_27905 = CDR(BgL_lz00_3093);
										BgL_lz00_3093 = BgL_lz00_27905;
										BgL_spz00_3092 = BgL_spz00_27903;
										BgL_rz00_3091 = BgL_rz00_27901;
										goto BgL_zc3anonymousza33068ze3z83_3094;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1057 */
									long BgL_arg3077z00_3103;

									BgL_arg3077z00_3103 = bgl_list_length(BgL_valsz00_206);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_207,
										BgL_wherez00_203, (int) (BgL_arityz00_205),
										(int) (BgL_arg3077z00_3103));
		}}}}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_210,
		obj_t BgL_ibza2za2_211, obj_t BgL_bpz00_212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1155 */
			{
				long BgL_iz00_3107;

				BgL_iz00_3107 = ((long) 0);
			BgL_zc3anonymousza33078ze3z83_3108:
				{	/* Eval/evaluate_comp.scm 1158 */
					long BgL_spz00_3109;

					{	/* Eval/evaluate_comp.scm 1158 */
						obj_t BgL_arg3083z00_3114;

						BgL_arg3083z00_3114 =
							VECTOR_REF(BgL_ibza2za2_211, (int) (BgL_iz00_3107));
						BgL_spz00_3109 =
							((long) CINT(BgL_bpz00_212) + (long) CINT(BgL_arg3083z00_3114));
					}
					{	/* Eval/evaluate_comp.scm 1159 */
						obj_t BgL_arg3080z00_3110;

						{	/* Eval/evaluate_comp.scm 1159 */
							obj_t BgL_arg3081z00_3111;

							BgL_arg3081z00_3111 =
								VECTOR_REF(BgL_sz00_210, (int) (BgL_spz00_3109));
							{	/* Eval/evaluate_comp.scm 189 */
								obj_t BgL_newz00_11293;

								BgL_newz00_11293 =
									create_struct(BGl_symbol6217z00zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 189 */
									int BgL_auxz00_27920;

									BgL_auxz00_27920 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_11293, BgL_auxz00_27920,
										BgL_arg3081z00_3111);
								}
								BgL_arg3080z00_3110 = BgL_newz00_11293;
						}}
						VECTOR_SET(BgL_sz00_210,
							(int) (BgL_spz00_3109), BgL_arg3080z00_3110);
					}
					{	/* Eval/evaluate_comp.scm 1160 */
						long BgL_niz00_3112;

						BgL_niz00_3112 = (BgL_iz00_3107 + ((long) 1));
						if ((BgL_niz00_3112 < (long) (VECTOR_LENGTH(BgL_ibza2za2_211))))
							{
								long BgL_iz00_27930;

								BgL_iz00_27930 = BgL_niz00_3112;
								BgL_iz00_3107 = BgL_iz00_27930;
								goto BgL_zc3anonymousza33078ze3z83_3108;
							}
						else
							{	/* Eval/evaluate_comp.scm 1161 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_213,
		obj_t BgL_bpz00_214, obj_t BgL_iza2za2_215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1163 */
			{	/* Eval/evaluate_comp.scm 1164 */
				obj_t BgL_rz00_3117;

				BgL_rz00_3117 = make_vector(VECTOR_LENGTH(BgL_iza2za2_215), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 1164 */

					{
						long BgL_iz00_3119;

						BgL_iz00_3119 = ((long) 0);
					BgL_zc3anonymousza33084ze3z83_3120:
						if ((BgL_iz00_3119 >= (long) (VECTOR_LENGTH(BgL_iza2za2_215))))
							{	/* Eval/evaluate_comp.scm 1166 */
								return BgL_rz00_3117;
							}
						else
							{	/* Eval/evaluate_comp.scm 1166 */
								{	/* Eval/evaluate_comp.scm 1169 */
									obj_t BgL_arg3086z00_3122;

									{	/* Eval/evaluate_comp.scm 1169 */
										long BgL_arg3087z00_3123;

										{	/* Eval/evaluate_comp.scm 1169 */
											obj_t BgL_arg3089z00_3124;

											BgL_arg3089z00_3124 =
												VECTOR_REF(BgL_iza2za2_215, (int) (BgL_iz00_3119));
											BgL_arg3087z00_3123 =
												(
												(long) CINT(BgL_bpz00_214) +
												(long) CINT(BgL_arg3089z00_3124));
										}
										BgL_arg3086z00_3122 =
											VECTOR_REF(BgL_sz00_213, (int) (BgL_arg3087z00_3123));
									}
									VECTOR_SET(BgL_rz00_3117,
										(int) (BgL_iz00_3119), BgL_arg3086z00_3122);
								}
								{
									long BgL_iz00_27946;

									BgL_iz00_27946 = (BgL_iz00_3119 + ((long) 1));
									BgL_iz00_3119 = BgL_iz00_27946;
									goto BgL_zc3anonymousza33084ze3z83_3120;
								}
							}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_216,
		obj_t BgL_valza2za2_217, long BgL_spz00_218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1172 */
			{	/* Eval/evaluate_comp.scm 1173 */
				long BgL_stopz00_3128;

				BgL_stopz00_3128 =
					(BgL_spz00_218 + (long) (VECTOR_LENGTH(BgL_valza2za2_217)));
				{
					long BgL_iz00_11369;
					long BgL_spz00_11370;

					BgL_iz00_11369 = ((long) 0);
					BgL_spz00_11370 = BgL_spz00_218;
				BgL_recz00_11368:
					if ((BgL_spz00_11370 < BgL_stopz00_3128))
						{	/* Eval/evaluate_comp.scm 1175 */
							VECTOR_SET(BgL_sz00_216,
								(int) (BgL_spz00_11370),
								VECTOR_REF(BgL_valza2za2_217, (int) (BgL_iz00_11369)));
							{
								long BgL_spz00_27959;
								long BgL_iz00_27957;

								BgL_iz00_27957 = (BgL_iz00_11369 + ((long) 1));
								BgL_spz00_27959 = (BgL_spz00_11370 + ((long) 1));
								BgL_spz00_11370 = BgL_spz00_27959;
								BgL_iz00_11369 = BgL_iz00_27957;
								goto BgL_recz00_11368;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1175 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc6295z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string6296z00zz__evaluate_compz00);
		}
	}



/* &comp1707 */
	obj_t BGl_z62comp1707z62zz__evaluate_compz00(obj_t BgL_envz00_18805,
		obj_t BgL_ez00_18806, obj_t BgL_stkz00_18807)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_3140;
				obj_t BgL_stkz00_3141;

				BgL_ez00_3140 = ((BgL_ev_exprz00_bglt) BgL_ez00_18806);
				BgL_stkz00_3141 = BgL_stkz00_18807;
				return
					BGl_errorz00zz__errorz00(BGl_string6207z00zz__evaluate_compz00,
					BGl_string6297z00zz__evaluate_compz00, ((obj_t) BgL_ez00_3140));
			}
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				obj_t BgL_method1708z00_3144;

				{	/* Eval/evaluate_comp.scm 264 */
					obj_t BgL_res5426z00_11421;

					{	/* Eval/evaluate_comp.scm 264 */
						long BgL_objzd2classzd2numz00_11394;

						{	/* Eval/evaluate_comp.scm 264 */
							long BgL_res5420z00_11397;

							BgL_res5420z00_11397 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_35));
							BgL_objzd2classzd2numz00_11394 = BgL_res5420z00_11397;
						}
						{	/* Eval/evaluate_comp.scm 264 */
							obj_t BgL_arg4660z00_11395;

							BgL_arg4660z00_11395 =
								PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_comp.scm 264 */
								int BgL_offsetz00_11399;

								BgL_offsetz00_11399 = (int) (BgL_objzd2classzd2numz00_11394);
								{	/* Eval/evaluate_comp.scm 264 */
									long BgL_offsetz00_11400;

									BgL_offsetz00_11400 =
										((long) (BgL_offsetz00_11399) - OBJECT_TYPE);
									{	/* Eval/evaluate_comp.scm 264 */
										long BgL_modz00_11401;

										{	/* Eval/evaluate_comp.scm 264 */
											int BgL_arg4662z00_11402;

											BgL_arg4662z00_11402 = (int) (((long) 16));
											{	/* Eval/evaluate_comp.scm 264 */
												long BgL_res5423z00_11412;

												{	/* Eval/evaluate_comp.scm 264 */
													long BgL_auxz00_27973;

													BgL_auxz00_27973 = (long) (BgL_arg4662z00_11402);
													BgL_res5423z00_11412 =
														(BgL_offsetz00_11400 / BgL_auxz00_27973);
												}
												BgL_modz00_11401 = BgL_res5423z00_11412;
										}}
										{	/* Eval/evaluate_comp.scm 264 */
											long BgL_restz00_11403;

											{	/* Eval/evaluate_comp.scm 264 */
												int BgL_arg4661z00_11404;

												BgL_arg4661z00_11404 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 264 */
													long BgL_res5425z00_11416;

													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_auxz00_27977;

														BgL_auxz00_27977 = (long) (BgL_arg4661z00_11404);
														BgL_res5425z00_11416 =
															(BgL_offsetz00_11400 % BgL_auxz00_27977);
													}
													BgL_restz00_11403 = BgL_res5425z00_11416;
											}}
											{	/* Eval/evaluate_comp.scm 264 */

												BgL_res5426z00_11421 =
													VECTOR_REF(VECTOR_REF(BgL_arg4660z00_11395,
														(int) (BgL_modz00_11401)),
													(int) (BgL_restz00_11403));
					}}}}}}}
					BgL_method1708z00_3144 = BgL_res5426z00_11421;
				}
				return
					PROCEDURE_ENTRY(BgL_method1708z00_3144) (BgL_method1708z00_3144,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_18808,
		obj_t BgL_ez00_18809, obj_t BgL_stkz00_18810)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				BgL_ev_exprz00_bglt BgL_auxz00_27990;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_18809,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 264 */
						BgL_auxz00_27990 = ((BgL_ev_exprz00_bglt) BgL_ez00_18809);
					}
				else
					{
						obj_t BgL_auxz00_27994;

						BgL_auxz00_27994 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string6212z00zz__evaluate_compz00, BINT(((long) 6610)),
							BGl_string6298z00zz__evaluate_compz00,
							BGl_string6214z00zz__evaluate_compz00, BgL_ez00_18809);
						FAILURE(BgL_auxz00_27994, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_27990, BgL_stkz00_18810);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc6299z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc6301z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc6302z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc6303z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc6304z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc6305z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc6306z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc6307z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc6308z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc6309z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc6310z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc6311z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc6312z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc6313z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc6314z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc6315z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc6316z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc6317z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc6318z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc6319z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc6320z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc6321z00zz__evaluate_compz00,
				BGl_string6300z00zz__evaluate_compz00);
		}
	}



/* &comp-ev_abs1752 */
	obj_t BGl_z62compzd2ev_abs1752zb0zz__evaluate_compz00(obj_t BgL_envz00_19093,
		obj_t BgL_ez00_19094, obj_t BgL_stkz00_19095)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1143 */
			{
				BgL_ev_absz00_bglt BgL_ez00_3915;
				obj_t BgL_stkz00_3916;

				BgL_ez00_3915 = ((BgL_ev_absz00_bglt) BgL_ez00_19094);
				BgL_stkz00_3916 = BgL_stkz00_19095;
				{	/* Eval/evaluate_comp.scm 1145 */
					obj_t BgL_ifreesz00_3920;
					obj_t BgL_iboxesz00_3921;
					long BgL_siza7eza7_3922;
					long BgL_siza7ezd2framez75_3923;
					obj_t BgL_nstkz00_3924;

					{	/* Eval/evaluate_comp.scm 1145 */
						obj_t BgL_arg4360z00_5768;

						{	/* Eval/evaluate_comp.scm 1145 */
							obj_t BgL_l1687z00_5769;

							BgL_l1687z00_5769 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->BgL_freez00);
							if (NULLP(BgL_l1687z00_5769))
								{	/* Eval/evaluate_comp.scm 1145 */
									BgL_arg4360z00_5768 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1145 */
									obj_t BgL_head1689z00_5771;

									{	/* Eval/evaluate_comp.scm 1145 */
										obj_t BgL_res5565z00_12686;

										BgL_res5565z00_12686 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1689z00_5771 = BgL_res5565z00_12686;
									}
									{
										obj_t BgL_l1687z00_12720;
										obj_t BgL_tail1690z00_12721;

										BgL_l1687z00_12720 = BgL_l1687z00_5769;
										BgL_tail1690z00_12721 = BgL_head1689z00_5771;
									BgL_zc3anonymousza34362ze3z83_12719:
										if (NULLP(BgL_l1687z00_12720))
											{	/* Eval/evaluate_comp.scm 1145 */
												BgL_arg4360z00_5768 = CDR(BgL_head1689z00_5771);
											}
										else
											{	/* Eval/evaluate_comp.scm 1145 */
												obj_t BgL_newtail1691z00_12728;

												{	/* Eval/evaluate_comp.scm 1145 */
													obj_t BgL_arg4365z00_12729;

													BgL_arg4365z00_12729 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1687z00_12720), BgL_stkz00_3916);
													{	/* Eval/evaluate_comp.scm 1145 */
														obj_t BgL_res5571z00_12738;

														BgL_res5571z00_12738 =
															MAKE_PAIR(BgL_arg4365z00_12729, BNIL);
														BgL_newtail1691z00_12728 = BgL_res5571z00_12738;
													}
												}
												SET_CDR(BgL_tail1690z00_12721,
													BgL_newtail1691z00_12728);
												{
													obj_t BgL_tail1690z00_28034;
													obj_t BgL_l1687z00_28032;

													BgL_l1687z00_28032 = CDR(BgL_l1687z00_12720);
													BgL_tail1690z00_28034 = BgL_newtail1691z00_12728;
													BgL_tail1690z00_12721 = BgL_tail1690z00_28034;
													BgL_l1687z00_12720 = BgL_l1687z00_28032;
													goto BgL_zc3anonymousza34362ze3z83_12719;
												}
											}
									}
								}
						}
						BgL_ifreesz00_3920 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4360z00_5768);
					}
					{	/* Eval/evaluate_comp.scm 1146 */
						obj_t BgL_arg4366z00_5782;

						{	/* Eval/evaluate_comp.scm 1146 */
							obj_t BgL_l1692z00_5783;

							BgL_l1692z00_5783 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->BgL_boxesz00);
							if (NULLP(BgL_l1692z00_5783))
								{	/* Eval/evaluate_comp.scm 1146 */
									BgL_arg4366z00_5782 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1146 */
									obj_t BgL_head1694z00_5785;

									{	/* Eval/evaluate_comp.scm 1146 */
										obj_t BgL_res5573z00_12746;

										BgL_res5573z00_12746 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1694z00_5785 = BgL_res5573z00_12746;
									}
									{
										obj_t BgL_l1692z00_5787;
										obj_t BgL_tail1695z00_5788;

										BgL_l1692z00_5787 = BgL_l1692z00_5783;
										BgL_tail1695z00_5788 = BgL_head1694z00_5785;
									BgL_zc3anonymousza34368ze3z83_5789:
										if (NULLP(BgL_l1692z00_5787))
											{	/* Eval/evaluate_comp.scm 1146 */
												BgL_arg4366z00_5782 = CDR(BgL_head1694z00_5785);
											}
										else
											{	/* Eval/evaluate_comp.scm 1146 */
												obj_t BgL_newtail1696z00_5791;

												{	/* Eval/evaluate_comp.scm 1146 */
													obj_t BgL_arg4371z00_5793;

													BgL_arg4371z00_5793 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1692z00_5787),
														(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->
															BgL_varsz00));
													{	/* Eval/evaluate_comp.scm 1146 */
														obj_t BgL_res5575z00_12753;

														BgL_res5575z00_12753 =
															MAKE_PAIR(BgL_arg4371z00_5793, BNIL);
														BgL_newtail1696z00_5791 = BgL_res5575z00_12753;
													}
												}
												SET_CDR(BgL_tail1695z00_5788, BgL_newtail1696z00_5791);
												{
													obj_t BgL_tail1695z00_28050;
													obj_t BgL_l1692z00_28048;

													BgL_l1692z00_28048 = CDR(BgL_l1692z00_5787);
													BgL_tail1695z00_28050 = BgL_newtail1696z00_5791;
													BgL_tail1695z00_5788 = BgL_tail1695z00_28050;
													BgL_l1692z00_5787 = BgL_l1692z00_28048;
													goto BgL_zc3anonymousza34368ze3z83_5789;
												}
											}
									}
								}
						}
						BgL_iboxesz00_3921 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4366z00_5782);
					}
					BgL_siza7eza7_3922 =
						bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->BgL_varsz00));
					BgL_siza7ezd2framez75_3923 =
						(
						(long) (
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->BgL_siza7eza7)) +
						bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->BgL_freez00)));
					BgL_nstkz00_3924 =
						BGl_appendzd221011zd2zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->BgL_varsz00),
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->BgL_freez00));
					{	/* Eval/evaluate_comp.scm 1150 */
						obj_t BgL_bodyz00_3925;

						BgL_bodyz00_3925 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->BgL_bodyz00),
							BgL_nstkz00_3924);
						{

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_aux1346z00_3927;

								BgL_aux1346z00_3927 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3915))->BgL_arityz00);
								if (INTEGERP(BgL_aux1346z00_3927))
									{	/* Eval/evaluate_comp.scm 1152 */
										switch ((long) CINT(BgL_aux1346z00_3927))
											{
											case ((long) 0):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33581ze3z83_18830;

																BgL_zc3anonymousza33581ze3z83_18830 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33581ze3z83_18830,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33581ze3z83_18830,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33581ze3z83_18830,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33581ze3z83_18830;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33593ze3z83_18825;

																BgL_zc3anonymousza33593ze3z83_18825 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33593ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33593ze3z83_18825,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33593ze3z83_18825,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33593ze3z83_18825,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33593ze3z83_18825,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33593ze3z83_18825;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33608ze3z83_18820;

																BgL_zc3anonymousza33608ze3z83_18820 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33608ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33608ze3z83_18820,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33608ze3z83_18820,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33608ze3z83_18820,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33608ze3z83_18820,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33608ze3z83_18820,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33608ze3z83_18820;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33622ze3z83_18815;

																BgL_zc3anonymousza33622ze3z83_18815 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33622ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33622ze3z83_18815,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33622ze3z83_18815,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33622ze3z83_18815,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33622ze3z83_18815,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33622ze3z83_18815,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33622ze3z83_18815,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33622ze3z83_18815;
															}
													}
												break;
											case ((long) -1):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33645ze3z83_18850;

																BgL_zc3anonymousza33645ze3z83_18850 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33645ze3z83_18850,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33645ze3z83_18850,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33645ze3z83_18850,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33645ze3z83_18850;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33659ze3z83_18845;

																BgL_zc3anonymousza33659ze3z83_18845 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33659ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33659ze3z83_18845,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33659ze3z83_18845,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33659ze3z83_18845,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33659ze3z83_18845,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33659ze3z83_18845;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33672ze3z83_18840;

																BgL_zc3anonymousza33672ze3z83_18840 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33672ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33672ze3z83_18840,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33672ze3z83_18840,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33672ze3z83_18840,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33672ze3z83_18840,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33672ze3z83_18840,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33672ze3z83_18840;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33698ze3z83_18835;

																BgL_zc3anonymousza33698ze3z83_18835 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33698ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33698ze3z83_18835,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33698ze3z83_18835,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33698ze3z83_18835,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33698ze3z83_18835,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33698ze3z83_18835,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33698ze3z83_18835,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33698ze3z83_18835;
															}
													}
												break;
											case ((long) 1):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33722ze3z83_18870;

																BgL_zc3anonymousza33722ze3z83_18870 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33722ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33722ze3z83_18870,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33722ze3z83_18870,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33722ze3z83_18870,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33722ze3z83_18870;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33736ze3z83_18865;

																BgL_zc3anonymousza33736ze3z83_18865 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33736ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33736ze3z83_18865,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33736ze3z83_18865,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33736ze3z83_18865,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33736ze3z83_18865,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33736ze3z83_18865;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33754ze3z83_18860;

																BgL_zc3anonymousza33754ze3z83_18860 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33754ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33754ze3z83_18860,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33754ze3z83_18860,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33754ze3z83_18860,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33754ze3z83_18860,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33754ze3z83_18860,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33754ze3z83_18860;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33768ze3z83_18855;

																BgL_zc3anonymousza33768ze3z83_18855 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33768ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33768ze3z83_18855,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33768ze3z83_18855,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33768ze3z83_18855,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33768ze3z83_18855,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33768ze3z83_18855,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33768ze3z83_18855,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33768ze3z83_18855;
															}
													}
												break;
											case ((long) -2):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33795ze3z83_18890;

																BgL_zc3anonymousza33795ze3z83_18890 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33795ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33795ze3z83_18890,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33795ze3z83_18890,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33795ze3z83_18890,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33795ze3z83_18890;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33809ze3z83_18885;

																BgL_zc3anonymousza33809ze3z83_18885 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33809ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33809ze3z83_18885,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33809ze3z83_18885,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33809ze3z83_18885,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33809ze3z83_18885,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33809ze3z83_18885;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33825ze3z83_18880;

																BgL_zc3anonymousza33825ze3z83_18880 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33825ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33825ze3z83_18880,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33825ze3z83_18880,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33825ze3z83_18880,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33825ze3z83_18880,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33825ze3z83_18880,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33825ze3z83_18880;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33841ze3z83_18875;

																BgL_zc3anonymousza33841ze3z83_18875 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33841ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33841ze3z83_18875,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33841ze3z83_18875,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33841ze3z83_18875,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33841ze3z83_18875,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33841ze3z83_18875,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33841ze3z83_18875,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33841ze3z83_18875;
															}
													}
												break;
											case ((long) 2):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33861ze3z83_18910;

																BgL_zc3anonymousza33861ze3z83_18910 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33861ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33861ze3z83_18910,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33861ze3z83_18910,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33861ze3z83_18910,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33861ze3z83_18910;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33874ze3z83_18905;

																BgL_zc3anonymousza33874ze3z83_18905 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33874ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33874ze3z83_18905,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33874ze3z83_18905,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33874ze3z83_18905,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33874ze3z83_18905,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33874ze3z83_18905;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33889ze3z83_18900;

																BgL_zc3anonymousza33889ze3z83_18900 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33889ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33889ze3z83_18900,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33889ze3z83_18900,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33889ze3z83_18900,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33889ze3z83_18900,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33889ze3z83_18900,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33889ze3z83_18900;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33905ze3z83_18895;

																BgL_zc3anonymousza33905ze3z83_18895 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33905ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33905ze3z83_18895,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33905ze3z83_18895,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33905ze3z83_18895,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33905ze3z83_18895,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33905ze3z83_18895,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33905ze3z83_18895,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33905ze3z83_18895;
															}
													}
												break;
											case ((long) -3):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33925ze3z83_18930;

																BgL_zc3anonymousza33925ze3z83_18930 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33925ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33925ze3z83_18930,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33925ze3z83_18930,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33925ze3z83_18930,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33925ze3z83_18930;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33938ze3z83_18925;

																BgL_zc3anonymousza33938ze3z83_18925 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33938ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33938ze3z83_18925,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33938ze3z83_18925,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33938ze3z83_18925,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33938ze3z83_18925,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33938ze3z83_18925;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33954ze3z83_18920;

																BgL_zc3anonymousza33954ze3z83_18920 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33954ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33954ze3z83_18920,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33954ze3z83_18920,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33954ze3z83_18920,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33954ze3z83_18920,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33954ze3z83_18920,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33954ze3z83_18920;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33969ze3z83_18915;

																BgL_zc3anonymousza33969ze3z83_18915 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33969ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33969ze3z83_18915,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33969ze3z83_18915,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33969ze3z83_18915,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33969ze3z83_18915,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33969ze3z83_18915,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33969ze3z83_18915,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33969ze3z83_18915;
															}
													}
												break;
											case ((long) 3):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza33988ze3z83_18950;

																BgL_zc3anonymousza33988ze3z83_18950 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33988ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33988ze3z83_18950,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33988ze3z83_18950,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33988ze3z83_18950,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza33988ze3z83_18950;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34003ze3z83_18945;

																BgL_zc3anonymousza34003ze3z83_18945 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34003ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34003ze3z83_18945,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34003ze3z83_18945,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34003ze3z83_18945,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34003ze3z83_18945,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34003ze3z83_18945;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34022ze3z83_18940;

																BgL_zc3anonymousza34022ze3z83_18940 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34022ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34022ze3z83_18940,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34022ze3z83_18940,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34022ze3z83_18940,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34022ze3z83_18940,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34022ze3z83_18940,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34022ze3z83_18940;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34037ze3z83_18935;

																BgL_zc3anonymousza34037ze3z83_18935 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34037ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34037ze3z83_18935,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34037ze3z83_18935,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34037ze3z83_18935,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34037ze3z83_18935,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34037ze3z83_18935,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34037ze3z83_18935,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34037ze3z83_18935;
															}
													}
												break;
											case ((long) -4):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34055ze3z83_18970;

																BgL_zc3anonymousza34055ze3z83_18970 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34055ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34055ze3z83_18970,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34055ze3z83_18970,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34055ze3z83_18970,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34055ze3z83_18970;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34070ze3z83_18965;

																BgL_zc3anonymousza34070ze3z83_18965 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34070ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34070ze3z83_18965,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34070ze3z83_18965,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34070ze3z83_18965,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34070ze3z83_18965,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34070ze3z83_18965;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34089ze3z83_18960;

																BgL_zc3anonymousza34089ze3z83_18960 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34089ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34089ze3z83_18960,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34089ze3z83_18960,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34089ze3z83_18960,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34089ze3z83_18960,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34089ze3z83_18960,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34089ze3z83_18960;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34105ze3z83_18955;

																BgL_zc3anonymousza34105ze3z83_18955 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34105ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34105ze3z83_18955,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34105ze3z83_18955,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34105ze3z83_18955,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34105ze3z83_18955,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34105ze3z83_18955,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34105ze3z83_18955,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34105ze3z83_18955;
															}
													}
												break;
											case ((long) 4):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34125ze3z83_18990;

																BgL_zc3anonymousza34125ze3z83_18990 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34125ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34125ze3z83_18990,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34125ze3z83_18990,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34125ze3z83_18990,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34125ze3z83_18990;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34139ze3z83_18985;

																BgL_zc3anonymousza34139ze3z83_18985 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34139ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34139ze3z83_18985,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34139ze3z83_18985,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34139ze3z83_18985,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34139ze3z83_18985,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34139ze3z83_18985;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34155ze3z83_18980;

																BgL_zc3anonymousza34155ze3z83_18980 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34155ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34155ze3z83_18980,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34155ze3z83_18980,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34155ze3z83_18980,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34155ze3z83_18980,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34155ze3z83_18980,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34155ze3z83_18980;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34170ze3z83_18975;

																BgL_zc3anonymousza34170ze3z83_18975 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34170ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34170ze3z83_18975,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34170ze3z83_18975,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34170ze3z83_18975,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34170ze3z83_18975,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34170ze3z83_18975,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34170ze3z83_18975,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34170ze3z83_18975;
															}
													}
												break;
											case ((long) -5):

												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34189ze3z83_19010;

																BgL_zc3anonymousza34189ze3z83_19010 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34189ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34189ze3z83_19010,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34189ze3z83_19010,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34189ze3z83_19010,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34189ze3z83_19010;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34204ze3z83_19005;

																BgL_zc3anonymousza34204ze3z83_19005 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34204ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34204ze3z83_19005,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34204ze3z83_19005,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34204ze3z83_19005,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34204ze3z83_19005,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34204ze3z83_19005;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34221ze3z83_19000;

																BgL_zc3anonymousza34221ze3z83_19000 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34221ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34221ze3z83_19000,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34221ze3z83_19000,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34221ze3z83_19000,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34221ze3z83_19000,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34221ze3z83_19000,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34221ze3z83_19000;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34237ze3z83_18995;

																BgL_zc3anonymousza34237ze3z83_18995 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34237ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34237ze3z83_18995,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34237ze3z83_18995,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34237ze3z83_18995,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34237ze3z83_18995,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34237ze3z83_18995,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34237ze3z83_18995,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34237ze3z83_18995;
															}
													}
												break;
											default:
											BgL_case_else1345z00_3926:
												if (
													((long) (VECTOR_LENGTH(BgL_ifreesz00_3920)) ==
														((long) 0)))
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34257ze3z83_19030;

																BgL_zc3anonymousza34257ze3z83_19030 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34257ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34257ze3z83_19030,
																	(int) (((long) 0)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34257ze3z83_19030,
																	(int) (((long) 1)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34257ze3z83_19030,
																	(int) (((long) 2)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34257ze3z83_19030;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34281ze3z83_19025;

																BgL_zc3anonymousza34281ze3z83_19025 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34281ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 4)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34281ze3z83_19025,
																	(int) (((long) 0)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34281ze3z83_19025,
																	(int) (((long) 1)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34281ze3z83_19025,
																	(int) (((long) 2)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34281ze3z83_19025,
																	(int) (((long) 3)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34281ze3z83_19025;
															}
													}
												else
													{	/* Eval/evaluate_comp.scm 1152 */
														if (
															((long) (VECTOR_LENGTH(BgL_iboxesz00_3921)) ==
																((long) 0)))
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34307ze3z83_19020;

																BgL_zc3anonymousza34307ze3z83_19020 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34307ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 5)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34307ze3z83_19020,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34307ze3z83_19020,
																	(int) (((long) 1)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34307ze3z83_19020,
																	(int) (((long) 2)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34307ze3z83_19020,
																	(int) (((long) 3)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34307ze3z83_19020,
																	(int) (((long) 4)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34307ze3z83_19020;
															}
														else
															{	/* Eval/evaluate_comp.scm 1152 */
																obj_t BgL_zc3anonymousza34332ze3z83_19015;

																BgL_zc3anonymousza34332ze3z83_19015 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza34332ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 6)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34332ze3z83_19015,
																	(int) (((long) 0)), BgL_ifreesz00_3920);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34332ze3z83_19015,
																	(int) (((long) 1)), BgL_iboxesz00_3921);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34332ze3z83_19015,
																	(int) (((long) 2)), BINT(BgL_siza7eza7_3922));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34332ze3z83_19015,
																	(int) (((long) 3)), ((obj_t) BgL_ez00_3915));
																PROCEDURE_SET
																	(BgL_zc3anonymousza34332ze3z83_19015,
																	(int) (((long) 4)), BgL_bodyz00_3925);
																PROCEDURE_SET
																	(BgL_zc3anonymousza34332ze3z83_19015,
																	(int) (((long) 5)),
																	BINT(BgL_siza7ezd2framez75_3923));
																return BgL_zc3anonymousza34332ze3z83_19015;
															}
													}
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										goto BgL_case_else1345z00_3926;
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4189> */
	obj_t BGl_z62zc3anonymousza34189ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19096, obj_t BgL_sz00_19100)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19097;
				obj_t BgL_bodyz00_19098;
				long BgL_siza7ezd2framez75_19099;

				BgL_i1320z00_19097 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19096, (int) (((long) 0))));
				BgL_bodyz00_19098 = PROCEDURE_REF(BgL_envz00_19096, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19099 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19096, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5369;

					BgL_sz00_5369 = BgL_sz00_19100;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5371;

						BgL_bpz00_5371 = VECTOR_REF(BgL_sz00_5369, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19007;

								BgL_runz00_19007 =
									MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_19007,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_19097));
								PROCEDURE_SET(BgL_runz00_19007,
									(int) (((long) 1)), BgL_bodyz00_19098);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19009;

									BgL_mainz00_19009 =
										MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_19009,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_19097));
									PROCEDURE_SET(BgL_mainz00_19009,
										(int) (((long) 1)), BgL_bodyz00_19098);
									PROCEDURE_SET(BgL_mainz00_19009,
										(int) (((long) 2)), BgL_runz00_19007);
									PROCEDURE_SET(BgL_mainz00_19009,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19099));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17385;

										BgL_objz00_17385 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19007, BgL_objz00_17385);
										BgL_objz00_17385;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4190z00_5374;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4191z00_5375;

											BgL_arg4191z00_5375 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19097))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_17387;

												BgL_framez00_17387 = BINT(BgL_siza7ezd2framez75_19099);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_17389;

													BgL_newz00_17389 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_28876;

														BgL_auxz00_28876 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_17389, BgL_auxz00_28876,
															BgL_arg4191z00_5375);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_28879;

														BgL_auxz00_28879 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_17389, BgL_auxz00_28879,
															BgL_framez00_17387);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_28882;

														BgL_auxz00_28882 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_17389, BgL_auxz00_28882,
															BgL_runz00_19007);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_28887;
														int BgL_auxz00_28885;

														BgL_auxz00_28887 = BINT(((long) -5));
														BgL_auxz00_28885 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_17389, BgL_auxz00_28885,
															BgL_auxz00_28887);
													}
													BgL_arg4190z00_5374 = BgL_newz00_17389;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19009, BgL_arg4190z00_5374);
										BgL_arg4190z00_5374;
									}
									return BgL_mainz00_19009;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_19101,
		obj_t BgL_az00_19106, obj_t BgL_bz00_19107, obj_t BgL_cz00_19108,
		obj_t BgL_dz00_19109, obj_t BgL_lastz00_19110)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19104;
				long BgL_siza7ezd2framez75_19105;

				BgL_runz00_19104 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19101, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19105 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19101, (int) (((long) 3))));
				{
					obj_t BgL_az00_5376;
					obj_t BgL_bz00_5377;
					obj_t BgL_cz00_5378;
					obj_t BgL_dz00_5379;
					obj_t BgL_lastz00_5380;

					BgL_az00_5376 = BgL_az00_19106;
					BgL_bz00_5377 = BgL_bz00_19107;
					BgL_cz00_5378 = BgL_cz00_19108;
					BgL_dz00_5379 = BgL_dz00_19109;
					BgL_lastz00_5380 = BgL_lastz00_19110;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5382;

						BgL_sz00_5382 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5383;

							BgL_bpz00_5383 = VECTOR_REF(BgL_sz00_5382, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_28900;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_17289;

									BgL_nz00_17289 = BINT(BgL_siza7ezd2framez75_19105);
									BgL_testz00_28900 =
										(
										((long) CINT(BgL_bpz00_5383) +
											(long) CINT(BgL_nz00_17289)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5382)));
								}
								if (BgL_testz00_28900)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4194z00_5385;

											BgL_arg4194z00_5385 =
												((long) CINT(BgL_bpz00_5383) + ((long) 0));
											VECTOR_SET(BgL_sz00_5382,
												(int) (BgL_arg4194z00_5385), BgL_az00_5376);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4195z00_5386;

											BgL_arg4195z00_5386 =
												((long) CINT(BgL_bpz00_5383) + ((long) 1));
											VECTOR_SET(BgL_sz00_5382,
												(int) (BgL_arg4195z00_5386), BgL_bz00_5377);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4196z00_5387;

											BgL_arg4196z00_5387 =
												((long) CINT(BgL_bpz00_5383) + ((long) 2));
											VECTOR_SET(BgL_sz00_5382,
												(int) (BgL_arg4196z00_5387), BgL_cz00_5378);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4197z00_5388;

											BgL_arg4197z00_5388 =
												((long) CINT(BgL_bpz00_5383) + ((long) 3));
											VECTOR_SET(BgL_sz00_5382,
												(int) (BgL_arg4197z00_5388), BgL_dz00_5379);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4198z00_5389;

											BgL_arg4198z00_5389 =
												((long) CINT(BgL_bpz00_5383) + ((long) 4));
											VECTOR_SET(BgL_sz00_5382,
												(int) (BgL_arg4198z00_5389), BgL_lastz00_5380);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1563z00_5390;

											BgL_exitd1563z00_5390 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34199ze3z83_19008;

												BgL_zc3anonymousza34199ze3z83_19008 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34199ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34199ze3z83_19008,
													(int) (((long) 0)), BgL_sz00_5382);
												PROCEDURE_SET(BgL_zc3anonymousza34199ze3z83_19008,
													(int) (((long) 1)), BgL_bpz00_5383);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1563z00_5390,
													BgL_zc3anonymousza34199ze3z83_19008);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1565z00_5392;

													BgL_tmp1565z00_5392 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19104, BgL_sz00_5382, BgL_bpz00_5383);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1563z00_5390);
													VECTOR_SET(BgL_sz00_5382, (int) (((long) 0)),
														BgL_bpz00_5383);
													return BgL_tmp1565z00_5392;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5395;

										BgL_nsz00_5395 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5395,
											(int) (((long) 1)), BgL_sz00_5382);
										VECTOR_SET(BgL_nsz00_5395,
											(int) (((long) 2)), BgL_az00_5376);
										VECTOR_SET(BgL_nsz00_5395,
											(int) (((long) 3)), BgL_bz00_5377);
										VECTOR_SET(BgL_nsz00_5395,
											(int) (((long) 4)), BgL_cz00_5378);
										VECTOR_SET(BgL_nsz00_5395,
											(int) (((long) 5)), BgL_dz00_5379);
										VECTOR_SET(BgL_nsz00_5395,
											(int) (((long) 6)), BgL_lastz00_5380);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_28954;

											BgL_auxz00_28954 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28954, BgL_nsz00_5395);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1566z00_5397;

											BgL_exitd1566z00_5397 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34201ze3z83_19006;

												BgL_zc3anonymousza34201ze3z83_19006 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34201ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34201ze3z83_19006,
													(int) (((long) 0)), BgL_sz00_5382);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1566z00_5397,
													BgL_zc3anonymousza34201ze3z83_19006);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1568z00_5399;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17358;

														BgL_savedzd2bpzd2_17358 =
															VECTOR_REF(BgL_nsz00_5395, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5395,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17365;

															BgL_fz00_17365 = BgL_runz00_19104;
														BgL_recz00_17364:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17366;

																BgL_rz00_17366 =
																	PROCEDURE_ENTRY(BgL_fz00_17365)
																	(BgL_fz00_17365, BgL_nsz00_5395, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_28973;

																	if (PROCEDUREP(BgL_rz00_17366))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_17371;

																			BgL_arg1964z00_17371 =
																				PROCEDURE_ATTR(BgL_rz00_17366);
																			if (STRUCTP(BgL_arg1964z00_17371))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_28973 =
																						(STRUCT_KEY(BgL_arg1964z00_17371) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_28973 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_28973 = ((bool_t) 0);
																		}
																	if (BgL_testz00_28973)
																		{
																			obj_t BgL_fz00_28981;

																			BgL_fz00_28981 = BgL_rz00_17366;
																			BgL_fz00_17365 = BgL_fz00_28981;
																			goto BgL_recz00_17364;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5395,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17358);
																			BgL_tmp1568z00_5399 = BgL_rz00_17366;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1566z00_5397);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_28985;

														BgL_auxz00_28985 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_28985,
															BgL_sz00_5382);
													}
													return BgL_tmp1568z00_5399;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4199> */
	obj_t BGl_z62zc3anonymousza34199ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19111)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19112;
				obj_t BgL_bpz00_19113;

				BgL_sz00_19112 = PROCEDURE_REF(BgL_envz00_19111, (int) (((long) 0)));
				BgL_bpz00_19113 = PROCEDURE_REF(BgL_envz00_19111, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19112, (int) (((long) 0)), BgL_bpz00_19113);
		}}}
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_19114,
		obj_t BgL_sz00_19117)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19115;
				obj_t BgL_bodyz00_19116;

				BgL_i1320z00_19115 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19114, (int) (((long) 0))));
				BgL_bodyz00_19116 = PROCEDURE_REF(BgL_envz00_19114, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5404;

					BgL_sz00_5404 = BgL_sz00_19117;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5406;

						BgL_bpz00_5406 = VECTOR_REF(BgL_sz00_5404, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5407;
							obj_t BgL_wherez00_5408;
							obj_t BgL_locz00_5409;

							BgL_z12denvz12_5407 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5408 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19115))->BgL_wherez00);
							BgL_locz00_5409 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19115))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5407, BgL_wherez00_5408,
									BgL_locz00_5409);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5410;

									BgL_za2za2resza2za2z00_5410 =
										PROCEDURE_ENTRY(BgL_bodyz00_19116) (BgL_bodyz00_19116,
										BgL_sz00_5404, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5407);
									return BgL_za2za2resza2za2z00_5410;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4201> */
	obj_t BGl_z62zc3anonymousza34201ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19119;

				BgL_sz00_19119 = PROCEDURE_REF(BgL_envz00_19118, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29012;

						BgL_auxz00_29012 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29012, BgL_sz00_19119);
					}
				}
			}
		}
	}



/* &<anonymous:4204> */
	obj_t BGl_z62zc3anonymousza34204ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19120, obj_t BgL_sz00_19125)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19121;
				BgL_ev_absz00_bglt BgL_i1320z00_19122;
				obj_t BgL_bodyz00_19123;
				long BgL_siza7ezd2framez75_19124;

				BgL_iboxesz00_19121 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19120, (int) (((long) 0))));
				BgL_i1320z00_19122 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19120, (int) (((long) 1))));
				BgL_bodyz00_19123 = PROCEDURE_REF(BgL_envz00_19120, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19124 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19120, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5412;

					BgL_sz00_5412 = BgL_sz00_19125;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5414;

						BgL_bpz00_5414 = VECTOR_REF(BgL_sz00_5412, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19002;

								BgL_runz00_19002 =
									MAKE_FX_PROCEDURE(BGl_z62run6110z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_19002,
									(int) (((long) 0)), BgL_iboxesz00_19121);
								PROCEDURE_SET(BgL_runz00_19002,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_19122));
								PROCEDURE_SET(BgL_runz00_19002,
									(int) (((long) 2)), BgL_bodyz00_19123);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19004;

									BgL_mainz00_19004 =
										MAKE_VA_PROCEDURE(BGl_z62main6109z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_19004,
										(int) (((long) 0)), BgL_iboxesz00_19121);
									PROCEDURE_SET(BgL_mainz00_19004,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_19122));
									PROCEDURE_SET(BgL_mainz00_19004,
										(int) (((long) 2)), BgL_bodyz00_19123);
									PROCEDURE_SET(BgL_mainz00_19004,
										(int) (((long) 3)), BgL_runz00_19002);
									PROCEDURE_SET(BgL_mainz00_19004,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19124));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17514;

										BgL_objz00_17514 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19002, BgL_objz00_17514);
										BgL_objz00_17514;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4205z00_5417;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4206z00_5418;

											BgL_arg4206z00_5418 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19122))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_17516;

												BgL_framez00_17516 = BINT(BgL_siza7ezd2framez75_19124);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_17518;

													BgL_newz00_17518 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29058;

														BgL_auxz00_29058 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_17518, BgL_auxz00_29058,
															BgL_arg4206z00_5418);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29061;

														BgL_auxz00_29061 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_17518, BgL_auxz00_29061,
															BgL_framez00_17516);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29064;

														BgL_auxz00_29064 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_17518, BgL_auxz00_29064,
															BgL_runz00_19002);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_29069;
														int BgL_auxz00_29067;

														BgL_auxz00_29069 = BINT(((long) -5));
														BgL_auxz00_29067 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_17518, BgL_auxz00_29067,
															BgL_auxz00_29069);
													}
													BgL_arg4205z00_5417 = BgL_newz00_17518;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19004, BgL_arg4205z00_5417);
										BgL_arg4205z00_5417;
									}
									return BgL_mainz00_19004;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6109 */
	obj_t BGl_z62main6109z62zz__evaluate_compz00(obj_t BgL_envz00_19126,
		obj_t BgL_az00_19132, obj_t BgL_bz00_19133, obj_t BgL_cz00_19134,
		obj_t BgL_dz00_19135, obj_t BgL_lastz00_19136)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19130;
				long BgL_siza7ezd2framez75_19131;

				BgL_runz00_19130 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19126, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19131 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19126, (int) (((long) 4))));
				{
					obj_t BgL_az00_5419;
					obj_t BgL_bz00_5420;
					obj_t BgL_cz00_5421;
					obj_t BgL_dz00_5422;
					obj_t BgL_lastz00_5423;

					BgL_az00_5419 = BgL_az00_19132;
					BgL_bz00_5420 = BgL_bz00_19133;
					BgL_cz00_5421 = BgL_cz00_19134;
					BgL_dz00_5422 = BgL_dz00_19135;
					BgL_lastz00_5423 = BgL_lastz00_19136;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5425;

						BgL_sz00_5425 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5426;

							BgL_bpz00_5426 = VECTOR_REF(BgL_sz00_5425, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29082;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_17418;

									BgL_nz00_17418 = BINT(BgL_siza7ezd2framez75_19131);
									BgL_testz00_29082 =
										(
										((long) CINT(BgL_bpz00_5426) +
											(long) CINT(BgL_nz00_17418)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5425)));
								}
								if (BgL_testz00_29082)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4209z00_5428;

											BgL_arg4209z00_5428 =
												((long) CINT(BgL_bpz00_5426) + ((long) 0));
											VECTOR_SET(BgL_sz00_5425,
												(int) (BgL_arg4209z00_5428), BgL_az00_5419);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4210z00_5429;

											BgL_arg4210z00_5429 =
												((long) CINT(BgL_bpz00_5426) + ((long) 1));
											VECTOR_SET(BgL_sz00_5425,
												(int) (BgL_arg4210z00_5429), BgL_bz00_5420);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4211z00_5430;

											BgL_arg4211z00_5430 =
												((long) CINT(BgL_bpz00_5426) + ((long) 2));
											VECTOR_SET(BgL_sz00_5425,
												(int) (BgL_arg4211z00_5430), BgL_cz00_5421);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4212z00_5431;

											BgL_arg4212z00_5431 =
												((long) CINT(BgL_bpz00_5426) + ((long) 3));
											VECTOR_SET(BgL_sz00_5425,
												(int) (BgL_arg4212z00_5431), BgL_dz00_5422);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4213z00_5432;

											BgL_arg4213z00_5432 =
												((long) CINT(BgL_bpz00_5426) + ((long) 4));
											VECTOR_SET(BgL_sz00_5425,
												(int) (BgL_arg4213z00_5432), BgL_lastz00_5423);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1569z00_5433;

											BgL_exitd1569z00_5433 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34214ze3z83_19003;

												BgL_zc3anonymousza34214ze3z83_19003 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34214ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34214ze3z83_19003,
													(int) (((long) 0)), BgL_sz00_5425);
												PROCEDURE_SET(BgL_zc3anonymousza34214ze3z83_19003,
													(int) (((long) 1)), BgL_bpz00_5426);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1569z00_5433,
													BgL_zc3anonymousza34214ze3z83_19003);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1571z00_5435;

													BgL_tmp1571z00_5435 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19130, BgL_sz00_5425, BgL_bpz00_5426);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1569z00_5433);
													VECTOR_SET(BgL_sz00_5425, (int) (((long) 0)),
														BgL_bpz00_5426);
													return BgL_tmp1571z00_5435;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5438;

										BgL_nsz00_5438 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5438,
											(int) (((long) 1)), BgL_sz00_5425);
										VECTOR_SET(BgL_nsz00_5438,
											(int) (((long) 2)), BgL_az00_5419);
										VECTOR_SET(BgL_nsz00_5438,
											(int) (((long) 3)), BgL_bz00_5420);
										VECTOR_SET(BgL_nsz00_5438,
											(int) (((long) 4)), BgL_cz00_5421);
										VECTOR_SET(BgL_nsz00_5438,
											(int) (((long) 5)), BgL_dz00_5422);
										VECTOR_SET(BgL_nsz00_5438,
											(int) (((long) 6)), BgL_lastz00_5423);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29136;

											BgL_auxz00_29136 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29136, BgL_nsz00_5438);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1572z00_5440;

											BgL_exitd1572z00_5440 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34216ze3z83_19001;

												BgL_zc3anonymousza34216ze3z83_19001 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34216ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34216ze3z83_19001,
													(int) (((long) 0)), BgL_sz00_5425);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1572z00_5440,
													BgL_zc3anonymousza34216ze3z83_19001);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1574z00_5442;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17487;

														BgL_savedzd2bpzd2_17487 =
															VECTOR_REF(BgL_nsz00_5438, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5438,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17494;

															BgL_fz00_17494 = BgL_runz00_19130;
														BgL_recz00_17493:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17495;

																BgL_rz00_17495 =
																	PROCEDURE_ENTRY(BgL_fz00_17494)
																	(BgL_fz00_17494, BgL_nsz00_5438, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29155;

																	if (PROCEDUREP(BgL_rz00_17495))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_17500;

																			BgL_arg1964z00_17500 =
																				PROCEDURE_ATTR(BgL_rz00_17495);
																			if (STRUCTP(BgL_arg1964z00_17500))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29155 =
																						(STRUCT_KEY(BgL_arg1964z00_17500) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29155 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29155 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29155)
																		{
																			obj_t BgL_fz00_29163;

																			BgL_fz00_29163 = BgL_rz00_17495;
																			BgL_fz00_17494 = BgL_fz00_29163;
																			goto BgL_recz00_17493;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5438,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17487);
																			BgL_tmp1574z00_5442 = BgL_rz00_17495;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1572z00_5440);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29167;

														BgL_auxz00_29167 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29167,
															BgL_sz00_5425);
													}
													return BgL_tmp1574z00_5442;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4214> */
	obj_t BGl_z62zc3anonymousza34214ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19138;
				obj_t BgL_bpz00_19139;

				BgL_sz00_19138 = PROCEDURE_REF(BgL_envz00_19137, (int) (((long) 0)));
				BgL_bpz00_19139 = PROCEDURE_REF(BgL_envz00_19137, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19138, (int) (((long) 0)), BgL_bpz00_19139);
		}}}
	}



/* &run6110 */
	obj_t BGl_z62run6110z62zz__evaluate_compz00(obj_t BgL_envz00_19140,
		obj_t BgL_sz00_19144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19141;
				BgL_ev_absz00_bglt BgL_i1320z00_19142;
				obj_t BgL_bodyz00_19143;

				BgL_iboxesz00_19141 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19140, (int) (((long) 0))));
				BgL_i1320z00_19142 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19140, (int) (((long) 1))));
				BgL_bodyz00_19143 = PROCEDURE_REF(BgL_envz00_19140, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5447;

					BgL_sz00_5447 = BgL_sz00_19144;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5449;

						BgL_bpz00_5449 = VECTOR_REF(BgL_sz00_5447, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5447,
							BgL_iboxesz00_19141, BgL_bpz00_5449);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5450;
							obj_t BgL_wherez00_5451;
							obj_t BgL_locz00_5452;

							BgL_z12denvz12_5450 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5451 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19142))->BgL_wherez00);
							BgL_locz00_5452 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19142))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5450, BgL_wherez00_5451,
									BgL_locz00_5452);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5453;

									BgL_za2za2resza2za2z00_5453 =
										PROCEDURE_ENTRY(BgL_bodyz00_19143) (BgL_bodyz00_19143,
										BgL_sz00_5447, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5450);
									return BgL_za2za2resza2za2z00_5453;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4216> */
	obj_t BGl_z62zc3anonymousza34216ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19145)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19146;

				BgL_sz00_19146 = PROCEDURE_REF(BgL_envz00_19145, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29198;

						BgL_auxz00_29198 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29198, BgL_sz00_19146);
					}
				}
			}
		}
	}



/* &<anonymous:4221> */
	obj_t BGl_z62zc3anonymousza34221ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19147, obj_t BgL_sz00_19153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19148;
				long BgL_siza7eza7_19149;
				BgL_ev_absz00_bglt BgL_i1320z00_19150;
				obj_t BgL_bodyz00_19151;
				long BgL_siza7ezd2framez75_19152;

				BgL_ifreesz00_19148 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19147, (int) (((long) 0))));
				BgL_siza7eza7_19149 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19147, (int) (((long) 1))));
				BgL_i1320z00_19150 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19147, (int) (((long) 2))));
				BgL_bodyz00_19151 = PROCEDURE_REF(BgL_envz00_19147, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19152 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19147, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5457;

					BgL_sz00_5457 = BgL_sz00_19153;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5459;

						BgL_bpz00_5459 = VECTOR_REF(BgL_sz00_5457, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5460;

							BgL_valza2za2_5460 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5457,
								BgL_bpz00_5459, BgL_ifreesz00_19148);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18997;

								BgL_runz00_18997 =
									MAKE_FX_PROCEDURE(BGl_z62run6112z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18997,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19149));
								PROCEDURE_SET(BgL_runz00_18997,
									(int) (((long) 1)), BgL_valza2za2_5460);
								PROCEDURE_SET(BgL_runz00_18997,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_19150));
								PROCEDURE_SET(BgL_runz00_18997,
									(int) (((long) 3)), BgL_bodyz00_19151);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18999;

									BgL_mainz00_18999 =
										MAKE_VA_PROCEDURE(BGl_z62main6111z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18999,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19149));
									PROCEDURE_SET(BgL_mainz00_18999,
										(int) (((long) 1)), BgL_valza2za2_5460);
									PROCEDURE_SET(BgL_mainz00_18999,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_19150));
									PROCEDURE_SET(BgL_mainz00_18999,
										(int) (((long) 3)), BgL_bodyz00_19151);
									PROCEDURE_SET(BgL_mainz00_18999,
										(int) (((long) 4)), BgL_runz00_18997);
									PROCEDURE_SET(BgL_mainz00_18999,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19152));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17650;

										BgL_objz00_17650 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18997, BgL_objz00_17650);
										BgL_objz00_17650;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4222z00_5463;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4223z00_5464;

											BgL_arg4223z00_5464 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19150))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_17652;

												BgL_framez00_17652 = BINT(BgL_siza7ezd2framez75_19152);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_17654;

													BgL_newz00_17654 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29254;

														BgL_auxz00_29254 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_17654, BgL_auxz00_29254,
															BgL_arg4223z00_5464);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29257;

														BgL_auxz00_29257 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_17654, BgL_auxz00_29257,
															BgL_framez00_17652);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29260;

														BgL_auxz00_29260 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_17654, BgL_auxz00_29260,
															BgL_runz00_18997);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_29265;
														int BgL_auxz00_29263;

														BgL_auxz00_29265 = BINT(((long) -5));
														BgL_auxz00_29263 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_17654, BgL_auxz00_29263,
															BgL_auxz00_29265);
													}
													BgL_arg4222z00_5463 = BgL_newz00_17654;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18999, BgL_arg4222z00_5463);
										BgL_arg4222z00_5463;
									}
									return BgL_mainz00_18999;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6111 */
	obj_t BGl_z62main6111z62zz__evaluate_compz00(obj_t BgL_envz00_19154,
		obj_t BgL_az00_19161, obj_t BgL_bz00_19162, obj_t BgL_cz00_19163,
		obj_t BgL_dz00_19164, obj_t BgL_lastz00_19165)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19159;
				long BgL_siza7ezd2framez75_19160;

				BgL_runz00_19159 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19154, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19160 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19154, (int) (((long) 5))));
				{
					obj_t BgL_az00_5465;
					obj_t BgL_bz00_5466;
					obj_t BgL_cz00_5467;
					obj_t BgL_dz00_5468;
					obj_t BgL_lastz00_5469;

					BgL_az00_5465 = BgL_az00_19161;
					BgL_bz00_5466 = BgL_bz00_19162;
					BgL_cz00_5467 = BgL_cz00_19163;
					BgL_dz00_5468 = BgL_dz00_19164;
					BgL_lastz00_5469 = BgL_lastz00_19165;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5471;

						BgL_sz00_5471 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5472;

							BgL_bpz00_5472 = VECTOR_REF(BgL_sz00_5471, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29278;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_17554;

									BgL_nz00_17554 = BINT(BgL_siza7ezd2framez75_19160);
									BgL_testz00_29278 =
										(
										((long) CINT(BgL_bpz00_5472) +
											(long) CINT(BgL_nz00_17554)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5471)));
								}
								if (BgL_testz00_29278)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4226z00_5474;

											BgL_arg4226z00_5474 =
												((long) CINT(BgL_bpz00_5472) + ((long) 0));
											VECTOR_SET(BgL_sz00_5471,
												(int) (BgL_arg4226z00_5474), BgL_az00_5465);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4227z00_5475;

											BgL_arg4227z00_5475 =
												((long) CINT(BgL_bpz00_5472) + ((long) 1));
											VECTOR_SET(BgL_sz00_5471,
												(int) (BgL_arg4227z00_5475), BgL_bz00_5466);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4228z00_5476;

											BgL_arg4228z00_5476 =
												((long) CINT(BgL_bpz00_5472) + ((long) 2));
											VECTOR_SET(BgL_sz00_5471,
												(int) (BgL_arg4228z00_5476), BgL_cz00_5467);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4229z00_5477;

											BgL_arg4229z00_5477 =
												((long) CINT(BgL_bpz00_5472) + ((long) 3));
											VECTOR_SET(BgL_sz00_5471,
												(int) (BgL_arg4229z00_5477), BgL_dz00_5468);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4230z00_5478;

											BgL_arg4230z00_5478 =
												((long) CINT(BgL_bpz00_5472) + ((long) 4));
											VECTOR_SET(BgL_sz00_5471,
												(int) (BgL_arg4230z00_5478), BgL_lastz00_5469);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1575z00_5479;

											BgL_exitd1575z00_5479 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34231ze3z83_18998;

												BgL_zc3anonymousza34231ze3z83_18998 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34231ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34231ze3z83_18998,
													(int) (((long) 0)), BgL_sz00_5471);
												PROCEDURE_SET(BgL_zc3anonymousza34231ze3z83_18998,
													(int) (((long) 1)), BgL_bpz00_5472);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1575z00_5479,
													BgL_zc3anonymousza34231ze3z83_18998);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1577z00_5481;

													BgL_tmp1577z00_5481 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19159, BgL_sz00_5471, BgL_bpz00_5472);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1575z00_5479);
													VECTOR_SET(BgL_sz00_5471, (int) (((long) 0)),
														BgL_bpz00_5472);
													return BgL_tmp1577z00_5481;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5484;

										BgL_nsz00_5484 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5484,
											(int) (((long) 1)), BgL_sz00_5471);
										VECTOR_SET(BgL_nsz00_5484,
											(int) (((long) 2)), BgL_az00_5465);
										VECTOR_SET(BgL_nsz00_5484,
											(int) (((long) 3)), BgL_bz00_5466);
										VECTOR_SET(BgL_nsz00_5484,
											(int) (((long) 4)), BgL_cz00_5467);
										VECTOR_SET(BgL_nsz00_5484,
											(int) (((long) 5)), BgL_dz00_5468);
										VECTOR_SET(BgL_nsz00_5484,
											(int) (((long) 6)), BgL_lastz00_5469);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29332;

											BgL_auxz00_29332 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29332, BgL_nsz00_5484);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1578z00_5486;

											BgL_exitd1578z00_5486 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34233ze3z83_18996;

												BgL_zc3anonymousza34233ze3z83_18996 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34233ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34233ze3z83_18996,
													(int) (((long) 0)), BgL_sz00_5471);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1578z00_5486,
													BgL_zc3anonymousza34233ze3z83_18996);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1580z00_5488;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17623;

														BgL_savedzd2bpzd2_17623 =
															VECTOR_REF(BgL_nsz00_5484, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5484,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17630;

															BgL_fz00_17630 = BgL_runz00_19159;
														BgL_recz00_17629:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17631;

																BgL_rz00_17631 =
																	PROCEDURE_ENTRY(BgL_fz00_17630)
																	(BgL_fz00_17630, BgL_nsz00_5484, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29351;

																	if (PROCEDUREP(BgL_rz00_17631))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_17636;

																			BgL_arg1964z00_17636 =
																				PROCEDURE_ATTR(BgL_rz00_17631);
																			if (STRUCTP(BgL_arg1964z00_17636))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29351 =
																						(STRUCT_KEY(BgL_arg1964z00_17636) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29351 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29351 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29351)
																		{
																			obj_t BgL_fz00_29359;

																			BgL_fz00_29359 = BgL_rz00_17631;
																			BgL_fz00_17630 = BgL_fz00_29359;
																			goto BgL_recz00_17629;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5484,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17623);
																			BgL_tmp1580z00_5488 = BgL_rz00_17631;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1578z00_5486);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29363;

														BgL_auxz00_29363 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29363,
															BgL_sz00_5471);
													}
													return BgL_tmp1580z00_5488;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4231> */
	obj_t BGl_z62zc3anonymousza34231ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19166)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19167;
				obj_t BgL_bpz00_19168;

				BgL_sz00_19167 = PROCEDURE_REF(BgL_envz00_19166, (int) (((long) 0)));
				BgL_bpz00_19168 = PROCEDURE_REF(BgL_envz00_19166, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19167, (int) (((long) 0)), BgL_bpz00_19168);
		}}}
	}



/* &run6112 */
	obj_t BGl_z62run6112z62zz__evaluate_compz00(obj_t BgL_envz00_19169,
		obj_t BgL_sz00_19174)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19170;
				obj_t BgL_valza2za2_19171;
				BgL_ev_absz00_bglt BgL_i1320z00_19172;
				obj_t BgL_bodyz00_19173;

				BgL_siza7eza7_19170 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19169, (int) (((long) 0))));
				BgL_valza2za2_19171 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19169, (int) (((long) 1))));
				BgL_i1320z00_19172 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19169, (int) (((long) 2))));
				BgL_bodyz00_19173 = PROCEDURE_REF(BgL_envz00_19169, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5493;

					BgL_sz00_5493 = BgL_sz00_19174;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5495;

						BgL_bpz00_5495 = VECTOR_REF(BgL_sz00_5493, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5493,
							BgL_valza2za2_19171,
							((long) CINT(BgL_bpz00_5495) + BgL_siza7eza7_19170));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5497;
							obj_t BgL_wherez00_5498;
							obj_t BgL_locz00_5499;

							BgL_z12denvz12_5497 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5498 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19172))->BgL_wherez00);
							BgL_locz00_5499 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19172))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5497, BgL_wherez00_5498,
									BgL_locz00_5499);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5500;

									BgL_za2za2resza2za2z00_5500 =
										PROCEDURE_ENTRY(BgL_bodyz00_19173) (BgL_bodyz00_19173,
										BgL_sz00_5493, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5497);
									return BgL_za2za2resza2za2z00_5500;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4233> */
	obj_t BGl_z62zc3anonymousza34233ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19175)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19176;

				BgL_sz00_19176 = PROCEDURE_REF(BgL_envz00_19175, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29399;

						BgL_auxz00_29399 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29399, BgL_sz00_19176);
					}
				}
			}
		}
	}



/* &<anonymous:4237> */
	obj_t BGl_z62zc3anonymousza34237ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19177, obj_t BgL_sz00_19184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19178;
				obj_t BgL_iboxesz00_19179;
				long BgL_siza7eza7_19180;
				BgL_ev_absz00_bglt BgL_i1320z00_19181;
				obj_t BgL_bodyz00_19182;
				long BgL_siza7ezd2framez75_19183;

				BgL_ifreesz00_19178 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19177, (int) (((long) 0))));
				BgL_iboxesz00_19179 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19177, (int) (((long) 1))));
				BgL_siza7eza7_19180 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19177, (int) (((long) 2))));
				BgL_i1320z00_19181 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19177, (int) (((long) 3))));
				BgL_bodyz00_19182 = PROCEDURE_REF(BgL_envz00_19177, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19183 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19177, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5502;

					BgL_sz00_5502 = BgL_sz00_19184;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5504;

						BgL_bpz00_5504 = VECTOR_REF(BgL_sz00_5502, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5505;

							BgL_valza2za2_5505 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5502,
								BgL_bpz00_5504, BgL_ifreesz00_19178);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18992;

								BgL_runz00_18992 =
									MAKE_FX_PROCEDURE(BGl_z62run6114z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18992,
									(int) (((long) 0)), BgL_iboxesz00_19179);
								PROCEDURE_SET(BgL_runz00_18992,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19180));
								PROCEDURE_SET(BgL_runz00_18992,
									(int) (((long) 2)), BgL_valza2za2_5505);
								PROCEDURE_SET(BgL_runz00_18992,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_19181));
								PROCEDURE_SET(BgL_runz00_18992,
									(int) (((long) 4)), BgL_bodyz00_19182);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18994;

									BgL_mainz00_18994 =
										MAKE_VA_PROCEDURE(BGl_z62main6113z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18994,
										(int) (((long) 0)), BgL_iboxesz00_19179);
									PROCEDURE_SET(BgL_mainz00_18994,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19180));
									PROCEDURE_SET(BgL_mainz00_18994,
										(int) (((long) 2)), BgL_valza2za2_5505);
									PROCEDURE_SET(BgL_mainz00_18994,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_19181));
									PROCEDURE_SET(BgL_mainz00_18994,
										(int) (((long) 4)), BgL_bodyz00_19182);
									PROCEDURE_SET(BgL_mainz00_18994,
										(int) (((long) 5)), BgL_runz00_18992);
									PROCEDURE_SET(BgL_mainz00_18994,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19183));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17782;

										BgL_objz00_17782 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18992, BgL_objz00_17782);
										BgL_objz00_17782;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4238z00_5508;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4239z00_5509;

											BgL_arg4239z00_5509 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19181))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_17784;

												BgL_framez00_17784 = BINT(BgL_siza7ezd2framez75_19183);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_17786;

													BgL_newz00_17786 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29462;

														BgL_auxz00_29462 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_17786, BgL_auxz00_29462,
															BgL_arg4239z00_5509);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29465;

														BgL_auxz00_29465 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_17786, BgL_auxz00_29465,
															BgL_framez00_17784);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29468;

														BgL_auxz00_29468 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_17786, BgL_auxz00_29468,
															BgL_runz00_18992);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_29473;
														int BgL_auxz00_29471;

														BgL_auxz00_29473 = BINT(((long) -5));
														BgL_auxz00_29471 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_17786, BgL_auxz00_29471,
															BgL_auxz00_29473);
													}
													BgL_arg4238z00_5508 = BgL_newz00_17786;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18994, BgL_arg4238z00_5508);
										BgL_arg4238z00_5508;
									}
									return BgL_mainz00_18994;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6113 */
	obj_t BGl_z62main6113z62zz__evaluate_compz00(obj_t BgL_envz00_19185,
		obj_t BgL_az00_19193, obj_t BgL_bz00_19194, obj_t BgL_cz00_19195,
		obj_t BgL_dz00_19196, obj_t BgL_lastz00_19197)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19191;
				long BgL_siza7ezd2framez75_19192;

				BgL_runz00_19191 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19185, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19192 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19185, (int) (((long) 6))));
				{
					obj_t BgL_az00_5510;
					obj_t BgL_bz00_5511;
					obj_t BgL_cz00_5512;
					obj_t BgL_dz00_5513;
					obj_t BgL_lastz00_5514;

					BgL_az00_5510 = BgL_az00_19193;
					BgL_bz00_5511 = BgL_bz00_19194;
					BgL_cz00_5512 = BgL_cz00_19195;
					BgL_dz00_5513 = BgL_dz00_19196;
					BgL_lastz00_5514 = BgL_lastz00_19197;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5516;

						BgL_sz00_5516 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5517;

							BgL_bpz00_5517 = VECTOR_REF(BgL_sz00_5516, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29486;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_17686;

									BgL_nz00_17686 = BINT(BgL_siza7ezd2framez75_19192);
									BgL_testz00_29486 =
										(
										((long) CINT(BgL_bpz00_5517) +
											(long) CINT(BgL_nz00_17686)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5516)));
								}
								if (BgL_testz00_29486)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4242z00_5519;

											BgL_arg4242z00_5519 =
												((long) CINT(BgL_bpz00_5517) + ((long) 0));
											VECTOR_SET(BgL_sz00_5516,
												(int) (BgL_arg4242z00_5519), BgL_az00_5510);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4243z00_5520;

											BgL_arg4243z00_5520 =
												((long) CINT(BgL_bpz00_5517) + ((long) 1));
											VECTOR_SET(BgL_sz00_5516,
												(int) (BgL_arg4243z00_5520), BgL_bz00_5511);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4244z00_5521;

											BgL_arg4244z00_5521 =
												((long) CINT(BgL_bpz00_5517) + ((long) 2));
											VECTOR_SET(BgL_sz00_5516,
												(int) (BgL_arg4244z00_5521), BgL_cz00_5512);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4245z00_5522;

											BgL_arg4245z00_5522 =
												((long) CINT(BgL_bpz00_5517) + ((long) 3));
											VECTOR_SET(BgL_sz00_5516,
												(int) (BgL_arg4245z00_5522), BgL_dz00_5513);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4246z00_5523;

											BgL_arg4246z00_5523 =
												((long) CINT(BgL_bpz00_5517) + ((long) 4));
											VECTOR_SET(BgL_sz00_5516,
												(int) (BgL_arg4246z00_5523), BgL_lastz00_5514);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1581z00_5524;

											BgL_exitd1581z00_5524 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34247ze3z83_18993;

												BgL_zc3anonymousza34247ze3z83_18993 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34247ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34247ze3z83_18993,
													(int) (((long) 0)), BgL_sz00_5516);
												PROCEDURE_SET(BgL_zc3anonymousza34247ze3z83_18993,
													(int) (((long) 1)), BgL_bpz00_5517);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1581z00_5524,
													BgL_zc3anonymousza34247ze3z83_18993);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1583z00_5526;

													BgL_tmp1583z00_5526 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19191, BgL_sz00_5516, BgL_bpz00_5517);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1581z00_5524);
													VECTOR_SET(BgL_sz00_5516, (int) (((long) 0)),
														BgL_bpz00_5517);
													return BgL_tmp1583z00_5526;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5529;

										BgL_nsz00_5529 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5529,
											(int) (((long) 1)), BgL_sz00_5516);
										VECTOR_SET(BgL_nsz00_5529,
											(int) (((long) 2)), BgL_az00_5510);
										VECTOR_SET(BgL_nsz00_5529,
											(int) (((long) 3)), BgL_bz00_5511);
										VECTOR_SET(BgL_nsz00_5529,
											(int) (((long) 4)), BgL_cz00_5512);
										VECTOR_SET(BgL_nsz00_5529,
											(int) (((long) 5)), BgL_dz00_5513);
										VECTOR_SET(BgL_nsz00_5529,
											(int) (((long) 6)), BgL_lastz00_5514);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29540;

											BgL_auxz00_29540 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29540, BgL_nsz00_5529);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1584z00_5531;

											BgL_exitd1584z00_5531 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34249ze3z83_18991;

												BgL_zc3anonymousza34249ze3z83_18991 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34249ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34249ze3z83_18991,
													(int) (((long) 0)), BgL_sz00_5516);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1584z00_5531,
													BgL_zc3anonymousza34249ze3z83_18991);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1586z00_5533;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17755;

														BgL_savedzd2bpzd2_17755 =
															VECTOR_REF(BgL_nsz00_5529, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5529,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17762;

															BgL_fz00_17762 = BgL_runz00_19191;
														BgL_recz00_17761:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17763;

																BgL_rz00_17763 =
																	PROCEDURE_ENTRY(BgL_fz00_17762)
																	(BgL_fz00_17762, BgL_nsz00_5529, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29559;

																	if (PROCEDUREP(BgL_rz00_17763))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_17768;

																			BgL_arg1964z00_17768 =
																				PROCEDURE_ATTR(BgL_rz00_17763);
																			if (STRUCTP(BgL_arg1964z00_17768))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29559 =
																						(STRUCT_KEY(BgL_arg1964z00_17768) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29559 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29559 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29559)
																		{
																			obj_t BgL_fz00_29567;

																			BgL_fz00_29567 = BgL_rz00_17763;
																			BgL_fz00_17762 = BgL_fz00_29567;
																			goto BgL_recz00_17761;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5529,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17755);
																			BgL_tmp1586z00_5533 = BgL_rz00_17763;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1584z00_5531);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29571;

														BgL_auxz00_29571 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29571,
															BgL_sz00_5516);
													}
													return BgL_tmp1586z00_5533;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4247> */
	obj_t BGl_z62zc3anonymousza34247ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19198)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19199;
				obj_t BgL_bpz00_19200;

				BgL_sz00_19199 = PROCEDURE_REF(BgL_envz00_19198, (int) (((long) 0)));
				BgL_bpz00_19200 = PROCEDURE_REF(BgL_envz00_19198, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19199, (int) (((long) 0)), BgL_bpz00_19200);
		}}}
	}



/* &run6114 */
	obj_t BGl_z62run6114z62zz__evaluate_compz00(obj_t BgL_envz00_19201,
		obj_t BgL_sz00_19207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19202;
				long BgL_siza7eza7_19203;
				obj_t BgL_valza2za2_19204;
				BgL_ev_absz00_bglt BgL_i1320z00_19205;
				obj_t BgL_bodyz00_19206;

				BgL_iboxesz00_19202 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19201, (int) (((long) 0))));
				BgL_siza7eza7_19203 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19201, (int) (((long) 1))));
				BgL_valza2za2_19204 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19201, (int) (((long) 2))));
				BgL_i1320z00_19205 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19201, (int) (((long) 3))));
				BgL_bodyz00_19206 = PROCEDURE_REF(BgL_envz00_19201, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5538;

					BgL_sz00_5538 = BgL_sz00_19207;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5540;

						BgL_bpz00_5540 = VECTOR_REF(BgL_sz00_5538, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5538,
							BgL_iboxesz00_19202, BgL_bpz00_5540);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5538,
							BgL_valza2za2_19204,
							((long) CINT(BgL_bpz00_5540) + BgL_siza7eza7_19203));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5542;
							obj_t BgL_wherez00_5543;
							obj_t BgL_locz00_5544;

							BgL_z12denvz12_5542 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5543 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19205))->BgL_wherez00);
							BgL_locz00_5544 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19205))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5542, BgL_wherez00_5543,
									BgL_locz00_5544);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5545;

									BgL_za2za2resza2za2z00_5545 =
										PROCEDURE_ENTRY(BgL_bodyz00_19206) (BgL_bodyz00_19206,
										BgL_sz00_5538, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5542);
									return BgL_za2za2resza2za2z00_5545;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4249> */
	obj_t BGl_z62zc3anonymousza34249ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19209;

				BgL_sz00_19209 = PROCEDURE_REF(BgL_envz00_19208, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29611;

						BgL_auxz00_29611 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29611, BgL_sz00_19209);
					}
				}
			}
		}
	}



/* &<anonymous:4125> */
	obj_t BGl_z62zc3anonymousza34125ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19210, obj_t BgL_sz00_19214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19211;
				obj_t BgL_bodyz00_19212;
				long BgL_siza7ezd2framez75_19213;

				BgL_i1320z00_19211 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19210, (int) (((long) 0))));
				BgL_bodyz00_19212 = PROCEDURE_REF(BgL_envz00_19210, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19213 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19210, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5195;

					BgL_sz00_5195 = BgL_sz00_19214;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5197;

						BgL_bpz00_5197 = VECTOR_REF(BgL_sz00_5195, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18987;

								BgL_runz00_18987 =
									MAKE_FX_PROCEDURE(BGl_z62run6116z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18987,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_19211));
								PROCEDURE_SET(BgL_runz00_18987,
									(int) (((long) 1)), BgL_bodyz00_19212);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18989;

									BgL_mainz00_18989 =
										MAKE_FX_PROCEDURE(BGl_z62main6115z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18989,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_19211));
									PROCEDURE_SET(BgL_mainz00_18989,
										(int) (((long) 1)), BgL_bodyz00_19212);
									PROCEDURE_SET(BgL_mainz00_18989,
										(int) (((long) 2)), BgL_runz00_18987);
									PROCEDURE_SET(BgL_mainz00_18989,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19213));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16878;

										BgL_objz00_16878 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18987, BgL_objz00_16878);
										BgL_objz00_16878;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4126z00_5200;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4127z00_5201;

											BgL_arg4127z00_5201 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19211))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_16880;

												BgL_framez00_16880 = BINT(BgL_siza7ezd2framez75_19213);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_16882;

													BgL_newz00_16882 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29650;

														BgL_auxz00_29650 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_16882, BgL_auxz00_29650,
															BgL_arg4127z00_5201);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29653;

														BgL_auxz00_29653 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_16882, BgL_auxz00_29653,
															BgL_framez00_16880);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29656;

														BgL_auxz00_29656 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_16882, BgL_auxz00_29656,
															BgL_runz00_18987);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_29661;
														int BgL_auxz00_29659;

														BgL_auxz00_29661 = BINT(((long) 4));
														BgL_auxz00_29659 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_16882, BgL_auxz00_29659,
															BgL_auxz00_29661);
													}
													BgL_arg4126z00_5200 = BgL_newz00_16882;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18989, BgL_arg4126z00_5200);
										BgL_arg4126z00_5200;
									}
									return BgL_mainz00_18989;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6115 */
	obj_t BGl_z62main6115z62zz__evaluate_compz00(obj_t BgL_envz00_19215,
		obj_t BgL_az00_19220, obj_t BgL_bz00_19221, obj_t BgL_cz00_19222,
		obj_t BgL_dz00_19223)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19218;
				long BgL_siza7ezd2framez75_19219;

				BgL_runz00_19218 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19215, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19219 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19215, (int) (((long) 3))));
				{
					obj_t BgL_az00_5202;
					obj_t BgL_bz00_5203;
					obj_t BgL_cz00_5204;
					obj_t BgL_dz00_5205;

					BgL_az00_5202 = BgL_az00_19220;
					BgL_bz00_5203 = BgL_bz00_19221;
					BgL_cz00_5204 = BgL_cz00_19222;
					BgL_dz00_5205 = BgL_dz00_19223;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5207;

						BgL_sz00_5207 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5208;

							BgL_bpz00_5208 = VECTOR_REF(BgL_sz00_5207, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29674;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_16791;

									BgL_nz00_16791 = BINT(BgL_siza7ezd2framez75_19219);
									BgL_testz00_29674 =
										(
										((long) CINT(BgL_bpz00_5208) +
											(long) CINT(BgL_nz00_16791)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5207)));
								}
								if (BgL_testz00_29674)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4130z00_5210;

											BgL_arg4130z00_5210 =
												((long) CINT(BgL_bpz00_5208) + ((long) 0));
											VECTOR_SET(BgL_sz00_5207,
												(int) (BgL_arg4130z00_5210), BgL_az00_5202);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4131z00_5211;

											BgL_arg4131z00_5211 =
												((long) CINT(BgL_bpz00_5208) + ((long) 1));
											VECTOR_SET(BgL_sz00_5207,
												(int) (BgL_arg4131z00_5211), BgL_bz00_5203);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4132z00_5212;

											BgL_arg4132z00_5212 =
												((long) CINT(BgL_bpz00_5208) + ((long) 2));
											VECTOR_SET(BgL_sz00_5207,
												(int) (BgL_arg4132z00_5212), BgL_cz00_5204);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4133z00_5213;

											BgL_arg4133z00_5213 =
												((long) CINT(BgL_bpz00_5208) + ((long) 3));
											VECTOR_SET(BgL_sz00_5207,
												(int) (BgL_arg4133z00_5213), BgL_dz00_5205);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1539z00_5214;

											BgL_exitd1539z00_5214 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34134ze3z83_18988;

												BgL_zc3anonymousza34134ze3z83_18988 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34134ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34134ze3z83_18988,
													(int) (((long) 0)), BgL_sz00_5207);
												PROCEDURE_SET(BgL_zc3anonymousza34134ze3z83_18988,
													(int) (((long) 1)), BgL_bpz00_5208);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1539z00_5214,
													BgL_zc3anonymousza34134ze3z83_18988);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1541z00_5216;

													BgL_tmp1541z00_5216 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19218, BgL_sz00_5207, BgL_bpz00_5208);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1539z00_5214);
													VECTOR_SET(BgL_sz00_5207, (int) (((long) 0)),
														BgL_bpz00_5208);
													return BgL_tmp1541z00_5216;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5219;

										BgL_nsz00_5219 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 1)), BgL_sz00_5207);
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 2)), BgL_az00_5202);
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 3)), BgL_bz00_5203);
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 4)), BgL_cz00_5204);
										VECTOR_SET(BgL_nsz00_5219,
											(int) (((long) 5)), BgL_dz00_5205);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29722;

											BgL_auxz00_29722 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29722, BgL_nsz00_5219);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1542z00_5221;

											BgL_exitd1542z00_5221 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34136ze3z83_18986;

												BgL_zc3anonymousza34136ze3z83_18986 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34136ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34136ze3z83_18986,
													(int) (((long) 0)), BgL_sz00_5207);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1542z00_5221,
													BgL_zc3anonymousza34136ze3z83_18986);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1544z00_5223;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16851;

														BgL_savedzd2bpzd2_16851 =
															VECTOR_REF(BgL_nsz00_5219, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5219,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16858;

															BgL_fz00_16858 = BgL_runz00_19218;
														BgL_recz00_16857:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16859;

																BgL_rz00_16859 =
																	PROCEDURE_ENTRY(BgL_fz00_16858)
																	(BgL_fz00_16858, BgL_nsz00_5219, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29741;

																	if (PROCEDUREP(BgL_rz00_16859))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_16864;

																			BgL_arg1964z00_16864 =
																				PROCEDURE_ATTR(BgL_rz00_16859);
																			if (STRUCTP(BgL_arg1964z00_16864))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29741 =
																						(STRUCT_KEY(BgL_arg1964z00_16864) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29741 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29741 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29741)
																		{
																			obj_t BgL_fz00_29749;

																			BgL_fz00_29749 = BgL_rz00_16859;
																			BgL_fz00_16858 = BgL_fz00_29749;
																			goto BgL_recz00_16857;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5219,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16851);
																			BgL_tmp1544z00_5223 = BgL_rz00_16859;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1542z00_5221);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29753;

														BgL_auxz00_29753 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29753,
															BgL_sz00_5207);
													}
													return BgL_tmp1544z00_5223;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4134> */
	obj_t BGl_z62zc3anonymousza34134ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19225;
				obj_t BgL_bpz00_19226;

				BgL_sz00_19225 = PROCEDURE_REF(BgL_envz00_19224, (int) (((long) 0)));
				BgL_bpz00_19226 = PROCEDURE_REF(BgL_envz00_19224, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19225, (int) (((long) 0)), BgL_bpz00_19226);
		}}}
	}



/* &run6116 */
	obj_t BGl_z62run6116z62zz__evaluate_compz00(obj_t BgL_envz00_19227,
		obj_t BgL_sz00_19230)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19228;
				obj_t BgL_bodyz00_19229;

				BgL_i1320z00_19228 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19227, (int) (((long) 0))));
				BgL_bodyz00_19229 = PROCEDURE_REF(BgL_envz00_19227, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5228;

					BgL_sz00_5228 = BgL_sz00_19230;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5230;

						BgL_bpz00_5230 = VECTOR_REF(BgL_sz00_5228, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5231;
							obj_t BgL_wherez00_5232;
							obj_t BgL_locz00_5233;

							BgL_z12denvz12_5231 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5232 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19228))->BgL_wherez00);
							BgL_locz00_5233 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19228))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5231, BgL_wherez00_5232,
									BgL_locz00_5233);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5234;

									BgL_za2za2resza2za2z00_5234 =
										PROCEDURE_ENTRY(BgL_bodyz00_19229) (BgL_bodyz00_19229,
										BgL_sz00_5228, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5231);
									return BgL_za2za2resza2za2z00_5234;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4136> */
	obj_t BGl_z62zc3anonymousza34136ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19231)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19232;

				BgL_sz00_19232 = PROCEDURE_REF(BgL_envz00_19231, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29780;

						BgL_auxz00_29780 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29780, BgL_sz00_19232);
					}
				}
			}
		}
	}



/* &<anonymous:4139> */
	obj_t BGl_z62zc3anonymousza34139ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19233, obj_t BgL_sz00_19238)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19234;
				BgL_ev_absz00_bglt BgL_i1320z00_19235;
				obj_t BgL_bodyz00_19236;
				long BgL_siza7ezd2framez75_19237;

				BgL_iboxesz00_19234 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19233, (int) (((long) 0))));
				BgL_i1320z00_19235 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19233, (int) (((long) 1))));
				BgL_bodyz00_19236 = PROCEDURE_REF(BgL_envz00_19233, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19237 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19233, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5236;

					BgL_sz00_5236 = BgL_sz00_19238;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5238;

						BgL_bpz00_5238 = VECTOR_REF(BgL_sz00_5236, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18982;

								BgL_runz00_18982 =
									MAKE_FX_PROCEDURE(BGl_z62run6118z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18982,
									(int) (((long) 0)), BgL_iboxesz00_19234);
								PROCEDURE_SET(BgL_runz00_18982,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_19235));
								PROCEDURE_SET(BgL_runz00_18982,
									(int) (((long) 2)), BgL_bodyz00_19236);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18984;

									BgL_mainz00_18984 =
										MAKE_FX_PROCEDURE(BGl_z62main6117z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18984,
										(int) (((long) 0)), BgL_iboxesz00_19234);
									PROCEDURE_SET(BgL_mainz00_18984,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_19235));
									PROCEDURE_SET(BgL_mainz00_18984,
										(int) (((long) 2)), BgL_bodyz00_19236);
									PROCEDURE_SET(BgL_mainz00_18984,
										(int) (((long) 3)), BgL_runz00_18982);
									PROCEDURE_SET(BgL_mainz00_18984,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19237));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16998;

										BgL_objz00_16998 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18982, BgL_objz00_16998);
										BgL_objz00_16998;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4140z00_5241;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4141z00_5242;

											BgL_arg4141z00_5242 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19235))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_17000;

												BgL_framez00_17000 = BINT(BgL_siza7ezd2framez75_19237);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_17002;

													BgL_newz00_17002 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29826;

														BgL_auxz00_29826 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_17002, BgL_auxz00_29826,
															BgL_arg4141z00_5242);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29829;

														BgL_auxz00_29829 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_17002, BgL_auxz00_29829,
															BgL_framez00_17000);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_29832;

														BgL_auxz00_29832 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_17002, BgL_auxz00_29832,
															BgL_runz00_18982);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_29837;
														int BgL_auxz00_29835;

														BgL_auxz00_29837 = BINT(((long) 4));
														BgL_auxz00_29835 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_17002, BgL_auxz00_29835,
															BgL_auxz00_29837);
													}
													BgL_arg4140z00_5241 = BgL_newz00_17002;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18984, BgL_arg4140z00_5241);
										BgL_arg4140z00_5241;
									}
									return BgL_mainz00_18984;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6117 */
	obj_t BGl_z62main6117z62zz__evaluate_compz00(obj_t BgL_envz00_19239,
		obj_t BgL_az00_19245, obj_t BgL_bz00_19246, obj_t BgL_cz00_19247,
		obj_t BgL_dz00_19248)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19243;
				long BgL_siza7ezd2framez75_19244;

				BgL_runz00_19243 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19239, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19244 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19239, (int) (((long) 4))));
				{
					obj_t BgL_az00_5243;
					obj_t BgL_bz00_5244;
					obj_t BgL_cz00_5245;
					obj_t BgL_dz00_5246;

					BgL_az00_5243 = BgL_az00_19245;
					BgL_bz00_5244 = BgL_bz00_19246;
					BgL_cz00_5245 = BgL_cz00_19247;
					BgL_dz00_5246 = BgL_dz00_19248;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5248;

						BgL_sz00_5248 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5249;

							BgL_bpz00_5249 = VECTOR_REF(BgL_sz00_5248, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29850;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_16911;

									BgL_nz00_16911 = BINT(BgL_siza7ezd2framez75_19244);
									BgL_testz00_29850 =
										(
										((long) CINT(BgL_bpz00_5249) +
											(long) CINT(BgL_nz00_16911)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5248)));
								}
								if (BgL_testz00_29850)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4144z00_5251;

											BgL_arg4144z00_5251 =
												((long) CINT(BgL_bpz00_5249) + ((long) 0));
											VECTOR_SET(BgL_sz00_5248,
												(int) (BgL_arg4144z00_5251), BgL_az00_5243);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4145z00_5252;

											BgL_arg4145z00_5252 =
												((long) CINT(BgL_bpz00_5249) + ((long) 1));
											VECTOR_SET(BgL_sz00_5248,
												(int) (BgL_arg4145z00_5252), BgL_bz00_5244);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4146z00_5253;

											BgL_arg4146z00_5253 =
												((long) CINT(BgL_bpz00_5249) + ((long) 2));
											VECTOR_SET(BgL_sz00_5248,
												(int) (BgL_arg4146z00_5253), BgL_cz00_5245);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4147z00_5254;

											BgL_arg4147z00_5254 =
												((long) CINT(BgL_bpz00_5249) + ((long) 3));
											VECTOR_SET(BgL_sz00_5248,
												(int) (BgL_arg4147z00_5254), BgL_dz00_5246);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1545z00_5255;

											BgL_exitd1545z00_5255 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34148ze3z83_18983;

												BgL_zc3anonymousza34148ze3z83_18983 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34148ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34148ze3z83_18983,
													(int) (((long) 0)), BgL_sz00_5248);
												PROCEDURE_SET(BgL_zc3anonymousza34148ze3z83_18983,
													(int) (((long) 1)), BgL_bpz00_5249);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1545z00_5255,
													BgL_zc3anonymousza34148ze3z83_18983);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1547z00_5257;

													BgL_tmp1547z00_5257 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19243, BgL_sz00_5248, BgL_bpz00_5249);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1545z00_5255);
													VECTOR_SET(BgL_sz00_5248, (int) (((long) 0)),
														BgL_bpz00_5249);
													return BgL_tmp1547z00_5257;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5260;

										BgL_nsz00_5260 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 1)), BgL_sz00_5248);
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 2)), BgL_az00_5243);
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 3)), BgL_bz00_5244);
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 4)), BgL_cz00_5245);
										VECTOR_SET(BgL_nsz00_5260,
											(int) (((long) 5)), BgL_dz00_5246);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29898;

											BgL_auxz00_29898 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29898, BgL_nsz00_5260);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1548z00_5262;

											BgL_exitd1548z00_5262 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34150ze3z83_18981;

												BgL_zc3anonymousza34150ze3z83_18981 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34150ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34150ze3z83_18981,
													(int) (((long) 0)), BgL_sz00_5248);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1548z00_5262,
													BgL_zc3anonymousza34150ze3z83_18981);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1550z00_5264;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16971;

														BgL_savedzd2bpzd2_16971 =
															VECTOR_REF(BgL_nsz00_5260, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5260,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16978;

															BgL_fz00_16978 = BgL_runz00_19243;
														BgL_recz00_16977:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16979;

																BgL_rz00_16979 =
																	PROCEDURE_ENTRY(BgL_fz00_16978)
																	(BgL_fz00_16978, BgL_nsz00_5260, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29917;

																	if (PROCEDUREP(BgL_rz00_16979))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_16984;

																			BgL_arg1964z00_16984 =
																				PROCEDURE_ATTR(BgL_rz00_16979);
																			if (STRUCTP(BgL_arg1964z00_16984))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29917 =
																						(STRUCT_KEY(BgL_arg1964z00_16984) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29917 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29917 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29917)
																		{
																			obj_t BgL_fz00_29925;

																			BgL_fz00_29925 = BgL_rz00_16979;
																			BgL_fz00_16978 = BgL_fz00_29925;
																			goto BgL_recz00_16977;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5260,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16971);
																			BgL_tmp1550z00_5264 = BgL_rz00_16979;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1548z00_5262);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29929;

														BgL_auxz00_29929 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29929,
															BgL_sz00_5248);
													}
													return BgL_tmp1550z00_5264;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4148> */
	obj_t BGl_z62zc3anonymousza34148ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19250;
				obj_t BgL_bpz00_19251;

				BgL_sz00_19250 = PROCEDURE_REF(BgL_envz00_19249, (int) (((long) 0)));
				BgL_bpz00_19251 = PROCEDURE_REF(BgL_envz00_19249, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19250, (int) (((long) 0)), BgL_bpz00_19251);
		}}}
	}



/* &run6118 */
	obj_t BGl_z62run6118z62zz__evaluate_compz00(obj_t BgL_envz00_19252,
		obj_t BgL_sz00_19256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19253;
				BgL_ev_absz00_bglt BgL_i1320z00_19254;
				obj_t BgL_bodyz00_19255;

				BgL_iboxesz00_19253 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19252, (int) (((long) 0))));
				BgL_i1320z00_19254 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19252, (int) (((long) 1))));
				BgL_bodyz00_19255 = PROCEDURE_REF(BgL_envz00_19252, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5269;

					BgL_sz00_5269 = BgL_sz00_19256;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5271;

						BgL_bpz00_5271 = VECTOR_REF(BgL_sz00_5269, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5269,
							BgL_iboxesz00_19253, BgL_bpz00_5271);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5272;
							obj_t BgL_wherez00_5273;
							obj_t BgL_locz00_5274;

							BgL_z12denvz12_5272 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5273 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19254))->BgL_wherez00);
							BgL_locz00_5274 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19254))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5272, BgL_wherez00_5273,
									BgL_locz00_5274);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5275;

									BgL_za2za2resza2za2z00_5275 =
										PROCEDURE_ENTRY(BgL_bodyz00_19255) (BgL_bodyz00_19255,
										BgL_sz00_5269, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5272);
									return BgL_za2za2resza2za2z00_5275;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4150> */
	obj_t BGl_z62zc3anonymousza34150ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19258;

				BgL_sz00_19258 = PROCEDURE_REF(BgL_envz00_19257, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29960;

						BgL_auxz00_29960 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29960, BgL_sz00_19258);
					}
				}
			}
		}
	}



/* &<anonymous:4155> */
	obj_t BGl_z62zc3anonymousza34155ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19259, obj_t BgL_sz00_19265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19260;
				long BgL_siza7eza7_19261;
				BgL_ev_absz00_bglt BgL_i1320z00_19262;
				obj_t BgL_bodyz00_19263;
				long BgL_siza7ezd2framez75_19264;

				BgL_ifreesz00_19260 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19259, (int) (((long) 0))));
				BgL_siza7eza7_19261 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19259, (int) (((long) 1))));
				BgL_i1320z00_19262 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19259, (int) (((long) 2))));
				BgL_bodyz00_19263 = PROCEDURE_REF(BgL_envz00_19259, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19264 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19259, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5279;

					BgL_sz00_5279 = BgL_sz00_19265;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5281;

						BgL_bpz00_5281 = VECTOR_REF(BgL_sz00_5279, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5282;

							BgL_valza2za2_5282 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5279,
								BgL_bpz00_5281, BgL_ifreesz00_19260);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18977;

								BgL_runz00_18977 =
									MAKE_FX_PROCEDURE(BGl_z62run6120z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18977,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19261));
								PROCEDURE_SET(BgL_runz00_18977,
									(int) (((long) 1)), BgL_valza2za2_5282);
								PROCEDURE_SET(BgL_runz00_18977,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_19262));
								PROCEDURE_SET(BgL_runz00_18977,
									(int) (((long) 3)), BgL_bodyz00_19263);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18979;

									BgL_mainz00_18979 =
										MAKE_FX_PROCEDURE(BGl_z62main6119z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18979,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19261));
									PROCEDURE_SET(BgL_mainz00_18979,
										(int) (((long) 1)), BgL_valza2za2_5282);
									PROCEDURE_SET(BgL_mainz00_18979,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_19262));
									PROCEDURE_SET(BgL_mainz00_18979,
										(int) (((long) 3)), BgL_bodyz00_19263);
									PROCEDURE_SET(BgL_mainz00_18979,
										(int) (((long) 4)), BgL_runz00_18977);
									PROCEDURE_SET(BgL_mainz00_18979,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19264));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17125;

										BgL_objz00_17125 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18977, BgL_objz00_17125);
										BgL_objz00_17125;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4156z00_5285;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4157z00_5286;

											BgL_arg4157z00_5286 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19262))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_17127;

												BgL_framez00_17127 = BINT(BgL_siza7ezd2framez75_19264);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_17129;

													BgL_newz00_17129 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30016;

														BgL_auxz00_30016 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_17129, BgL_auxz00_30016,
															BgL_arg4157z00_5286);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30019;

														BgL_auxz00_30019 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_17129, BgL_auxz00_30019,
															BgL_framez00_17127);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30022;

														BgL_auxz00_30022 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_17129, BgL_auxz00_30022,
															BgL_runz00_18977);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_30027;
														int BgL_auxz00_30025;

														BgL_auxz00_30027 = BINT(((long) 4));
														BgL_auxz00_30025 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_17129, BgL_auxz00_30025,
															BgL_auxz00_30027);
													}
													BgL_arg4156z00_5285 = BgL_newz00_17129;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18979, BgL_arg4156z00_5285);
										BgL_arg4156z00_5285;
									}
									return BgL_mainz00_18979;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6119 */
	obj_t BGl_z62main6119z62zz__evaluate_compz00(obj_t BgL_envz00_19266,
		obj_t BgL_az00_19273, obj_t BgL_bz00_19274, obj_t BgL_cz00_19275,
		obj_t BgL_dz00_19276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19271;
				long BgL_siza7ezd2framez75_19272;

				BgL_runz00_19271 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19266, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19272 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19266, (int) (((long) 5))));
				{
					obj_t BgL_az00_5287;
					obj_t BgL_bz00_5288;
					obj_t BgL_cz00_5289;
					obj_t BgL_dz00_5290;

					BgL_az00_5287 = BgL_az00_19273;
					BgL_bz00_5288 = BgL_bz00_19274;
					BgL_cz00_5289 = BgL_cz00_19275;
					BgL_dz00_5290 = BgL_dz00_19276;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5292;

						BgL_sz00_5292 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5293;

							BgL_bpz00_5293 = VECTOR_REF(BgL_sz00_5292, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30040;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_17038;

									BgL_nz00_17038 = BINT(BgL_siza7ezd2framez75_19272);
									BgL_testz00_30040 =
										(
										((long) CINT(BgL_bpz00_5293) +
											(long) CINT(BgL_nz00_17038)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5292)));
								}
								if (BgL_testz00_30040)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4160z00_5295;

											BgL_arg4160z00_5295 =
												((long) CINT(BgL_bpz00_5293) + ((long) 0));
											VECTOR_SET(BgL_sz00_5292,
												(int) (BgL_arg4160z00_5295), BgL_az00_5287);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4161z00_5296;

											BgL_arg4161z00_5296 =
												((long) CINT(BgL_bpz00_5293) + ((long) 1));
											VECTOR_SET(BgL_sz00_5292,
												(int) (BgL_arg4161z00_5296), BgL_bz00_5288);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4162z00_5297;

											BgL_arg4162z00_5297 =
												((long) CINT(BgL_bpz00_5293) + ((long) 2));
											VECTOR_SET(BgL_sz00_5292,
												(int) (BgL_arg4162z00_5297), BgL_cz00_5289);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4163z00_5298;

											BgL_arg4163z00_5298 =
												((long) CINT(BgL_bpz00_5293) + ((long) 3));
											VECTOR_SET(BgL_sz00_5292,
												(int) (BgL_arg4163z00_5298), BgL_dz00_5290);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1551z00_5299;

											BgL_exitd1551z00_5299 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34164ze3z83_18978;

												BgL_zc3anonymousza34164ze3z83_18978 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34164ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34164ze3z83_18978,
													(int) (((long) 0)), BgL_sz00_5292);
												PROCEDURE_SET(BgL_zc3anonymousza34164ze3z83_18978,
													(int) (((long) 1)), BgL_bpz00_5293);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1551z00_5299,
													BgL_zc3anonymousza34164ze3z83_18978);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1553z00_5301;

													BgL_tmp1553z00_5301 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19271, BgL_sz00_5292, BgL_bpz00_5293);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1551z00_5299);
													VECTOR_SET(BgL_sz00_5292, (int) (((long) 0)),
														BgL_bpz00_5293);
													return BgL_tmp1553z00_5301;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5304;

										BgL_nsz00_5304 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5304,
											(int) (((long) 1)), BgL_sz00_5292);
										VECTOR_SET(BgL_nsz00_5304,
											(int) (((long) 2)), BgL_az00_5287);
										VECTOR_SET(BgL_nsz00_5304,
											(int) (((long) 3)), BgL_bz00_5288);
										VECTOR_SET(BgL_nsz00_5304,
											(int) (((long) 4)), BgL_cz00_5289);
										VECTOR_SET(BgL_nsz00_5304,
											(int) (((long) 5)), BgL_dz00_5290);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30088;

											BgL_auxz00_30088 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30088, BgL_nsz00_5304);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1554z00_5306;

											BgL_exitd1554z00_5306 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34166ze3z83_18976;

												BgL_zc3anonymousza34166ze3z83_18976 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34166ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34166ze3z83_18976,
													(int) (((long) 0)), BgL_sz00_5292);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1554z00_5306,
													BgL_zc3anonymousza34166ze3z83_18976);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1556z00_5308;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17098;

														BgL_savedzd2bpzd2_17098 =
															VECTOR_REF(BgL_nsz00_5304, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5304,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17105;

															BgL_fz00_17105 = BgL_runz00_19271;
														BgL_recz00_17104:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17106;

																BgL_rz00_17106 =
																	PROCEDURE_ENTRY(BgL_fz00_17105)
																	(BgL_fz00_17105, BgL_nsz00_5304, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30107;

																	if (PROCEDUREP(BgL_rz00_17106))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_17111;

																			BgL_arg1964z00_17111 =
																				PROCEDURE_ATTR(BgL_rz00_17106);
																			if (STRUCTP(BgL_arg1964z00_17111))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30107 =
																						(STRUCT_KEY(BgL_arg1964z00_17111) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30107 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30107 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30107)
																		{
																			obj_t BgL_fz00_30115;

																			BgL_fz00_30115 = BgL_rz00_17106;
																			BgL_fz00_17105 = BgL_fz00_30115;
																			goto BgL_recz00_17104;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5304,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17098);
																			BgL_tmp1556z00_5308 = BgL_rz00_17106;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1554z00_5306);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30119;

														BgL_auxz00_30119 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30119,
															BgL_sz00_5292);
													}
													return BgL_tmp1556z00_5308;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4164> */
	obj_t BGl_z62zc3anonymousza34164ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19278;
				obj_t BgL_bpz00_19279;

				BgL_sz00_19278 = PROCEDURE_REF(BgL_envz00_19277, (int) (((long) 0)));
				BgL_bpz00_19279 = PROCEDURE_REF(BgL_envz00_19277, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19278, (int) (((long) 0)), BgL_bpz00_19279);
		}}}
	}



/* &run6120 */
	obj_t BGl_z62run6120z62zz__evaluate_compz00(obj_t BgL_envz00_19280,
		obj_t BgL_sz00_19285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19281;
				obj_t BgL_valza2za2_19282;
				BgL_ev_absz00_bglt BgL_i1320z00_19283;
				obj_t BgL_bodyz00_19284;

				BgL_siza7eza7_19281 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19280, (int) (((long) 0))));
				BgL_valza2za2_19282 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19280, (int) (((long) 1))));
				BgL_i1320z00_19283 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19280, (int) (((long) 2))));
				BgL_bodyz00_19284 = PROCEDURE_REF(BgL_envz00_19280, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5313;

					BgL_sz00_5313 = BgL_sz00_19285;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5315;

						BgL_bpz00_5315 = VECTOR_REF(BgL_sz00_5313, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5313,
							BgL_valza2za2_19282,
							((long) CINT(BgL_bpz00_5315) + BgL_siza7eza7_19281));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5317;
							obj_t BgL_wherez00_5318;
							obj_t BgL_locz00_5319;

							BgL_z12denvz12_5317 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5318 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19283))->BgL_wherez00);
							BgL_locz00_5319 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19283))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5317, BgL_wherez00_5318,
									BgL_locz00_5319);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5320;

									BgL_za2za2resza2za2z00_5320 =
										PROCEDURE_ENTRY(BgL_bodyz00_19284) (BgL_bodyz00_19284,
										BgL_sz00_5313, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5317);
									return BgL_za2za2resza2za2z00_5320;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4166> */
	obj_t BGl_z62zc3anonymousza34166ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19287;

				BgL_sz00_19287 = PROCEDURE_REF(BgL_envz00_19286, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30155;

						BgL_auxz00_30155 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30155, BgL_sz00_19287);
					}
				}
			}
		}
	}



/* &<anonymous:4170> */
	obj_t BGl_z62zc3anonymousza34170ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19288, obj_t BgL_sz00_19295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19289;
				obj_t BgL_iboxesz00_19290;
				long BgL_siza7eza7_19291;
				BgL_ev_absz00_bglt BgL_i1320z00_19292;
				obj_t BgL_bodyz00_19293;
				long BgL_siza7ezd2framez75_19294;

				BgL_ifreesz00_19289 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19288, (int) (((long) 0))));
				BgL_iboxesz00_19290 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19288, (int) (((long) 1))));
				BgL_siza7eza7_19291 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19288, (int) (((long) 2))));
				BgL_i1320z00_19292 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19288, (int) (((long) 3))));
				BgL_bodyz00_19293 = PROCEDURE_REF(BgL_envz00_19288, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19294 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19288, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5322;

					BgL_sz00_5322 = BgL_sz00_19295;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5324;

						BgL_bpz00_5324 = VECTOR_REF(BgL_sz00_5322, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5325;

							BgL_valza2za2_5325 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5322,
								BgL_bpz00_5324, BgL_ifreesz00_19289);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18972;

								BgL_runz00_18972 =
									MAKE_FX_PROCEDURE(BGl_z62run6122z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18972,
									(int) (((long) 0)), BgL_iboxesz00_19290);
								PROCEDURE_SET(BgL_runz00_18972,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19291));
								PROCEDURE_SET(BgL_runz00_18972,
									(int) (((long) 2)), BgL_valza2za2_5325);
								PROCEDURE_SET(BgL_runz00_18972,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_19292));
								PROCEDURE_SET(BgL_runz00_18972,
									(int) (((long) 4)), BgL_bodyz00_19293);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18974;

									BgL_mainz00_18974 =
										MAKE_FX_PROCEDURE(BGl_z62main6121z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18974,
										(int) (((long) 0)), BgL_iboxesz00_19290);
									PROCEDURE_SET(BgL_mainz00_18974,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19291));
									PROCEDURE_SET(BgL_mainz00_18974,
										(int) (((long) 2)), BgL_valza2za2_5325);
									PROCEDURE_SET(BgL_mainz00_18974,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_19292));
									PROCEDURE_SET(BgL_mainz00_18974,
										(int) (((long) 4)), BgL_bodyz00_19293);
									PROCEDURE_SET(BgL_mainz00_18974,
										(int) (((long) 5)), BgL_runz00_18972);
									PROCEDURE_SET(BgL_mainz00_18974,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19294));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17248;

										BgL_objz00_17248 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18972, BgL_objz00_17248);
										BgL_objz00_17248;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4171z00_5328;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4172z00_5329;

											BgL_arg4172z00_5329 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19292))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_17250;

												BgL_framez00_17250 = BINT(BgL_siza7ezd2framez75_19294);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_17252;

													BgL_newz00_17252 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30218;

														BgL_auxz00_30218 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_17252, BgL_auxz00_30218,
															BgL_arg4172z00_5329);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30221;

														BgL_auxz00_30221 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_17252, BgL_auxz00_30221,
															BgL_framez00_17250);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30224;

														BgL_auxz00_30224 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_17252, BgL_auxz00_30224,
															BgL_runz00_18972);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_30229;
														int BgL_auxz00_30227;

														BgL_auxz00_30229 = BINT(((long) 4));
														BgL_auxz00_30227 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_17252, BgL_auxz00_30227,
															BgL_auxz00_30229);
													}
													BgL_arg4171z00_5328 = BgL_newz00_17252;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18974, BgL_arg4171z00_5328);
										BgL_arg4171z00_5328;
									}
									return BgL_mainz00_18974;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6121 */
	obj_t BGl_z62main6121z62zz__evaluate_compz00(obj_t BgL_envz00_19296,
		obj_t BgL_az00_19304, obj_t BgL_bz00_19305, obj_t BgL_cz00_19306,
		obj_t BgL_dz00_19307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19302;
				long BgL_siza7ezd2framez75_19303;

				BgL_runz00_19302 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19296, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19303 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19296, (int) (((long) 6))));
				{
					obj_t BgL_az00_5330;
					obj_t BgL_bz00_5331;
					obj_t BgL_cz00_5332;
					obj_t BgL_dz00_5333;

					BgL_az00_5330 = BgL_az00_19304;
					BgL_bz00_5331 = BgL_bz00_19305;
					BgL_cz00_5332 = BgL_cz00_19306;
					BgL_dz00_5333 = BgL_dz00_19307;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5335;

						BgL_sz00_5335 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5336;

							BgL_bpz00_5336 = VECTOR_REF(BgL_sz00_5335, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30242;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_17161;

									BgL_nz00_17161 = BINT(BgL_siza7ezd2framez75_19303);
									BgL_testz00_30242 =
										(
										((long) CINT(BgL_bpz00_5336) +
											(long) CINT(BgL_nz00_17161)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5335)));
								}
								if (BgL_testz00_30242)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4175z00_5338;

											BgL_arg4175z00_5338 =
												((long) CINT(BgL_bpz00_5336) + ((long) 0));
											VECTOR_SET(BgL_sz00_5335,
												(int) (BgL_arg4175z00_5338), BgL_az00_5330);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4176z00_5339;

											BgL_arg4176z00_5339 =
												((long) CINT(BgL_bpz00_5336) + ((long) 1));
											VECTOR_SET(BgL_sz00_5335,
												(int) (BgL_arg4176z00_5339), BgL_bz00_5331);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4177z00_5340;

											BgL_arg4177z00_5340 =
												((long) CINT(BgL_bpz00_5336) + ((long) 2));
											VECTOR_SET(BgL_sz00_5335,
												(int) (BgL_arg4177z00_5340), BgL_cz00_5332);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4178z00_5341;

											BgL_arg4178z00_5341 =
												((long) CINT(BgL_bpz00_5336) + ((long) 3));
											VECTOR_SET(BgL_sz00_5335,
												(int) (BgL_arg4178z00_5341), BgL_dz00_5333);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1557z00_5342;

											BgL_exitd1557z00_5342 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34179ze3z83_18973;

												BgL_zc3anonymousza34179ze3z83_18973 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34179ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34179ze3z83_18973,
													(int) (((long) 0)), BgL_sz00_5335);
												PROCEDURE_SET(BgL_zc3anonymousza34179ze3z83_18973,
													(int) (((long) 1)), BgL_bpz00_5336);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1557z00_5342,
													BgL_zc3anonymousza34179ze3z83_18973);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1559z00_5344;

													BgL_tmp1559z00_5344 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19302, BgL_sz00_5335, BgL_bpz00_5336);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1557z00_5342);
													VECTOR_SET(BgL_sz00_5335, (int) (((long) 0)),
														BgL_bpz00_5336);
													return BgL_tmp1559z00_5344;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5347;

										BgL_nsz00_5347 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5347,
											(int) (((long) 1)), BgL_sz00_5335);
										VECTOR_SET(BgL_nsz00_5347,
											(int) (((long) 2)), BgL_az00_5330);
										VECTOR_SET(BgL_nsz00_5347,
											(int) (((long) 3)), BgL_bz00_5331);
										VECTOR_SET(BgL_nsz00_5347,
											(int) (((long) 4)), BgL_cz00_5332);
										VECTOR_SET(BgL_nsz00_5347,
											(int) (((long) 5)), BgL_dz00_5333);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30290;

											BgL_auxz00_30290 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30290, BgL_nsz00_5347);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1560z00_5349;

											BgL_exitd1560z00_5349 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34181ze3z83_18971;

												BgL_zc3anonymousza34181ze3z83_18971 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34181ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34181ze3z83_18971,
													(int) (((long) 0)), BgL_sz00_5335);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1560z00_5349,
													BgL_zc3anonymousza34181ze3z83_18971);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1562z00_5351;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17221;

														BgL_savedzd2bpzd2_17221 =
															VECTOR_REF(BgL_nsz00_5347, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5347,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17228;

															BgL_fz00_17228 = BgL_runz00_19302;
														BgL_recz00_17227:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17229;

																BgL_rz00_17229 =
																	PROCEDURE_ENTRY(BgL_fz00_17228)
																	(BgL_fz00_17228, BgL_nsz00_5347, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30309;

																	if (PROCEDUREP(BgL_rz00_17229))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_17234;

																			BgL_arg1964z00_17234 =
																				PROCEDURE_ATTR(BgL_rz00_17229);
																			if (STRUCTP(BgL_arg1964z00_17234))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30309 =
																						(STRUCT_KEY(BgL_arg1964z00_17234) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30309 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30309 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30309)
																		{
																			obj_t BgL_fz00_30317;

																			BgL_fz00_30317 = BgL_rz00_17229;
																			BgL_fz00_17228 = BgL_fz00_30317;
																			goto BgL_recz00_17227;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5347,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17221);
																			BgL_tmp1562z00_5351 = BgL_rz00_17229;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1560z00_5349);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30321;

														BgL_auxz00_30321 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30321,
															BgL_sz00_5335);
													}
													return BgL_tmp1562z00_5351;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4179> */
	obj_t BGl_z62zc3anonymousza34179ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19309;
				obj_t BgL_bpz00_19310;

				BgL_sz00_19309 = PROCEDURE_REF(BgL_envz00_19308, (int) (((long) 0)));
				BgL_bpz00_19310 = PROCEDURE_REF(BgL_envz00_19308, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19309, (int) (((long) 0)), BgL_bpz00_19310);
		}}}
	}



/* &run6122 */
	obj_t BGl_z62run6122z62zz__evaluate_compz00(obj_t BgL_envz00_19311,
		obj_t BgL_sz00_19317)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19312;
				long BgL_siza7eza7_19313;
				obj_t BgL_valza2za2_19314;
				BgL_ev_absz00_bglt BgL_i1320z00_19315;
				obj_t BgL_bodyz00_19316;

				BgL_iboxesz00_19312 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19311, (int) (((long) 0))));
				BgL_siza7eza7_19313 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19311, (int) (((long) 1))));
				BgL_valza2za2_19314 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19311, (int) (((long) 2))));
				BgL_i1320z00_19315 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19311, (int) (((long) 3))));
				BgL_bodyz00_19316 = PROCEDURE_REF(BgL_envz00_19311, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5356;

					BgL_sz00_5356 = BgL_sz00_19317;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5358;

						BgL_bpz00_5358 = VECTOR_REF(BgL_sz00_5356, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5356,
							BgL_iboxesz00_19312, BgL_bpz00_5358);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5356,
							BgL_valza2za2_19314,
							((long) CINT(BgL_bpz00_5358) + BgL_siza7eza7_19313));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5360;
							obj_t BgL_wherez00_5361;
							obj_t BgL_locz00_5362;

							BgL_z12denvz12_5360 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5361 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19315))->BgL_wherez00);
							BgL_locz00_5362 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19315))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5360, BgL_wherez00_5361,
									BgL_locz00_5362);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5363;

									BgL_za2za2resza2za2z00_5363 =
										PROCEDURE_ENTRY(BgL_bodyz00_19316) (BgL_bodyz00_19316,
										BgL_sz00_5356, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5360);
									return BgL_za2za2resza2za2z00_5363;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4181> */
	obj_t BGl_z62zc3anonymousza34181ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19319;

				BgL_sz00_19319 = PROCEDURE_REF(BgL_envz00_19318, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30361;

						BgL_auxz00_30361 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30361, BgL_sz00_19319);
					}
				}
			}
		}
	}



/* &<anonymous:4055> */
	obj_t BGl_z62zc3anonymousza34055ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19320, obj_t BgL_sz00_19324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19321;
				obj_t BgL_bodyz00_19322;
				long BgL_siza7ezd2framez75_19323;

				BgL_i1320z00_19321 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19320, (int) (((long) 0))));
				BgL_bodyz00_19322 = PROCEDURE_REF(BgL_envz00_19320, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19323 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19320, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5021;

					BgL_sz00_5021 = BgL_sz00_19324;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5023;

						BgL_bpz00_5023 = VECTOR_REF(BgL_sz00_5021, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18967;

								BgL_runz00_18967 =
									MAKE_FX_PROCEDURE(BGl_z62run6124z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18967,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_19321));
								PROCEDURE_SET(BgL_runz00_18967,
									(int) (((long) 1)), BgL_bodyz00_19322);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18969;

									BgL_mainz00_18969 =
										MAKE_VA_PROCEDURE(BGl_z62main6123z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18969,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_19321));
									PROCEDURE_SET(BgL_mainz00_18969,
										(int) (((long) 1)), BgL_bodyz00_19322);
									PROCEDURE_SET(BgL_mainz00_18969,
										(int) (((long) 2)), BgL_runz00_18967);
									PROCEDURE_SET(BgL_mainz00_18969,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19323));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16380;

										BgL_objz00_16380 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18967, BgL_objz00_16380);
										BgL_objz00_16380;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4056z00_5026;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4058z00_5027;

											BgL_arg4058z00_5027 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19321))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_16382;

												BgL_framez00_16382 = BINT(BgL_siza7ezd2framez75_19323);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_16384;

													BgL_newz00_16384 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30400;

														BgL_auxz00_30400 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_16384, BgL_auxz00_30400,
															BgL_arg4058z00_5027);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30403;

														BgL_auxz00_30403 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_16384, BgL_auxz00_30403,
															BgL_framez00_16382);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30406;

														BgL_auxz00_30406 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_16384, BgL_auxz00_30406,
															BgL_runz00_18967);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_30411;
														int BgL_auxz00_30409;

														BgL_auxz00_30411 = BINT(((long) -4));
														BgL_auxz00_30409 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_16384, BgL_auxz00_30409,
															BgL_auxz00_30411);
													}
													BgL_arg4056z00_5026 = BgL_newz00_16384;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18969, BgL_arg4056z00_5026);
										BgL_arg4056z00_5026;
									}
									return BgL_mainz00_18969;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6123 */
	obj_t BGl_z62main6123z62zz__evaluate_compz00(obj_t BgL_envz00_19325,
		obj_t BgL_bz00_19330, obj_t BgL_cz00_19331, obj_t BgL_dz00_19332,
		obj_t BgL_lastz00_19333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19328;
				long BgL_siza7ezd2framez75_19329;

				BgL_runz00_19328 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19325, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19329 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19325, (int) (((long) 3))));
				{
					obj_t BgL_bz00_5028;
					obj_t BgL_cz00_5029;
					obj_t BgL_dz00_5030;
					obj_t BgL_lastz00_5031;

					BgL_bz00_5028 = BgL_bz00_19330;
					BgL_cz00_5029 = BgL_cz00_19331;
					BgL_dz00_5030 = BgL_dz00_19332;
					BgL_lastz00_5031 = BgL_lastz00_19333;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5033;

						BgL_sz00_5033 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5034;

							BgL_bpz00_5034 = VECTOR_REF(BgL_sz00_5033, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30424;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_16293;

									BgL_nz00_16293 = BINT(BgL_siza7ezd2framez75_19329);
									BgL_testz00_30424 =
										(
										((long) CINT(BgL_bpz00_5034) +
											(long) CINT(BgL_nz00_16293)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5033)));
								}
								if (BgL_testz00_30424)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4061z00_5036;

											BgL_arg4061z00_5036 =
												((long) CINT(BgL_bpz00_5034) + ((long) 0));
											VECTOR_SET(BgL_sz00_5033,
												(int) (BgL_arg4061z00_5036), BgL_bz00_5028);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4062z00_5037;

											BgL_arg4062z00_5037 =
												((long) CINT(BgL_bpz00_5034) + ((long) 1));
											VECTOR_SET(BgL_sz00_5033,
												(int) (BgL_arg4062z00_5037), BgL_cz00_5029);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4063z00_5038;

											BgL_arg4063z00_5038 =
												((long) CINT(BgL_bpz00_5034) + ((long) 2));
											VECTOR_SET(BgL_sz00_5033,
												(int) (BgL_arg4063z00_5038), BgL_dz00_5030);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4064z00_5039;

											BgL_arg4064z00_5039 =
												((long) CINT(BgL_bpz00_5034) + ((long) 3));
											VECTOR_SET(BgL_sz00_5033,
												(int) (BgL_arg4064z00_5039), BgL_lastz00_5031);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1515z00_5040;

											BgL_exitd1515z00_5040 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34065ze3z83_18968;

												BgL_zc3anonymousza34065ze3z83_18968 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34065ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34065ze3z83_18968,
													(int) (((long) 0)), BgL_sz00_5033);
												PROCEDURE_SET(BgL_zc3anonymousza34065ze3z83_18968,
													(int) (((long) 1)), BgL_bpz00_5034);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1515z00_5040,
													BgL_zc3anonymousza34065ze3z83_18968);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1517z00_5042;

													BgL_tmp1517z00_5042 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19328, BgL_sz00_5033, BgL_bpz00_5034);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1515z00_5040);
													VECTOR_SET(BgL_sz00_5033, (int) (((long) 0)),
														BgL_bpz00_5034);
													return BgL_tmp1517z00_5042;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5045;

										BgL_nsz00_5045 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5045,
											(int) (((long) 1)), BgL_sz00_5033);
										VECTOR_SET(BgL_nsz00_5045,
											(int) (((long) 2)), BgL_bz00_5028);
										VECTOR_SET(BgL_nsz00_5045,
											(int) (((long) 3)), BgL_cz00_5029);
										VECTOR_SET(BgL_nsz00_5045,
											(int) (((long) 4)), BgL_dz00_5030);
										VECTOR_SET(BgL_nsz00_5045,
											(int) (((long) 5)), BgL_lastz00_5031);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30472;

											BgL_auxz00_30472 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30472, BgL_nsz00_5045);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1518z00_5047;

											BgL_exitd1518z00_5047 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34067ze3z83_18966;

												BgL_zc3anonymousza34067ze3z83_18966 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34067ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34067ze3z83_18966,
													(int) (((long) 0)), BgL_sz00_5033);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1518z00_5047,
													BgL_zc3anonymousza34067ze3z83_18966);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1520z00_5049;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16353;

														BgL_savedzd2bpzd2_16353 =
															VECTOR_REF(BgL_nsz00_5045, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5045,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16360;

															BgL_fz00_16360 = BgL_runz00_19328;
														BgL_recz00_16359:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16361;

																BgL_rz00_16361 =
																	PROCEDURE_ENTRY(BgL_fz00_16360)
																	(BgL_fz00_16360, BgL_nsz00_5045, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30491;

																	if (PROCEDUREP(BgL_rz00_16361))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_16366;

																			BgL_arg1964z00_16366 =
																				PROCEDURE_ATTR(BgL_rz00_16361);
																			if (STRUCTP(BgL_arg1964z00_16366))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30491 =
																						(STRUCT_KEY(BgL_arg1964z00_16366) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30491 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30491 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30491)
																		{
																			obj_t BgL_fz00_30499;

																			BgL_fz00_30499 = BgL_rz00_16361;
																			BgL_fz00_16360 = BgL_fz00_30499;
																			goto BgL_recz00_16359;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5045,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16353);
																			BgL_tmp1520z00_5049 = BgL_rz00_16361;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1518z00_5047);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30503;

														BgL_auxz00_30503 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30503,
															BgL_sz00_5033);
													}
													return BgL_tmp1520z00_5049;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4065> */
	obj_t BGl_z62zc3anonymousza34065ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19335;
				obj_t BgL_bpz00_19336;

				BgL_sz00_19335 = PROCEDURE_REF(BgL_envz00_19334, (int) (((long) 0)));
				BgL_bpz00_19336 = PROCEDURE_REF(BgL_envz00_19334, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19335, (int) (((long) 0)), BgL_bpz00_19336);
		}}}
	}



/* &run6124 */
	obj_t BGl_z62run6124z62zz__evaluate_compz00(obj_t BgL_envz00_19337,
		obj_t BgL_sz00_19340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19338;
				obj_t BgL_bodyz00_19339;

				BgL_i1320z00_19338 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19337, (int) (((long) 0))));
				BgL_bodyz00_19339 = PROCEDURE_REF(BgL_envz00_19337, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5054;

					BgL_sz00_5054 = BgL_sz00_19340;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5056;

						BgL_bpz00_5056 = VECTOR_REF(BgL_sz00_5054, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5057;
							obj_t BgL_wherez00_5058;
							obj_t BgL_locz00_5059;

							BgL_z12denvz12_5057 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5058 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19338))->BgL_wherez00);
							BgL_locz00_5059 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19338))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5057, BgL_wherez00_5058,
									BgL_locz00_5059);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5060;

									BgL_za2za2resza2za2z00_5060 =
										PROCEDURE_ENTRY(BgL_bodyz00_19339) (BgL_bodyz00_19339,
										BgL_sz00_5054, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5057);
									return BgL_za2za2resza2za2z00_5060;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4067> */
	obj_t BGl_z62zc3anonymousza34067ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19341)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19342;

				BgL_sz00_19342 = PROCEDURE_REF(BgL_envz00_19341, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30530;

						BgL_auxz00_30530 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30530, BgL_sz00_19342);
					}
				}
			}
		}
	}



/* &<anonymous:4070> */
	obj_t BGl_z62zc3anonymousza34070ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19343, obj_t BgL_sz00_19348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19344;
				BgL_ev_absz00_bglt BgL_i1320z00_19345;
				obj_t BgL_bodyz00_19346;
				long BgL_siza7ezd2framez75_19347;

				BgL_iboxesz00_19344 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19343, (int) (((long) 0))));
				BgL_i1320z00_19345 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19343, (int) (((long) 1))));
				BgL_bodyz00_19346 = PROCEDURE_REF(BgL_envz00_19343, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19347 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19343, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5062;

					BgL_sz00_5062 = BgL_sz00_19348;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5064;

						BgL_bpz00_5064 = VECTOR_REF(BgL_sz00_5062, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18962;

								BgL_runz00_18962 =
									MAKE_FX_PROCEDURE(BGl_z62run6126z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18962,
									(int) (((long) 0)), BgL_iboxesz00_19344);
								PROCEDURE_SET(BgL_runz00_18962,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_19345));
								PROCEDURE_SET(BgL_runz00_18962,
									(int) (((long) 2)), BgL_bodyz00_19346);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18964;

									BgL_mainz00_18964 =
										MAKE_VA_PROCEDURE(BGl_z62main6125z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18964,
										(int) (((long) 0)), BgL_iboxesz00_19344);
									PROCEDURE_SET(BgL_mainz00_18964,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_19345));
									PROCEDURE_SET(BgL_mainz00_18964,
										(int) (((long) 2)), BgL_bodyz00_19346);
									PROCEDURE_SET(BgL_mainz00_18964,
										(int) (((long) 3)), BgL_runz00_18962);
									PROCEDURE_SET(BgL_mainz00_18964,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19347));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16500;

										BgL_objz00_16500 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18962, BgL_objz00_16500);
										BgL_objz00_16500;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4071z00_5067;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4072z00_5068;

											BgL_arg4072z00_5068 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19345))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_16502;

												BgL_framez00_16502 = BINT(BgL_siza7ezd2framez75_19347);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_16504;

													BgL_newz00_16504 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30576;

														BgL_auxz00_30576 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_16504, BgL_auxz00_30576,
															BgL_arg4072z00_5068);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30579;

														BgL_auxz00_30579 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_16504, BgL_auxz00_30579,
															BgL_framez00_16502);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30582;

														BgL_auxz00_30582 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_16504, BgL_auxz00_30582,
															BgL_runz00_18962);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_30587;
														int BgL_auxz00_30585;

														BgL_auxz00_30587 = BINT(((long) -4));
														BgL_auxz00_30585 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_16504, BgL_auxz00_30585,
															BgL_auxz00_30587);
													}
													BgL_arg4071z00_5067 = BgL_newz00_16504;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18964, BgL_arg4071z00_5067);
										BgL_arg4071z00_5067;
									}
									return BgL_mainz00_18964;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6125 */
	obj_t BGl_z62main6125z62zz__evaluate_compz00(obj_t BgL_envz00_19349,
		obj_t BgL_bz00_19355, obj_t BgL_cz00_19356, obj_t BgL_dz00_19357,
		obj_t BgL_lastz00_19358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19353;
				long BgL_siza7ezd2framez75_19354;

				BgL_runz00_19353 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19349, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19354 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19349, (int) (((long) 4))));
				{
					obj_t BgL_bz00_5069;
					obj_t BgL_cz00_5070;
					obj_t BgL_dz00_5071;
					obj_t BgL_lastz00_5072;

					BgL_bz00_5069 = BgL_bz00_19355;
					BgL_cz00_5070 = BgL_cz00_19356;
					BgL_dz00_5071 = BgL_dz00_19357;
					BgL_lastz00_5072 = BgL_lastz00_19358;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5074;

						BgL_sz00_5074 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5075;

							BgL_bpz00_5075 = VECTOR_REF(BgL_sz00_5074, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30600;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_16413;

									BgL_nz00_16413 = BINT(BgL_siza7ezd2framez75_19354);
									BgL_testz00_30600 =
										(
										((long) CINT(BgL_bpz00_5075) +
											(long) CINT(BgL_nz00_16413)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5074)));
								}
								if (BgL_testz00_30600)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4075z00_5077;

											BgL_arg4075z00_5077 =
												((long) CINT(BgL_bpz00_5075) + ((long) 0));
											VECTOR_SET(BgL_sz00_5074,
												(int) (BgL_arg4075z00_5077), BgL_bz00_5069);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4077z00_5078;

											BgL_arg4077z00_5078 =
												((long) CINT(BgL_bpz00_5075) + ((long) 1));
											VECTOR_SET(BgL_sz00_5074,
												(int) (BgL_arg4077z00_5078), BgL_cz00_5070);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4079z00_5079;

											BgL_arg4079z00_5079 =
												((long) CINT(BgL_bpz00_5075) + ((long) 2));
											VECTOR_SET(BgL_sz00_5074,
												(int) (BgL_arg4079z00_5079), BgL_dz00_5071);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4080z00_5080;

											BgL_arg4080z00_5080 =
												((long) CINT(BgL_bpz00_5075) + ((long) 3));
											VECTOR_SET(BgL_sz00_5074,
												(int) (BgL_arg4080z00_5080), BgL_lastz00_5072);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1521z00_5081;

											BgL_exitd1521z00_5081 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34081ze3z83_18963;

												BgL_zc3anonymousza34081ze3z83_18963 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34081ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34081ze3z83_18963,
													(int) (((long) 0)), BgL_sz00_5074);
												PROCEDURE_SET(BgL_zc3anonymousza34081ze3z83_18963,
													(int) (((long) 1)), BgL_bpz00_5075);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1521z00_5081,
													BgL_zc3anonymousza34081ze3z83_18963);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1523z00_5083;

													BgL_tmp1523z00_5083 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19353, BgL_sz00_5074, BgL_bpz00_5075);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1521z00_5081);
													VECTOR_SET(BgL_sz00_5074, (int) (((long) 0)),
														BgL_bpz00_5075);
													return BgL_tmp1523z00_5083;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5086;

										BgL_nsz00_5086 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5086,
											(int) (((long) 1)), BgL_sz00_5074);
										VECTOR_SET(BgL_nsz00_5086,
											(int) (((long) 2)), BgL_bz00_5069);
										VECTOR_SET(BgL_nsz00_5086,
											(int) (((long) 3)), BgL_cz00_5070);
										VECTOR_SET(BgL_nsz00_5086,
											(int) (((long) 4)), BgL_dz00_5071);
										VECTOR_SET(BgL_nsz00_5086,
											(int) (((long) 5)), BgL_lastz00_5072);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30648;

											BgL_auxz00_30648 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30648, BgL_nsz00_5086);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1524z00_5088;

											BgL_exitd1524z00_5088 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34083ze3z83_18961;

												BgL_zc3anonymousza34083ze3z83_18961 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34083ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34083ze3z83_18961,
													(int) (((long) 0)), BgL_sz00_5074);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1524z00_5088,
													BgL_zc3anonymousza34083ze3z83_18961);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1526z00_5090;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16473;

														BgL_savedzd2bpzd2_16473 =
															VECTOR_REF(BgL_nsz00_5086, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5086,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16480;

															BgL_fz00_16480 = BgL_runz00_19353;
														BgL_recz00_16479:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16481;

																BgL_rz00_16481 =
																	PROCEDURE_ENTRY(BgL_fz00_16480)
																	(BgL_fz00_16480, BgL_nsz00_5086, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30667;

																	if (PROCEDUREP(BgL_rz00_16481))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_16486;

																			BgL_arg1964z00_16486 =
																				PROCEDURE_ATTR(BgL_rz00_16481);
																			if (STRUCTP(BgL_arg1964z00_16486))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30667 =
																						(STRUCT_KEY(BgL_arg1964z00_16486) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30667 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30667 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30667)
																		{
																			obj_t BgL_fz00_30675;

																			BgL_fz00_30675 = BgL_rz00_16481;
																			BgL_fz00_16480 = BgL_fz00_30675;
																			goto BgL_recz00_16479;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5086,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16473);
																			BgL_tmp1526z00_5090 = BgL_rz00_16481;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1524z00_5088);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30679;

														BgL_auxz00_30679 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30679,
															BgL_sz00_5074);
													}
													return BgL_tmp1526z00_5090;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4081> */
	obj_t BGl_z62zc3anonymousza34081ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19360;
				obj_t BgL_bpz00_19361;

				BgL_sz00_19360 = PROCEDURE_REF(BgL_envz00_19359, (int) (((long) 0)));
				BgL_bpz00_19361 = PROCEDURE_REF(BgL_envz00_19359, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19360, (int) (((long) 0)), BgL_bpz00_19361);
		}}}
	}



/* &run6126 */
	obj_t BGl_z62run6126z62zz__evaluate_compz00(obj_t BgL_envz00_19362,
		obj_t BgL_sz00_19366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19363;
				BgL_ev_absz00_bglt BgL_i1320z00_19364;
				obj_t BgL_bodyz00_19365;

				BgL_iboxesz00_19363 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19362, (int) (((long) 0))));
				BgL_i1320z00_19364 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19362, (int) (((long) 1))));
				BgL_bodyz00_19365 = PROCEDURE_REF(BgL_envz00_19362, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5095;

					BgL_sz00_5095 = BgL_sz00_19366;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5097;

						BgL_bpz00_5097 = VECTOR_REF(BgL_sz00_5095, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5095,
							BgL_iboxesz00_19363, BgL_bpz00_5097);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5098;
							obj_t BgL_wherez00_5099;
							obj_t BgL_locz00_5100;

							BgL_z12denvz12_5098 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5099 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19364))->BgL_wherez00);
							BgL_locz00_5100 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19364))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5098, BgL_wherez00_5099,
									BgL_locz00_5100);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5101;

									BgL_za2za2resza2za2z00_5101 =
										PROCEDURE_ENTRY(BgL_bodyz00_19365) (BgL_bodyz00_19365,
										BgL_sz00_5095, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5098);
									return BgL_za2za2resza2za2z00_5101;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4083> */
	obj_t BGl_z62zc3anonymousza34083ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19368;

				BgL_sz00_19368 = PROCEDURE_REF(BgL_envz00_19367, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30710;

						BgL_auxz00_30710 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30710, BgL_sz00_19368);
					}
				}
			}
		}
	}



/* &<anonymous:4089> */
	obj_t BGl_z62zc3anonymousza34089ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19369, obj_t BgL_sz00_19375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19370;
				long BgL_siza7eza7_19371;
				BgL_ev_absz00_bglt BgL_i1320z00_19372;
				obj_t BgL_bodyz00_19373;
				long BgL_siza7ezd2framez75_19374;

				BgL_ifreesz00_19370 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19369, (int) (((long) 0))));
				BgL_siza7eza7_19371 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19369, (int) (((long) 1))));
				BgL_i1320z00_19372 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19369, (int) (((long) 2))));
				BgL_bodyz00_19373 = PROCEDURE_REF(BgL_envz00_19369, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19374 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19369, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5105;

					BgL_sz00_5105 = BgL_sz00_19375;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5107;

						BgL_bpz00_5107 = VECTOR_REF(BgL_sz00_5105, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5108;

							BgL_valza2za2_5108 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5105,
								BgL_bpz00_5107, BgL_ifreesz00_19370);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18957;

								BgL_runz00_18957 =
									MAKE_FX_PROCEDURE(BGl_z62run6128z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18957,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19371));
								PROCEDURE_SET(BgL_runz00_18957,
									(int) (((long) 1)), BgL_valza2za2_5108);
								PROCEDURE_SET(BgL_runz00_18957,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_19372));
								PROCEDURE_SET(BgL_runz00_18957,
									(int) (((long) 3)), BgL_bodyz00_19373);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18959;

									BgL_mainz00_18959 =
										MAKE_VA_PROCEDURE(BGl_z62main6127z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18959,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19371));
									PROCEDURE_SET(BgL_mainz00_18959,
										(int) (((long) 1)), BgL_valza2za2_5108);
									PROCEDURE_SET(BgL_mainz00_18959,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_19372));
									PROCEDURE_SET(BgL_mainz00_18959,
										(int) (((long) 3)), BgL_bodyz00_19373);
									PROCEDURE_SET(BgL_mainz00_18959,
										(int) (((long) 4)), BgL_runz00_18957);
									PROCEDURE_SET(BgL_mainz00_18959,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19374));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16627;

										BgL_objz00_16627 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18957, BgL_objz00_16627);
										BgL_objz00_16627;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4090z00_5111;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4091z00_5112;

											BgL_arg4091z00_5112 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19372))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_16629;

												BgL_framez00_16629 = BINT(BgL_siza7ezd2framez75_19374);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_16631;

													BgL_newz00_16631 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30766;

														BgL_auxz00_30766 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_16631, BgL_auxz00_30766,
															BgL_arg4091z00_5112);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30769;

														BgL_auxz00_30769 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_16631, BgL_auxz00_30769,
															BgL_framez00_16629);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30772;

														BgL_auxz00_30772 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_16631, BgL_auxz00_30772,
															BgL_runz00_18957);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_30777;
														int BgL_auxz00_30775;

														BgL_auxz00_30777 = BINT(((long) -4));
														BgL_auxz00_30775 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_16631, BgL_auxz00_30775,
															BgL_auxz00_30777);
													}
													BgL_arg4090z00_5111 = BgL_newz00_16631;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18959, BgL_arg4090z00_5111);
										BgL_arg4090z00_5111;
									}
									return BgL_mainz00_18959;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6127 */
	obj_t BGl_z62main6127z62zz__evaluate_compz00(obj_t BgL_envz00_19376,
		obj_t BgL_bz00_19383, obj_t BgL_cz00_19384, obj_t BgL_dz00_19385,
		obj_t BgL_lastz00_19386)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19381;
				long BgL_siza7ezd2framez75_19382;

				BgL_runz00_19381 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19376, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19382 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19376, (int) (((long) 5))));
				{
					obj_t BgL_bz00_5113;
					obj_t BgL_cz00_5114;
					obj_t BgL_dz00_5115;
					obj_t BgL_lastz00_5116;

					BgL_bz00_5113 = BgL_bz00_19383;
					BgL_cz00_5114 = BgL_cz00_19384;
					BgL_dz00_5115 = BgL_dz00_19385;
					BgL_lastz00_5116 = BgL_lastz00_19386;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5118;

						BgL_sz00_5118 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5119;

							BgL_bpz00_5119 = VECTOR_REF(BgL_sz00_5118, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30790;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_16540;

									BgL_nz00_16540 = BINT(BgL_siza7ezd2framez75_19382);
									BgL_testz00_30790 =
										(
										((long) CINT(BgL_bpz00_5119) +
											(long) CINT(BgL_nz00_16540)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5118)));
								}
								if (BgL_testz00_30790)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4094z00_5121;

											BgL_arg4094z00_5121 =
												((long) CINT(BgL_bpz00_5119) + ((long) 0));
											VECTOR_SET(BgL_sz00_5118,
												(int) (BgL_arg4094z00_5121), BgL_bz00_5113);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4095z00_5122;

											BgL_arg4095z00_5122 =
												((long) CINT(BgL_bpz00_5119) + ((long) 1));
											VECTOR_SET(BgL_sz00_5118,
												(int) (BgL_arg4095z00_5122), BgL_cz00_5114);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4097z00_5123;

											BgL_arg4097z00_5123 =
												((long) CINT(BgL_bpz00_5119) + ((long) 2));
											VECTOR_SET(BgL_sz00_5118,
												(int) (BgL_arg4097z00_5123), BgL_dz00_5115);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4098z00_5124;

											BgL_arg4098z00_5124 =
												((long) CINT(BgL_bpz00_5119) + ((long) 3));
											VECTOR_SET(BgL_sz00_5118,
												(int) (BgL_arg4098z00_5124), BgL_lastz00_5116);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1527z00_5125;

											BgL_exitd1527z00_5125 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34099ze3z83_18958;

												BgL_zc3anonymousza34099ze3z83_18958 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34099ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34099ze3z83_18958,
													(int) (((long) 0)), BgL_sz00_5118);
												PROCEDURE_SET(BgL_zc3anonymousza34099ze3z83_18958,
													(int) (((long) 1)), BgL_bpz00_5119);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1527z00_5125,
													BgL_zc3anonymousza34099ze3z83_18958);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1529z00_5127;

													BgL_tmp1529z00_5127 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19381, BgL_sz00_5118, BgL_bpz00_5119);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1527z00_5125);
													VECTOR_SET(BgL_sz00_5118, (int) (((long) 0)),
														BgL_bpz00_5119);
													return BgL_tmp1529z00_5127;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5130;

										BgL_nsz00_5130 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5130,
											(int) (((long) 1)), BgL_sz00_5118);
										VECTOR_SET(BgL_nsz00_5130,
											(int) (((long) 2)), BgL_bz00_5113);
										VECTOR_SET(BgL_nsz00_5130,
											(int) (((long) 3)), BgL_cz00_5114);
										VECTOR_SET(BgL_nsz00_5130,
											(int) (((long) 4)), BgL_dz00_5115);
										VECTOR_SET(BgL_nsz00_5130,
											(int) (((long) 5)), BgL_lastz00_5116);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30838;

											BgL_auxz00_30838 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30838, BgL_nsz00_5130);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1530z00_5132;

											BgL_exitd1530z00_5132 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34101ze3z83_18956;

												BgL_zc3anonymousza34101ze3z83_18956 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34101ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34101ze3z83_18956,
													(int) (((long) 0)), BgL_sz00_5118);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1530z00_5132,
													BgL_zc3anonymousza34101ze3z83_18956);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1532z00_5134;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16600;

														BgL_savedzd2bpzd2_16600 =
															VECTOR_REF(BgL_nsz00_5130, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5130,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16607;

															BgL_fz00_16607 = BgL_runz00_19381;
														BgL_recz00_16606:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16608;

																BgL_rz00_16608 =
																	PROCEDURE_ENTRY(BgL_fz00_16607)
																	(BgL_fz00_16607, BgL_nsz00_5130, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30857;

																	if (PROCEDUREP(BgL_rz00_16608))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_16613;

																			BgL_arg1964z00_16613 =
																				PROCEDURE_ATTR(BgL_rz00_16608);
																			if (STRUCTP(BgL_arg1964z00_16613))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30857 =
																						(STRUCT_KEY(BgL_arg1964z00_16613) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30857 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30857 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30857)
																		{
																			obj_t BgL_fz00_30865;

																			BgL_fz00_30865 = BgL_rz00_16608;
																			BgL_fz00_16607 = BgL_fz00_30865;
																			goto BgL_recz00_16606;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5130,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16600);
																			BgL_tmp1532z00_5134 = BgL_rz00_16608;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1530z00_5132);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30869;

														BgL_auxz00_30869 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30869,
															BgL_sz00_5118);
													}
													return BgL_tmp1532z00_5134;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4099> */
	obj_t BGl_z62zc3anonymousza34099ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19388;
				obj_t BgL_bpz00_19389;

				BgL_sz00_19388 = PROCEDURE_REF(BgL_envz00_19387, (int) (((long) 0)));
				BgL_bpz00_19389 = PROCEDURE_REF(BgL_envz00_19387, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19388, (int) (((long) 0)), BgL_bpz00_19389);
		}}}
	}



/* &run6128 */
	obj_t BGl_z62run6128z62zz__evaluate_compz00(obj_t BgL_envz00_19390,
		obj_t BgL_sz00_19395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19391;
				obj_t BgL_valza2za2_19392;
				BgL_ev_absz00_bglt BgL_i1320z00_19393;
				obj_t BgL_bodyz00_19394;

				BgL_siza7eza7_19391 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19390, (int) (((long) 0))));
				BgL_valza2za2_19392 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19390, (int) (((long) 1))));
				BgL_i1320z00_19393 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19390, (int) (((long) 2))));
				BgL_bodyz00_19394 = PROCEDURE_REF(BgL_envz00_19390, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5139;

					BgL_sz00_5139 = BgL_sz00_19395;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5141;

						BgL_bpz00_5141 = VECTOR_REF(BgL_sz00_5139, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5139,
							BgL_valza2za2_19392,
							((long) CINT(BgL_bpz00_5141) + BgL_siza7eza7_19391));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5143;
							obj_t BgL_wherez00_5144;
							obj_t BgL_locz00_5145;

							BgL_z12denvz12_5143 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5144 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19393))->BgL_wherez00);
							BgL_locz00_5145 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19393))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5143, BgL_wherez00_5144,
									BgL_locz00_5145);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5146;

									BgL_za2za2resza2za2z00_5146 =
										PROCEDURE_ENTRY(BgL_bodyz00_19394) (BgL_bodyz00_19394,
										BgL_sz00_5139, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5143);
									return BgL_za2za2resza2za2z00_5146;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4101> */
	obj_t BGl_z62zc3anonymousza34101ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19397;

				BgL_sz00_19397 = PROCEDURE_REF(BgL_envz00_19396, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30905;

						BgL_auxz00_30905 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30905, BgL_sz00_19397);
					}
				}
			}
		}
	}



/* &<anonymous:4105> */
	obj_t BGl_z62zc3anonymousza34105ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19398, obj_t BgL_sz00_19405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19399;
				obj_t BgL_iboxesz00_19400;
				long BgL_siza7eza7_19401;
				BgL_ev_absz00_bglt BgL_i1320z00_19402;
				obj_t BgL_bodyz00_19403;
				long BgL_siza7ezd2framez75_19404;

				BgL_ifreesz00_19399 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19398, (int) (((long) 0))));
				BgL_iboxesz00_19400 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19398, (int) (((long) 1))));
				BgL_siza7eza7_19401 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19398, (int) (((long) 2))));
				BgL_i1320z00_19402 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19398, (int) (((long) 3))));
				BgL_bodyz00_19403 = PROCEDURE_REF(BgL_envz00_19398, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19404 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19398, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5148;

					BgL_sz00_5148 = BgL_sz00_19405;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5150;

						BgL_bpz00_5150 = VECTOR_REF(BgL_sz00_5148, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5151;

							BgL_valza2za2_5151 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5148,
								BgL_bpz00_5150, BgL_ifreesz00_19399);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18952;

								BgL_runz00_18952 =
									MAKE_FX_PROCEDURE(BGl_z62run6130z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18952,
									(int) (((long) 0)), BgL_iboxesz00_19400);
								PROCEDURE_SET(BgL_runz00_18952,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19401));
								PROCEDURE_SET(BgL_runz00_18952,
									(int) (((long) 2)), BgL_valza2za2_5151);
								PROCEDURE_SET(BgL_runz00_18952,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_19402));
								PROCEDURE_SET(BgL_runz00_18952,
									(int) (((long) 4)), BgL_bodyz00_19403);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18954;

									BgL_mainz00_18954 =
										MAKE_VA_PROCEDURE(BGl_z62main6129z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18954,
										(int) (((long) 0)), BgL_iboxesz00_19400);
									PROCEDURE_SET(BgL_mainz00_18954,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19401));
									PROCEDURE_SET(BgL_mainz00_18954,
										(int) (((long) 2)), BgL_valza2za2_5151);
									PROCEDURE_SET(BgL_mainz00_18954,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_19402));
									PROCEDURE_SET(BgL_mainz00_18954,
										(int) (((long) 4)), BgL_bodyz00_19403);
									PROCEDURE_SET(BgL_mainz00_18954,
										(int) (((long) 5)), BgL_runz00_18952);
									PROCEDURE_SET(BgL_mainz00_18954,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19404));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16750;

										BgL_objz00_16750 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18952, BgL_objz00_16750);
										BgL_objz00_16750;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4106z00_5154;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4107z00_5155;

											BgL_arg4107z00_5155 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19402))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_16752;

												BgL_framez00_16752 = BINT(BgL_siza7ezd2framez75_19404);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_16754;

													BgL_newz00_16754 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30968;

														BgL_auxz00_30968 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_16754, BgL_auxz00_30968,
															BgL_arg4107z00_5155);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30971;

														BgL_auxz00_30971 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_16754, BgL_auxz00_30971,
															BgL_framez00_16752);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_30974;

														BgL_auxz00_30974 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_16754, BgL_auxz00_30974,
															BgL_runz00_18952);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_30979;
														int BgL_auxz00_30977;

														BgL_auxz00_30979 = BINT(((long) -4));
														BgL_auxz00_30977 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_16754, BgL_auxz00_30977,
															BgL_auxz00_30979);
													}
													BgL_arg4106z00_5154 = BgL_newz00_16754;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18954, BgL_arg4106z00_5154);
										BgL_arg4106z00_5154;
									}
									return BgL_mainz00_18954;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6129 */
	obj_t BGl_z62main6129z62zz__evaluate_compz00(obj_t BgL_envz00_19406,
		obj_t BgL_bz00_19414, obj_t BgL_cz00_19415, obj_t BgL_dz00_19416,
		obj_t BgL_lastz00_19417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19412;
				long BgL_siza7ezd2framez75_19413;

				BgL_runz00_19412 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19406, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19413 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19406, (int) (((long) 6))));
				{
					obj_t BgL_bz00_5156;
					obj_t BgL_cz00_5157;
					obj_t BgL_dz00_5158;
					obj_t BgL_lastz00_5159;

					BgL_bz00_5156 = BgL_bz00_19414;
					BgL_cz00_5157 = BgL_cz00_19415;
					BgL_dz00_5158 = BgL_dz00_19416;
					BgL_lastz00_5159 = BgL_lastz00_19417;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5161;

						BgL_sz00_5161 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5162;

							BgL_bpz00_5162 = VECTOR_REF(BgL_sz00_5161, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30992;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_16663;

									BgL_nz00_16663 = BINT(BgL_siza7ezd2framez75_19413);
									BgL_testz00_30992 =
										(
										((long) CINT(BgL_bpz00_5162) +
											(long) CINT(BgL_nz00_16663)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5161)));
								}
								if (BgL_testz00_30992)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4110z00_5164;

											BgL_arg4110z00_5164 =
												((long) CINT(BgL_bpz00_5162) + ((long) 0));
											VECTOR_SET(BgL_sz00_5161,
												(int) (BgL_arg4110z00_5164), BgL_bz00_5156);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4111z00_5165;

											BgL_arg4111z00_5165 =
												((long) CINT(BgL_bpz00_5162) + ((long) 1));
											VECTOR_SET(BgL_sz00_5161,
												(int) (BgL_arg4111z00_5165), BgL_cz00_5157);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4112z00_5166;

											BgL_arg4112z00_5166 =
												((long) CINT(BgL_bpz00_5162) + ((long) 2));
											VECTOR_SET(BgL_sz00_5161,
												(int) (BgL_arg4112z00_5166), BgL_dz00_5158);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4113z00_5167;

											BgL_arg4113z00_5167 =
												((long) CINT(BgL_bpz00_5162) + ((long) 3));
											VECTOR_SET(BgL_sz00_5161,
												(int) (BgL_arg4113z00_5167), BgL_lastz00_5159);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1533z00_5168;

											BgL_exitd1533z00_5168 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34114ze3z83_18953;

												BgL_zc3anonymousza34114ze3z83_18953 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34114ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34114ze3z83_18953,
													(int) (((long) 0)), BgL_sz00_5161);
												PROCEDURE_SET(BgL_zc3anonymousza34114ze3z83_18953,
													(int) (((long) 1)), BgL_bpz00_5162);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1533z00_5168,
													BgL_zc3anonymousza34114ze3z83_18953);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1535z00_5170;

													BgL_tmp1535z00_5170 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19412, BgL_sz00_5161, BgL_bpz00_5162);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1533z00_5168);
													VECTOR_SET(BgL_sz00_5161, (int) (((long) 0)),
														BgL_bpz00_5162);
													return BgL_tmp1535z00_5170;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5173;

										BgL_nsz00_5173 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5173,
											(int) (((long) 1)), BgL_sz00_5161);
										VECTOR_SET(BgL_nsz00_5173,
											(int) (((long) 2)), BgL_bz00_5156);
										VECTOR_SET(BgL_nsz00_5173,
											(int) (((long) 3)), BgL_cz00_5157);
										VECTOR_SET(BgL_nsz00_5173,
											(int) (((long) 4)), BgL_dz00_5158);
										VECTOR_SET(BgL_nsz00_5173,
											(int) (((long) 5)), BgL_lastz00_5159);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31040;

											BgL_auxz00_31040 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31040, BgL_nsz00_5173);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1536z00_5175;

											BgL_exitd1536z00_5175 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34116ze3z83_18951;

												BgL_zc3anonymousza34116ze3z83_18951 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34116ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34116ze3z83_18951,
													(int) (((long) 0)), BgL_sz00_5161);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1536z00_5175,
													BgL_zc3anonymousza34116ze3z83_18951);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1538z00_5177;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16723;

														BgL_savedzd2bpzd2_16723 =
															VECTOR_REF(BgL_nsz00_5173, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5173,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16730;

															BgL_fz00_16730 = BgL_runz00_19412;
														BgL_recz00_16729:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16731;

																BgL_rz00_16731 =
																	PROCEDURE_ENTRY(BgL_fz00_16730)
																	(BgL_fz00_16730, BgL_nsz00_5173, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31059;

																	if (PROCEDUREP(BgL_rz00_16731))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_16736;

																			BgL_arg1964z00_16736 =
																				PROCEDURE_ATTR(BgL_rz00_16731);
																			if (STRUCTP(BgL_arg1964z00_16736))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31059 =
																						(STRUCT_KEY(BgL_arg1964z00_16736) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31059 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31059 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31059)
																		{
																			obj_t BgL_fz00_31067;

																			BgL_fz00_31067 = BgL_rz00_16731;
																			BgL_fz00_16730 = BgL_fz00_31067;
																			goto BgL_recz00_16729;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5173,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16723);
																			BgL_tmp1538z00_5177 = BgL_rz00_16731;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1536z00_5175);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31071;

														BgL_auxz00_31071 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31071,
															BgL_sz00_5161);
													}
													return BgL_tmp1538z00_5177;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4114> */
	obj_t BGl_z62zc3anonymousza34114ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19418)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19419;
				obj_t BgL_bpz00_19420;

				BgL_sz00_19419 = PROCEDURE_REF(BgL_envz00_19418, (int) (((long) 0)));
				BgL_bpz00_19420 = PROCEDURE_REF(BgL_envz00_19418, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19419, (int) (((long) 0)), BgL_bpz00_19420);
		}}}
	}



/* &run6130 */
	obj_t BGl_z62run6130z62zz__evaluate_compz00(obj_t BgL_envz00_19421,
		obj_t BgL_sz00_19427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19422;
				long BgL_siza7eza7_19423;
				obj_t BgL_valza2za2_19424;
				BgL_ev_absz00_bglt BgL_i1320z00_19425;
				obj_t BgL_bodyz00_19426;

				BgL_iboxesz00_19422 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19421, (int) (((long) 0))));
				BgL_siza7eza7_19423 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19421, (int) (((long) 1))));
				BgL_valza2za2_19424 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19421, (int) (((long) 2))));
				BgL_i1320z00_19425 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19421, (int) (((long) 3))));
				BgL_bodyz00_19426 = PROCEDURE_REF(BgL_envz00_19421, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5182;

					BgL_sz00_5182 = BgL_sz00_19427;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5184;

						BgL_bpz00_5184 = VECTOR_REF(BgL_sz00_5182, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5182,
							BgL_iboxesz00_19422, BgL_bpz00_5184);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5182,
							BgL_valza2za2_19424,
							((long) CINT(BgL_bpz00_5184) + BgL_siza7eza7_19423));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5186;
							obj_t BgL_wherez00_5187;
							obj_t BgL_locz00_5188;

							BgL_z12denvz12_5186 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5187 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19425))->BgL_wherez00);
							BgL_locz00_5188 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19425))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5186, BgL_wherez00_5187,
									BgL_locz00_5188);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5189;

									BgL_za2za2resza2za2z00_5189 =
										PROCEDURE_ENTRY(BgL_bodyz00_19426) (BgL_bodyz00_19426,
										BgL_sz00_5182, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5186);
									return BgL_za2za2resza2za2z00_5189;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4116> */
	obj_t BGl_z62zc3anonymousza34116ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19429;

				BgL_sz00_19429 = PROCEDURE_REF(BgL_envz00_19428, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31111;

						BgL_auxz00_31111 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31111, BgL_sz00_19429);
					}
				}
			}
		}
	}



/* &<anonymous:3988> */
	obj_t BGl_z62zc3anonymousza33988ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19430, obj_t BgL_sz00_19434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19431;
				obj_t BgL_bodyz00_19432;
				long BgL_siza7ezd2framez75_19433;

				BgL_i1320z00_19431 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19430, (int) (((long) 0))));
				BgL_bodyz00_19432 = PROCEDURE_REF(BgL_envz00_19430, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19433 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19430, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4855;

					BgL_sz00_4855 = BgL_sz00_19434;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4857;

						BgL_bpz00_4857 = VECTOR_REF(BgL_sz00_4855, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18947;

								BgL_runz00_18947 =
									MAKE_FX_PROCEDURE(BGl_z62run6132z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18947,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_19431));
								PROCEDURE_SET(BgL_runz00_18947,
									(int) (((long) 1)), BgL_bodyz00_19432);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18949;

									BgL_mainz00_18949 =
										MAKE_FX_PROCEDURE(BGl_z62main6131z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18949,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_19431));
									PROCEDURE_SET(BgL_mainz00_18949,
										(int) (((long) 1)), BgL_bodyz00_19432);
									PROCEDURE_SET(BgL_mainz00_18949,
										(int) (((long) 2)), BgL_runz00_18947);
									PROCEDURE_SET(BgL_mainz00_18949,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19433));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15909;

										BgL_objz00_15909 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18947, BgL_objz00_15909);
										BgL_objz00_15909;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3989z00_4860;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3990z00_4861;

											BgL_arg3990z00_4861 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19431))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_15911;

												BgL_framez00_15911 = BINT(BgL_siza7ezd2framez75_19433);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_15913;

													BgL_newz00_15913 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31150;

														BgL_auxz00_31150 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_15913, BgL_auxz00_31150,
															BgL_arg3990z00_4861);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31153;

														BgL_auxz00_31153 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_15913, BgL_auxz00_31153,
															BgL_framez00_15911);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31156;

														BgL_auxz00_31156 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_15913, BgL_auxz00_31156,
															BgL_runz00_18947);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_31161;
														int BgL_auxz00_31159;

														BgL_auxz00_31161 = BINT(((long) 3));
														BgL_auxz00_31159 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_15913, BgL_auxz00_31159,
															BgL_auxz00_31161);
													}
													BgL_arg3989z00_4860 = BgL_newz00_15913;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18949, BgL_arg3989z00_4860);
										BgL_arg3989z00_4860;
									}
									return BgL_mainz00_18949;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6131 */
	obj_t BGl_z62main6131z62zz__evaluate_compz00(obj_t BgL_envz00_19435,
		obj_t BgL_bz00_19440, obj_t BgL_cz00_19441, obj_t BgL_dz00_19442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19438;
				long BgL_siza7ezd2framez75_19439;

				BgL_runz00_19438 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19435, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19439 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19435, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4862;
					obj_t BgL_cz00_4863;
					obj_t BgL_dz00_4864;

					BgL_bz00_4862 = BgL_bz00_19440;
					BgL_cz00_4863 = BgL_cz00_19441;
					BgL_dz00_4864 = BgL_dz00_19442;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4866;

						BgL_sz00_4866 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4867;

							BgL_bpz00_4867 = VECTOR_REF(BgL_sz00_4866, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31174;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_15831;

									BgL_nz00_15831 = BINT(BgL_siza7ezd2framez75_19439);
									BgL_testz00_31174 =
										(
										((long) CINT(BgL_bpz00_4867) +
											(long) CINT(BgL_nz00_15831)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4866)));
								}
								if (BgL_testz00_31174)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3993z00_4869;

											BgL_arg3993z00_4869 =
												((long) CINT(BgL_bpz00_4867) + ((long) 0));
											VECTOR_SET(BgL_sz00_4866,
												(int) (BgL_arg3993z00_4869), BgL_bz00_4862);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3994z00_4870;

											BgL_arg3994z00_4870 =
												((long) CINT(BgL_bpz00_4867) + ((long) 1));
											VECTOR_SET(BgL_sz00_4866,
												(int) (BgL_arg3994z00_4870), BgL_cz00_4863);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3995z00_4871;

											BgL_arg3995z00_4871 =
												((long) CINT(BgL_bpz00_4867) + ((long) 2));
											VECTOR_SET(BgL_sz00_4866,
												(int) (BgL_arg3995z00_4871), BgL_dz00_4864);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1491z00_4872;

											BgL_exitd1491z00_4872 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33996ze3z83_18948;

												BgL_zc3anonymousza33996ze3z83_18948 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33996ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33996ze3z83_18948,
													(int) (((long) 0)), BgL_sz00_4866);
												PROCEDURE_SET(BgL_zc3anonymousza33996ze3z83_18948,
													(int) (((long) 1)), BgL_bpz00_4867);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1491z00_4872,
													BgL_zc3anonymousza33996ze3z83_18948);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1493z00_4874;

													BgL_tmp1493z00_4874 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19438, BgL_sz00_4866, BgL_bpz00_4867);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1491z00_4872);
													VECTOR_SET(BgL_sz00_4866, (int) (((long) 0)),
														BgL_bpz00_4867);
													return BgL_tmp1493z00_4874;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4877;

										BgL_nsz00_4877 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4877,
											(int) (((long) 1)), BgL_sz00_4866);
										VECTOR_SET(BgL_nsz00_4877,
											(int) (((long) 2)), BgL_bz00_4862);
										VECTOR_SET(BgL_nsz00_4877,
											(int) (((long) 3)), BgL_cz00_4863);
										VECTOR_SET(BgL_nsz00_4877,
											(int) (((long) 4)), BgL_dz00_4864);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31216;

											BgL_auxz00_31216 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31216, BgL_nsz00_4877);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1494z00_4879;

											BgL_exitd1494z00_4879 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33999ze3z83_18946;

												BgL_zc3anonymousza33999ze3z83_18946 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33999ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33999ze3z83_18946,
													(int) (((long) 0)), BgL_sz00_4866);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1494z00_4879,
													BgL_zc3anonymousza33999ze3z83_18946);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1496z00_4881;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15882;

														BgL_savedzd2bpzd2_15882 =
															VECTOR_REF(BgL_nsz00_4877, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4877,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15889;

															BgL_fz00_15889 = BgL_runz00_19438;
														BgL_recz00_15888:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15890;

																BgL_rz00_15890 =
																	PROCEDURE_ENTRY(BgL_fz00_15889)
																	(BgL_fz00_15889, BgL_nsz00_4877, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31235;

																	if (PROCEDUREP(BgL_rz00_15890))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_15895;

																			BgL_arg1964z00_15895 =
																				PROCEDURE_ATTR(BgL_rz00_15890);
																			if (STRUCTP(BgL_arg1964z00_15895))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31235 =
																						(STRUCT_KEY(BgL_arg1964z00_15895) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31235 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31235 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31235)
																		{
																			obj_t BgL_fz00_31243;

																			BgL_fz00_31243 = BgL_rz00_15890;
																			BgL_fz00_15889 = BgL_fz00_31243;
																			goto BgL_recz00_15888;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4877,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15882);
																			BgL_tmp1496z00_4881 = BgL_rz00_15890;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1494z00_4879);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31247;

														BgL_auxz00_31247 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31247,
															BgL_sz00_4866);
													}
													return BgL_tmp1496z00_4881;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3996> */
	obj_t BGl_z62zc3anonymousza33996ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19444;
				obj_t BgL_bpz00_19445;

				BgL_sz00_19444 = PROCEDURE_REF(BgL_envz00_19443, (int) (((long) 0)));
				BgL_bpz00_19445 = PROCEDURE_REF(BgL_envz00_19443, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19444, (int) (((long) 0)), BgL_bpz00_19445);
		}}}
	}



/* &run6132 */
	obj_t BGl_z62run6132z62zz__evaluate_compz00(obj_t BgL_envz00_19446,
		obj_t BgL_sz00_19449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19447;
				obj_t BgL_bodyz00_19448;

				BgL_i1320z00_19447 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19446, (int) (((long) 0))));
				BgL_bodyz00_19448 = PROCEDURE_REF(BgL_envz00_19446, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4886;

					BgL_sz00_4886 = BgL_sz00_19449;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4888;

						BgL_bpz00_4888 = VECTOR_REF(BgL_sz00_4886, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4889;
							obj_t BgL_wherez00_4890;
							obj_t BgL_locz00_4891;

							BgL_z12denvz12_4889 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4890 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19447))->BgL_wherez00);
							BgL_locz00_4891 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19447))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4889, BgL_wherez00_4890,
									BgL_locz00_4891);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4892;

									BgL_za2za2resza2za2z00_4892 =
										PROCEDURE_ENTRY(BgL_bodyz00_19448) (BgL_bodyz00_19448,
										BgL_sz00_4886, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4889);
									return BgL_za2za2resza2za2z00_4892;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3999> */
	obj_t BGl_z62zc3anonymousza33999ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19451;

				BgL_sz00_19451 = PROCEDURE_REF(BgL_envz00_19450, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31274;

						BgL_auxz00_31274 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31274, BgL_sz00_19451);
					}
				}
			}
		}
	}



/* &<anonymous:4003> */
	obj_t BGl_z62zc3anonymousza34003ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19452, obj_t BgL_sz00_19457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19453;
				BgL_ev_absz00_bglt BgL_i1320z00_19454;
				obj_t BgL_bodyz00_19455;
				long BgL_siza7ezd2framez75_19456;

				BgL_iboxesz00_19453 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19452, (int) (((long) 0))));
				BgL_i1320z00_19454 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19452, (int) (((long) 1))));
				BgL_bodyz00_19455 = PROCEDURE_REF(BgL_envz00_19452, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19456 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19452, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4894;

					BgL_sz00_4894 = BgL_sz00_19457;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4896;

						BgL_bpz00_4896 = VECTOR_REF(BgL_sz00_4894, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18942;

								BgL_runz00_18942 =
									MAKE_FX_PROCEDURE(BGl_z62run6134z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18942,
									(int) (((long) 0)), BgL_iboxesz00_19453);
								PROCEDURE_SET(BgL_runz00_18942,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_19454));
								PROCEDURE_SET(BgL_runz00_18942,
									(int) (((long) 2)), BgL_bodyz00_19455);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18944;

									BgL_mainz00_18944 =
										MAKE_FX_PROCEDURE(BGl_z62main6133z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18944,
										(int) (((long) 0)), BgL_iboxesz00_19453);
									PROCEDURE_SET(BgL_mainz00_18944,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_19454));
									PROCEDURE_SET(BgL_mainz00_18944,
										(int) (((long) 2)), BgL_bodyz00_19455);
									PROCEDURE_SET(BgL_mainz00_18944,
										(int) (((long) 3)), BgL_runz00_18942);
									PROCEDURE_SET(BgL_mainz00_18944,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19456));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16020;

										BgL_objz00_16020 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18942, BgL_objz00_16020);
										BgL_objz00_16020;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4004z00_4899;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4005z00_4900;

											BgL_arg4005z00_4900 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19454))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_16022;

												BgL_framez00_16022 = BINT(BgL_siza7ezd2framez75_19456);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_16024;

													BgL_newz00_16024 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31320;

														BgL_auxz00_31320 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_16024, BgL_auxz00_31320,
															BgL_arg4005z00_4900);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31323;

														BgL_auxz00_31323 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_16024, BgL_auxz00_31323,
															BgL_framez00_16022);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31326;

														BgL_auxz00_31326 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_16024, BgL_auxz00_31326,
															BgL_runz00_18942);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_31331;
														int BgL_auxz00_31329;

														BgL_auxz00_31331 = BINT(((long) 3));
														BgL_auxz00_31329 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_16024, BgL_auxz00_31329,
															BgL_auxz00_31331);
													}
													BgL_arg4004z00_4899 = BgL_newz00_16024;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18944, BgL_arg4004z00_4899);
										BgL_arg4004z00_4899;
									}
									return BgL_mainz00_18944;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6133 */
	obj_t BGl_z62main6133z62zz__evaluate_compz00(obj_t BgL_envz00_19458,
		obj_t BgL_bz00_19464, obj_t BgL_cz00_19465, obj_t BgL_dz00_19466)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19462;
				long BgL_siza7ezd2framez75_19463;

				BgL_runz00_19462 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19458, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19463 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19458, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4901;
					obj_t BgL_cz00_4902;
					obj_t BgL_dz00_4903;

					BgL_bz00_4901 = BgL_bz00_19464;
					BgL_cz00_4902 = BgL_cz00_19465;
					BgL_dz00_4903 = BgL_dz00_19466;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4905;

						BgL_sz00_4905 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4906;

							BgL_bpz00_4906 = VECTOR_REF(BgL_sz00_4905, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31344;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_15942;

									BgL_nz00_15942 = BINT(BgL_siza7ezd2framez75_19463);
									BgL_testz00_31344 =
										(
										((long) CINT(BgL_bpz00_4906) +
											(long) CINT(BgL_nz00_15942)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4905)));
								}
								if (BgL_testz00_31344)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4008z00_4908;

											BgL_arg4008z00_4908 =
												((long) CINT(BgL_bpz00_4906) + ((long) 0));
											VECTOR_SET(BgL_sz00_4905,
												(int) (BgL_arg4008z00_4908), BgL_bz00_4901);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4009z00_4909;

											BgL_arg4009z00_4909 =
												((long) CINT(BgL_bpz00_4906) + ((long) 1));
											VECTOR_SET(BgL_sz00_4905,
												(int) (BgL_arg4009z00_4909), BgL_cz00_4902);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4011z00_4910;

											BgL_arg4011z00_4910 =
												((long) CINT(BgL_bpz00_4906) + ((long) 2));
											VECTOR_SET(BgL_sz00_4905,
												(int) (BgL_arg4011z00_4910), BgL_dz00_4903);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1497z00_4911;

											BgL_exitd1497z00_4911 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34012ze3z83_18943;

												BgL_zc3anonymousza34012ze3z83_18943 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34012ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34012ze3z83_18943,
													(int) (((long) 0)), BgL_sz00_4905);
												PROCEDURE_SET(BgL_zc3anonymousza34012ze3z83_18943,
													(int) (((long) 1)), BgL_bpz00_4906);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1497z00_4911,
													BgL_zc3anonymousza34012ze3z83_18943);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1499z00_4913;

													BgL_tmp1499z00_4913 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19462, BgL_sz00_4905, BgL_bpz00_4906);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1497z00_4911);
													VECTOR_SET(BgL_sz00_4905, (int) (((long) 0)),
														BgL_bpz00_4906);
													return BgL_tmp1499z00_4913;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4916;

										BgL_nsz00_4916 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4916,
											(int) (((long) 1)), BgL_sz00_4905);
										VECTOR_SET(BgL_nsz00_4916,
											(int) (((long) 2)), BgL_bz00_4901);
										VECTOR_SET(BgL_nsz00_4916,
											(int) (((long) 3)), BgL_cz00_4902);
										VECTOR_SET(BgL_nsz00_4916,
											(int) (((long) 4)), BgL_dz00_4903);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31386;

											BgL_auxz00_31386 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31386, BgL_nsz00_4916);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1500z00_4918;

											BgL_exitd1500z00_4918 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34015ze3z83_18941;

												BgL_zc3anonymousza34015ze3z83_18941 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34015ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34015ze3z83_18941,
													(int) (((long) 0)), BgL_sz00_4905);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1500z00_4918,
													BgL_zc3anonymousza34015ze3z83_18941);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1502z00_4920;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15993;

														BgL_savedzd2bpzd2_15993 =
															VECTOR_REF(BgL_nsz00_4916, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4916,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16000;

															BgL_fz00_16000 = BgL_runz00_19462;
														BgL_recz00_15999:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16001;

																BgL_rz00_16001 =
																	PROCEDURE_ENTRY(BgL_fz00_16000)
																	(BgL_fz00_16000, BgL_nsz00_4916, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31405;

																	if (PROCEDUREP(BgL_rz00_16001))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_16006;

																			BgL_arg1964z00_16006 =
																				PROCEDURE_ATTR(BgL_rz00_16001);
																			if (STRUCTP(BgL_arg1964z00_16006))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31405 =
																						(STRUCT_KEY(BgL_arg1964z00_16006) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31405 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31405 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31405)
																		{
																			obj_t BgL_fz00_31413;

																			BgL_fz00_31413 = BgL_rz00_16001;
																			BgL_fz00_16000 = BgL_fz00_31413;
																			goto BgL_recz00_15999;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4916,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15993);
																			BgL_tmp1502z00_4920 = BgL_rz00_16001;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1500z00_4918);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31417;

														BgL_auxz00_31417 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31417,
															BgL_sz00_4905);
													}
													return BgL_tmp1502z00_4920;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4012> */
	obj_t BGl_z62zc3anonymousza34012ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19468;
				obj_t BgL_bpz00_19469;

				BgL_sz00_19468 = PROCEDURE_REF(BgL_envz00_19467, (int) (((long) 0)));
				BgL_bpz00_19469 = PROCEDURE_REF(BgL_envz00_19467, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19468, (int) (((long) 0)), BgL_bpz00_19469);
		}}}
	}



/* &run6134 */
	obj_t BGl_z62run6134z62zz__evaluate_compz00(obj_t BgL_envz00_19470,
		obj_t BgL_sz00_19474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19471;
				BgL_ev_absz00_bglt BgL_i1320z00_19472;
				obj_t BgL_bodyz00_19473;

				BgL_iboxesz00_19471 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19470, (int) (((long) 0))));
				BgL_i1320z00_19472 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19470, (int) (((long) 1))));
				BgL_bodyz00_19473 = PROCEDURE_REF(BgL_envz00_19470, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4925;

					BgL_sz00_4925 = BgL_sz00_19474;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4927;

						BgL_bpz00_4927 = VECTOR_REF(BgL_sz00_4925, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4925,
							BgL_iboxesz00_19471, BgL_bpz00_4927);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4928;
							obj_t BgL_wherez00_4929;
							obj_t BgL_locz00_4930;

							BgL_z12denvz12_4928 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4929 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19472))->BgL_wherez00);
							BgL_locz00_4930 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19472))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4928, BgL_wherez00_4929,
									BgL_locz00_4930);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4931;

									BgL_za2za2resza2za2z00_4931 =
										PROCEDURE_ENTRY(BgL_bodyz00_19473) (BgL_bodyz00_19473,
										BgL_sz00_4925, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4928);
									return BgL_za2za2resza2za2z00_4931;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4015> */
	obj_t BGl_z62zc3anonymousza34015ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19475)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19476;

				BgL_sz00_19476 = PROCEDURE_REF(BgL_envz00_19475, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31448;

						BgL_auxz00_31448 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31448, BgL_sz00_19476);
					}
				}
			}
		}
	}



/* &<anonymous:4022> */
	obj_t BGl_z62zc3anonymousza34022ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19477, obj_t BgL_sz00_19483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19478;
				long BgL_siza7eza7_19479;
				BgL_ev_absz00_bglt BgL_i1320z00_19480;
				obj_t BgL_bodyz00_19481;
				long BgL_siza7ezd2framez75_19482;

				BgL_ifreesz00_19478 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19477, (int) (((long) 0))));
				BgL_siza7eza7_19479 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19477, (int) (((long) 1))));
				BgL_i1320z00_19480 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19477, (int) (((long) 2))));
				BgL_bodyz00_19481 = PROCEDURE_REF(BgL_envz00_19477, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19482 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19477, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4935;

					BgL_sz00_4935 = BgL_sz00_19483;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4937;

						BgL_bpz00_4937 = VECTOR_REF(BgL_sz00_4935, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4938;

							BgL_valza2za2_4938 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4935,
								BgL_bpz00_4937, BgL_ifreesz00_19478);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18937;

								BgL_runz00_18937 =
									MAKE_FX_PROCEDURE(BGl_z62run6136z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18937,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19479));
								PROCEDURE_SET(BgL_runz00_18937,
									(int) (((long) 1)), BgL_valza2za2_4938);
								PROCEDURE_SET(BgL_runz00_18937,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_19480));
								PROCEDURE_SET(BgL_runz00_18937,
									(int) (((long) 3)), BgL_bodyz00_19481);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18939;

									BgL_mainz00_18939 =
										MAKE_FX_PROCEDURE(BGl_z62main6135z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18939,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19479));
									PROCEDURE_SET(BgL_mainz00_18939,
										(int) (((long) 1)), BgL_valza2za2_4938);
									PROCEDURE_SET(BgL_mainz00_18939,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_19480));
									PROCEDURE_SET(BgL_mainz00_18939,
										(int) (((long) 3)), BgL_bodyz00_19481);
									PROCEDURE_SET(BgL_mainz00_18939,
										(int) (((long) 4)), BgL_runz00_18937);
									PROCEDURE_SET(BgL_mainz00_18939,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19482));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16138;

										BgL_objz00_16138 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18937, BgL_objz00_16138);
										BgL_objz00_16138;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4023z00_4941;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4024z00_4942;

											BgL_arg4024z00_4942 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19480))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_16140;

												BgL_framez00_16140 = BINT(BgL_siza7ezd2framez75_19482);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_16142;

													BgL_newz00_16142 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31504;

														BgL_auxz00_31504 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_16142, BgL_auxz00_31504,
															BgL_arg4024z00_4942);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31507;

														BgL_auxz00_31507 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_16142, BgL_auxz00_31507,
															BgL_framez00_16140);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31510;

														BgL_auxz00_31510 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_16142, BgL_auxz00_31510,
															BgL_runz00_18937);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_31515;
														int BgL_auxz00_31513;

														BgL_auxz00_31515 = BINT(((long) 3));
														BgL_auxz00_31513 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_16142, BgL_auxz00_31513,
															BgL_auxz00_31515);
													}
													BgL_arg4023z00_4941 = BgL_newz00_16142;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18939, BgL_arg4023z00_4941);
										BgL_arg4023z00_4941;
									}
									return BgL_mainz00_18939;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6135 */
	obj_t BGl_z62main6135z62zz__evaluate_compz00(obj_t BgL_envz00_19484,
		obj_t BgL_bz00_19491, obj_t BgL_cz00_19492, obj_t BgL_dz00_19493)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19489;
				long BgL_siza7ezd2framez75_19490;

				BgL_runz00_19489 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19484, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19490 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19484, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4943;
					obj_t BgL_cz00_4944;
					obj_t BgL_dz00_4945;

					BgL_bz00_4943 = BgL_bz00_19491;
					BgL_cz00_4944 = BgL_cz00_19492;
					BgL_dz00_4945 = BgL_dz00_19493;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4947;

						BgL_sz00_4947 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4948;

							BgL_bpz00_4948 = VECTOR_REF(BgL_sz00_4947, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31528;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_16060;

									BgL_nz00_16060 = BINT(BgL_siza7ezd2framez75_19490);
									BgL_testz00_31528 =
										(
										((long) CINT(BgL_bpz00_4948) +
											(long) CINT(BgL_nz00_16060)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4947)));
								}
								if (BgL_testz00_31528)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4027z00_4950;

											BgL_arg4027z00_4950 =
												((long) CINT(BgL_bpz00_4948) + ((long) 0));
											VECTOR_SET(BgL_sz00_4947,
												(int) (BgL_arg4027z00_4950), BgL_bz00_4943);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4028z00_4951;

											BgL_arg4028z00_4951 =
												((long) CINT(BgL_bpz00_4948) + ((long) 1));
											VECTOR_SET(BgL_sz00_4947,
												(int) (BgL_arg4028z00_4951), BgL_cz00_4944);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4029z00_4952;

											BgL_arg4029z00_4952 =
												((long) CINT(BgL_bpz00_4948) + ((long) 2));
											VECTOR_SET(BgL_sz00_4947,
												(int) (BgL_arg4029z00_4952), BgL_dz00_4945);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1503z00_4953;

											BgL_exitd1503z00_4953 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34030ze3z83_18938;

												BgL_zc3anonymousza34030ze3z83_18938 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34030ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34030ze3z83_18938,
													(int) (((long) 0)), BgL_sz00_4947);
												PROCEDURE_SET(BgL_zc3anonymousza34030ze3z83_18938,
													(int) (((long) 1)), BgL_bpz00_4948);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1503z00_4953,
													BgL_zc3anonymousza34030ze3z83_18938);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1505z00_4955;

													BgL_tmp1505z00_4955 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19489, BgL_sz00_4947, BgL_bpz00_4948);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1503z00_4953);
													VECTOR_SET(BgL_sz00_4947, (int) (((long) 0)),
														BgL_bpz00_4948);
													return BgL_tmp1505z00_4955;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4958;

										BgL_nsz00_4958 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4958,
											(int) (((long) 1)), BgL_sz00_4947);
										VECTOR_SET(BgL_nsz00_4958,
											(int) (((long) 2)), BgL_bz00_4943);
										VECTOR_SET(BgL_nsz00_4958,
											(int) (((long) 3)), BgL_cz00_4944);
										VECTOR_SET(BgL_nsz00_4958,
											(int) (((long) 4)), BgL_dz00_4945);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31570;

											BgL_auxz00_31570 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31570, BgL_nsz00_4958);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1506z00_4960;

											BgL_exitd1506z00_4960 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34032ze3z83_18936;

												BgL_zc3anonymousza34032ze3z83_18936 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34032ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34032ze3z83_18936,
													(int) (((long) 0)), BgL_sz00_4947);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1506z00_4960,
													BgL_zc3anonymousza34032ze3z83_18936);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1508z00_4962;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16111;

														BgL_savedzd2bpzd2_16111 =
															VECTOR_REF(BgL_nsz00_4958, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4958,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16118;

															BgL_fz00_16118 = BgL_runz00_19489;
														BgL_recz00_16117:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16119;

																BgL_rz00_16119 =
																	PROCEDURE_ENTRY(BgL_fz00_16118)
																	(BgL_fz00_16118, BgL_nsz00_4958, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31589;

																	if (PROCEDUREP(BgL_rz00_16119))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_16124;

																			BgL_arg1964z00_16124 =
																				PROCEDURE_ATTR(BgL_rz00_16119);
																			if (STRUCTP(BgL_arg1964z00_16124))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31589 =
																						(STRUCT_KEY(BgL_arg1964z00_16124) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31589 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31589 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31589)
																		{
																			obj_t BgL_fz00_31597;

																			BgL_fz00_31597 = BgL_rz00_16119;
																			BgL_fz00_16118 = BgL_fz00_31597;
																			goto BgL_recz00_16117;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4958,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16111);
																			BgL_tmp1508z00_4962 = BgL_rz00_16119;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1506z00_4960);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31601;

														BgL_auxz00_31601 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31601,
															BgL_sz00_4947);
													}
													return BgL_tmp1508z00_4962;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4030> */
	obj_t BGl_z62zc3anonymousza34030ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19495;
				obj_t BgL_bpz00_19496;

				BgL_sz00_19495 = PROCEDURE_REF(BgL_envz00_19494, (int) (((long) 0)));
				BgL_bpz00_19496 = PROCEDURE_REF(BgL_envz00_19494, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19495, (int) (((long) 0)), BgL_bpz00_19496);
		}}}
	}



/* &run6136 */
	obj_t BGl_z62run6136z62zz__evaluate_compz00(obj_t BgL_envz00_19497,
		obj_t BgL_sz00_19502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19498;
				obj_t BgL_valza2za2_19499;
				BgL_ev_absz00_bglt BgL_i1320z00_19500;
				obj_t BgL_bodyz00_19501;

				BgL_siza7eza7_19498 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19497, (int) (((long) 0))));
				BgL_valza2za2_19499 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19497, (int) (((long) 1))));
				BgL_i1320z00_19500 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19497, (int) (((long) 2))));
				BgL_bodyz00_19501 = PROCEDURE_REF(BgL_envz00_19497, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4967;

					BgL_sz00_4967 = BgL_sz00_19502;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4969;

						BgL_bpz00_4969 = VECTOR_REF(BgL_sz00_4967, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4967,
							BgL_valza2za2_19499,
							((long) CINT(BgL_bpz00_4969) + BgL_siza7eza7_19498));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4971;
							obj_t BgL_wherez00_4972;
							obj_t BgL_locz00_4973;

							BgL_z12denvz12_4971 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4972 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19500))->BgL_wherez00);
							BgL_locz00_4973 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19500))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4971, BgL_wherez00_4972,
									BgL_locz00_4973);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4974;

									BgL_za2za2resza2za2z00_4974 =
										PROCEDURE_ENTRY(BgL_bodyz00_19501) (BgL_bodyz00_19501,
										BgL_sz00_4967, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4971);
									return BgL_za2za2resza2za2z00_4974;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4032> */
	obj_t BGl_z62zc3anonymousza34032ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19504;

				BgL_sz00_19504 = PROCEDURE_REF(BgL_envz00_19503, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31637;

						BgL_auxz00_31637 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31637, BgL_sz00_19504);
					}
				}
			}
		}
	}



/* &<anonymous:4037> */
	obj_t BGl_z62zc3anonymousza34037ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19505, obj_t BgL_sz00_19512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19506;
				obj_t BgL_iboxesz00_19507;
				long BgL_siza7eza7_19508;
				BgL_ev_absz00_bglt BgL_i1320z00_19509;
				obj_t BgL_bodyz00_19510;
				long BgL_siza7ezd2framez75_19511;

				BgL_ifreesz00_19506 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19505, (int) (((long) 0))));
				BgL_iboxesz00_19507 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19505, (int) (((long) 1))));
				BgL_siza7eza7_19508 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19505, (int) (((long) 2))));
				BgL_i1320z00_19509 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19505, (int) (((long) 3))));
				BgL_bodyz00_19510 = PROCEDURE_REF(BgL_envz00_19505, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19511 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19505, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4976;

					BgL_sz00_4976 = BgL_sz00_19512;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4978;

						BgL_bpz00_4978 = VECTOR_REF(BgL_sz00_4976, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4979;

							BgL_valza2za2_4979 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4976,
								BgL_bpz00_4978, BgL_ifreesz00_19506);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18932;

								BgL_runz00_18932 =
									MAKE_FX_PROCEDURE(BGl_z62run6138z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18932,
									(int) (((long) 0)), BgL_iboxesz00_19507);
								PROCEDURE_SET(BgL_runz00_18932,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19508));
								PROCEDURE_SET(BgL_runz00_18932,
									(int) (((long) 2)), BgL_valza2za2_4979);
								PROCEDURE_SET(BgL_runz00_18932,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_19509));
								PROCEDURE_SET(BgL_runz00_18932,
									(int) (((long) 4)), BgL_bodyz00_19510);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18934;

									BgL_mainz00_18934 =
										MAKE_FX_PROCEDURE(BGl_z62main6137z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18934,
										(int) (((long) 0)), BgL_iboxesz00_19507);
									PROCEDURE_SET(BgL_mainz00_18934,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19508));
									PROCEDURE_SET(BgL_mainz00_18934,
										(int) (((long) 2)), BgL_valza2za2_4979);
									PROCEDURE_SET(BgL_mainz00_18934,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_19509));
									PROCEDURE_SET(BgL_mainz00_18934,
										(int) (((long) 4)), BgL_bodyz00_19510);
									PROCEDURE_SET(BgL_mainz00_18934,
										(int) (((long) 5)), BgL_runz00_18932);
									PROCEDURE_SET(BgL_mainz00_18934,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19511));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16252;

										BgL_objz00_16252 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18932, BgL_objz00_16252);
										BgL_objz00_16252;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4038z00_4982;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4039z00_4983;

											BgL_arg4039z00_4983 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19509))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_16254;

												BgL_framez00_16254 = BINT(BgL_siza7ezd2framez75_19511);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_16256;

													BgL_newz00_16256 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31700;

														BgL_auxz00_31700 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_16256, BgL_auxz00_31700,
															BgL_arg4039z00_4983);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31703;

														BgL_auxz00_31703 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_16256, BgL_auxz00_31703,
															BgL_framez00_16254);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31706;

														BgL_auxz00_31706 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_16256, BgL_auxz00_31706,
															BgL_runz00_18932);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_31711;
														int BgL_auxz00_31709;

														BgL_auxz00_31711 = BINT(((long) 3));
														BgL_auxz00_31709 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_16256, BgL_auxz00_31709,
															BgL_auxz00_31711);
													}
													BgL_arg4038z00_4982 = BgL_newz00_16256;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18934, BgL_arg4038z00_4982);
										BgL_arg4038z00_4982;
									}
									return BgL_mainz00_18934;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6137 */
	obj_t BGl_z62main6137z62zz__evaluate_compz00(obj_t BgL_envz00_19513,
		obj_t BgL_bz00_19521, obj_t BgL_cz00_19522, obj_t BgL_dz00_19523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19519;
				long BgL_siza7ezd2framez75_19520;

				BgL_runz00_19519 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19513, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19520 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19513, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4984;
					obj_t BgL_cz00_4985;
					obj_t BgL_dz00_4986;

					BgL_bz00_4984 = BgL_bz00_19521;
					BgL_cz00_4985 = BgL_cz00_19522;
					BgL_dz00_4986 = BgL_dz00_19523;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4988;

						BgL_sz00_4988 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4989;

							BgL_bpz00_4989 = VECTOR_REF(BgL_sz00_4988, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31724;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_16174;

									BgL_nz00_16174 = BINT(BgL_siza7ezd2framez75_19520);
									BgL_testz00_31724 =
										(
										((long) CINT(BgL_bpz00_4989) +
											(long) CINT(BgL_nz00_16174)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4988)));
								}
								if (BgL_testz00_31724)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4042z00_4991;

											BgL_arg4042z00_4991 =
												((long) CINT(BgL_bpz00_4989) + ((long) 0));
											VECTOR_SET(BgL_sz00_4988,
												(int) (BgL_arg4042z00_4991), BgL_bz00_4984);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4043z00_4992;

											BgL_arg4043z00_4992 =
												((long) CINT(BgL_bpz00_4989) + ((long) 1));
											VECTOR_SET(BgL_sz00_4988,
												(int) (BgL_arg4043z00_4992), BgL_cz00_4985);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4044z00_4993;

											BgL_arg4044z00_4993 =
												((long) CINT(BgL_bpz00_4989) + ((long) 2));
											VECTOR_SET(BgL_sz00_4988,
												(int) (BgL_arg4044z00_4993), BgL_dz00_4986);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1509z00_4994;

											BgL_exitd1509z00_4994 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34045ze3z83_18933;

												BgL_zc3anonymousza34045ze3z83_18933 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34045ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34045ze3z83_18933,
													(int) (((long) 0)), BgL_sz00_4988);
												PROCEDURE_SET(BgL_zc3anonymousza34045ze3z83_18933,
													(int) (((long) 1)), BgL_bpz00_4989);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1509z00_4994,
													BgL_zc3anonymousza34045ze3z83_18933);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1511z00_4996;

													BgL_tmp1511z00_4996 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19519, BgL_sz00_4988, BgL_bpz00_4989);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1509z00_4994);
													VECTOR_SET(BgL_sz00_4988, (int) (((long) 0)),
														BgL_bpz00_4989);
													return BgL_tmp1511z00_4996;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4999;

										BgL_nsz00_4999 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4999,
											(int) (((long) 1)), BgL_sz00_4988);
										VECTOR_SET(BgL_nsz00_4999,
											(int) (((long) 2)), BgL_bz00_4984);
										VECTOR_SET(BgL_nsz00_4999,
											(int) (((long) 3)), BgL_cz00_4985);
										VECTOR_SET(BgL_nsz00_4999,
											(int) (((long) 4)), BgL_dz00_4986);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31766;

											BgL_auxz00_31766 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31766, BgL_nsz00_4999);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1512z00_5001;

											BgL_exitd1512z00_5001 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34047ze3z83_18931;

												BgL_zc3anonymousza34047ze3z83_18931 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34047ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34047ze3z83_18931,
													(int) (((long) 0)), BgL_sz00_4988);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1512z00_5001,
													BgL_zc3anonymousza34047ze3z83_18931);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1514z00_5003;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16225;

														BgL_savedzd2bpzd2_16225 =
															VECTOR_REF(BgL_nsz00_4999, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4999,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16232;

															BgL_fz00_16232 = BgL_runz00_19519;
														BgL_recz00_16231:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16233;

																BgL_rz00_16233 =
																	PROCEDURE_ENTRY(BgL_fz00_16232)
																	(BgL_fz00_16232, BgL_nsz00_4999, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31785;

																	if (PROCEDUREP(BgL_rz00_16233))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_16238;

																			BgL_arg1964z00_16238 =
																				PROCEDURE_ATTR(BgL_rz00_16233);
																			if (STRUCTP(BgL_arg1964z00_16238))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31785 =
																						(STRUCT_KEY(BgL_arg1964z00_16238) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31785 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31785 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31785)
																		{
																			obj_t BgL_fz00_31793;

																			BgL_fz00_31793 = BgL_rz00_16233;
																			BgL_fz00_16232 = BgL_fz00_31793;
																			goto BgL_recz00_16231;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4999,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16225);
																			BgL_tmp1514z00_5003 = BgL_rz00_16233;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1512z00_5001);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31797;

														BgL_auxz00_31797 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31797,
															BgL_sz00_4988);
													}
													return BgL_tmp1514z00_5003;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4045> */
	obj_t BGl_z62zc3anonymousza34045ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19525;
				obj_t BgL_bpz00_19526;

				BgL_sz00_19525 = PROCEDURE_REF(BgL_envz00_19524, (int) (((long) 0)));
				BgL_bpz00_19526 = PROCEDURE_REF(BgL_envz00_19524, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19525, (int) (((long) 0)), BgL_bpz00_19526);
		}}}
	}



/* &run6138 */
	obj_t BGl_z62run6138z62zz__evaluate_compz00(obj_t BgL_envz00_19527,
		obj_t BgL_sz00_19533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19528;
				long BgL_siza7eza7_19529;
				obj_t BgL_valza2za2_19530;
				BgL_ev_absz00_bglt BgL_i1320z00_19531;
				obj_t BgL_bodyz00_19532;

				BgL_iboxesz00_19528 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19527, (int) (((long) 0))));
				BgL_siza7eza7_19529 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19527, (int) (((long) 1))));
				BgL_valza2za2_19530 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19527, (int) (((long) 2))));
				BgL_i1320z00_19531 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19527, (int) (((long) 3))));
				BgL_bodyz00_19532 = PROCEDURE_REF(BgL_envz00_19527, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5008;

					BgL_sz00_5008 = BgL_sz00_19533;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5010;

						BgL_bpz00_5010 = VECTOR_REF(BgL_sz00_5008, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5008,
							BgL_iboxesz00_19528, BgL_bpz00_5010);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5008,
							BgL_valza2za2_19530,
							((long) CINT(BgL_bpz00_5010) + BgL_siza7eza7_19529));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5012;
							obj_t BgL_wherez00_5013;
							obj_t BgL_locz00_5014;

							BgL_z12denvz12_5012 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5013 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19531))->BgL_wherez00);
							BgL_locz00_5014 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19531))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5012, BgL_wherez00_5013,
									BgL_locz00_5014);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5015;

									BgL_za2za2resza2za2z00_5015 =
										PROCEDURE_ENTRY(BgL_bodyz00_19532) (BgL_bodyz00_19532,
										BgL_sz00_5008, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5012);
									return BgL_za2za2resza2za2z00_5015;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4047> */
	obj_t BGl_z62zc3anonymousza34047ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19535;

				BgL_sz00_19535 = PROCEDURE_REF(BgL_envz00_19534, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31837;

						BgL_auxz00_31837 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31837, BgL_sz00_19535);
					}
				}
			}
		}
	}



/* &<anonymous:3925> */
	obj_t BGl_z62zc3anonymousza33925ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19536, obj_t BgL_sz00_19540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19537;
				obj_t BgL_bodyz00_19538;
				long BgL_siza7ezd2framez75_19539;

				BgL_i1320z00_19537 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19536, (int) (((long) 0))));
				BgL_bodyz00_19538 = PROCEDURE_REF(BgL_envz00_19536, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19539 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19536, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4689;

					BgL_sz00_4689 = BgL_sz00_19540;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4691;

						BgL_bpz00_4691 = VECTOR_REF(BgL_sz00_4689, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18927;

								BgL_runz00_18927 =
									MAKE_FX_PROCEDURE(BGl_z62run6140z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18927,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_19537));
								PROCEDURE_SET(BgL_runz00_18927,
									(int) (((long) 1)), BgL_bodyz00_19538);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18929;

									BgL_mainz00_18929 =
										MAKE_VA_PROCEDURE(BGl_z62main6139z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18929,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_19537));
									PROCEDURE_SET(BgL_mainz00_18929,
										(int) (((long) 1)), BgL_bodyz00_19538);
									PROCEDURE_SET(BgL_mainz00_18929,
										(int) (((long) 2)), BgL_runz00_18927);
									PROCEDURE_SET(BgL_mainz00_18929,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19539));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15447;

										BgL_objz00_15447 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18927, BgL_objz00_15447);
										BgL_objz00_15447;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3926z00_4694;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3927z00_4695;

											BgL_arg3927z00_4695 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19537))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_15449;

												BgL_framez00_15449 = BINT(BgL_siza7ezd2framez75_19539);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_15451;

													BgL_newz00_15451 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31876;

														BgL_auxz00_31876 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_15451, BgL_auxz00_31876,
															BgL_arg3927z00_4695);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31879;

														BgL_auxz00_31879 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_15451, BgL_auxz00_31879,
															BgL_framez00_15449);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_31882;

														BgL_auxz00_31882 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_15451, BgL_auxz00_31882,
															BgL_runz00_18927);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_31887;
														int BgL_auxz00_31885;

														BgL_auxz00_31887 = BINT(((long) -3));
														BgL_auxz00_31885 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_15451, BgL_auxz00_31885,
															BgL_auxz00_31887);
													}
													BgL_arg3926z00_4694 = BgL_newz00_15451;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18929, BgL_arg3926z00_4694);
										BgL_arg3926z00_4694;
									}
									return BgL_mainz00_18929;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6139 */
	obj_t BGl_z62main6139z62zz__evaluate_compz00(obj_t BgL_envz00_19541,
		obj_t BgL_cz00_19546, obj_t BgL_dz00_19547, obj_t BgL_lastz00_19548)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19544;
				long BgL_siza7ezd2framez75_19545;

				BgL_runz00_19544 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19541, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19545 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19541, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4696;
					obj_t BgL_dz00_4697;
					obj_t BgL_lastz00_4698;

					BgL_cz00_4696 = BgL_cz00_19546;
					BgL_dz00_4697 = BgL_dz00_19547;
					BgL_lastz00_4698 = BgL_lastz00_19548;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4700;

						BgL_sz00_4700 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4701;

							BgL_bpz00_4701 = VECTOR_REF(BgL_sz00_4700, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31900;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_15369;

									BgL_nz00_15369 = BINT(BgL_siza7ezd2framez75_19545);
									BgL_testz00_31900 =
										(
										((long) CINT(BgL_bpz00_4701) +
											(long) CINT(BgL_nz00_15369)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4700)));
								}
								if (BgL_testz00_31900)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3930z00_4703;

											BgL_arg3930z00_4703 =
												((long) CINT(BgL_bpz00_4701) + ((long) 0));
											VECTOR_SET(BgL_sz00_4700,
												(int) (BgL_arg3930z00_4703), BgL_cz00_4696);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3931z00_4704;

											BgL_arg3931z00_4704 =
												((long) CINT(BgL_bpz00_4701) + ((long) 1));
											VECTOR_SET(BgL_sz00_4700,
												(int) (BgL_arg3931z00_4704), BgL_dz00_4697);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3932z00_4705;

											BgL_arg3932z00_4705 =
												((long) CINT(BgL_bpz00_4701) + ((long) 2));
											VECTOR_SET(BgL_sz00_4700,
												(int) (BgL_arg3932z00_4705), BgL_lastz00_4698);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1467z00_4706;

											BgL_exitd1467z00_4706 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33933ze3z83_18928;

												BgL_zc3anonymousza33933ze3z83_18928 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33933ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33933ze3z83_18928,
													(int) (((long) 0)), BgL_sz00_4700);
												PROCEDURE_SET(BgL_zc3anonymousza33933ze3z83_18928,
													(int) (((long) 1)), BgL_bpz00_4701);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1467z00_4706,
													BgL_zc3anonymousza33933ze3z83_18928);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1469z00_4708;

													BgL_tmp1469z00_4708 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19544, BgL_sz00_4700, BgL_bpz00_4701);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1467z00_4706);
													VECTOR_SET(BgL_sz00_4700, (int) (((long) 0)),
														BgL_bpz00_4701);
													return BgL_tmp1469z00_4708;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4711;

										BgL_nsz00_4711 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4711,
											(int) (((long) 1)), BgL_sz00_4700);
										VECTOR_SET(BgL_nsz00_4711,
											(int) (((long) 2)), BgL_cz00_4696);
										VECTOR_SET(BgL_nsz00_4711,
											(int) (((long) 3)), BgL_dz00_4697);
										VECTOR_SET(BgL_nsz00_4711,
											(int) (((long) 4)), BgL_lastz00_4698);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31942;

											BgL_auxz00_31942 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31942, BgL_nsz00_4711);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1470z00_4713;

											BgL_exitd1470z00_4713 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33935ze3z83_18926;

												BgL_zc3anonymousza33935ze3z83_18926 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33935ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33935ze3z83_18926,
													(int) (((long) 0)), BgL_sz00_4700);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1470z00_4713,
													BgL_zc3anonymousza33935ze3z83_18926);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1472z00_4715;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15420;

														BgL_savedzd2bpzd2_15420 =
															VECTOR_REF(BgL_nsz00_4711, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4711,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15427;

															BgL_fz00_15427 = BgL_runz00_19544;
														BgL_recz00_15426:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15428;

																BgL_rz00_15428 =
																	PROCEDURE_ENTRY(BgL_fz00_15427)
																	(BgL_fz00_15427, BgL_nsz00_4711, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31961;

																	if (PROCEDUREP(BgL_rz00_15428))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_15433;

																			BgL_arg1964z00_15433 =
																				PROCEDURE_ATTR(BgL_rz00_15428);
																			if (STRUCTP(BgL_arg1964z00_15433))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31961 =
																						(STRUCT_KEY(BgL_arg1964z00_15433) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31961 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31961 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31961)
																		{
																			obj_t BgL_fz00_31969;

																			BgL_fz00_31969 = BgL_rz00_15428;
																			BgL_fz00_15427 = BgL_fz00_31969;
																			goto BgL_recz00_15426;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4711,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15420);
																			BgL_tmp1472z00_4715 = BgL_rz00_15428;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1470z00_4713);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31973;

														BgL_auxz00_31973 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31973,
															BgL_sz00_4700);
													}
													return BgL_tmp1472z00_4715;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3933> */
	obj_t BGl_z62zc3anonymousza33933ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19550;
				obj_t BgL_bpz00_19551;

				BgL_sz00_19550 = PROCEDURE_REF(BgL_envz00_19549, (int) (((long) 0)));
				BgL_bpz00_19551 = PROCEDURE_REF(BgL_envz00_19549, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19550, (int) (((long) 0)), BgL_bpz00_19551);
		}}}
	}



/* &run6140 */
	obj_t BGl_z62run6140z62zz__evaluate_compz00(obj_t BgL_envz00_19552,
		obj_t BgL_sz00_19555)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19553;
				obj_t BgL_bodyz00_19554;

				BgL_i1320z00_19553 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19552, (int) (((long) 0))));
				BgL_bodyz00_19554 = PROCEDURE_REF(BgL_envz00_19552, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4720;

					BgL_sz00_4720 = BgL_sz00_19555;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4722;

						BgL_bpz00_4722 = VECTOR_REF(BgL_sz00_4720, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4723;
							obj_t BgL_wherez00_4724;
							obj_t BgL_locz00_4725;

							BgL_z12denvz12_4723 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4724 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19553))->BgL_wherez00);
							BgL_locz00_4725 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19553))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4723, BgL_wherez00_4724,
									BgL_locz00_4725);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4726;

									BgL_za2za2resza2za2z00_4726 =
										PROCEDURE_ENTRY(BgL_bodyz00_19554) (BgL_bodyz00_19554,
										BgL_sz00_4720, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4723);
									return BgL_za2za2resza2za2z00_4726;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3935> */
	obj_t BGl_z62zc3anonymousza33935ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19557;

				BgL_sz00_19557 = PROCEDURE_REF(BgL_envz00_19556, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32000;

						BgL_auxz00_32000 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32000, BgL_sz00_19557);
					}
				}
			}
		}
	}



/* &<anonymous:3938> */
	obj_t BGl_z62zc3anonymousza33938ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19558, obj_t BgL_sz00_19563)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19559;
				BgL_ev_absz00_bglt BgL_i1320z00_19560;
				obj_t BgL_bodyz00_19561;
				long BgL_siza7ezd2framez75_19562;

				BgL_iboxesz00_19559 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19558, (int) (((long) 0))));
				BgL_i1320z00_19560 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19558, (int) (((long) 1))));
				BgL_bodyz00_19561 = PROCEDURE_REF(BgL_envz00_19558, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19562 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19558, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4728;

					BgL_sz00_4728 = BgL_sz00_19563;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4730;

						BgL_bpz00_4730 = VECTOR_REF(BgL_sz00_4728, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18922;

								BgL_runz00_18922 =
									MAKE_FX_PROCEDURE(BGl_z62run6142z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18922,
									(int) (((long) 0)), BgL_iboxesz00_19559);
								PROCEDURE_SET(BgL_runz00_18922,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_19560));
								PROCEDURE_SET(BgL_runz00_18922,
									(int) (((long) 2)), BgL_bodyz00_19561);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18924;

									BgL_mainz00_18924 =
										MAKE_VA_PROCEDURE(BGl_z62main6141z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18924,
										(int) (((long) 0)), BgL_iboxesz00_19559);
									PROCEDURE_SET(BgL_mainz00_18924,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_19560));
									PROCEDURE_SET(BgL_mainz00_18924,
										(int) (((long) 2)), BgL_bodyz00_19561);
									PROCEDURE_SET(BgL_mainz00_18924,
										(int) (((long) 3)), BgL_runz00_18922);
									PROCEDURE_SET(BgL_mainz00_18924,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19562));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15558;

										BgL_objz00_15558 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18922, BgL_objz00_15558);
										BgL_objz00_15558;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3939z00_4733;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3940z00_4734;

											BgL_arg3940z00_4734 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19560))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_15560;

												BgL_framez00_15560 = BINT(BgL_siza7ezd2framez75_19562);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_15562;

													BgL_newz00_15562 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32046;

														BgL_auxz00_32046 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_15562, BgL_auxz00_32046,
															BgL_arg3940z00_4734);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32049;

														BgL_auxz00_32049 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_15562, BgL_auxz00_32049,
															BgL_framez00_15560);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32052;

														BgL_auxz00_32052 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_15562, BgL_auxz00_32052,
															BgL_runz00_18922);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_32057;
														int BgL_auxz00_32055;

														BgL_auxz00_32057 = BINT(((long) -3));
														BgL_auxz00_32055 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_15562, BgL_auxz00_32055,
															BgL_auxz00_32057);
													}
													BgL_arg3939z00_4733 = BgL_newz00_15562;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18924, BgL_arg3939z00_4733);
										BgL_arg3939z00_4733;
									}
									return BgL_mainz00_18924;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6141 */
	obj_t BGl_z62main6141z62zz__evaluate_compz00(obj_t BgL_envz00_19564,
		obj_t BgL_cz00_19570, obj_t BgL_dz00_19571, obj_t BgL_lastz00_19572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19568;
				long BgL_siza7ezd2framez75_19569;

				BgL_runz00_19568 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19564, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19569 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19564, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4735;
					obj_t BgL_dz00_4736;
					obj_t BgL_lastz00_4737;

					BgL_cz00_4735 = BgL_cz00_19570;
					BgL_dz00_4736 = BgL_dz00_19571;
					BgL_lastz00_4737 = BgL_lastz00_19572;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4739;

						BgL_sz00_4739 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4740;

							BgL_bpz00_4740 = VECTOR_REF(BgL_sz00_4739, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32070;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_15480;

									BgL_nz00_15480 = BINT(BgL_siza7ezd2framez75_19569);
									BgL_testz00_32070 =
										(
										((long) CINT(BgL_bpz00_4740) +
											(long) CINT(BgL_nz00_15480)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4739)));
								}
								if (BgL_testz00_32070)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3943z00_4742;

											BgL_arg3943z00_4742 =
												((long) CINT(BgL_bpz00_4740) + ((long) 0));
											VECTOR_SET(BgL_sz00_4739,
												(int) (BgL_arg3943z00_4742), BgL_cz00_4735);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3944z00_4743;

											BgL_arg3944z00_4743 =
												((long) CINT(BgL_bpz00_4740) + ((long) 1));
											VECTOR_SET(BgL_sz00_4739,
												(int) (BgL_arg3944z00_4743), BgL_dz00_4736);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3946z00_4744;

											BgL_arg3946z00_4744 =
												((long) CINT(BgL_bpz00_4740) + ((long) 2));
											VECTOR_SET(BgL_sz00_4739,
												(int) (BgL_arg3946z00_4744), BgL_lastz00_4737);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1473z00_4745;

											BgL_exitd1473z00_4745 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33947ze3z83_18923;

												BgL_zc3anonymousza33947ze3z83_18923 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33947ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33947ze3z83_18923,
													(int) (((long) 0)), BgL_sz00_4739);
												PROCEDURE_SET(BgL_zc3anonymousza33947ze3z83_18923,
													(int) (((long) 1)), BgL_bpz00_4740);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1473z00_4745,
													BgL_zc3anonymousza33947ze3z83_18923);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1475z00_4747;

													BgL_tmp1475z00_4747 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19568, BgL_sz00_4739, BgL_bpz00_4740);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1473z00_4745);
													VECTOR_SET(BgL_sz00_4739, (int) (((long) 0)),
														BgL_bpz00_4740);
													return BgL_tmp1475z00_4747;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4750;

										BgL_nsz00_4750 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4750,
											(int) (((long) 1)), BgL_sz00_4739);
										VECTOR_SET(BgL_nsz00_4750,
											(int) (((long) 2)), BgL_cz00_4735);
										VECTOR_SET(BgL_nsz00_4750,
											(int) (((long) 3)), BgL_dz00_4736);
										VECTOR_SET(BgL_nsz00_4750,
											(int) (((long) 4)), BgL_lastz00_4737);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32112;

											BgL_auxz00_32112 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32112, BgL_nsz00_4750);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1476z00_4752;

											BgL_exitd1476z00_4752 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33949ze3z83_18921;

												BgL_zc3anonymousza33949ze3z83_18921 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33949ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33949ze3z83_18921,
													(int) (((long) 0)), BgL_sz00_4739);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1476z00_4752,
													BgL_zc3anonymousza33949ze3z83_18921);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1478z00_4754;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15531;

														BgL_savedzd2bpzd2_15531 =
															VECTOR_REF(BgL_nsz00_4750, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4750,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15538;

															BgL_fz00_15538 = BgL_runz00_19568;
														BgL_recz00_15537:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15539;

																BgL_rz00_15539 =
																	PROCEDURE_ENTRY(BgL_fz00_15538)
																	(BgL_fz00_15538, BgL_nsz00_4750, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32131;

																	if (PROCEDUREP(BgL_rz00_15539))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_15544;

																			BgL_arg1964z00_15544 =
																				PROCEDURE_ATTR(BgL_rz00_15539);
																			if (STRUCTP(BgL_arg1964z00_15544))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32131 =
																						(STRUCT_KEY(BgL_arg1964z00_15544) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32131 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32131 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32131)
																		{
																			obj_t BgL_fz00_32139;

																			BgL_fz00_32139 = BgL_rz00_15539;
																			BgL_fz00_15538 = BgL_fz00_32139;
																			goto BgL_recz00_15537;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4750,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15531);
																			BgL_tmp1478z00_4754 = BgL_rz00_15539;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1476z00_4752);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32143;

														BgL_auxz00_32143 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32143,
															BgL_sz00_4739);
													}
													return BgL_tmp1478z00_4754;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3947> */
	obj_t BGl_z62zc3anonymousza33947ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19573)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19574;
				obj_t BgL_bpz00_19575;

				BgL_sz00_19574 = PROCEDURE_REF(BgL_envz00_19573, (int) (((long) 0)));
				BgL_bpz00_19575 = PROCEDURE_REF(BgL_envz00_19573, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19574, (int) (((long) 0)), BgL_bpz00_19575);
		}}}
	}



/* &run6142 */
	obj_t BGl_z62run6142z62zz__evaluate_compz00(obj_t BgL_envz00_19576,
		obj_t BgL_sz00_19580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19577;
				BgL_ev_absz00_bglt BgL_i1320z00_19578;
				obj_t BgL_bodyz00_19579;

				BgL_iboxesz00_19577 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19576, (int) (((long) 0))));
				BgL_i1320z00_19578 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19576, (int) (((long) 1))));
				BgL_bodyz00_19579 = PROCEDURE_REF(BgL_envz00_19576, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4759;

					BgL_sz00_4759 = BgL_sz00_19580;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4761;

						BgL_bpz00_4761 = VECTOR_REF(BgL_sz00_4759, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4759,
							BgL_iboxesz00_19577, BgL_bpz00_4761);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4762;
							obj_t BgL_wherez00_4763;
							obj_t BgL_locz00_4764;

							BgL_z12denvz12_4762 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4763 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19578))->BgL_wherez00);
							BgL_locz00_4764 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19578))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4762, BgL_wherez00_4763,
									BgL_locz00_4764);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4765;

									BgL_za2za2resza2za2z00_4765 =
										PROCEDURE_ENTRY(BgL_bodyz00_19579) (BgL_bodyz00_19579,
										BgL_sz00_4759, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4762);
									return BgL_za2za2resza2za2z00_4765;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3949> */
	obj_t BGl_z62zc3anonymousza33949ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19581)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19582;

				BgL_sz00_19582 = PROCEDURE_REF(BgL_envz00_19581, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32174;

						BgL_auxz00_32174 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32174, BgL_sz00_19582);
					}
				}
			}
		}
	}



/* &<anonymous:3954> */
	obj_t BGl_z62zc3anonymousza33954ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19583, obj_t BgL_sz00_19589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19584;
				long BgL_siza7eza7_19585;
				BgL_ev_absz00_bglt BgL_i1320z00_19586;
				obj_t BgL_bodyz00_19587;
				long BgL_siza7ezd2framez75_19588;

				BgL_ifreesz00_19584 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19583, (int) (((long) 0))));
				BgL_siza7eza7_19585 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19583, (int) (((long) 1))));
				BgL_i1320z00_19586 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19583, (int) (((long) 2))));
				BgL_bodyz00_19587 = PROCEDURE_REF(BgL_envz00_19583, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19588 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19583, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4769;

					BgL_sz00_4769 = BgL_sz00_19589;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4771;

						BgL_bpz00_4771 = VECTOR_REF(BgL_sz00_4769, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4772;

							BgL_valza2za2_4772 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4769,
								BgL_bpz00_4771, BgL_ifreesz00_19584);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18917;

								BgL_runz00_18917 =
									MAKE_FX_PROCEDURE(BGl_z62run6144z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18917,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19585));
								PROCEDURE_SET(BgL_runz00_18917,
									(int) (((long) 1)), BgL_valza2za2_4772);
								PROCEDURE_SET(BgL_runz00_18917,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_19586));
								PROCEDURE_SET(BgL_runz00_18917,
									(int) (((long) 3)), BgL_bodyz00_19587);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18919;

									BgL_mainz00_18919 =
										MAKE_VA_PROCEDURE(BGl_z62main6143z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18919,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19585));
									PROCEDURE_SET(BgL_mainz00_18919,
										(int) (((long) 1)), BgL_valza2za2_4772);
									PROCEDURE_SET(BgL_mainz00_18919,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_19586));
									PROCEDURE_SET(BgL_mainz00_18919,
										(int) (((long) 3)), BgL_bodyz00_19587);
									PROCEDURE_SET(BgL_mainz00_18919,
										(int) (((long) 4)), BgL_runz00_18917);
									PROCEDURE_SET(BgL_mainz00_18919,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19588));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15676;

										BgL_objz00_15676 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18917, BgL_objz00_15676);
										BgL_objz00_15676;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3955z00_4775;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3956z00_4776;

											BgL_arg3956z00_4776 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19586))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_15678;

												BgL_framez00_15678 = BINT(BgL_siza7ezd2framez75_19588);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_15680;

													BgL_newz00_15680 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32230;

														BgL_auxz00_32230 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_15680, BgL_auxz00_32230,
															BgL_arg3956z00_4776);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32233;

														BgL_auxz00_32233 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_15680, BgL_auxz00_32233,
															BgL_framez00_15678);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32236;

														BgL_auxz00_32236 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_15680, BgL_auxz00_32236,
															BgL_runz00_18917);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_32241;
														int BgL_auxz00_32239;

														BgL_auxz00_32241 = BINT(((long) -3));
														BgL_auxz00_32239 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_15680, BgL_auxz00_32239,
															BgL_auxz00_32241);
													}
													BgL_arg3955z00_4775 = BgL_newz00_15680;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18919, BgL_arg3955z00_4775);
										BgL_arg3955z00_4775;
									}
									return BgL_mainz00_18919;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6143 */
	obj_t BGl_z62main6143z62zz__evaluate_compz00(obj_t BgL_envz00_19590,
		obj_t BgL_cz00_19597, obj_t BgL_dz00_19598, obj_t BgL_lastz00_19599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19595;
				long BgL_siza7ezd2framez75_19596;

				BgL_runz00_19595 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19590, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19596 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19590, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4777;
					obj_t BgL_dz00_4778;
					obj_t BgL_lastz00_4779;

					BgL_cz00_4777 = BgL_cz00_19597;
					BgL_dz00_4778 = BgL_dz00_19598;
					BgL_lastz00_4779 = BgL_lastz00_19599;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4781;

						BgL_sz00_4781 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4782;

							BgL_bpz00_4782 = VECTOR_REF(BgL_sz00_4781, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32254;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_15598;

									BgL_nz00_15598 = BINT(BgL_siza7ezd2framez75_19596);
									BgL_testz00_32254 =
										(
										((long) CINT(BgL_bpz00_4782) +
											(long) CINT(BgL_nz00_15598)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4781)));
								}
								if (BgL_testz00_32254)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3959z00_4784;

											BgL_arg3959z00_4784 =
												((long) CINT(BgL_bpz00_4782) + ((long) 0));
											VECTOR_SET(BgL_sz00_4781,
												(int) (BgL_arg3959z00_4784), BgL_cz00_4777);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3960z00_4785;

											BgL_arg3960z00_4785 =
												((long) CINT(BgL_bpz00_4782) + ((long) 1));
											VECTOR_SET(BgL_sz00_4781,
												(int) (BgL_arg3960z00_4785), BgL_dz00_4778);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3962z00_4786;

											BgL_arg3962z00_4786 =
												((long) CINT(BgL_bpz00_4782) + ((long) 2));
											VECTOR_SET(BgL_sz00_4781,
												(int) (BgL_arg3962z00_4786), BgL_lastz00_4779);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1479z00_4787;

											BgL_exitd1479z00_4787 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33963ze3z83_18918;

												BgL_zc3anonymousza33963ze3z83_18918 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33963ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33963ze3z83_18918,
													(int) (((long) 0)), BgL_sz00_4781);
												PROCEDURE_SET(BgL_zc3anonymousza33963ze3z83_18918,
													(int) (((long) 1)), BgL_bpz00_4782);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1479z00_4787,
													BgL_zc3anonymousza33963ze3z83_18918);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1481z00_4789;

													BgL_tmp1481z00_4789 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19595, BgL_sz00_4781, BgL_bpz00_4782);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1479z00_4787);
													VECTOR_SET(BgL_sz00_4781, (int) (((long) 0)),
														BgL_bpz00_4782);
													return BgL_tmp1481z00_4789;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4792;

										BgL_nsz00_4792 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4792,
											(int) (((long) 1)), BgL_sz00_4781);
										VECTOR_SET(BgL_nsz00_4792,
											(int) (((long) 2)), BgL_cz00_4777);
										VECTOR_SET(BgL_nsz00_4792,
											(int) (((long) 3)), BgL_dz00_4778);
										VECTOR_SET(BgL_nsz00_4792,
											(int) (((long) 4)), BgL_lastz00_4779);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32296;

											BgL_auxz00_32296 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32296, BgL_nsz00_4792);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1482z00_4794;

											BgL_exitd1482z00_4794 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33965ze3z83_18916;

												BgL_zc3anonymousza33965ze3z83_18916 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33965ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33965ze3z83_18916,
													(int) (((long) 0)), BgL_sz00_4781);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1482z00_4794,
													BgL_zc3anonymousza33965ze3z83_18916);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1484z00_4796;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15649;

														BgL_savedzd2bpzd2_15649 =
															VECTOR_REF(BgL_nsz00_4792, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4792,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15656;

															BgL_fz00_15656 = BgL_runz00_19595;
														BgL_recz00_15655:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15657;

																BgL_rz00_15657 =
																	PROCEDURE_ENTRY(BgL_fz00_15656)
																	(BgL_fz00_15656, BgL_nsz00_4792, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32315;

																	if (PROCEDUREP(BgL_rz00_15657))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_15662;

																			BgL_arg1964z00_15662 =
																				PROCEDURE_ATTR(BgL_rz00_15657);
																			if (STRUCTP(BgL_arg1964z00_15662))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32315 =
																						(STRUCT_KEY(BgL_arg1964z00_15662) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32315 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32315 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32315)
																		{
																			obj_t BgL_fz00_32323;

																			BgL_fz00_32323 = BgL_rz00_15657;
																			BgL_fz00_15656 = BgL_fz00_32323;
																			goto BgL_recz00_15655;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4792,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15649);
																			BgL_tmp1484z00_4796 = BgL_rz00_15657;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1482z00_4794);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32327;

														BgL_auxz00_32327 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32327,
															BgL_sz00_4781);
													}
													return BgL_tmp1484z00_4796;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3963> */
	obj_t BGl_z62zc3anonymousza33963ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19601;
				obj_t BgL_bpz00_19602;

				BgL_sz00_19601 = PROCEDURE_REF(BgL_envz00_19600, (int) (((long) 0)));
				BgL_bpz00_19602 = PROCEDURE_REF(BgL_envz00_19600, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19601, (int) (((long) 0)), BgL_bpz00_19602);
		}}}
	}



/* &run6144 */
	obj_t BGl_z62run6144z62zz__evaluate_compz00(obj_t BgL_envz00_19603,
		obj_t BgL_sz00_19608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19604;
				obj_t BgL_valza2za2_19605;
				BgL_ev_absz00_bglt BgL_i1320z00_19606;
				obj_t BgL_bodyz00_19607;

				BgL_siza7eza7_19604 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19603, (int) (((long) 0))));
				BgL_valza2za2_19605 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19603, (int) (((long) 1))));
				BgL_i1320z00_19606 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19603, (int) (((long) 2))));
				BgL_bodyz00_19607 = PROCEDURE_REF(BgL_envz00_19603, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4801;

					BgL_sz00_4801 = BgL_sz00_19608;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4803;

						BgL_bpz00_4803 = VECTOR_REF(BgL_sz00_4801, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4801,
							BgL_valza2za2_19605,
							((long) CINT(BgL_bpz00_4803) + BgL_siza7eza7_19604));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4805;
							obj_t BgL_wherez00_4806;
							obj_t BgL_locz00_4807;

							BgL_z12denvz12_4805 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4806 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19606))->BgL_wherez00);
							BgL_locz00_4807 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19606))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4805, BgL_wherez00_4806,
									BgL_locz00_4807);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4808;

									BgL_za2za2resza2za2z00_4808 =
										PROCEDURE_ENTRY(BgL_bodyz00_19607) (BgL_bodyz00_19607,
										BgL_sz00_4801, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4805);
									return BgL_za2za2resza2za2z00_4808;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3965> */
	obj_t BGl_z62zc3anonymousza33965ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19609)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19610;

				BgL_sz00_19610 = PROCEDURE_REF(BgL_envz00_19609, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32363;

						BgL_auxz00_32363 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32363, BgL_sz00_19610);
					}
				}
			}
		}
	}



/* &<anonymous:3969> */
	obj_t BGl_z62zc3anonymousza33969ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19611, obj_t BgL_sz00_19618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19612;
				obj_t BgL_iboxesz00_19613;
				long BgL_siza7eza7_19614;
				BgL_ev_absz00_bglt BgL_i1320z00_19615;
				obj_t BgL_bodyz00_19616;
				long BgL_siza7ezd2framez75_19617;

				BgL_ifreesz00_19612 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19611, (int) (((long) 0))));
				BgL_iboxesz00_19613 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19611, (int) (((long) 1))));
				BgL_siza7eza7_19614 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19611, (int) (((long) 2))));
				BgL_i1320z00_19615 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19611, (int) (((long) 3))));
				BgL_bodyz00_19616 = PROCEDURE_REF(BgL_envz00_19611, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19617 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19611, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4810;

					BgL_sz00_4810 = BgL_sz00_19618;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4812;

						BgL_bpz00_4812 = VECTOR_REF(BgL_sz00_4810, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4813;

							BgL_valza2za2_4813 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4810,
								BgL_bpz00_4812, BgL_ifreesz00_19612);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18912;

								BgL_runz00_18912 =
									MAKE_FX_PROCEDURE(BGl_z62run6146z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18912,
									(int) (((long) 0)), BgL_iboxesz00_19613);
								PROCEDURE_SET(BgL_runz00_18912,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19614));
								PROCEDURE_SET(BgL_runz00_18912,
									(int) (((long) 2)), BgL_valza2za2_4813);
								PROCEDURE_SET(BgL_runz00_18912,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_19615));
								PROCEDURE_SET(BgL_runz00_18912,
									(int) (((long) 4)), BgL_bodyz00_19616);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18914;

									BgL_mainz00_18914 =
										MAKE_VA_PROCEDURE(BGl_z62main6145z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18914,
										(int) (((long) 0)), BgL_iboxesz00_19613);
									PROCEDURE_SET(BgL_mainz00_18914,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19614));
									PROCEDURE_SET(BgL_mainz00_18914,
										(int) (((long) 2)), BgL_valza2za2_4813);
									PROCEDURE_SET(BgL_mainz00_18914,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_19615));
									PROCEDURE_SET(BgL_mainz00_18914,
										(int) (((long) 4)), BgL_bodyz00_19616);
									PROCEDURE_SET(BgL_mainz00_18914,
										(int) (((long) 5)), BgL_runz00_18912);
									PROCEDURE_SET(BgL_mainz00_18914,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19617));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15790;

										BgL_objz00_15790 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18912, BgL_objz00_15790);
										BgL_objz00_15790;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3970z00_4816;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3971z00_4817;

											BgL_arg3971z00_4817 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19615))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_15792;

												BgL_framez00_15792 = BINT(BgL_siza7ezd2framez75_19617);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_15794;

													BgL_newz00_15794 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32426;

														BgL_auxz00_32426 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_15794, BgL_auxz00_32426,
															BgL_arg3971z00_4817);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32429;

														BgL_auxz00_32429 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_15794, BgL_auxz00_32429,
															BgL_framez00_15792);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32432;

														BgL_auxz00_32432 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_15794, BgL_auxz00_32432,
															BgL_runz00_18912);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_32437;
														int BgL_auxz00_32435;

														BgL_auxz00_32437 = BINT(((long) -3));
														BgL_auxz00_32435 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_15794, BgL_auxz00_32435,
															BgL_auxz00_32437);
													}
													BgL_arg3970z00_4816 = BgL_newz00_15794;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18914, BgL_arg3970z00_4816);
										BgL_arg3970z00_4816;
									}
									return BgL_mainz00_18914;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6145 */
	obj_t BGl_z62main6145z62zz__evaluate_compz00(obj_t BgL_envz00_19619,
		obj_t BgL_cz00_19627, obj_t BgL_dz00_19628, obj_t BgL_lastz00_19629)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19625;
				long BgL_siza7ezd2framez75_19626;

				BgL_runz00_19625 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19619, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19626 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19619, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4818;
					obj_t BgL_dz00_4819;
					obj_t BgL_lastz00_4820;

					BgL_cz00_4818 = BgL_cz00_19627;
					BgL_dz00_4819 = BgL_dz00_19628;
					BgL_lastz00_4820 = BgL_lastz00_19629;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4822;

						BgL_sz00_4822 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4823;

							BgL_bpz00_4823 = VECTOR_REF(BgL_sz00_4822, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32450;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_15712;

									BgL_nz00_15712 = BINT(BgL_siza7ezd2framez75_19626);
									BgL_testz00_32450 =
										(
										((long) CINT(BgL_bpz00_4823) +
											(long) CINT(BgL_nz00_15712)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4822)));
								}
								if (BgL_testz00_32450)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3974z00_4825;

											BgL_arg3974z00_4825 =
												((long) CINT(BgL_bpz00_4823) + ((long) 0));
											VECTOR_SET(BgL_sz00_4822,
												(int) (BgL_arg3974z00_4825), BgL_cz00_4818);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3975z00_4826;

											BgL_arg3975z00_4826 =
												((long) CINT(BgL_bpz00_4823) + ((long) 1));
											VECTOR_SET(BgL_sz00_4822,
												(int) (BgL_arg3975z00_4826), BgL_dz00_4819);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3976z00_4827;

											BgL_arg3976z00_4827 =
												((long) CINT(BgL_bpz00_4823) + ((long) 2));
											VECTOR_SET(BgL_sz00_4822,
												(int) (BgL_arg3976z00_4827), BgL_lastz00_4820);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1485z00_4828;

											BgL_exitd1485z00_4828 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33977ze3z83_18913;

												BgL_zc3anonymousza33977ze3z83_18913 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33977ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33977ze3z83_18913,
													(int) (((long) 0)), BgL_sz00_4822);
												PROCEDURE_SET(BgL_zc3anonymousza33977ze3z83_18913,
													(int) (((long) 1)), BgL_bpz00_4823);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1485z00_4828,
													BgL_zc3anonymousza33977ze3z83_18913);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1487z00_4830;

													BgL_tmp1487z00_4830 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19625, BgL_sz00_4822, BgL_bpz00_4823);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1485z00_4828);
													VECTOR_SET(BgL_sz00_4822, (int) (((long) 0)),
														BgL_bpz00_4823);
													return BgL_tmp1487z00_4830;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4833;

										BgL_nsz00_4833 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4833,
											(int) (((long) 1)), BgL_sz00_4822);
										VECTOR_SET(BgL_nsz00_4833,
											(int) (((long) 2)), BgL_cz00_4818);
										VECTOR_SET(BgL_nsz00_4833,
											(int) (((long) 3)), BgL_dz00_4819);
										VECTOR_SET(BgL_nsz00_4833,
											(int) (((long) 4)), BgL_lastz00_4820);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32492;

											BgL_auxz00_32492 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32492, BgL_nsz00_4833);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1488z00_4835;

											BgL_exitd1488z00_4835 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33979ze3z83_18911;

												BgL_zc3anonymousza33979ze3z83_18911 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33979ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33979ze3z83_18911,
													(int) (((long) 0)), BgL_sz00_4822);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1488z00_4835,
													BgL_zc3anonymousza33979ze3z83_18911);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1490z00_4837;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15763;

														BgL_savedzd2bpzd2_15763 =
															VECTOR_REF(BgL_nsz00_4833, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4833,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15770;

															BgL_fz00_15770 = BgL_runz00_19625;
														BgL_recz00_15769:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15771;

																BgL_rz00_15771 =
																	PROCEDURE_ENTRY(BgL_fz00_15770)
																	(BgL_fz00_15770, BgL_nsz00_4833, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32511;

																	if (PROCEDUREP(BgL_rz00_15771))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_15776;

																			BgL_arg1964z00_15776 =
																				PROCEDURE_ATTR(BgL_rz00_15771);
																			if (STRUCTP(BgL_arg1964z00_15776))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32511 =
																						(STRUCT_KEY(BgL_arg1964z00_15776) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32511 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32511 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32511)
																		{
																			obj_t BgL_fz00_32519;

																			BgL_fz00_32519 = BgL_rz00_15771;
																			BgL_fz00_15770 = BgL_fz00_32519;
																			goto BgL_recz00_15769;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4833,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15763);
																			BgL_tmp1490z00_4837 = BgL_rz00_15771;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1488z00_4835);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32523;

														BgL_auxz00_32523 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32523,
															BgL_sz00_4822);
													}
													return BgL_tmp1490z00_4837;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3977> */
	obj_t BGl_z62zc3anonymousza33977ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19631;
				obj_t BgL_bpz00_19632;

				BgL_sz00_19631 = PROCEDURE_REF(BgL_envz00_19630, (int) (((long) 0)));
				BgL_bpz00_19632 = PROCEDURE_REF(BgL_envz00_19630, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19631, (int) (((long) 0)), BgL_bpz00_19632);
		}}}
	}



/* &run6146 */
	obj_t BGl_z62run6146z62zz__evaluate_compz00(obj_t BgL_envz00_19633,
		obj_t BgL_sz00_19639)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19634;
				long BgL_siza7eza7_19635;
				obj_t BgL_valza2za2_19636;
				BgL_ev_absz00_bglt BgL_i1320z00_19637;
				obj_t BgL_bodyz00_19638;

				BgL_iboxesz00_19634 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19633, (int) (((long) 0))));
				BgL_siza7eza7_19635 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19633, (int) (((long) 1))));
				BgL_valza2za2_19636 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19633, (int) (((long) 2))));
				BgL_i1320z00_19637 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19633, (int) (((long) 3))));
				BgL_bodyz00_19638 = PROCEDURE_REF(BgL_envz00_19633, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4842;

					BgL_sz00_4842 = BgL_sz00_19639;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4844;

						BgL_bpz00_4844 = VECTOR_REF(BgL_sz00_4842, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4842,
							BgL_iboxesz00_19634, BgL_bpz00_4844);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4842,
							BgL_valza2za2_19636,
							((long) CINT(BgL_bpz00_4844) + BgL_siza7eza7_19635));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4846;
							obj_t BgL_wherez00_4847;
							obj_t BgL_locz00_4848;

							BgL_z12denvz12_4846 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4847 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19637))->BgL_wherez00);
							BgL_locz00_4848 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19637))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4846, BgL_wherez00_4847,
									BgL_locz00_4848);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4849;

									BgL_za2za2resza2za2z00_4849 =
										PROCEDURE_ENTRY(BgL_bodyz00_19638) (BgL_bodyz00_19638,
										BgL_sz00_4842, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4846);
									return BgL_za2za2resza2za2z00_4849;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3979> */
	obj_t BGl_z62zc3anonymousza33979ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19640)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19641;

				BgL_sz00_19641 = PROCEDURE_REF(BgL_envz00_19640, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32563;

						BgL_auxz00_32563 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32563, BgL_sz00_19641);
					}
				}
			}
		}
	}



/* &<anonymous:3861> */
	obj_t BGl_z62zc3anonymousza33861ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19642, obj_t BgL_sz00_19646)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19643;
				obj_t BgL_bodyz00_19644;
				long BgL_siza7ezd2framez75_19645;

				BgL_i1320z00_19643 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19642, (int) (((long) 0))));
				BgL_bodyz00_19644 = PROCEDURE_REF(BgL_envz00_19642, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19645 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19642, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4531;

					BgL_sz00_4531 = BgL_sz00_19646;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4533;

						BgL_bpz00_4533 = VECTOR_REF(BgL_sz00_4531, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18907;

								BgL_runz00_18907 =
									MAKE_FX_PROCEDURE(BGl_z62run6148z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18907,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_19643));
								PROCEDURE_SET(BgL_runz00_18907,
									(int) (((long) 1)), BgL_bodyz00_19644);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18909;

									BgL_mainz00_18909 =
										MAKE_FX_PROCEDURE(BGl_z62main6147z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18909,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_19643));
									PROCEDURE_SET(BgL_mainz00_18909,
										(int) (((long) 1)), BgL_bodyz00_19644);
									PROCEDURE_SET(BgL_mainz00_18909,
										(int) (((long) 2)), BgL_runz00_18907);
									PROCEDURE_SET(BgL_mainz00_18909,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19645));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15012;

										BgL_objz00_15012 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18907, BgL_objz00_15012);
										BgL_objz00_15012;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3862z00_4536;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3863z00_4537;

											BgL_arg3863z00_4537 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19643))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_15014;

												BgL_framez00_15014 = BINT(BgL_siza7ezd2framez75_19645);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_15016;

													BgL_newz00_15016 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32602;

														BgL_auxz00_32602 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_15016, BgL_auxz00_32602,
															BgL_arg3863z00_4537);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32605;

														BgL_auxz00_32605 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_15016, BgL_auxz00_32605,
															BgL_framez00_15014);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32608;

														BgL_auxz00_32608 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_15016, BgL_auxz00_32608,
															BgL_runz00_18907);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_32613;
														int BgL_auxz00_32611;

														BgL_auxz00_32613 = BINT(((long) 2));
														BgL_auxz00_32611 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_15016, BgL_auxz00_32611,
															BgL_auxz00_32613);
													}
													BgL_arg3862z00_4536 = BgL_newz00_15016;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18909, BgL_arg3862z00_4536);
										BgL_arg3862z00_4536;
									}
									return BgL_mainz00_18909;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6147 */
	obj_t BGl_z62main6147z62zz__evaluate_compz00(obj_t BgL_envz00_19647,
		obj_t BgL_cz00_19652, obj_t BgL_dz00_19653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19650;
				long BgL_siza7ezd2framez75_19651;

				BgL_runz00_19650 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19647, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19651 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19647, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4538;
					obj_t BgL_dz00_4539;

					BgL_cz00_4538 = BgL_cz00_19652;
					BgL_dz00_4539 = BgL_dz00_19653;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4541;

						BgL_sz00_4541 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4542;

							BgL_bpz00_4542 = VECTOR_REF(BgL_sz00_4541, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32626;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14943;

									BgL_nz00_14943 = BINT(BgL_siza7ezd2framez75_19651);
									BgL_testz00_32626 =
										(
										((long) CINT(BgL_bpz00_4542) +
											(long) CINT(BgL_nz00_14943)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4541)));
								}
								if (BgL_testz00_32626)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3866z00_4544;

											BgL_arg3866z00_4544 =
												((long) CINT(BgL_bpz00_4542) + ((long) 0));
											VECTOR_SET(BgL_sz00_4541,
												(int) (BgL_arg3866z00_4544), BgL_cz00_4538);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3867z00_4545;

											BgL_arg3867z00_4545 =
												((long) CINT(BgL_bpz00_4542) + ((long) 1));
											VECTOR_SET(BgL_sz00_4541,
												(int) (BgL_arg3867z00_4545), BgL_dz00_4539);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1443z00_4546;

											BgL_exitd1443z00_4546 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33868ze3z83_18908;

												BgL_zc3anonymousza33868ze3z83_18908 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33868ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33868ze3z83_18908,
													(int) (((long) 0)), BgL_sz00_4541);
												PROCEDURE_SET(BgL_zc3anonymousza33868ze3z83_18908,
													(int) (((long) 1)), BgL_bpz00_4542);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1443z00_4546,
													BgL_zc3anonymousza33868ze3z83_18908);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1445z00_4548;

													BgL_tmp1445z00_4548 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19650, BgL_sz00_4541, BgL_bpz00_4542);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1443z00_4546);
													VECTOR_SET(BgL_sz00_4541, (int) (((long) 0)),
														BgL_bpz00_4542);
													return BgL_tmp1445z00_4548;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4551;

										BgL_nsz00_4551 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4551,
											(int) (((long) 1)), BgL_sz00_4541);
										VECTOR_SET(BgL_nsz00_4551,
											(int) (((long) 2)), BgL_cz00_4538);
										VECTOR_SET(BgL_nsz00_4551,
											(int) (((long) 3)), BgL_dz00_4539);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32662;

											BgL_auxz00_32662 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32662, BgL_nsz00_4551);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1446z00_4553;

											BgL_exitd1446z00_4553 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33870ze3z83_18906;

												BgL_zc3anonymousza33870ze3z83_18906 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33870ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33870ze3z83_18906,
													(int) (((long) 0)), BgL_sz00_4541);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1446z00_4553,
													BgL_zc3anonymousza33870ze3z83_18906);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1448z00_4555;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14985;

														BgL_savedzd2bpzd2_14985 =
															VECTOR_REF(BgL_nsz00_4551, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4551,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14992;

															BgL_fz00_14992 = BgL_runz00_19650;
														BgL_recz00_14991:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14993;

																BgL_rz00_14993 =
																	PROCEDURE_ENTRY(BgL_fz00_14992)
																	(BgL_fz00_14992, BgL_nsz00_4551, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32681;

																	if (PROCEDUREP(BgL_rz00_14993))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14998;

																			BgL_arg1964z00_14998 =
																				PROCEDURE_ATTR(BgL_rz00_14993);
																			if (STRUCTP(BgL_arg1964z00_14998))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32681 =
																						(STRUCT_KEY(BgL_arg1964z00_14998) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32681 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32681 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32681)
																		{
																			obj_t BgL_fz00_32689;

																			BgL_fz00_32689 = BgL_rz00_14993;
																			BgL_fz00_14992 = BgL_fz00_32689;
																			goto BgL_recz00_14991;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4551,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14985);
																			BgL_tmp1448z00_4555 = BgL_rz00_14993;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1446z00_4553);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32693;

														BgL_auxz00_32693 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32693,
															BgL_sz00_4541);
													}
													return BgL_tmp1448z00_4555;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3868> */
	obj_t BGl_z62zc3anonymousza33868ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19654)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19655;
				obj_t BgL_bpz00_19656;

				BgL_sz00_19655 = PROCEDURE_REF(BgL_envz00_19654, (int) (((long) 0)));
				BgL_bpz00_19656 = PROCEDURE_REF(BgL_envz00_19654, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19655, (int) (((long) 0)), BgL_bpz00_19656);
		}}}
	}



/* &run6148 */
	obj_t BGl_z62run6148z62zz__evaluate_compz00(obj_t BgL_envz00_19657,
		obj_t BgL_sz00_19660)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19658;
				obj_t BgL_bodyz00_19659;

				BgL_i1320z00_19658 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19657, (int) (((long) 0))));
				BgL_bodyz00_19659 = PROCEDURE_REF(BgL_envz00_19657, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4560;

					BgL_sz00_4560 = BgL_sz00_19660;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4562;

						BgL_bpz00_4562 = VECTOR_REF(BgL_sz00_4560, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4563;
							obj_t BgL_wherez00_4564;
							obj_t BgL_locz00_4565;

							BgL_z12denvz12_4563 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4564 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19658))->BgL_wherez00);
							BgL_locz00_4565 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19658))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4563, BgL_wherez00_4564,
									BgL_locz00_4565);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4566;

									BgL_za2za2resza2za2z00_4566 =
										PROCEDURE_ENTRY(BgL_bodyz00_19659) (BgL_bodyz00_19659,
										BgL_sz00_4560, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4563);
									return BgL_za2za2resza2za2z00_4566;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3870> */
	obj_t BGl_z62zc3anonymousza33870ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19661)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19662;

				BgL_sz00_19662 = PROCEDURE_REF(BgL_envz00_19661, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32720;

						BgL_auxz00_32720 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32720, BgL_sz00_19662);
					}
				}
			}
		}
	}



/* &<anonymous:3874> */
	obj_t BGl_z62zc3anonymousza33874ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19663, obj_t BgL_sz00_19668)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19664;
				BgL_ev_absz00_bglt BgL_i1320z00_19665;
				obj_t BgL_bodyz00_19666;
				long BgL_siza7ezd2framez75_19667;

				BgL_iboxesz00_19664 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19663, (int) (((long) 0))));
				BgL_i1320z00_19665 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19663, (int) (((long) 1))));
				BgL_bodyz00_19666 = PROCEDURE_REF(BgL_envz00_19663, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19667 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19663, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4568;

					BgL_sz00_4568 = BgL_sz00_19668;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4570;

						BgL_bpz00_4570 = VECTOR_REF(BgL_sz00_4568, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18902;

								BgL_runz00_18902 =
									MAKE_FX_PROCEDURE(BGl_z62run6150z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18902,
									(int) (((long) 0)), BgL_iboxesz00_19664);
								PROCEDURE_SET(BgL_runz00_18902,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_19665));
								PROCEDURE_SET(BgL_runz00_18902,
									(int) (((long) 2)), BgL_bodyz00_19666);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18904;

									BgL_mainz00_18904 =
										MAKE_FX_PROCEDURE(BGl_z62main6149z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18904,
										(int) (((long) 0)), BgL_iboxesz00_19664);
									PROCEDURE_SET(BgL_mainz00_18904,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_19665));
									PROCEDURE_SET(BgL_mainz00_18904,
										(int) (((long) 2)), BgL_bodyz00_19666);
									PROCEDURE_SET(BgL_mainz00_18904,
										(int) (((long) 3)), BgL_runz00_18902);
									PROCEDURE_SET(BgL_mainz00_18904,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19667));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15114;

										BgL_objz00_15114 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18902, BgL_objz00_15114);
										BgL_objz00_15114;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3875z00_4573;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3876z00_4574;

											BgL_arg3876z00_4574 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19665))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_15116;

												BgL_framez00_15116 = BINT(BgL_siza7ezd2framez75_19667);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_15118;

													BgL_newz00_15118 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32766;

														BgL_auxz00_32766 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_15118, BgL_auxz00_32766,
															BgL_arg3876z00_4574);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32769;

														BgL_auxz00_32769 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_15118, BgL_auxz00_32769,
															BgL_framez00_15116);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32772;

														BgL_auxz00_32772 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_15118, BgL_auxz00_32772,
															BgL_runz00_18902);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_32777;
														int BgL_auxz00_32775;

														BgL_auxz00_32777 = BINT(((long) 2));
														BgL_auxz00_32775 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_15118, BgL_auxz00_32775,
															BgL_auxz00_32777);
													}
													BgL_arg3875z00_4573 = BgL_newz00_15118;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18904, BgL_arg3875z00_4573);
										BgL_arg3875z00_4573;
									}
									return BgL_mainz00_18904;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6149 */
	obj_t BGl_z62main6149z62zz__evaluate_compz00(obj_t BgL_envz00_19669,
		obj_t BgL_cz00_19675, obj_t BgL_dz00_19676)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19673;
				long BgL_siza7ezd2framez75_19674;

				BgL_runz00_19673 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19669, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19674 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19669, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4575;
					obj_t BgL_dz00_4576;

					BgL_cz00_4575 = BgL_cz00_19675;
					BgL_dz00_4576 = BgL_dz00_19676;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4578;

						BgL_sz00_4578 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4579;

							BgL_bpz00_4579 = VECTOR_REF(BgL_sz00_4578, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32790;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_15045;

									BgL_nz00_15045 = BINT(BgL_siza7ezd2framez75_19674);
									BgL_testz00_32790 =
										(
										((long) CINT(BgL_bpz00_4579) +
											(long) CINT(BgL_nz00_15045)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4578)));
								}
								if (BgL_testz00_32790)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3880z00_4581;

											BgL_arg3880z00_4581 =
												((long) CINT(BgL_bpz00_4579) + ((long) 0));
											VECTOR_SET(BgL_sz00_4578,
												(int) (BgL_arg3880z00_4581), BgL_cz00_4575);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3881z00_4582;

											BgL_arg3881z00_4582 =
												((long) CINT(BgL_bpz00_4579) + ((long) 1));
											VECTOR_SET(BgL_sz00_4578,
												(int) (BgL_arg3881z00_4582), BgL_dz00_4576);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1449z00_4583;

											BgL_exitd1449z00_4583 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33882ze3z83_18903;

												BgL_zc3anonymousza33882ze3z83_18903 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33882ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33882ze3z83_18903,
													(int) (((long) 0)), BgL_sz00_4578);
												PROCEDURE_SET(BgL_zc3anonymousza33882ze3z83_18903,
													(int) (((long) 1)), BgL_bpz00_4579);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1449z00_4583,
													BgL_zc3anonymousza33882ze3z83_18903);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1451z00_4585;

													BgL_tmp1451z00_4585 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19673, BgL_sz00_4578, BgL_bpz00_4579);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1449z00_4583);
													VECTOR_SET(BgL_sz00_4578, (int) (((long) 0)),
														BgL_bpz00_4579);
													return BgL_tmp1451z00_4585;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4588;

										BgL_nsz00_4588 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4588,
											(int) (((long) 1)), BgL_sz00_4578);
										VECTOR_SET(BgL_nsz00_4588,
											(int) (((long) 2)), BgL_cz00_4575);
										VECTOR_SET(BgL_nsz00_4588,
											(int) (((long) 3)), BgL_dz00_4576);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32826;

											BgL_auxz00_32826 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32826, BgL_nsz00_4588);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1452z00_4590;

											BgL_exitd1452z00_4590 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33884ze3z83_18901;

												BgL_zc3anonymousza33884ze3z83_18901 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33884ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33884ze3z83_18901,
													(int) (((long) 0)), BgL_sz00_4578);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1452z00_4590,
													BgL_zc3anonymousza33884ze3z83_18901);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1454z00_4592;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15087;

														BgL_savedzd2bpzd2_15087 =
															VECTOR_REF(BgL_nsz00_4588, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4588,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15094;

															BgL_fz00_15094 = BgL_runz00_19673;
														BgL_recz00_15093:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15095;

																BgL_rz00_15095 =
																	PROCEDURE_ENTRY(BgL_fz00_15094)
																	(BgL_fz00_15094, BgL_nsz00_4588, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32845;

																	if (PROCEDUREP(BgL_rz00_15095))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_15100;

																			BgL_arg1964z00_15100 =
																				PROCEDURE_ATTR(BgL_rz00_15095);
																			if (STRUCTP(BgL_arg1964z00_15100))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32845 =
																						(STRUCT_KEY(BgL_arg1964z00_15100) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32845 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32845 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32845)
																		{
																			obj_t BgL_fz00_32853;

																			BgL_fz00_32853 = BgL_rz00_15095;
																			BgL_fz00_15094 = BgL_fz00_32853;
																			goto BgL_recz00_15093;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4588,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15087);
																			BgL_tmp1454z00_4592 = BgL_rz00_15095;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1452z00_4590);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32857;

														BgL_auxz00_32857 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32857,
															BgL_sz00_4578);
													}
													return BgL_tmp1454z00_4592;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3882> */
	obj_t BGl_z62zc3anonymousza33882ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19677)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19678;
				obj_t BgL_bpz00_19679;

				BgL_sz00_19678 = PROCEDURE_REF(BgL_envz00_19677, (int) (((long) 0)));
				BgL_bpz00_19679 = PROCEDURE_REF(BgL_envz00_19677, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19678, (int) (((long) 0)), BgL_bpz00_19679);
		}}}
	}



/* &run6150 */
	obj_t BGl_z62run6150z62zz__evaluate_compz00(obj_t BgL_envz00_19680,
		obj_t BgL_sz00_19684)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19681;
				BgL_ev_absz00_bglt BgL_i1320z00_19682;
				obj_t BgL_bodyz00_19683;

				BgL_iboxesz00_19681 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19680, (int) (((long) 0))));
				BgL_i1320z00_19682 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19680, (int) (((long) 1))));
				BgL_bodyz00_19683 = PROCEDURE_REF(BgL_envz00_19680, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4597;

					BgL_sz00_4597 = BgL_sz00_19684;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4599;

						BgL_bpz00_4599 = VECTOR_REF(BgL_sz00_4597, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4597,
							BgL_iboxesz00_19681, BgL_bpz00_4599);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4600;
							obj_t BgL_wherez00_4601;
							obj_t BgL_locz00_4602;

							BgL_z12denvz12_4600 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4601 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19682))->BgL_wherez00);
							BgL_locz00_4602 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19682))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4600, BgL_wherez00_4601,
									BgL_locz00_4602);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4603;

									BgL_za2za2resza2za2z00_4603 =
										PROCEDURE_ENTRY(BgL_bodyz00_19683) (BgL_bodyz00_19683,
										BgL_sz00_4597, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4600);
									return BgL_za2za2resza2za2z00_4603;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3884> */
	obj_t BGl_z62zc3anonymousza33884ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19685)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19686;

				BgL_sz00_19686 = PROCEDURE_REF(BgL_envz00_19685, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32888;

						BgL_auxz00_32888 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32888, BgL_sz00_19686);
					}
				}
			}
		}
	}



/* &<anonymous:3889> */
	obj_t BGl_z62zc3anonymousza33889ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19687, obj_t BgL_sz00_19693)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19688;
				long BgL_siza7eza7_19689;
				BgL_ev_absz00_bglt BgL_i1320z00_19690;
				obj_t BgL_bodyz00_19691;
				long BgL_siza7ezd2framez75_19692;

				BgL_ifreesz00_19688 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19687, (int) (((long) 0))));
				BgL_siza7eza7_19689 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19687, (int) (((long) 1))));
				BgL_i1320z00_19690 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19687, (int) (((long) 2))));
				BgL_bodyz00_19691 = PROCEDURE_REF(BgL_envz00_19687, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19692 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19687, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4607;

					BgL_sz00_4607 = BgL_sz00_19693;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4609;

						BgL_bpz00_4609 = VECTOR_REF(BgL_sz00_4607, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4610;

							BgL_valza2za2_4610 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4607,
								BgL_bpz00_4609, BgL_ifreesz00_19688);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18897;

								BgL_runz00_18897 =
									MAKE_FX_PROCEDURE(BGl_z62run6152z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18897,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19689));
								PROCEDURE_SET(BgL_runz00_18897,
									(int) (((long) 1)), BgL_valza2za2_4610);
								PROCEDURE_SET(BgL_runz00_18897,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_19690));
								PROCEDURE_SET(BgL_runz00_18897,
									(int) (((long) 3)), BgL_bodyz00_19691);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18899;

									BgL_mainz00_18899 =
										MAKE_FX_PROCEDURE(BGl_z62main6151z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18899,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19689));
									PROCEDURE_SET(BgL_mainz00_18899,
										(int) (((long) 1)), BgL_valza2za2_4610);
									PROCEDURE_SET(BgL_mainz00_18899,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_19690));
									PROCEDURE_SET(BgL_mainz00_18899,
										(int) (((long) 3)), BgL_bodyz00_19691);
									PROCEDURE_SET(BgL_mainz00_18899,
										(int) (((long) 4)), BgL_runz00_18897);
									PROCEDURE_SET(BgL_mainz00_18899,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19692));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15223;

										BgL_objz00_15223 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18897, BgL_objz00_15223);
										BgL_objz00_15223;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3891z00_4613;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3892z00_4614;

											BgL_arg3892z00_4614 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19690))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_15225;

												BgL_framez00_15225 = BINT(BgL_siza7ezd2framez75_19692);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_15227;

													BgL_newz00_15227 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32944;

														BgL_auxz00_32944 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_15227, BgL_auxz00_32944,
															BgL_arg3892z00_4614);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32947;

														BgL_auxz00_32947 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_15227, BgL_auxz00_32947,
															BgL_framez00_15225);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_32950;

														BgL_auxz00_32950 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_15227, BgL_auxz00_32950,
															BgL_runz00_18897);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_32955;
														int BgL_auxz00_32953;

														BgL_auxz00_32955 = BINT(((long) 2));
														BgL_auxz00_32953 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_15227, BgL_auxz00_32953,
															BgL_auxz00_32955);
													}
													BgL_arg3891z00_4613 = BgL_newz00_15227;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18899, BgL_arg3891z00_4613);
										BgL_arg3891z00_4613;
									}
									return BgL_mainz00_18899;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6151 */
	obj_t BGl_z62main6151z62zz__evaluate_compz00(obj_t BgL_envz00_19694,
		obj_t BgL_cz00_19701, obj_t BgL_dz00_19702)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19699;
				long BgL_siza7ezd2framez75_19700;

				BgL_runz00_19699 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19694, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19700 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19694, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4615;
					obj_t BgL_dz00_4616;

					BgL_cz00_4615 = BgL_cz00_19701;
					BgL_dz00_4616 = BgL_dz00_19702;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4618;

						BgL_sz00_4618 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4619;

							BgL_bpz00_4619 = VECTOR_REF(BgL_sz00_4618, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32968;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_15154;

									BgL_nz00_15154 = BINT(BgL_siza7ezd2framez75_19700);
									BgL_testz00_32968 =
										(
										((long) CINT(BgL_bpz00_4619) +
											(long) CINT(BgL_nz00_15154)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4618)));
								}
								if (BgL_testz00_32968)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3896z00_4621;

											BgL_arg3896z00_4621 =
												((long) CINT(BgL_bpz00_4619) + ((long) 0));
											VECTOR_SET(BgL_sz00_4618,
												(int) (BgL_arg3896z00_4621), BgL_cz00_4615);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3897z00_4622;

											BgL_arg3897z00_4622 =
												((long) CINT(BgL_bpz00_4619) + ((long) 1));
											VECTOR_SET(BgL_sz00_4618,
												(int) (BgL_arg3897z00_4622), BgL_dz00_4616);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1455z00_4623;

											BgL_exitd1455z00_4623 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33898ze3z83_18898;

												BgL_zc3anonymousza33898ze3z83_18898 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33898ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33898ze3z83_18898,
													(int) (((long) 0)), BgL_sz00_4618);
												PROCEDURE_SET(BgL_zc3anonymousza33898ze3z83_18898,
													(int) (((long) 1)), BgL_bpz00_4619);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1455z00_4623,
													BgL_zc3anonymousza33898ze3z83_18898);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1457z00_4625;

													BgL_tmp1457z00_4625 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19699, BgL_sz00_4618, BgL_bpz00_4619);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1455z00_4623);
													VECTOR_SET(BgL_sz00_4618, (int) (((long) 0)),
														BgL_bpz00_4619);
													return BgL_tmp1457z00_4625;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4628;

										BgL_nsz00_4628 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4628,
											(int) (((long) 1)), BgL_sz00_4618);
										VECTOR_SET(BgL_nsz00_4628,
											(int) (((long) 2)), BgL_cz00_4615);
										VECTOR_SET(BgL_nsz00_4628,
											(int) (((long) 3)), BgL_dz00_4616);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33004;

											BgL_auxz00_33004 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33004, BgL_nsz00_4628);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1458z00_4630;

											BgL_exitd1458z00_4630 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33900ze3z83_18896;

												BgL_zc3anonymousza33900ze3z83_18896 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33900ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33900ze3z83_18896,
													(int) (((long) 0)), BgL_sz00_4618);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1458z00_4630,
													BgL_zc3anonymousza33900ze3z83_18896);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1460z00_4632;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15196;

														BgL_savedzd2bpzd2_15196 =
															VECTOR_REF(BgL_nsz00_4628, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4628,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15203;

															BgL_fz00_15203 = BgL_runz00_19699;
														BgL_recz00_15202:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15204;

																BgL_rz00_15204 =
																	PROCEDURE_ENTRY(BgL_fz00_15203)
																	(BgL_fz00_15203, BgL_nsz00_4628, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33023;

																	if (PROCEDUREP(BgL_rz00_15204))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_15209;

																			BgL_arg1964z00_15209 =
																				PROCEDURE_ATTR(BgL_rz00_15204);
																			if (STRUCTP(BgL_arg1964z00_15209))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33023 =
																						(STRUCT_KEY(BgL_arg1964z00_15209) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33023 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33023 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33023)
																		{
																			obj_t BgL_fz00_33031;

																			BgL_fz00_33031 = BgL_rz00_15204;
																			BgL_fz00_15203 = BgL_fz00_33031;
																			goto BgL_recz00_15202;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4628,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15196);
																			BgL_tmp1460z00_4632 = BgL_rz00_15204;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1458z00_4630);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33035;

														BgL_auxz00_33035 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33035,
															BgL_sz00_4618);
													}
													return BgL_tmp1460z00_4632;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3898> */
	obj_t BGl_z62zc3anonymousza33898ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19703)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19704;
				obj_t BgL_bpz00_19705;

				BgL_sz00_19704 = PROCEDURE_REF(BgL_envz00_19703, (int) (((long) 0)));
				BgL_bpz00_19705 = PROCEDURE_REF(BgL_envz00_19703, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19704, (int) (((long) 0)), BgL_bpz00_19705);
		}}}
	}



/* &run6152 */
	obj_t BGl_z62run6152z62zz__evaluate_compz00(obj_t BgL_envz00_19706,
		obj_t BgL_sz00_19711)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19707;
				obj_t BgL_valza2za2_19708;
				BgL_ev_absz00_bglt BgL_i1320z00_19709;
				obj_t BgL_bodyz00_19710;

				BgL_siza7eza7_19707 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19706, (int) (((long) 0))));
				BgL_valza2za2_19708 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19706, (int) (((long) 1))));
				BgL_i1320z00_19709 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19706, (int) (((long) 2))));
				BgL_bodyz00_19710 = PROCEDURE_REF(BgL_envz00_19706, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4637;

					BgL_sz00_4637 = BgL_sz00_19711;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4639;

						BgL_bpz00_4639 = VECTOR_REF(BgL_sz00_4637, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4637,
							BgL_valza2za2_19708,
							((long) CINT(BgL_bpz00_4639) + BgL_siza7eza7_19707));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4641;
							obj_t BgL_wherez00_4642;
							obj_t BgL_locz00_4643;

							BgL_z12denvz12_4641 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4642 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19709))->BgL_wherez00);
							BgL_locz00_4643 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19709))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4641, BgL_wherez00_4642,
									BgL_locz00_4643);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4644;

									BgL_za2za2resza2za2z00_4644 =
										PROCEDURE_ENTRY(BgL_bodyz00_19710) (BgL_bodyz00_19710,
										BgL_sz00_4637, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4641);
									return BgL_za2za2resza2za2z00_4644;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3900> */
	obj_t BGl_z62zc3anonymousza33900ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19712)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19713;

				BgL_sz00_19713 = PROCEDURE_REF(BgL_envz00_19712, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33071;

						BgL_auxz00_33071 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33071, BgL_sz00_19713);
					}
				}
			}
		}
	}



/* &<anonymous:3905> */
	obj_t BGl_z62zc3anonymousza33905ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19714, obj_t BgL_sz00_19721)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19715;
				obj_t BgL_iboxesz00_19716;
				long BgL_siza7eza7_19717;
				BgL_ev_absz00_bglt BgL_i1320z00_19718;
				obj_t BgL_bodyz00_19719;
				long BgL_siza7ezd2framez75_19720;

				BgL_ifreesz00_19715 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19714, (int) (((long) 0))));
				BgL_iboxesz00_19716 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19714, (int) (((long) 1))));
				BgL_siza7eza7_19717 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19714, (int) (((long) 2))));
				BgL_i1320z00_19718 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19714, (int) (((long) 3))));
				BgL_bodyz00_19719 = PROCEDURE_REF(BgL_envz00_19714, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19720 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19714, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4646;

					BgL_sz00_4646 = BgL_sz00_19721;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4648;

						BgL_bpz00_4648 = VECTOR_REF(BgL_sz00_4646, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4649;

							BgL_valza2za2_4649 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4646,
								BgL_bpz00_4648, BgL_ifreesz00_19715);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18892;

								BgL_runz00_18892 =
									MAKE_FX_PROCEDURE(BGl_z62run6154z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18892,
									(int) (((long) 0)), BgL_iboxesz00_19716);
								PROCEDURE_SET(BgL_runz00_18892,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19717));
								PROCEDURE_SET(BgL_runz00_18892,
									(int) (((long) 2)), BgL_valza2za2_4649);
								PROCEDURE_SET(BgL_runz00_18892,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_19718));
								PROCEDURE_SET(BgL_runz00_18892,
									(int) (((long) 4)), BgL_bodyz00_19719);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18894;

									BgL_mainz00_18894 =
										MAKE_FX_PROCEDURE(BGl_z62main6153z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18894,
										(int) (((long) 0)), BgL_iboxesz00_19716);
									PROCEDURE_SET(BgL_mainz00_18894,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19717));
									PROCEDURE_SET(BgL_mainz00_18894,
										(int) (((long) 2)), BgL_valza2za2_4649);
									PROCEDURE_SET(BgL_mainz00_18894,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_19718));
									PROCEDURE_SET(BgL_mainz00_18894,
										(int) (((long) 4)), BgL_bodyz00_19719);
									PROCEDURE_SET(BgL_mainz00_18894,
										(int) (((long) 5)), BgL_runz00_18892);
									PROCEDURE_SET(BgL_mainz00_18894,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19720));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15328;

										BgL_objz00_15328 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18892, BgL_objz00_15328);
										BgL_objz00_15328;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3906z00_4652;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3907z00_4653;

											BgL_arg3907z00_4653 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19718))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_15330;

												BgL_framez00_15330 = BINT(BgL_siza7ezd2framez75_19720);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_15332;

													BgL_newz00_15332 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33134;

														BgL_auxz00_33134 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_15332, BgL_auxz00_33134,
															BgL_arg3907z00_4653);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33137;

														BgL_auxz00_33137 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_15332, BgL_auxz00_33137,
															BgL_framez00_15330);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33140;

														BgL_auxz00_33140 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_15332, BgL_auxz00_33140,
															BgL_runz00_18892);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_33145;
														int BgL_auxz00_33143;

														BgL_auxz00_33145 = BINT(((long) 2));
														BgL_auxz00_33143 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_15332, BgL_auxz00_33143,
															BgL_auxz00_33145);
													}
													BgL_arg3906z00_4652 = BgL_newz00_15332;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18894, BgL_arg3906z00_4652);
										BgL_arg3906z00_4652;
									}
									return BgL_mainz00_18894;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6153 */
	obj_t BGl_z62main6153z62zz__evaluate_compz00(obj_t BgL_envz00_19722,
		obj_t BgL_cz00_19730, obj_t BgL_dz00_19731)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19728;
				long BgL_siza7ezd2framez75_19729;

				BgL_runz00_19728 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19722, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19729 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19722, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4654;
					obj_t BgL_dz00_4655;

					BgL_cz00_4654 = BgL_cz00_19730;
					BgL_dz00_4655 = BgL_dz00_19731;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4657;

						BgL_sz00_4657 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4658;

							BgL_bpz00_4658 = VECTOR_REF(BgL_sz00_4657, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33158;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_15259;

									BgL_nz00_15259 = BINT(BgL_siza7ezd2framez75_19729);
									BgL_testz00_33158 =
										(
										((long) CINT(BgL_bpz00_4658) +
											(long) CINT(BgL_nz00_15259)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4657)));
								}
								if (BgL_testz00_33158)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3910z00_4660;

											BgL_arg3910z00_4660 =
												((long) CINT(BgL_bpz00_4658) + ((long) 0));
											VECTOR_SET(BgL_sz00_4657,
												(int) (BgL_arg3910z00_4660), BgL_cz00_4654);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3912z00_4661;

											BgL_arg3912z00_4661 =
												((long) CINT(BgL_bpz00_4658) + ((long) 1));
											VECTOR_SET(BgL_sz00_4657,
												(int) (BgL_arg3912z00_4661), BgL_dz00_4655);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1461z00_4662;

											BgL_exitd1461z00_4662 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33913ze3z83_18893;

												BgL_zc3anonymousza33913ze3z83_18893 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33913ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33913ze3z83_18893,
													(int) (((long) 0)), BgL_sz00_4657);
												PROCEDURE_SET(BgL_zc3anonymousza33913ze3z83_18893,
													(int) (((long) 1)), BgL_bpz00_4658);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1461z00_4662,
													BgL_zc3anonymousza33913ze3z83_18893);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1463z00_4664;

													BgL_tmp1463z00_4664 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19728, BgL_sz00_4657, BgL_bpz00_4658);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1461z00_4662);
													VECTOR_SET(BgL_sz00_4657, (int) (((long) 0)),
														BgL_bpz00_4658);
													return BgL_tmp1463z00_4664;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4667;

										BgL_nsz00_4667 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4667,
											(int) (((long) 1)), BgL_sz00_4657);
										VECTOR_SET(BgL_nsz00_4667,
											(int) (((long) 2)), BgL_cz00_4654);
										VECTOR_SET(BgL_nsz00_4667,
											(int) (((long) 3)), BgL_dz00_4655);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33194;

											BgL_auxz00_33194 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33194, BgL_nsz00_4667);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1464z00_4669;

											BgL_exitd1464z00_4669 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33915ze3z83_18891;

												BgL_zc3anonymousza33915ze3z83_18891 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33915ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33915ze3z83_18891,
													(int) (((long) 0)), BgL_sz00_4657);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1464z00_4669,
													BgL_zc3anonymousza33915ze3z83_18891);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1466z00_4671;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15301;

														BgL_savedzd2bpzd2_15301 =
															VECTOR_REF(BgL_nsz00_4667, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4667,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15308;

															BgL_fz00_15308 = BgL_runz00_19728;
														BgL_recz00_15307:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15309;

																BgL_rz00_15309 =
																	PROCEDURE_ENTRY(BgL_fz00_15308)
																	(BgL_fz00_15308, BgL_nsz00_4667, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33213;

																	if (PROCEDUREP(BgL_rz00_15309))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_15314;

																			BgL_arg1964z00_15314 =
																				PROCEDURE_ATTR(BgL_rz00_15309);
																			if (STRUCTP(BgL_arg1964z00_15314))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33213 =
																						(STRUCT_KEY(BgL_arg1964z00_15314) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33213 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33213 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33213)
																		{
																			obj_t BgL_fz00_33221;

																			BgL_fz00_33221 = BgL_rz00_15309;
																			BgL_fz00_15308 = BgL_fz00_33221;
																			goto BgL_recz00_15307;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4667,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15301);
																			BgL_tmp1466z00_4671 = BgL_rz00_15309;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1464z00_4669);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33225;

														BgL_auxz00_33225 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33225,
															BgL_sz00_4657);
													}
													return BgL_tmp1466z00_4671;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3913> */
	obj_t BGl_z62zc3anonymousza33913ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19732)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19733;
				obj_t BgL_bpz00_19734;

				BgL_sz00_19733 = PROCEDURE_REF(BgL_envz00_19732, (int) (((long) 0)));
				BgL_bpz00_19734 = PROCEDURE_REF(BgL_envz00_19732, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19733, (int) (((long) 0)), BgL_bpz00_19734);
		}}}
	}



/* &run6154 */
	obj_t BGl_z62run6154z62zz__evaluate_compz00(obj_t BgL_envz00_19735,
		obj_t BgL_sz00_19741)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19736;
				long BgL_siza7eza7_19737;
				obj_t BgL_valza2za2_19738;
				BgL_ev_absz00_bglt BgL_i1320z00_19739;
				obj_t BgL_bodyz00_19740;

				BgL_iboxesz00_19736 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19735, (int) (((long) 0))));
				BgL_siza7eza7_19737 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19735, (int) (((long) 1))));
				BgL_valza2za2_19738 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19735, (int) (((long) 2))));
				BgL_i1320z00_19739 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19735, (int) (((long) 3))));
				BgL_bodyz00_19740 = PROCEDURE_REF(BgL_envz00_19735, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4676;

					BgL_sz00_4676 = BgL_sz00_19741;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4678;

						BgL_bpz00_4678 = VECTOR_REF(BgL_sz00_4676, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4676,
							BgL_iboxesz00_19736, BgL_bpz00_4678);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4676,
							BgL_valza2za2_19738,
							((long) CINT(BgL_bpz00_4678) + BgL_siza7eza7_19737));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4680;
							obj_t BgL_wherez00_4681;
							obj_t BgL_locz00_4682;

							BgL_z12denvz12_4680 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4681 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19739))->BgL_wherez00);
							BgL_locz00_4682 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19739))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4680, BgL_wherez00_4681,
									BgL_locz00_4682);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4683;

									BgL_za2za2resza2za2z00_4683 =
										PROCEDURE_ENTRY(BgL_bodyz00_19740) (BgL_bodyz00_19740,
										BgL_sz00_4676, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4680);
									return BgL_za2za2resza2za2z00_4683;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3915> */
	obj_t BGl_z62zc3anonymousza33915ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19742)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19743;

				BgL_sz00_19743 = PROCEDURE_REF(BgL_envz00_19742, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33265;

						BgL_auxz00_33265 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33265, BgL_sz00_19743);
					}
				}
			}
		}
	}



/* &<anonymous:3795> */
	obj_t BGl_z62zc3anonymousza33795ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19744, obj_t BgL_sz00_19748)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19745;
				obj_t BgL_bodyz00_19746;
				long BgL_siza7ezd2framez75_19747;

				BgL_i1320z00_19745 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19744, (int) (((long) 0))));
				BgL_bodyz00_19746 = PROCEDURE_REF(BgL_envz00_19744, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19747 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19744, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4373;

					BgL_sz00_4373 = BgL_sz00_19748;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4375;

						BgL_bpz00_4375 = VECTOR_REF(BgL_sz00_4373, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18887;

								BgL_runz00_18887 =
									MAKE_FX_PROCEDURE(BGl_z62run6156z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18887,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_19745));
								PROCEDURE_SET(BgL_runz00_18887,
									(int) (((long) 1)), BgL_bodyz00_19746);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18889;

									BgL_mainz00_18889 =
										MAKE_VA_PROCEDURE(BGl_z62main6155z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18889,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_19745));
									PROCEDURE_SET(BgL_mainz00_18889,
										(int) (((long) 1)), BgL_bodyz00_19746);
									PROCEDURE_SET(BgL_mainz00_18889,
										(int) (((long) 2)), BgL_runz00_18887);
									PROCEDURE_SET(BgL_mainz00_18889,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19747));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14586;

										BgL_objz00_14586 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18887, BgL_objz00_14586);
										BgL_objz00_14586;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3797z00_4378;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3798z00_4379;

											BgL_arg3798z00_4379 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19745))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_14588;

												BgL_framez00_14588 = BINT(BgL_siza7ezd2framez75_19747);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_14590;

													BgL_newz00_14590 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33304;

														BgL_auxz00_33304 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_14590, BgL_auxz00_33304,
															BgL_arg3798z00_4379);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33307;

														BgL_auxz00_33307 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_14590, BgL_auxz00_33307,
															BgL_framez00_14588);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33310;

														BgL_auxz00_33310 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_14590, BgL_auxz00_33310,
															BgL_runz00_18887);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_33315;
														int BgL_auxz00_33313;

														BgL_auxz00_33315 = BINT(((long) -2));
														BgL_auxz00_33313 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_14590, BgL_auxz00_33313,
															BgL_auxz00_33315);
													}
													BgL_arg3797z00_4378 = BgL_newz00_14590;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18889, BgL_arg3797z00_4378);
										BgL_arg3797z00_4378;
									}
									return BgL_mainz00_18889;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6155 */
	obj_t BGl_z62main6155z62zz__evaluate_compz00(obj_t BgL_envz00_19749,
		obj_t BgL_dz00_19754, obj_t BgL_lastz00_19755)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19752;
				long BgL_siza7ezd2framez75_19753;

				BgL_runz00_19752 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19749, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19753 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19749, (int) (((long) 3))));
				{
					obj_t BgL_dz00_4380;
					obj_t BgL_lastz00_4381;

					BgL_dz00_4380 = BgL_dz00_19754;
					BgL_lastz00_4381 = BgL_lastz00_19755;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4383;

						BgL_sz00_4383 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4384;

							BgL_bpz00_4384 = VECTOR_REF(BgL_sz00_4383, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33328;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14517;

									BgL_nz00_14517 = BINT(BgL_siza7ezd2framez75_19753);
									BgL_testz00_33328 =
										(
										((long) CINT(BgL_bpz00_4384) +
											(long) CINT(BgL_nz00_14517)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4383)));
								}
								if (BgL_testz00_33328)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3802z00_4386;

											BgL_arg3802z00_4386 =
												((long) CINT(BgL_bpz00_4384) + ((long) 0));
											VECTOR_SET(BgL_sz00_4383,
												(int) (BgL_arg3802z00_4386), BgL_dz00_4380);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3803z00_4387;

											BgL_arg3803z00_4387 =
												((long) CINT(BgL_bpz00_4384) + ((long) 1));
											VECTOR_SET(BgL_sz00_4383,
												(int) (BgL_arg3803z00_4387), BgL_lastz00_4381);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1419z00_4388;

											BgL_exitd1419z00_4388 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33804ze3z83_18888;

												BgL_zc3anonymousza33804ze3z83_18888 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33804ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33804ze3z83_18888,
													(int) (((long) 0)), BgL_sz00_4383);
												PROCEDURE_SET(BgL_zc3anonymousza33804ze3z83_18888,
													(int) (((long) 1)), BgL_bpz00_4384);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1419z00_4388,
													BgL_zc3anonymousza33804ze3z83_18888);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1421z00_4390;

													BgL_tmp1421z00_4390 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19752, BgL_sz00_4383, BgL_bpz00_4384);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1419z00_4388);
													VECTOR_SET(BgL_sz00_4383, (int) (((long) 0)),
														BgL_bpz00_4384);
													return BgL_tmp1421z00_4390;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4393;

										BgL_nsz00_4393 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4393,
											(int) (((long) 1)), BgL_sz00_4383);
										VECTOR_SET(BgL_nsz00_4393,
											(int) (((long) 2)), BgL_dz00_4380);
										VECTOR_SET(BgL_nsz00_4393,
											(int) (((long) 3)), BgL_lastz00_4381);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33364;

											BgL_auxz00_33364 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33364, BgL_nsz00_4393);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1422z00_4395;

											BgL_exitd1422z00_4395 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33806ze3z83_18886;

												BgL_zc3anonymousza33806ze3z83_18886 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33806ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33806ze3z83_18886,
													(int) (((long) 0)), BgL_sz00_4383);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1422z00_4395,
													BgL_zc3anonymousza33806ze3z83_18886);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1424z00_4397;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14559;

														BgL_savedzd2bpzd2_14559 =
															VECTOR_REF(BgL_nsz00_4393, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4393,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14566;

															BgL_fz00_14566 = BgL_runz00_19752;
														BgL_recz00_14565:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14567;

																BgL_rz00_14567 =
																	PROCEDURE_ENTRY(BgL_fz00_14566)
																	(BgL_fz00_14566, BgL_nsz00_4393, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33383;

																	if (PROCEDUREP(BgL_rz00_14567))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14572;

																			BgL_arg1964z00_14572 =
																				PROCEDURE_ATTR(BgL_rz00_14567);
																			if (STRUCTP(BgL_arg1964z00_14572))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33383 =
																						(STRUCT_KEY(BgL_arg1964z00_14572) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33383 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33383 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33383)
																		{
																			obj_t BgL_fz00_33391;

																			BgL_fz00_33391 = BgL_rz00_14567;
																			BgL_fz00_14566 = BgL_fz00_33391;
																			goto BgL_recz00_14565;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4393,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14559);
																			BgL_tmp1424z00_4397 = BgL_rz00_14567;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1422z00_4395);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33395;

														BgL_auxz00_33395 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33395,
															BgL_sz00_4383);
													}
													return BgL_tmp1424z00_4397;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3804> */
	obj_t BGl_z62zc3anonymousza33804ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19756)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19757;
				obj_t BgL_bpz00_19758;

				BgL_sz00_19757 = PROCEDURE_REF(BgL_envz00_19756, (int) (((long) 0)));
				BgL_bpz00_19758 = PROCEDURE_REF(BgL_envz00_19756, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19757, (int) (((long) 0)), BgL_bpz00_19758);
		}}}
	}



/* &run6156 */
	obj_t BGl_z62run6156z62zz__evaluate_compz00(obj_t BgL_envz00_19759,
		obj_t BgL_sz00_19762)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19760;
				obj_t BgL_bodyz00_19761;

				BgL_i1320z00_19760 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19759, (int) (((long) 0))));
				BgL_bodyz00_19761 = PROCEDURE_REF(BgL_envz00_19759, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4402;

					BgL_sz00_4402 = BgL_sz00_19762;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4404;

						BgL_bpz00_4404 = VECTOR_REF(BgL_sz00_4402, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4405;
							obj_t BgL_wherez00_4406;
							obj_t BgL_locz00_4407;

							BgL_z12denvz12_4405 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4406 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19760))->BgL_wherez00);
							BgL_locz00_4407 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19760))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4405, BgL_wherez00_4406,
									BgL_locz00_4407);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4408;

									BgL_za2za2resza2za2z00_4408 =
										PROCEDURE_ENTRY(BgL_bodyz00_19761) (BgL_bodyz00_19761,
										BgL_sz00_4402, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4405);
									return BgL_za2za2resza2za2z00_4408;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3806> */
	obj_t BGl_z62zc3anonymousza33806ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19763)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19764;

				BgL_sz00_19764 = PROCEDURE_REF(BgL_envz00_19763, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33422;

						BgL_auxz00_33422 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33422, BgL_sz00_19764);
					}
				}
			}
		}
	}



/* &<anonymous:3809> */
	obj_t BGl_z62zc3anonymousza33809ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19765, obj_t BgL_sz00_19770)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19766;
				BgL_ev_absz00_bglt BgL_i1320z00_19767;
				obj_t BgL_bodyz00_19768;
				long BgL_siza7ezd2framez75_19769;

				BgL_iboxesz00_19766 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19765, (int) (((long) 0))));
				BgL_i1320z00_19767 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19765, (int) (((long) 1))));
				BgL_bodyz00_19768 = PROCEDURE_REF(BgL_envz00_19765, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19769 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19765, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4410;

					BgL_sz00_4410 = BgL_sz00_19770;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4412;

						BgL_bpz00_4412 = VECTOR_REF(BgL_sz00_4410, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18882;

								BgL_runz00_18882 =
									MAKE_FX_PROCEDURE(BGl_z62run6158z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18882,
									(int) (((long) 0)), BgL_iboxesz00_19766);
								PROCEDURE_SET(BgL_runz00_18882,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_19767));
								PROCEDURE_SET(BgL_runz00_18882,
									(int) (((long) 2)), BgL_bodyz00_19768);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18884;

									BgL_mainz00_18884 =
										MAKE_VA_PROCEDURE(BGl_z62main6157z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18884,
										(int) (((long) 0)), BgL_iboxesz00_19766);
									PROCEDURE_SET(BgL_mainz00_18884,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_19767));
									PROCEDURE_SET(BgL_mainz00_18884,
										(int) (((long) 2)), BgL_bodyz00_19768);
									PROCEDURE_SET(BgL_mainz00_18884,
										(int) (((long) 3)), BgL_runz00_18882);
									PROCEDURE_SET(BgL_mainz00_18884,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19769));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14688;

										BgL_objz00_14688 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18882, BgL_objz00_14688);
										BgL_objz00_14688;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3810z00_4415;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3811z00_4416;

											BgL_arg3811z00_4416 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19767))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_14690;

												BgL_framez00_14690 = BINT(BgL_siza7ezd2framez75_19769);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_14692;

													BgL_newz00_14692 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33468;

														BgL_auxz00_33468 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_14692, BgL_auxz00_33468,
															BgL_arg3811z00_4416);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33471;

														BgL_auxz00_33471 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_14692, BgL_auxz00_33471,
															BgL_framez00_14690);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33474;

														BgL_auxz00_33474 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_14692, BgL_auxz00_33474,
															BgL_runz00_18882);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_33479;
														int BgL_auxz00_33477;

														BgL_auxz00_33479 = BINT(((long) -2));
														BgL_auxz00_33477 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_14692, BgL_auxz00_33477,
															BgL_auxz00_33479);
													}
													BgL_arg3810z00_4415 = BgL_newz00_14692;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18884, BgL_arg3810z00_4415);
										BgL_arg3810z00_4415;
									}
									return BgL_mainz00_18884;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6157 */
	obj_t BGl_z62main6157z62zz__evaluate_compz00(obj_t BgL_envz00_19771,
		obj_t BgL_dz00_19777, obj_t BgL_lastz00_19778)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19775;
				long BgL_siza7ezd2framez75_19776;

				BgL_runz00_19775 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19771, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19776 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19771, (int) (((long) 4))));
				{
					obj_t BgL_dz00_4417;
					obj_t BgL_lastz00_4418;

					BgL_dz00_4417 = BgL_dz00_19777;
					BgL_lastz00_4418 = BgL_lastz00_19778;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4420;

						BgL_sz00_4420 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4421;

							BgL_bpz00_4421 = VECTOR_REF(BgL_sz00_4420, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33492;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14619;

									BgL_nz00_14619 = BINT(BgL_siza7ezd2framez75_19776);
									BgL_testz00_33492 =
										(
										((long) CINT(BgL_bpz00_4421) +
											(long) CINT(BgL_nz00_14619)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4420)));
								}
								if (BgL_testz00_33492)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3814z00_4423;

											BgL_arg3814z00_4423 =
												((long) CINT(BgL_bpz00_4421) + ((long) 0));
											VECTOR_SET(BgL_sz00_4420,
												(int) (BgL_arg3814z00_4423), BgL_dz00_4417);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3816z00_4424;

											BgL_arg3816z00_4424 =
												((long) CINT(BgL_bpz00_4421) + ((long) 1));
											VECTOR_SET(BgL_sz00_4420,
												(int) (BgL_arg3816z00_4424), BgL_lastz00_4418);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1425z00_4425;

											BgL_exitd1425z00_4425 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33817ze3z83_18883;

												BgL_zc3anonymousza33817ze3z83_18883 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33817ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33817ze3z83_18883,
													(int) (((long) 0)), BgL_sz00_4420);
												PROCEDURE_SET(BgL_zc3anonymousza33817ze3z83_18883,
													(int) (((long) 1)), BgL_bpz00_4421);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1425z00_4425,
													BgL_zc3anonymousza33817ze3z83_18883);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1427z00_4427;

													BgL_tmp1427z00_4427 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19775, BgL_sz00_4420, BgL_bpz00_4421);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1425z00_4425);
													VECTOR_SET(BgL_sz00_4420, (int) (((long) 0)),
														BgL_bpz00_4421);
													return BgL_tmp1427z00_4427;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4430;

										BgL_nsz00_4430 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4430,
											(int) (((long) 1)), BgL_sz00_4420);
										VECTOR_SET(BgL_nsz00_4430,
											(int) (((long) 2)), BgL_dz00_4417);
										VECTOR_SET(BgL_nsz00_4430,
											(int) (((long) 3)), BgL_lastz00_4418);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33528;

											BgL_auxz00_33528 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33528, BgL_nsz00_4430);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1428z00_4432;

											BgL_exitd1428z00_4432 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33819ze3z83_18881;

												BgL_zc3anonymousza33819ze3z83_18881 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33819ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33819ze3z83_18881,
													(int) (((long) 0)), BgL_sz00_4420);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1428z00_4432,
													BgL_zc3anonymousza33819ze3z83_18881);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1430z00_4434;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14661;

														BgL_savedzd2bpzd2_14661 =
															VECTOR_REF(BgL_nsz00_4430, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4430,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14668;

															BgL_fz00_14668 = BgL_runz00_19775;
														BgL_recz00_14667:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14669;

																BgL_rz00_14669 =
																	PROCEDURE_ENTRY(BgL_fz00_14668)
																	(BgL_fz00_14668, BgL_nsz00_4430, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33547;

																	if (PROCEDUREP(BgL_rz00_14669))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14674;

																			BgL_arg1964z00_14674 =
																				PROCEDURE_ATTR(BgL_rz00_14669);
																			if (STRUCTP(BgL_arg1964z00_14674))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33547 =
																						(STRUCT_KEY(BgL_arg1964z00_14674) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33547 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33547 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33547)
																		{
																			obj_t BgL_fz00_33555;

																			BgL_fz00_33555 = BgL_rz00_14669;
																			BgL_fz00_14668 = BgL_fz00_33555;
																			goto BgL_recz00_14667;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4430,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14661);
																			BgL_tmp1430z00_4434 = BgL_rz00_14669;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1428z00_4432);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33559;

														BgL_auxz00_33559 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33559,
															BgL_sz00_4420);
													}
													return BgL_tmp1430z00_4434;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3817> */
	obj_t BGl_z62zc3anonymousza33817ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19779)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19780;
				obj_t BgL_bpz00_19781;

				BgL_sz00_19780 = PROCEDURE_REF(BgL_envz00_19779, (int) (((long) 0)));
				BgL_bpz00_19781 = PROCEDURE_REF(BgL_envz00_19779, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19780, (int) (((long) 0)), BgL_bpz00_19781);
		}}}
	}



/* &run6158 */
	obj_t BGl_z62run6158z62zz__evaluate_compz00(obj_t BgL_envz00_19782,
		obj_t BgL_sz00_19786)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19783;
				BgL_ev_absz00_bglt BgL_i1320z00_19784;
				obj_t BgL_bodyz00_19785;

				BgL_iboxesz00_19783 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19782, (int) (((long) 0))));
				BgL_i1320z00_19784 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19782, (int) (((long) 1))));
				BgL_bodyz00_19785 = PROCEDURE_REF(BgL_envz00_19782, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4439;

					BgL_sz00_4439 = BgL_sz00_19786;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4441;

						BgL_bpz00_4441 = VECTOR_REF(BgL_sz00_4439, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4439,
							BgL_iboxesz00_19783, BgL_bpz00_4441);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4442;
							obj_t BgL_wherez00_4443;
							obj_t BgL_locz00_4444;

							BgL_z12denvz12_4442 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4443 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19784))->BgL_wherez00);
							BgL_locz00_4444 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19784))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4442, BgL_wherez00_4443,
									BgL_locz00_4444);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4445;

									BgL_za2za2resza2za2z00_4445 =
										PROCEDURE_ENTRY(BgL_bodyz00_19785) (BgL_bodyz00_19785,
										BgL_sz00_4439, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4442);
									return BgL_za2za2resza2za2z00_4445;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3819> */
	obj_t BGl_z62zc3anonymousza33819ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19787)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19788;

				BgL_sz00_19788 = PROCEDURE_REF(BgL_envz00_19787, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33590;

						BgL_auxz00_33590 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33590, BgL_sz00_19788);
					}
				}
			}
		}
	}



/* &<anonymous:3825> */
	obj_t BGl_z62zc3anonymousza33825ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19789, obj_t BgL_sz00_19795)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19790;
				long BgL_siza7eza7_19791;
				BgL_ev_absz00_bglt BgL_i1320z00_19792;
				obj_t BgL_bodyz00_19793;
				long BgL_siza7ezd2framez75_19794;

				BgL_ifreesz00_19790 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19789, (int) (((long) 0))));
				BgL_siza7eza7_19791 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19789, (int) (((long) 1))));
				BgL_i1320z00_19792 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19789, (int) (((long) 2))));
				BgL_bodyz00_19793 = PROCEDURE_REF(BgL_envz00_19789, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19794 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19789, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4449;

					BgL_sz00_4449 = BgL_sz00_19795;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4451;

						BgL_bpz00_4451 = VECTOR_REF(BgL_sz00_4449, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4452;

							BgL_valza2za2_4452 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4449,
								BgL_bpz00_4451, BgL_ifreesz00_19790);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18877;

								BgL_runz00_18877 =
									MAKE_FX_PROCEDURE(BGl_z62run6160z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18877,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19791));
								PROCEDURE_SET(BgL_runz00_18877,
									(int) (((long) 1)), BgL_valza2za2_4452);
								PROCEDURE_SET(BgL_runz00_18877,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_19792));
								PROCEDURE_SET(BgL_runz00_18877,
									(int) (((long) 3)), BgL_bodyz00_19793);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18879;

									BgL_mainz00_18879 =
										MAKE_VA_PROCEDURE(BGl_z62main6159z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18879,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19791));
									PROCEDURE_SET(BgL_mainz00_18879,
										(int) (((long) 1)), BgL_valza2za2_4452);
									PROCEDURE_SET(BgL_mainz00_18879,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_19792));
									PROCEDURE_SET(BgL_mainz00_18879,
										(int) (((long) 3)), BgL_bodyz00_19793);
									PROCEDURE_SET(BgL_mainz00_18879,
										(int) (((long) 4)), BgL_runz00_18877);
									PROCEDURE_SET(BgL_mainz00_18879,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19794));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14797;

										BgL_objz00_14797 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18877, BgL_objz00_14797);
										BgL_objz00_14797;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3827z00_4455;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3828z00_4456;

											BgL_arg3828z00_4456 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19792))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_14799;

												BgL_framez00_14799 = BINT(BgL_siza7ezd2framez75_19794);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_14801;

													BgL_newz00_14801 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33646;

														BgL_auxz00_33646 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_14801, BgL_auxz00_33646,
															BgL_arg3828z00_4456);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33649;

														BgL_auxz00_33649 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_14801, BgL_auxz00_33649,
															BgL_framez00_14799);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33652;

														BgL_auxz00_33652 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_14801, BgL_auxz00_33652,
															BgL_runz00_18877);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_33657;
														int BgL_auxz00_33655;

														BgL_auxz00_33657 = BINT(((long) -2));
														BgL_auxz00_33655 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_14801, BgL_auxz00_33655,
															BgL_auxz00_33657);
													}
													BgL_arg3827z00_4455 = BgL_newz00_14801;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18879, BgL_arg3827z00_4455);
										BgL_arg3827z00_4455;
									}
									return BgL_mainz00_18879;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6159 */
	obj_t BGl_z62main6159z62zz__evaluate_compz00(obj_t BgL_envz00_19796,
		obj_t BgL_dz00_19803, obj_t BgL_lastz00_19804)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19801;
				long BgL_siza7ezd2framez75_19802;

				BgL_runz00_19801 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19796, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19802 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19796, (int) (((long) 5))));
				{
					obj_t BgL_dz00_4457;
					obj_t BgL_lastz00_4458;

					BgL_dz00_4457 = BgL_dz00_19803;
					BgL_lastz00_4458 = BgL_lastz00_19804;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4460;

						BgL_sz00_4460 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4461;

							BgL_bpz00_4461 = VECTOR_REF(BgL_sz00_4460, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33670;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14728;

									BgL_nz00_14728 = BINT(BgL_siza7ezd2framez75_19802);
									BgL_testz00_33670 =
										(
										((long) CINT(BgL_bpz00_4461) +
											(long) CINT(BgL_nz00_14728)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4460)));
								}
								if (BgL_testz00_33670)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3832z00_4463;

											BgL_arg3832z00_4463 =
												((long) CINT(BgL_bpz00_4461) + ((long) 0));
											VECTOR_SET(BgL_sz00_4460,
												(int) (BgL_arg3832z00_4463), BgL_dz00_4457);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3833z00_4464;

											BgL_arg3833z00_4464 =
												((long) CINT(BgL_bpz00_4461) + ((long) 1));
											VECTOR_SET(BgL_sz00_4460,
												(int) (BgL_arg3833z00_4464), BgL_lastz00_4458);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1431z00_4465;

											BgL_exitd1431z00_4465 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33834ze3z83_18878;

												BgL_zc3anonymousza33834ze3z83_18878 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33834ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33834ze3z83_18878,
													(int) (((long) 0)), BgL_sz00_4460);
												PROCEDURE_SET(BgL_zc3anonymousza33834ze3z83_18878,
													(int) (((long) 1)), BgL_bpz00_4461);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1431z00_4465,
													BgL_zc3anonymousza33834ze3z83_18878);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1433z00_4467;

													BgL_tmp1433z00_4467 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19801, BgL_sz00_4460, BgL_bpz00_4461);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1431z00_4465);
													VECTOR_SET(BgL_sz00_4460, (int) (((long) 0)),
														BgL_bpz00_4461);
													return BgL_tmp1433z00_4467;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4470;

										BgL_nsz00_4470 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4470,
											(int) (((long) 1)), BgL_sz00_4460);
										VECTOR_SET(BgL_nsz00_4470,
											(int) (((long) 2)), BgL_dz00_4457);
										VECTOR_SET(BgL_nsz00_4470,
											(int) (((long) 3)), BgL_lastz00_4458);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33706;

											BgL_auxz00_33706 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33706, BgL_nsz00_4470);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1434z00_4472;

											BgL_exitd1434z00_4472 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33836ze3z83_18876;

												BgL_zc3anonymousza33836ze3z83_18876 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33836ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33836ze3z83_18876,
													(int) (((long) 0)), BgL_sz00_4460);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1434z00_4472,
													BgL_zc3anonymousza33836ze3z83_18876);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1436z00_4474;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14770;

														BgL_savedzd2bpzd2_14770 =
															VECTOR_REF(BgL_nsz00_4470, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4470,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14777;

															BgL_fz00_14777 = BgL_runz00_19801;
														BgL_recz00_14776:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14778;

																BgL_rz00_14778 =
																	PROCEDURE_ENTRY(BgL_fz00_14777)
																	(BgL_fz00_14777, BgL_nsz00_4470, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33725;

																	if (PROCEDUREP(BgL_rz00_14778))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14783;

																			BgL_arg1964z00_14783 =
																				PROCEDURE_ATTR(BgL_rz00_14778);
																			if (STRUCTP(BgL_arg1964z00_14783))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33725 =
																						(STRUCT_KEY(BgL_arg1964z00_14783) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33725 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33725 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33725)
																		{
																			obj_t BgL_fz00_33733;

																			BgL_fz00_33733 = BgL_rz00_14778;
																			BgL_fz00_14777 = BgL_fz00_33733;
																			goto BgL_recz00_14776;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4470,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14770);
																			BgL_tmp1436z00_4474 = BgL_rz00_14778;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1434z00_4472);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33737;

														BgL_auxz00_33737 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33737,
															BgL_sz00_4460);
													}
													return BgL_tmp1436z00_4474;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3834> */
	obj_t BGl_z62zc3anonymousza33834ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19805)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19806;
				obj_t BgL_bpz00_19807;

				BgL_sz00_19806 = PROCEDURE_REF(BgL_envz00_19805, (int) (((long) 0)));
				BgL_bpz00_19807 = PROCEDURE_REF(BgL_envz00_19805, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19806, (int) (((long) 0)), BgL_bpz00_19807);
		}}}
	}



/* &run6160 */
	obj_t BGl_z62run6160z62zz__evaluate_compz00(obj_t BgL_envz00_19808,
		obj_t BgL_sz00_19813)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19809;
				obj_t BgL_valza2za2_19810;
				BgL_ev_absz00_bglt BgL_i1320z00_19811;
				obj_t BgL_bodyz00_19812;

				BgL_siza7eza7_19809 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19808, (int) (((long) 0))));
				BgL_valza2za2_19810 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19808, (int) (((long) 1))));
				BgL_i1320z00_19811 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19808, (int) (((long) 2))));
				BgL_bodyz00_19812 = PROCEDURE_REF(BgL_envz00_19808, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4479;

					BgL_sz00_4479 = BgL_sz00_19813;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4481;

						BgL_bpz00_4481 = VECTOR_REF(BgL_sz00_4479, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4479,
							BgL_valza2za2_19810,
							((long) CINT(BgL_bpz00_4481) + BgL_siza7eza7_19809));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4483;
							obj_t BgL_wherez00_4484;
							obj_t BgL_locz00_4485;

							BgL_z12denvz12_4483 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4484 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19811))->BgL_wherez00);
							BgL_locz00_4485 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19811))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4483, BgL_wherez00_4484,
									BgL_locz00_4485);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4486;

									BgL_za2za2resza2za2z00_4486 =
										PROCEDURE_ENTRY(BgL_bodyz00_19812) (BgL_bodyz00_19812,
										BgL_sz00_4479, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4483);
									return BgL_za2za2resza2za2z00_4486;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3836> */
	obj_t BGl_z62zc3anonymousza33836ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19814)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19815;

				BgL_sz00_19815 = PROCEDURE_REF(BgL_envz00_19814, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33773;

						BgL_auxz00_33773 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33773, BgL_sz00_19815);
					}
				}
			}
		}
	}



/* &<anonymous:3841> */
	obj_t BGl_z62zc3anonymousza33841ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19816, obj_t BgL_sz00_19823)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19817;
				obj_t BgL_iboxesz00_19818;
				long BgL_siza7eza7_19819;
				BgL_ev_absz00_bglt BgL_i1320z00_19820;
				obj_t BgL_bodyz00_19821;
				long BgL_siza7ezd2framez75_19822;

				BgL_ifreesz00_19817 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19816, (int) (((long) 0))));
				BgL_iboxesz00_19818 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19816, (int) (((long) 1))));
				BgL_siza7eza7_19819 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19816, (int) (((long) 2))));
				BgL_i1320z00_19820 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19816, (int) (((long) 3))));
				BgL_bodyz00_19821 = PROCEDURE_REF(BgL_envz00_19816, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19822 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19816, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4488;

					BgL_sz00_4488 = BgL_sz00_19823;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4490;

						BgL_bpz00_4490 = VECTOR_REF(BgL_sz00_4488, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4491;

							BgL_valza2za2_4491 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4488,
								BgL_bpz00_4490, BgL_ifreesz00_19817);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18872;

								BgL_runz00_18872 =
									MAKE_FX_PROCEDURE(BGl_z62run6162z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18872,
									(int) (((long) 0)), BgL_iboxesz00_19818);
								PROCEDURE_SET(BgL_runz00_18872,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19819));
								PROCEDURE_SET(BgL_runz00_18872,
									(int) (((long) 2)), BgL_valza2za2_4491);
								PROCEDURE_SET(BgL_runz00_18872,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_19820));
								PROCEDURE_SET(BgL_runz00_18872,
									(int) (((long) 4)), BgL_bodyz00_19821);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18874;

									BgL_mainz00_18874 =
										MAKE_VA_PROCEDURE(BGl_z62main6161z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18874,
										(int) (((long) 0)), BgL_iboxesz00_19818);
									PROCEDURE_SET(BgL_mainz00_18874,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19819));
									PROCEDURE_SET(BgL_mainz00_18874,
										(int) (((long) 2)), BgL_valza2za2_4491);
									PROCEDURE_SET(BgL_mainz00_18874,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_19820));
									PROCEDURE_SET(BgL_mainz00_18874,
										(int) (((long) 4)), BgL_bodyz00_19821);
									PROCEDURE_SET(BgL_mainz00_18874,
										(int) (((long) 5)), BgL_runz00_18872);
									PROCEDURE_SET(BgL_mainz00_18874,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19822));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14902;

										BgL_objz00_14902 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18872, BgL_objz00_14902);
										BgL_objz00_14902;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3843z00_4494;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3844z00_4495;

											BgL_arg3844z00_4495 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19820))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_14904;

												BgL_framez00_14904 = BINT(BgL_siza7ezd2framez75_19822);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_14906;

													BgL_newz00_14906 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33836;

														BgL_auxz00_33836 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_14906, BgL_auxz00_33836,
															BgL_arg3844z00_4495);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33839;

														BgL_auxz00_33839 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_14906, BgL_auxz00_33839,
															BgL_framez00_14904);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_33842;

														BgL_auxz00_33842 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_14906, BgL_auxz00_33842,
															BgL_runz00_18872);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_33847;
														int BgL_auxz00_33845;

														BgL_auxz00_33847 = BINT(((long) -2));
														BgL_auxz00_33845 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_14906, BgL_auxz00_33845,
															BgL_auxz00_33847);
													}
													BgL_arg3843z00_4494 = BgL_newz00_14906;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18874, BgL_arg3843z00_4494);
										BgL_arg3843z00_4494;
									}
									return BgL_mainz00_18874;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6161 */
	obj_t BGl_z62main6161z62zz__evaluate_compz00(obj_t BgL_envz00_19824,
		obj_t BgL_dz00_19832, obj_t BgL_lastz00_19833)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19830;
				long BgL_siza7ezd2framez75_19831;

				BgL_runz00_19830 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19824, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19831 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19824, (int) (((long) 6))));
				{
					obj_t BgL_dz00_4496;
					obj_t BgL_lastz00_4497;

					BgL_dz00_4496 = BgL_dz00_19832;
					BgL_lastz00_4497 = BgL_lastz00_19833;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4499;

						BgL_sz00_4499 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4500;

							BgL_bpz00_4500 = VECTOR_REF(BgL_sz00_4499, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33860;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14833;

									BgL_nz00_14833 = BINT(BgL_siza7ezd2framez75_19831);
									BgL_testz00_33860 =
										(
										((long) CINT(BgL_bpz00_4500) +
											(long) CINT(BgL_nz00_14833)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4499)));
								}
								if (BgL_testz00_33860)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3847z00_4502;

											BgL_arg3847z00_4502 =
												((long) CINT(BgL_bpz00_4500) + ((long) 0));
											VECTOR_SET(BgL_sz00_4499,
												(int) (BgL_arg3847z00_4502), BgL_dz00_4496);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3849z00_4503;

											BgL_arg3849z00_4503 =
												((long) CINT(BgL_bpz00_4500) + ((long) 1));
											VECTOR_SET(BgL_sz00_4499,
												(int) (BgL_arg3849z00_4503), BgL_lastz00_4497);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1437z00_4504;

											BgL_exitd1437z00_4504 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33850ze3z83_18873;

												BgL_zc3anonymousza33850ze3z83_18873 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33850ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33850ze3z83_18873,
													(int) (((long) 0)), BgL_sz00_4499);
												PROCEDURE_SET(BgL_zc3anonymousza33850ze3z83_18873,
													(int) (((long) 1)), BgL_bpz00_4500);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1437z00_4504,
													BgL_zc3anonymousza33850ze3z83_18873);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1439z00_4506;

													BgL_tmp1439z00_4506 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19830, BgL_sz00_4499, BgL_bpz00_4500);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1437z00_4504);
													VECTOR_SET(BgL_sz00_4499, (int) (((long) 0)),
														BgL_bpz00_4500);
													return BgL_tmp1439z00_4506;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4509;

										BgL_nsz00_4509 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4509,
											(int) (((long) 1)), BgL_sz00_4499);
										VECTOR_SET(BgL_nsz00_4509,
											(int) (((long) 2)), BgL_dz00_4496);
										VECTOR_SET(BgL_nsz00_4509,
											(int) (((long) 3)), BgL_lastz00_4497);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33896;

											BgL_auxz00_33896 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33896, BgL_nsz00_4509);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1440z00_4511;

											BgL_exitd1440z00_4511 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33852ze3z83_18871;

												BgL_zc3anonymousza33852ze3z83_18871 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33852ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33852ze3z83_18871,
													(int) (((long) 0)), BgL_sz00_4499);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1440z00_4511,
													BgL_zc3anonymousza33852ze3z83_18871);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1442z00_4513;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14875;

														BgL_savedzd2bpzd2_14875 =
															VECTOR_REF(BgL_nsz00_4509, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4509,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14882;

															BgL_fz00_14882 = BgL_runz00_19830;
														BgL_recz00_14881:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14883;

																BgL_rz00_14883 =
																	PROCEDURE_ENTRY(BgL_fz00_14882)
																	(BgL_fz00_14882, BgL_nsz00_4509, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33915;

																	if (PROCEDUREP(BgL_rz00_14883))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14888;

																			BgL_arg1964z00_14888 =
																				PROCEDURE_ATTR(BgL_rz00_14883);
																			if (STRUCTP(BgL_arg1964z00_14888))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33915 =
																						(STRUCT_KEY(BgL_arg1964z00_14888) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33915 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33915 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33915)
																		{
																			obj_t BgL_fz00_33923;

																			BgL_fz00_33923 = BgL_rz00_14883;
																			BgL_fz00_14882 = BgL_fz00_33923;
																			goto BgL_recz00_14881;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4509,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14875);
																			BgL_tmp1442z00_4513 = BgL_rz00_14883;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1440z00_4511);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33927;

														BgL_auxz00_33927 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33927,
															BgL_sz00_4499);
													}
													return BgL_tmp1442z00_4513;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3850> */
	obj_t BGl_z62zc3anonymousza33850ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19834)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19835;
				obj_t BgL_bpz00_19836;

				BgL_sz00_19835 = PROCEDURE_REF(BgL_envz00_19834, (int) (((long) 0)));
				BgL_bpz00_19836 = PROCEDURE_REF(BgL_envz00_19834, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19835, (int) (((long) 0)), BgL_bpz00_19836);
		}}}
	}



/* &run6162 */
	obj_t BGl_z62run6162z62zz__evaluate_compz00(obj_t BgL_envz00_19837,
		obj_t BgL_sz00_19843)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19838;
				long BgL_siza7eza7_19839;
				obj_t BgL_valza2za2_19840;
				BgL_ev_absz00_bglt BgL_i1320z00_19841;
				obj_t BgL_bodyz00_19842;

				BgL_iboxesz00_19838 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19837, (int) (((long) 0))));
				BgL_siza7eza7_19839 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19837, (int) (((long) 1))));
				BgL_valza2za2_19840 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19837, (int) (((long) 2))));
				BgL_i1320z00_19841 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19837, (int) (((long) 3))));
				BgL_bodyz00_19842 = PROCEDURE_REF(BgL_envz00_19837, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4518;

					BgL_sz00_4518 = BgL_sz00_19843;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4520;

						BgL_bpz00_4520 = VECTOR_REF(BgL_sz00_4518, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4518,
							BgL_iboxesz00_19838, BgL_bpz00_4520);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4518,
							BgL_valza2za2_19840,
							((long) CINT(BgL_bpz00_4520) + BgL_siza7eza7_19839));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4522;
							obj_t BgL_wherez00_4523;
							obj_t BgL_locz00_4524;

							BgL_z12denvz12_4522 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4523 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19841))->BgL_wherez00);
							BgL_locz00_4524 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19841))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4522, BgL_wherez00_4523,
									BgL_locz00_4524);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4525;

									BgL_za2za2resza2za2z00_4525 =
										PROCEDURE_ENTRY(BgL_bodyz00_19842) (BgL_bodyz00_19842,
										BgL_sz00_4518, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4522);
									return BgL_za2za2resza2za2z00_4525;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3852> */
	obj_t BGl_z62zc3anonymousza33852ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19844)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19845;

				BgL_sz00_19845 = PROCEDURE_REF(BgL_envz00_19844, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33967;

						BgL_auxz00_33967 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33967, BgL_sz00_19845);
					}
				}
			}
		}
	}



/* &<anonymous:3722> */
	obj_t BGl_z62zc3anonymousza33722ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19846, obj_t BgL_sz00_19850)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19847;
				obj_t BgL_bodyz00_19848;
				long BgL_siza7ezd2framez75_19849;

				BgL_i1320z00_19847 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19846, (int) (((long) 0))));
				BgL_bodyz00_19848 = PROCEDURE_REF(BgL_envz00_19846, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19849 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19846, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4223;

					BgL_sz00_4223 = BgL_sz00_19850;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4225;

						BgL_bpz00_4225 = VECTOR_REF(BgL_sz00_4223, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18867;

								BgL_runz00_18867 =
									MAKE_FX_PROCEDURE(BGl_z62run6164z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18867,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_19847));
								PROCEDURE_SET(BgL_runz00_18867,
									(int) (((long) 1)), BgL_bodyz00_19848);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18869;

									BgL_mainz00_18869 =
										MAKE_FX_PROCEDURE(BGl_z62main6163z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18869,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_19847));
									PROCEDURE_SET(BgL_mainz00_18869,
										(int) (((long) 1)), BgL_bodyz00_19848);
									PROCEDURE_SET(BgL_mainz00_18869,
										(int) (((long) 2)), BgL_runz00_18867);
									PROCEDURE_SET(BgL_mainz00_18869,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19849));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14187;

										BgL_objz00_14187 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18867, BgL_objz00_14187);
										BgL_objz00_14187;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3723z00_4228;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3727z00_4229;

											BgL_arg3727z00_4229 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19847))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_14189;

												BgL_framez00_14189 = BINT(BgL_siza7ezd2framez75_19849);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_14191;

													BgL_newz00_14191 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34006;

														BgL_auxz00_34006 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_14191, BgL_auxz00_34006,
															BgL_arg3727z00_4229);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34009;

														BgL_auxz00_34009 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_14191, BgL_auxz00_34009,
															BgL_framez00_14189);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34012;

														BgL_auxz00_34012 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_14191, BgL_auxz00_34012,
															BgL_runz00_18867);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_34017;
														int BgL_auxz00_34015;

														BgL_auxz00_34017 = BINT(((long) 1));
														BgL_auxz00_34015 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_14191, BgL_auxz00_34015,
															BgL_auxz00_34017);
													}
													BgL_arg3723z00_4228 = BgL_newz00_14191;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18869, BgL_arg3723z00_4228);
										BgL_arg3723z00_4228;
									}
									return BgL_mainz00_18869;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6163 */
	obj_t BGl_z62main6163z62zz__evaluate_compz00(obj_t BgL_envz00_19851,
		obj_t BgL_dz00_19856)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19854;
				long BgL_siza7ezd2framez75_19855;

				BgL_runz00_19854 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19851, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19855 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19851, (int) (((long) 3))));
				{
					obj_t BgL_dz00_4230;

					BgL_dz00_4230 = BgL_dz00_19856;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4232;

						BgL_sz00_4232 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4233;

							BgL_bpz00_4233 = VECTOR_REF(BgL_sz00_4232, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34030;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14127;

									BgL_nz00_14127 = BINT(BgL_siza7ezd2framez75_19855);
									BgL_testz00_34030 =
										(
										((long) CINT(BgL_bpz00_4233) +
											(long) CINT(BgL_nz00_14127)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4232)));
								}
								if (BgL_testz00_34030)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3730z00_4235;

											BgL_arg3730z00_4235 =
												((long) CINT(BgL_bpz00_4233) + ((long) 0));
											VECTOR_SET(BgL_sz00_4232,
												(int) (BgL_arg3730z00_4235), BgL_dz00_4230);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1395z00_4236;

											BgL_exitd1395z00_4236 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33731ze3z83_18868;

												BgL_zc3anonymousza33731ze3z83_18868 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33731ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33731ze3z83_18868,
													(int) (((long) 0)), BgL_sz00_4232);
												PROCEDURE_SET(BgL_zc3anonymousza33731ze3z83_18868,
													(int) (((long) 1)), BgL_bpz00_4233);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1395z00_4236,
													BgL_zc3anonymousza33731ze3z83_18868);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1397z00_4238;

													BgL_tmp1397z00_4238 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19854, BgL_sz00_4232, BgL_bpz00_4233);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1395z00_4236);
													VECTOR_SET(BgL_sz00_4232, (int) (((long) 0)),
														BgL_bpz00_4233);
													return BgL_tmp1397z00_4238;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4241;

										BgL_nsz00_4241 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4241,
											(int) (((long) 1)), BgL_sz00_4232);
										VECTOR_SET(BgL_nsz00_4241,
											(int) (((long) 2)), BgL_dz00_4230);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34060;

											BgL_auxz00_34060 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34060, BgL_nsz00_4241);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1398z00_4243;

											BgL_exitd1398z00_4243 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33733ze3z83_18866;

												BgL_zc3anonymousza33733ze3z83_18866 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33733ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33733ze3z83_18866,
													(int) (((long) 0)), BgL_sz00_4232);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1398z00_4243,
													BgL_zc3anonymousza33733ze3z83_18866);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1400z00_4245;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14160;

														BgL_savedzd2bpzd2_14160 =
															VECTOR_REF(BgL_nsz00_4241, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4241,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14167;

															BgL_fz00_14167 = BgL_runz00_19854;
														BgL_recz00_14166:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14168;

																BgL_rz00_14168 =
																	PROCEDURE_ENTRY(BgL_fz00_14167)
																	(BgL_fz00_14167, BgL_nsz00_4241, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34079;

																	if (PROCEDUREP(BgL_rz00_14168))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14173;

																			BgL_arg1964z00_14173 =
																				PROCEDURE_ATTR(BgL_rz00_14168);
																			if (STRUCTP(BgL_arg1964z00_14173))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34079 =
																						(STRUCT_KEY(BgL_arg1964z00_14173) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34079 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34079 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34079)
																		{
																			obj_t BgL_fz00_34087;

																			BgL_fz00_34087 = BgL_rz00_14168;
																			BgL_fz00_14167 = BgL_fz00_34087;
																			goto BgL_recz00_14166;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4241,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14160);
																			BgL_tmp1400z00_4245 = BgL_rz00_14168;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1398z00_4243);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34091;

														BgL_auxz00_34091 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34091,
															BgL_sz00_4232);
													}
													return BgL_tmp1400z00_4245;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3731> */
	obj_t BGl_z62zc3anonymousza33731ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19857)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19858;
				obj_t BgL_bpz00_19859;

				BgL_sz00_19858 = PROCEDURE_REF(BgL_envz00_19857, (int) (((long) 0)));
				BgL_bpz00_19859 = PROCEDURE_REF(BgL_envz00_19857, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19858, (int) (((long) 0)), BgL_bpz00_19859);
		}}}
	}



/* &run6164 */
	obj_t BGl_z62run6164z62zz__evaluate_compz00(obj_t BgL_envz00_19860,
		obj_t BgL_sz00_19863)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19861;
				obj_t BgL_bodyz00_19862;

				BgL_i1320z00_19861 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19860, (int) (((long) 0))));
				BgL_bodyz00_19862 = PROCEDURE_REF(BgL_envz00_19860, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4250;

					BgL_sz00_4250 = BgL_sz00_19863;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4252;

						BgL_bpz00_4252 = VECTOR_REF(BgL_sz00_4250, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4253;
							obj_t BgL_wherez00_4254;
							obj_t BgL_locz00_4255;

							BgL_z12denvz12_4253 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4254 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19861))->BgL_wherez00);
							BgL_locz00_4255 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19861))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4253, BgL_wherez00_4254,
									BgL_locz00_4255);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4256;

									BgL_za2za2resza2za2z00_4256 =
										PROCEDURE_ENTRY(BgL_bodyz00_19862) (BgL_bodyz00_19862,
										BgL_sz00_4250, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4253);
									return BgL_za2za2resza2za2z00_4256;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3733> */
	obj_t BGl_z62zc3anonymousza33733ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19864)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19865;

				BgL_sz00_19865 = PROCEDURE_REF(BgL_envz00_19864, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34118;

						BgL_auxz00_34118 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34118, BgL_sz00_19865);
					}
				}
			}
		}
	}



/* &<anonymous:3736> */
	obj_t BGl_z62zc3anonymousza33736ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19866, obj_t BgL_sz00_19871)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19867;
				BgL_ev_absz00_bglt BgL_i1320z00_19868;
				obj_t BgL_bodyz00_19869;
				long BgL_siza7ezd2framez75_19870;

				BgL_iboxesz00_19867 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19866, (int) (((long) 0))));
				BgL_i1320z00_19868 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19866, (int) (((long) 1))));
				BgL_bodyz00_19869 = PROCEDURE_REF(BgL_envz00_19866, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19870 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19866, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4258;

					BgL_sz00_4258 = BgL_sz00_19871;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4260;

						BgL_bpz00_4260 = VECTOR_REF(BgL_sz00_4258, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18862;

								BgL_runz00_18862 =
									MAKE_FX_PROCEDURE(BGl_z62run6166z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18862,
									(int) (((long) 0)), BgL_iboxesz00_19867);
								PROCEDURE_SET(BgL_runz00_18862,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_19868));
								PROCEDURE_SET(BgL_runz00_18862,
									(int) (((long) 2)), BgL_bodyz00_19869);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18864;

									BgL_mainz00_18864 =
										MAKE_FX_PROCEDURE(BGl_z62main6165z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18864,
										(int) (((long) 0)), BgL_iboxesz00_19867);
									PROCEDURE_SET(BgL_mainz00_18864,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_19868));
									PROCEDURE_SET(BgL_mainz00_18864,
										(int) (((long) 2)), BgL_bodyz00_19869);
									PROCEDURE_SET(BgL_mainz00_18864,
										(int) (((long) 3)), BgL_runz00_18862);
									PROCEDURE_SET(BgL_mainz00_18864,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19870));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14280;

										BgL_objz00_14280 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18862, BgL_objz00_14280);
										BgL_objz00_14280;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3739z00_4263;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3740z00_4264;

											BgL_arg3740z00_4264 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19868))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_14282;

												BgL_framez00_14282 = BINT(BgL_siza7ezd2framez75_19870);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_14284;

													BgL_newz00_14284 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34164;

														BgL_auxz00_34164 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_14284, BgL_auxz00_34164,
															BgL_arg3740z00_4264);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34167;

														BgL_auxz00_34167 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_14284, BgL_auxz00_34167,
															BgL_framez00_14282);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34170;

														BgL_auxz00_34170 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_14284, BgL_auxz00_34170,
															BgL_runz00_18862);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_34175;
														int BgL_auxz00_34173;

														BgL_auxz00_34175 = BINT(((long) 1));
														BgL_auxz00_34173 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_14284, BgL_auxz00_34173,
															BgL_auxz00_34175);
													}
													BgL_arg3739z00_4263 = BgL_newz00_14284;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18864, BgL_arg3739z00_4263);
										BgL_arg3739z00_4263;
									}
									return BgL_mainz00_18864;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6165 */
	obj_t BGl_z62main6165z62zz__evaluate_compz00(obj_t BgL_envz00_19872,
		obj_t BgL_dz00_19878)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19876;
				long BgL_siza7ezd2framez75_19877;

				BgL_runz00_19876 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19872, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19877 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19872, (int) (((long) 4))));
				{
					obj_t BgL_dz00_4265;

					BgL_dz00_4265 = BgL_dz00_19878;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4267;

						BgL_sz00_4267 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4268;

							BgL_bpz00_4268 = VECTOR_REF(BgL_sz00_4267, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34188;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14220;

									BgL_nz00_14220 = BINT(BgL_siza7ezd2framez75_19877);
									BgL_testz00_34188 =
										(
										((long) CINT(BgL_bpz00_4268) +
											(long) CINT(BgL_nz00_14220)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4267)));
								}
								if (BgL_testz00_34188)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3743z00_4270;

											BgL_arg3743z00_4270 =
												((long) CINT(BgL_bpz00_4268) + ((long) 0));
											VECTOR_SET(BgL_sz00_4267,
												(int) (BgL_arg3743z00_4270), BgL_dz00_4265);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1401z00_4271;

											BgL_exitd1401z00_4271 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33744ze3z83_18863;

												BgL_zc3anonymousza33744ze3z83_18863 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33744ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33744ze3z83_18863,
													(int) (((long) 0)), BgL_sz00_4267);
												PROCEDURE_SET(BgL_zc3anonymousza33744ze3z83_18863,
													(int) (((long) 1)), BgL_bpz00_4268);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1401z00_4271,
													BgL_zc3anonymousza33744ze3z83_18863);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1403z00_4273;

													BgL_tmp1403z00_4273 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19876, BgL_sz00_4267, BgL_bpz00_4268);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1401z00_4271);
													VECTOR_SET(BgL_sz00_4267, (int) (((long) 0)),
														BgL_bpz00_4268);
													return BgL_tmp1403z00_4273;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4276;

										BgL_nsz00_4276 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4276,
											(int) (((long) 1)), BgL_sz00_4267);
										VECTOR_SET(BgL_nsz00_4276,
											(int) (((long) 2)), BgL_dz00_4265);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34218;

											BgL_auxz00_34218 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34218, BgL_nsz00_4276);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1404z00_4278;

											BgL_exitd1404z00_4278 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33746ze3z83_18861;

												BgL_zc3anonymousza33746ze3z83_18861 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33746ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33746ze3z83_18861,
													(int) (((long) 0)), BgL_sz00_4267);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1404z00_4278,
													BgL_zc3anonymousza33746ze3z83_18861);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1406z00_4280;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14253;

														BgL_savedzd2bpzd2_14253 =
															VECTOR_REF(BgL_nsz00_4276, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4276,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14260;

															BgL_fz00_14260 = BgL_runz00_19876;
														BgL_recz00_14259:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14261;

																BgL_rz00_14261 =
																	PROCEDURE_ENTRY(BgL_fz00_14260)
																	(BgL_fz00_14260, BgL_nsz00_4276, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34237;

																	if (PROCEDUREP(BgL_rz00_14261))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14266;

																			BgL_arg1964z00_14266 =
																				PROCEDURE_ATTR(BgL_rz00_14261);
																			if (STRUCTP(BgL_arg1964z00_14266))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34237 =
																						(STRUCT_KEY(BgL_arg1964z00_14266) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34237 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34237 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34237)
																		{
																			obj_t BgL_fz00_34245;

																			BgL_fz00_34245 = BgL_rz00_14261;
																			BgL_fz00_14260 = BgL_fz00_34245;
																			goto BgL_recz00_14259;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4276,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14253);
																			BgL_tmp1406z00_4280 = BgL_rz00_14261;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1404z00_4278);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34249;

														BgL_auxz00_34249 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34249,
															BgL_sz00_4267);
													}
													return BgL_tmp1406z00_4280;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3744> */
	obj_t BGl_z62zc3anonymousza33744ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19879)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19880;
				obj_t BgL_bpz00_19881;

				BgL_sz00_19880 = PROCEDURE_REF(BgL_envz00_19879, (int) (((long) 0)));
				BgL_bpz00_19881 = PROCEDURE_REF(BgL_envz00_19879, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19880, (int) (((long) 0)), BgL_bpz00_19881);
		}}}
	}



/* &run6166 */
	obj_t BGl_z62run6166z62zz__evaluate_compz00(obj_t BgL_envz00_19882,
		obj_t BgL_sz00_19886)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19883;
				BgL_ev_absz00_bglt BgL_i1320z00_19884;
				obj_t BgL_bodyz00_19885;

				BgL_iboxesz00_19883 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19882, (int) (((long) 0))));
				BgL_i1320z00_19884 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19882, (int) (((long) 1))));
				BgL_bodyz00_19885 = PROCEDURE_REF(BgL_envz00_19882, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4285;

					BgL_sz00_4285 = BgL_sz00_19886;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4287;

						BgL_bpz00_4287 = VECTOR_REF(BgL_sz00_4285, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4285,
							BgL_iboxesz00_19883, BgL_bpz00_4287);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4288;
							obj_t BgL_wherez00_4289;
							obj_t BgL_locz00_4290;

							BgL_z12denvz12_4288 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4289 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19884))->BgL_wherez00);
							BgL_locz00_4290 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19884))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4288, BgL_wherez00_4289,
									BgL_locz00_4290);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4291;

									BgL_za2za2resza2za2z00_4291 =
										PROCEDURE_ENTRY(BgL_bodyz00_19885) (BgL_bodyz00_19885,
										BgL_sz00_4285, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4288);
									return BgL_za2za2resza2za2z00_4291;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3746> */
	obj_t BGl_z62zc3anonymousza33746ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19887)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19888;

				BgL_sz00_19888 = PROCEDURE_REF(BgL_envz00_19887, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34280;

						BgL_auxz00_34280 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34280, BgL_sz00_19888);
					}
				}
			}
		}
	}



/* &<anonymous:3754> */
	obj_t BGl_z62zc3anonymousza33754ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19889, obj_t BgL_sz00_19895)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19890;
				long BgL_siza7eza7_19891;
				BgL_ev_absz00_bglt BgL_i1320z00_19892;
				obj_t BgL_bodyz00_19893;
				long BgL_siza7ezd2framez75_19894;

				BgL_ifreesz00_19890 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19889, (int) (((long) 0))));
				BgL_siza7eza7_19891 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19889, (int) (((long) 1))));
				BgL_i1320z00_19892 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19889, (int) (((long) 2))));
				BgL_bodyz00_19893 = PROCEDURE_REF(BgL_envz00_19889, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19894 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19889, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4295;

					BgL_sz00_4295 = BgL_sz00_19895;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4297;

						BgL_bpz00_4297 = VECTOR_REF(BgL_sz00_4295, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4298;

							BgL_valza2za2_4298 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4295,
								BgL_bpz00_4297, BgL_ifreesz00_19890);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18857;

								BgL_runz00_18857 =
									MAKE_FX_PROCEDURE(BGl_z62run6168z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18857,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19891));
								PROCEDURE_SET(BgL_runz00_18857,
									(int) (((long) 1)), BgL_valza2za2_4298);
								PROCEDURE_SET(BgL_runz00_18857,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_19892));
								PROCEDURE_SET(BgL_runz00_18857,
									(int) (((long) 3)), BgL_bodyz00_19893);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18859;

									BgL_mainz00_18859 =
										MAKE_FX_PROCEDURE(BGl_z62main6167z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18859,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19891));
									PROCEDURE_SET(BgL_mainz00_18859,
										(int) (((long) 1)), BgL_valza2za2_4298);
									PROCEDURE_SET(BgL_mainz00_18859,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_19892));
									PROCEDURE_SET(BgL_mainz00_18859,
										(int) (((long) 3)), BgL_bodyz00_19893);
									PROCEDURE_SET(BgL_mainz00_18859,
										(int) (((long) 4)), BgL_runz00_18857);
									PROCEDURE_SET(BgL_mainz00_18859,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19894));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14380;

										BgL_objz00_14380 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18857, BgL_objz00_14380);
										BgL_objz00_14380;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3755z00_4301;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3756z00_4302;

											BgL_arg3756z00_4302 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19892))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_14382;

												BgL_framez00_14382 = BINT(BgL_siza7ezd2framez75_19894);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_14384;

													BgL_newz00_14384 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34336;

														BgL_auxz00_34336 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_14384, BgL_auxz00_34336,
															BgL_arg3756z00_4302);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34339;

														BgL_auxz00_34339 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_14384, BgL_auxz00_34339,
															BgL_framez00_14382);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34342;

														BgL_auxz00_34342 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_14384, BgL_auxz00_34342,
															BgL_runz00_18857);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_34347;
														int BgL_auxz00_34345;

														BgL_auxz00_34347 = BINT(((long) 1));
														BgL_auxz00_34345 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_14384, BgL_auxz00_34345,
															BgL_auxz00_34347);
													}
													BgL_arg3755z00_4301 = BgL_newz00_14384;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18859, BgL_arg3755z00_4301);
										BgL_arg3755z00_4301;
									}
									return BgL_mainz00_18859;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6167 */
	obj_t BGl_z62main6167z62zz__evaluate_compz00(obj_t BgL_envz00_19896,
		obj_t BgL_dz00_19903)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19901;
				long BgL_siza7ezd2framez75_19902;

				BgL_runz00_19901 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19896, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19902 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19896, (int) (((long) 5))));
				{
					obj_t BgL_dz00_4303;

					BgL_dz00_4303 = BgL_dz00_19903;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4305;

						BgL_sz00_4305 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4306;

							BgL_bpz00_4306 = VECTOR_REF(BgL_sz00_4305, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34360;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14320;

									BgL_nz00_14320 = BINT(BgL_siza7ezd2framez75_19902);
									BgL_testz00_34360 =
										(
										((long) CINT(BgL_bpz00_4306) +
											(long) CINT(BgL_nz00_14320)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4305)));
								}
								if (BgL_testz00_34360)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3759z00_4308;

											BgL_arg3759z00_4308 =
												((long) CINT(BgL_bpz00_4306) + ((long) 0));
											VECTOR_SET(BgL_sz00_4305,
												(int) (BgL_arg3759z00_4308), BgL_dz00_4303);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1407z00_4309;

											BgL_exitd1407z00_4309 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33760ze3z83_18858;

												BgL_zc3anonymousza33760ze3z83_18858 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33760ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33760ze3z83_18858,
													(int) (((long) 0)), BgL_sz00_4305);
												PROCEDURE_SET(BgL_zc3anonymousza33760ze3z83_18858,
													(int) (((long) 1)), BgL_bpz00_4306);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1407z00_4309,
													BgL_zc3anonymousza33760ze3z83_18858);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1409z00_4311;

													BgL_tmp1409z00_4311 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19901, BgL_sz00_4305, BgL_bpz00_4306);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1407z00_4309);
													VECTOR_SET(BgL_sz00_4305, (int) (((long) 0)),
														BgL_bpz00_4306);
													return BgL_tmp1409z00_4311;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4314;

										BgL_nsz00_4314 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4314,
											(int) (((long) 1)), BgL_sz00_4305);
										VECTOR_SET(BgL_nsz00_4314,
											(int) (((long) 2)), BgL_dz00_4303);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34390;

											BgL_auxz00_34390 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34390, BgL_nsz00_4314);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1410z00_4316;

											BgL_exitd1410z00_4316 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33762ze3z83_18856;

												BgL_zc3anonymousza33762ze3z83_18856 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33762ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33762ze3z83_18856,
													(int) (((long) 0)), BgL_sz00_4305);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1410z00_4316,
													BgL_zc3anonymousza33762ze3z83_18856);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1412z00_4318;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14353;

														BgL_savedzd2bpzd2_14353 =
															VECTOR_REF(BgL_nsz00_4314, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4314,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14360;

															BgL_fz00_14360 = BgL_runz00_19901;
														BgL_recz00_14359:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14361;

																BgL_rz00_14361 =
																	PROCEDURE_ENTRY(BgL_fz00_14360)
																	(BgL_fz00_14360, BgL_nsz00_4314, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34409;

																	if (PROCEDUREP(BgL_rz00_14361))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14366;

																			BgL_arg1964z00_14366 =
																				PROCEDURE_ATTR(BgL_rz00_14361);
																			if (STRUCTP(BgL_arg1964z00_14366))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34409 =
																						(STRUCT_KEY(BgL_arg1964z00_14366) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34409 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34409 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34409)
																		{
																			obj_t BgL_fz00_34417;

																			BgL_fz00_34417 = BgL_rz00_14361;
																			BgL_fz00_14360 = BgL_fz00_34417;
																			goto BgL_recz00_14359;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4314,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14353);
																			BgL_tmp1412z00_4318 = BgL_rz00_14361;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1410z00_4316);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34421;

														BgL_auxz00_34421 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34421,
															BgL_sz00_4305);
													}
													return BgL_tmp1412z00_4318;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3760> */
	obj_t BGl_z62zc3anonymousza33760ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19904)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19905;
				obj_t BgL_bpz00_19906;

				BgL_sz00_19905 = PROCEDURE_REF(BgL_envz00_19904, (int) (((long) 0)));
				BgL_bpz00_19906 = PROCEDURE_REF(BgL_envz00_19904, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19905, (int) (((long) 0)), BgL_bpz00_19906);
		}}}
	}



/* &run6168 */
	obj_t BGl_z62run6168z62zz__evaluate_compz00(obj_t BgL_envz00_19907,
		obj_t BgL_sz00_19912)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19908;
				obj_t BgL_valza2za2_19909;
				BgL_ev_absz00_bglt BgL_i1320z00_19910;
				obj_t BgL_bodyz00_19911;

				BgL_siza7eza7_19908 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19907, (int) (((long) 0))));
				BgL_valza2za2_19909 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19907, (int) (((long) 1))));
				BgL_i1320z00_19910 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19907, (int) (((long) 2))));
				BgL_bodyz00_19911 = PROCEDURE_REF(BgL_envz00_19907, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4323;

					BgL_sz00_4323 = BgL_sz00_19912;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4325;

						BgL_bpz00_4325 = VECTOR_REF(BgL_sz00_4323, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4323,
							BgL_valza2za2_19909,
							((long) CINT(BgL_bpz00_4325) + BgL_siza7eza7_19908));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4327;
							obj_t BgL_wherez00_4328;
							obj_t BgL_locz00_4329;

							BgL_z12denvz12_4327 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4328 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19910))->BgL_wherez00);
							BgL_locz00_4329 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19910))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4327, BgL_wherez00_4328,
									BgL_locz00_4329);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4330;

									BgL_za2za2resza2za2z00_4330 =
										PROCEDURE_ENTRY(BgL_bodyz00_19911) (BgL_bodyz00_19911,
										BgL_sz00_4323, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4327);
									return BgL_za2za2resza2za2z00_4330;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3762> */
	obj_t BGl_z62zc3anonymousza33762ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19913)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19914;

				BgL_sz00_19914 = PROCEDURE_REF(BgL_envz00_19913, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34457;

						BgL_auxz00_34457 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34457, BgL_sz00_19914);
					}
				}
			}
		}
	}



/* &<anonymous:3768> */
	obj_t BGl_z62zc3anonymousza33768ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19915, obj_t BgL_sz00_19922)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19916;
				obj_t BgL_iboxesz00_19917;
				long BgL_siza7eza7_19918;
				BgL_ev_absz00_bglt BgL_i1320z00_19919;
				obj_t BgL_bodyz00_19920;
				long BgL_siza7ezd2framez75_19921;

				BgL_ifreesz00_19916 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19915, (int) (((long) 0))));
				BgL_iboxesz00_19917 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19915, (int) (((long) 1))));
				BgL_siza7eza7_19918 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19915, (int) (((long) 2))));
				BgL_i1320z00_19919 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19915, (int) (((long) 3))));
				BgL_bodyz00_19920 = PROCEDURE_REF(BgL_envz00_19915, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19921 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19915, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4332;

					BgL_sz00_4332 = BgL_sz00_19922;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4334;

						BgL_bpz00_4334 = VECTOR_REF(BgL_sz00_4332, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4335;

							BgL_valza2za2_4335 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4332,
								BgL_bpz00_4334, BgL_ifreesz00_19916);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18852;

								BgL_runz00_18852 =
									MAKE_FX_PROCEDURE(BGl_z62run6170z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18852,
									(int) (((long) 0)), BgL_iboxesz00_19917);
								PROCEDURE_SET(BgL_runz00_18852,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19918));
								PROCEDURE_SET(BgL_runz00_18852,
									(int) (((long) 2)), BgL_valza2za2_4335);
								PROCEDURE_SET(BgL_runz00_18852,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_19919));
								PROCEDURE_SET(BgL_runz00_18852,
									(int) (((long) 4)), BgL_bodyz00_19920);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18854;

									BgL_mainz00_18854 =
										MAKE_FX_PROCEDURE(BGl_z62main6169z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18854,
										(int) (((long) 0)), BgL_iboxesz00_19917);
									PROCEDURE_SET(BgL_mainz00_18854,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19918));
									PROCEDURE_SET(BgL_mainz00_18854,
										(int) (((long) 2)), BgL_valza2za2_4335);
									PROCEDURE_SET(BgL_mainz00_18854,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_19919));
									PROCEDURE_SET(BgL_mainz00_18854,
										(int) (((long) 4)), BgL_bodyz00_19920);
									PROCEDURE_SET(BgL_mainz00_18854,
										(int) (((long) 5)), BgL_runz00_18852);
									PROCEDURE_SET(BgL_mainz00_18854,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19921));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14476;

										BgL_objz00_14476 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18852, BgL_objz00_14476);
										BgL_objz00_14476;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3771z00_4338;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3779z00_4339;

											BgL_arg3779z00_4339 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19919))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_14478;

												BgL_framez00_14478 = BINT(BgL_siza7ezd2framez75_19921);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_14480;

													BgL_newz00_14480 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34520;

														BgL_auxz00_34520 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_14480, BgL_auxz00_34520,
															BgL_arg3779z00_4339);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34523;

														BgL_auxz00_34523 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_14480, BgL_auxz00_34523,
															BgL_framez00_14478);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34526;

														BgL_auxz00_34526 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_14480, BgL_auxz00_34526,
															BgL_runz00_18852);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_34531;
														int BgL_auxz00_34529;

														BgL_auxz00_34531 = BINT(((long) 1));
														BgL_auxz00_34529 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_14480, BgL_auxz00_34529,
															BgL_auxz00_34531);
													}
													BgL_arg3771z00_4338 = BgL_newz00_14480;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18854, BgL_arg3771z00_4338);
										BgL_arg3771z00_4338;
									}
									return BgL_mainz00_18854;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6169 */
	obj_t BGl_z62main6169z62zz__evaluate_compz00(obj_t BgL_envz00_19923,
		obj_t BgL_dz00_19931)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19929;
				long BgL_siza7ezd2framez75_19930;

				BgL_runz00_19929 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19923, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19930 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19923, (int) (((long) 6))));
				{
					obj_t BgL_dz00_4340;

					BgL_dz00_4340 = BgL_dz00_19931;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4342;

						BgL_sz00_4342 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4343;

							BgL_bpz00_4343 = VECTOR_REF(BgL_sz00_4342, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34544;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14416;

									BgL_nz00_14416 = BINT(BgL_siza7ezd2framez75_19930);
									BgL_testz00_34544 =
										(
										((long) CINT(BgL_bpz00_4343) +
											(long) CINT(BgL_nz00_14416)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4342)));
								}
								if (BgL_testz00_34544)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3782z00_4345;

											BgL_arg3782z00_4345 =
												((long) CINT(BgL_bpz00_4343) + ((long) 0));
											VECTOR_SET(BgL_sz00_4342,
												(int) (BgL_arg3782z00_4345), BgL_dz00_4340);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1413z00_4346;

											BgL_exitd1413z00_4346 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33783ze3z83_18853;

												BgL_zc3anonymousza33783ze3z83_18853 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33783ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33783ze3z83_18853,
													(int) (((long) 0)), BgL_sz00_4342);
												PROCEDURE_SET(BgL_zc3anonymousza33783ze3z83_18853,
													(int) (((long) 1)), BgL_bpz00_4343);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1413z00_4346,
													BgL_zc3anonymousza33783ze3z83_18853);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1415z00_4348;

													BgL_tmp1415z00_4348 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19929, BgL_sz00_4342, BgL_bpz00_4343);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1413z00_4346);
													VECTOR_SET(BgL_sz00_4342, (int) (((long) 0)),
														BgL_bpz00_4343);
													return BgL_tmp1415z00_4348;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4351;

										BgL_nsz00_4351 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4351,
											(int) (((long) 1)), BgL_sz00_4342);
										VECTOR_SET(BgL_nsz00_4351,
											(int) (((long) 2)), BgL_dz00_4340);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34574;

											BgL_auxz00_34574 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34574, BgL_nsz00_4351);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1416z00_4353;

											BgL_exitd1416z00_4353 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33785ze3z83_18851;

												BgL_zc3anonymousza33785ze3z83_18851 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33785ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33785ze3z83_18851,
													(int) (((long) 0)), BgL_sz00_4342);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1416z00_4353,
													BgL_zc3anonymousza33785ze3z83_18851);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1418z00_4355;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14449;

														BgL_savedzd2bpzd2_14449 =
															VECTOR_REF(BgL_nsz00_4351, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4351,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14456;

															BgL_fz00_14456 = BgL_runz00_19929;
														BgL_recz00_14455:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14457;

																BgL_rz00_14457 =
																	PROCEDURE_ENTRY(BgL_fz00_14456)
																	(BgL_fz00_14456, BgL_nsz00_4351, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34593;

																	if (PROCEDUREP(BgL_rz00_14457))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14462;

																			BgL_arg1964z00_14462 =
																				PROCEDURE_ATTR(BgL_rz00_14457);
																			if (STRUCTP(BgL_arg1964z00_14462))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34593 =
																						(STRUCT_KEY(BgL_arg1964z00_14462) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34593 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34593 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34593)
																		{
																			obj_t BgL_fz00_34601;

																			BgL_fz00_34601 = BgL_rz00_14457;
																			BgL_fz00_14456 = BgL_fz00_34601;
																			goto BgL_recz00_14455;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4351,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14449);
																			BgL_tmp1418z00_4355 = BgL_rz00_14457;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1416z00_4353);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34605;

														BgL_auxz00_34605 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34605,
															BgL_sz00_4342);
													}
													return BgL_tmp1418z00_4355;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3783> */
	obj_t BGl_z62zc3anonymousza33783ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19932)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19933;
				obj_t BgL_bpz00_19934;

				BgL_sz00_19933 = PROCEDURE_REF(BgL_envz00_19932, (int) (((long) 0)));
				BgL_bpz00_19934 = PROCEDURE_REF(BgL_envz00_19932, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19933, (int) (((long) 0)), BgL_bpz00_19934);
		}}}
	}



/* &run6170 */
	obj_t BGl_z62run6170z62zz__evaluate_compz00(obj_t BgL_envz00_19935,
		obj_t BgL_sz00_19941)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19936;
				long BgL_siza7eza7_19937;
				obj_t BgL_valza2za2_19938;
				BgL_ev_absz00_bglt BgL_i1320z00_19939;
				obj_t BgL_bodyz00_19940;

				BgL_iboxesz00_19936 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19935, (int) (((long) 0))));
				BgL_siza7eza7_19937 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19935, (int) (((long) 1))));
				BgL_valza2za2_19938 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19935, (int) (((long) 2))));
				BgL_i1320z00_19939 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19935, (int) (((long) 3))));
				BgL_bodyz00_19940 = PROCEDURE_REF(BgL_envz00_19935, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4360;

					BgL_sz00_4360 = BgL_sz00_19941;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4362;

						BgL_bpz00_4362 = VECTOR_REF(BgL_sz00_4360, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4360,
							BgL_iboxesz00_19936, BgL_bpz00_4362);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4360,
							BgL_valza2za2_19938,
							((long) CINT(BgL_bpz00_4362) + BgL_siza7eza7_19937));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4364;
							obj_t BgL_wherez00_4365;
							obj_t BgL_locz00_4366;

							BgL_z12denvz12_4364 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4365 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19939))->BgL_wherez00);
							BgL_locz00_4366 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19939))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4364, BgL_wherez00_4365,
									BgL_locz00_4366);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4367;

									BgL_za2za2resza2za2z00_4367 =
										PROCEDURE_ENTRY(BgL_bodyz00_19940) (BgL_bodyz00_19940,
										BgL_sz00_4360, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4364);
									return BgL_za2za2resza2za2z00_4367;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3785> */
	obj_t BGl_z62zc3anonymousza33785ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19942)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19943;

				BgL_sz00_19943 = PROCEDURE_REF(BgL_envz00_19942, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34645;

						BgL_auxz00_34645 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34645, BgL_sz00_19943);
					}
				}
			}
		}
	}



/* &<anonymous:3645> */
	obj_t BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19944, obj_t BgL_sz00_19948)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19945;
				obj_t BgL_bodyz00_19946;
				long BgL_siza7ezd2framez75_19947;

				BgL_i1320z00_19945 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19944, (int) (((long) 0))));
				BgL_bodyz00_19946 = PROCEDURE_REF(BgL_envz00_19944, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19947 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19944, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4073;

					BgL_sz00_4073 = BgL_sz00_19948;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4075;

						BgL_bpz00_4075 = VECTOR_REF(BgL_sz00_4073, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18847;

								BgL_runz00_18847 =
									MAKE_FX_PROCEDURE(BGl_z62run6172z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18847,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_19945));
								PROCEDURE_SET(BgL_runz00_18847,
									(int) (((long) 1)), BgL_bodyz00_19946);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18849;

									BgL_mainz00_18849 =
										MAKE_VA_PROCEDURE(BGl_z62main6171z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18849,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_19945));
									PROCEDURE_SET(BgL_mainz00_18849,
										(int) (((long) 1)), BgL_bodyz00_19946);
									PROCEDURE_SET(BgL_mainz00_18849,
										(int) (((long) 2)), BgL_runz00_18847);
									PROCEDURE_SET(BgL_mainz00_18849,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19947));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13797;

										BgL_objz00_13797 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18847, BgL_objz00_13797);
										BgL_objz00_13797;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3646z00_4078;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3648z00_4079;

											BgL_arg3648z00_4079 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19945))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13799;

												BgL_framez00_13799 = BINT(BgL_siza7ezd2framez75_19947);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13801;

													BgL_newz00_13801 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34684;

														BgL_auxz00_34684 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13801, BgL_auxz00_34684,
															BgL_arg3648z00_4079);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34687;

														BgL_auxz00_34687 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13801, BgL_auxz00_34687,
															BgL_framez00_13799);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34690;

														BgL_auxz00_34690 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13801, BgL_auxz00_34690,
															BgL_runz00_18847);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_34695;
														int BgL_auxz00_34693;

														BgL_auxz00_34695 = BINT(((long) -1));
														BgL_auxz00_34693 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13801, BgL_auxz00_34693,
															BgL_auxz00_34695);
													}
													BgL_arg3646z00_4078 = BgL_newz00_13801;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18849, BgL_arg3646z00_4078);
										BgL_arg3646z00_4078;
									}
									return BgL_mainz00_18849;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6171 */
	obj_t BGl_z62main6171z62zz__evaluate_compz00(obj_t BgL_envz00_19949,
		obj_t BgL_lastz00_19954)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19952;
				long BgL_siza7ezd2framez75_19953;

				BgL_runz00_19952 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19949, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19953 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19949, (int) (((long) 3))));
				{
					obj_t BgL_lastz00_4080;

					BgL_lastz00_4080 = BgL_lastz00_19954;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4082;

						BgL_sz00_4082 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4083;

							BgL_bpz00_4083 = VECTOR_REF(BgL_sz00_4082, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34708;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_13737;

									BgL_nz00_13737 = BINT(BgL_siza7ezd2framez75_19953);
									BgL_testz00_34708 =
										(
										((long) CINT(BgL_bpz00_4083) +
											(long) CINT(BgL_nz00_13737)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4082)));
								}
								if (BgL_testz00_34708)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3651z00_4085;

											BgL_arg3651z00_4085 =
												((long) CINT(BgL_bpz00_4083) + ((long) 0));
											VECTOR_SET(BgL_sz00_4082,
												(int) (BgL_arg3651z00_4085), BgL_lastz00_4080);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1371z00_4086;

											BgL_exitd1371z00_4086 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33652ze3z83_18848;

												BgL_zc3anonymousza33652ze3z83_18848 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33652ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33652ze3z83_18848,
													(int) (((long) 0)), BgL_sz00_4082);
												PROCEDURE_SET(BgL_zc3anonymousza33652ze3z83_18848,
													(int) (((long) 1)), BgL_bpz00_4083);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1371z00_4086,
													BgL_zc3anonymousza33652ze3z83_18848);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1373z00_4088;

													BgL_tmp1373z00_4088 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19952, BgL_sz00_4082, BgL_bpz00_4083);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1371z00_4086);
													VECTOR_SET(BgL_sz00_4082, (int) (((long) 0)),
														BgL_bpz00_4083);
													return BgL_tmp1373z00_4088;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4091;

										BgL_nsz00_4091 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4091,
											(int) (((long) 1)), BgL_sz00_4082);
										VECTOR_SET(BgL_nsz00_4091,
											(int) (((long) 2)), BgL_lastz00_4080);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34738;

											BgL_auxz00_34738 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34738, BgL_nsz00_4091);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1374z00_4093;

											BgL_exitd1374z00_4093 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33655ze3z83_18846;

												BgL_zc3anonymousza33655ze3z83_18846 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33655ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33655ze3z83_18846,
													(int) (((long) 0)), BgL_sz00_4082);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1374z00_4093,
													BgL_zc3anonymousza33655ze3z83_18846);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1376z00_4095;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13770;

														BgL_savedzd2bpzd2_13770 =
															VECTOR_REF(BgL_nsz00_4091, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4091,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13777;

															BgL_fz00_13777 = BgL_runz00_19952;
														BgL_recz00_13776:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13778;

																BgL_rz00_13778 =
																	PROCEDURE_ENTRY(BgL_fz00_13777)
																	(BgL_fz00_13777, BgL_nsz00_4091, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34757;

																	if (PROCEDUREP(BgL_rz00_13778))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13783;

																			BgL_arg1964z00_13783 =
																				PROCEDURE_ATTR(BgL_rz00_13778);
																			if (STRUCTP(BgL_arg1964z00_13783))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34757 =
																						(STRUCT_KEY(BgL_arg1964z00_13783) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34757 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34757 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34757)
																		{
																			obj_t BgL_fz00_34765;

																			BgL_fz00_34765 = BgL_rz00_13778;
																			BgL_fz00_13777 = BgL_fz00_34765;
																			goto BgL_recz00_13776;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4091,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13770);
																			BgL_tmp1376z00_4095 = BgL_rz00_13778;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1374z00_4093);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34769;

														BgL_auxz00_34769 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34769,
															BgL_sz00_4082);
													}
													return BgL_tmp1376z00_4095;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3652> */
	obj_t BGl_z62zc3anonymousza33652ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19955)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19956;
				obj_t BgL_bpz00_19957;

				BgL_sz00_19956 = PROCEDURE_REF(BgL_envz00_19955, (int) (((long) 0)));
				BgL_bpz00_19957 = PROCEDURE_REF(BgL_envz00_19955, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19956, (int) (((long) 0)), BgL_bpz00_19957);
		}}}
	}



/* &run6172 */
	obj_t BGl_z62run6172z62zz__evaluate_compz00(obj_t BgL_envz00_19958,
		obj_t BgL_sz00_19961)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_19959;
				obj_t BgL_bodyz00_19960;

				BgL_i1320z00_19959 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19958, (int) (((long) 0))));
				BgL_bodyz00_19960 = PROCEDURE_REF(BgL_envz00_19958, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4100;

					BgL_sz00_4100 = BgL_sz00_19961;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4102;

						BgL_bpz00_4102 = VECTOR_REF(BgL_sz00_4100, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4103;
							obj_t BgL_wherez00_4104;
							obj_t BgL_locz00_4105;

							BgL_z12denvz12_4103 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4104 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19959))->BgL_wherez00);
							BgL_locz00_4105 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19959))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4103, BgL_wherez00_4104,
									BgL_locz00_4105);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4106;

									BgL_za2za2resza2za2z00_4106 =
										PROCEDURE_ENTRY(BgL_bodyz00_19960) (BgL_bodyz00_19960,
										BgL_sz00_4100, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4103);
									return BgL_za2za2resza2za2z00_4106;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3655> */
	obj_t BGl_z62zc3anonymousza33655ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19962)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19963;

				BgL_sz00_19963 = PROCEDURE_REF(BgL_envz00_19962, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34796;

						BgL_auxz00_34796 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34796, BgL_sz00_19963);
					}
				}
			}
		}
	}



/* &<anonymous:3659> */
	obj_t BGl_z62zc3anonymousza33659ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19964, obj_t BgL_sz00_19969)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19965;
				BgL_ev_absz00_bglt BgL_i1320z00_19966;
				obj_t BgL_bodyz00_19967;
				long BgL_siza7ezd2framez75_19968;

				BgL_iboxesz00_19965 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19964, (int) (((long) 0))));
				BgL_i1320z00_19966 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19964, (int) (((long) 1))));
				BgL_bodyz00_19967 = PROCEDURE_REF(BgL_envz00_19964, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19968 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19964, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4108;

					BgL_sz00_4108 = BgL_sz00_19969;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4110;

						BgL_bpz00_4110 = VECTOR_REF(BgL_sz00_4108, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18842;

								BgL_runz00_18842 =
									MAKE_FX_PROCEDURE(BGl_z62run6174z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18842,
									(int) (((long) 0)), BgL_iboxesz00_19965);
								PROCEDURE_SET(BgL_runz00_18842,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_19966));
								PROCEDURE_SET(BgL_runz00_18842,
									(int) (((long) 2)), BgL_bodyz00_19967);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18844;

									BgL_mainz00_18844 =
										MAKE_VA_PROCEDURE(BGl_z62main6173z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18844,
										(int) (((long) 0)), BgL_iboxesz00_19965);
									PROCEDURE_SET(BgL_mainz00_18844,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_19966));
									PROCEDURE_SET(BgL_mainz00_18844,
										(int) (((long) 2)), BgL_bodyz00_19967);
									PROCEDURE_SET(BgL_mainz00_18844,
										(int) (((long) 3)), BgL_runz00_18842);
									PROCEDURE_SET(BgL_mainz00_18844,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19968));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13890;

										BgL_objz00_13890 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18842, BgL_objz00_13890);
										BgL_objz00_13890;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3660z00_4113;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3661z00_4114;

											BgL_arg3661z00_4114 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19966))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13892;

												BgL_framez00_13892 = BINT(BgL_siza7ezd2framez75_19968);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13894;

													BgL_newz00_13894 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34842;

														BgL_auxz00_34842 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13894, BgL_auxz00_34842,
															BgL_arg3661z00_4114);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34845;

														BgL_auxz00_34845 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13894, BgL_auxz00_34845,
															BgL_framez00_13892);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_34848;

														BgL_auxz00_34848 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13894, BgL_auxz00_34848,
															BgL_runz00_18842);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_34853;
														int BgL_auxz00_34851;

														BgL_auxz00_34853 = BINT(((long) -1));
														BgL_auxz00_34851 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13894, BgL_auxz00_34851,
															BgL_auxz00_34853);
													}
													BgL_arg3660z00_4113 = BgL_newz00_13894;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18844, BgL_arg3660z00_4113);
										BgL_arg3660z00_4113;
									}
									return BgL_mainz00_18844;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6173 */
	obj_t BGl_z62main6173z62zz__evaluate_compz00(obj_t BgL_envz00_19970,
		obj_t BgL_lastz00_19976)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19974;
				long BgL_siza7ezd2framez75_19975;

				BgL_runz00_19974 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19970, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19975 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19970, (int) (((long) 4))));
				{
					obj_t BgL_lastz00_4115;

					BgL_lastz00_4115 = BgL_lastz00_19976;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4117;

						BgL_sz00_4117 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4118;

							BgL_bpz00_4118 = VECTOR_REF(BgL_sz00_4117, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34866;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_13830;

									BgL_nz00_13830 = BINT(BgL_siza7ezd2framez75_19975);
									BgL_testz00_34866 =
										(
										((long) CINT(BgL_bpz00_4118) +
											(long) CINT(BgL_nz00_13830)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4117)));
								}
								if (BgL_testz00_34866)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3664z00_4120;

											BgL_arg3664z00_4120 =
												((long) CINT(BgL_bpz00_4118) + ((long) 0));
											VECTOR_SET(BgL_sz00_4117,
												(int) (BgL_arg3664z00_4120), BgL_lastz00_4115);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1377z00_4121;

											BgL_exitd1377z00_4121 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33665ze3z83_18843;

												BgL_zc3anonymousza33665ze3z83_18843 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33665ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33665ze3z83_18843,
													(int) (((long) 0)), BgL_sz00_4117);
												PROCEDURE_SET(BgL_zc3anonymousza33665ze3z83_18843,
													(int) (((long) 1)), BgL_bpz00_4118);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1377z00_4121,
													BgL_zc3anonymousza33665ze3z83_18843);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1379z00_4123;

													BgL_tmp1379z00_4123 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19974, BgL_sz00_4117, BgL_bpz00_4118);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1377z00_4121);
													VECTOR_SET(BgL_sz00_4117, (int) (((long) 0)),
														BgL_bpz00_4118);
													return BgL_tmp1379z00_4123;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4126;

										BgL_nsz00_4126 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4126,
											(int) (((long) 1)), BgL_sz00_4117);
										VECTOR_SET(BgL_nsz00_4126,
											(int) (((long) 2)), BgL_lastz00_4115);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34896;

											BgL_auxz00_34896 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34896, BgL_nsz00_4126);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1380z00_4128;

											BgL_exitd1380z00_4128 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33667ze3z83_18841;

												BgL_zc3anonymousza33667ze3z83_18841 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33667ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33667ze3z83_18841,
													(int) (((long) 0)), BgL_sz00_4117);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1380z00_4128,
													BgL_zc3anonymousza33667ze3z83_18841);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1382z00_4130;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13863;

														BgL_savedzd2bpzd2_13863 =
															VECTOR_REF(BgL_nsz00_4126, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4126,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13870;

															BgL_fz00_13870 = BgL_runz00_19974;
														BgL_recz00_13869:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13871;

																BgL_rz00_13871 =
																	PROCEDURE_ENTRY(BgL_fz00_13870)
																	(BgL_fz00_13870, BgL_nsz00_4126, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34915;

																	if (PROCEDUREP(BgL_rz00_13871))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13876;

																			BgL_arg1964z00_13876 =
																				PROCEDURE_ATTR(BgL_rz00_13871);
																			if (STRUCTP(BgL_arg1964z00_13876))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34915 =
																						(STRUCT_KEY(BgL_arg1964z00_13876) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34915 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34915 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34915)
																		{
																			obj_t BgL_fz00_34923;

																			BgL_fz00_34923 = BgL_rz00_13871;
																			BgL_fz00_13870 = BgL_fz00_34923;
																			goto BgL_recz00_13869;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4126,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13863);
																			BgL_tmp1382z00_4130 = BgL_rz00_13871;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1380z00_4128);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34927;

														BgL_auxz00_34927 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34927,
															BgL_sz00_4117);
													}
													return BgL_tmp1382z00_4130;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3665> */
	obj_t BGl_z62zc3anonymousza33665ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19977)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19978;
				obj_t BgL_bpz00_19979;

				BgL_sz00_19978 = PROCEDURE_REF(BgL_envz00_19977, (int) (((long) 0)));
				BgL_bpz00_19979 = PROCEDURE_REF(BgL_envz00_19977, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19978, (int) (((long) 0)), BgL_bpz00_19979);
		}}}
	}



/* &run6174 */
	obj_t BGl_z62run6174z62zz__evaluate_compz00(obj_t BgL_envz00_19980,
		obj_t BgL_sz00_19984)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19981;
				BgL_ev_absz00_bglt BgL_i1320z00_19982;
				obj_t BgL_bodyz00_19983;

				BgL_iboxesz00_19981 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19980, (int) (((long) 0))));
				BgL_i1320z00_19982 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19980, (int) (((long) 1))));
				BgL_bodyz00_19983 = PROCEDURE_REF(BgL_envz00_19980, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4135;

					BgL_sz00_4135 = BgL_sz00_19984;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4137;

						BgL_bpz00_4137 = VECTOR_REF(BgL_sz00_4135, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4135,
							BgL_iboxesz00_19981, BgL_bpz00_4137);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4138;
							obj_t BgL_wherez00_4139;
							obj_t BgL_locz00_4140;

							BgL_z12denvz12_4138 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4139 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19982))->BgL_wherez00);
							BgL_locz00_4140 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19982))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4138, BgL_wherez00_4139,
									BgL_locz00_4140);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4141;

									BgL_za2za2resza2za2z00_4141 =
										PROCEDURE_ENTRY(BgL_bodyz00_19983) (BgL_bodyz00_19983,
										BgL_sz00_4135, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4138);
									return BgL_za2za2resza2za2z00_4141;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3667> */
	obj_t BGl_z62zc3anonymousza33667ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19985)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19986;

				BgL_sz00_19986 = PROCEDURE_REF(BgL_envz00_19985, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34958;

						BgL_auxz00_34958 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34958, BgL_sz00_19986);
					}
				}
			}
		}
	}



/* &<anonymous:3672> */
	obj_t BGl_z62zc3anonymousza33672ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19987, obj_t BgL_sz00_19993)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19988;
				long BgL_siza7eza7_19989;
				BgL_ev_absz00_bglt BgL_i1320z00_19990;
				obj_t BgL_bodyz00_19991;
				long BgL_siza7ezd2framez75_19992;

				BgL_ifreesz00_19988 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19987, (int) (((long) 0))));
				BgL_siza7eza7_19989 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19987, (int) (((long) 1))));
				BgL_i1320z00_19990 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19987, (int) (((long) 2))));
				BgL_bodyz00_19991 = PROCEDURE_REF(BgL_envz00_19987, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19992 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19987, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4145;

					BgL_sz00_4145 = BgL_sz00_19993;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4147;

						BgL_bpz00_4147 = VECTOR_REF(BgL_sz00_4145, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4148;

							BgL_valza2za2_4148 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4145,
								BgL_bpz00_4147, BgL_ifreesz00_19988);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18837;

								BgL_runz00_18837 =
									MAKE_FX_PROCEDURE(BGl_z62run6176z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18837,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19989));
								PROCEDURE_SET(BgL_runz00_18837,
									(int) (((long) 1)), BgL_valza2za2_4148);
								PROCEDURE_SET(BgL_runz00_18837,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_19990));
								PROCEDURE_SET(BgL_runz00_18837,
									(int) (((long) 3)), BgL_bodyz00_19991);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18839;

									BgL_mainz00_18839 =
										MAKE_VA_PROCEDURE(BGl_z62main6175z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18839,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19989));
									PROCEDURE_SET(BgL_mainz00_18839,
										(int) (((long) 1)), BgL_valza2za2_4148);
									PROCEDURE_SET(BgL_mainz00_18839,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_19990));
									PROCEDURE_SET(BgL_mainz00_18839,
										(int) (((long) 3)), BgL_bodyz00_19991);
									PROCEDURE_SET(BgL_mainz00_18839,
										(int) (((long) 4)), BgL_runz00_18837);
									PROCEDURE_SET(BgL_mainz00_18839,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19992));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13990;

										BgL_objz00_13990 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18837, BgL_objz00_13990);
										BgL_objz00_13990;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3673z00_4151;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3674z00_4152;

											BgL_arg3674z00_4152 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_19990))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13992;

												BgL_framez00_13992 = BINT(BgL_siza7ezd2framez75_19992);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13994;

													BgL_newz00_13994 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35014;

														BgL_auxz00_35014 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13994, BgL_auxz00_35014,
															BgL_arg3674z00_4152);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35017;

														BgL_auxz00_35017 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13994, BgL_auxz00_35017,
															BgL_framez00_13992);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35020;

														BgL_auxz00_35020 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13994, BgL_auxz00_35020,
															BgL_runz00_18837);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_35025;
														int BgL_auxz00_35023;

														BgL_auxz00_35025 = BINT(((long) -1));
														BgL_auxz00_35023 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13994, BgL_auxz00_35023,
															BgL_auxz00_35025);
													}
													BgL_arg3673z00_4151 = BgL_newz00_13994;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18839, BgL_arg3673z00_4151);
										BgL_arg3673z00_4151;
									}
									return BgL_mainz00_18839;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6175 */
	obj_t BGl_z62main6175z62zz__evaluate_compz00(obj_t BgL_envz00_19994,
		obj_t BgL_lastz00_20001)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19999;
				long BgL_siza7ezd2framez75_20000;

				BgL_runz00_19999 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19994, (int) (((long) 4))));
				BgL_siza7ezd2framez75_20000 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19994, (int) (((long) 5))));
				{
					obj_t BgL_lastz00_4153;

					BgL_lastz00_4153 = BgL_lastz00_20001;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4155;

						BgL_sz00_4155 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4156;

							BgL_bpz00_4156 = VECTOR_REF(BgL_sz00_4155, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35038;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_13930;

									BgL_nz00_13930 = BINT(BgL_siza7ezd2framez75_20000);
									BgL_testz00_35038 =
										(
										((long) CINT(BgL_bpz00_4156) +
											(long) CINT(BgL_nz00_13930)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4155)));
								}
								if (BgL_testz00_35038)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3677z00_4158;

											BgL_arg3677z00_4158 =
												((long) CINT(BgL_bpz00_4156) + ((long) 0));
											VECTOR_SET(BgL_sz00_4155,
												(int) (BgL_arg3677z00_4158), BgL_lastz00_4153);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1383z00_4159;

											BgL_exitd1383z00_4159 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33678ze3z83_18838;

												BgL_zc3anonymousza33678ze3z83_18838 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33678ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33678ze3z83_18838,
													(int) (((long) 0)), BgL_sz00_4155);
												PROCEDURE_SET(BgL_zc3anonymousza33678ze3z83_18838,
													(int) (((long) 1)), BgL_bpz00_4156);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1383z00_4159,
													BgL_zc3anonymousza33678ze3z83_18838);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1385z00_4161;

													BgL_tmp1385z00_4161 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19999, BgL_sz00_4155, BgL_bpz00_4156);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1383z00_4159);
													VECTOR_SET(BgL_sz00_4155, (int) (((long) 0)),
														BgL_bpz00_4156);
													return BgL_tmp1385z00_4161;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4164;

										BgL_nsz00_4164 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4164,
											(int) (((long) 1)), BgL_sz00_4155);
										VECTOR_SET(BgL_nsz00_4164,
											(int) (((long) 2)), BgL_lastz00_4153);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35068;

											BgL_auxz00_35068 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35068, BgL_nsz00_4164);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1386z00_4166;

											BgL_exitd1386z00_4166 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33680ze3z83_18836;

												BgL_zc3anonymousza33680ze3z83_18836 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33680ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33680ze3z83_18836,
													(int) (((long) 0)), BgL_sz00_4155);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1386z00_4166,
													BgL_zc3anonymousza33680ze3z83_18836);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1388z00_4168;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13963;

														BgL_savedzd2bpzd2_13963 =
															VECTOR_REF(BgL_nsz00_4164, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4164,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13970;

															BgL_fz00_13970 = BgL_runz00_19999;
														BgL_recz00_13969:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13971;

																BgL_rz00_13971 =
																	PROCEDURE_ENTRY(BgL_fz00_13970)
																	(BgL_fz00_13970, BgL_nsz00_4164, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35087;

																	if (PROCEDUREP(BgL_rz00_13971))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13976;

																			BgL_arg1964z00_13976 =
																				PROCEDURE_ATTR(BgL_rz00_13971);
																			if (STRUCTP(BgL_arg1964z00_13976))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35087 =
																						(STRUCT_KEY(BgL_arg1964z00_13976) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35087 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35087 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35087)
																		{
																			obj_t BgL_fz00_35095;

																			BgL_fz00_35095 = BgL_rz00_13971;
																			BgL_fz00_13970 = BgL_fz00_35095;
																			goto BgL_recz00_13969;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4164,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13963);
																			BgL_tmp1388z00_4168 = BgL_rz00_13971;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1386z00_4166);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35099;

														BgL_auxz00_35099 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35099,
															BgL_sz00_4155);
													}
													return BgL_tmp1388z00_4168;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3678> */
	obj_t BGl_z62zc3anonymousza33678ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20002)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20003;
				obj_t BgL_bpz00_20004;

				BgL_sz00_20003 = PROCEDURE_REF(BgL_envz00_20002, (int) (((long) 0)));
				BgL_bpz00_20004 = PROCEDURE_REF(BgL_envz00_20002, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20003, (int) (((long) 0)), BgL_bpz00_20004);
		}}}
	}



/* &run6176 */
	obj_t BGl_z62run6176z62zz__evaluate_compz00(obj_t BgL_envz00_20005,
		obj_t BgL_sz00_20010)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_20006;
				obj_t BgL_valza2za2_20007;
				BgL_ev_absz00_bglt BgL_i1320z00_20008;
				obj_t BgL_bodyz00_20009;

				BgL_siza7eza7_20006 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20005, (int) (((long) 0))));
				BgL_valza2za2_20007 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20005, (int) (((long) 1))));
				BgL_i1320z00_20008 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20005, (int) (((long) 2))));
				BgL_bodyz00_20009 = PROCEDURE_REF(BgL_envz00_20005, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4173;

					BgL_sz00_4173 = BgL_sz00_20010;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4175;

						BgL_bpz00_4175 = VECTOR_REF(BgL_sz00_4173, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4173,
							BgL_valza2za2_20007,
							((long) CINT(BgL_bpz00_4175) + BgL_siza7eza7_20006));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4177;
							obj_t BgL_wherez00_4178;
							obj_t BgL_locz00_4179;

							BgL_z12denvz12_4177 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4178 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20008))->BgL_wherez00);
							BgL_locz00_4179 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20008))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4177, BgL_wherez00_4178,
									BgL_locz00_4179);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4180;

									BgL_za2za2resza2za2z00_4180 =
										PROCEDURE_ENTRY(BgL_bodyz00_20009) (BgL_bodyz00_20009,
										BgL_sz00_4173, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4177);
									return BgL_za2za2resza2za2z00_4180;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3680> */
	obj_t BGl_z62zc3anonymousza33680ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20011)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20012;

				BgL_sz00_20012 = PROCEDURE_REF(BgL_envz00_20011, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35135;

						BgL_auxz00_35135 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35135, BgL_sz00_20012);
					}
				}
			}
		}
	}



/* &<anonymous:3698> */
	obj_t BGl_z62zc3anonymousza33698ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20013, obj_t BgL_sz00_20020)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20014;
				obj_t BgL_iboxesz00_20015;
				long BgL_siza7eza7_20016;
				BgL_ev_absz00_bglt BgL_i1320z00_20017;
				obj_t BgL_bodyz00_20018;
				long BgL_siza7ezd2framez75_20019;

				BgL_ifreesz00_20014 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20013, (int) (((long) 0))));
				BgL_iboxesz00_20015 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20013, (int) (((long) 1))));
				BgL_siza7eza7_20016 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20013, (int) (((long) 2))));
				BgL_i1320z00_20017 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20013, (int) (((long) 3))));
				BgL_bodyz00_20018 = PROCEDURE_REF(BgL_envz00_20013, (int) (((long) 4)));
				BgL_siza7ezd2framez75_20019 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20013, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4182;

					BgL_sz00_4182 = BgL_sz00_20020;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4184;

						BgL_bpz00_4184 = VECTOR_REF(BgL_sz00_4182, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4185;

							BgL_valza2za2_4185 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4182,
								BgL_bpz00_4184, BgL_ifreesz00_20014);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18832;

								BgL_runz00_18832 =
									MAKE_FX_PROCEDURE(BGl_z62run6178z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18832,
									(int) (((long) 0)), BgL_iboxesz00_20015);
								PROCEDURE_SET(BgL_runz00_18832,
									(int) (((long) 1)), BINT(BgL_siza7eza7_20016));
								PROCEDURE_SET(BgL_runz00_18832,
									(int) (((long) 2)), BgL_valza2za2_4185);
								PROCEDURE_SET(BgL_runz00_18832,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_20017));
								PROCEDURE_SET(BgL_runz00_18832,
									(int) (((long) 4)), BgL_bodyz00_20018);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18834;

									BgL_mainz00_18834 =
										MAKE_VA_PROCEDURE(BGl_z62main6177z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18834,
										(int) (((long) 0)), BgL_iboxesz00_20015);
									PROCEDURE_SET(BgL_mainz00_18834,
										(int) (((long) 1)), BINT(BgL_siza7eza7_20016));
									PROCEDURE_SET(BgL_mainz00_18834,
										(int) (((long) 2)), BgL_valza2za2_4185);
									PROCEDURE_SET(BgL_mainz00_18834,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_20017));
									PROCEDURE_SET(BgL_mainz00_18834,
										(int) (((long) 4)), BgL_bodyz00_20018);
									PROCEDURE_SET(BgL_mainz00_18834,
										(int) (((long) 5)), BgL_runz00_18832);
									PROCEDURE_SET(BgL_mainz00_18834,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_20019));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14086;

										BgL_objz00_14086 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18832, BgL_objz00_14086);
										BgL_objz00_14086;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3704z00_4188;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3705z00_4189;

											BgL_arg3705z00_4189 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20017))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_14088;

												BgL_framez00_14088 = BINT(BgL_siza7ezd2framez75_20019);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_14090;

													BgL_newz00_14090 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35198;

														BgL_auxz00_35198 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_14090, BgL_auxz00_35198,
															BgL_arg3705z00_4189);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35201;

														BgL_auxz00_35201 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_14090, BgL_auxz00_35201,
															BgL_framez00_14088);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35204;

														BgL_auxz00_35204 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_14090, BgL_auxz00_35204,
															BgL_runz00_18832);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_35209;
														int BgL_auxz00_35207;

														BgL_auxz00_35209 = BINT(((long) -1));
														BgL_auxz00_35207 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_14090, BgL_auxz00_35207,
															BgL_auxz00_35209);
													}
													BgL_arg3704z00_4188 = BgL_newz00_14090;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18834, BgL_arg3704z00_4188);
										BgL_arg3704z00_4188;
									}
									return BgL_mainz00_18834;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6177 */
	obj_t BGl_z62main6177z62zz__evaluate_compz00(obj_t BgL_envz00_20021,
		obj_t BgL_lastz00_20029)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20027;
				long BgL_siza7ezd2framez75_20028;

				BgL_runz00_20027 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20021, (int) (((long) 5))));
				BgL_siza7ezd2framez75_20028 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20021, (int) (((long) 6))));
				{
					obj_t BgL_lastz00_4190;

					BgL_lastz00_4190 = BgL_lastz00_20029;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4192;

						BgL_sz00_4192 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4193;

							BgL_bpz00_4193 = VECTOR_REF(BgL_sz00_4192, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35222;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_14026;

									BgL_nz00_14026 = BINT(BgL_siza7ezd2framez75_20028);
									BgL_testz00_35222 =
										(
										((long) CINT(BgL_bpz00_4193) +
											(long) CINT(BgL_nz00_14026)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4192)));
								}
								if (BgL_testz00_35222)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3708z00_4195;

											BgL_arg3708z00_4195 =
												((long) CINT(BgL_bpz00_4193) + ((long) 0));
											VECTOR_SET(BgL_sz00_4192,
												(int) (BgL_arg3708z00_4195), BgL_lastz00_4190);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1389z00_4196;

											BgL_exitd1389z00_4196 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33709ze3z83_18833;

												BgL_zc3anonymousza33709ze3z83_18833 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33709ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33709ze3z83_18833,
													(int) (((long) 0)), BgL_sz00_4192);
												PROCEDURE_SET(BgL_zc3anonymousza33709ze3z83_18833,
													(int) (((long) 1)), BgL_bpz00_4193);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1389z00_4196,
													BgL_zc3anonymousza33709ze3z83_18833);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1391z00_4198;

													BgL_tmp1391z00_4198 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20027, BgL_sz00_4192, BgL_bpz00_4193);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1389z00_4196);
													VECTOR_SET(BgL_sz00_4192, (int) (((long) 0)),
														BgL_bpz00_4193);
													return BgL_tmp1391z00_4198;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4201;

										BgL_nsz00_4201 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4201,
											(int) (((long) 1)), BgL_sz00_4192);
										VECTOR_SET(BgL_nsz00_4201,
											(int) (((long) 2)), BgL_lastz00_4190);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35252;

											BgL_auxz00_35252 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35252, BgL_nsz00_4201);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1392z00_4203;

											BgL_exitd1392z00_4203 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33711ze3z83_18831;

												BgL_zc3anonymousza33711ze3z83_18831 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33711ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33711ze3z83_18831,
													(int) (((long) 0)), BgL_sz00_4192);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1392z00_4203,
													BgL_zc3anonymousza33711ze3z83_18831);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1394z00_4205;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14059;

														BgL_savedzd2bpzd2_14059 =
															VECTOR_REF(BgL_nsz00_4201, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4201,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14066;

															BgL_fz00_14066 = BgL_runz00_20027;
														BgL_recz00_14065:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14067;

																BgL_rz00_14067 =
																	PROCEDURE_ENTRY(BgL_fz00_14066)
																	(BgL_fz00_14066, BgL_nsz00_4201, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35271;

																	if (PROCEDUREP(BgL_rz00_14067))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_14072;

																			BgL_arg1964z00_14072 =
																				PROCEDURE_ATTR(BgL_rz00_14067);
																			if (STRUCTP(BgL_arg1964z00_14072))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35271 =
																						(STRUCT_KEY(BgL_arg1964z00_14072) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35271 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35271 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35271)
																		{
																			obj_t BgL_fz00_35279;

																			BgL_fz00_35279 = BgL_rz00_14067;
																			BgL_fz00_14066 = BgL_fz00_35279;
																			goto BgL_recz00_14065;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4201,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14059);
																			BgL_tmp1394z00_4205 = BgL_rz00_14067;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1392z00_4203);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35283;

														BgL_auxz00_35283 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35283,
															BgL_sz00_4192);
													}
													return BgL_tmp1394z00_4205;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3709> */
	obj_t BGl_z62zc3anonymousza33709ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20030)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20031;
				obj_t BgL_bpz00_20032;

				BgL_sz00_20031 = PROCEDURE_REF(BgL_envz00_20030, (int) (((long) 0)));
				BgL_bpz00_20032 = PROCEDURE_REF(BgL_envz00_20030, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20031, (int) (((long) 0)), BgL_bpz00_20032);
		}}}
	}



/* &run6178 */
	obj_t BGl_z62run6178z62zz__evaluate_compz00(obj_t BgL_envz00_20033,
		obj_t BgL_sz00_20039)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20034;
				long BgL_siza7eza7_20035;
				obj_t BgL_valza2za2_20036;
				BgL_ev_absz00_bglt BgL_i1320z00_20037;
				obj_t BgL_bodyz00_20038;

				BgL_iboxesz00_20034 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20033, (int) (((long) 0))));
				BgL_siza7eza7_20035 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20033, (int) (((long) 1))));
				BgL_valza2za2_20036 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20033, (int) (((long) 2))));
				BgL_i1320z00_20037 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20033, (int) (((long) 3))));
				BgL_bodyz00_20038 = PROCEDURE_REF(BgL_envz00_20033, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4210;

					BgL_sz00_4210 = BgL_sz00_20039;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4212;

						BgL_bpz00_4212 = VECTOR_REF(BgL_sz00_4210, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4210,
							BgL_iboxesz00_20034, BgL_bpz00_4212);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4210,
							BgL_valza2za2_20036,
							((long) CINT(BgL_bpz00_4212) + BgL_siza7eza7_20035));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4214;
							obj_t BgL_wherez00_4215;
							obj_t BgL_locz00_4216;

							BgL_z12denvz12_4214 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4215 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20037))->BgL_wherez00);
							BgL_locz00_4216 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20037))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4214, BgL_wherez00_4215,
									BgL_locz00_4216);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4217;

									BgL_za2za2resza2za2z00_4217 =
										PROCEDURE_ENTRY(BgL_bodyz00_20038) (BgL_bodyz00_20038,
										BgL_sz00_4210, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4214);
									return BgL_za2za2resza2za2z00_4217;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3711> */
	obj_t BGl_z62zc3anonymousza33711ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20040)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20041;

				BgL_sz00_20041 = PROCEDURE_REF(BgL_envz00_20040, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35323;

						BgL_auxz00_35323 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35323, BgL_sz00_20041);
					}
				}
			}
		}
	}



/* &<anonymous:3581> */
	obj_t BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20042, obj_t BgL_sz00_20046)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_20043;
				obj_t BgL_bodyz00_20044;
				long BgL_siza7ezd2framez75_20045;

				BgL_i1320z00_20043 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20042, (int) (((long) 0))));
				BgL_bodyz00_20044 = PROCEDURE_REF(BgL_envz00_20042, (int) (((long) 1)));
				BgL_siza7ezd2framez75_20045 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20042, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3931;

					BgL_sz00_3931 = BgL_sz00_20046;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_3933;

						BgL_bpz00_3933 = VECTOR_REF(BgL_sz00_3931, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18827;

								BgL_runz00_18827 =
									MAKE_FX_PROCEDURE(BGl_z62run6180z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18827,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_20043));
								PROCEDURE_SET(BgL_runz00_18827,
									(int) (((long) 1)), BgL_bodyz00_20044);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18829;

									BgL_mainz00_18829 =
										MAKE_FX_PROCEDURE(BGl_z62main6179z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18829,
										(int) (((long) 0)), ((obj_t) BgL_i1320z00_20043));
									PROCEDURE_SET(BgL_mainz00_18829,
										(int) (((long) 1)), BgL_bodyz00_20044);
									PROCEDURE_SET(BgL_mainz00_18829,
										(int) (((long) 2)), BgL_runz00_18827);
									PROCEDURE_SET(BgL_mainz00_18829,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_20045));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13434;

										BgL_objz00_13434 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18827, BgL_objz00_13434);
										BgL_objz00_13434;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3582z00_3936;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3585z00_3937;

											BgL_arg3585z00_3937 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20043))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13436;

												BgL_framez00_13436 = BINT(BgL_siza7ezd2framez75_20045);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13438;

													BgL_newz00_13438 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35362;

														BgL_auxz00_35362 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13438, BgL_auxz00_35362,
															BgL_arg3585z00_3937);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35365;

														BgL_auxz00_35365 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13438, BgL_auxz00_35365,
															BgL_framez00_13436);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35368;

														BgL_auxz00_35368 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13438, BgL_auxz00_35368,
															BgL_runz00_18827);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_35373;
														int BgL_auxz00_35371;

														BgL_auxz00_35373 = BINT(((long) 0));
														BgL_auxz00_35371 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13438, BgL_auxz00_35371,
															BgL_auxz00_35373);
													}
													BgL_arg3582z00_3936 = BgL_newz00_13438;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18829, BgL_arg3582z00_3936);
										BgL_arg3582z00_3936;
									}
									return BgL_mainz00_18829;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6179 */
	obj_t BGl_z62main6179z62zz__evaluate_compz00(obj_t BgL_envz00_20047)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20050;
				long BgL_siza7ezd2framez75_20051;

				BgL_runz00_20050 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20047, (int) (((long) 2))));
				BgL_siza7ezd2framez75_20051 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20047, (int) (((long) 3))));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_3939;

						BgL_sz00_3939 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_3940;

							BgL_bpz00_3940 = VECTOR_REF(BgL_sz00_3939, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35386;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_13383;

									BgL_nz00_13383 = BINT(BgL_siza7ezd2framez75_20051);
									BgL_testz00_35386 =
										(
										((long) CINT(BgL_bpz00_3940) +
											(long) CINT(BgL_nz00_13383)) <
										(long) (VECTOR_LENGTH(BgL_sz00_3939)));
								}
								if (BgL_testz00_35386)
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_exitd1347z00_3942;

										BgL_exitd1347z00_3942 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_zc3anonymousza33588ze3z83_18828;

											BgL_zc3anonymousza33588ze3z83_18828 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33588ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33588ze3z83_18828,
												(int) (((long) 0)), BgL_sz00_3939);
											PROCEDURE_SET(BgL_zc3anonymousza33588ze3z83_18828,
												(int) (((long) 1)), BgL_bpz00_3940);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1347z00_3942,
												BgL_zc3anonymousza33588ze3z83_18828);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_tmp1349z00_3944;

												BgL_tmp1349z00_3944 =
													BGl_catchzd2trampolinezd2zz__evaluate_compz00
													(BgL_runz00_20050, BgL_sz00_3939, BgL_bpz00_3940);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1347z00_3942);
												VECTOR_SET(BgL_sz00_3939, (int) (((long) 0)),
													BgL_bpz00_3940);
												return BgL_tmp1349z00_3944;
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_3947;

										BgL_nsz00_3947 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3947,
											(int) (((long) 1)), BgL_sz00_3939);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35410;

											BgL_auxz00_35410 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35410, BgL_nsz00_3947);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1350z00_3949;

											BgL_exitd1350z00_3949 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33590ze3z83_18826;

												BgL_zc3anonymousza33590ze3z83_18826 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33590ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33590ze3z83_18826,
													(int) (((long) 0)), BgL_sz00_3939);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1350z00_3949,
													BgL_zc3anonymousza33590ze3z83_18826);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1352z00_3951;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13407;

														BgL_savedzd2bpzd2_13407 =
															VECTOR_REF(BgL_nsz00_3947, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_3947,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13414;

															BgL_fz00_13414 = BgL_runz00_20050;
														BgL_recz00_13413:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13415;

																BgL_rz00_13415 =
																	PROCEDURE_ENTRY(BgL_fz00_13414)
																	(BgL_fz00_13414, BgL_nsz00_3947, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35429;

																	if (PROCEDUREP(BgL_rz00_13415))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13420;

																			BgL_arg1964z00_13420 =
																				PROCEDURE_ATTR(BgL_rz00_13415);
																			if (STRUCTP(BgL_arg1964z00_13420))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35429 =
																						(STRUCT_KEY(BgL_arg1964z00_13420) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35429 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35429 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35429)
																		{
																			obj_t BgL_fz00_35437;

																			BgL_fz00_35437 = BgL_rz00_13415;
																			BgL_fz00_13414 = BgL_fz00_35437;
																			goto BgL_recz00_13413;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_3947,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13407);
																			BgL_tmp1352z00_3951 = BgL_rz00_13415;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1350z00_3949);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35441;

														BgL_auxz00_35441 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35441,
															BgL_sz00_3939);
													}
													return BgL_tmp1352z00_3951;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3588> */
	obj_t BGl_z62zc3anonymousza33588ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20052)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20053;
				obj_t BgL_bpz00_20054;

				BgL_sz00_20053 = PROCEDURE_REF(BgL_envz00_20052, (int) (((long) 0)));
				BgL_bpz00_20054 = PROCEDURE_REF(BgL_envz00_20052, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20053, (int) (((long) 0)), BgL_bpz00_20054);
		}}}
	}



/* &run6180 */
	obj_t BGl_z62run6180z62zz__evaluate_compz00(obj_t BgL_envz00_20055,
		obj_t BgL_sz00_20058)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_20056;
				obj_t BgL_bodyz00_20057;

				BgL_i1320z00_20056 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20055, (int) (((long) 0))));
				BgL_bodyz00_20057 = PROCEDURE_REF(BgL_envz00_20055, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3956;

					BgL_sz00_3956 = BgL_sz00_20058;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_3958;

						BgL_bpz00_3958 = VECTOR_REF(BgL_sz00_3956, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_3959;
							obj_t BgL_wherez00_3960;
							obj_t BgL_locz00_3961;

							BgL_z12denvz12_3959 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3960 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20056))->BgL_wherez00);
							BgL_locz00_3961 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20056))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3959, BgL_wherez00_3960,
									BgL_locz00_3961);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_3962;

									BgL_za2za2resza2za2z00_3962 =
										PROCEDURE_ENTRY(BgL_bodyz00_20057) (BgL_bodyz00_20057,
										BgL_sz00_3956, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3959);
									return BgL_za2za2resza2za2z00_3962;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3590> */
	obj_t BGl_z62zc3anonymousza33590ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20059)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20060;

				BgL_sz00_20060 = PROCEDURE_REF(BgL_envz00_20059, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35468;

						BgL_auxz00_35468 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35468, BgL_sz00_20060);
					}
				}
			}
		}
	}



/* &<anonymous:3593> */
	obj_t BGl_z62zc3anonymousza33593ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20061, obj_t BgL_sz00_20066)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20062;
				BgL_ev_absz00_bglt BgL_i1320z00_20063;
				obj_t BgL_bodyz00_20064;
				long BgL_siza7ezd2framez75_20065;

				BgL_iboxesz00_20062 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20061, (int) (((long) 0))));
				BgL_i1320z00_20063 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20061, (int) (((long) 1))));
				BgL_bodyz00_20064 = PROCEDURE_REF(BgL_envz00_20061, (int) (((long) 2)));
				BgL_siza7ezd2framez75_20065 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20061, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3964;

					BgL_sz00_3964 = BgL_sz00_20066;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_3966;

						BgL_bpz00_3966 = VECTOR_REF(BgL_sz00_3964, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18822;

								BgL_runz00_18822 =
									MAKE_FX_PROCEDURE(BGl_z62run6182z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18822,
									(int) (((long) 0)), BgL_iboxesz00_20062);
								PROCEDURE_SET(BgL_runz00_18822,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_20063));
								PROCEDURE_SET(BgL_runz00_18822,
									(int) (((long) 2)), BgL_bodyz00_20064);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18824;

									BgL_mainz00_18824 =
										MAKE_FX_PROCEDURE(BGl_z62main6181z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18824,
										(int) (((long) 0)), BgL_iboxesz00_20062);
									PROCEDURE_SET(BgL_mainz00_18824,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_20063));
									PROCEDURE_SET(BgL_mainz00_18824,
										(int) (((long) 2)), BgL_bodyz00_20064);
									PROCEDURE_SET(BgL_mainz00_18824,
										(int) (((long) 3)), BgL_runz00_18822);
									PROCEDURE_SET(BgL_mainz00_18824,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_20065));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13518;

										BgL_objz00_13518 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18822, BgL_objz00_13518);
										BgL_objz00_13518;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3595z00_3969;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3596z00_3970;

											BgL_arg3596z00_3970 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20063))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13520;

												BgL_framez00_13520 = BINT(BgL_siza7ezd2framez75_20065);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13522;

													BgL_newz00_13522 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35514;

														BgL_auxz00_35514 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13522, BgL_auxz00_35514,
															BgL_arg3596z00_3970);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35517;

														BgL_auxz00_35517 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13522, BgL_auxz00_35517,
															BgL_framez00_13520);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35520;

														BgL_auxz00_35520 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13522, BgL_auxz00_35520,
															BgL_runz00_18822);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_35525;
														int BgL_auxz00_35523;

														BgL_auxz00_35525 = BINT(((long) 0));
														BgL_auxz00_35523 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13522, BgL_auxz00_35523,
															BgL_auxz00_35525);
													}
													BgL_arg3595z00_3969 = BgL_newz00_13522;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18824, BgL_arg3595z00_3969);
										BgL_arg3595z00_3969;
									}
									return BgL_mainz00_18824;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6181 */
	obj_t BGl_z62main6181z62zz__evaluate_compz00(obj_t BgL_envz00_20067)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20071;
				long BgL_siza7ezd2framez75_20072;

				BgL_runz00_20071 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20067, (int) (((long) 3))));
				BgL_siza7ezd2framez75_20072 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20067, (int) (((long) 4))));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_3972;

						BgL_sz00_3972 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_3973;

							BgL_bpz00_3973 = VECTOR_REF(BgL_sz00_3972, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35538;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_13467;

									BgL_nz00_13467 = BINT(BgL_siza7ezd2framez75_20072);
									BgL_testz00_35538 =
										(
										((long) CINT(BgL_bpz00_3973) +
											(long) CINT(BgL_nz00_13467)) <
										(long) (VECTOR_LENGTH(BgL_sz00_3972)));
								}
								if (BgL_testz00_35538)
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_exitd1353z00_3975;

										BgL_exitd1353z00_3975 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_zc3anonymousza33599ze3z83_18823;

											BgL_zc3anonymousza33599ze3z83_18823 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33599ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33599ze3z83_18823,
												(int) (((long) 0)), BgL_sz00_3972);
											PROCEDURE_SET(BgL_zc3anonymousza33599ze3z83_18823,
												(int) (((long) 1)), BgL_bpz00_3973);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1353z00_3975,
												BgL_zc3anonymousza33599ze3z83_18823);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_tmp1355z00_3977;

												BgL_tmp1355z00_3977 =
													BGl_catchzd2trampolinezd2zz__evaluate_compz00
													(BgL_runz00_20071, BgL_sz00_3972, BgL_bpz00_3973);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1353z00_3975);
												VECTOR_SET(BgL_sz00_3972, (int) (((long) 0)),
													BgL_bpz00_3973);
												return BgL_tmp1355z00_3977;
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_3980;

										BgL_nsz00_3980 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3980,
											(int) (((long) 1)), BgL_sz00_3972);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35562;

											BgL_auxz00_35562 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35562, BgL_nsz00_3980);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1356z00_3982;

											BgL_exitd1356z00_3982 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33602ze3z83_18821;

												BgL_zc3anonymousza33602ze3z83_18821 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33602ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33602ze3z83_18821,
													(int) (((long) 0)), BgL_sz00_3972);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1356z00_3982,
													BgL_zc3anonymousza33602ze3z83_18821);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1358z00_3984;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13491;

														BgL_savedzd2bpzd2_13491 =
															VECTOR_REF(BgL_nsz00_3980, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_3980,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13498;

															BgL_fz00_13498 = BgL_runz00_20071;
														BgL_recz00_13497:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13499;

																BgL_rz00_13499 =
																	PROCEDURE_ENTRY(BgL_fz00_13498)
																	(BgL_fz00_13498, BgL_nsz00_3980, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35581;

																	if (PROCEDUREP(BgL_rz00_13499))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13504;

																			BgL_arg1964z00_13504 =
																				PROCEDURE_ATTR(BgL_rz00_13499);
																			if (STRUCTP(BgL_arg1964z00_13504))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35581 =
																						(STRUCT_KEY(BgL_arg1964z00_13504) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35581 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35581 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35581)
																		{
																			obj_t BgL_fz00_35589;

																			BgL_fz00_35589 = BgL_rz00_13499;
																			BgL_fz00_13498 = BgL_fz00_35589;
																			goto BgL_recz00_13497;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_3980,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13491);
																			BgL_tmp1358z00_3984 = BgL_rz00_13499;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1356z00_3982);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35593;

														BgL_auxz00_35593 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35593,
															BgL_sz00_3972);
													}
													return BgL_tmp1358z00_3984;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3599> */
	obj_t BGl_z62zc3anonymousza33599ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20073)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20074;
				obj_t BgL_bpz00_20075;

				BgL_sz00_20074 = PROCEDURE_REF(BgL_envz00_20073, (int) (((long) 0)));
				BgL_bpz00_20075 = PROCEDURE_REF(BgL_envz00_20073, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20074, (int) (((long) 0)), BgL_bpz00_20075);
		}}}
	}



/* &run6182 */
	obj_t BGl_z62run6182z62zz__evaluate_compz00(obj_t BgL_envz00_20076,
		obj_t BgL_sz00_20080)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20077;
				BgL_ev_absz00_bglt BgL_i1320z00_20078;
				obj_t BgL_bodyz00_20079;

				BgL_iboxesz00_20077 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20076, (int) (((long) 0))));
				BgL_i1320z00_20078 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20076, (int) (((long) 1))));
				BgL_bodyz00_20079 = PROCEDURE_REF(BgL_envz00_20076, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3989;

					BgL_sz00_3989 = BgL_sz00_20080;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_3991;

						BgL_bpz00_3991 = VECTOR_REF(BgL_sz00_3989, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3989,
							BgL_iboxesz00_20077, BgL_bpz00_3991);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_3992;
							obj_t BgL_wherez00_3993;
							obj_t BgL_locz00_3994;

							BgL_z12denvz12_3992 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3993 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20078))->BgL_wherez00);
							BgL_locz00_3994 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20078))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3992, BgL_wherez00_3993,
									BgL_locz00_3994);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_3995;

									BgL_za2za2resza2za2z00_3995 =
										PROCEDURE_ENTRY(BgL_bodyz00_20079) (BgL_bodyz00_20079,
										BgL_sz00_3989, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3992);
									return BgL_za2za2resza2za2z00_3995;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3602> */
	obj_t BGl_z62zc3anonymousza33602ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20081)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20082;

				BgL_sz00_20082 = PROCEDURE_REF(BgL_envz00_20081, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35624;

						BgL_auxz00_35624 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35624, BgL_sz00_20082);
					}
				}
			}
		}
	}



/* &<anonymous:3608> */
	obj_t BGl_z62zc3anonymousza33608ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20083, obj_t BgL_sz00_20089)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20084;
				long BgL_siza7eza7_20085;
				BgL_ev_absz00_bglt BgL_i1320z00_20086;
				obj_t BgL_bodyz00_20087;
				long BgL_siza7ezd2framez75_20088;

				BgL_ifreesz00_20084 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20083, (int) (((long) 0))));
				BgL_siza7eza7_20085 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20083, (int) (((long) 1))));
				BgL_i1320z00_20086 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20083, (int) (((long) 2))));
				BgL_bodyz00_20087 = PROCEDURE_REF(BgL_envz00_20083, (int) (((long) 3)));
				BgL_siza7ezd2framez75_20088 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20083, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3999;

					BgL_sz00_3999 = BgL_sz00_20089;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4001;

						BgL_bpz00_4001 = VECTOR_REF(BgL_sz00_3999, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4002;

							BgL_valza2za2_4002 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3999,
								BgL_bpz00_4001, BgL_ifreesz00_20084);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18817;

								BgL_runz00_18817 =
									MAKE_FX_PROCEDURE(BGl_z62run6184z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18817,
									(int) (((long) 0)), BINT(BgL_siza7eza7_20085));
								PROCEDURE_SET(BgL_runz00_18817,
									(int) (((long) 1)), BgL_valza2za2_4002);
								PROCEDURE_SET(BgL_runz00_18817,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_20086));
								PROCEDURE_SET(BgL_runz00_18817,
									(int) (((long) 3)), BgL_bodyz00_20087);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18819;

									BgL_mainz00_18819 =
										MAKE_FX_PROCEDURE(BGl_z62main6183z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18819,
										(int) (((long) 0)), BINT(BgL_siza7eza7_20085));
									PROCEDURE_SET(BgL_mainz00_18819,
										(int) (((long) 1)), BgL_valza2za2_4002);
									PROCEDURE_SET(BgL_mainz00_18819,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_20086));
									PROCEDURE_SET(BgL_mainz00_18819,
										(int) (((long) 3)), BgL_bodyz00_20087);
									PROCEDURE_SET(BgL_mainz00_18819,
										(int) (((long) 4)), BgL_runz00_18817);
									PROCEDURE_SET(BgL_mainz00_18819,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_20088));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13609;

										BgL_objz00_13609 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18817, BgL_objz00_13609);
										BgL_objz00_13609;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3609z00_4005;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3610z00_4006;

											BgL_arg3610z00_4006 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20086))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13611;

												BgL_framez00_13611 = BINT(BgL_siza7ezd2framez75_20088);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13613;

													BgL_newz00_13613 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35680;

														BgL_auxz00_35680 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13613, BgL_auxz00_35680,
															BgL_arg3610z00_4006);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35683;

														BgL_auxz00_35683 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13613, BgL_auxz00_35683,
															BgL_framez00_13611);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35686;

														BgL_auxz00_35686 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13613, BgL_auxz00_35686,
															BgL_runz00_18817);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_35691;
														int BgL_auxz00_35689;

														BgL_auxz00_35691 = BINT(((long) 0));
														BgL_auxz00_35689 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13613, BgL_auxz00_35689,
															BgL_auxz00_35691);
													}
													BgL_arg3609z00_4005 = BgL_newz00_13613;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18819, BgL_arg3609z00_4005);
										BgL_arg3609z00_4005;
									}
									return BgL_mainz00_18819;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6183 */
	obj_t BGl_z62main6183z62zz__evaluate_compz00(obj_t BgL_envz00_20090)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20095;
				long BgL_siza7ezd2framez75_20096;

				BgL_runz00_20095 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20090, (int) (((long) 4))));
				BgL_siza7ezd2framez75_20096 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20090, (int) (((long) 5))));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4008;

						BgL_sz00_4008 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4009;

							BgL_bpz00_4009 = VECTOR_REF(BgL_sz00_4008, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35704;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_13558;

									BgL_nz00_13558 = BINT(BgL_siza7ezd2framez75_20096);
									BgL_testz00_35704 =
										(
										((long) CINT(BgL_bpz00_4009) +
											(long) CINT(BgL_nz00_13558)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4008)));
								}
								if (BgL_testz00_35704)
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_exitd1359z00_4011;

										BgL_exitd1359z00_4011 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_zc3anonymousza33613ze3z83_18818;

											BgL_zc3anonymousza33613ze3z83_18818 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33613ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33613ze3z83_18818,
												(int) (((long) 0)), BgL_sz00_4008);
											PROCEDURE_SET(BgL_zc3anonymousza33613ze3z83_18818,
												(int) (((long) 1)), BgL_bpz00_4009);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1359z00_4011,
												BgL_zc3anonymousza33613ze3z83_18818);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_tmp1361z00_4013;

												BgL_tmp1361z00_4013 =
													BGl_catchzd2trampolinezd2zz__evaluate_compz00
													(BgL_runz00_20095, BgL_sz00_4008, BgL_bpz00_4009);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1359z00_4011);
												VECTOR_SET(BgL_sz00_4008, (int) (((long) 0)),
													BgL_bpz00_4009);
												return BgL_tmp1361z00_4013;
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4016;

										BgL_nsz00_4016 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4016,
											(int) (((long) 1)), BgL_sz00_4008);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35728;

											BgL_auxz00_35728 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35728, BgL_nsz00_4016);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1362z00_4018;

											BgL_exitd1362z00_4018 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33617ze3z83_18816;

												BgL_zc3anonymousza33617ze3z83_18816 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33617ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33617ze3z83_18816,
													(int) (((long) 0)), BgL_sz00_4008);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1362z00_4018,
													BgL_zc3anonymousza33617ze3z83_18816);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1364z00_4020;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13582;

														BgL_savedzd2bpzd2_13582 =
															VECTOR_REF(BgL_nsz00_4016, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4016,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13589;

															BgL_fz00_13589 = BgL_runz00_20095;
														BgL_recz00_13588:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13590;

																BgL_rz00_13590 =
																	PROCEDURE_ENTRY(BgL_fz00_13589)
																	(BgL_fz00_13589, BgL_nsz00_4016, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35747;

																	if (PROCEDUREP(BgL_rz00_13590))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13595;

																			BgL_arg1964z00_13595 =
																				PROCEDURE_ATTR(BgL_rz00_13590);
																			if (STRUCTP(BgL_arg1964z00_13595))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35747 =
																						(STRUCT_KEY(BgL_arg1964z00_13595) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35747 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35747 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35747)
																		{
																			obj_t BgL_fz00_35755;

																			BgL_fz00_35755 = BgL_rz00_13590;
																			BgL_fz00_13589 = BgL_fz00_35755;
																			goto BgL_recz00_13588;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4016,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13582);
																			BgL_tmp1364z00_4020 = BgL_rz00_13590;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1362z00_4018);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35759;

														BgL_auxz00_35759 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35759,
															BgL_sz00_4008);
													}
													return BgL_tmp1364z00_4020;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3613> */
	obj_t BGl_z62zc3anonymousza33613ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20097)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20098;
				obj_t BgL_bpz00_20099;

				BgL_sz00_20098 = PROCEDURE_REF(BgL_envz00_20097, (int) (((long) 0)));
				BgL_bpz00_20099 = PROCEDURE_REF(BgL_envz00_20097, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20098, (int) (((long) 0)), BgL_bpz00_20099);
		}}}
	}



/* &run6184 */
	obj_t BGl_z62run6184z62zz__evaluate_compz00(obj_t BgL_envz00_20100,
		obj_t BgL_sz00_20105)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_20101;
				obj_t BgL_valza2za2_20102;
				BgL_ev_absz00_bglt BgL_i1320z00_20103;
				obj_t BgL_bodyz00_20104;

				BgL_siza7eza7_20101 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20100, (int) (((long) 0))));
				BgL_valza2za2_20102 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20100, (int) (((long) 1))));
				BgL_i1320z00_20103 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20100, (int) (((long) 2))));
				BgL_bodyz00_20104 = PROCEDURE_REF(BgL_envz00_20100, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4025;

					BgL_sz00_4025 = BgL_sz00_20105;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4027;

						BgL_bpz00_4027 = VECTOR_REF(BgL_sz00_4025, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4025,
							BgL_valza2za2_20102,
							((long) CINT(BgL_bpz00_4027) + BgL_siza7eza7_20101));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4029;
							obj_t BgL_wherez00_4030;
							obj_t BgL_locz00_4031;

							BgL_z12denvz12_4029 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4030 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20103))->BgL_wherez00);
							BgL_locz00_4031 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20103))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4029, BgL_wherez00_4030,
									BgL_locz00_4031);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4032;

									BgL_za2za2resza2za2z00_4032 =
										PROCEDURE_ENTRY(BgL_bodyz00_20104) (BgL_bodyz00_20104,
										BgL_sz00_4025, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4029);
									return BgL_za2za2resza2za2z00_4032;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3617> */
	obj_t BGl_z62zc3anonymousza33617ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20106)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20107;

				BgL_sz00_20107 = PROCEDURE_REF(BgL_envz00_20106, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35795;

						BgL_auxz00_35795 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35795, BgL_sz00_20107);
					}
				}
			}
		}
	}



/* &<anonymous:3622> */
	obj_t BGl_z62zc3anonymousza33622ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20108, obj_t BgL_sz00_20115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20109;
				obj_t BgL_iboxesz00_20110;
				long BgL_siza7eza7_20111;
				BgL_ev_absz00_bglt BgL_i1320z00_20112;
				obj_t BgL_bodyz00_20113;
				long BgL_siza7ezd2framez75_20114;

				BgL_ifreesz00_20109 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20108, (int) (((long) 0))));
				BgL_iboxesz00_20110 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20108, (int) (((long) 1))));
				BgL_siza7eza7_20111 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20108, (int) (((long) 2))));
				BgL_i1320z00_20112 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20108, (int) (((long) 3))));
				BgL_bodyz00_20113 = PROCEDURE_REF(BgL_envz00_20108, (int) (((long) 4)));
				BgL_siza7ezd2framez75_20114 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20108, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4034;

					BgL_sz00_4034 = BgL_sz00_20115;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4036;

						BgL_bpz00_4036 = VECTOR_REF(BgL_sz00_4034, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4037;

							BgL_valza2za2_4037 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4034,
								BgL_bpz00_4036, BgL_ifreesz00_20109);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18812;

								BgL_runz00_18812 =
									MAKE_FX_PROCEDURE(BGl_z62run6186z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18812,
									(int) (((long) 0)), BgL_iboxesz00_20110);
								PROCEDURE_SET(BgL_runz00_18812,
									(int) (((long) 1)), BINT(BgL_siza7eza7_20111));
								PROCEDURE_SET(BgL_runz00_18812,
									(int) (((long) 2)), BgL_valza2za2_4037);
								PROCEDURE_SET(BgL_runz00_18812,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_20112));
								PROCEDURE_SET(BgL_runz00_18812,
									(int) (((long) 4)), BgL_bodyz00_20113);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18814;

									BgL_mainz00_18814 =
										MAKE_FX_PROCEDURE(BGl_z62main6185z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18814,
										(int) (((long) 0)), BgL_iboxesz00_20110);
									PROCEDURE_SET(BgL_mainz00_18814,
										(int) (((long) 1)), BINT(BgL_siza7eza7_20111));
									PROCEDURE_SET(BgL_mainz00_18814,
										(int) (((long) 2)), BgL_valza2za2_4037);
									PROCEDURE_SET(BgL_mainz00_18814,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_20112));
									PROCEDURE_SET(BgL_mainz00_18814,
										(int) (((long) 4)), BgL_bodyz00_20113);
									PROCEDURE_SET(BgL_mainz00_18814,
										(int) (((long) 5)), BgL_runz00_18812);
									PROCEDURE_SET(BgL_mainz00_18814,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_20114));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13696;

										BgL_objz00_13696 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18812, BgL_objz00_13696);
										BgL_objz00_13696;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3623z00_4040;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3624z00_4041;

											BgL_arg3624z00_4041 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20112))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13698;

												BgL_framez00_13698 = BINT(BgL_siza7ezd2framez75_20114);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13700;

													BgL_newz00_13700 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35858;

														BgL_auxz00_35858 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13700, BgL_auxz00_35858,
															BgL_arg3624z00_4041);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35861;

														BgL_auxz00_35861 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13700, BgL_auxz00_35861,
															BgL_framez00_13698);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_35864;

														BgL_auxz00_35864 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13700, BgL_auxz00_35864,
															BgL_runz00_18812);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														obj_t BgL_auxz00_35869;
														int BgL_auxz00_35867;

														BgL_auxz00_35869 = BINT(((long) 0));
														BgL_auxz00_35867 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13700, BgL_auxz00_35867,
															BgL_auxz00_35869);
													}
													BgL_arg3623z00_4040 = BgL_newz00_13700;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18814, BgL_arg3623z00_4040);
										BgL_arg3623z00_4040;
									}
									return BgL_mainz00_18814;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6185 */
	obj_t BGl_z62main6185z62zz__evaluate_compz00(obj_t BgL_envz00_20116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20122;
				long BgL_siza7ezd2framez75_20123;

				BgL_runz00_20122 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20116, (int) (((long) 5))));
				BgL_siza7ezd2framez75_20123 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20116, (int) (((long) 6))));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4043;

						BgL_sz00_4043 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4044;

							BgL_bpz00_4044 = VECTOR_REF(BgL_sz00_4043, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35882;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_13645;

									BgL_nz00_13645 = BINT(BgL_siza7ezd2framez75_20123);
									BgL_testz00_35882 =
										(
										((long) CINT(BgL_bpz00_4044) +
											(long) CINT(BgL_nz00_13645)) <
										(long) (VECTOR_LENGTH(BgL_sz00_4043)));
								}
								if (BgL_testz00_35882)
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_exitd1365z00_4046;

										BgL_exitd1365z00_4046 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_zc3anonymousza33627ze3z83_18813;

											BgL_zc3anonymousza33627ze3z83_18813 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33627ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33627ze3z83_18813,
												(int) (((long) 0)), BgL_sz00_4043);
											PROCEDURE_SET(BgL_zc3anonymousza33627ze3z83_18813,
												(int) (((long) 1)), BgL_bpz00_4044);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1365z00_4046,
												BgL_zc3anonymousza33627ze3z83_18813);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_tmp1367z00_4048;

												BgL_tmp1367z00_4048 =
													BGl_catchzd2trampolinezd2zz__evaluate_compz00
													(BgL_runz00_20122, BgL_sz00_4043, BgL_bpz00_4044);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1365z00_4046);
												VECTOR_SET(BgL_sz00_4043, (int) (((long) 0)),
													BgL_bpz00_4044);
												return BgL_tmp1367z00_4048;
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4051;

										BgL_nsz00_4051 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4051,
											(int) (((long) 1)), BgL_sz00_4043);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35906;

											BgL_auxz00_35906 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35906, BgL_nsz00_4051);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1368z00_4053;

											BgL_exitd1368z00_4053 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33629ze3z83_18811;

												BgL_zc3anonymousza33629ze3z83_18811 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33629ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33629ze3z83_18811,
													(int) (((long) 0)), BgL_sz00_4043);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1368z00_4053,
													BgL_zc3anonymousza33629ze3z83_18811);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1370z00_4055;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13669;

														BgL_savedzd2bpzd2_13669 =
															VECTOR_REF(BgL_nsz00_4051, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4051,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13676;

															BgL_fz00_13676 = BgL_runz00_20122;
														BgL_recz00_13675:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13677;

																BgL_rz00_13677 =
																	PROCEDURE_ENTRY(BgL_fz00_13676)
																	(BgL_fz00_13676, BgL_nsz00_4051, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35925;

																	if (PROCEDUREP(BgL_rz00_13677))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13682;

																			BgL_arg1964z00_13682 =
																				PROCEDURE_ATTR(BgL_rz00_13677);
																			if (STRUCTP(BgL_arg1964z00_13682))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35925 =
																						(STRUCT_KEY(BgL_arg1964z00_13682) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35925 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35925 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35925)
																		{
																			obj_t BgL_fz00_35933;

																			BgL_fz00_35933 = BgL_rz00_13677;
																			BgL_fz00_13676 = BgL_fz00_35933;
																			goto BgL_recz00_13675;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4051,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13669);
																			BgL_tmp1370z00_4055 = BgL_rz00_13677;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1368z00_4053);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35937;

														BgL_auxz00_35937 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35937,
															BgL_sz00_4043);
													}
													return BgL_tmp1370z00_4055;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3627> */
	obj_t BGl_z62zc3anonymousza33627ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20125;
				obj_t BgL_bpz00_20126;

				BgL_sz00_20125 = PROCEDURE_REF(BgL_envz00_20124, (int) (((long) 0)));
				BgL_bpz00_20126 = PROCEDURE_REF(BgL_envz00_20124, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20125, (int) (((long) 0)), BgL_bpz00_20126);
		}}}
	}



/* &run6186 */
	obj_t BGl_z62run6186z62zz__evaluate_compz00(obj_t BgL_envz00_20127,
		obj_t BgL_sz00_20133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20128;
				long BgL_siza7eza7_20129;
				obj_t BgL_valza2za2_20130;
				BgL_ev_absz00_bglt BgL_i1320z00_20131;
				obj_t BgL_bodyz00_20132;

				BgL_iboxesz00_20128 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 0))));
				BgL_siza7eza7_20129 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 1))));
				BgL_valza2za2_20130 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 2))));
				BgL_i1320z00_20131 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 3))));
				BgL_bodyz00_20132 = PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4060;

					BgL_sz00_4060 = BgL_sz00_20133;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4062;

						BgL_bpz00_4062 = VECTOR_REF(BgL_sz00_4060, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4060,
							BgL_iboxesz00_20128, BgL_bpz00_4062);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4060,
							BgL_valza2za2_20130,
							((long) CINT(BgL_bpz00_4062) + BgL_siza7eza7_20129));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4064;
							obj_t BgL_wherez00_4065;
							obj_t BgL_locz00_4066;

							BgL_z12denvz12_4064 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4065 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20131))->BgL_wherez00);
							BgL_locz00_4066 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20131))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4064, BgL_wherez00_4065,
									BgL_locz00_4066);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4067;

									BgL_za2za2resza2za2z00_4067 =
										PROCEDURE_ENTRY(BgL_bodyz00_20132) (BgL_bodyz00_20132,
										BgL_sz00_4060, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4064);
									return BgL_za2za2resza2za2z00_4067;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3629> */
	obj_t BGl_z62zc3anonymousza33629ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20134)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20135;

				BgL_sz00_20135 = PROCEDURE_REF(BgL_envz00_20134, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35977;

						BgL_auxz00_35977 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35977, BgL_sz00_20135);
					}
				}
			}
		}
	}



/* &<anonymous:4257> */
	obj_t BGl_z62zc3anonymousza34257ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20136, obj_t BgL_sz00_20140)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_20137;
				obj_t BgL_bodyz00_20138;
				long BgL_siza7ezd2framez75_20139;

				BgL_i1320z00_20137 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20136, (int) (((long) 0))));
				BgL_bodyz00_20138 = PROCEDURE_REF(BgL_envz00_20136, (int) (((long) 1)));
				BgL_siza7ezd2framez75_20139 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20136, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5551;

					BgL_sz00_5551 = BgL_sz00_20140;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5553;

						BgL_bpz00_5553 = VECTOR_REF(BgL_sz00_5551, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19027;

								BgL_runz00_19027 =
									MAKE_FX_PROCEDURE(BGl_z62run6188z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_19027,
									(int) (((long) 0)), ((obj_t) BgL_i1320z00_20137));
								PROCEDURE_SET(BgL_runz00_19027,
									(int) (((long) 1)), BgL_bodyz00_20138);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19029;

									BgL_mainz00_19029 =
										MAKE_VA_PROCEDURE(BGl_z62main6187z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_19029,
										(int) (((long) 0)), BgL_bodyz00_20138);
									PROCEDURE_SET(BgL_mainz00_19029,
										(int) (((long) 1)), ((obj_t) BgL_i1320z00_20137));
									PROCEDURE_SET(BgL_mainz00_19029,
										(int) (((long) 2)), BgL_runz00_19027);
									PROCEDURE_SET(BgL_mainz00_19029,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_20139));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_12891;

										BgL_objz00_12891 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19027, BgL_objz00_12891);
										BgL_objz00_12891;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4258z00_5556;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4259z00_5557;
											obj_t BgL_arg4260z00_5558;

											BgL_arg4259z00_5557 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20137))->
												BgL_arityz00);
											BgL_arg4260z00_5558 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20137))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_12893;

												BgL_framez00_12893 = BINT(BgL_siza7ezd2framez75_20139);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_12895;

													BgL_newz00_12895 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36017;

														BgL_auxz00_36017 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_12895, BgL_auxz00_36017,
															BgL_arg4260z00_5558);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36020;

														BgL_auxz00_36020 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_12895, BgL_auxz00_36020,
															BgL_framez00_12893);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36023;

														BgL_auxz00_36023 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_12895, BgL_auxz00_36023,
															BgL_runz00_19027);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36026;

														BgL_auxz00_36026 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_12895, BgL_auxz00_36026,
															BgL_arg4259z00_5557);
													}
													BgL_arg4258z00_5556 = BgL_newz00_12895;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19029, BgL_arg4258z00_5556);
										BgL_arg4258z00_5556;
									}
									return BgL_mainz00_19029;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6187 */
	obj_t BGl_z62main6187z62zz__evaluate_compz00(obj_t BgL_envz00_20141,
		obj_t BgL_az00_20146, obj_t BgL_bz00_20147, obj_t BgL_cz00_20148,
		obj_t BgL_dz00_20149, obj_t BgL_restz00_20150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_20143;
				obj_t BgL_runz00_20144;
				long BgL_siza7ezd2framez75_20145;

				BgL_i1320z00_20143 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20141, (int) (((long) 1))));
				BgL_runz00_20144 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20141, (int) (((long) 2))));
				BgL_siza7ezd2framez75_20145 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20141, (int) (((long) 3))));
				{
					obj_t BgL_az00_5559;
					obj_t BgL_bz00_5560;
					obj_t BgL_cz00_5561;
					obj_t BgL_dz00_5562;
					obj_t BgL_restz00_5563;

					BgL_az00_5559 = BgL_az00_20146;
					BgL_bz00_5560 = BgL_bz00_20147;
					BgL_cz00_5561 = BgL_cz00_20148;
					BgL_dz00_5562 = BgL_dz00_20149;
					BgL_restz00_5563 = BgL_restz00_20150;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5565;

						BgL_sz00_5565 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5566;

							BgL_bpz00_5566 = VECTOR_REF(BgL_sz00_5565, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_36042;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_12777;

									BgL_nz00_12777 = BINT(BgL_siza7ezd2framez75_20145);
									BgL_testz00_36042 =
										(
										((long) CINT(BgL_bpz00_5566) +
											(long) CINT(BgL_nz00_12777)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5565)));
								}
								if (BgL_testz00_36042)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4263z00_5568;

											BgL_arg4263z00_5568 =
												((long) CINT(BgL_bpz00_5566) + ((long) 0));
											VECTOR_SET(BgL_sz00_5565,
												(int) (BgL_arg4263z00_5568), BgL_az00_5559);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4264z00_5569;

											BgL_arg4264z00_5569 =
												((long) CINT(BgL_bpz00_5566) + ((long) 1));
											VECTOR_SET(BgL_sz00_5565,
												(int) (BgL_arg4264z00_5569), BgL_bz00_5560);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4265z00_5570;

											BgL_arg4265z00_5570 =
												((long) CINT(BgL_bpz00_5566) + ((long) 2));
											VECTOR_SET(BgL_sz00_5565,
												(int) (BgL_arg4265z00_5570), BgL_cz00_5561);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4266z00_5571;

											BgL_arg4266z00_5571 =
												((long) CINT(BgL_bpz00_5566) + ((long) 3));
											VECTOR_SET(BgL_sz00_5565,
												(int) (BgL_arg4266z00_5571), BgL_dz00_5562);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4267z00_5572;
											long BgL_arg4268z00_5573;
											long BgL_arg4269z00_5574;
											obj_t BgL_arg4270z00_5575;

											BgL_arg4267z00_5572 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20143))->
												BgL_wherez00);
											BgL_arg4268z00_5573 =
												((long) CINT(BgL_bpz00_5566) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_12814;

												BgL_nz00_12814 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20143))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_12814) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4269z00_5574 =
															((long) CINT(BgL_nz00_12814) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4269z00_5574 =
															((long) CINT(BgL_nz00_12814) - ((long) 4));
											}}
											BgL_arg4270z00_5575 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20143))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5565,
												BgL_arg4267z00_5572, BgL_arg4268z00_5573,
												BgL_arg4269z00_5574, BgL_restz00_5563,
												BgL_arg4270z00_5575);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1321z00_5577;

											BgL_exitd1321z00_5577 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34272ze3z83_19028;

												BgL_zc3anonymousza34272ze3z83_19028 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34272ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34272ze3z83_19028,
													(int) (((long) 0)), BgL_sz00_5565);
												PROCEDURE_SET(BgL_zc3anonymousza34272ze3z83_19028,
													(int) (((long) 1)), BgL_bpz00_5566);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1321z00_5577,
													BgL_zc3anonymousza34272ze3z83_19028);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1323z00_5579;

													BgL_tmp1323z00_5579 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20144, BgL_sz00_5565, BgL_bpz00_5566);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1321z00_5577);
													VECTOR_SET(BgL_sz00_5565, (int) (((long) 0)),
														BgL_bpz00_5566);
													return BgL_tmp1323z00_5579;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5582;

										BgL_nsz00_5582 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5582,
											(int) (((long) 1)), BgL_sz00_5565);
										VECTOR_SET(BgL_nsz00_5582,
											(int) (((long) 2)), BgL_az00_5559);
										VECTOR_SET(BgL_nsz00_5582,
											(int) (((long) 3)), BgL_bz00_5560);
										VECTOR_SET(BgL_nsz00_5582,
											(int) (((long) 4)), BgL_cz00_5561);
										VECTOR_SET(BgL_nsz00_5582,
											(int) (((long) 5)), BgL_dz00_5562);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4273z00_5583;
											long BgL_arg4274z00_5584;
											obj_t BgL_arg4275z00_5585;

											BgL_arg4273z00_5583 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20143))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_12847;

												BgL_nz00_12847 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20143))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_12847) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4274z00_5584 =
															((long) CINT(BgL_nz00_12847) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4274z00_5584 =
															((long) CINT(BgL_nz00_12847) - ((long) 4));
											}}
											BgL_arg4275z00_5585 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20143))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5582,
												BgL_arg4273z00_5583, ((long) 6), BgL_arg4274z00_5584,
												BgL_restz00_5563, BgL_arg4275z00_5585);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_36114;

											BgL_auxz00_36114 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_36114, BgL_nsz00_5582);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1324z00_5588;

											BgL_exitd1324z00_5588 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34278ze3z83_19026;

												BgL_zc3anonymousza34278ze3z83_19026 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34278ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34278ze3z83_19026,
													(int) (((long) 0)), BgL_sz00_5565);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1324z00_5588,
													BgL_zc3anonymousza34278ze3z83_19026);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1326z00_5590;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_12864;

														BgL_savedzd2bpzd2_12864 =
															VECTOR_REF(BgL_nsz00_5582, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5582,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_12871;

															BgL_fz00_12871 = BgL_runz00_20144;
														BgL_recz00_12870:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_12872;

																BgL_rz00_12872 =
																	PROCEDURE_ENTRY(BgL_fz00_12871)
																	(BgL_fz00_12871, BgL_nsz00_5582, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_36133;

																	if (PROCEDUREP(BgL_rz00_12872))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_12877;

																			BgL_arg1964z00_12877 =
																				PROCEDURE_ATTR(BgL_rz00_12872);
																			if (STRUCTP(BgL_arg1964z00_12877))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36133 =
																						(STRUCT_KEY(BgL_arg1964z00_12877) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36133 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_36133 = ((bool_t) 0);
																		}
																	if (BgL_testz00_36133)
																		{
																			obj_t BgL_fz00_36141;

																			BgL_fz00_36141 = BgL_rz00_12872;
																			BgL_fz00_12871 = BgL_fz00_36141;
																			goto BgL_recz00_12870;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5582,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_12864);
																			BgL_tmp1326z00_5590 = BgL_rz00_12872;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1324z00_5588);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_36145;

														BgL_auxz00_36145 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_36145,
															BgL_sz00_5565);
													}
													return BgL_tmp1326z00_5590;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4272> */
	obj_t BGl_z62zc3anonymousza34272ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20151)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20152;
				obj_t BgL_bpz00_20153;

				BgL_sz00_20152 = PROCEDURE_REF(BgL_envz00_20151, (int) (((long) 0)));
				BgL_bpz00_20153 = PROCEDURE_REF(BgL_envz00_20151, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20152, (int) (((long) 0)), BgL_bpz00_20153);
		}}}
	}



/* &run6188 */
	obj_t BGl_z62run6188z62zz__evaluate_compz00(obj_t BgL_envz00_20154,
		obj_t BgL_sz00_20157)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_20155;
				obj_t BgL_bodyz00_20156;

				BgL_i1320z00_20155 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20154, (int) (((long) 0))));
				BgL_bodyz00_20156 = PROCEDURE_REF(BgL_envz00_20154, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5595;

					BgL_sz00_5595 = BgL_sz00_20157;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5597;

						BgL_bpz00_5597 = VECTOR_REF(BgL_sz00_5595, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5598;
							obj_t BgL_wherez00_5599;
							obj_t BgL_locz00_5600;

							BgL_z12denvz12_5598 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5599 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20155))->BgL_wherez00);
							BgL_locz00_5600 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20155))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5598, BgL_wherez00_5599,
									BgL_locz00_5600);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5601;

									BgL_za2za2resza2za2z00_5601 =
										PROCEDURE_ENTRY(BgL_bodyz00_20156) (BgL_bodyz00_20156,
										BgL_sz00_5595, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5598);
									return BgL_za2za2resza2za2z00_5601;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4278> */
	obj_t BGl_z62zc3anonymousza34278ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20158)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20159;

				BgL_sz00_20159 = PROCEDURE_REF(BgL_envz00_20158, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_36172;

						BgL_auxz00_36172 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_36172, BgL_sz00_20159);
					}
				}
			}
		}
	}



/* &<anonymous:4281> */
	obj_t BGl_z62zc3anonymousza34281ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20160, obj_t BgL_sz00_20165)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20161;
				BgL_ev_absz00_bglt BgL_i1320z00_20162;
				obj_t BgL_bodyz00_20163;
				long BgL_siza7ezd2framez75_20164;

				BgL_iboxesz00_20161 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20160, (int) (((long) 0))));
				BgL_i1320z00_20162 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20160, (int) (((long) 1))));
				BgL_bodyz00_20163 = PROCEDURE_REF(BgL_envz00_20160, (int) (((long) 2)));
				BgL_siza7ezd2framez75_20164 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20160, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5603;

					BgL_sz00_5603 = BgL_sz00_20165;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5605;

						BgL_bpz00_5605 = VECTOR_REF(BgL_sz00_5603, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19022;

								BgL_runz00_19022 =
									MAKE_FX_PROCEDURE(BGl_z62run6190z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_19022,
									(int) (((long) 0)), BgL_iboxesz00_20161);
								PROCEDURE_SET(BgL_runz00_19022,
									(int) (((long) 1)), ((obj_t) BgL_i1320z00_20162));
								PROCEDURE_SET(BgL_runz00_19022,
									(int) (((long) 2)), BgL_bodyz00_20163);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19024;

									BgL_mainz00_19024 =
										MAKE_VA_PROCEDURE(BGl_z62main6189z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_19024,
										(int) (((long) 0)), BgL_iboxesz00_20161);
									PROCEDURE_SET(BgL_mainz00_19024,
										(int) (((long) 1)), BgL_bodyz00_20163);
									PROCEDURE_SET(BgL_mainz00_19024,
										(int) (((long) 2)), ((obj_t) BgL_i1320z00_20162));
									PROCEDURE_SET(BgL_mainz00_19024,
										(int) (((long) 3)), BgL_runz00_19022);
									PROCEDURE_SET(BgL_mainz00_19024,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_20164));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13038;

										BgL_objz00_13038 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19022, BgL_objz00_13038);
										BgL_objz00_13038;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4282z00_5608;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4283z00_5609;
											obj_t BgL_arg4284z00_5610;

											BgL_arg4283z00_5609 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20162))->
												BgL_arityz00);
											BgL_arg4284z00_5610 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20162))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13040;

												BgL_framez00_13040 = BINT(BgL_siza7ezd2framez75_20164);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13042;

													BgL_newz00_13042 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36219;

														BgL_auxz00_36219 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13042, BgL_auxz00_36219,
															BgL_arg4284z00_5610);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36222;

														BgL_auxz00_36222 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13042, BgL_auxz00_36222,
															BgL_framez00_13040);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36225;

														BgL_auxz00_36225 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13042, BgL_auxz00_36225,
															BgL_runz00_19022);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36228;

														BgL_auxz00_36228 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13042, BgL_auxz00_36228,
															BgL_arg4283z00_5609);
													}
													BgL_arg4282z00_5608 = BgL_newz00_13042;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19024, BgL_arg4282z00_5608);
										BgL_arg4282z00_5608;
									}
									return BgL_mainz00_19024;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6189 */
	obj_t BGl_z62main6189z62zz__evaluate_compz00(obj_t BgL_envz00_20166,
		obj_t BgL_az00_20172, obj_t BgL_bz00_20173, obj_t BgL_cz00_20174,
		obj_t BgL_dz00_20175, obj_t BgL_restz00_20176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_20169;
				obj_t BgL_runz00_20170;
				long BgL_siza7ezd2framez75_20171;

				BgL_i1320z00_20169 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20166, (int) (((long) 2))));
				BgL_runz00_20170 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20166, (int) (((long) 3))));
				BgL_siza7ezd2framez75_20171 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20166, (int) (((long) 4))));
				{
					obj_t BgL_az00_5611;
					obj_t BgL_bz00_5612;
					obj_t BgL_cz00_5613;
					obj_t BgL_dz00_5614;
					obj_t BgL_restz00_5615;

					BgL_az00_5611 = BgL_az00_20172;
					BgL_bz00_5612 = BgL_bz00_20173;
					BgL_cz00_5613 = BgL_cz00_20174;
					BgL_dz00_5614 = BgL_dz00_20175;
					BgL_restz00_5615 = BgL_restz00_20176;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5617;

						BgL_sz00_5617 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5618;

							BgL_bpz00_5618 = VECTOR_REF(BgL_sz00_5617, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_36244;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_12924;

									BgL_nz00_12924 = BINT(BgL_siza7ezd2framez75_20171);
									BgL_testz00_36244 =
										(
										((long) CINT(BgL_bpz00_5618) +
											(long) CINT(BgL_nz00_12924)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5617)));
								}
								if (BgL_testz00_36244)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4287z00_5620;

											BgL_arg4287z00_5620 =
												((long) CINT(BgL_bpz00_5618) + ((long) 0));
											VECTOR_SET(BgL_sz00_5617,
												(int) (BgL_arg4287z00_5620), BgL_az00_5611);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4288z00_5621;

											BgL_arg4288z00_5621 =
												((long) CINT(BgL_bpz00_5618) + ((long) 1));
											VECTOR_SET(BgL_sz00_5617,
												(int) (BgL_arg4288z00_5621), BgL_bz00_5612);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4289z00_5622;

											BgL_arg4289z00_5622 =
												((long) CINT(BgL_bpz00_5618) + ((long) 2));
											VECTOR_SET(BgL_sz00_5617,
												(int) (BgL_arg4289z00_5622), BgL_cz00_5613);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4290z00_5623;

											BgL_arg4290z00_5623 =
												((long) CINT(BgL_bpz00_5618) + ((long) 3));
											VECTOR_SET(BgL_sz00_5617,
												(int) (BgL_arg4290z00_5623), BgL_dz00_5614);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4291z00_5624;
											long BgL_arg4292z00_5625;
											long BgL_arg4293z00_5626;
											obj_t BgL_arg4294z00_5627;

											BgL_arg4291z00_5624 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20169))->
												BgL_wherez00);
											BgL_arg4292z00_5625 =
												((long) CINT(BgL_bpz00_5618) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_12961;

												BgL_nz00_12961 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20169))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_12961) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4293z00_5626 =
															((long) CINT(BgL_nz00_12961) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4293z00_5626 =
															((long) CINT(BgL_nz00_12961) - ((long) 4));
											}}
											BgL_arg4294z00_5627 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20169))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5617,
												BgL_arg4291z00_5624, BgL_arg4292z00_5625,
												BgL_arg4293z00_5626, BgL_restz00_5615,
												BgL_arg4294z00_5627);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1327z00_5629;

											BgL_exitd1327z00_5629 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34296ze3z83_19023;

												BgL_zc3anonymousza34296ze3z83_19023 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34296ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34296ze3z83_19023,
													(int) (((long) 0)), BgL_sz00_5617);
												PROCEDURE_SET(BgL_zc3anonymousza34296ze3z83_19023,
													(int) (((long) 1)), BgL_bpz00_5618);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1327z00_5629,
													BgL_zc3anonymousza34296ze3z83_19023);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1329z00_5631;

													BgL_tmp1329z00_5631 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20170, BgL_sz00_5617, BgL_bpz00_5618);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1327z00_5629);
													VECTOR_SET(BgL_sz00_5617, (int) (((long) 0)),
														BgL_bpz00_5618);
													return BgL_tmp1329z00_5631;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5634;

										BgL_nsz00_5634 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5634,
											(int) (((long) 1)), BgL_sz00_5617);
										VECTOR_SET(BgL_nsz00_5634,
											(int) (((long) 2)), BgL_az00_5611);
										VECTOR_SET(BgL_nsz00_5634,
											(int) (((long) 3)), BgL_bz00_5612);
										VECTOR_SET(BgL_nsz00_5634,
											(int) (((long) 4)), BgL_cz00_5613);
										VECTOR_SET(BgL_nsz00_5634,
											(int) (((long) 5)), BgL_dz00_5614);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4297z00_5635;
											long BgL_arg4298z00_5636;
											obj_t BgL_arg4299z00_5637;

											BgL_arg4297z00_5635 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20169))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_12994;

												BgL_nz00_12994 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20169))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_12994) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4298z00_5636 =
															((long) CINT(BgL_nz00_12994) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4298z00_5636 =
															((long) CINT(BgL_nz00_12994) - ((long) 4));
											}}
											BgL_arg4299z00_5637 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20169))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5634,
												BgL_arg4297z00_5635, ((long) 6), BgL_arg4298z00_5636,
												BgL_restz00_5615, BgL_arg4299z00_5637);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_36316;

											BgL_auxz00_36316 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_36316, BgL_nsz00_5634);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1330z00_5640;

											BgL_exitd1330z00_5640 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34302ze3z83_19021;

												BgL_zc3anonymousza34302ze3z83_19021 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34302ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34302ze3z83_19021,
													(int) (((long) 0)), BgL_sz00_5617);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1330z00_5640,
													BgL_zc3anonymousza34302ze3z83_19021);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1332z00_5642;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13011;

														BgL_savedzd2bpzd2_13011 =
															VECTOR_REF(BgL_nsz00_5634, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5634,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13018;

															BgL_fz00_13018 = BgL_runz00_20170;
														BgL_recz00_13017:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13019;

																BgL_rz00_13019 =
																	PROCEDURE_ENTRY(BgL_fz00_13018)
																	(BgL_fz00_13018, BgL_nsz00_5634, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_36335;

																	if (PROCEDUREP(BgL_rz00_13019))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13024;

																			BgL_arg1964z00_13024 =
																				PROCEDURE_ATTR(BgL_rz00_13019);
																			if (STRUCTP(BgL_arg1964z00_13024))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36335 =
																						(STRUCT_KEY(BgL_arg1964z00_13024) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36335 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_36335 = ((bool_t) 0);
																		}
																	if (BgL_testz00_36335)
																		{
																			obj_t BgL_fz00_36343;

																			BgL_fz00_36343 = BgL_rz00_13019;
																			BgL_fz00_13018 = BgL_fz00_36343;
																			goto BgL_recz00_13017;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5634,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13011);
																			BgL_tmp1332z00_5642 = BgL_rz00_13019;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1330z00_5640);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_36347;

														BgL_auxz00_36347 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_36347,
															BgL_sz00_5617);
													}
													return BgL_tmp1332z00_5642;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4296> */
	obj_t BGl_z62zc3anonymousza34296ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20177)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20178;
				obj_t BgL_bpz00_20179;

				BgL_sz00_20178 = PROCEDURE_REF(BgL_envz00_20177, (int) (((long) 0)));
				BgL_bpz00_20179 = PROCEDURE_REF(BgL_envz00_20177, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20178, (int) (((long) 0)), BgL_bpz00_20179);
		}}}
	}



/* &run6190 */
	obj_t BGl_z62run6190z62zz__evaluate_compz00(obj_t BgL_envz00_20180,
		obj_t BgL_sz00_20184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20181;
				BgL_ev_absz00_bglt BgL_i1320z00_20182;
				obj_t BgL_bodyz00_20183;

				BgL_iboxesz00_20181 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20180, (int) (((long) 0))));
				BgL_i1320z00_20182 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20180, (int) (((long) 1))));
				BgL_bodyz00_20183 = PROCEDURE_REF(BgL_envz00_20180, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5647;

					BgL_sz00_5647 = BgL_sz00_20184;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5649;

						BgL_bpz00_5649 = VECTOR_REF(BgL_sz00_5647, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5647,
							BgL_iboxesz00_20181, BgL_bpz00_5649);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5650;
							obj_t BgL_wherez00_5651;
							obj_t BgL_locz00_5652;

							BgL_z12denvz12_5650 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5651 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20182))->BgL_wherez00);
							BgL_locz00_5652 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20182))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5650, BgL_wherez00_5651,
									BgL_locz00_5652);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5653;

									BgL_za2za2resza2za2z00_5653 =
										PROCEDURE_ENTRY(BgL_bodyz00_20183) (BgL_bodyz00_20183,
										BgL_sz00_5647, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5650);
									return BgL_za2za2resza2za2z00_5653;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4302> */
	obj_t BGl_z62zc3anonymousza34302ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20185)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20186;

				BgL_sz00_20186 = PROCEDURE_REF(BgL_envz00_20185, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_36378;

						BgL_auxz00_36378 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_36378, BgL_sz00_20186);
					}
				}
			}
		}
	}



/* &<anonymous:4307> */
	obj_t BGl_z62zc3anonymousza34307ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20187, obj_t BgL_sz00_20193)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20188;
				long BgL_siza7eza7_20189;
				BgL_ev_absz00_bglt BgL_i1320z00_20190;
				obj_t BgL_bodyz00_20191;
				long BgL_siza7ezd2framez75_20192;

				BgL_ifreesz00_20188 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20187, (int) (((long) 0))));
				BgL_siza7eza7_20189 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20187, (int) (((long) 1))));
				BgL_i1320z00_20190 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20187, (int) (((long) 2))));
				BgL_bodyz00_20191 = PROCEDURE_REF(BgL_envz00_20187, (int) (((long) 3)));
				BgL_siza7ezd2framez75_20192 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20187, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5657;

					BgL_sz00_5657 = BgL_sz00_20193;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5659;

						BgL_bpz00_5659 = VECTOR_REF(BgL_sz00_5657, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5660;

							BgL_valza2za2_5660 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5657,
								BgL_bpz00_5659, BgL_ifreesz00_20188);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19017;

								BgL_runz00_19017 =
									MAKE_FX_PROCEDURE(BGl_z62run6192z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_19017,
									(int) (((long) 0)), BINT(BgL_siza7eza7_20189));
								PROCEDURE_SET(BgL_runz00_19017,
									(int) (((long) 1)), BgL_valza2za2_5660);
								PROCEDURE_SET(BgL_runz00_19017,
									(int) (((long) 2)), ((obj_t) BgL_i1320z00_20190));
								PROCEDURE_SET(BgL_runz00_19017,
									(int) (((long) 3)), BgL_bodyz00_20191);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19019;

									BgL_mainz00_19019 =
										MAKE_VA_PROCEDURE(BGl_z62main6191z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_19019,
										(int) (((long) 0)), BINT(BgL_siza7eza7_20189));
									PROCEDURE_SET(BgL_mainz00_19019,
										(int) (((long) 1)), BgL_valza2za2_5660);
									PROCEDURE_SET(BgL_mainz00_19019,
										(int) (((long) 2)), BgL_bodyz00_20191);
									PROCEDURE_SET(BgL_mainz00_19019,
										(int) (((long) 3)), ((obj_t) BgL_i1320z00_20190));
									PROCEDURE_SET(BgL_mainz00_19019,
										(int) (((long) 4)), BgL_runz00_19017);
									PROCEDURE_SET(BgL_mainz00_19019,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_20192));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13192;

										BgL_objz00_13192 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19017, BgL_objz00_13192);
										BgL_objz00_13192;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4308z00_5663;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4309z00_5664;
											obj_t BgL_arg4310z00_5665;

											BgL_arg4309z00_5664 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20190))->
												BgL_arityz00);
											BgL_arg4310z00_5665 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20190))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13194;

												BgL_framez00_13194 = BINT(BgL_siza7ezd2framez75_20192);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13196;

													BgL_newz00_13196 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36435;

														BgL_auxz00_36435 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13196, BgL_auxz00_36435,
															BgL_arg4310z00_5665);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36438;

														BgL_auxz00_36438 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13196, BgL_auxz00_36438,
															BgL_framez00_13194);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36441;

														BgL_auxz00_36441 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13196, BgL_auxz00_36441,
															BgL_runz00_19017);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36444;

														BgL_auxz00_36444 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13196, BgL_auxz00_36444,
															BgL_arg4309z00_5664);
													}
													BgL_arg4308z00_5663 = BgL_newz00_13196;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19019, BgL_arg4308z00_5663);
										BgL_arg4308z00_5663;
									}
									return BgL_mainz00_19019;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6191 */
	obj_t BGl_z62main6191z62zz__evaluate_compz00(obj_t BgL_envz00_20194,
		obj_t BgL_az00_20201, obj_t BgL_bz00_20202, obj_t BgL_cz00_20203,
		obj_t BgL_dz00_20204, obj_t BgL_restz00_20205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_20198;
				obj_t BgL_runz00_20199;
				long BgL_siza7ezd2framez75_20200;

				BgL_i1320z00_20198 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20194, (int) (((long) 3))));
				BgL_runz00_20199 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20194, (int) (((long) 4))));
				BgL_siza7ezd2framez75_20200 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20194, (int) (((long) 5))));
				{
					obj_t BgL_az00_5666;
					obj_t BgL_bz00_5667;
					obj_t BgL_cz00_5668;
					obj_t BgL_dz00_5669;
					obj_t BgL_restz00_5670;

					BgL_az00_5666 = BgL_az00_20201;
					BgL_bz00_5667 = BgL_bz00_20202;
					BgL_cz00_5668 = BgL_cz00_20203;
					BgL_dz00_5669 = BgL_dz00_20204;
					BgL_restz00_5670 = BgL_restz00_20205;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5672;

						BgL_sz00_5672 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5673;

							BgL_bpz00_5673 = VECTOR_REF(BgL_sz00_5672, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_36460;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_13078;

									BgL_nz00_13078 = BINT(BgL_siza7ezd2framez75_20200);
									BgL_testz00_36460 =
										(
										((long) CINT(BgL_bpz00_5673) +
											(long) CINT(BgL_nz00_13078)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5672)));
								}
								if (BgL_testz00_36460)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4313z00_5675;

											BgL_arg4313z00_5675 =
												((long) CINT(BgL_bpz00_5673) + ((long) 0));
											VECTOR_SET(BgL_sz00_5672,
												(int) (BgL_arg4313z00_5675), BgL_az00_5666);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4314z00_5676;

											BgL_arg4314z00_5676 =
												((long) CINT(BgL_bpz00_5673) + ((long) 1));
											VECTOR_SET(BgL_sz00_5672,
												(int) (BgL_arg4314z00_5676), BgL_bz00_5667);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4315z00_5677;

											BgL_arg4315z00_5677 =
												((long) CINT(BgL_bpz00_5673) + ((long) 2));
											VECTOR_SET(BgL_sz00_5672,
												(int) (BgL_arg4315z00_5677), BgL_cz00_5668);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4316z00_5678;

											BgL_arg4316z00_5678 =
												((long) CINT(BgL_bpz00_5673) + ((long) 3));
											VECTOR_SET(BgL_sz00_5672,
												(int) (BgL_arg4316z00_5678), BgL_dz00_5669);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4317z00_5679;
											long BgL_arg4318z00_5680;
											long BgL_arg4319z00_5681;
											obj_t BgL_arg4320z00_5682;

											BgL_arg4317z00_5679 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20198))->
												BgL_wherez00);
											BgL_arg4318z00_5680 =
												((long) CINT(BgL_bpz00_5673) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_13115;

												BgL_nz00_13115 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20198))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_13115) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4319z00_5681 =
															((long) CINT(BgL_nz00_13115) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4319z00_5681 =
															((long) CINT(BgL_nz00_13115) - ((long) 4));
											}}
											BgL_arg4320z00_5682 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20198))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5672,
												BgL_arg4317z00_5679, BgL_arg4318z00_5680,
												BgL_arg4319z00_5681, BgL_restz00_5670,
												BgL_arg4320z00_5682);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1333z00_5684;

											BgL_exitd1333z00_5684 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34322ze3z83_19018;

												BgL_zc3anonymousza34322ze3z83_19018 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34322ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34322ze3z83_19018,
													(int) (((long) 0)), BgL_sz00_5672);
												PROCEDURE_SET(BgL_zc3anonymousza34322ze3z83_19018,
													(int) (((long) 1)), BgL_bpz00_5673);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1333z00_5684,
													BgL_zc3anonymousza34322ze3z83_19018);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1335z00_5686;

													BgL_tmp1335z00_5686 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20199, BgL_sz00_5672, BgL_bpz00_5673);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1333z00_5684);
													VECTOR_SET(BgL_sz00_5672, (int) (((long) 0)),
														BgL_bpz00_5673);
													return BgL_tmp1335z00_5686;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5689;

										BgL_nsz00_5689 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5689,
											(int) (((long) 1)), BgL_sz00_5672);
										VECTOR_SET(BgL_nsz00_5689,
											(int) (((long) 2)), BgL_az00_5666);
										VECTOR_SET(BgL_nsz00_5689,
											(int) (((long) 3)), BgL_bz00_5667);
										VECTOR_SET(BgL_nsz00_5689,
											(int) (((long) 4)), BgL_cz00_5668);
										VECTOR_SET(BgL_nsz00_5689,
											(int) (((long) 5)), BgL_dz00_5669);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4323z00_5690;
											long BgL_arg4324z00_5691;
											obj_t BgL_arg4325z00_5692;

											BgL_arg4323z00_5690 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20198))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_13148;

												BgL_nz00_13148 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20198))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_13148) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4324z00_5691 =
															((long) CINT(BgL_nz00_13148) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4324z00_5691 =
															((long) CINT(BgL_nz00_13148) - ((long) 4));
											}}
											BgL_arg4325z00_5692 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20198))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5689,
												BgL_arg4323z00_5690, ((long) 6), BgL_arg4324z00_5691,
												BgL_restz00_5670, BgL_arg4325z00_5692);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_36532;

											BgL_auxz00_36532 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_36532, BgL_nsz00_5689);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1336z00_5695;

											BgL_exitd1336z00_5695 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34328ze3z83_19016;

												BgL_zc3anonymousza34328ze3z83_19016 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34328ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34328ze3z83_19016,
													(int) (((long) 0)), BgL_sz00_5672);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1336z00_5695,
													BgL_zc3anonymousza34328ze3z83_19016);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1338z00_5697;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13165;

														BgL_savedzd2bpzd2_13165 =
															VECTOR_REF(BgL_nsz00_5689, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5689,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13172;

															BgL_fz00_13172 = BgL_runz00_20199;
														BgL_recz00_13171:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13173;

																BgL_rz00_13173 =
																	PROCEDURE_ENTRY(BgL_fz00_13172)
																	(BgL_fz00_13172, BgL_nsz00_5689, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_36551;

																	if (PROCEDUREP(BgL_rz00_13173))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13178;

																			BgL_arg1964z00_13178 =
																				PROCEDURE_ATTR(BgL_rz00_13173);
																			if (STRUCTP(BgL_arg1964z00_13178))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36551 =
																						(STRUCT_KEY(BgL_arg1964z00_13178) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36551 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_36551 = ((bool_t) 0);
																		}
																	if (BgL_testz00_36551)
																		{
																			obj_t BgL_fz00_36559;

																			BgL_fz00_36559 = BgL_rz00_13173;
																			BgL_fz00_13172 = BgL_fz00_36559;
																			goto BgL_recz00_13171;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5689,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13165);
																			BgL_tmp1338z00_5697 = BgL_rz00_13173;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1336z00_5695);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_36563;

														BgL_auxz00_36563 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_36563,
															BgL_sz00_5672);
													}
													return BgL_tmp1338z00_5697;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4322> */
	obj_t BGl_z62zc3anonymousza34322ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20206)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20207;
				obj_t BgL_bpz00_20208;

				BgL_sz00_20207 = PROCEDURE_REF(BgL_envz00_20206, (int) (((long) 0)));
				BgL_bpz00_20208 = PROCEDURE_REF(BgL_envz00_20206, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20207, (int) (((long) 0)), BgL_bpz00_20208);
		}}}
	}



/* &run6192 */
	obj_t BGl_z62run6192z62zz__evaluate_compz00(obj_t BgL_envz00_20209,
		obj_t BgL_sz00_20214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_20210;
				obj_t BgL_valza2za2_20211;
				BgL_ev_absz00_bglt BgL_i1320z00_20212;
				obj_t BgL_bodyz00_20213;

				BgL_siza7eza7_20210 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20209, (int) (((long) 0))));
				BgL_valza2za2_20211 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20209, (int) (((long) 1))));
				BgL_i1320z00_20212 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20209, (int) (((long) 2))));
				BgL_bodyz00_20213 = PROCEDURE_REF(BgL_envz00_20209, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5702;

					BgL_sz00_5702 = BgL_sz00_20214;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5704;

						BgL_bpz00_5704 = VECTOR_REF(BgL_sz00_5702, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5702,
							BgL_valza2za2_20211,
							((long) CINT(BgL_bpz00_5704) + BgL_siza7eza7_20210));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5706;
							obj_t BgL_wherez00_5707;
							obj_t BgL_locz00_5708;

							BgL_z12denvz12_5706 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5707 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20212))->BgL_wherez00);
							BgL_locz00_5708 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20212))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5706, BgL_wherez00_5707,
									BgL_locz00_5708);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5709;

									BgL_za2za2resza2za2z00_5709 =
										PROCEDURE_ENTRY(BgL_bodyz00_20213) (BgL_bodyz00_20213,
										BgL_sz00_5702, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5706);
									return BgL_za2za2resza2za2z00_5709;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4328> */
	obj_t BGl_z62zc3anonymousza34328ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20216;

				BgL_sz00_20216 = PROCEDURE_REF(BgL_envz00_20215, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_36599;

						BgL_auxz00_36599 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_36599, BgL_sz00_20216);
					}
				}
			}
		}
	}



/* &<anonymous:4332> */
	obj_t BGl_z62zc3anonymousza34332ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20217, obj_t BgL_sz00_20224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20218;
				obj_t BgL_iboxesz00_20219;
				long BgL_siza7eza7_20220;
				BgL_ev_absz00_bglt BgL_i1320z00_20221;
				obj_t BgL_bodyz00_20222;
				long BgL_siza7ezd2framez75_20223;

				BgL_ifreesz00_20218 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20217, (int) (((long) 0))));
				BgL_iboxesz00_20219 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20217, (int) (((long) 1))));
				BgL_siza7eza7_20220 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20217, (int) (((long) 2))));
				BgL_i1320z00_20221 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20217, (int) (((long) 3))));
				BgL_bodyz00_20222 = PROCEDURE_REF(BgL_envz00_20217, (int) (((long) 4)));
				BgL_siza7ezd2framez75_20223 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20217, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5711;

					BgL_sz00_5711 = BgL_sz00_20224;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5713;

						BgL_bpz00_5713 = VECTOR_REF(BgL_sz00_5711, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5714;

							BgL_valza2za2_5714 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5711,
								BgL_bpz00_5713, BgL_ifreesz00_20218);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19012;

								BgL_runz00_19012 =
									MAKE_FX_PROCEDURE(BGl_z62run6194z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_19012,
									(int) (((long) 0)), BgL_iboxesz00_20219);
								PROCEDURE_SET(BgL_runz00_19012,
									(int) (((long) 1)), BINT(BgL_siza7eza7_20220));
								PROCEDURE_SET(BgL_runz00_19012,
									(int) (((long) 2)), BgL_valza2za2_5714);
								PROCEDURE_SET(BgL_runz00_19012,
									(int) (((long) 3)), ((obj_t) BgL_i1320z00_20221));
								PROCEDURE_SET(BgL_runz00_19012,
									(int) (((long) 4)), BgL_bodyz00_20222);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19014;

									BgL_mainz00_19014 =
										MAKE_VA_PROCEDURE(BGl_z62main6193z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_19014,
										(int) (((long) 0)), BgL_iboxesz00_20219);
									PROCEDURE_SET(BgL_mainz00_19014,
										(int) (((long) 1)), BINT(BgL_siza7eza7_20220));
									PROCEDURE_SET(BgL_mainz00_19014,
										(int) (((long) 2)), BgL_valza2za2_5714);
									PROCEDURE_SET(BgL_mainz00_19014,
										(int) (((long) 3)), BgL_bodyz00_20222);
									PROCEDURE_SET(BgL_mainz00_19014,
										(int) (((long) 4)), ((obj_t) BgL_i1320z00_20221));
									PROCEDURE_SET(BgL_mainz00_19014,
										(int) (((long) 5)), BgL_runz00_19012);
									PROCEDURE_SET(BgL_mainz00_19014,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_20223));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13342;

										BgL_objz00_13342 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19012, BgL_objz00_13342);
										BgL_objz00_13342;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4333z00_5717;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4334z00_5718;
											obj_t BgL_arg4335z00_5719;

											BgL_arg4334z00_5718 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20221))->
												BgL_arityz00);
											BgL_arg4335z00_5719 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20221))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_framez00_13344;

												BgL_framez00_13344 = BINT(BgL_siza7ezd2framez75_20223);
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_newz00_13346;

													BgL_newz00_13346 =
														create_struct(BGl_symbol6224z00zz__evaluate_compz00,
														(int) (((long) 4)));
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36663;

														BgL_auxz00_36663 = (int) (((long) 3));
														STRUCT_SET(BgL_newz00_13346, BgL_auxz00_36663,
															BgL_arg4335z00_5719);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36666;

														BgL_auxz00_36666 = (int) (((long) 2));
														STRUCT_SET(BgL_newz00_13346, BgL_auxz00_36666,
															BgL_framez00_13344);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36669;

														BgL_auxz00_36669 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_13346, BgL_auxz00_36669,
															BgL_runz00_19012);
													}
													{	/* Eval/evaluate_comp.scm 664 */
														int BgL_auxz00_36672;

														BgL_auxz00_36672 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_13346, BgL_auxz00_36672,
															BgL_arg4334z00_5718);
													}
													BgL_arg4333z00_5717 = BgL_newz00_13346;
										}}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19014, BgL_arg4333z00_5717);
										BgL_arg4333z00_5717;
									}
									return BgL_mainz00_19014;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main6193 */
	obj_t BGl_z62main6193z62zz__evaluate_compz00(obj_t BgL_envz00_20225,
		obj_t BgL_az00_20233, obj_t BgL_bz00_20234, obj_t BgL_cz00_20235,
		obj_t BgL_dz00_20236, obj_t BgL_restz00_20237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1320z00_20230;
				obj_t BgL_runz00_20231;
				long BgL_siza7ezd2framez75_20232;

				BgL_i1320z00_20230 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20225, (int) (((long) 4))));
				BgL_runz00_20231 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20225, (int) (((long) 5))));
				BgL_siza7ezd2framez75_20232 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20225, (int) (((long) 6))));
				{
					obj_t BgL_az00_5720;
					obj_t BgL_bz00_5721;
					obj_t BgL_cz00_5722;
					obj_t BgL_dz00_5723;
					obj_t BgL_restz00_5724;

					BgL_az00_5720 = BgL_az00_20233;
					BgL_bz00_5721 = BgL_bz00_20234;
					BgL_cz00_5722 = BgL_cz00_20235;
					BgL_dz00_5723 = BgL_dz00_20236;
					BgL_restz00_5724 = BgL_restz00_20237;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5726;

						BgL_sz00_5726 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5727;

							BgL_bpz00_5727 = VECTOR_REF(BgL_sz00_5726, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_36688;

								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_nz00_13228;

									BgL_nz00_13228 = BINT(BgL_siza7ezd2framez75_20232);
									BgL_testz00_36688 =
										(
										((long) CINT(BgL_bpz00_5727) +
											(long) CINT(BgL_nz00_13228)) <
										(long) (VECTOR_LENGTH(BgL_sz00_5726)));
								}
								if (BgL_testz00_36688)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4338z00_5729;

											BgL_arg4338z00_5729 =
												((long) CINT(BgL_bpz00_5727) + ((long) 0));
											VECTOR_SET(BgL_sz00_5726,
												(int) (BgL_arg4338z00_5729), BgL_az00_5720);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4339z00_5730;

											BgL_arg4339z00_5730 =
												((long) CINT(BgL_bpz00_5727) + ((long) 1));
											VECTOR_SET(BgL_sz00_5726,
												(int) (BgL_arg4339z00_5730), BgL_bz00_5721);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4340z00_5731;

											BgL_arg4340z00_5731 =
												((long) CINT(BgL_bpz00_5727) + ((long) 2));
											VECTOR_SET(BgL_sz00_5726,
												(int) (BgL_arg4340z00_5731), BgL_cz00_5722);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4341z00_5732;

											BgL_arg4341z00_5732 =
												((long) CINT(BgL_bpz00_5727) + ((long) 3));
											VECTOR_SET(BgL_sz00_5726,
												(int) (BgL_arg4341z00_5732), BgL_dz00_5723);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4342z00_5733;
											long BgL_arg4343z00_5734;
											long BgL_arg4344z00_5735;
											obj_t BgL_arg4345z00_5736;

											BgL_arg4342z00_5733 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20230))->
												BgL_wherez00);
											BgL_arg4343z00_5734 =
												((long) CINT(BgL_bpz00_5727) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_13265;

												BgL_nz00_13265 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20230))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_13265) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4344z00_5735 =
															((long) CINT(BgL_nz00_13265) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4344z00_5735 =
															((long) CINT(BgL_nz00_13265) - ((long) 4));
											}}
											BgL_arg4345z00_5736 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20230))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5726,
												BgL_arg4342z00_5733, BgL_arg4343z00_5734,
												BgL_arg4344z00_5735, BgL_restz00_5724,
												BgL_arg4345z00_5736);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1339z00_5738;

											BgL_exitd1339z00_5738 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34347ze3z83_19013;

												BgL_zc3anonymousza34347ze3z83_19013 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34347ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34347ze3z83_19013,
													(int) (((long) 0)), BgL_sz00_5726);
												PROCEDURE_SET(BgL_zc3anonymousza34347ze3z83_19013,
													(int) (((long) 1)), BgL_bpz00_5727);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1339z00_5738,
													BgL_zc3anonymousza34347ze3z83_19013);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1341z00_5740;

													BgL_tmp1341z00_5740 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20231, BgL_sz00_5726, BgL_bpz00_5727);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1339z00_5738);
													VECTOR_SET(BgL_sz00_5726, (int) (((long) 0)),
														BgL_bpz00_5727);
													return BgL_tmp1341z00_5740;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5743;

										BgL_nsz00_5743 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5743,
											(int) (((long) 1)), BgL_sz00_5726);
										VECTOR_SET(BgL_nsz00_5743,
											(int) (((long) 2)), BgL_az00_5720);
										VECTOR_SET(BgL_nsz00_5743,
											(int) (((long) 3)), BgL_bz00_5721);
										VECTOR_SET(BgL_nsz00_5743,
											(int) (((long) 4)), BgL_cz00_5722);
										VECTOR_SET(BgL_nsz00_5743,
											(int) (((long) 5)), BgL_dz00_5723);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4348z00_5744;
											long BgL_arg4349z00_5745;
											obj_t BgL_arg4350z00_5746;

											BgL_arg4348z00_5744 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20230))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_13298;

												BgL_nz00_13298 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20230))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_13298) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4349z00_5745 =
															((long) CINT(BgL_nz00_13298) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4349z00_5745 =
															((long) CINT(BgL_nz00_13298) - ((long) 4));
											}}
											BgL_arg4350z00_5746 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20230))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5743,
												BgL_arg4348z00_5744, ((long) 6), BgL_arg4349z00_5745,
												BgL_restz00_5724, BgL_arg4350z00_5746);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_36760;

											BgL_auxz00_36760 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_36760, BgL_nsz00_5743);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1342z00_5749;

											BgL_exitd1342z00_5749 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34353ze3z83_19011;

												BgL_zc3anonymousza34353ze3z83_19011 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34353ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34353ze3z83_19011,
													(int) (((long) 0)), BgL_sz00_5726);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1342z00_5749,
													BgL_zc3anonymousza34353ze3z83_19011);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1344z00_5751;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13315;

														BgL_savedzd2bpzd2_13315 =
															VECTOR_REF(BgL_nsz00_5743, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5743,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13322;

															BgL_fz00_13322 = BgL_runz00_20231;
														BgL_recz00_13321:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13323;

																BgL_rz00_13323 =
																	PROCEDURE_ENTRY(BgL_fz00_13322)
																	(BgL_fz00_13322, BgL_nsz00_5743, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_36779;

																	if (PROCEDUREP(BgL_rz00_13323))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1964z00_13328;

																			BgL_arg1964z00_13328 =
																				PROCEDURE_ATTR(BgL_rz00_13323);
																			if (STRUCTP(BgL_arg1964z00_13328))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36779 =
																						(STRUCT_KEY(BgL_arg1964z00_13328) ==
																						BGl_symbol6203z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36779 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_36779 = ((bool_t) 0);
																		}
																	if (BgL_testz00_36779)
																		{
																			obj_t BgL_fz00_36787;

																			BgL_fz00_36787 = BgL_rz00_13323;
																			BgL_fz00_13322 = BgL_fz00_36787;
																			goto BgL_recz00_13321;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5743,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13315);
																			BgL_tmp1344z00_5751 = BgL_rz00_13323;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1342z00_5749);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_36791;

														BgL_auxz00_36791 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_36791,
															BgL_sz00_5726);
													}
													return BgL_tmp1344z00_5751;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4347> */
	obj_t BGl_z62zc3anonymousza34347ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20238)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20239;
				obj_t BgL_bpz00_20240;

				BgL_sz00_20239 = PROCEDURE_REF(BgL_envz00_20238, (int) (((long) 0)));
				BgL_bpz00_20240 = PROCEDURE_REF(BgL_envz00_20238, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20239, (int) (((long) 0)), BgL_bpz00_20240);
		}}}
	}



/* &run6194 */
	obj_t BGl_z62run6194z62zz__evaluate_compz00(obj_t BgL_envz00_20241,
		obj_t BgL_sz00_20247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20242;
				long BgL_siza7eza7_20243;
				obj_t BgL_valza2za2_20244;
				BgL_ev_absz00_bglt BgL_i1320z00_20245;
				obj_t BgL_bodyz00_20246;

				BgL_iboxesz00_20242 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20241, (int) (((long) 0))));
				BgL_siza7eza7_20243 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20241, (int) (((long) 1))));
				BgL_valza2za2_20244 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20241, (int) (((long) 2))));
				BgL_i1320z00_20245 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20241, (int) (((long) 3))));
				BgL_bodyz00_20246 = PROCEDURE_REF(BgL_envz00_20241, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5756;

					BgL_sz00_5756 = BgL_sz00_20247;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5758;

						BgL_bpz00_5758 = VECTOR_REF(BgL_sz00_5756, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5756,
							BgL_iboxesz00_20242, BgL_bpz00_5758);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5756,
							BgL_valza2za2_20244,
							((long) CINT(BgL_bpz00_5758) + BgL_siza7eza7_20243));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5760;
							obj_t BgL_wherez00_5761;
							obj_t BgL_locz00_5762;

							BgL_z12denvz12_5760 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5761 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20245))->BgL_wherez00);
							BgL_locz00_5762 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1320z00_20245))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5760, BgL_wherez00_5761,
									BgL_locz00_5762);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5763;

									BgL_za2za2resza2za2z00_5763 =
										PROCEDURE_ENTRY(BgL_bodyz00_20246) (BgL_bodyz00_20246,
										BgL_sz00_5756, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5760);
									return BgL_za2za2resza2za2z00_5763;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4353> */
	obj_t BGl_z62zc3anonymousza34353ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20248)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20249;

				BgL_sz00_20249 = PROCEDURE_REF(BgL_envz00_20248, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_36831;

						BgL_auxz00_36831 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_36831, BgL_sz00_20249);
					}
				}
			}
		}
	}



/* &comp-ev_app1750 */
	obj_t BGl_z62compzd2ev_app1750zb0zz__evaluate_compz00(obj_t BgL_envz00_20250,
		obj_t BgL_ez00_20251, obj_t BgL_stkz00_20252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1021 */
			{
				BgL_ev_appz00_bglt BgL_ez00_3859;
				obj_t BgL_stkz00_3860;

				BgL_ez00_3859 = ((BgL_ev_appz00_bglt) BgL_ez00_20251);
				BgL_stkz00_3860 = BgL_stkz00_20252;
				{	/* Eval/evaluate_comp.scm 1023 */
					obj_t BgL__ortest_1306z00_3864;

					BgL__ortest_1306z00_3864 =
						BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ez00_3859,
						BgL_stkz00_3860);
					if (CBOOL(BgL__ortest_1306z00_3864))
						{	/* Eval/evaluate_comp.scm 1023 */
							return BgL__ortest_1306z00_3864;
						}
					else
						{	/* Eval/evaluate_comp.scm 1024 */
							obj_t BgL__ortest_1307z00_3865;

							BgL__ortest_1307z00_3865 =
								BGl_inlinezd2callzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->BgL_locz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->BgL_funz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->BgL_argsz00),
								BgL_stkz00_3860);
							if (CBOOL(BgL__ortest_1307z00_3865))
								{	/* Eval/evaluate_comp.scm 1024 */
									return BgL__ortest_1307z00_3865;
								}
							else
								{	/* Eval/evaluate_comp.scm 1024 */
									if (
										(bgl_list_length(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
													BgL_argsz00)) > ((long) 4)))
										{	/* Eval/evaluate_comp.scm 1025 */
											return
												BGl_compzd2oldzd2callz00zz__evaluate_compz00
												(BgL_ez00_3859, BgL_stkz00_3860);
										}
									else
										{	/* Eval/evaluate_comp.scm 1027 */
											obj_t BgL_fz00_3867;
											long BgL_siza7eza7_3868;
											obj_t BgL_symbzd2funzd2_3869;

											BgL_fz00_3867 =
												BGl_compz00zz__evaluate_compz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
													BgL_funz00), BgL_stkz00_3860);
											BgL_siza7eza7_3868 = bgl_list_length(BgL_stkz00_3860);
											BgL_symbzd2funzd2_3869 =
												BGl_uncompilez00zz__evaluate_uncompz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
													BgL_funz00));
											if (NULLP((((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
														BgL_argsz00)))
												{	/* Eval/evaluate_comp.scm 1028 */
													return
														BGl_compzd2call0zd2zz__evaluate_compz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
															BgL_locz00),
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
															BgL_funz00), BgL_symbzd2funzd2_3869,
														BgL_fz00_3867,
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
															BgL_tailzf3zf3), BgL_stkz00_3860,
														BgL_siza7eza7_3868);
												}
											else
												{	/* Eval/evaluate_comp.scm 1030 */
													obj_t BgL_a1z00_3874;
													obj_t BgL_argsz00_3875;

													{	/* Eval/evaluate_comp.scm 1030 */
														obj_t BgL_arg3553z00_3901;

														BgL_arg3553z00_3901 =
															CAR(
															(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
																BgL_argsz00));
														BgL_a1z00_3874 =
															BGl_compz00zz__evaluate_compz00((
																(BgL_ev_exprz00_bglt) BgL_arg3553z00_3901),
															BgL_stkz00_3860);
													}
													BgL_argsz00_3875 =
														CDR(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
															BgL_argsz00));
													if (NULLP(BgL_argsz00_3875))
														{	/* Eval/evaluate_comp.scm 1030 */
															return
																BGl_compzd2call1zd2zz__evaluate_compz00(
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
																	BgL_locz00),
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
																	BgL_funz00), BgL_symbzd2funzd2_3869,
																BgL_fz00_3867,
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3859))->
																	BgL_tailzf3zf3), BgL_stkz00_3860,
																BgL_siza7eza7_3868, BgL_a1z00_3874);
														}
													else
														{	/* Eval/evaluate_comp.scm 1030 */
															obj_t BgL_a2z00_3880;
															obj_t BgL_argsz00_3881;

															{	/* Eval/evaluate_comp.scm 1030 */
																obj_t BgL_arg3552z00_3900;

																BgL_arg3552z00_3900 = CAR(BgL_argsz00_3875);
																BgL_a2z00_3880 =
																	BGl_compz00zz__evaluate_compz00(
																	((BgL_ev_exprz00_bglt) BgL_arg3552z00_3900),
																	BgL_stkz00_3860);
															}
															BgL_argsz00_3881 = CDR(BgL_argsz00_3875);
															if (NULLP(BgL_argsz00_3881))
																{	/* Eval/evaluate_comp.scm 1030 */
																	return
																		BGl_compzd2call2zd2zz__evaluate_compz00(
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3859))->BgL_locz00),
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3859))->BgL_funz00),
																		BgL_symbzd2funzd2_3869, BgL_fz00_3867,
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3859))->BgL_tailzf3zf3),
																		BgL_stkz00_3860, BgL_siza7eza7_3868,
																		BgL_a1z00_3874, BgL_a2z00_3880);
																}
															else
																{	/* Eval/evaluate_comp.scm 1030 */
																	obj_t BgL_a3z00_3886;
																	obj_t BgL_argsz00_3887;

																	{	/* Eval/evaluate_comp.scm 1030 */
																		obj_t BgL_arg3551z00_3899;

																		BgL_arg3551z00_3899 = CAR(BgL_argsz00_3881);
																		BgL_a3z00_3886 =
																			BGl_compz00zz__evaluate_compz00(
																			((BgL_ev_exprz00_bglt)
																				BgL_arg3551z00_3899), BgL_stkz00_3860);
																	}
																	BgL_argsz00_3887 = CDR(BgL_argsz00_3881);
																	if (NULLP(BgL_argsz00_3887))
																		{	/* Eval/evaluate_comp.scm 1030 */
																			return
																				BGl_compzd2call3zd2zz__evaluate_compz00(
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3859))->BgL_locz00),
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3859))->BgL_funz00),
																				BgL_symbzd2funzd2_3869, BgL_fz00_3867,
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3859))->
																					BgL_tailzf3zf3), BgL_stkz00_3860,
																				BgL_siza7eza7_3868, BgL_a1z00_3874,
																				BgL_a2z00_3880, BgL_a3z00_3886);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1030 */
																			obj_t BgL_a4z00_3892;
																			obj_t BgL_argsz00_3893;

																			{	/* Eval/evaluate_comp.scm 1030 */
																				obj_t BgL_arg3550z00_3898;

																				BgL_arg3550z00_3898 =
																					CAR(BgL_argsz00_3887);
																				BgL_a4z00_3892 =
																					BGl_compz00zz__evaluate_compz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg3550z00_3898),
																					BgL_stkz00_3860);
																			}
																			BgL_argsz00_3893 = CDR(BgL_argsz00_3887);
																			if (NULLP(BgL_argsz00_3893))
																				{	/* Eval/evaluate_comp.scm 1030 */
																					return
																						BGl_compzd2call4zd2zz__evaluate_compz00
																						((((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3859))->
																							BgL_locz00),
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3859))->
																							BgL_funz00),
																						BgL_symbzd2funzd2_3869,
																						BgL_fz00_3867,
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3859))->
																							BgL_tailzf3zf3), BgL_stkz00_3860,
																						BgL_siza7eza7_3868, BgL_a1z00_3874,
																						BgL_a2z00_3880, BgL_a3z00_3886,
																						BgL_a4z00_3892);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1030 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string6207z00zz__evaluate_compz00,
																						BGl_string6322z00zz__evaluate_compz00,
																						BGl_string6323z00zz__evaluate_compz00);
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* &comp-ev_goto1748 */
	obj_t BGl_z62compzd2ev_goto1748zb0zz__evaluate_compz00(obj_t BgL_envz00_20253,
		obj_t BgL_ez00_20254, obj_t BgL_stkz00_20255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 585 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_3816;
				obj_t BgL_stkz00_3817;

				BgL_ez00_3816 = ((BgL_ev_gotoz00_bglt) BgL_ez00_20254);
				BgL_stkz00_3817 = BgL_stkz00_20255;
				{	/* Eval/evaluate_comp.scm 588 */
					obj_t BgL_slotz00_3821;
					long BgL_siza7eza7_3822;
					obj_t BgL_lstkz00_3823;

					BgL_slotz00_3821 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3816))->BgL_labelz00)),
						(((BgL_ev_labelsz00_bglt) CREF(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3816))->
										BgL_labelsz00)))->BgL_envz00));
					BgL_siza7eza7_3822 = bgl_list_length(BgL_stkz00_3817);
					BgL_lstkz00_3823 =
						(((BgL_ev_labelsz00_bglt) CREF(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3816))->BgL_labelsz00)))->
						BgL_stkz00);
					{	/* Eval/evaluate_comp.scm 590 */
						long BgL_llstkz00_3824;
						obj_t BgL_substkz00_3825;
						obj_t BgL_boxesz00_3826;

						BgL_llstkz00_3824 = bgl_list_length(BgL_lstkz00_3823);
						BgL_substkz00_3825 =
							BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_3823,
							BgL_stkz00_3817);
						{	/* Eval/evaluate_comp.scm 590 */
							obj_t BgL_pairz00_12637;

							BgL_pairz00_12637 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3816))->BgL_labelz00)),
								(((BgL_ev_labelsz00_bglt) CREF(
											(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3816))->
												BgL_labelsz00)))->BgL_boxesz00));
							BgL_boxesz00_3826 = CDR(BgL_pairz00_12637);
						}
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3816))->BgL_argsz00),
								BgL_substkz00_3825))
							{	/* Eval/evaluate_comp.scm 593 */
								obj_t BgL_argsz00_3828;
								long BgL_nbargsz00_3829;

								BgL_argsz00_3828 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3816))->BgL_argsz00),
									BgL_stkz00_3817);
								BgL_nbargsz00_3829 =
									bgl_list_length((((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3816))->
										BgL_argsz00));
								{	/* Eval/evaluate_comp.scm 594 */
									obj_t BgL_zc3anonymousza33490ze3z83_19033;

									BgL_zc3anonymousza33490ze3z83_19033 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33490ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_19033,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3822));
									PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_19033,
										(int) (((long) 1)), BINT(BgL_llstkz00_3824));
									PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_19033,
										(int) (((long) 2)), ((obj_t) BgL_ez00_3816));
									PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_19033,
										(int) (((long) 3)), BgL_argsz00_3828);
									PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_19033,
										(int) (((long) 4)), BgL_boxesz00_3826);
									PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_19033,
										(int) (((long) 5)), BINT(BgL_nbargsz00_3829));
									PROCEDURE_SET(BgL_zc3anonymousza33490ze3z83_19033,
										(int) (((long) 6)), BgL_slotz00_3821);
									return BgL_zc3anonymousza33490ze3z83_19033;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 599 */
								obj_t BgL_argsz00_3840;

								BgL_argsz00_3840 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_3817,
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3816))->BgL_argsz00),
									(BgL_siza7eza7_3822 - BgL_llstkz00_3824));
								{	/* Eval/evaluate_comp.scm 600 */
									obj_t BgL_zc3anonymousza33498ze3z83_19034;

									BgL_zc3anonymousza33498ze3z83_19034 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_19034,
										(int) (((long) 0)), BINT(BgL_llstkz00_3824));
									PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_19034,
										(int) (((long) 1)), ((obj_t) BgL_ez00_3816));
									PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_19034,
										(int) (((long) 2)), BgL_argsz00_3840);
									PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_19034,
										(int) (((long) 3)), BgL_boxesz00_3826);
									PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_19034,
										(int) (((long) 4)), BgL_slotz00_3821);
									return BgL_zc3anonymousza33498ze3z83_19034;
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:3490> */
	obj_t BGl_z62zc3anonymousza33490ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20256, obj_t BgL_sz00_20264)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 594 */
			{	/* Eval/evaluate_comp.scm 594 */
				long BgL_siza7eza7_20257;
				long BgL_llstkz00_20258;
				BgL_ev_gotoz00_bglt BgL_i1140z00_20259;
				obj_t BgL_argsz00_20260;
				obj_t BgL_boxesz00_20261;
				long BgL_nbargsz00_20262;
				obj_t BgL_slotz00_20263;

				BgL_siza7eza7_20257 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20256, (int) (((long) 0))));
				BgL_llstkz00_20258 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20256, (int) (((long) 1))));
				BgL_i1140z00_20259 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_20256, (int) (((long) 2))));
				BgL_argsz00_20260 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20256, (int) (((long) 3))));
				BgL_boxesz00_20261 =
					PROCEDURE_REF(BgL_envz00_20256, (int) (((long) 4)));
				BgL_nbargsz00_20262 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20256, (int) (((long) 5))));
				BgL_slotz00_20263 = PROCEDURE_REF(BgL_envz00_20256, (int) (((long) 6)));
				{
					obj_t BgL_sz00_3830;

					BgL_sz00_3830 = BgL_sz00_20264;
					{	/* Eval/evaluate_comp.scm 594 */
						obj_t BgL_bpz00_3832;

						BgL_bpz00_3832 = VECTOR_REF(BgL_sz00_3830, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 595 */
							long BgL_spz00_3833;
							long BgL_lspz00_3834;

							BgL_spz00_3833 =
								((long) CINT(BgL_bpz00_3832) + BgL_siza7eza7_20257);
							BgL_lspz00_3834 =
								((long) CINT(BgL_bpz00_3832) + BgL_llstkz00_20258);
							BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
								(BgL_sz00_3830, BgL_argsz00_20260, BgL_boxesz00_20261,
								BgL_spz00_3833,
								(((BgL_ev_gotoz00_bglt) CREF(BgL_i1140z00_20259))->BgL_locz00));
							{	/* Eval/evaluate_comp.scm 597 */
								long BgL_arg3492z00_3836;

								BgL_arg3492z00_3836 = (BgL_spz00_3833 + BgL_nbargsz00_20262);
								BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_3830,
									BINT(BgL_lspz00_3834), BgL_sz00_3830,
									BINT(BgL_spz00_3833), BINT(BgL_arg3492z00_3836));
							}
							return CDR(BgL_slotz00_20263);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3498> */
	obj_t BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20265, obj_t BgL_sz00_20271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 600 */
			{	/* Eval/evaluate_comp.scm 600 */
				long BgL_llstkz00_20266;
				BgL_ev_gotoz00_bglt BgL_i1140z00_20267;
				obj_t BgL_argsz00_20268;
				obj_t BgL_boxesz00_20269;
				obj_t BgL_slotz00_20270;

				BgL_llstkz00_20266 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20265, (int) (((long) 0))));
				BgL_i1140z00_20267 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_20265, (int) (((long) 1))));
				BgL_argsz00_20268 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20265, (int) (((long) 2))));
				BgL_boxesz00_20269 =
					PROCEDURE_REF(BgL_envz00_20265, (int) (((long) 3)));
				BgL_slotz00_20270 = PROCEDURE_REF(BgL_envz00_20265, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3841;

					BgL_sz00_3841 = BgL_sz00_20271;
					{	/* Eval/evaluate_comp.scm 600 */
						obj_t BgL_bpz00_3843;

						BgL_bpz00_3843 = VECTOR_REF(BgL_sz00_3841, (int) (((long) 0)));
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_3841, BgL_argsz00_20268, BgL_boxesz00_20269,
							((long) CINT(BgL_bpz00_3843) + BgL_llstkz00_20266),
							(((BgL_ev_gotoz00_bglt) CREF(BgL_i1140z00_20267))->BgL_locz00));
						return CDR(BgL_slotz00_20270);
					}
				}
			}
		}
	}



/* &comp-ev_labels1746 */
	obj_t BGl_z62compzd2ev_labels1746zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20272, obj_t BgL_ez00_20273, obj_t BgL_stkz00_20274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 553 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_3770;
				obj_t BgL_stkz00_3771;

				BgL_ez00_3770 = ((BgL_ev_labelsz00_bglt) BgL_ez00_20273);
				BgL_stkz00_3771 = BgL_stkz00_20274;
				((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3770))->BgL_stkz00) =
					((obj_t) BgL_stkz00_3771), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 560 */
					obj_t BgL_envz00_3776;

					{	/* Eval/evaluate_comp.scm 560 */
						obj_t BgL_l1653z00_3794;

						BgL_l1653z00_3794 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3770))->BgL_varsz00);
						if (NULLP(BgL_l1653z00_3794))
							{	/* Eval/evaluate_comp.scm 560 */
								BgL_envz00_3776 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 560 */
								obj_t BgL_head1655z00_3796;

								{	/* Eval/evaluate_comp.scm 560 */
									obj_t BgL_res5542z00_12547;

									BgL_res5542z00_12547 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1655z00_3796 = BgL_res5542z00_12547;
								}
								{
									obj_t BgL_l1653z00_12581;
									obj_t BgL_tail1656z00_12582;

									BgL_l1653z00_12581 = BgL_l1653z00_3794;
									BgL_tail1656z00_12582 = BgL_head1655z00_3796;
								BgL_zc3anonymousza33464ze3z83_12580:
									if (NULLP(BgL_l1653z00_12581))
										{	/* Eval/evaluate_comp.scm 560 */
											BgL_envz00_3776 = CDR(BgL_head1655z00_3796);
										}
									else
										{	/* Eval/evaluate_comp.scm 560 */
											obj_t BgL_newtail1657z00_12589;

											{	/* Eval/evaluate_comp.scm 560 */
												obj_t BgL_arg3485z00_12590;

												{	/* Eval/evaluate_comp.scm 560 */
													obj_t BgL_vz00_12591;

													BgL_vz00_12591 = CAR(BgL_l1653z00_12581);
													BgL_arg3485z00_12590 =
														MAKE_PAIR(BgL_vz00_12591,
														BGl_symbol6324z00zz__evaluate_compz00);
												}
												{	/* Eval/evaluate_comp.scm 560 */
													obj_t BgL_res5548z00_12599;

													BgL_res5548z00_12599 =
														MAKE_PAIR(BgL_arg3485z00_12590, BNIL);
													BgL_newtail1657z00_12589 = BgL_res5548z00_12599;
												}
											}
											SET_CDR(BgL_tail1656z00_12582, BgL_newtail1657z00_12589);
											{
												obj_t BgL_tail1656z00_37034;
												obj_t BgL_l1653z00_37032;

												BgL_l1653z00_37032 = CDR(BgL_l1653z00_12581);
												BgL_tail1656z00_37034 = BgL_newtail1657z00_12589;
												BgL_tail1656z00_12582 = BgL_tail1656z00_37034;
												BgL_l1653z00_12581 = BgL_l1653z00_37032;
												goto BgL_zc3anonymousza33464ze3z83_12580;
											}
										}
								}
							}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3770))->BgL_envz00) =
						((obj_t) BgL_envz00_3776), BUNSPEC);
					{	/* Eval/evaluate_comp.scm 563 */
						obj_t BgL_g1661z00_3778;

						BgL_g1661z00_3778 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3770))->BgL_valsz00);
						{
							obj_t BgL_ll1658z00_3780;
							obj_t BgL_ll1659z00_3781;

							BgL_ll1658z00_3780 = BgL_envz00_3776;
							BgL_ll1659z00_3781 = BgL_g1661z00_3778;
						BgL_zc3anonymousza33454ze3z83_3782:
							if (NULLP(BgL_ll1658z00_3780))
								{	/* Eval/evaluate_comp.scm 563 */
									((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 563 */
									{	/* Eval/evaluate_comp.scm 565 */
										obj_t BgL_slotz00_3784;
										obj_t BgL_valz00_3785;

										BgL_slotz00_3784 = CAR(BgL_ll1658z00_3780);
										BgL_valz00_3785 = CAR(BgL_ll1659z00_3781);
										{	/* Eval/evaluate_comp.scm 566 */
											obj_t BgL_arg3456z00_3786;

											{	/* Eval/evaluate_comp.scm 566 */
												obj_t BgL_arg3457z00_3787;

												{	/* Eval/evaluate_comp.scm 566 */
													obj_t BgL_arg3458z00_3788;
													obj_t BgL_arg3459z00_3789;

													BgL_arg3458z00_3788 = CDR(BgL_valz00_3785);
													BgL_arg3459z00_3789 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_3771, CAR(BgL_valz00_3785));
													BgL_arg3457z00_3787 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg3458z00_3788),
														BgL_arg3459z00_3789);
												}
												{	/* Eval/evaluate_comp.scm 555 */
													obj_t BgL_objz00_12611;

													BgL_objz00_12611 =
														BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
													PROCEDURE_ATTR_SET(BgL_arg3457z00_3787,
														BgL_objz00_12611);
													BgL_objz00_12611;
												}
												BgL_arg3456z00_3786 = BgL_arg3457z00_3787;
											}
											SET_CDR(BgL_slotz00_3784, BgL_arg3456z00_3786);
										}
									}
									{
										obj_t BgL_ll1659z00_37050;
										obj_t BgL_ll1658z00_37048;

										BgL_ll1658z00_37048 = CDR(BgL_ll1658z00_3780);
										BgL_ll1659z00_37050 = CDR(BgL_ll1659z00_3781);
										BgL_ll1659z00_3781 = BgL_ll1659z00_37050;
										BgL_ll1658z00_3780 = BgL_ll1658z00_37048;
										goto BgL_zc3anonymousza33454ze3z83_3782;
									}
								}
						}
					}
				}
				{	/* Eval/evaluate_comp.scm 570 */
					obj_t BgL_bodyz00_3807;

					BgL_bodyz00_3807 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3770))->BgL_bodyz00),
						BgL_stkz00_3771);
					{	/* Eval/evaluate_comp.scm 571 */
						obj_t BgL_zc3anonymousza33486ze3z83_19036;

						BgL_zc3anonymousza33486ze3z83_19036 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33486ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33486ze3z83_19036,
							(int) (((long) 0)), BgL_bodyz00_3807);
						return BgL_zc3anonymousza33486ze3z83_19036;
					}
				}
			}
		}
	}



/* &<anonymous:3486> */
	obj_t BGl_z62zc3anonymousza33486ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20275, obj_t BgL_sz00_20277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 571 */
			{	/* Eval/evaluate_comp.scm 571 */
				obj_t BgL_bodyz00_20276;

				BgL_bodyz00_20276 = PROCEDURE_REF(BgL_envz00_20275, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3808;

					BgL_sz00_3808 = BgL_sz00_20277;
					{	/* Eval/evaluate_comp.scm 571 */
						obj_t BgL_bpz00_12616;

						BgL_bpz00_12616 = VECTOR_REF(BgL_sz00_3808, (int) (((long) 0)));
						{
							obj_t BgL_fz00_12622;

							BgL_fz00_12622 = BgL_bodyz00_20276;
						BgL_recz00_12621:
							{	/* Eval/evaluate_comp.scm 578 */
								obj_t BgL_rz00_12623;

								BgL_rz00_12623 =
									PROCEDURE_ENTRY(BgL_fz00_12622) (BgL_fz00_12622,
									BgL_sz00_3808, BEOA);
								{	/* Eval/evaluate_comp.scm 580 */
									bool_t BgL_testz00_37068;

									if (PROCEDUREP(BgL_rz00_12623))
										{	/* Eval/evaluate_comp.scm 580 */
											obj_t BgL_arg1926z00_12626;

											BgL_arg1926z00_12626 = PROCEDURE_ATTR(BgL_rz00_12623);
											if (STRUCTP(BgL_arg1926z00_12626))
												{	/* Eval/evaluate_comp.scm 550 */
													BgL_testz00_37068 =
														(STRUCT_KEY(BgL_arg1926z00_12626) ==
														BGl_symbol6201z00zz__evaluate_compz00);
												}
											else
												{	/* Eval/evaluate_comp.scm 550 */
													BgL_testz00_37068 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 580 */
											BgL_testz00_37068 = ((bool_t) 0);
										}
									if (BgL_testz00_37068)
										{
											obj_t BgL_fz00_37076;

											BgL_fz00_37076 = BgL_rz00_12623;
											BgL_fz00_12622 = BgL_fz00_37076;
											goto BgL_recz00_12621;
										}
									else
										{	/* Eval/evaluate_comp.scm 580 */
											return BgL_rz00_12623;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_synchronize1744 */
	obj_t BGl_z62compzd2ev_synchroniza7e1744z17zz__evaluate_compz00(obj_t
		BgL_envz00_20278, obj_t BgL_ez00_20279, obj_t BgL_stkz00_20280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 533 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_3748;
				obj_t BgL_stkz00_3749;

				BgL_ez00_3748 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_20279);
				BgL_stkz00_3749 = BgL_stkz00_20280;
				{	/* Eval/evaluate_comp.scm 535 */
					obj_t BgL_mutexz00_3753;
					obj_t BgL_prelockz00_3754;
					obj_t BgL_bodyz00_3755;

					BgL_mutexz00_3753 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_3748))->
							BgL_mutexz00), BgL_stkz00_3749);
					BgL_prelockz00_3754 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
								CREF(BgL_ez00_3748))->BgL_prelockz00), BgL_stkz00_3749);
					BgL_bodyz00_3755 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
								CREF(BgL_ez00_3748))->BgL_bodyz00), BgL_stkz00_3749);
					{	/* Eval/evaluate_comp.scm 538 */
						obj_t BgL_zc3anonymousza33446ze3z83_19038;

						BgL_zc3anonymousza33446ze3z83_19038 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33446ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza33446ze3z83_19038,
							(int) (((long) 0)), BgL_mutexz00_3753);
						PROCEDURE_SET(BgL_zc3anonymousza33446ze3z83_19038,
							(int) (((long) 1)), ((obj_t) BgL_ez00_3748));
						PROCEDURE_SET(BgL_zc3anonymousza33446ze3z83_19038,
							(int) (((long) 2)), BgL_prelockz00_3754);
						PROCEDURE_SET(BgL_zc3anonymousza33446ze3z83_19038,
							(int) (((long) 3)), BgL_bodyz00_3755);
						return BgL_zc3anonymousza33446ze3z83_19038;
					}
				}
			}
		}
	}



/* &<anonymous:3446> */
	obj_t BGl_z62zc3anonymousza33446ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20281, obj_t BgL_sz00_20286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 538 */
			{	/* Eval/evaluate_comp.scm 538 */
				obj_t BgL_mutexz00_20282;
				BgL_ev_synchroniza7eza7_bglt BgL_i1137z00_20283;
				obj_t BgL_prelockz00_20284;
				obj_t BgL_bodyz00_20285;

				BgL_mutexz00_20282 =
					PROCEDURE_REF(BgL_envz00_20281, (int) (((long) 0)));
				BgL_i1137z00_20283 =
					((BgL_ev_synchroniza7eza7_bglt)
					PROCEDURE_REF(BgL_envz00_20281, (int) (((long) 1))));
				BgL_prelockz00_20284 =
					PROCEDURE_REF(BgL_envz00_20281, (int) (((long) 2)));
				BgL_bodyz00_20285 = PROCEDURE_REF(BgL_envz00_20281, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3756;

					BgL_sz00_3756 = BgL_sz00_20286;
					{	/* Eval/evaluate_comp.scm 538 */
						obj_t BgL_bpz00_3758;

						BgL_bpz00_3758 = VECTOR_REF(BgL_sz00_3756, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 539 */
							obj_t BgL_mz00_3759;

							BgL_mz00_3759 =
								PROCEDURE_ENTRY(BgL_mutexz00_20282) (BgL_mutexz00_20282,
								BgL_sz00_3756, BEOA);
							{	/* Eval/evaluate_comp.scm 540 */
								bool_t BgL_testz00_37111;

								{	/* Eval/evaluate_comp.scm 540 */
									bool_t BgL_res5539z00_12535;

									BgL_res5539z00_12535 = BGL_MUTEXP(BgL_mz00_3759);
									BgL_testz00_37111 = BgL_res5539z00_12535;
								}
								if (BgL_testz00_37111)
									{	/* Eval/evaluate_comp.scm 541 */
										obj_t BgL_pz00_3761;

										BgL_pz00_3761 =
											PROCEDURE_ENTRY(BgL_prelockz00_20284)
											(BgL_prelockz00_20284, BgL_sz00_3756, BEOA);
										{	/* Eval/evaluate_comp.scm 543 */
											obj_t BgL_za2za2resza2za2z00_3763;

											if (PAIRP(BgL_pz00_3761))
												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_top6461z00_37120;

													BgL_top6461z00_37120 = BGL_EXITD_TOP_AS_OBJ();
													BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_3759, BgL_pz00_3761);
													BGL_EXITD_PUSH_PROTECT(BgL_top6461z00_37120,
														BgL_mz00_3759);
													BUNSPEC;
													{	/* Eval/evaluate_comp.scm 544 */
														obj_t BgL_tmp6460z00_37119;

														BgL_tmp6460z00_37119 =
															PROCEDURE_ENTRY(BgL_bodyz00_20285)
															(BgL_bodyz00_20285, BgL_sz00_3756, BEOA);
														BGL_EXITD_POP_PROTECT(BgL_top6461z00_37120);
														BUNSPEC;
														BGL_MUTEX_UNLOCK(BgL_mz00_3759);
														BgL_za2za2resza2za2z00_3763 = BgL_tmp6460z00_37119;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 545 */
													obj_t BgL_top6463z00_37131;

													BgL_top6463z00_37131 = BGL_EXITD_TOP_AS_OBJ();
													BGL_MUTEX_LOCK(BgL_mz00_3759);
													BGL_EXITD_PUSH_PROTECT(BgL_top6463z00_37131,
														BgL_mz00_3759);
													BUNSPEC;
													{	/* Eval/evaluate_comp.scm 545 */
														obj_t BgL_tmp6462z00_37130;

														BgL_tmp6462z00_37130 =
															PROCEDURE_ENTRY(BgL_bodyz00_20285)
															(BgL_bodyz00_20285, BgL_sz00_3756, BEOA);
														BGL_EXITD_POP_PROTECT(BgL_top6463z00_37131);
														BUNSPEC;
														BGL_MUTEX_UNLOCK(BgL_mz00_3759);
														BgL_za2za2resza2za2z00_3763 = BgL_tmp6462z00_37130;
													}
												}
											VECTOR_SET(BgL_sz00_3756,
												(int) (((long) 0)), BgL_bpz00_3758);
											return BgL_za2za2resza2za2z00_3763;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 540 */
										return
											BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_string6326z00zz__evaluate_compz00,
											BGl_string6327z00zz__evaluate_compz00, BgL_mz00_3759,
											(((BgL_ev_synchroniza7eza7_bglt)
													CREF(BgL_i1137z00_20283))->BgL_locz00));
									}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_with-handler1742 */
	obj_t BGl_z62compzd2ev_withzd2handler1742z62zz__evaluate_compz00(obj_t
		BgL_envz00_20287, obj_t BgL_ez00_20288, obj_t BgL_stkz00_20289)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 524 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3712;
				obj_t BgL_stkz00_3713;

				BgL_ez00_3712 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_20288);
				BgL_stkz00_3713 = BgL_stkz00_20289;
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_handlerz00_3717;
					obj_t BgL_bodyz00_3718;

					BgL_handlerz00_3717 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_3712))->
							BgL_handlerz00), BgL_stkz00_3713);
					BgL_bodyz00_3718 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_3712))->BgL_bodyz00), BgL_stkz00_3713);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3anonymousza33435ze3z83_19042;

						BgL_zc3anonymousza33435ze3z83_19042 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33435ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33435ze3z83_19042,
							(int) (((long) 0)), BgL_handlerz00_3717);
						PROCEDURE_SET(BgL_zc3anonymousza33435ze3z83_19042,
							(int) (((long) 1)), BgL_bodyz00_3718);
						return BgL_zc3anonymousza33435ze3z83_19042;
					}
				}
			}
		}
	}



/* &<anonymous:3435> */
	obj_t BGl_z62zc3anonymousza33435ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20290, obj_t BgL_sz00_20293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				obj_t BgL_handlerz00_20291;
				obj_t BgL_bodyz00_20292;

				BgL_handlerz00_20291 =
					PROCEDURE_REF(BgL_envz00_20290, (int) (((long) 0)));
				BgL_bodyz00_20292 = PROCEDURE_REF(BgL_envz00_20290, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3719;

					BgL_sz00_3719 = BgL_sz00_20293;
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_bpz00_3721;

						BgL_bpz00_3721 = VECTOR_REF(BgL_sz00_3719, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 528 */
							obj_t BgL_hz00_3722;

							BgL_hz00_3722 =
								PROCEDURE_ENTRY(BgL_handlerz00_20291) (BgL_handlerz00_20291,
								BgL_sz00_3719, BEOA);
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_za2za2resza2za2z00_3724;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_res1127z00_3725;

									BgL_res1127z00_3725 = MAKE_CELL(BUNSPEC);
									if (CBOOL(BGl_zc3exitza33437ze3z83zz__evaluate_compz00
											(BgL_sz00_3719, BgL_bodyz00_20292, BgL_res1127z00_3725)))
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3724 =
												PROCEDURE_ENTRY(BgL_hz00_3722) (BgL_hz00_3722,
												CELL_REF(BgL_res1127z00_3725), BEOA);
										}
									else
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3724 =
												CELL_REF(BgL_res1127z00_3725);
										}
								}
								VECTOR_SET(BgL_sz00_3719, (int) (((long) 0)), BgL_bpz00_3721);
								return BgL_za2za2resza2za2z00_3724;
							}
						}
					}
				}
			}
		}
	}



/* <exit:3437> */
	obj_t BGl_zc3exitza33437ze3z83zz__evaluate_compz00(obj_t BgL_sz00_20475,
		obj_t BgL_bodyz00_20474, obj_t BgL_res1127z00_20473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1130z00_3729;

			if (SET_EXIT(BgL_an_exit1130z00_3729))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1130z00_3729 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1130z00_3729, ((long) 1));
						{	/* Eval/evaluate_comp.scm 530 */
							obj_t BgL_an_exitd1131z00_3730;

							BgL_an_exitd1131z00_3730 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 530 */
								bool_t BgL_res1133z00_3733;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_ohs1125z00_3734;

									BgL_ohs1125z00_3734 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 530 */
										obj_t BgL_exitd1134z00_3735;

										BgL_exitd1134z00_3735 = ((obj_t) (&exitd));
										{
											obj_t BgL_zc3anonymousza33443ze3z83_19040;

											BgL_zc3anonymousza33443ze3z83_19040 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33443ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza33443ze3z83_19040,
												(int) (((long) 0)), BgL_ohs1125z00_3734);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1134z00_3735,
												BgL_zc3anonymousza33443ze3z83_19040);
											{	/* Eval/evaluate_comp.scm 530 */
												bool_t BgL_tmp1136z00_3737;

												{	/* Eval/evaluate_comp.scm 530 */
													obj_t BgL_arg3440z00_3738;

													{	/* Eval/evaluate_comp.scm 530 */
														obj_t BgL_zc3anonymousza33442ze3z83_19041;

														BgL_zc3anonymousza33442ze3z83_19041 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza33442ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza33442ze3z83_19041,
															(int) (((long) 0)), BgL_res1127z00_20473);
														PROCEDURE_SET(BgL_zc3anonymousza33442ze3z83_19041,
															(int) (((long) 1)), BgL_an_exitd1131z00_3730);
														BgL_arg3440z00_3738 =
															MAKE_PAIR(BgL_zc3anonymousza33442ze3z83_19041,
															BgL_ohs1125z00_3734);
													}
													BGL_ERROR_HANDLER_SET(BgL_arg3440z00_3738);
													BUNSPEC;
												}
												{	/* Eval/evaluate_comp.scm 530 */
													obj_t BgL_auxz00_20294;

													BgL_auxz00_20294 =
														PROCEDURE_ENTRY(BgL_bodyz00_20474)
														(BgL_bodyz00_20474, BgL_sz00_20475, BEOA);
													CELL_SET(BgL_res1127z00_20473, BgL_auxz00_20294);
												}
												BgL_tmp1136z00_3737 = ((bool_t) 0);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1134z00_3735);
												BGL_ERROR_HANDLER_SET(BgL_ohs1125z00_3734);
												BUNSPEC;
												BgL_res1133z00_3733 = BgL_tmp1136z00_3737;
								}}}}
								POP_EXIT();
								return BBOOL(BgL_res1133z00_3733);
							}
						}
					}
				}
		}
	}



/* &<anonymous:3442> */
	obj_t BGl_z62zc3anonymousza33442ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20295, obj_t BgL_ez00_20298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_res1127z00_20296;
				obj_t BgL_an_exitd1131z00_20297;

				BgL_res1127z00_20296 =
					PROCEDURE_REF(BgL_envz00_20295, (int) (((long) 0)));
				BgL_an_exitd1131z00_20297 =
					PROCEDURE_REF(BgL_envz00_20295, (int) (((long) 1)));
				{
					obj_t BgL_ez00_3740;

					BgL_ez00_3740 = BgL_ez00_20298;
					CELL_SET(BgL_res1127z00_20296, BgL_ez00_3740);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1131z00_20297,
						BTRUE);
				}
			}
		}
	}



/* &<anonymous:3443> */
	obj_t BGl_z62zc3anonymousza33443ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{
				obj_t BgL_ohs1125z00_20301;

				BgL_ohs1125z00_20301 =
					PROCEDURE_REF(BgL_envz00_20300, (int) (((long) 0)));
				{

					BGL_ERROR_HANDLER_SET(BgL_ohs1125z00_20301);
					return BUNSPEC;
				}
			}
		}
	}



/* &comp-ev_unwind-prote1740 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1740z62zz__evaluate_compz00(obj_t
		BgL_envz00_20302, obj_t BgL_ez00_20303, obj_t BgL_stkz00_20304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 515 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3693;
				obj_t BgL_stkz00_3694;

				BgL_ez00_3693 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_20303);
				BgL_stkz00_3694 = BgL_stkz00_20304;
				{	/* Eval/evaluate_comp.scm 517 */
					obj_t BgL_ez00_3698;
					obj_t BgL_bodyz00_3699;

					BgL_ez00_3698 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_3693))->BgL_ez00),
						BgL_stkz00_3694);
					BgL_bodyz00_3699 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
								CREF(BgL_ez00_3693))->BgL_bodyz00), BgL_stkz00_3694);
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_zc3anonymousza33431ze3z83_19045;

						BgL_zc3anonymousza33431ze3z83_19045 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_19045,
							(int) (((long) 0)), BgL_bodyz00_3699);
						PROCEDURE_SET(BgL_zc3anonymousza33431ze3z83_19045,
							(int) (((long) 1)), BgL_ez00_3698);
						return BgL_zc3anonymousza33431ze3z83_19045;
					}
				}
			}
		}
	}



/* &<anonymous:3431> */
	obj_t BGl_z62zc3anonymousza33431ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20305, obj_t BgL_sz00_20308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 518 */
			{	/* Eval/evaluate_comp.scm 518 */
				obj_t BgL_bodyz00_20306;
				obj_t BgL_ez00_20307;

				BgL_bodyz00_20306 = PROCEDURE_REF(BgL_envz00_20305, (int) (((long) 0)));
				BgL_ez00_20307 = PROCEDURE_REF(BgL_envz00_20305, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3700;

					BgL_sz00_3700 = BgL_sz00_20308;
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_bpz00_3702;

						BgL_bpz00_3702 = VECTOR_REF(BgL_sz00_3700, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_exitd1121z00_3704;

							BgL_exitd1121z00_3704 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 521 */
								obj_t BgL_zc3anonymousza33432ze3z83_19044;

								BgL_zc3anonymousza33432ze3z83_19044 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33432ze3ze1zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33432ze3z83_19044,
									(int) (((long) 0)), BgL_sz00_3700);
								PROCEDURE_SET(BgL_zc3anonymousza33432ze3z83_19044,
									(int) (((long) 1)), BgL_bpz00_3702);
								PROCEDURE_SET(BgL_zc3anonymousza33432ze3z83_19044,
									(int) (((long) 2)), BgL_bodyz00_20306);
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
									(BgL_exitd1121z00_3704, BgL_zc3anonymousza33432ze3z83_19044);
								{	/* Eval/evaluate_comp.scm 520 */
									obj_t BgL_tmp1123z00_3706;

									BgL_tmp1123z00_3706 =
										PROCEDURE_ENTRY(BgL_ez00_20307) (BgL_ez00_20307,
										BgL_sz00_3700, BEOA);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00
										(BgL_exitd1121z00_3704);
									VECTOR_SET(BgL_sz00_3700, (int) (((long) 0)), BgL_bpz00_3702);
									PROCEDURE_ENTRY(BgL_bodyz00_20306) (BgL_bodyz00_20306,
										BgL_sz00_3700, BEOA);
									return BgL_tmp1123z00_3706;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3432> */
	obj_t BGl_z62zc3anonymousza33432ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 520 */
			{	/* Eval/evaluate_comp.scm 521 */
				obj_t BgL_sz00_20310;
				obj_t BgL_savedzd2bpzd2_20311;
				obj_t BgL_bodyz00_20312;

				BgL_sz00_20310 = PROCEDURE_REF(BgL_envz00_20309, (int) (((long) 0)));
				BgL_savedzd2bpzd2_20311 =
					PROCEDURE_REF(BgL_envz00_20309, (int) (((long) 1)));
				BgL_bodyz00_20312 = PROCEDURE_REF(BgL_envz00_20309, (int) (((long) 2)));
				{

					VECTOR_SET(BgL_sz00_20310,
						(int) (((long) 0)), BgL_savedzd2bpzd2_20311);
					return
						PROCEDURE_ENTRY(BgL_bodyz00_20312) (BgL_bodyz00_20312,
						BgL_sz00_20310, BEOA);
				}
			}
		}
	}



/* &comp-ev_bind-exit1738 */
	obj_t BGl_z62compzd2ev_bindzd2exit1738z62zz__evaluate_compz00(obj_t
		BgL_envz00_20313, obj_t BgL_ez00_20314, obj_t BgL_stkz00_20315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 504 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3666;
				obj_t BgL_stkz00_3667;

				BgL_ez00_3666 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_20314);
				BgL_stkz00_3667 = BgL_stkz00_20315;
				{	/* Eval/evaluate_comp.scm 506 */
					long BgL_siza7eza7_3671;
					obj_t BgL_nstkz00_3672;

					BgL_siza7eza7_3671 = bgl_list_length(BgL_stkz00_3667);
					{	/* Eval/evaluate_comp.scm 506 */
						obj_t BgL_arg3429z00_3690;

						{	/* Eval/evaluate_comp.scm 506 */
							BgL_ev_varz00_bglt BgL_arg3430z00_3691;

							BgL_arg3430z00_3691 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3666))->
								BgL_varz00);
							BgL_arg3429z00_3690 =
								MAKE_PAIR(((obj_t) BgL_arg3430z00_3691), BNIL);
						}
						BgL_nstkz00_3672 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3667,
							BgL_arg3429z00_3690);
					}
					{	/* Eval/evaluate_comp.scm 507 */
						obj_t BgL_bodyz00_3673;
						obj_t BgL_effzf3zf3_3674;

						BgL_bodyz00_3673 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3666))->BgL_bodyz00),
							BgL_nstkz00_3672);
						BgL_effzf3zf3_3674 =
							(((BgL_ev_varz00_bglt) CREF((((BgL_ev_bindzd2exitzd2_bglt)
											CREF(BgL_ez00_3666))->BgL_varz00)))->BgL_effz00);
						{	/* Eval/evaluate_comp.scm 508 */
							obj_t BgL_zc3anonymousza33421ze3z83_19048;

							BgL_zc3anonymousza33421ze3z83_19048 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza33421ze3z83_19048,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3671));
							PROCEDURE_SET(BgL_zc3anonymousza33421ze3z83_19048,
								(int) (((long) 1)), BgL_effzf3zf3_3674);
							PROCEDURE_SET(BgL_zc3anonymousza33421ze3z83_19048,
								(int) (((long) 2)), BgL_bodyz00_3673);
							return BgL_zc3anonymousza33421ze3z83_19048;
						}
					}
				}
			}
		}
	}



/* &<anonymous:3421> */
	obj_t BGl_z62zc3anonymousza33421ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20316, obj_t BgL_sz00_20320)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 508 */
			{	/* Eval/evaluate_comp.scm 508 */
				long BgL_siza7eza7_20317;
				obj_t BgL_effzf3zf3_20318;
				obj_t BgL_bodyz00_20319;

				BgL_siza7eza7_20317 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20316, (int) (((long) 0))));
				BgL_effzf3zf3_20318 =
					PROCEDURE_REF(BgL_envz00_20316, (int) (((long) 1)));
				BgL_bodyz00_20319 = PROCEDURE_REF(BgL_envz00_20316, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3675;

					BgL_sz00_3675 = BgL_sz00_20320;
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_bpz00_3677;

						BgL_bpz00_3677 = VECTOR_REF(BgL_sz00_3675, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_za2za2resza2za2z00_3679;

							BgL_za2za2resza2za2z00_3679 =
								BGl_zc3exitza33422ze3z83zz__evaluate_compz00(BgL_bodyz00_20319,
								BgL_sz00_3675, BgL_effzf3zf3_20318, BgL_siza7eza7_20317,
								BgL_bpz00_3677);
							VECTOR_SET(BgL_sz00_3675, (int) (((long) 0)), BgL_bpz00_3677);
							return BgL_za2za2resza2za2z00_3679;
						}
					}
				}
			}
		}
	}



/* <exit:3422> */
	obj_t BGl_zc3exitza33422ze3z83zz__evaluate_compz00(obj_t BgL_bodyz00_20472,
		obj_t BgL_sz00_20471, obj_t BgL_effzf3zf3_20470, long BgL_siza7eza7_20469,
		obj_t BgL_bpz00_20468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1116z00_3681;

			if (SET_EXIT(BgL_an_exit1116z00_3681))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1116z00_3681 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 510 */

						PUSH_EXIT(BgL_an_exit1116z00_3681, ((long) 1));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_an_exitd1117z00_3682;

							BgL_an_exitd1117z00_3682 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_exitz00_19047;

								BgL_exitz00_19047 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_19047,
									(int) (((long) 0)), BgL_an_exitd1117z00_3682);
								{	/* Eval/evaluate_comp.scm 511 */
									obj_t BgL_res1119z00_3685;

									{	/* Eval/evaluate_comp.scm 511 */
										long BgL_arg3423z00_3686;
										obj_t BgL_arg3424z00_3687;

										BgL_arg3423z00_3686 =
											((long) CINT(BgL_bpz00_20468) + BgL_siza7eza7_20469);
										if (CBOOL(BgL_effzf3zf3_20470))
											{	/* Eval/evaluate_comp.scm 189 */
												obj_t BgL_newz00_12508;

												BgL_newz00_12508 =
													create_struct(BGl_symbol6217z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 189 */
													int BgL_auxz00_37309;

													BgL_auxz00_37309 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12508, BgL_auxz00_37309,
														BgL_exitz00_19047);
												}
												BgL_arg3424z00_3687 = BgL_newz00_12508;
											}
										else
											{	/* Eval/evaluate_comp.scm 511 */
												BgL_arg3424z00_3687 = BgL_exitz00_19047;
											}
										VECTOR_SET(BgL_sz00_20471,
											(int) (BgL_arg3423z00_3686), BgL_arg3424z00_3687);
									}
									BgL_res1119z00_3685 =
										PROCEDURE_ENTRY(BgL_bodyz00_20472) (BgL_bodyz00_20472,
										BgL_sz00_20471, BEOA);
									POP_EXIT();
									return BgL_res1119z00_3685;
								}
							}
						}
					}
				}
		}
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_20321,
		obj_t BgL_val1118z00_20323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				obj_t BgL_an_exitd1117z00_20322;

				BgL_an_exitd1117z00_20322 =
					PROCEDURE_REF(BgL_envz00_20321, (int) (((long) 0)));
				{
					obj_t BgL_val1118z00_3683;

					BgL_val1118z00_3683 = BgL_val1118z00_20323;
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1117z00_20322,
						BgL_val1118z00_3683);
				}
			}
		}
	}



/* &comp-ev_letrec1736 */
	obj_t BGl_z62compzd2ev_letrec1736zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20324, obj_t BgL_ez00_20325, obj_t BgL_stkz00_20326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 475 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_3567;
				obj_t BgL_stkz00_3568;

				BgL_ez00_3567 = ((BgL_ev_letrecz00_bglt) BgL_ez00_20325);
				BgL_stkz00_3568 = BgL_stkz00_20326;
				{	/* Eval/evaluate_comp.scm 477 */
					long BgL_siza7eza7_3572;
					obj_t BgL_nstkz00_3573;

					BgL_siza7eza7_3572 = bgl_list_length(BgL_stkz00_3568);
					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_arg3420z00_3664;

						BgL_arg3420z00_3664 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_3567)))->BgL_varsz00);
						BgL_nstkz00_3573 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3568,
							BgL_arg3420z00_3664);
					}
					{	/* Eval/evaluate_comp.scm 478 */
						obj_t BgL_cvalsz00_3574;
						obj_t BgL_bodyz00_3575;

						{	/* Eval/evaluate_comp.scm 478 */
							obj_t BgL_l1639z00_3650;

							BgL_l1639z00_3650 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3567)))->BgL_valsz00);
							if (NULLP(BgL_l1639z00_3650))
								{	/* Eval/evaluate_comp.scm 478 */
									BgL_cvalsz00_3574 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_head1641z00_3652;

									{	/* Eval/evaluate_comp.scm 478 */
										obj_t BgL_res5498z00_12148;

										BgL_res5498z00_12148 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1641z00_3652 = BgL_res5498z00_12148;
									}
									{
										obj_t BgL_l1639z00_12182;
										obj_t BgL_tail1642z00_12183;

										BgL_l1639z00_12182 = BgL_l1639z00_3650;
										BgL_tail1642z00_12183 = BgL_head1641z00_3652;
									BgL_zc3anonymousza33412ze3z83_12181:
										if (NULLP(BgL_l1639z00_12182))
											{	/* Eval/evaluate_comp.scm 478 */
												BgL_cvalsz00_3574 = CDR(BgL_head1641z00_3652);
											}
										else
											{	/* Eval/evaluate_comp.scm 478 */
												obj_t BgL_newtail1643z00_12190;

												{	/* Eval/evaluate_comp.scm 478 */
													obj_t BgL_arg3418z00_12191;

													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_vz00_12192;

														BgL_vz00_12192 = CAR(BgL_l1639z00_12182);
														BgL_arg3418z00_12191 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_12192),
															BgL_nstkz00_3573);
													}
													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_res5504z00_12200;

														BgL_res5504z00_12200 =
															MAKE_PAIR(BgL_arg3418z00_12191, BNIL);
														BgL_newtail1643z00_12190 = BgL_res5504z00_12200;
													}
												}
												SET_CDR(BgL_tail1642z00_12183,
													BgL_newtail1643z00_12190);
												{
													obj_t BgL_tail1642z00_37341;
													obj_t BgL_l1639z00_37339;

													BgL_l1639z00_37339 = CDR(BgL_l1639z00_12182);
													BgL_tail1642z00_37341 = BgL_newtail1643z00_12190;
													BgL_tail1642z00_12183 = BgL_tail1642z00_37341;
													BgL_l1639z00_12182 = BgL_l1639z00_37339;
													goto BgL_zc3anonymousza33412ze3z83_12181;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 479 */
							BgL_ev_exprz00_bglt BgL_arg3419z00_3663;

							BgL_arg3419z00_3663 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3567)))->BgL_bodyz00);
							BgL_bodyz00_3575 =
								BGl_compz00zz__evaluate_compz00(BgL_arg3419z00_3663,
								BgL_nstkz00_3573);
						}
						{	/* Eval/evaluate_comp.scm 480 */
							bool_t BgL_testz00_37345;

							{
								obj_t BgL_l1644z00_3642;

								BgL_l1644z00_3642 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_3567)))->BgL_valsz00);
							BgL_zc3anonymousza33408ze3z83_3643:
								if (NULLP(BgL_l1644z00_3642))
									{	/* Eval/evaluate_comp.scm 480 */
										BgL_testz00_37345 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_comp.scm 480 */
										bool_t BgL_testz00_37348;

										{	/* Eval/evaluate_comp.scm 480 */
											obj_t BgL_vz00_3648;

											BgL_vz00_3648 = CAR(BgL_l1644z00_3642);
											BgL_testz00_37348 =
												BGl_isazf3zf3zz__objectz00(BgL_vz00_3648,
												BGl_ev_absz00zz__evaluate_typesz00);
										}
										if (BgL_testz00_37348)
											{
												obj_t BgL_l1644z00_37351;

												BgL_l1644z00_37351 = CDR(BgL_l1644z00_3642);
												BgL_l1644z00_3642 = BgL_l1644z00_37351;
												goto BgL_zc3anonymousza33408ze3z83_3643;
											}
										else
											{	/* Eval/evaluate_comp.scm 480 */
												BgL_testz00_37345 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_37345)
								{	/* Eval/evaluate_comp.scm 481 */
									obj_t BgL_zc3anonymousza33351ze3z83_19051;

									BgL_zc3anonymousza33351ze3z83_19051 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_19051,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3572));
									PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_19051,
										(int) (((long) 1)), BgL_cvalsz00_3574);
									PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_19051,
										(int) (((long) 2)), BgL_bodyz00_3575);
									return BgL_zc3anonymousza33351ze3z83_19051;
								}
							else
								{	/* Eval/evaluate_comp.scm 491 */
									obj_t BgL_zc3anonymousza33364ze3z83_19050;

									BgL_zc3anonymousza33364ze3z83_19050 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33364ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza33364ze3z83_19050,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3572));
									PROCEDURE_SET(BgL_zc3anonymousza33364ze3z83_19050,
										(int) (((long) 1)), BgL_cvalsz00_3574);
									PROCEDURE_SET(BgL_zc3anonymousza33364ze3z83_19050,
										(int) (((long) 2)), BgL_bodyz00_3575);
									return BgL_zc3anonymousza33364ze3z83_19050;
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3351> */
	obj_t BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20327, obj_t BgL_sz00_20331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 481 */
				long BgL_siza7eza7_20328;
				obj_t BgL_cvalsz00_20329;
				obj_t BgL_bodyz00_20330;

				BgL_siza7eza7_20328 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20327, (int) (((long) 0))));
				BgL_cvalsz00_20329 =
					PROCEDURE_REF(BgL_envz00_20327, (int) (((long) 1)));
				BgL_bodyz00_20330 = PROCEDURE_REF(BgL_envz00_20327, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3577;

					BgL_sz00_3577 = BgL_sz00_20331;
					{	/* Eval/evaluate_comp.scm 481 */
						obj_t BgL_bpz00_3579;

						BgL_bpz00_3579 = VECTOR_REF(BgL_sz00_3577, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 482 */
							long BgL_g1110z00_3580;

							BgL_g1110z00_3580 =
								((long) CINT(BgL_bpz00_3579) + BgL_siza7eza7_20328);
							{
								obj_t BgL_lz00_12256;
								long BgL_iz00_12257;

								BgL_lz00_12256 = BgL_cvalsz00_20329;
								BgL_iz00_12257 = BgL_g1110z00_3580;
							BgL_recz00_12255:
								if (NULLP(BgL_lz00_12256))
									{	/* Eval/evaluate_comp.scm 483 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 483 */
										{	/* Eval/evaluate_comp.scm 484 */
											obj_t BgL_arg3354z00_12263;

											{	/* Eval/evaluate_comp.scm 189 */
												obj_t BgL_newz00_12269;

												BgL_newz00_12269 =
													create_struct(BGl_symbol6217z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 189 */
													int BgL_auxz00_37391;

													BgL_auxz00_37391 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12269, BgL_auxz00_37391,
														BUNSPEC);
												}
												BgL_arg3354z00_12263 = BgL_newz00_12269;
											}
											VECTOR_SET(BgL_sz00_3577,
												(int) (BgL_iz00_12257), BgL_arg3354z00_12263);
										}
										{
											long BgL_iz00_37398;
											obj_t BgL_lz00_37396;

											BgL_lz00_37396 = CDR(BgL_lz00_12256);
											BgL_iz00_37398 = (BgL_iz00_12257 + ((long) 1));
											BgL_iz00_12257 = BgL_iz00_37398;
											BgL_lz00_12256 = BgL_lz00_37396;
											goto BgL_recz00_12255;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 486 */
							long BgL_g1111z00_3590;

							BgL_g1111z00_3590 =
								((long) CINT(BgL_bpz00_3579) + BgL_siza7eza7_20328);
							{
								obj_t BgL_lz00_3592;
								long BgL_iz00_3593;

								BgL_lz00_3592 = BgL_cvalsz00_20329;
								BgL_iz00_3593 = BgL_g1111z00_3590;
							BgL_zc3anonymousza33357ze3z83_3594:
								if (NULLP(BgL_lz00_3592))
									{	/* Eval/evaluate_comp.scm 487 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 487 */
										{	/* Eval/evaluate_comp.scm 488 */
											obj_t BgL_arg3359z00_3596;
											obj_t BgL_arg3360z00_3597;

											BgL_arg3359z00_3596 =
												VECTOR_REF(BgL_sz00_3577, (int) (BgL_iz00_3593));
											{	/* Eval/evaluate_comp.scm 488 */
												obj_t BgL_fun3361z00_3598;

												BgL_fun3361z00_3598 = CAR(BgL_lz00_3592);
												BgL_arg3360z00_3597 =
													PROCEDURE_ENTRY(BgL_fun3361z00_3598)
													(BgL_fun3361z00_3598, BgL_sz00_3577, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 189 */
												int BgL_auxz00_37411;

												BgL_auxz00_37411 = (int) (((long) 0));
												STRUCT_SET(BgL_arg3359z00_3596, BgL_auxz00_37411,
													BgL_arg3360z00_3597);
										}}
										{
											long BgL_iz00_37416;
											obj_t BgL_lz00_37414;

											BgL_lz00_37414 = CDR(BgL_lz00_3592);
											BgL_iz00_37416 = (BgL_iz00_3593 + ((long) 1));
											BgL_iz00_3593 = BgL_iz00_37416;
											BgL_lz00_3592 = BgL_lz00_37414;
											goto BgL_zc3anonymousza33357ze3z83_3594;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_20330) (BgL_bodyz00_20330,
							BgL_sz00_3577, BEOA);
					}
				}
			}
		}
	}



/* &<anonymous:3364> */
	obj_t BGl_z62zc3anonymousza33364ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20332, obj_t BgL_sz00_20336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 491 */
			{	/* Eval/evaluate_comp.scm 491 */
				long BgL_siza7eza7_20333;
				obj_t BgL_cvalsz00_20334;
				obj_t BgL_bodyz00_20335;

				BgL_siza7eza7_20333 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20332, (int) (((long) 0))));
				BgL_cvalsz00_20334 =
					PROCEDURE_REF(BgL_envz00_20332, (int) (((long) 1)));
				BgL_bodyz00_20335 = PROCEDURE_REF(BgL_envz00_20332, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3602;

					BgL_sz00_3602 = BgL_sz00_20336;
					{	/* Eval/evaluate_comp.scm 491 */
						obj_t BgL_bpz00_3604;

						BgL_bpz00_3604 = VECTOR_REF(BgL_sz00_3602, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 492 */
							long BgL_g1112z00_3605;

							BgL_g1112z00_3605 =
								((long) CINT(BgL_bpz00_3604) + BgL_siza7eza7_20333);
							{
								obj_t BgL_lz00_12347;
								long BgL_iz00_12348;

								BgL_lz00_12347 = BgL_cvalsz00_20334;
								BgL_iz00_12348 = BgL_g1112z00_3605;
							BgL_recz00_12346:
								if (NULLP(BgL_lz00_12347))
									{	/* Eval/evaluate_comp.scm 493 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 493 */
										{	/* Eval/evaluate_comp.scm 494 */
											obj_t BgL_arg3367z00_12354;

											{	/* Eval/evaluate_comp.scm 189 */
												obj_t BgL_newz00_12360;

												BgL_newz00_12360 =
													create_struct(BGl_symbol6217z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 189 */
													int BgL_auxz00_37437;

													BgL_auxz00_37437 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12360, BgL_auxz00_37437,
														BUNSPEC);
												}
												BgL_arg3367z00_12354 = BgL_newz00_12360;
											}
											VECTOR_SET(BgL_sz00_3602,
												(int) (BgL_iz00_12348), BgL_arg3367z00_12354);
										}
										{
											long BgL_iz00_37444;
											obj_t BgL_lz00_37442;

											BgL_lz00_37442 = CDR(BgL_lz00_12347);
											BgL_iz00_37444 = (BgL_iz00_12348 + ((long) 1));
											BgL_iz00_12348 = BgL_iz00_37444;
											BgL_lz00_12347 = BgL_lz00_37442;
											goto BgL_recz00_12346;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 496 */
							obj_t BgL_rvalsz00_3615;

							if (NULLP(BgL_cvalsz00_20334))
								{	/* Eval/evaluate_comp.scm 496 */
									BgL_rvalsz00_3615 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 496 */
									obj_t BgL_head1650z00_3629;

									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_res5524z00_12377;

										BgL_res5524z00_12377 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1650z00_3629 = BgL_res5524z00_12377;
									}
									{
										obj_t BgL_l1648z00_12411;
										obj_t BgL_tail1651z00_12412;

										BgL_l1648z00_12411 = BgL_cvalsz00_20334;
										BgL_tail1651z00_12412 = BgL_head1650z00_3629;
									BgL_zc3anonymousza33377ze3z83_12410:
										if (NULLP(BgL_l1648z00_12411))
											{	/* Eval/evaluate_comp.scm 496 */
												BgL_rvalsz00_3615 = CDR(BgL_head1650z00_3629);
											}
										else
											{	/* Eval/evaluate_comp.scm 496 */
												obj_t BgL_newtail1652z00_12419;

												{	/* Eval/evaluate_comp.scm 496 */
													obj_t BgL_arg3407z00_12420;

													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_vz00_12421;

														BgL_vz00_12421 = CAR(BgL_l1648z00_12411);
														BgL_arg3407z00_12420 =
															PROCEDURE_ENTRY(BgL_vz00_12421) (BgL_vz00_12421,
															BgL_sz00_3602, BEOA);
													}
													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_res5530z00_12429;

														BgL_res5530z00_12429 =
															MAKE_PAIR(BgL_arg3407z00_12420, BNIL);
														BgL_newtail1652z00_12419 = BgL_res5530z00_12429;
													}
												}
												SET_CDR(BgL_tail1651z00_12412,
													BgL_newtail1652z00_12419);
												{
													obj_t BgL_tail1651z00_37461;
													obj_t BgL_l1648z00_37459;

													BgL_l1648z00_37459 = CDR(BgL_l1648z00_12411);
													BgL_tail1651z00_37461 = BgL_newtail1652z00_12419;
													BgL_tail1651z00_12412 = BgL_tail1651z00_37461;
													BgL_l1648z00_12411 = BgL_l1648z00_37459;
													goto BgL_zc3anonymousza33377ze3z83_12410;
												}
											}
									}
								}
							{	/* Eval/evaluate_comp.scm 497 */
								long BgL_g1113z00_3616;

								BgL_g1113z00_3616 =
									((long) CINT(BgL_bpz00_3604) + BgL_siza7eza7_20333);
								{
									obj_t BgL_lz00_12477;
									long BgL_iz00_12478;

									BgL_lz00_12477 = BgL_rvalsz00_3615;
									BgL_iz00_12478 = BgL_g1113z00_3616;
								BgL_recz00_12476:
									if (NULLP(BgL_lz00_12477))
										{	/* Eval/evaluate_comp.scm 498 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 498 */
											{	/* Eval/evaluate_comp.scm 189 */
												obj_t BgL_auxz00_37471;
												int BgL_auxz00_37469;
												obj_t BgL_auxz00_37466;

												BgL_auxz00_37471 = CAR(BgL_lz00_12477);
												BgL_auxz00_37469 = (int) (((long) 0));
												BgL_auxz00_37466 =
													VECTOR_REF(BgL_sz00_3602, (int) (BgL_iz00_12478));
												STRUCT_SET(BgL_auxz00_37466, BgL_auxz00_37469,
													BgL_auxz00_37471);
											}
											{
												long BgL_iz00_37476;
												obj_t BgL_lz00_37474;

												BgL_lz00_37474 = CDR(BgL_lz00_12477);
												BgL_iz00_37476 = (BgL_iz00_12478 + ((long) 1));
												BgL_iz00_12478 = BgL_iz00_37476;
												BgL_lz00_12477 = BgL_lz00_37474;
												goto BgL_recz00_12476;
											}
										}
								}
							}
							return
								PROCEDURE_ENTRY(BgL_bodyz00_20335) (BgL_bodyz00_20335,
								BgL_sz00_3602, BEOA);
						}
					}
				}
			}
		}
	}



/* &comp-ev_let*1734 */
	obj_t BGl_z62compzd2ev_letza21734z12zz__evaluate_compz00(obj_t
		BgL_envz00_20337, obj_t BgL_ez00_20338, obj_t BgL_stkz00_20339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 462 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_3523;
				obj_t BgL_stkz00_3524;

				BgL_ez00_3523 = ((BgL_ev_letza2za2_bglt) BgL_ez00_20338);
				BgL_stkz00_3524 = BgL_stkz00_20339;
				{	/* Eval/evaluate_comp.scm 464 */
					long BgL_siza7eza7_3528;
					obj_t BgL_nstkz00_3529;

					BgL_siza7eza7_3528 = bgl_list_length(BgL_stkz00_3524);
					{	/* Eval/evaluate_comp.scm 464 */
						obj_t BgL_arg3349z00_3565;

						BgL_arg3349z00_3565 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_3523)))->BgL_varsz00);
						BgL_nstkz00_3529 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3524,
							BgL_arg3349z00_3565);
					}
					{	/* Eval/evaluate_comp.scm 465 */
						obj_t BgL_valsz00_3530;
						obj_t BgL_bodyz00_3531;

						{	/* Eval/evaluate_comp.scm 465 */
							obj_t BgL_l1634z00_3551;

							BgL_l1634z00_3551 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3523)))->BgL_valsz00);
							if (NULLP(BgL_l1634z00_3551))
								{	/* Eval/evaluate_comp.scm 465 */
									BgL_valsz00_3530 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 465 */
									obj_t BgL_head1636z00_3553;

									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_res5487z00_12064;

										BgL_res5487z00_12064 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1636z00_3553 = BgL_res5487z00_12064;
									}
									{
										obj_t BgL_l1634z00_12098;
										obj_t BgL_tail1637z00_12099;

										BgL_l1634z00_12098 = BgL_l1634z00_3551;
										BgL_tail1637z00_12099 = BgL_head1636z00_3553;
									BgL_zc3anonymousza33344ze3z83_12097:
										if (NULLP(BgL_l1634z00_12098))
											{	/* Eval/evaluate_comp.scm 465 */
												BgL_valsz00_3530 = CDR(BgL_head1636z00_3553);
											}
										else
											{	/* Eval/evaluate_comp.scm 465 */
												obj_t BgL_newtail1638z00_12106;

												{	/* Eval/evaluate_comp.scm 465 */
													obj_t BgL_arg3347z00_12107;

													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_vz00_12108;

														BgL_vz00_12108 = CAR(BgL_l1634z00_12098);
														BgL_arg3347z00_12107 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_12108),
															BgL_nstkz00_3529);
													}
													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_res5493z00_12116;

														BgL_res5493z00_12116 =
															MAKE_PAIR(BgL_arg3347z00_12107, BNIL);
														BgL_newtail1638z00_12106 = BgL_res5493z00_12116;
													}
												}
												SET_CDR(BgL_tail1637z00_12099,
													BgL_newtail1638z00_12106);
												{
													obj_t BgL_tail1637z00_37501;
													obj_t BgL_l1634z00_37499;

													BgL_l1634z00_37499 = CDR(BgL_l1634z00_12098);
													BgL_tail1637z00_37501 = BgL_newtail1638z00_12106;
													BgL_tail1637z00_12099 = BgL_tail1637z00_37501;
													BgL_l1634z00_12098 = BgL_l1634z00_37499;
													goto BgL_zc3anonymousza33344ze3z83_12097;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 466 */
							BgL_ev_exprz00_bglt BgL_arg3348z00_3564;

							BgL_arg3348z00_3564 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3523)))->BgL_bodyz00);
							BgL_bodyz00_3531 =
								BGl_compz00zz__evaluate_compz00(BgL_arg3348z00_3564,
								BgL_nstkz00_3529);
						}
						{	/* Eval/evaluate_comp.scm 467 */
							obj_t BgL_zc3anonymousza33330ze3z83_19053;

							BgL_zc3anonymousza33330ze3z83_19053 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_19053,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3528));
							PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_19053,
								(int) (((long) 1)), ((obj_t) BgL_ez00_3523));
							PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_19053,
								(int) (((long) 2)), BgL_valsz00_3530);
							PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_19053,
								(int) (((long) 3)), BgL_bodyz00_3531);
							return BgL_zc3anonymousza33330ze3z83_19053;
						}
					}
				}
			}
		}
	}



/* &<anonymous:3330> */
	obj_t BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20340, obj_t BgL_sz00_20345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 467 */
			{	/* Eval/evaluate_comp.scm 467 */
				long BgL_siza7eza7_20341;
				BgL_ev_letza2za2_bglt BgL_i1107z00_20342;
				obj_t BgL_valsz00_20343;
				obj_t BgL_bodyz00_20344;

				BgL_siza7eza7_20341 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20340, (int) (((long) 0))));
				BgL_i1107z00_20342 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_20340, (int) (((long) 1))));
				BgL_valsz00_20343 = PROCEDURE_REF(BgL_envz00_20340, (int) (((long) 2)));
				BgL_bodyz00_20344 = PROCEDURE_REF(BgL_envz00_20340, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3532;

					BgL_sz00_3532 = BgL_sz00_20345;
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_bpz00_3534;

						BgL_bpz00_3534 = VECTOR_REF(BgL_sz00_3532, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 468 */
							long BgL_g1108z00_3535;

							BgL_g1108z00_3535 =
								((long) CINT(BgL_bpz00_3534) + BgL_siza7eza7_20341);
							{
								obj_t BgL_lz00_3538;
								long BgL_iz00_3539;
								obj_t BgL_bza2za2_3540;

								BgL_lz00_3538 = BgL_valsz00_20343;
								BgL_iz00_3539 = BgL_g1108z00_3535;
								BgL_bza2za2_3540 =
									(((BgL_ev_letza2za2_bglt) CREF(BgL_i1107z00_20342))->
									BgL_boxesz00);
							BgL_zc3anonymousza33335ze3z83_3541:
								if (NULLP(BgL_lz00_3538))
									{	/* Eval/evaluate_comp.scm 469 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 469 */
										{	/* Eval/evaluate_comp.scm 470 */
											obj_t BgL_valz00_3543;

											{	/* Eval/evaluate_comp.scm 470 */
												obj_t BgL_fun3339z00_3546;

												BgL_fun3339z00_3546 = CAR(BgL_lz00_3538);
												BgL_valz00_3543 =
													PROCEDURE_ENTRY(BgL_fun3339z00_3546)
													(BgL_fun3339z00_3546, BgL_sz00_3532, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 471 */
												obj_t BgL_arg3337z00_3544;

												if (CBOOL(CAR(BgL_bza2za2_3540)))
													{	/* Eval/evaluate_comp.scm 189 */
														obj_t BgL_newz00_12130;

														BgL_newz00_12130 =
															create_struct
															(BGl_symbol6217z00zz__evaluate_compz00,
															(int) (((long) 1)));
														{	/* Eval/evaluate_comp.scm 189 */
															int BgL_auxz00_37545;

															BgL_auxz00_37545 = (int) (((long) 0));
															STRUCT_SET(BgL_newz00_12130, BgL_auxz00_37545,
																BgL_valz00_3543);
														}
														BgL_arg3337z00_3544 = BgL_newz00_12130;
													}
												else
													{	/* Eval/evaluate_comp.scm 471 */
														BgL_arg3337z00_3544 = BgL_valz00_3543;
													}
												VECTOR_SET(BgL_sz00_3532,
													(int) (BgL_iz00_3539), BgL_arg3337z00_3544);
										}}
										{
											obj_t BgL_bza2za2_37554;
											long BgL_iz00_37552;
											obj_t BgL_lz00_37550;

											BgL_lz00_37550 = CDR(BgL_lz00_3538);
											BgL_iz00_37552 = (BgL_iz00_3539 + ((long) 1));
											BgL_bza2za2_37554 = CDR(BgL_bza2za2_3540);
											BgL_bza2za2_3540 = BgL_bza2za2_37554;
											BgL_iz00_3539 = BgL_iz00_37552;
											BgL_lz00_3538 = BgL_lz00_37550;
											goto BgL_zc3anonymousza33335ze3z83_3541;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_20344) (BgL_bodyz00_20344,
							BgL_sz00_3532, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_let1732 */
	obj_t BGl_z62compzd2ev_let1732zb0zz__evaluate_compz00(obj_t BgL_envz00_20346,
		obj_t BgL_ez00_20347, obj_t BgL_stkz00_20348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 443 */
			{
				BgL_ev_letz00_bglt BgL_ez00_3472;
				obj_t BgL_stkz00_3473;

				BgL_ez00_3472 = ((BgL_ev_letz00_bglt) BgL_ez00_20347);
				BgL_stkz00_3473 = BgL_stkz00_20348;
				{	/* Eval/evaluate_comp.scm 445 */
					long BgL_siza7eza7_3477;
					obj_t BgL_nstkz00_3478;

					BgL_siza7eza7_3477 = bgl_list_length(BgL_stkz00_3473);
					{	/* Eval/evaluate_comp.scm 445 */
						obj_t BgL_arg3329z00_3521;

						BgL_arg3329z00_3521 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_3472)))->BgL_varsz00);
						BgL_nstkz00_3478 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3473,
							BgL_arg3329z00_3521);
					}
					{	/* Eval/evaluate_comp.scm 446 */
						obj_t BgL_valsz00_3479;
						obj_t BgL_iboxesz00_3480;
						obj_t BgL_bodyz00_3481;

						{	/* Eval/evaluate_comp.scm 447 */
							obj_t BgL_arg3322z00_3506;

							BgL_arg3322z00_3506 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3472)))->BgL_valsz00);
							BgL_valsz00_3479 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00
								(BgL_arg3322z00_3506, BgL_stkz00_3473);
						}
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_l1629z00_3507;

							BgL_l1629z00_3507 =
								(((BgL_ev_letz00_bglt) CREF(BgL_ez00_3472))->BgL_boxesz00);
							if (NULLP(BgL_l1629z00_3507))
								{	/* Eval/evaluate_comp.scm 448 */
									BgL_iboxesz00_3480 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 448 */
									obj_t BgL_head1631z00_3509;

									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_res5470z00_11925;

										BgL_res5470z00_11925 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1631z00_3509 = BgL_res5470z00_11925;
									}
									{
										obj_t BgL_l1629z00_11959;
										obj_t BgL_tail1632z00_11960;

										BgL_l1629z00_11959 = BgL_l1629z00_3507;
										BgL_tail1632z00_11960 = BgL_head1631z00_3509;
									BgL_zc3anonymousza33324ze3z83_11958:
										if (NULLP(BgL_l1629z00_11959))
											{	/* Eval/evaluate_comp.scm 448 */
												BgL_iboxesz00_3480 = CDR(BgL_head1631z00_3509);
											}
										else
											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_newtail1633z00_11967;

												{	/* Eval/evaluate_comp.scm 448 */
													obj_t BgL_arg3327z00_11968;

													BgL_arg3327z00_11968 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1629z00_11959), BgL_nstkz00_3478);
													{	/* Eval/evaluate_comp.scm 448 */
														obj_t BgL_res5476z00_11977;

														BgL_res5476z00_11977 =
															MAKE_PAIR(BgL_arg3327z00_11968, BNIL);
														BgL_newtail1633z00_11967 = BgL_res5476z00_11977;
													}
												}
												SET_CDR(BgL_tail1632z00_11960,
													BgL_newtail1633z00_11967);
												{
													obj_t BgL_tail1632z00_37581;
													obj_t BgL_l1629z00_37579;

													BgL_l1629z00_37579 = CDR(BgL_l1629z00_11959);
													BgL_tail1632z00_37581 = BgL_newtail1633z00_11967;
													BgL_tail1632z00_11960 = BgL_tail1632z00_37581;
													BgL_l1629z00_11959 = BgL_l1629z00_37579;
													goto BgL_zc3anonymousza33324ze3z83_11958;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 449 */
							BgL_ev_exprz00_bglt BgL_arg3328z00_3520;

							BgL_arg3328z00_3520 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3472)))->BgL_bodyz00);
							BgL_bodyz00_3481 =
								BGl_compz00zz__evaluate_compz00(BgL_arg3328z00_3520,
								BgL_nstkz00_3478);
						}
						{	/* Eval/evaluate_comp.scm 450 */
							obj_t BgL_zc3anonymousza33284ze3z83_19055;

							BgL_zc3anonymousza33284ze3z83_19055 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_19055,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3477));
							PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_19055,
								(int) (((long) 1)), BgL_valsz00_3479);
							PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_19055,
								(int) (((long) 2)), BgL_iboxesz00_3480);
							PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_19055,
								(int) (((long) 3)), BgL_bodyz00_3481);
							return BgL_zc3anonymousza33284ze3z83_19055;
						}
					}
				}
			}
		}
	}



/* &<anonymous:3284> */
	obj_t BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20349, obj_t BgL_sz00_20354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 450 */
			{	/* Eval/evaluate_comp.scm 450 */
				long BgL_siza7eza7_20350;
				obj_t BgL_valsz00_20351;
				obj_t BgL_iboxesz00_20352;
				obj_t BgL_bodyz00_20353;

				BgL_siza7eza7_20350 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20349, (int) (((long) 0))));
				BgL_valsz00_20351 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20349, (int) (((long) 1))));
				BgL_iboxesz00_20352 =
					PROCEDURE_REF(BgL_envz00_20349, (int) (((long) 2)));
				BgL_bodyz00_20353 = PROCEDURE_REF(BgL_envz00_20349, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3482;

					BgL_sz00_3482 = BgL_sz00_20354;
					{	/* Eval/evaluate_comp.scm 450 */
						obj_t BgL_bpz00_3484;

						BgL_bpz00_3484 = VECTOR_REF(BgL_sz00_3482, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 451 */
							long BgL_g1106z00_3485;

							BgL_g1106z00_3485 =
								((long) CINT(BgL_bpz00_3484) + BgL_siza7eza7_20350);
							{
								obj_t BgL_lz00_12019;
								long BgL_iz00_12020;

								BgL_lz00_12019 = BgL_valsz00_20351;
								BgL_iz00_12020 = BgL_g1106z00_3485;
							BgL_recz00_12018:
								if (NULLP(BgL_lz00_12019))
									{	/* Eval/evaluate_comp.scm 452 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 452 */
										{	/* Eval/evaluate_comp.scm 453 */
											obj_t BgL_arg3309z00_12027;

											{	/* Eval/evaluate_comp.scm 453 */
												obj_t BgL_fun3310z00_12028;

												BgL_fun3310z00_12028 = CAR(BgL_lz00_12019);
												BgL_arg3309z00_12027 =
													PROCEDURE_ENTRY(BgL_fun3310z00_12028)
													(BgL_fun3310z00_12028, BgL_sz00_3482, BEOA);
											}
											VECTOR_SET(BgL_sz00_3482,
												(int) (BgL_iz00_12020), BgL_arg3309z00_12027);
										}
										{
											long BgL_iz00_37623;
											obj_t BgL_lz00_37621;

											BgL_lz00_37621 = CDR(BgL_lz00_12019);
											BgL_iz00_37623 = (BgL_iz00_12020 + ((long) 1));
											BgL_iz00_12020 = BgL_iz00_37623;
											BgL_lz00_12019 = BgL_lz00_37621;
											goto BgL_recz00_12018;
										}
									}
							}
						}
						{
							obj_t BgL_lz00_3497;

							BgL_lz00_3497 = BgL_iboxesz00_20352;
						BgL_zc3anonymousza33313ze3z83_3498:
							if (NULLP(BgL_lz00_3497))
								{	/* Eval/evaluate_comp.scm 456 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 456 */
									{	/* Eval/evaluate_comp.scm 457 */
										long BgL_iz00_3500;

										BgL_iz00_3500 =
											(
											(long) CINT(BgL_bpz00_3484) +
											(long) CINT(CAR(BgL_lz00_3497)));
										{	/* Eval/evaluate_comp.scm 458 */
											obj_t BgL_arg3315z00_3501;

											{	/* Eval/evaluate_comp.scm 458 */
												obj_t BgL_arg3316z00_3502;

												BgL_arg3316z00_3502 =
													VECTOR_REF(BgL_sz00_3482, (int) (BgL_iz00_3500));
												{	/* Eval/evaluate_comp.scm 189 */
													obj_t BgL_newz00_12050;

													BgL_newz00_12050 =
														create_struct(BGl_symbol6217z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 189 */
														int BgL_auxz00_37635;

														BgL_auxz00_37635 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_12050, BgL_auxz00_37635,
															BgL_arg3316z00_3502);
													}
													BgL_arg3315z00_3501 = BgL_newz00_12050;
											}}
											VECTOR_SET(BgL_sz00_3482,
												(int) (BgL_iz00_3500), BgL_arg3315z00_3501);
									}}
									{
										obj_t BgL_lz00_37640;

										BgL_lz00_37640 = CDR(BgL_lz00_3497);
										BgL_lz00_3497 = BgL_lz00_37640;
										goto BgL_zc3anonymousza33313ze3z83_3498;
									}
								}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_20353) (BgL_bodyz00_20353,
							BgL_sz00_3482, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_prog21730 */
	obj_t BGl_z62compzd2ev_prog21730zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20355, obj_t BgL_ez00_20356, obj_t BgL_stkz00_20357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 437 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_3459;
				obj_t BgL_stkz00_3460;

				BgL_ez00_3459 = ((BgL_ev_prog2z00_bglt) BgL_ez00_20356);
				BgL_stkz00_3460 = BgL_stkz00_20357;
				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_e1z00_3464;
					obj_t BgL_e2z00_3465;

					BgL_e1z00_3464 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_3459))->BgL_e1z00),
						BgL_stkz00_3460);
					BgL_e2z00_3465 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_3459))->BgL_e2z00), BgL_stkz00_3460);
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_zc3anonymousza33280ze3z83_19057;

						BgL_zc3anonymousza33280ze3z83_19057 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33280ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33280ze3z83_19057,
							(int) (((long) 0)), BgL_e1z00_3464);
						PROCEDURE_SET(BgL_zc3anonymousza33280ze3z83_19057,
							(int) (((long) 1)), BgL_e2z00_3465);
						return BgL_zc3anonymousza33280ze3z83_19057;
					}
				}
			}
		}
	}



/* &<anonymous:3280> */
	obj_t BGl_z62zc3anonymousza33280ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20358, obj_t BgL_sz00_20361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_e1z00_20359;
				obj_t BgL_e2z00_20360;

				BgL_e1z00_20359 = PROCEDURE_REF(BgL_envz00_20358, (int) (((long) 0)));
				BgL_e2z00_20360 = PROCEDURE_REF(BgL_envz00_20358, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3466;

					BgL_sz00_3466 = BgL_sz00_20361;
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_bpz00_11918;

						BgL_bpz00_11918 = VECTOR_REF(BgL_sz00_3466, (int) (((long) 0)));
						PROCEDURE_ENTRY(BgL_e1z00_20359) (BgL_e1z00_20359, BgL_sz00_3466,
							BEOA);
						return PROCEDURE_ENTRY(BgL_e2z00_20360) (BgL_e2z00_20360,
							BgL_sz00_3466, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_and1728 */
	obj_t BGl_z62compzd2ev_and1728zb0zz__evaluate_compz00(obj_t BgL_envz00_20362,
		obj_t BgL_ez00_20363, obj_t BgL_stkz00_20364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 427 */
			{
				BgL_ev_andz00_bglt BgL_ez00_3426;
				obj_t BgL_stkz00_3427;

				BgL_ez00_3426 = ((BgL_ev_andz00_bglt) BgL_ez00_20363);
				BgL_stkz00_3427 = BgL_stkz00_20364;
				{	/* Eval/evaluate_comp.scm 429 */
					obj_t BgL_argsz00_3431;

					{	/* Eval/evaluate_comp.scm 429 */
						obj_t BgL_l1624z00_3445;

						BgL_l1624z00_3445 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_3426)))->BgL_argsz00);
						if (NULLP(BgL_l1624z00_3445))
							{	/* Eval/evaluate_comp.scm 429 */
								BgL_argsz00_3431 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 429 */
								obj_t BgL_head1626z00_3447;

								{	/* Eval/evaluate_comp.scm 429 */
									obj_t BgL_res5459z00_11823;

									BgL_res5459z00_11823 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1626z00_3447 = BgL_res5459z00_11823;
								}
								{
									obj_t BgL_l1624z00_11857;
									obj_t BgL_tail1627z00_11858;

									BgL_l1624z00_11857 = BgL_l1624z00_3445;
									BgL_tail1627z00_11858 = BgL_head1626z00_3447;
								BgL_zc3anonymousza33276ze3z83_11856:
									if (NULLP(BgL_l1624z00_11857))
										{	/* Eval/evaluate_comp.scm 429 */
											BgL_argsz00_3431 = CDR(BgL_head1626z00_3447);
										}
									else
										{	/* Eval/evaluate_comp.scm 429 */
											obj_t BgL_newtail1628z00_11865;

											{	/* Eval/evaluate_comp.scm 429 */
												obj_t BgL_arg3279z00_11866;

												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_ez00_11867;

													BgL_ez00_11867 = CAR(BgL_l1624z00_11857);
													BgL_arg3279z00_11866 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_11867),
														BgL_stkz00_3427);
												}
												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_res5465z00_11875;

													BgL_res5465z00_11875 =
														MAKE_PAIR(BgL_arg3279z00_11866, BNIL);
													BgL_newtail1628z00_11865 = BgL_res5465z00_11875;
												}
											}
											SET_CDR(BgL_tail1627z00_11858, BgL_newtail1628z00_11865);
											{
												obj_t BgL_tail1627z00_37687;
												obj_t BgL_l1624z00_37685;

												BgL_l1624z00_37685 = CDR(BgL_l1624z00_11857);
												BgL_tail1627z00_37687 = BgL_newtail1628z00_11865;
												BgL_tail1627z00_11858 = BgL_tail1627z00_37687;
												BgL_l1624z00_11857 = BgL_l1624z00_37685;
												goto BgL_zc3anonymousza33276ze3z83_11856;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_zc3anonymousza33270ze3z83_19059;

						BgL_zc3anonymousza33270ze3z83_19059 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33270ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33270ze3z83_19059,
							(int) (((long) 0)), BgL_argsz00_3431);
						return BgL_zc3anonymousza33270ze3z83_19059;
					}
				}
			}
		}
	}



/* &<anonymous:3270> */
	obj_t BGl_z62zc3anonymousza33270ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20365, obj_t BgL_sz00_20367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 430 */
				obj_t BgL_argsz00_20366;

				BgL_argsz00_20366 = PROCEDURE_REF(BgL_envz00_20365, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3432;

					BgL_sz00_3432 = BgL_sz00_20367;
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_bpz00_3434;

						BgL_bpz00_3434 = VECTOR_REF(BgL_sz00_3432, (int) (((long) 0)));
						{
							obj_t BgL_lz00_11902;
							obj_t BgL_rz00_11903;

							BgL_lz00_11902 = BgL_argsz00_20366;
							BgL_rz00_11903 = BTRUE;
						BgL_recz00_11901:
							if (NULLP(BgL_lz00_11902))
								{	/* Eval/evaluate_comp.scm 432 */
									return BgL_rz00_11903;
								}
							else
								{	/* Eval/evaluate_comp.scm 434 */
									obj_t BgL_vz00_11910;

									{	/* Eval/evaluate_comp.scm 434 */
										obj_t BgL_fun3274z00_11911;

										BgL_fun3274z00_11911 = CAR(BgL_lz00_11902);
										BgL_vz00_11910 =
											PROCEDURE_ENTRY(BgL_fun3274z00_11911)
											(BgL_fun3274z00_11911, BgL_sz00_3432, BEOA);
									}
									if (CBOOL(BgL_vz00_11910))
										{
											obj_t BgL_rz00_37709;
											obj_t BgL_lz00_37707;

											BgL_lz00_37707 = CDR(BgL_lz00_11902);
											BgL_rz00_37709 = BgL_vz00_11910;
											BgL_rz00_11903 = BgL_rz00_37709;
											BgL_lz00_11902 = BgL_lz00_37707;
											goto BgL_recz00_11901;
										}
									else
										{	/* Eval/evaluate_comp.scm 435 */
											return BFALSE;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_or1726 */
	obj_t BGl_z62compzd2ev_or1726zb0zz__evaluate_compz00(obj_t BgL_envz00_20368,
		obj_t BgL_ez00_20369, obj_t BgL_stkz00_20370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 418 */
			{
				BgL_ev_orz00_bglt BgL_ez00_3395;
				obj_t BgL_stkz00_3396;

				BgL_ez00_3395 = ((BgL_ev_orz00_bglt) BgL_ez00_20369);
				BgL_stkz00_3396 = BgL_stkz00_20370;
				{	/* Eval/evaluate_comp.scm 420 */
					obj_t BgL_argsz00_3400;

					{	/* Eval/evaluate_comp.scm 420 */
						obj_t BgL_l1619z00_3412;

						BgL_l1619z00_3412 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_3395)))->BgL_argsz00);
						if (NULLP(BgL_l1619z00_3412))
							{	/* Eval/evaluate_comp.scm 420 */
								BgL_argsz00_3400 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 420 */
								obj_t BgL_head1621z00_3414;

								{	/* Eval/evaluate_comp.scm 420 */
									obj_t BgL_res5450z00_11757;

									BgL_res5450z00_11757 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1621z00_3414 = BgL_res5450z00_11757;
								}
								{
									obj_t BgL_l1619z00_11791;
									obj_t BgL_tail1622z00_11792;

									BgL_l1619z00_11791 = BgL_l1619z00_3412;
									BgL_tail1622z00_11792 = BgL_head1621z00_3414;
								BgL_zc3anonymousza33266ze3z83_11790:
									if (NULLP(BgL_l1619z00_11791))
										{	/* Eval/evaluate_comp.scm 420 */
											BgL_argsz00_3400 = CDR(BgL_head1621z00_3414);
										}
									else
										{	/* Eval/evaluate_comp.scm 420 */
											obj_t BgL_newtail1623z00_11799;

											{	/* Eval/evaluate_comp.scm 420 */
												obj_t BgL_arg3269z00_11800;

												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_ez00_11801;

													BgL_ez00_11801 = CAR(BgL_l1619z00_11791);
													BgL_arg3269z00_11800 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_11801),
														BgL_stkz00_3396);
												}
												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_res5456z00_11809;

													BgL_res5456z00_11809 =
														MAKE_PAIR(BgL_arg3269z00_11800, BNIL);
													BgL_newtail1623z00_11799 = BgL_res5456z00_11809;
												}
											}
											SET_CDR(BgL_tail1622z00_11792, BgL_newtail1623z00_11799);
											{
												obj_t BgL_tail1622z00_37725;
												obj_t BgL_l1619z00_37723;

												BgL_l1619z00_37723 = CDR(BgL_l1619z00_11791);
												BgL_tail1622z00_37725 = BgL_newtail1623z00_11799;
												BgL_tail1622z00_11792 = BgL_tail1622z00_37725;
												BgL_l1619z00_11791 = BgL_l1619z00_37723;
												goto BgL_zc3anonymousza33266ze3z83_11790;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_zc3anonymousza33260ze3z83_19061;

						BgL_zc3anonymousza33260ze3z83_19061 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33260ze3z83_19061,
							(int) (((long) 0)), BgL_argsz00_3400);
						return BgL_zc3anonymousza33260ze3z83_19061;
					}
				}
			}
		}
	}



/* &<anonymous:3260> */
	obj_t BGl_z62zc3anonymousza33260ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20371, obj_t BgL_sz00_20373)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_argsz00_20372;

				BgL_argsz00_20372 = PROCEDURE_REF(BgL_envz00_20371, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3401;

					BgL_sz00_3401 = BgL_sz00_20373;
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_bpz00_3403;

						BgL_bpz00_3403 = VECTOR_REF(BgL_sz00_3401, (int) (((long) 0)));
						{
							obj_t BgL_lz00_3405;

							BgL_lz00_3405 = BgL_argsz00_20372;
						BgL_zc3anonymousza33261ze3z83_3406:
							if (NULLP(BgL_lz00_3405))
								{	/* Eval/evaluate_comp.scm 423 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 425 */
									obj_t BgL__ortest_1101z00_3408;

									{	/* Eval/evaluate_comp.scm 425 */
										obj_t BgL_fun3264z00_3410;

										BgL_fun3264z00_3410 = CAR(BgL_lz00_3405);
										BgL__ortest_1101z00_3408 =
											PROCEDURE_ENTRY(BgL_fun3264z00_3410) (BgL_fun3264z00_3410,
											BgL_sz00_3401, BEOA);
									}
									if (CBOOL(BgL__ortest_1101z00_3408))
										{	/* Eval/evaluate_comp.scm 425 */
											return BgL__ortest_1101z00_3408;
										}
									else
										{
											obj_t BgL_lz00_37745;

											BgL_lz00_37745 = CDR(BgL_lz00_3405);
											BgL_lz00_3405 = BgL_lz00_37745;
											goto BgL_zc3anonymousza33261ze3z83_3406;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_if1724 */
	obj_t BGl_z62compzd2ev_if1724zb0zz__evaluate_compz00(obj_t BgL_envz00_20374,
		obj_t BgL_ez00_20375, obj_t BgL_stkz00_20376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 412 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_3379;
				obj_t BgL_stkz00_3380;

				BgL_ez00_3379 = ((BgL_ev_ifz00_bglt) BgL_ez00_20375);
				BgL_stkz00_3380 = BgL_stkz00_20376;
				{	/* Eval/evaluate_comp.scm 414 */
					obj_t BgL_pz00_3384;
					obj_t BgL_tz00_3385;
					obj_t BgL_ez00_3386;

					BgL_pz00_3384 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_3379))->BgL_pz00),
						BgL_stkz00_3380);
					BgL_tz00_3385 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_3379))->BgL_tz00), BgL_stkz00_3380);
					BgL_ez00_3386 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_3379))->BgL_ez00), BgL_stkz00_3380);
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_zc3anonymousza33255ze3z83_19063;

						BgL_zc3anonymousza33255ze3z83_19063 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33255ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza33255ze3z83_19063,
							(int) (((long) 0)), BgL_ez00_3386);
						PROCEDURE_SET(BgL_zc3anonymousza33255ze3z83_19063,
							(int) (((long) 1)), BgL_tz00_3385);
						PROCEDURE_SET(BgL_zc3anonymousza33255ze3z83_19063,
							(int) (((long) 2)), BgL_pz00_3384);
						return BgL_zc3anonymousza33255ze3z83_19063;
					}
				}
			}
		}
	}



/* &<anonymous:3255> */
	obj_t BGl_z62zc3anonymousza33255ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20377, obj_t BgL_sz00_20381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 415 */
			{	/* Eval/evaluate_comp.scm 415 */
				obj_t BgL_ez00_20378;
				obj_t BgL_tz00_20379;
				obj_t BgL_pz00_20380;

				BgL_ez00_20378 = PROCEDURE_REF(BgL_envz00_20377, (int) (((long) 0)));
				BgL_tz00_20379 = PROCEDURE_REF(BgL_envz00_20377, (int) (((long) 1)));
				BgL_pz00_20380 = PROCEDURE_REF(BgL_envz00_20377, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3387;

					BgL_sz00_3387 = BgL_sz00_20381;
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_bpz00_11749;

						BgL_bpz00_11749 = VECTOR_REF(BgL_sz00_3387, (int) (((long) 0)));
						if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_20380) (BgL_pz00_20380,
									BgL_sz00_3387, BEOA)))
							{	/* Eval/evaluate_comp.scm 416 */
								return
									PROCEDURE_ENTRY(BgL_tz00_20379) (BgL_tz00_20379,
									BgL_sz00_3387, BEOA);
							}
						else
							{	/* Eval/evaluate_comp.scm 416 */
								return
									PROCEDURE_ENTRY(BgL_ez00_20378) (BgL_ez00_20378,
									BgL_sz00_3387, BEOA);
							}
					}
				}
			}
		}
	}



/* &comp-ev_litt1722 */
	obj_t BGl_z62compzd2ev_litt1722zb0zz__evaluate_compz00(obj_t BgL_envz00_20382,
		obj_t BgL_ez00_20383, obj_t BgL_stkz00_20384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 407 */
			{
				BgL_ev_littz00_bglt BgL_ez00_3370;
				obj_t BgL_stkz00_3371;

				BgL_ez00_3370 = ((BgL_ev_littz00_bglt) BgL_ez00_20383);
				BgL_stkz00_3371 = BgL_stkz00_20384;
				{	/* Eval/evaluate_comp.scm 409 */
					obj_t BgL_zc3anonymousza33254ze3z83_19065;

					BgL_zc3anonymousza33254ze3z83_19065 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33254ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33254ze3z83_19065, (int) (((long) 0)),
						((obj_t) BgL_ez00_3370));
					return BgL_zc3anonymousza33254ze3z83_19065;
				}
			}
		}
	}



/* &<anonymous:3254> */
	obj_t BGl_z62zc3anonymousza33254ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20385, obj_t BgL_sz00_20387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 409 */
			{	/* Eval/evaluate_comp.scm 409 */
				BgL_ev_littz00_bglt BgL_i1098z00_20386;

				BgL_i1098z00_20386 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_20385, (int) (((long) 0))));
				{
					obj_t BgL_sz00_11744;

					BgL_sz00_11744 = BgL_sz00_20387;
					{	/* Eval/evaluate_comp.scm 409 */
						obj_t BgL_bpz00_11746;

						BgL_bpz00_11746 = VECTOR_REF(BgL_sz00_11744, (int) (((long) 0)));
						return
							(((BgL_ev_littz00_bglt) CREF(BgL_i1098z00_20386))->BgL_valuez00);
					}
				}
			}
		}
	}



/* &comp-ev_defglobal1720 */
	obj_t BGl_z62compzd2ev_defglobal1720zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20388, obj_t BgL_ez00_20389, obj_t BgL_stkz00_20390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 376 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_3331;
				obj_t BgL_stkz00_3332;

				BgL_ez00_3331 = ((BgL_ev_defglobalz00_bglt) BgL_ez00_20389);
				BgL_stkz00_3332 = BgL_stkz00_20390;
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_ez00_3336;

					{	/* Eval/evaluate_comp.scm 378 */
						BgL_ev_exprz00_bglt BgL_arg3253z00_3368;

						BgL_arg3253z00_3368 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_3331)))->BgL_ez00);
						BgL_ez00_3336 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3253z00_3368,
							BgL_stkz00_3332);
					}
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_zc3anonymousza33212ze3z83_19067;

						BgL_zc3anonymousza33212ze3z83_19067 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_19067,
							(int) (((long) 0)), ((obj_t) BgL_ez00_3331));
						PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_19067,
							(int) (((long) 1)), BgL_ez00_3336);
						return BgL_zc3anonymousza33212ze3z83_19067;
					}
				}
			}
		}
	}



/* &<anonymous:3212> */
	obj_t BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20391, obj_t BgL_sz00_20394)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 379 */
			{	/* Eval/evaluate_comp.scm 379 */
				BgL_ev_defglobalz00_bglt BgL_i1095z00_20392;
				obj_t BgL_ez00_20393;

				BgL_i1095z00_20392 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_20391, (int) (((long) 0))));
				BgL_ez00_20393 = PROCEDURE_REF(BgL_envz00_20391, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3337;

					BgL_sz00_3337 = BgL_sz00_20394;
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_bpz00_3339;

						BgL_bpz00_3339 = VECTOR_REF(BgL_sz00_3337, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 380 */
							obj_t BgL_gz00_3340;

							{	/* Eval/evaluate_comp.scm 380 */
								obj_t BgL_arg3251z00_3366;
								obj_t BgL_arg3252z00_3367;

								BgL_arg3251z00_3366 =
									(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_i1095z00_20392)))->
									BgL_modz00);
								BgL_arg3252z00_3367 =
									(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
												BgL_i1095z00_20392)))->BgL_namez00);
								BgL_gz00_3340 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg3251z00_3366, BgL_arg3252z00_3367);
							}
							if (CBOOL(BgL_gz00_3340))
								{	/* Eval/evaluate_comp.scm 382 */
									{

										{	/* Eval/evaluate_comp.scm 384 */
											int BgL_aux1097z00_3342;

											{	/* Eval/evaluate_comp.scm 384 */
												int BgL_res5448z00_11689;

												{	/* Eval/evaluate_comp.scm 384 */
													int BgL_kz00_11688;

													BgL_kz00_11688 = (int) (((long) 0));
													BgL_res5448z00_11689 =
														CINT(VECTOR_REF(BgL_gz00_3340, BgL_kz00_11688));
												}
												BgL_aux1097z00_3342 = BgL_res5448z00_11689;
											}
											switch ((long) (BgL_aux1097z00_3342))
												{
												case ((long) 0):

													{	/* Eval/evaluate_comp.scm 386 */
														obj_t BgL_arg3214z00_3344;
														obj_t BgL_arg3215z00_3345;

														BgL_arg3214z00_3344 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1095z00_20392)))->BgL_locz00);
														BgL_arg3215z00_3345 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1095z00_20392)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg3214z00_3344,
															BGl_string6328z00zz__evaluate_compz00,
															BGl_string6329z00zz__evaluate_compz00,
															BgL_arg3215z00_3345);
													} break;
												case ((long) 1):

													{	/* Eval/evaluate_comp.scm 388 */
														obj_t BgL_arg3217z00_3346;
														obj_t BgL_arg3218z00_3347;

														BgL_arg3217z00_3346 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1095z00_20392)))->BgL_locz00);
														BgL_arg3218z00_3347 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1095z00_20392)))->BgL_namez00);
														{	/* Eval/evaluate_comp.scm 388 */
															obj_t BgL_list3219z00_3348;

															{	/* Eval/evaluate_comp.scm 388 */
																obj_t BgL_arg3220z00_3349;

																{	/* Eval/evaluate_comp.scm 388 */
																	obj_t BgL_arg3221z00_3350;

																	BgL_arg3221z00_3350 =
																		MAKE_PAIR(BgL_arg3218z00_3347, BNIL);
																	BgL_arg3220z00_3349 =
																		MAKE_PAIR
																		(BGl_string6330z00zz__evaluate_compz00,
																		BgL_arg3221z00_3350);
																}
																BgL_list3219z00_3348 =
																	MAKE_PAIR
																	(BGl_string6207z00zz__evaluate_compz00,
																	BgL_arg3220z00_3349);
															}
															BGl_evwarningz00zz__everrorz00
																(BgL_arg3217z00_3346, BgL_list3219z00_3348);
													}}
													{	/* Eval/evaluate_comp.scm 390 */
														obj_t BgL_arg3222z00_3351;
														obj_t BgL_arg3223z00_3352;

														BgL_arg3222z00_3351 =
															VECTOR_REF(BgL_gz00_3340, (int) (((long) 2)));
														BgL_arg3223z00_3352 =
															PROCEDURE_ENTRY(BgL_ez00_20393) (BgL_ez00_20393,
															BgL_sz00_3337, BEOA);
														__EVMEANING_ADDRESS_SET(BgL_arg3222z00_3351,
															BgL_arg3223z00_3352);
													} break;
												case ((long) 2):

													{	/* Eval/evaluate_comp.scm 392 */
														obj_t BgL_arg3224z00_3353;

														BgL_arg3224z00_3353 =
															PROCEDURE_ENTRY(BgL_ez00_20393) (BgL_ez00_20393,
															BgL_sz00_3337, BEOA);
														VECTOR_SET(BgL_gz00_3340, (int) (((long) 2)),
															BgL_arg3224z00_3353);
													} break;
												case ((long) 3):

													{	/* Eval/evaluate_comp.scm 394 */
														obj_t BgL_arg3225z00_3354;

														BgL_arg3225z00_3354 =
															PROCEDURE_ENTRY(BgL_ez00_20393) (BgL_ez00_20393,
															BgL_sz00_3337, BEOA);
														VECTOR_SET(BgL_gz00_3340, (int) (((long) 2)),
															BgL_arg3225z00_3354);
													}
													{	/* Eval/evaluate_comp.scm 395 */
														int BgL_tagz00_11704;

														BgL_tagz00_11704 = (int) (((long) 2));
														VECTOR_SET(BgL_gz00_3340,
															(int) (((long) 0)), BINT(BgL_tagz00_11704));
													} break;
												case ((long) 4):

													{	/* Eval/evaluate_comp.scm 397 */
														obj_t BgL_arg3226z00_3355;

														BgL_arg3226z00_3355 =
															PROCEDURE_ENTRY(BgL_ez00_20393) (BgL_ez00_20393,
															BgL_sz00_3337, BEOA);
														VECTOR_SET(BgL_gz00_3340, (int) (((long) 2)),
															BgL_arg3226z00_3355);
													}
													{	/* Eval/evaluate_comp.scm 398 */
														int BgL_tagz00_11714;

														BgL_tagz00_11714 = (int) (((long) 5));
														VECTOR_SET(BgL_gz00_3340,
															(int) (((long) 0)), BINT(BgL_tagz00_11714));
													} break;
												default:
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_arg3227z00_3356;
														obj_t BgL_arg3228z00_3357;

														BgL_arg3227z00_3356 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1095z00_20392)))->BgL_locz00);
														BgL_arg3228z00_3357 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1095z00_20392)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg3227z00_3356,
															BGl_string6328z00zz__evaluate_compz00,
															BGl_string6329z00zz__evaluate_compz00,
															BgL_arg3228z00_3357);
													}
												}
										}
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1095z00_20392)))->
										BgL_namez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 402 */
									obj_t BgL_gz00_3358;

									{	/* Eval/evaluate_comp.scm 402 */
										obj_t BgL_arg3246z00_3363;
										obj_t BgL_arg3248z00_3364;
										obj_t BgL_arg3250z00_3365;

										BgL_arg3246z00_3363 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1095z00_20392)))->
											BgL_namez00);
										BgL_arg3248z00_3364 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1095z00_20392)))->
											BgL_modz00);
										BgL_arg3250z00_3365 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1095z00_20392)))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 402 */
											obj_t BgL_v1697z00_11721;

											BgL_v1697z00_11721 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1697z00_11721,
												(int) (((long) 4)), BgL_arg3250z00_3365);
											VECTOR_SET(BgL_v1697z00_11721,
												(int) (((long) 3)), BgL_arg3248z00_3364);
											VECTOR_SET(BgL_v1697z00_11721,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1697z00_11721,
												(int) (((long) 1)), BgL_arg3246z00_3363);
											VECTOR_SET(BgL_v1697z00_11721,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_3358 = BgL_v1697z00_11721;
									}}
									{	/* Eval/evaluate_comp.scm 403 */
										obj_t BgL_arg3229z00_3359;

										BgL_arg3229z00_3359 =
											PROCEDURE_ENTRY(BgL_ez00_20393) (BgL_ez00_20393,
											BgL_sz00_3337, BEOA);
										VECTOR_SET(BgL_gz00_3358, (int) (((long) 2)),
											BgL_arg3229z00_3359);
									}
									{	/* Eval/evaluate_comp.scm 404 */
										obj_t BgL_arg3231z00_3360;
										obj_t BgL_arg3235z00_3361;
										obj_t BgL_arg3245z00_3362;

										BgL_arg3231z00_3360 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1095z00_20392)))->
											BgL_modz00);
										BgL_arg3235z00_3361 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1095z00_20392)))->
											BgL_namez00);
										BgL_arg3245z00_3362 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1095z00_20392)))->
											BgL_locz00);
										BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
											(BgL_arg3231z00_3360, BgL_arg3235z00_3361, BgL_gz00_3358,
											BgL_arg3245z00_3362);
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1095z00_20392)))->
										BgL_namez00);
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setglobal1718 */
	obj_t BGl_z62compzd2ev_setglobal1718zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20395, obj_t BgL_ez00_20396, obj_t BgL_stkz00_20397)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 353 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_3288;
				obj_t BgL_stkz00_3289;

				BgL_ez00_3288 = ((BgL_ev_setglobalz00_bglt) BgL_ez00_20396);
				BgL_stkz00_3289 = BgL_stkz00_20397;
				{	/* Eval/evaluate_comp.scm 355 */
					obj_t BgL_gz00_3293;
					obj_t BgL_ez00_3294;

					BgL_gz00_3293 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->BgL_modz00),
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->BgL_namez00));
					{	/* Eval/evaluate_comp.scm 355 */
						BgL_ev_exprz00_bglt BgL_arg3211z00_3329;

						BgL_arg3211z00_3329 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_3288)))->BgL_ez00);
						BgL_ez00_3294 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3211z00_3329,
							BgL_stkz00_3289);
					}
					if (CBOOL(BgL_gz00_3293))
						{

							{	/* Eval/evaluate_comp.scm 357 */
								int BgL_aux1094z00_3296;

								{	/* Eval/evaluate_comp.scm 357 */
									int BgL_res5447z00_11644;

									{	/* Eval/evaluate_comp.scm 357 */
										int BgL_kz00_11643;

										BgL_kz00_11643 = (int) (((long) 0));
										BgL_res5447z00_11644 =
											CINT(VECTOR_REF(BgL_gz00_3293, BgL_kz00_11643));
									}
									BgL_aux1094z00_3296 = BgL_res5447z00_11644;
								}
								switch ((long) (BgL_aux1094z00_3296))
									{
									case ((long) 1):

										{	/* Eval/evaluate_comp.scm 359 */
											obj_t BgL_zc3anonymousza33180ze3z83_19070;

											BgL_zc3anonymousza33180ze3z83_19070 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_19070,
												(int) (((long) 0)), BgL_gz00_3293);
											PROCEDURE_SET(BgL_zc3anonymousza33180ze3z83_19070,
												(int) (((long) 1)), BgL_ez00_3294);
											return BgL_zc3anonymousza33180ze3z83_19070;
										}
										break;
									case ((long) 0):
									case ((long) 4):
									case ((long) 5):

										return
											BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->
												BgL_locz00), BGl_string6328z00zz__evaluate_compz00,
											BGl_string6329z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->
												BgL_namez00));
										break;
									default:
										{	/* Eval/evaluate_comp.scm 364 */
											obj_t BgL_zc3anonymousza33186ze3z83_19071;

											BgL_zc3anonymousza33186ze3z83_19071 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33186ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33186ze3z83_19071,
												(int) (((long) 0)), BgL_ez00_3294);
											PROCEDURE_SET(BgL_zc3anonymousza33186ze3z83_19071,
												(int) (((long) 1)), BgL_gz00_3293);
											return BgL_zc3anonymousza33186ze3z83_19071;
										}
									}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 365 */
							obj_t BgL_slotz00_3309;

							BgL_slotz00_3309 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 367 */
									obj_t BgL_gz00_3311;

									{	/* Eval/evaluate_comp.scm 367 */
										obj_t BgL_arg3193z00_3315;
										obj_t BgL_arg3194z00_3316;
										obj_t BgL_arg3195z00_3317;

										BgL_arg3193z00_3315 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->
											BgL_namez00);
										BgL_arg3194z00_3316 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->
											BgL_modz00);
										BgL_arg3195z00_3317 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 367 */
											obj_t BgL_v1697z00_11656;

											BgL_v1697z00_11656 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1697z00_11656,
												(int) (((long) 4)), BgL_arg3195z00_3317);
											VECTOR_SET(BgL_v1697z00_11656,
												(int) (((long) 3)), BgL_arg3194z00_3316);
											VECTOR_SET(BgL_v1697z00_11656,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1697z00_11656,
												(int) (((long) 1)), BgL_arg3193z00_3315);
											VECTOR_SET(BgL_v1697z00_11656,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_3311 = BgL_v1697z00_11656;
									}}
									{	/* Eval/evaluate_comp.scm 368 */
										int BgL_tagz00_11673;

										BgL_tagz00_11673 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_3311,
											(int) (((long) 0)), BINT(BgL_tagz00_11673));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->
											BgL_namez00), BgL_gz00_3311,
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3288))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 366 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 370 */
								obj_t BgL_zc3anonymousza33198ze3z83_19069;

								BgL_zc3anonymousza33198ze3z83_19069 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33198ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33198ze3z83_19069,
									(int) (((long) 0)), ((obj_t) BgL_ez00_3288));
								PROCEDURE_SET(BgL_zc3anonymousza33198ze3z83_19069,
									(int) (((long) 1)), BgL_slotz00_3309);
								PROCEDURE_SET(BgL_zc3anonymousza33198ze3z83_19069,
									(int) (((long) 2)), BgL_ez00_3294);
								return BgL_zc3anonymousza33198ze3z83_19069;
							}
						}
				}
			}
		}
	}



/* &<anonymous:3180> */
	obj_t BGl_z62zc3anonymousza33180ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20398, obj_t BgL_sz00_20401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 359 */
			{	/* Eval/evaluate_comp.scm 359 */
				obj_t BgL_gz00_20399;
				obj_t BgL_ez00_20400;

				BgL_gz00_20399 = PROCEDURE_REF(BgL_envz00_20398, (int) (((long) 0)));
				BgL_ez00_20400 = PROCEDURE_REF(BgL_envz00_20398, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3298;

					BgL_sz00_3298 = BgL_sz00_20401;
					{	/* Eval/evaluate_comp.scm 359 */
						obj_t BgL_bpz00_11645;

						BgL_bpz00_11645 = VECTOR_REF(BgL_sz00_3298, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 360 */
							obj_t BgL_arg3181z00_11646;
							obj_t BgL_arg3183z00_11647;

							BgL_arg3181z00_11646 =
								VECTOR_REF(BgL_gz00_20399, (int) (((long) 2)));
							BgL_arg3183z00_11647 =
								PROCEDURE_ENTRY(BgL_ez00_20400) (BgL_ez00_20400, BgL_sz00_3298,
								BEOA);
							return __EVMEANING_ADDRESS_SET(BgL_arg3181z00_11646,
								BgL_arg3183z00_11647);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3186> */
	obj_t BGl_z62zc3anonymousza33186ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20402, obj_t BgL_sz00_20405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 364 */
			{	/* Eval/evaluate_comp.scm 364 */
				obj_t BgL_ez00_20403;
				obj_t BgL_gz00_20404;

				BgL_ez00_20403 = PROCEDURE_REF(BgL_envz00_20402, (int) (((long) 0)));
				BgL_gz00_20404 = PROCEDURE_REF(BgL_envz00_20402, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3305;

					BgL_sz00_3305 = BgL_sz00_20405;
					{	/* Eval/evaluate_comp.scm 364 */
						obj_t BgL_bpz00_11632;

						BgL_bpz00_11632 = VECTOR_REF(BgL_sz00_3305, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 364 */
							obj_t BgL_arg3187z00_11633;

							BgL_arg3187z00_11633 =
								PROCEDURE_ENTRY(BgL_ez00_20403) (BgL_ez00_20403, BgL_sz00_3305,
								BEOA);
							return VECTOR_SET(BgL_gz00_20404, (int) (((long) 2)),
								BgL_arg3187z00_11633);
		}}}}}
	}



/* &<anonymous:3198> */
	obj_t BGl_z62zc3anonymousza33198ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20406, obj_t BgL_sz00_20410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 370 */
			{	/* Eval/evaluate_comp.scm 370 */
				BgL_ev_setglobalz00_bglt BgL_i1092z00_20407;
				obj_t BgL_slotz00_20408;
				obj_t BgL_ez00_20409;

				BgL_i1092z00_20407 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_20406, (int) (((long) 0))));
				BgL_slotz00_20408 = PROCEDURE_REF(BgL_envz00_20406, (int) (((long) 1)));
				BgL_ez00_20409 = PROCEDURE_REF(BgL_envz00_20406, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3319;

					BgL_sz00_3319 = BgL_sz00_20410;
					{	/* Eval/evaluate_comp.scm 370 */
						obj_t BgL_bpz00_3321;

						BgL_bpz00_3321 = VECTOR_REF(BgL_sz00_3319, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_20408)))
							{	/* Eval/evaluate_comp.scm 371 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 371 */
								{	/* Eval/evaluate_comp.scm 372 */
									obj_t BgL_auxz00_20411;

									BgL_auxz00_20411 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1092z00_20407))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1092z00_20407))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_20408, BgL_auxz00_20411);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_20408)))
									{	/* Eval/evaluate_comp.scm 373 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 373 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1092z00_20407))->
												BgL_locz00), BGl_string6207z00zz__evaluate_compz00,
											BGl_string6331z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1092z00_20407))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 374 */
							obj_t BgL_arg3207z00_3326;

							BgL_arg3207z00_3326 =
								PROCEDURE_ENTRY(BgL_ez00_20409) (BgL_ez00_20409, BgL_sz00_3319,
								BEOA);
							{	/* Eval/evaluate_comp.scm 374 */
								obj_t BgL_evalzd2globalzd2_11679;

								BgL_evalzd2globalzd2_11679 = CELL_REF(BgL_slotz00_20408);
								return
									VECTOR_SET(BgL_evalzd2globalzd2_11679,
									(int) (((long) 2)), BgL_arg3207z00_3326);
		}}}}}}
	}



/* &comp-ev_global1716 */
	obj_t BGl_z62compzd2ev_global1716zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20412, obj_t BgL_varz00_20413, obj_t BgL_stkz00_20414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 327 */
			{
				BgL_ev_globalz00_bglt BgL_varz00_3246;
				obj_t BgL_stkz00_3247;

				BgL_varz00_3246 = ((BgL_ev_globalz00_bglt) BgL_varz00_20413);
				BgL_stkz00_3247 = BgL_stkz00_20414;
				{	/* Eval/evaluate_comp.scm 329 */
					obj_t BgL_gz00_3251;

					BgL_gz00_3251 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3246))->BgL_modz00),
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3246))->BgL_namez00));
					if (CBOOL(BgL_gz00_3251))
						{	/* Eval/evaluate_comp.scm 331 */
							bool_t BgL_testz00_38039;

							{	/* Eval/evaluate_comp.scm 331 */
								int BgL_arg3157z00_3260;

								{	/* Eval/evaluate_comp.scm 331 */
									int BgL_res5443z00_11579;

									{	/* Eval/evaluate_comp.scm 331 */
										int BgL_kz00_11578;

										BgL_kz00_11578 = (int) (((long) 0));
										BgL_res5443z00_11579 =
											CINT(VECTOR_REF(BgL_gz00_3251, BgL_kz00_11578));
									}
									BgL_arg3157z00_3260 = BgL_res5443z00_11579;
								}
								BgL_testz00_38039 =
									(BINT(BgL_arg3157z00_3260) == BINT(((long) 1)));
							}
							if (BgL_testz00_38039)
								{	/* Eval/evaluate_comp.scm 332 */
									obj_t BgL_zc3anonymousza33154ze3z83_19073;

									BgL_zc3anonymousza33154ze3z83_19073 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33154ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza33154ze3z83_19073,
										(int) (((long) 0)), BgL_gz00_3251);
									return BgL_zc3anonymousza33154ze3z83_19073;
								}
							else
								{	/* Eval/evaluate_comp.scm 334 */
									obj_t BgL_zc3anonymousza33156ze3z83_19074;

									BgL_zc3anonymousza33156ze3z83_19074 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33156ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza33156ze3z83_19074,
										(int) (((long) 0)), BgL_gz00_3251);
									return BgL_zc3anonymousza33156ze3z83_19074;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 336 */
							obj_t BgL_slotz00_3261;

							BgL_slotz00_3261 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3246))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 338 */
									obj_t BgL_gz00_3263;

									{	/* Eval/evaluate_comp.scm 338 */
										obj_t BgL_arg3162z00_3267;
										obj_t BgL_arg3163z00_3268;
										obj_t BgL_arg3164z00_3269;

										BgL_arg3162z00_3267 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3246))->
											BgL_namez00);
										BgL_arg3163z00_3268 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3246))->
											BgL_modz00);
										BgL_arg3164z00_3269 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3246))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 338 */
											obj_t BgL_v1697z00_11596;

											BgL_v1697z00_11596 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1697z00_11596,
												(int) (((long) 4)), BgL_arg3164z00_3269);
											VECTOR_SET(BgL_v1697z00_11596,
												(int) (((long) 3)), BgL_arg3163z00_3268);
											VECTOR_SET(BgL_v1697z00_11596,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1697z00_11596,
												(int) (((long) 1)), BgL_arg3162z00_3267);
											VECTOR_SET(BgL_v1697z00_11596,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_3263 = BgL_v1697z00_11596;
									}}
									{	/* Eval/evaluate_comp.scm 339 */
										int BgL_tagz00_11613;

										BgL_tagz00_11613 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_3263,
											(int) (((long) 0)), BINT(BgL_tagz00_11613));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3246))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3246))->
											BgL_namez00), BgL_gz00_3263,
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3246))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 337 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 341 */
								obj_t BgL_zc3anonymousza33166ze3z83_19075;

								BgL_zc3anonymousza33166ze3z83_19075 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza33166ze3z83_19075,
									(int) (((long) 0)), ((obj_t) BgL_varz00_3246));
								PROCEDURE_SET(BgL_zc3anonymousza33166ze3z83_19075,
									(int) (((long) 1)), BgL_slotz00_3261);
								return BgL_zc3anonymousza33166ze3z83_19075;
							}
						}
				}
			}
		}
	}



/* &<anonymous:3154> */
	obj_t BGl_z62zc3anonymousza33154ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20415, obj_t BgL_sz00_20417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 332 */
				obj_t BgL_gz00_20416;

				BgL_gz00_20416 = PROCEDURE_REF(BgL_envz00_20415, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3253;

					BgL_sz00_3253 = BgL_sz00_20417;
					{	/* Eval/evaluate_comp.scm 332 */
						obj_t BgL_bpz00_11580;

						BgL_bpz00_11580 = VECTOR_REF(BgL_sz00_3253, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 333 */
							obj_t BgL_auxz00_38096;

							BgL_auxz00_38096 = VECTOR_REF(BgL_gz00_20416, (int) (((long) 2)));
							return __EVMEANING_ADDRESS_REF(BgL_auxz00_38096);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3156> */
	obj_t BGl_z62zc3anonymousza33156ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20418, obj_t BgL_sz00_20420)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 334 */
			{	/* Eval/evaluate_comp.scm 334 */
				obj_t BgL_gz00_20419;

				BgL_gz00_20419 = PROCEDURE_REF(BgL_envz00_20418, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3257;

					BgL_sz00_3257 = BgL_sz00_20420;
					{	/* Eval/evaluate_comp.scm 334 */
						obj_t BgL_bpz00_11587;

						BgL_bpz00_11587 = VECTOR_REF(BgL_sz00_3257, (int) (((long) 0)));
						return VECTOR_REF(BgL_gz00_20419, (int) (((long) 2)));
		}}}}
	}



/* &<anonymous:3166> */
	obj_t BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20421, obj_t BgL_sz00_20424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 341 */
			{	/* Eval/evaluate_comp.scm 341 */
				BgL_ev_globalz00_bglt BgL_i1091z00_20422;
				obj_t BgL_slotz00_20423;

				BgL_i1091z00_20422 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_20421, (int) (((long) 0))));
				BgL_slotz00_20423 = PROCEDURE_REF(BgL_envz00_20421, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3271;

					BgL_sz00_3271 = BgL_sz00_20424;
					{	/* Eval/evaluate_comp.scm 341 */
						obj_t BgL_bpz00_3273;

						BgL_bpz00_3273 = VECTOR_REF(BgL_sz00_3271, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_20423)))
							{	/* Eval/evaluate_comp.scm 342 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 342 */
								{	/* Eval/evaluate_comp.scm 343 */
									obj_t BgL_auxz00_20425;

									BgL_auxz00_20425 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_20422))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_20422))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_20423, BgL_auxz00_20425);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_20423)))
									{	/* Eval/evaluate_comp.scm 344 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 344 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_20422))->
												BgL_locz00), BGl_string6207z00zz__evaluate_compz00,
											BGl_string6331z00zz__evaluate_compz00,
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_20422))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 345 */
							obj_t BgL_vz00_3278;

							{	/* Eval/evaluate_comp.scm 345 */
								obj_t BgL_evalzd2globalzd2_11619;

								BgL_evalzd2globalzd2_11619 = CELL_REF(BgL_slotz00_20423);
								BgL_vz00_3278 =
									VECTOR_REF(BgL_evalzd2globalzd2_11619, (int) (((long) 2)));
							}
							if ((BgL_vz00_3278 == BUNSPEC))
								{	/* Eval/evaluate_comp.scm 347 */
									int BgL_tz00_3280;

									{	/* Eval/evaluate_comp.scm 347 */
										int BgL_res5444z00_11625;

										{	/* Eval/evaluate_comp.scm 347 */
											obj_t BgL_evalzd2globalzd2_11622;

											BgL_evalzd2globalzd2_11622 = CELL_REF(BgL_slotz00_20423);
											{	/* Eval/evaluate_comp.scm 347 */
												int BgL_kz00_11624;

												BgL_kz00_11624 = (int) (((long) 0));
												BgL_res5444z00_11625 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_11622,
														BgL_kz00_11624));
										}}
										BgL_tz00_3280 = BgL_res5444z00_11625;
									}
									{	/* Eval/evaluate_comp.scm 348 */
										bool_t BgL_testz00_38130;

										if (((long) (BgL_tz00_3280) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_38130 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_38130 =
													((long) (BgL_tz00_3280) == ((long) 4));
											}
										if (BgL_testz00_38130)
											{	/* Eval/evaluate_comp.scm 348 */
												return
													BGl_everrorz00zz__everrorz00(
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_20422))->
														BgL_locz00), BGl_string6207z00zz__evaluate_compz00,
													BGl_string6332z00zz__evaluate_compz00,
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_20422))->
														BgL_namez00));
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												return BgL_vz00_3278;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 346 */
									return BgL_vz00_3278;
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setlocal1714 */
	obj_t BGl_z62compzd2ev_setlocal1714zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20426, obj_t BgL_ez00_20427, obj_t BgL_stkz00_20428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 309 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_3223;
				obj_t BgL_stkz00_3224;

				BgL_ez00_3223 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_20427);
				BgL_stkz00_3224 = BgL_stkz00_20428;
				{	/* Eval/evaluate_comp.scm 311 */
					obj_t BgL_iz00_3228;
					obj_t BgL_ez00_3229;

					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_varz00_bglt BgL_arg3151z00_3243;

						BgL_arg3151z00_3243 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_3223))->BgL_vz00);
						BgL_iz00_3228 =
							BGl__indexz00zz__evaluate_compz00(
							((obj_t) BgL_arg3151z00_3243), BgL_stkz00_3224);
					}
					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_exprz00_bglt BgL_arg3152z00_3244;

						BgL_arg3152z00_3244 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_3223)))->BgL_ez00);
						BgL_ez00_3229 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3152z00_3244,
							BgL_stkz00_3224);
					}
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_3223))->
											BgL_vz00)))->BgL_effz00)))
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_zc3anonymousza33144ze3z83_19077;

							BgL_zc3anonymousza33144ze3z83_19077 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33144ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza33144ze3z83_19077,
								(int) (((long) 0)), BgL_iz00_3228);
							PROCEDURE_SET(BgL_zc3anonymousza33144ze3z83_19077,
								(int) (((long) 1)), BgL_ez00_3229);
							return BgL_zc3anonymousza33144ze3z83_19077;
						}
					else
						{	/* Eval/evaluate_comp.scm 316 */
							obj_t BgL_zc3anonymousza33148ze3z83_19078;

							BgL_zc3anonymousza33148ze3z83_19078 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33148ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza33148ze3z83_19078,
								(int) (((long) 0)), BgL_iz00_3228);
							PROCEDURE_SET(BgL_zc3anonymousza33148ze3z83_19078,
								(int) (((long) 1)), BgL_ez00_3229);
							return BgL_zc3anonymousza33148ze3z83_19078;
						}
				}
			}
		}
	}



/* &<anonymous:3144> */
	obj_t BGl_z62zc3anonymousza33144ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20429, obj_t BgL_sz00_20432)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 314 */
			{	/* Eval/evaluate_comp.scm 314 */
				obj_t BgL_iz00_20430;
				obj_t BgL_ez00_20431;

				BgL_iz00_20430 = PROCEDURE_REF(BgL_envz00_20429, (int) (((long) 0)));
				BgL_ez00_20431 = PROCEDURE_REF(BgL_envz00_20429, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3232;

					BgL_sz00_3232 = BgL_sz00_20432;
					{	/* Eval/evaluate_comp.scm 314 */
						obj_t BgL_bpz00_11549;

						BgL_bpz00_11549 = VECTOR_REF(BgL_sz00_3232, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 315 */
							obj_t BgL_arg3145z00_11550;
							obj_t BgL_arg3146z00_11551;

							{	/* Eval/evaluate_comp.scm 315 */
								long BgL_arg3147z00_11552;

								BgL_arg3147z00_11552 =
									((long) CINT(BgL_bpz00_11549) + (long) CINT(BgL_iz00_20430));
								BgL_arg3145z00_11550 =
									VECTOR_REF(BgL_sz00_3232, (int) (BgL_arg3147z00_11552));
							}
							BgL_arg3146z00_11551 =
								PROCEDURE_ENTRY(BgL_ez00_20431) (BgL_ez00_20431, BgL_sz00_3232,
								BEOA);
							{	/* Eval/evaluate_comp.scm 189 */
								obj_t BgL_xz00_20489;

								{	/* Eval/evaluate_comp.scm 189 */
									int BgL_auxz00_38179;

									BgL_auxz00_38179 = (int) (((long) 0));
									BgL_xz00_20489 =
										STRUCT_SET(BgL_arg3145z00_11550, BgL_auxz00_38179,
										BgL_arg3146z00_11551);
								}
								return BUNSPEC;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3148> */
	obj_t BGl_z62zc3anonymousza33148ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20433, obj_t BgL_sz00_20436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 316 */
				obj_t BgL_iz00_20434;
				obj_t BgL_ez00_20435;

				BgL_iz00_20434 = PROCEDURE_REF(BgL_envz00_20433, (int) (((long) 0)));
				BgL_ez00_20435 = PROCEDURE_REF(BgL_envz00_20433, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3238;

					BgL_sz00_3238 = BgL_sz00_20436;
					{	/* Eval/evaluate_comp.scm 316 */
						obj_t BgL_bpz00_11565;

						BgL_bpz00_11565 = VECTOR_REF(BgL_sz00_3238, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 317 */
							long BgL_arg3149z00_11566;
							obj_t BgL_arg3150z00_11567;

							BgL_arg3149z00_11566 =
								((long) CINT(BgL_bpz00_11565) + (long) CINT(BgL_iz00_20434));
							BgL_arg3150z00_11567 =
								PROCEDURE_ENTRY(BgL_ez00_20435) (BgL_ez00_20435, BgL_sz00_3238,
								BEOA);
							return VECTOR_SET(BgL_sz00_3238, (int) (BgL_arg3149z00_11566),
								BgL_arg3150z00_11567);
		}}}}}
	}



/* &comp-ev_var1712 */
	obj_t BGl_z62compzd2ev_var1712zb0zz__evaluate_compz00(obj_t BgL_envz00_20437,
		obj_t BgL_varz00_20438, obj_t BgL_stkz00_20439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 304 */
			{
				BgL_ev_varz00_bglt BgL_varz00_3163;
				obj_t BgL_stkz00_3164;

				BgL_varz00_3163 = ((BgL_ev_varz00_bglt) BgL_varz00_20438);
				BgL_stkz00_3164 = BgL_stkz00_20439;
				{	/* Eval/evaluate_comp.scm 305 */
					obj_t BgL_iz00_3167;

					BgL_iz00_3167 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_varz00_3163), BgL_stkz00_3164);
					{

						if (INTEGERP(BgL_iz00_3167))
							{	/* Eval/evaluate_comp.scm 307 */
								switch ((long) CINT(BgL_iz00_3167))
									{
									case ((long) 0):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3163))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6333z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6334z00zz__evaluate_compz00;
											}
										break;
									case ((long) 1):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3163))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6335z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6336z00zz__evaluate_compz00;
											}
										break;
									case ((long) 2):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3163))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6337z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6338z00zz__evaluate_compz00;
											}
										break;
									case ((long) 3):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3163))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6339z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6340z00zz__evaluate_compz00;
											}
										break;
									default:
									BgL_case_else1086z00_3169:
										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3163))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza33138ze3z83_19089;

												BgL_zc3anonymousza33138ze3z83_19089 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33138ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33138ze3z83_19089,
													(int) (((long) 0)), BgL_iz00_3167);
												return BgL_zc3anonymousza33138ze3z83_19089;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza33141ze3z83_19088;

												BgL_zc3anonymousza33141ze3z83_19088 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33141ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33141ze3z83_19088,
													(int) (((long) 0)), BgL_iz00_3167);
												return BgL_zc3anonymousza33141ze3z83_19088;
											}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 307 */
								goto BgL_case_else1086z00_3169;
							}
					}
				}
			}
		}
	}



/* &<anonymous:3132> */
	obj_t BGl_z62zc3anonymousza33132ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20440, obj_t BgL_sz00_20441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3203;

				BgL_sz00_3203 = BgL_sz00_20441;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11527;

					BgL_bpz00_11527 = VECTOR_REF(BgL_sz00_3203, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg3133z00_11528;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3134z00_11529;

							BgL_arg3134z00_11529 =
								((long) CINT(BgL_bpz00_11527) + ((long) 3));
							BgL_arg3133z00_11528 =
								VECTOR_REF(BgL_sz00_3203, (int) (BgL_arg3134z00_11529));
						}
						return STRUCT_REF(BgL_arg3133z00_11528, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:3135> */
	obj_t BGl_z62zc3anonymousza33135ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20442, obj_t BgL_sz00_20443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3208;

				BgL_sz00_3208 = BgL_sz00_20443;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11540;

					BgL_bpz00_11540 = VECTOR_REF(BgL_sz00_3208, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg3136z00_11541;

						BgL_arg3136z00_11541 = ((long) CINT(BgL_bpz00_11540) + ((long) 3));
						return VECTOR_REF(BgL_sz00_3208, (int) (BgL_arg3136z00_11541));
		}}}}
	}



/* &<anonymous:3124> */
	obj_t BGl_z62zc3anonymousza33124ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20444, obj_t BgL_sz00_20445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3193;

				BgL_sz00_3193 = BgL_sz00_20445;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11505;

					BgL_bpz00_11505 = VECTOR_REF(BgL_sz00_3193, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg3126z00_11506;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3127z00_11507;

							BgL_arg3127z00_11507 =
								((long) CINT(BgL_bpz00_11505) + ((long) 2));
							BgL_arg3126z00_11506 =
								VECTOR_REF(BgL_sz00_3193, (int) (BgL_arg3127z00_11507));
						}
						return STRUCT_REF(BgL_arg3126z00_11506, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:3128> */
	obj_t BGl_z62zc3anonymousza33128ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20446, obj_t BgL_sz00_20447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3198;

				BgL_sz00_3198 = BgL_sz00_20447;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11518;

					BgL_bpz00_11518 = VECTOR_REF(BgL_sz00_3198, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg3130z00_11519;

						BgL_arg3130z00_11519 = ((long) CINT(BgL_bpz00_11518) + ((long) 2));
						return VECTOR_REF(BgL_sz00_3198, (int) (BgL_arg3130z00_11519));
		}}}}
	}



/* &<anonymous:3116> */
	obj_t BGl_z62zc3anonymousza33116ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20448, obj_t BgL_sz00_20449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3183;

				BgL_sz00_3183 = BgL_sz00_20449;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11483;

					BgL_bpz00_11483 = VECTOR_REF(BgL_sz00_3183, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg3118z00_11484;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3120z00_11485;

							BgL_arg3120z00_11485 =
								((long) CINT(BgL_bpz00_11483) + ((long) 1));
							BgL_arg3118z00_11484 =
								VECTOR_REF(BgL_sz00_3183, (int) (BgL_arg3120z00_11485));
						}
						return STRUCT_REF(BgL_arg3118z00_11484, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:3121> */
	obj_t BGl_z62zc3anonymousza33121ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20450, obj_t BgL_sz00_20451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3188;

				BgL_sz00_3188 = BgL_sz00_20451;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11496;

					BgL_bpz00_11496 = VECTOR_REF(BgL_sz00_3188, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg3122z00_11497;

						BgL_arg3122z00_11497 = ((long) CINT(BgL_bpz00_11496) + ((long) 1));
						return VECTOR_REF(BgL_sz00_3188, (int) (BgL_arg3122z00_11497));
		}}}}
	}



/* &<anonymous:3109> */
	obj_t BGl_z62zc3anonymousza33109ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20452, obj_t BgL_sz00_20453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3173;

				BgL_sz00_3173 = BgL_sz00_20453;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11461;

					BgL_bpz00_11461 = VECTOR_REF(BgL_sz00_3173, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg3110z00_11462;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3112z00_11463;

							BgL_arg3112z00_11463 =
								((long) CINT(BgL_bpz00_11461) + ((long) 0));
							BgL_arg3110z00_11462 =
								VECTOR_REF(BgL_sz00_3173, (int) (BgL_arg3112z00_11463));
						}
						return STRUCT_REF(BgL_arg3110z00_11462, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:3113> */
	obj_t BGl_z62zc3anonymousza33113ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20454, obj_t BgL_sz00_20455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3178;

				BgL_sz00_3178 = BgL_sz00_20455;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11474;

					BgL_bpz00_11474 = VECTOR_REF(BgL_sz00_3178, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg3114z00_11475;

						BgL_arg3114z00_11475 = ((long) CINT(BgL_bpz00_11474) + ((long) 0));
						return VECTOR_REF(BgL_sz00_3178, (int) (BgL_arg3114z00_11475));
		}}}}
	}



/* &<anonymous:3138> */
	obj_t BGl_z62zc3anonymousza33138ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20456, obj_t BgL_sz00_20458)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_20457;

				BgL_iz00_20457 = PROCEDURE_REF(BgL_envz00_20456, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3213;

					BgL_sz00_3213 = BgL_sz00_20458;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_11439;

						BgL_bpz00_11439 = VECTOR_REF(BgL_sz00_3213, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							obj_t BgL_arg3139z00_11440;

							{	/* Eval/evaluate_comp.scm 307 */
								long BgL_arg3140z00_11441;

								BgL_arg3140z00_11441 =
									((long) CINT(BgL_bpz00_11439) + (long) CINT(BgL_iz00_20457));
								BgL_arg3139z00_11440 =
									VECTOR_REF(BgL_sz00_3213, (int) (BgL_arg3140z00_11441));
							}
							return STRUCT_REF(BgL_arg3139z00_11440, (int) (((long) 0)));
		}}}}}
	}



/* &<anonymous:3141> */
	obj_t BGl_z62zc3anonymousza33141ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20459, obj_t BgL_sz00_20461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_20460;

				BgL_iz00_20460 = PROCEDURE_REF(BgL_envz00_20459, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3218;

					BgL_sz00_3218 = BgL_sz00_20461;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_11452;

						BgL_bpz00_11452 = VECTOR_REF(BgL_sz00_3218, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3142z00_11453;

							BgL_arg3142z00_11453 =
								((long) CINT(BgL_bpz00_11452) + (long) CINT(BgL_iz00_20460));
							return VECTOR_REF(BgL_sz00_3218, (int) (BgL_arg3142z00_11453));
		}}}}}
	}



/* &comp-ev_trap1710 */
	obj_t BGl_z62compzd2ev_trap1710zb0zz__evaluate_compz00(obj_t BgL_envz00_20462,
		obj_t BgL_ez00_20463, obj_t BgL_stkz00_20464)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 277 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_3145;
				obj_t BgL_stkz00_3146;

				BgL_ez00_3145 = ((BgL_ev_trapz00_bglt) BgL_ez00_20463);
				BgL_stkz00_3146 = BgL_stkz00_20464;
				{	/* Eval/evaluate_comp.scm 279 */
					obj_t BgL_ez00_3150;

					{	/* Eval/evaluate_comp.scm 279 */
						BgL_ev_exprz00_bglt BgL_arg3106z00_3161;

						BgL_arg3106z00_3161 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_3145)))->BgL_ez00);
						BgL_ez00_3150 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3106z00_3161,
							BgL_stkz00_3146);
					}
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_zc3anonymousza33100ze3z83_19091;

						BgL_zc3anonymousza33100ze3z83_19091 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33100ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33100ze3z83_19091,
							(int) (((long) 0)), BgL_ez00_3150);
						return BgL_zc3anonymousza33100ze3z83_19091;
					}
				}
			}
		}
	}



/* &<anonymous:3100> */
	obj_t BGl_z62zc3anonymousza33100ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20465, obj_t BgL_sz00_20467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 280 */
			{	/* Eval/evaluate_comp.scm 280 */
				obj_t BgL_ez00_20466;

				BgL_ez00_20466 = PROCEDURE_REF(BgL_envz00_20465, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3151;

					BgL_sz00_3151 = BgL_sz00_20467;
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_bpz00_3153;

						BgL_bpz00_3153 = VECTOR_REF(BgL_sz00_3151, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 281 */
							obj_t BgL_cmdz00_3154;

							BgL_cmdz00_3154 =
								PROCEDURE_ENTRY(BgL_ez00_20466) (BgL_ez00_20466, BgL_sz00_3151,
								BEOA);
							if ((BgL_cmdz00_3154 == BGl_symbol6341z00zz__evaluate_compz00))
								{	/* Eval/evaluate_comp.scm 282 */
									return BgL_bpz00_3153;
								}
							else
								{	/* Eval/evaluate_comp.scm 282 */
									if (
										(BgL_cmdz00_3154 == BGl_symbol6343z00zz__evaluate_compz00))
										{	/* Eval/evaluate_comp.scm 282 */
											return BGl_reset_profilez00zz__evaluate_compz00();
										}
									else
										{	/* Eval/evaluate_comp.scm 282 */
											if (
												(BgL_cmdz00_3154 ==
													BGl_symbol6345z00zz__evaluate_compz00))
												{	/* Eval/evaluate_comp.scm 282 */
													return BGl_get_profilez00zz__evaluate_compz00();
												}
											else
												{	/* Eval/evaluate_comp.scm 282 */
													if (
														(BgL_cmdz00_3154 ==
															BGl_symbol6347z00zz__evaluate_compz00))
														{	/* Eval/evaluate_comp.scm 282 */
															return
																VECTOR_SET
																(BGl_findzd2statezd2zz__evaluate_compz00(),
																(int) (((long) 0)), BINT(((long) 2)));
														}
													else
														{	/* Eval/evaluate_comp.scm 282 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string6207z00zz__evaluate_compz00,
																BGl_string6349z00zz__evaluate_compz00,
																BgL_cmdz00_3154);
														}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 189425161),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 289341023),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 368290641),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 231561374),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string6350z00zz__evaluate_compz00));
		}
	}

#ifdef __cplusplus
}
#endif
