/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_fsize.scm -indent -o objs/obj_u/Eval/evaluate_fsize.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1359zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_bindzd2exit1277zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62tailposzd2ev_synchroni1389zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_labels1433z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62tailposzd2ev_list1375zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1311z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_global1265z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1351z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1327z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1313z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_litt1411z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1333zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_withzd2handle1281zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1355zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_if1269z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t
		BGl_z62hasvarzf3zd2ev_synchroni1429z43zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_prog21273z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letza21393z12zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_litt1371zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_list1271z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62subst_gotozd2ev_synchr1353zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_var1263z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1329z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_let1391zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t
		BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_letza21287zb5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_litt1267z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1309z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_unwindzd2prot1279zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1317z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1303z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_letrec1289z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static BgL_ev_labelsz00_bglt
		BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_hook1419z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1305z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_hook1379zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21343zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_global1369zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_setlocal1421z43zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_goto1435z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62searchzd2letreczd2ev_syn1321z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf31404z91zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_goto1399zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_if1413z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_hook1275z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62tailpos1364z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1357zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1339zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62subst_goto1330z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_goto1293z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1301z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letrec1395zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62tailposzd2ev_unwindzd2pr1385z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_global1409z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_prog21417z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
		BUNSPEC;
	static obj_t
		BGl_z62tailposzd2ev_bindzd2exit1383z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62tailposzd2ev_withzd2hand1387z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1425z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62hasvarzf3zd2ev_app1437z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_labels1291z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62hasvarzf3zd2ev_bindzd2exit1423z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_withzd2hand1427z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_var1367zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_app1401zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_abs1439z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62searchzd2letrec1298zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1349zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_let1285z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_if1373zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1341zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1361zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_abs1403zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_binder1431z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_app1295z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1337zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1363zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1319z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2130z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2132z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2135z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2137z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_z62tailposzd2ev_labels1397zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposzd2ev_setlocal1381zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7e1260zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1347z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_abs1297z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1335zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1307z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_prog21377zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1345zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_var1407z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1315z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_synchroniza7e1283zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1323z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1325z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_list1415z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2121z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2121za700za7za7_2236za7, "fsize1260", 9);
	      DEFINE_STRING(BGl_string2123z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2123za700za7za7_2237za7, "search-letrec1298", 17);
	      DEFINE_STRING(BGl_string2125z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2125za700za7za7_2238za7, "subst_goto1330", 14);
	      DEFINE_STRING(BGl_string2127z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2127za700za7za7_2239za7, "tailpos1364", 11);
	      DEFINE_STRING(BGl_string2129z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2129za700za7za7_2240za7, "hasvar?1404", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2241z00,
		BGl_z62tailposzd2ev_litt1371zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2242z00,
		BGl_z62tailposzd2ev_if1373zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2243z00,
		BGl_z62tailposzd2ev_list1375zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2244z00,
		BGl_z62tailposzd2ev_prog21377zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2245z00,
		BGl_z62tailposzd2ev_hook1379zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2246z00,
		BGl_z62tailposzd2ev_setlocal1381zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2131z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2131za700za7za7_2247za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2248z00,
		BGl_z62tailposzd2ev_bindzd2exit1383z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2249z00,
		BGl_z62tailposzd2ev_unwindzd2pr1385z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2133z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2133za700za7za7_2250za7, "tailpos", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2251z00,
		BGl_z62tailposzd2ev_withzd2hand1387z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2134z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2134za700za7za7_2252za7, "not defined for", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2253z00,
		BGl_z62tailposzd2ev_synchroni1389zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2136z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2136za700za7za7_2254za7, "subst_goto", 10);
	      DEFINE_STRING(BGl_string2138z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2138za700za7za7_2255za7, "search-letrec", 13);
	      DEFINE_STRING(BGl_string2139z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2139za700za7za7_2256za7, "eval", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2257z00,
		BGl_z62tailposzd2ev_let1391zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2258z00,
		BGl_z62tailposzd2ev_letza21393z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2259z00,
		BGl_z62tailposzd2ev_letrec1395zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2260z00,
		BGl_z62tailposzd2ev_labels1397zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2261z00,
		BGl_z62tailposzd2ev_goto1399zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2140z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2140za700za7za7_2262za7, "internal error: not defined for",
		31);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2263z00,
		BGl_z62tailposzd2ev_app1401zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2141z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2141za700za7za7_2264za7, "&fsize", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2265z00,
		BGl_z62tailposzd2ev_abs1403zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2142z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2142za700za7za7_2266za7, "bint", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2267za7,
		BGl_z62hasvarzf3zd2ev_var1407z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2143z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2143za700za7za7_2268za7, "&search-letrec", 14);
	      DEFINE_STRING(BGl_string2144z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2144za700za7za7_2269za7, "&subst_goto", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2270za7,
		BGl_z62hasvarzf3zd2ev_global1409z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2145z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2145za700za7za7_2271za7, "&tailpos", 8);
	      DEFINE_STRING(BGl_string2146z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2146za700za7za7_2272za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2147z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2147za700za7za7_2273za7, "&hasvar?", 8);
	      DEFINE_STRING(BGl_string2149z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2149za700za7za7_2274za7, "fsize::int", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2275za7,
		BGl_z62hasvarzf3zd2ev_litt1411z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2276za7,
		BGl_z62hasvarzf3zd2ev_if1413z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2277za7,
		BGl_z62hasvarzf3zd2ev_list1415z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2278za7,
		BGl_z62hasvarzf3zd2ev_prog21417z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2279za7,
		BGl_z62hasvarzf3zd2ev_hook1419z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2280za7,
		BGl_z62hasvarzf3zd2ev_setlocal1421z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2281za7,
		BGl_z62hasvarzf3zd2ev_bindzd2exit1423z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2282za7,
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1425z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2283za7,
		BGl_z62hasvarzf3zd2ev_withzd2hand1427z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2284za7,
		BGl_z62hasvarzf3zd2ev_synchroni1429z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2285za7,
		BGl_z62hasvarzf3zd2ev_binder1431z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2286za7,
		BGl_z62hasvarzf3zd2ev_labels1433z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2287za7,
		BGl_z62hasvarzf3zd2ev_goto1435z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2288za7,
		BGl_z62hasvarzf3zd2ev_app1437z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2289za7,
		BGl_z62hasvarzf3zd2ev_abs1439z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za791za72290z00,
		BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7622291z00,
		BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7e1260za7c2292za7,
		BGl_z62fsiza7e1260zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2293z00,
		BGl_z62searchzd2letrec1298zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_goto1332294za7,
		BGl_z62subst_goto1330z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailpos1364za762295z00,
		BGl_z62tailpos1364z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f314042296z00,
		BGl_z62hasvarzf31404z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2218z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2218za700za7za7_2297za7, "hasvar?", 7);
	      DEFINE_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2235za700za7za7_2298za7, "__evaluate_fsize", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2299za7,
		BGl_z62fsiza7ezd2ev_var1263z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2300za7,
		BGl_z62fsiza7ezd2ev_global1265z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2301za7,
		BGl_z62fsiza7ezd2ev_litt1267z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2302za7,
		BGl_z62fsiza7ezd2ev_if1269z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2303za7,
		BGl_z62fsiza7ezd2ev_list1271z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2304za7,
		BGl_z62fsiza7ezd2ev_prog21273z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2305za7,
		BGl_z62fsiza7ezd2ev_hook1275z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2306za7,
		BGl_z62fsiza7ezd2ev_bindzd2exit1277zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2307za7,
		BGl_z62fsiza7ezd2ev_unwindzd2prot1279zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2308za7,
		BGl_z62fsiza7ezd2ev_withzd2handle1281zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2309za7,
		BGl_z62fsiza7ezd2ev_synchroniza7e1283zb0zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2310za7,
		BGl_z62fsiza7ezd2ev_let1285z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2311za7,
		BGl_z62fsiza7ezd2ev_letza21287zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2312za7,
		BGl_z62fsiza7ezd2ev_letrec1289z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2313za7,
		BGl_z62fsiza7ezd2ev_labels1291z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2314za7,
		BGl_z62fsiza7ezd2ev_goto1293z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2315za7,
		BGl_z62fsiza7ezd2ev_app1295z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2316za7,
		BGl_z62fsiza7ezd2ev_abs1297z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2317z00,
		BGl_z62searchzd2letreczd2ev_var1301z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2318z00,
		BGl_z62searchzd2letreczd2ev_glo1303z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2319z00,
		BGl_z62searchzd2letreczd2ev_lit1305z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza762za7za7_2320z00,
		BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2321z00,
		BGl_z62searchzd2letreczd2ev_if1307z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2322z00,
		BGl_z62searchzd2letreczd2ev_lis1309z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2323z00,
		BGl_z62searchzd2letreczd2ev_pro1311z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2324z00,
		BGl_z62searchzd2letreczd2ev_hoo1313z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2325z00,
		BGl_z62searchzd2letreczd2ev_bin1315z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2326z00,
		BGl_z62searchzd2letreczd2ev_unw1317z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2327z00,
		BGl_z62searchzd2letreczd2ev_wit1319z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2328z00,
		BGl_z62searchzd2letreczd2ev_syn1321z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2329z00,
		BGl_z62searchzd2letreczd2ev_bin1323z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2330z00,
		BGl_z62searchzd2letreczd2ev_let1325z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2331z00,
		BGl_z62searchzd2letreczd2ev_app1327z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2332z00,
		BGl_z62searchzd2letreczd2ev_abs1329z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22333z00,
		BGl_z62subst_gotozd2ev_var1333zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22334z00,
		BGl_z62subst_gotozd2ev_global1335zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22335z00,
		BGl_z62subst_gotozd2ev_litt1337zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22336z00,
		BGl_z62subst_gotozd2ev_if1339zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22337z00,
		BGl_z62subst_gotozd2ev_list1341zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22338z00,
		BGl_z62subst_gotozd2ev_prog21343zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22339z00,
		BGl_z62subst_gotozd2ev_hook1345zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22340z00,
		BGl_z62subst_gotozd2ev_bindzd2e1347z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22341z00,
		BGl_z62subst_gotozd2ev_unwind1349zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22342z00,
		BGl_z62subst_gotozd2ev_withzd2h1351z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22343z00,
		BGl_z62subst_gotozd2ev_synchr1353zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22344z00,
		BGl_z62subst_gotozd2ev_binder1355zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22345z00,
		BGl_z62subst_gotozd2ev_labels1357zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22346z00,
		BGl_z62subst_gotozd2ev_goto1359zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22347z00,
		BGl_z62subst_gotozd2ev_app1361zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22348z00,
		BGl_z62subst_gotozd2ev_abs1363zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2349z00,
		BGl_z62tailposzd2ev_var1367zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2350z00,
		BGl_z62tailposzd2ev_global1369zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7,
		BgL_bgl_za762frameza7d2siza7a72351za7,
		BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7c5za7za7_2352za7,
		BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2353z00,
		BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762extractza7d2loo2354z00,
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2116z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2116za700za7za7_2355za7,
		"/tmp/bigloo/runtime/Eval/evaluate_fsize.scm", 43);
	      DEFINE_STRING(BGl_string2117z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2117za700za7za7_2356za7, "&frame-size", 11);
	      DEFINE_STRING(BGl_string2118z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2118za700za7za7_2357za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2119z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2119za700za7za7_2358za7, "&extract-loops", 14);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long
		BgL_checksumz00_3577, char *BgL_fromz00_3578)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
					BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_symbol2130z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2129z00zz__evaluate_fsiza7eza7);
			BGl_symbol2132z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_symbol2135z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2136z00zz__evaluate_fsiza7eza7);
			return (BGl_symbol2137z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2138z00zz__evaluate_fsiza7eza7), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* frame-size */
	BGL_EXPORTED_DEF int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			return
				BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, (int) (((long) 0)));
		}
	}



/* &frame-size */
	obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3136,
		obj_t BgL_ez00_3137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			{	/* Eval/evaluate_fsize.scm 66 */
				int BgL_auxz00_3592;

				{	/* Eval/evaluate_fsize.scm 66 */
					BgL_ev_exprz00_bglt BgL_auxz00_3593;

					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3137,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 66 */
							BgL_auxz00_3593 = ((BgL_ev_exprz00_bglt) BgL_ez00_3137);
						}
					else
						{
							obj_t BgL_auxz00_3597;

							BgL_auxz00_3597 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2116z00zz__evaluate_fsiza7eza7, BINT(((long) 1965)),
								BGl_string2117z00zz__evaluate_fsiza7eza7,
								BGl_string2118z00zz__evaluate_fsiza7eza7, BgL_ez00_3137);
							FAILURE(BgL_auxz00_3597, BFALSE, BFALSE);
						}
					BgL_auxz00_3592 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_3593);
				}
				return BINT(BgL_auxz00_3592);
			}
		}
	}



/* extract-loops */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_42)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 167 */
			return
				((BgL_ev_exprz00_bglt)
				BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_42));
		}
	}



/* &extract-loops */
	BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3138, obj_t BgL_ez00_3139)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 167 */
			{	/* Eval/evaluate_fsize.scm 169 */
				BgL_ev_exprz00_bglt BgL_ez00_3545;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3139,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 169 */
						BgL_ez00_3545 = ((BgL_ev_exprz00_bglt) BgL_ez00_3139);
					}
				else
					{
						obj_t BgL_auxz00_3608;

						BgL_auxz00_3608 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2116z00zz__evaluate_fsiza7eza7, BINT(((long) 5040)),
							BGl_string2119z00zz__evaluate_fsiza7eza7,
							BGl_string2118z00zz__evaluate_fsiza7eza7, BgL_ez00_3139);
						FAILURE(BgL_auxz00_3608, BFALSE, BFALSE);
					}
				return
					((BgL_ev_exprz00_bglt)
					BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_3545));
			}
		}
	}



/* search-letrec* */
	bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 172 */
			{
				obj_t BgL_lz00_825;

				BgL_lz00_825 = BgL_lz00_43;
			BgL_zc3anonymousza31473ze3z83_826:
				if (NULLP(BgL_lz00_825))
					{	/* Eval/evaluate_fsize.scm 174 */
						return ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 174 */
						{	/* Eval/evaluate_fsize.scm 175 */
							obj_t BgL_arg1476z00_828;

							{	/* Eval/evaluate_fsize.scm 175 */
								obj_t BgL_arg1477z00_829;

								BgL_arg1477z00_829 = CAR(BgL_lz00_825);
								BgL_arg1476z00_828 =
									BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg1477z00_829));
							}
							SET_CAR(BgL_lz00_825, BgL_arg1476z00_828);
						}
						{
							obj_t BgL_lz00_3620;

							BgL_lz00_3620 = CDR(BgL_lz00_825);
							BgL_lz00_825 = BgL_lz00_3620;
							goto BgL_zc3anonymousza31473ze3z83_826;
						}
					}
			}
		}
	}



/* modify-letrec */
	BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t
		BgL_varsz00_60, obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 268 */
			{	/* Eval/evaluate_fsize.scm 269 */
				BgL_ev_labelsz00_bglt BgL_rz00_832;

				{	/* Eval/evaluate_fsize.scm 269 */
					BgL_ev_labelsz00_bglt BgL_new1093z00_851;

					{	/* Eval/evaluate_fsize.scm 269 */
						BgL_ev_labelsz00_bglt BgL_new1092z00_855;

						BgL_new1092z00_855 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_fsize.scm 269 */
							long BgL_arg1489z00_856;

							{	/* Eval/evaluate_fsize.scm 269 */
								long BgL_res1954z00_2079;

								BgL_res1954z00_2079 =
									BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
								BgL_arg1489z00_856 = BgL_res1954z00_2079;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1092z00_855), BgL_arg1489z00_856);
						}
						{	/* Eval/evaluate_fsize.scm 269 */
							BgL_objectz00_bglt BgL_auxz00_3626;

							BgL_auxz00_3626 = ((BgL_objectz00_bglt) BgL_new1092z00_855);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3626, BFALSE);
						}
						BgL_new1093z00_851 = BgL_new1092z00_855;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_851))->BgL_varsz00) =
						((obj_t) BgL_varsz00_60), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_851))->BgL_valsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_851))->BgL_envz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_851))->BgL_stkz00) =
						((obj_t) BNIL), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_3633;

						{	/* Eval/evaluate_fsize.scm 270 */
							BgL_ev_littz00_bglt BgL_new1095z00_852;

							{	/* Eval/evaluate_fsize.scm 270 */
								BgL_ev_littz00_bglt BgL_new1094z00_853;

								BgL_new1094z00_853 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate_fsize.scm 270 */
									long BgL_arg1488z00_854;

									{	/* Eval/evaluate_fsize.scm 270 */
										long BgL_res1955z00_2083;

										{	/* Eval/evaluate_fsize.scm 270 */
											obj_t BgL_classz00_2082;

											BgL_classz00_2082 = BGl_ev_littz00zz__evaluate_typesz00;
											BgL_res1955z00_2083 = BGL_CLASS_INDEX(BgL_classz00_2082);
										}
										BgL_arg1488z00_854 = BgL_res1955z00_2083;
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1094z00_853),
										BgL_arg1488z00_854);
								}
								{	/* Eval/evaluate_fsize.scm 270 */
									BgL_objectz00_bglt BgL_auxz00_3638;

									BgL_auxz00_3638 = ((BgL_objectz00_bglt) BgL_new1094z00_853);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3638, BFALSE);
								}
								BgL_new1095z00_852 = BgL_new1094z00_853;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1095z00_852))->
									BgL_valuez00) = ((obj_t) BINT(((long) 0))), BUNSPEC);
							BgL_auxz00_3633 = ((BgL_ev_exprz00_bglt) BgL_new1095z00_852);
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_851))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_3633), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_851))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_rz00_832 = BgL_new1093z00_851;
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_832))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62,
								BgL_varsz00_60, ((obj_t) BgL_rz00_832)))), BUNSPEC);
				{
					obj_t BgL_auxz00_3650;

					if (NULLP(BgL_valsz00_61))
						{	/* Eval/evaluate_fsize.scm 273 */
							BgL_auxz00_3650 = BNIL;
						}
					else
						{	/* Eval/evaluate_fsize.scm 273 */
							obj_t BgL_head1197z00_836;

							{	/* Eval/evaluate_fsize.scm 273 */
								obj_t BgL_res1957z00_2090;

								BgL_res1957z00_2090 = MAKE_PAIR(BNIL, BNIL);
								BgL_head1197z00_836 = BgL_res1957z00_2090;
							}
							{
								obj_t BgL_l1195z00_838;
								obj_t BgL_tail1198z00_839;

								BgL_l1195z00_838 = BgL_valsz00_61;
								BgL_tail1198z00_839 = BgL_head1197z00_836;
							BgL_zc3anonymousza31480ze3z83_840:
								if (NULLP(BgL_l1195z00_838))
									{	/* Eval/evaluate_fsize.scm 273 */
										BgL_auxz00_3650 = CDR(BgL_head1197z00_836);
									}
								else
									{	/* Eval/evaluate_fsize.scm 273 */
										obj_t BgL_newtail1199z00_842;

										{	/* Eval/evaluate_fsize.scm 273 */
											obj_t BgL_arg1484z00_844;

											{	/* Eval/evaluate_fsize.scm 273 */
												obj_t BgL_valz00_845;

												BgL_valz00_845 = CAR(BgL_l1195z00_838);
												{	/* Eval/evaluate_fsize.scm 275 */
													obj_t BgL_arg1485z00_847;
													obj_t BgL_arg1486z00_848;

													BgL_arg1485z00_847 =
														(((BgL_ev_absz00_bglt) CREF(
																((BgL_ev_absz00_bglt) BgL_valz00_845)))->
														BgL_varsz00);
													{	/* Eval/evaluate_fsize.scm 275 */
														BgL_ev_exprz00_bglt BgL_arg1487z00_849;

														BgL_arg1487z00_849 =
															(((BgL_ev_absz00_bglt) CREF(
																	((BgL_ev_absz00_bglt) BgL_valz00_845)))->
															BgL_bodyz00);
														BgL_arg1486z00_848 =
															BGl_subst_gotoz00zz__evaluate_fsiza7eza7
															(BgL_arg1487z00_849, BgL_varsz00_60,
															((obj_t) BgL_rz00_832));
													}
													BgL_arg1484z00_844 =
														MAKE_PAIR(BgL_arg1485z00_847, BgL_arg1486z00_848);
												}
											}
											{	/* Eval/evaluate_fsize.scm 273 */
												obj_t BgL_res1959z00_2097;

												BgL_res1959z00_2097 =
													MAKE_PAIR(BgL_arg1484z00_844, BNIL);
												BgL_newtail1199z00_842 = BgL_res1959z00_2097;
											}
										}
										SET_CDR(BgL_tail1198z00_839, BgL_newtail1199z00_842);
										{	/* Eval/evaluate_fsize.scm 273 */
											obj_t BgL_arg1483z00_843;

											BgL_arg1483z00_843 = CDR(BgL_l1195z00_838);
											{
												obj_t BgL_tail1198z00_3669;
												obj_t BgL_l1195z00_3668;

												BgL_l1195z00_3668 = BgL_arg1483z00_843;
												BgL_tail1198z00_3669 = BgL_newtail1199z00_842;
												BgL_tail1198z00_839 = BgL_tail1198z00_3669;
												BgL_l1195z00_838 = BgL_l1195z00_3668;
												goto BgL_zc3anonymousza31480ze3z83_840;
											}
										}
									}
							}
						}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_832))->BgL_valsz00) =
						((obj_t) BgL_auxz00_3650), BUNSPEC);
				}
				return BgL_rz00_832;
			}
		}
	}



/* letrectail? */
	bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_63,
		obj_t BgL_valsz00_64, BgL_ev_exprz00_bglt BgL_bodyz00_65)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 279 */
			{
				obj_t BgL_l1203z00_858;

				BgL_l1203z00_858 = BgL_varsz00_63;
			BgL_zc3anonymousza31490ze3z83_859:
				if (NULLP(BgL_l1203z00_858))
					{	/* Eval/evaluate_fsize.scm 280 */
						return ((bool_t) 1);
					}
				else
					{	/* Eval/evaluate_fsize.scm 280 */
						bool_t BgL_testz00_3673;

						{	/* Eval/evaluate_fsize.scm 281 */
							obj_t BgL_vz00_864;

							BgL_vz00_864 = CAR(BgL_l1203z00_858);
							{	/* Eval/evaluate_fsize.scm 281 */
								obj_t BgL__andtest_1098z00_865;

								BgL__andtest_1098z00_865 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_65,
									((BgL_ev_varz00_bglt) BgL_vz00_864));
								if (CBOOL(BgL__andtest_1098z00_865))
									{
										obj_t BgL_l1200z00_867;

										BgL_l1200z00_867 = BgL_valsz00_64;
									BgL_zc3anonymousza31493ze3z83_868:
										if (NULLP(BgL_l1200z00_867))
											{	/* Eval/evaluate_fsize.scm 282 */
												BgL_testz00_3673 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_fsize.scm 283 */
												obj_t BgL_nvz00_870;

												{	/* Eval/evaluate_fsize.scm 283 */
													obj_t BgL_ez00_873;

													BgL_ez00_873 = CAR(BgL_l1200z00_867);
													if (BGl_isazf3zf3zz__objectz00(BgL_ez00_873,
															BGl_ev_absz00zz__evaluate_typesz00))
														{	/* Eval/evaluate_fsize.scm 283 */
															if (
																((long) CINT(
																		(((BgL_ev_absz00_bglt) CREF(
																					((BgL_ev_absz00_bglt)
																						BgL_ez00_873)))->BgL_arityz00)) >=
																	((long) 0)))
																{	/* Eval/evaluate_fsize.scm 286 */
																	BgL_ev_exprz00_bglt BgL_arg1501z00_877;

																	BgL_arg1501z00_877 =
																		(((BgL_ev_absz00_bglt) CREF(
																				((BgL_ev_absz00_bglt) BgL_ez00_873)))->
																		BgL_bodyz00);
																	BgL_nvz00_870 =
																		BGl_tailposz00zz__evaluate_fsiza7eza7
																		(BgL_arg1501z00_877,
																		((BgL_ev_varz00_bglt) BgL_vz00_864));
																}
															else
																{	/* Eval/evaluate_fsize.scm 285 */
																	BgL_nvz00_870 = BFALSE;
																}
														}
													else
														{	/* Eval/evaluate_fsize.scm 283 */
															BgL_nvz00_870 = BFALSE;
														}
												}
												if (CBOOL(BgL_nvz00_870))
													{
														obj_t BgL_l1200z00_3695;

														BgL_l1200z00_3695 = CDR(BgL_l1200z00_867);
														BgL_l1200z00_867 = BgL_l1200z00_3695;
														goto BgL_zc3anonymousza31493ze3z83_868;
													}
												else
													{	/* Eval/evaluate_fsize.scm 282 */
														BgL_testz00_3673 = ((bool_t) 0);
													}
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 281 */
										BgL_testz00_3673 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_3673)
							{
								obj_t BgL_l1203z00_3697;

								BgL_l1203z00_3697 = CDR(BgL_l1203z00_858);
								BgL_l1203z00_858 = BgL_l1203z00_3697;
								goto BgL_zc3anonymousza31490ze3z83_859;
							}
						else
							{	/* Eval/evaluate_fsize.scm 280 */
								return ((bool_t) 0);
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_proc2120z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2121z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_proc2122z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2123z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2124z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2125z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2126z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_proc2128z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2129z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?1404 */
	obj_t BGl_z62hasvarzf31404z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3145,
		obj_t BgL_ez00_3146, obj_t BgL_vz00_3147)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 482 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_910;
				BgL_ev_varz00_bglt BgL_vz00_911;

				BgL_ez00_910 = ((BgL_ev_exprz00_bglt) BgL_ez00_3146);
				BgL_vz00_911 = ((BgL_ev_varz00_bglt) BgL_vz00_3147);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2130z00zz__evaluate_fsiza7eza7,
					BGl_string2131z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_910));
			}
		}
	}



/* &tailpos1364 */
	obj_t BGl_z62tailpos1364z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3148,
		obj_t BgL_ez00_3149, obj_t BgL_vz00_3150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 394 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_905;
				BgL_ev_varz00_bglt BgL_vz00_906;

				BgL_ez00_905 = ((BgL_ev_exprz00_bglt) BgL_ez00_3149);
				BgL_vz00_906 = ((BgL_ev_varz00_bglt) BgL_vz00_3150);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2132z00zz__evaluate_fsiza7eza7,
					BGl_string2134z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_905));
			}
		}
	}



/* &subst_goto1330 */
	obj_t BGl_z62subst_goto1330z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3151,
		obj_t BgL_ez00_3152, obj_t BgL_varsz00_3153, obj_t BgL_lblsz00_3154)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 298 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2135z00zz__evaluate_fsiza7eza7,
				BGl_string2134z00zz__evaluate_fsiza7eza7,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_3152)));
		}
	}



/* &search-letrec1298 */
	obj_t BGl_z62searchzd2letrec1298zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3155, obj_t BgL_ez00_3156)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_895;

				BgL_ez00_895 = ((BgL_ev_exprz00_bglt) BgL_ez00_3156);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2137z00zz__evaluate_fsiza7eza7,
					BGl_string2134z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_895));
			}
		}
	}



/* &fsize1260 */
	obj_t BGl_z62fsiza7e1260zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3157,
		obj_t BgL_ez00_3158, obj_t BgL_nz00_3159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_890;
				int BgL_nz00_891;

				BgL_ez00_890 = ((BgL_ev_exprz00_bglt) BgL_ez00_3158);
				BgL_nz00_891 = CINT(BgL_nz00_3159);
				return
					BGl_errorz00zz__errorz00(BGl_string2139z00zz__evaluate_fsiza7eza7,
					BGl_string2140z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_890));
			}
		}
	}



/* fsize */
	int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4,
		int BgL_nz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				obj_t BgL_method1261z00_914;

				{	/* Eval/evaluate_fsize.scm 68 */
					obj_t BgL_res1970z00_2152;

					{	/* Eval/evaluate_fsize.scm 68 */
						long BgL_objzd2classzd2numz00_2125;

						{	/* Eval/evaluate_fsize.scm 68 */
							long BgL_res1964z00_2128;

							BgL_res1964z00_2128 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_4));
							BgL_objzd2classzd2numz00_2125 = BgL_res1964z00_2128;
						}
						{	/* Eval/evaluate_fsize.scm 68 */
							obj_t BgL_arg1947z00_2126;

							BgL_arg1947z00_2126 =
								PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 68 */
								int BgL_offsetz00_2130;

								BgL_offsetz00_2130 = (int) (BgL_objzd2classzd2numz00_2125);
								{	/* Eval/evaluate_fsize.scm 68 */
									long BgL_offsetz00_2131;

									BgL_offsetz00_2131 =
										((long) (BgL_offsetz00_2130) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 68 */
										long BgL_modz00_2132;

										{	/* Eval/evaluate_fsize.scm 68 */
											int BgL_arg1949z00_2133;

											BgL_arg1949z00_2133 = (int) (((long) 16));
											{	/* Eval/evaluate_fsize.scm 68 */
												long BgL_res1967z00_2143;

												{	/* Eval/evaluate_fsize.scm 68 */
													long BgL_auxz00_3730;

													BgL_auxz00_3730 = (long) (BgL_arg1949z00_2133);
													BgL_res1967z00_2143 =
														(BgL_offsetz00_2131 / BgL_auxz00_3730);
												}
												BgL_modz00_2132 = BgL_res1967z00_2143;
										}}
										{	/* Eval/evaluate_fsize.scm 68 */
											long BgL_restz00_2134;

											{	/* Eval/evaluate_fsize.scm 68 */
												int BgL_arg1948z00_2135;

												BgL_arg1948z00_2135 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 68 */
													long BgL_res1969z00_2147;

													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_auxz00_3734;

														BgL_auxz00_3734 = (long) (BgL_arg1948z00_2135);
														BgL_res1969z00_2147 =
															(BgL_offsetz00_2131 % BgL_auxz00_3734);
													}
													BgL_restz00_2134 = BgL_res1969z00_2147;
											}}
											{	/* Eval/evaluate_fsize.scm 68 */

												BgL_res1970z00_2152 =
													VECTOR_REF(VECTOR_REF(BgL_arg1947z00_2126,
														(int) (BgL_modz00_2132)), (int) (BgL_restz00_2134));
					}}}}}}}
					BgL_method1261z00_914 = BgL_res1970z00_2152;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1261z00_914) (BgL_method1261z00_914,
						((obj_t) BgL_ez00_4), BINT(BgL_nz00_5), BEOA));
			}
		}
	}



/* &fsize */
	obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3160,
		obj_t BgL_ez00_3161, obj_t BgL_nz00_3162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				int BgL_auxz00_3749;

				{	/* Eval/evaluate_fsize.scm 68 */
					int BgL_auxz00_3758;
					BgL_ev_exprz00_bglt BgL_auxz00_3750;

					{	/* Eval/evaluate_fsize.scm 68 */
						obj_t BgL_auxz00_3759;

						if (INTEGERP(BgL_nz00_3162))
							{	/* Eval/evaluate_fsize.scm 68 */
								BgL_auxz00_3759 = BgL_nz00_3162;
							}
						else
							{
								obj_t BgL_auxz00_3762;

								BgL_auxz00_3762 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string2116z00zz__evaluate_fsiza7eza7,
									BINT(((long) 1980)), BGl_string2141z00zz__evaluate_fsiza7eza7,
									BGl_string2142z00zz__evaluate_fsiza7eza7, BgL_nz00_3162);
								FAILURE(BgL_auxz00_3762, BFALSE, BFALSE);
							}
						BgL_auxz00_3758 = CINT(BgL_auxz00_3759);
					}
					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3161,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 68 */
							BgL_auxz00_3750 = ((BgL_ev_exprz00_bglt) BgL_ez00_3161);
						}
					else
						{
							obj_t BgL_auxz00_3754;

							BgL_auxz00_3754 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2116z00zz__evaluate_fsiza7eza7, BINT(((long) 1980)),
								BGl_string2141z00zz__evaluate_fsiza7eza7,
								BGl_string2118z00zz__evaluate_fsiza7eza7, BgL_ez00_3161);
							FAILURE(BgL_auxz00_3754, BFALSE, BFALSE);
						}
					BgL_auxz00_3749 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_3750,
						BgL_auxz00_3758);
				}
				return BINT(BgL_auxz00_3749);
			}
		}
	}



/* search-letrec */
	obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_44)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			{	/* Eval/evaluate_fsize.scm 178 */
				obj_t BgL_method1299z00_915;

				{	/* Eval/evaluate_fsize.scm 178 */
					obj_t BgL_res1977z00_2181;

					{	/* Eval/evaluate_fsize.scm 178 */
						long BgL_objzd2classzd2numz00_2154;

						{	/* Eval/evaluate_fsize.scm 178 */
							long BgL_res1971z00_2157;

							BgL_res1971z00_2157 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_44));
							BgL_objzd2classzd2numz00_2154 = BgL_res1971z00_2157;
						}
						{	/* Eval/evaluate_fsize.scm 178 */
							obj_t BgL_arg1947z00_2155;

							BgL_arg1947z00_2155 =
								PROCEDURE_REF
								(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 178 */
								int BgL_offsetz00_2159;

								BgL_offsetz00_2159 = (int) (BgL_objzd2classzd2numz00_2154);
								{	/* Eval/evaluate_fsize.scm 178 */
									long BgL_offsetz00_2160;

									BgL_offsetz00_2160 =
										((long) (BgL_offsetz00_2159) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 178 */
										long BgL_modz00_2161;

										{	/* Eval/evaluate_fsize.scm 178 */
											int BgL_arg1949z00_2162;

											BgL_arg1949z00_2162 = (int) (((long) 16));
											{	/* Eval/evaluate_fsize.scm 178 */
												long BgL_res1974z00_2172;

												{	/* Eval/evaluate_fsize.scm 178 */
													long BgL_auxz00_3777;

													BgL_auxz00_3777 = (long) (BgL_arg1949z00_2162);
													BgL_res1974z00_2172 =
														(BgL_offsetz00_2160 / BgL_auxz00_3777);
												}
												BgL_modz00_2161 = BgL_res1974z00_2172;
										}}
										{	/* Eval/evaluate_fsize.scm 178 */
											long BgL_restz00_2163;

											{	/* Eval/evaluate_fsize.scm 178 */
												int BgL_arg1948z00_2164;

												BgL_arg1948z00_2164 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 178 */
													long BgL_res1976z00_2176;

													{	/* Eval/evaluate_fsize.scm 178 */
														long BgL_auxz00_3781;

														BgL_auxz00_3781 = (long) (BgL_arg1948z00_2164);
														BgL_res1976z00_2176 =
															(BgL_offsetz00_2160 % BgL_auxz00_3781);
													}
													BgL_restz00_2163 = BgL_res1976z00_2176;
											}}
											{	/* Eval/evaluate_fsize.scm 178 */

												BgL_res1977z00_2181 =
													VECTOR_REF(VECTOR_REF(BgL_arg1947z00_2155,
														(int) (BgL_modz00_2161)), (int) (BgL_restz00_2163));
					}}}}}}}
					BgL_method1299z00_915 = BgL_res1977z00_2181;
				}
				return
					PROCEDURE_ENTRY(BgL_method1299z00_915) (BgL_method1299z00_915,
					((obj_t) BgL_ez00_44), BEOA);
			}
		}
	}



/* &search-letrec */
	obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3163,
		obj_t BgL_ez00_3164)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			{	/* Eval/evaluate_fsize.scm 178 */
				BgL_ev_exprz00_bglt BgL_auxz00_3793;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3164,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 178 */
						BgL_auxz00_3793 = ((BgL_ev_exprz00_bglt) BgL_ez00_3164);
					}
				else
					{
						obj_t BgL_auxz00_3797;

						BgL_auxz00_3797 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2116z00zz__evaluate_fsiza7eza7, BINT(((long) 5204)),
							BGl_string2143z00zz__evaluate_fsiza7eza7,
							BGl_string2118z00zz__evaluate_fsiza7eza7, BgL_ez00_3164);
						FAILURE(BgL_auxz00_3797, BFALSE, BFALSE);
					}
				return BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_3793);
			}
		}
	}



/* subst_goto */
	obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_69, obj_t BgL_varsz00_70, obj_t BgL_lblsz00_71)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 298 */
			{	/* Eval/evaluate_fsize.scm 298 */
				obj_t BgL_method1331z00_916;

				{	/* Eval/evaluate_fsize.scm 298 */
					obj_t BgL_res1984z00_2210;

					{	/* Eval/evaluate_fsize.scm 298 */
						long BgL_objzd2classzd2numz00_2183;

						{	/* Eval/evaluate_fsize.scm 298 */
							long BgL_res1978z00_2186;

							BgL_res1978z00_2186 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_69));
							BgL_objzd2classzd2numz00_2183 = BgL_res1978z00_2186;
						}
						{	/* Eval/evaluate_fsize.scm 298 */
							obj_t BgL_arg1947z00_2184;

							BgL_arg1947z00_2184 =
								PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 298 */
								int BgL_offsetz00_2188;

								BgL_offsetz00_2188 = (int) (BgL_objzd2classzd2numz00_2183);
								{	/* Eval/evaluate_fsize.scm 298 */
									long BgL_offsetz00_2189;

									BgL_offsetz00_2189 =
										((long) (BgL_offsetz00_2188) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 298 */
										long BgL_modz00_2190;

										{	/* Eval/evaluate_fsize.scm 298 */
											int BgL_arg1949z00_2191;

											BgL_arg1949z00_2191 = (int) (((long) 16));
											{	/* Eval/evaluate_fsize.scm 298 */
												long BgL_res1981z00_2201;

												{	/* Eval/evaluate_fsize.scm 298 */
													long BgL_auxz00_3810;

													BgL_auxz00_3810 = (long) (BgL_arg1949z00_2191);
													BgL_res1981z00_2201 =
														(BgL_offsetz00_2189 / BgL_auxz00_3810);
												}
												BgL_modz00_2190 = BgL_res1981z00_2201;
										}}
										{	/* Eval/evaluate_fsize.scm 298 */
											long BgL_restz00_2192;

											{	/* Eval/evaluate_fsize.scm 298 */
												int BgL_arg1948z00_2193;

												BgL_arg1948z00_2193 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 298 */
													long BgL_res1983z00_2205;

													{	/* Eval/evaluate_fsize.scm 298 */
														long BgL_auxz00_3814;

														BgL_auxz00_3814 = (long) (BgL_arg1948z00_2193);
														BgL_res1983z00_2205 =
															(BgL_offsetz00_2189 % BgL_auxz00_3814);
													}
													BgL_restz00_2192 = BgL_res1983z00_2205;
											}}
											{	/* Eval/evaluate_fsize.scm 298 */

												BgL_res1984z00_2210 =
													VECTOR_REF(VECTOR_REF(BgL_arg1947z00_2184,
														(int) (BgL_modz00_2190)), (int) (BgL_restz00_2192));
					}}}}}}}
					BgL_method1331z00_916 = BgL_res1984z00_2210;
				}
				return
					PROCEDURE_ENTRY(BgL_method1331z00_916) (BgL_method1331z00_916,
					((obj_t) BgL_ez00_69), BgL_varsz00_70, BgL_lblsz00_71, BEOA);
			}
		}
	}



/* &subst_goto */
	obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3165,
		obj_t BgL_ez00_3166, obj_t BgL_varsz00_3167, obj_t BgL_lblsz00_3168)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 298 */
			{	/* Eval/evaluate_fsize.scm 298 */
				BgL_ev_exprz00_bglt BgL_auxz00_3828;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3166,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 298 */
						BgL_auxz00_3828 = ((BgL_ev_exprz00_bglt) BgL_ez00_3166);
					}
				else
					{
						obj_t BgL_auxz00_3832;

						BgL_auxz00_3832 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2116z00zz__evaluate_fsiza7eza7, BINT(((long) 8471)),
							BGl_string2144z00zz__evaluate_fsiza7eza7,
							BGl_string2118z00zz__evaluate_fsiza7eza7, BgL_ez00_3166);
						FAILURE(BgL_auxz00_3832, BFALSE, BFALSE);
					}
				return
					BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_3828,
					BgL_varsz00_3167, BgL_lblsz00_3168);
			}
		}
	}



/* tailpos */
	obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_120,
		BgL_ev_varz00_bglt BgL_vz00_121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 394 */
			{	/* Eval/evaluate_fsize.scm 394 */
				obj_t BgL_method1365z00_917;

				{	/* Eval/evaluate_fsize.scm 394 */
					obj_t BgL_res1991z00_2239;

					{	/* Eval/evaluate_fsize.scm 394 */
						long BgL_objzd2classzd2numz00_2212;

						{	/* Eval/evaluate_fsize.scm 394 */
							long BgL_res1985z00_2215;

							BgL_res1985z00_2215 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_120));
							BgL_objzd2classzd2numz00_2212 = BgL_res1985z00_2215;
						}
						{	/* Eval/evaluate_fsize.scm 394 */
							obj_t BgL_arg1947z00_2213;

							BgL_arg1947z00_2213 =
								PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 394 */
								int BgL_offsetz00_2217;

								BgL_offsetz00_2217 = (int) (BgL_objzd2classzd2numz00_2212);
								{	/* Eval/evaluate_fsize.scm 394 */
									long BgL_offsetz00_2218;

									BgL_offsetz00_2218 =
										((long) (BgL_offsetz00_2217) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 394 */
										long BgL_modz00_2219;

										{	/* Eval/evaluate_fsize.scm 394 */
											int BgL_arg1949z00_2220;

											BgL_arg1949z00_2220 = (int) (((long) 16));
											{	/* Eval/evaluate_fsize.scm 394 */
												long BgL_res1988z00_2230;

												{	/* Eval/evaluate_fsize.scm 394 */
													long BgL_auxz00_3845;

													BgL_auxz00_3845 = (long) (BgL_arg1949z00_2220);
													BgL_res1988z00_2230 =
														(BgL_offsetz00_2218 / BgL_auxz00_3845);
												}
												BgL_modz00_2219 = BgL_res1988z00_2230;
										}}
										{	/* Eval/evaluate_fsize.scm 394 */
											long BgL_restz00_2221;

											{	/* Eval/evaluate_fsize.scm 394 */
												int BgL_arg1948z00_2222;

												BgL_arg1948z00_2222 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 394 */
													long BgL_res1990z00_2234;

													{	/* Eval/evaluate_fsize.scm 394 */
														long BgL_auxz00_3849;

														BgL_auxz00_3849 = (long) (BgL_arg1948z00_2222);
														BgL_res1990z00_2234 =
															(BgL_offsetz00_2218 % BgL_auxz00_3849);
													}
													BgL_restz00_2221 = BgL_res1990z00_2234;
											}}
											{	/* Eval/evaluate_fsize.scm 394 */

												BgL_res1991z00_2239 =
													VECTOR_REF(VECTOR_REF(BgL_arg1947z00_2213,
														(int) (BgL_modz00_2219)), (int) (BgL_restz00_2221));
					}}}}}}}
					BgL_method1365z00_917 = BgL_res1991z00_2239;
				}
				return
					PROCEDURE_ENTRY(BgL_method1365z00_917) (BgL_method1365z00_917,
					((obj_t) BgL_ez00_120), ((obj_t) BgL_vz00_121), BEOA);
			}
		}
	}



/* &tailpos */
	obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3169,
		obj_t BgL_ez00_3170, obj_t BgL_vz00_3171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 394 */
			{	/* Eval/evaluate_fsize.scm 394 */
				BgL_ev_varz00_bglt BgL_auxz00_3871;
				BgL_ev_exprz00_bglt BgL_auxz00_3863;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3171,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 394 */
						BgL_auxz00_3871 = ((BgL_ev_varz00_bglt) BgL_vz00_3171);
					}
				else
					{
						obj_t BgL_auxz00_3875;

						BgL_auxz00_3875 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2116z00zz__evaluate_fsiza7eza7, BINT(((long) 11440)),
							BGl_string2145z00zz__evaluate_fsiza7eza7,
							BGl_string2146z00zz__evaluate_fsiza7eza7, BgL_vz00_3171);
						FAILURE(BgL_auxz00_3875, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3170,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 394 */
						BgL_auxz00_3863 = ((BgL_ev_exprz00_bglt) BgL_ez00_3170);
					}
				else
					{
						obj_t BgL_auxz00_3867;

						BgL_auxz00_3867 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2116z00zz__evaluate_fsiza7eza7, BINT(((long) 11440)),
							BGl_string2145z00zz__evaluate_fsiza7eza7,
							BGl_string2118z00zz__evaluate_fsiza7eza7, BgL_ez00_3170);
						FAILURE(BgL_auxz00_3867, BFALSE, BFALSE);
					}
				return
					BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_3863,
					BgL_auxz00_3871);
			}
		}
	}



/* hasvar? */
	obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_160, BgL_ev_varz00_bglt BgL_vz00_161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 482 */
			{	/* Eval/evaluate_fsize.scm 482 */
				obj_t BgL_method1405z00_918;

				{	/* Eval/evaluate_fsize.scm 482 */
					obj_t BgL_res1998z00_2268;

					{	/* Eval/evaluate_fsize.scm 482 */
						long BgL_objzd2classzd2numz00_2241;

						{	/* Eval/evaluate_fsize.scm 482 */
							long BgL_res1992z00_2244;

							BgL_res1992z00_2244 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_160));
							BgL_objzd2classzd2numz00_2241 = BgL_res1992z00_2244;
						}
						{	/* Eval/evaluate_fsize.scm 482 */
							obj_t BgL_arg1947z00_2242;

							BgL_arg1947z00_2242 =
								PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 482 */
								int BgL_offsetz00_2246;

								BgL_offsetz00_2246 = (int) (BgL_objzd2classzd2numz00_2241);
								{	/* Eval/evaluate_fsize.scm 482 */
									long BgL_offsetz00_2247;

									BgL_offsetz00_2247 =
										((long) (BgL_offsetz00_2246) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 482 */
										long BgL_modz00_2248;

										{	/* Eval/evaluate_fsize.scm 482 */
											int BgL_arg1949z00_2249;

											BgL_arg1949z00_2249 = (int) (((long) 16));
											{	/* Eval/evaluate_fsize.scm 482 */
												long BgL_res1995z00_2259;

												{	/* Eval/evaluate_fsize.scm 482 */
													long BgL_auxz00_3888;

													BgL_auxz00_3888 = (long) (BgL_arg1949z00_2249);
													BgL_res1995z00_2259 =
														(BgL_offsetz00_2247 / BgL_auxz00_3888);
												}
												BgL_modz00_2248 = BgL_res1995z00_2259;
										}}
										{	/* Eval/evaluate_fsize.scm 482 */
											long BgL_restz00_2250;

											{	/* Eval/evaluate_fsize.scm 482 */
												int BgL_arg1948z00_2251;

												BgL_arg1948z00_2251 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 482 */
													long BgL_res1997z00_2263;

													{	/* Eval/evaluate_fsize.scm 482 */
														long BgL_auxz00_3892;

														BgL_auxz00_3892 = (long) (BgL_arg1948z00_2251);
														BgL_res1997z00_2263 =
															(BgL_offsetz00_2247 % BgL_auxz00_3892);
													}
													BgL_restz00_2250 = BgL_res1997z00_2263;
											}}
											{	/* Eval/evaluate_fsize.scm 482 */

												BgL_res1998z00_2268 =
													VECTOR_REF(VECTOR_REF(BgL_arg1947z00_2242,
														(int) (BgL_modz00_2248)), (int) (BgL_restz00_2250));
					}}}}}}}
					BgL_method1405z00_918 = BgL_res1998z00_2268;
				}
				return
					PROCEDURE_ENTRY(BgL_method1405z00_918) (BgL_method1405z00_918,
					((obj_t) BgL_ez00_160), ((obj_t) BgL_vz00_161), BEOA);
			}
		}
	}



/* &hasvar? */
	obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3172,
		obj_t BgL_ez00_3173, obj_t BgL_vz00_3174)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 482 */
			{	/* Eval/evaluate_fsize.scm 482 */
				BgL_ev_varz00_bglt BgL_auxz00_3914;
				BgL_ev_exprz00_bglt BgL_auxz00_3906;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3174,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 482 */
						BgL_auxz00_3914 = ((BgL_ev_varz00_bglt) BgL_vz00_3174);
					}
				else
					{
						obj_t BgL_auxz00_3918;

						BgL_auxz00_3918 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2116z00zz__evaluate_fsiza7eza7, BINT(((long) 14360)),
							BGl_string2147z00zz__evaluate_fsiza7eza7,
							BGl_string2146z00zz__evaluate_fsiza7eza7, BgL_vz00_3174);
						FAILURE(BgL_auxz00_3918, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3173,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 482 */
						BgL_auxz00_3906 = ((BgL_ev_exprz00_bglt) BgL_ez00_3173);
					}
				else
					{
						obj_t BgL_auxz00_3910;

						BgL_auxz00_3910 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2116z00zz__evaluate_fsiza7eza7, BINT(((long) 14360)),
							BGl_string2147z00zz__evaluate_fsiza7eza7,
							BGl_string2118z00zz__evaluate_fsiza7eza7, BgL_ez00_3173);
						FAILURE(BgL_auxz00_3910, BFALSE, BFALSE);
					}
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_3906,
					BgL_auxz00_3914);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2148z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2150z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2151z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2152z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2153z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2154z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2155z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2156z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2157z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2158z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2159z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2160z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2161z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2162z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2163z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2164z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2165z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2166z00zz__evaluate_fsiza7eza7,
				BGl_string2149z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2167z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2168z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2169z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2170z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2171z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2172z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2173z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2174z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2175z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2176z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2177z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2178z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2179z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2180z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2181z00zz__evaluate_fsiza7eza7,
				BGl_string2138z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2182z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2183z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2184z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2185z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2186z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2187z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2188z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2189z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2190z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2191z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2192z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2193z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2194z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2195z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2196z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2197z00zz__evaluate_fsiza7eza7,
				BGl_string2136z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2198z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2199z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2200z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2201z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2202z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2203z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2204z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2205z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2206z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2207z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2208z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2209z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2210z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2211z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2212z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2213z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2214z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2215z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2216z00zz__evaluate_fsiza7eza7,
				BGl_string2133z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2217z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2219z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2220z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2221z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2222z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2223z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2224z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2225z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2226z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2227z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2228z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2229z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2230z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2231z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2232z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2233z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2234z00zz__evaluate_fsiza7eza7,
				BGl_string2218z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?-ev_abs1439 */
	obj_t BGl_z62hasvarzf3zd2ev_abs1439z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3260, obj_t BgL_ez00_3261, obj_t BgL_vz00_3262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 547 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1831;
				BgL_ev_varz00_bglt BgL_vz00_1832;

				BgL_ez00_1831 = ((BgL_ev_absz00_bglt) BgL_ez00_3261);
				BgL_vz00_1832 = ((BgL_ev_varz00_bglt) BgL_vz00_3262);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1831))->BgL_bodyz00),
					BgL_vz00_1832);
			}
		}
	}



/* &hasvar?-ev_app1437 */
	obj_t BGl_z62hasvarzf3zd2ev_app1437z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3263, obj_t BgL_ez00_3264, obj_t BgL_vz00_3265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 543 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1814;
				BgL_ev_varz00_bglt BgL_vz00_1815;

				BgL_ez00_1814 = ((BgL_ev_appz00_bglt) BgL_ez00_3264);
				BgL_vz00_1815 = ((BgL_ev_varz00_bglt) BgL_vz00_3265);
				{	/* Eval/evaluate_fsize.scm 545 */
					obj_t BgL__ortest_1171z00_1819;

					BgL__ortest_1171z00_1819 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1814))->BgL_funz00),
						BgL_vz00_1815);
					if (CBOOL(BgL__ortest_1171z00_1819))
						{	/* Eval/evaluate_fsize.scm 545 */
							return BgL__ortest_1171z00_1819;
						}
					else
						{	/* Eval/evaluate_fsize.scm 545 */
							obj_t BgL_g1248z00_1820;

							BgL_g1248z00_1820 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1814))->BgL_argsz00);
							{
								obj_t BgL_l1246z00_1822;

								BgL_l1246z00_1822 = BgL_g1248z00_1820;
							BgL_zc3anonymousza31773ze3z83_1823:
								if (NULLP(BgL_l1246z00_1822))
									{	/* Eval/evaluate_fsize.scm 545 */
										return BFALSE;
									}
								else
									{	/* Eval/evaluate_fsize.scm 545 */
										obj_t BgL__ortest_1249z00_1825;

										{	/* Eval/evaluate_fsize.scm 545 */
											obj_t BgL_ez00_1827;

											BgL_ez00_1827 = CAR(BgL_l1246z00_1822);
											BgL__ortest_1249z00_1825 =
												BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1827), BgL_vz00_1815);
										}
										if (CBOOL(BgL__ortest_1249z00_1825))
											{	/* Eval/evaluate_fsize.scm 545 */
												return BgL__ortest_1249z00_1825;
											}
										else
											{
												obj_t BgL_l1246z00_4024;

												BgL_l1246z00_4024 = CDR(BgL_l1246z00_1822);
												BgL_l1246z00_1822 = BgL_l1246z00_4024;
												goto BgL_zc3anonymousza31773ze3z83_1823;
											}
									}
							}
						}
				}
			}
		}
	}



/* &hasvar?-ev_goto1435 */
	obj_t BGl_z62hasvarzf3zd2ev_goto1435z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3266, obj_t BgL_ez00_3267, obj_t BgL_vz00_3268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 539 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1799;
				BgL_ev_varz00_bglt BgL_vz00_1800;

				BgL_ez00_1799 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3267);
				BgL_vz00_1800 = ((BgL_ev_varz00_bglt) BgL_vz00_3268);
				{	/* Eval/evaluate_fsize.scm 541 */
					obj_t BgL_g1244z00_1804;

					BgL_g1244z00_1804 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1799))->BgL_argsz00);
					{
						obj_t BgL_l1242z00_1806;

						BgL_l1242z00_1806 = BgL_g1244z00_1804;
					BgL_zc3anonymousza31770ze3z83_1807:
						if (NULLP(BgL_l1242z00_1806))
							{	/* Eval/evaluate_fsize.scm 541 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 541 */
								obj_t BgL__ortest_1245z00_1809;

								{	/* Eval/evaluate_fsize.scm 541 */
									obj_t BgL_ez00_1811;

									BgL_ez00_1811 = CAR(BgL_l1242z00_1806);
									BgL__ortest_1245z00_1809 =
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_ez00_1811), BgL_vz00_1800);
								}
								if (CBOOL(BgL__ortest_1245z00_1809))
									{	/* Eval/evaluate_fsize.scm 541 */
										return BgL__ortest_1245z00_1809;
									}
								else
									{
										obj_t BgL_l1242z00_4036;

										BgL_l1242z00_4036 = CDR(BgL_l1242z00_1806);
										BgL_l1242z00_1806 = BgL_l1242z00_4036;
										goto BgL_zc3anonymousza31770ze3z83_1807;
									}
							}
					}
				}
			}
		}
	}



/* &hasvar?-ev_labels1433 */
	obj_t BGl_z62hasvarzf3zd2ev_labels1433z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3269, obj_t BgL_ez00_3270, obj_t BgL_vz00_3271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 534 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1781;
				BgL_ev_varz00_bglt BgL_vz00_1782;

				BgL_ez00_1781 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3270);
				BgL_vz00_1782 = ((BgL_ev_varz00_bglt) BgL_vz00_3271);
				{	/* Eval/evaluate_fsize.scm 536 */
					obj_t BgL__ortest_1168z00_1786;

					{	/* Eval/evaluate_fsize.scm 536 */
						obj_t BgL_g1240z00_1788;

						BgL_g1240z00_1788 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1781))->BgL_valsz00);
						{
							obj_t BgL_l1238z00_1790;

							BgL_l1238z00_1790 = BgL_g1240z00_1788;
						BgL_zc3anonymousza31766ze3z83_1791:
							if (NULLP(BgL_l1238z00_1790))
								{	/* Eval/evaluate_fsize.scm 536 */
									BgL__ortest_1168z00_1786 = BFALSE;
								}
							else
								{	/* Eval/evaluate_fsize.scm 536 */
									obj_t BgL__ortest_1241z00_1793;

									{	/* Eval/evaluate_fsize.scm 536 */
										obj_t BgL_ez00_1795;

										BgL_ez00_1795 = CAR(BgL_l1238z00_1790);
										{	/* Eval/evaluate_fsize.scm 536 */
											obj_t BgL_arg1769z00_1796;

											BgL_arg1769z00_1796 = CDR(BgL_ez00_1795);
											BgL__ortest_1241z00_1793 =
												BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1769z00_1796),
												BgL_vz00_1782);
										}
									}
									if (CBOOL(BgL__ortest_1241z00_1793))
										{	/* Eval/evaluate_fsize.scm 536 */
											BgL__ortest_1168z00_1786 = BgL__ortest_1241z00_1793;
										}
									else
										{
											obj_t BgL_l1238z00_4049;

											BgL_l1238z00_4049 = CDR(BgL_l1238z00_1790);
											BgL_l1238z00_1790 = BgL_l1238z00_4049;
											goto BgL_zc3anonymousza31766ze3z83_1791;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1168z00_1786))
						{	/* Eval/evaluate_fsize.scm 536 */
							return BgL__ortest_1168z00_1786;
						}
					else
						{	/* Eval/evaluate_fsize.scm 536 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1781))->BgL_bodyz00),
								BgL_vz00_1782);
						}
				}
			}
		}
	}



/* &hasvar?-ev_binder1431 */
	obj_t BGl_z62hasvarzf3zd2ev_binder1431z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3272, obj_t BgL_ez00_3273, obj_t BgL_vz00_3274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 529 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1764;
				BgL_ev_varz00_bglt BgL_vz00_1765;

				BgL_ez00_1764 = ((BgL_ev_binderz00_bglt) BgL_ez00_3273);
				BgL_vz00_1765 = ((BgL_ev_varz00_bglt) BgL_vz00_3274);
				{	/* Eval/evaluate_fsize.scm 531 */
					obj_t BgL__ortest_1166z00_1769;

					{	/* Eval/evaluate_fsize.scm 531 */
						obj_t BgL_g1236z00_1771;

						BgL_g1236z00_1771 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1764))->BgL_valsz00);
						{
							obj_t BgL_l1234z00_1773;

							BgL_l1234z00_1773 = BgL_g1236z00_1771;
						BgL_zc3anonymousza31762ze3z83_1774:
							if (NULLP(BgL_l1234z00_1773))
								{	/* Eval/evaluate_fsize.scm 531 */
									BgL__ortest_1166z00_1769 = BFALSE;
								}
							else
								{	/* Eval/evaluate_fsize.scm 531 */
									obj_t BgL__ortest_1237z00_1776;

									{	/* Eval/evaluate_fsize.scm 531 */
										obj_t BgL_ez00_1778;

										BgL_ez00_1778 = CAR(BgL_l1234z00_1773);
										BgL__ortest_1237z00_1776 =
											BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_ez00_1778), BgL_vz00_1765);
									}
									if (CBOOL(BgL__ortest_1237z00_1776))
										{	/* Eval/evaluate_fsize.scm 531 */
											BgL__ortest_1166z00_1769 = BgL__ortest_1237z00_1776;
										}
									else
										{
											obj_t BgL_l1234z00_4065;

											BgL_l1234z00_4065 = CDR(BgL_l1234z00_1773);
											BgL_l1234z00_1773 = BgL_l1234z00_4065;
											goto BgL_zc3anonymousza31762ze3z83_1774;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1166z00_1769))
						{	/* Eval/evaluate_fsize.scm 531 */
							return BgL__ortest_1166z00_1769;
						}
					else
						{	/* Eval/evaluate_fsize.scm 531 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1764))->BgL_bodyz00),
								BgL_vz00_1765);
						}
				}
			}
		}
	}



/* &hasvar?-ev_synchroni1429 */
	obj_t BGl_z62hasvarzf3zd2ev_synchroni1429z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3275, obj_t BgL_ez00_3276, obj_t BgL_vz00_3277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 525 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1753;
				BgL_ev_varz00_bglt BgL_vz00_1754;

				BgL_ez00_1753 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3276);
				BgL_vz00_1754 = ((BgL_ev_varz00_bglt) BgL_vz00_3277);
				{	/* Eval/evaluate_fsize.scm 527 */
					obj_t BgL__ortest_1163z00_2861;

					BgL__ortest_1163z00_2861 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1753))->
							BgL_mutexz00), BgL_vz00_1754);
					if (CBOOL(BgL__ortest_1163z00_2861))
						{	/* Eval/evaluate_fsize.scm 527 */
							return BgL__ortest_1163z00_2861;
						}
					else
						{	/* Eval/evaluate_fsize.scm 527 */
							obj_t BgL__ortest_1164z00_2863;

							BgL__ortest_1164z00_2863 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1753))->
									BgL_prelockz00), BgL_vz00_1754);
							if (CBOOL(BgL__ortest_1164z00_2863))
								{	/* Eval/evaluate_fsize.scm 527 */
									return BgL__ortest_1164z00_2863;
								}
							else
								{	/* Eval/evaluate_fsize.scm 527 */
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1753))->
											BgL_bodyz00), BgL_vz00_1754);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_with-hand1427 */
	obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1427z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3278, obj_t BgL_ez00_3279, obj_t BgL_vz00_3280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 521 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1744;
				BgL_ev_varz00_bglt BgL_vz00_1745;

				BgL_ez00_1744 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3279);
				BgL_vz00_1745 = ((BgL_ev_varz00_bglt) BgL_vz00_3280);
				{	/* Eval/evaluate_fsize.scm 523 */
					obj_t BgL__ortest_1161z00_2857;

					BgL__ortest_1161z00_2857 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1744))->
							BgL_handlerz00), BgL_vz00_1745);
					if (CBOOL(BgL__ortest_1161z00_2857))
						{	/* Eval/evaluate_fsize.scm 523 */
							return BgL__ortest_1161z00_2857;
						}
					else
						{	/* Eval/evaluate_fsize.scm 523 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1744))->
									BgL_bodyz00), BgL_vz00_1745);
						}
				}
			}
		}
	}



/* &hasvar?-ev_unwind-pr1425 */
	obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1425z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3281, obj_t BgL_ez00_3282, obj_t BgL_vz00_3283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 517 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1735;
				BgL_ev_varz00_bglt BgL_vz00_1736;

				BgL_ez00_1735 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3282);
				BgL_vz00_1736 = ((BgL_ev_varz00_bglt) BgL_vz00_3283);
				{	/* Eval/evaluate_fsize.scm 519 */
					obj_t BgL__ortest_1159z00_2853;

					BgL__ortest_1159z00_2853 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1735))->BgL_ez00),
						BgL_vz00_1736);
					if (CBOOL(BgL__ortest_1159z00_2853))
						{	/* Eval/evaluate_fsize.scm 519 */
							return BgL__ortest_1159z00_2853;
						}
					else
						{	/* Eval/evaluate_fsize.scm 519 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1735))->
									BgL_bodyz00), BgL_vz00_1736);
						}
				}
			}
		}
	}



/* &hasvar?-ev_bind-exit1423 */
	obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1423z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3284, obj_t BgL_ez00_3285, obj_t BgL_vz00_3286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 513 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1728;
				BgL_ev_varz00_bglt BgL_vz00_1729;

				BgL_ez00_1728 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3285);
				BgL_vz00_1729 = ((BgL_ev_varz00_bglt) BgL_vz00_3286);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1728))->BgL_bodyz00),
					BgL_vz00_1729);
			}
		}
	}



/* &hasvar?-ev_setlocal1421 */
	obj_t BGl_z62hasvarzf3zd2ev_setlocal1421z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3287, obj_t BgL_ez00_3288, obj_t BgL_varz00_3289)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 509 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1719;
				BgL_ev_varz00_bglt BgL_varz00_1720;

				BgL_ez00_1719 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_3288);
				BgL_varz00_1720 = ((BgL_ev_varz00_bglt) BgL_varz00_3289);
				{	/* Eval/evaluate_fsize.scm 511 */
					bool_t BgL__ortest_1156z00_2847;

					BgL__ortest_1156z00_2847 =
						(
						((obj_t)
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1719))->BgL_vz00)) ==
						((obj_t) BgL_varz00_1720));
					if (BgL__ortest_1156z00_2847)
						{	/* Eval/evaluate_fsize.scm 511 */
							return BBOOL(BgL__ortest_1156z00_2847);
						}
					else
						{	/* Eval/evaluate_fsize.scm 511 */
							BgL_ev_exprz00_bglt BgL_arg1751z00_2849;

							BgL_arg1751z00_2849 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_1719)))->BgL_ez00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1751z00_2849,
								BgL_varz00_1720);
						}
				}
			}
		}
	}



/* &hasvar?-ev_hook1419 */
	obj_t BGl_z62hasvarzf3zd2ev_hook1419z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3290, obj_t BgL_ez00_3291, obj_t BgL_vz00_3292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 505 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1712;
				BgL_ev_varz00_bglt BgL_vz00_1713;

				BgL_ez00_1712 = ((BgL_ev_hookz00_bglt) BgL_ez00_3291);
				BgL_vz00_1713 = ((BgL_ev_varz00_bglt) BgL_vz00_3292);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1712))->BgL_ez00),
					BgL_vz00_1713);
			}
		}
	}



/* &hasvar?-ev_prog21417 */
	obj_t BGl_z62hasvarzf3zd2ev_prog21417z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3293, obj_t BgL_ez00_3294, obj_t BgL_vz00_3295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 501 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1703;
				BgL_ev_varz00_bglt BgL_vz00_1704;

				BgL_ez00_1703 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3294);
				BgL_vz00_1704 = ((BgL_ev_varz00_bglt) BgL_vz00_3295);
				{	/* Eval/evaluate_fsize.scm 503 */
					obj_t BgL__ortest_1153z00_2841;

					BgL__ortest_1153z00_2841 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1703))->BgL_e1z00),
						BgL_vz00_1704);
					if (CBOOL(BgL__ortest_1153z00_2841))
						{	/* Eval/evaluate_fsize.scm 503 */
							return BgL__ortest_1153z00_2841;
						}
					else
						{	/* Eval/evaluate_fsize.scm 503 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1703))->BgL_e2z00),
								BgL_vz00_1704);
						}
				}
			}
		}
	}



/* &hasvar?-ev_list1415 */
	obj_t BGl_z62hasvarzf3zd2ev_list1415z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3296, obj_t BgL_ez00_3297, obj_t BgL_vz00_3298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 497 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1688;
				BgL_ev_varz00_bglt BgL_vz00_1689;

				BgL_ez00_1688 = ((BgL_ev_listz00_bglt) BgL_ez00_3297);
				BgL_vz00_1689 = ((BgL_ev_varz00_bglt) BgL_vz00_3298);
				{	/* Eval/evaluate_fsize.scm 499 */
					obj_t BgL_g1232z00_1693;

					BgL_g1232z00_1693 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1688))->BgL_argsz00);
					{
						obj_t BgL_l1230z00_1695;

						BgL_l1230z00_1695 = BgL_g1232z00_1693;
					BgL_zc3anonymousza31745ze3z83_1696:
						if (NULLP(BgL_l1230z00_1695))
							{	/* Eval/evaluate_fsize.scm 499 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 499 */
								obj_t BgL__ortest_1233z00_1698;

								{	/* Eval/evaluate_fsize.scm 499 */
									obj_t BgL_az00_1700;

									BgL_az00_1700 = CAR(BgL_l1230z00_1695);
									BgL__ortest_1233z00_1698 =
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_az00_1700), BgL_vz00_1689);
								}
								if (CBOOL(BgL__ortest_1233z00_1698))
									{	/* Eval/evaluate_fsize.scm 499 */
										return BgL__ortest_1233z00_1698;
									}
								else
									{
										obj_t BgL_l1230z00_4136;

										BgL_l1230z00_4136 = CDR(BgL_l1230z00_1695);
										BgL_l1230z00_1695 = BgL_l1230z00_4136;
										goto BgL_zc3anonymousza31745ze3z83_1696;
									}
							}
					}
				}
			}
		}
	}



/* &hasvar?-ev_if1413 */
	obj_t BGl_z62hasvarzf3zd2ev_if1413z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3299, obj_t BgL_ez00_3300, obj_t BgL_vz00_3301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 493 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1677;
				BgL_ev_varz00_bglt BgL_vz00_1678;

				BgL_ez00_1677 = ((BgL_ev_ifz00_bglt) BgL_ez00_3300);
				BgL_vz00_1678 = ((BgL_ev_varz00_bglt) BgL_vz00_3301);
				{	/* Eval/evaluate_fsize.scm 495 */
					obj_t BgL__ortest_1149z00_2831;

					BgL__ortest_1149z00_2831 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1677))->BgL_pz00),
						BgL_vz00_1678);
					if (CBOOL(BgL__ortest_1149z00_2831))
						{	/* Eval/evaluate_fsize.scm 495 */
							return BgL__ortest_1149z00_2831;
						}
					else
						{	/* Eval/evaluate_fsize.scm 495 */
							obj_t BgL__ortest_1150z00_2833;

							BgL__ortest_1150z00_2833 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1677))->BgL_tz00),
								BgL_vz00_1678);
							if (CBOOL(BgL__ortest_1150z00_2833))
								{	/* Eval/evaluate_fsize.scm 495 */
									return BgL__ortest_1150z00_2833;
								}
							else
								{	/* Eval/evaluate_fsize.scm 495 */
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1677))->BgL_ez00),
										BgL_vz00_1678);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_litt1411 */
	obj_t BGl_z62hasvarzf3zd2ev_litt1411z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3302, obj_t BgL_ez00_3303, obj_t BgL_vz00_3304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 490 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_global1409 */
	obj_t BGl_z62hasvarzf3zd2ev_global1409z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3305, obj_t BgL_ez00_3306, obj_t BgL_vz00_3307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 487 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_var1407 */
	obj_t BGl_z62hasvarzf3zd2ev_var1407z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3308, obj_t BgL_ez00_3309, obj_t BgL_vz00_3310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 484 */
			return
				BBOOL(
				(((obj_t)
						((BgL_ev_varz00_bglt) BgL_ez00_3309)) ==
					((obj_t) ((BgL_ev_varz00_bglt) BgL_vz00_3310))));
		}
	}



/* &tailpos-ev_abs1403 */
	obj_t BGl_z62tailposzd2ev_abs1403zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3311, obj_t BgL_ez00_3312, obj_t BgL_vz00_3313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 476 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1654;
				BgL_ev_varz00_bglt BgL_vz00_1655;

				{	/* Eval/evaluate_fsize.scm 477 */
					bool_t BgL_auxz00_4160;

					BgL_ez00_1654 = ((BgL_ev_absz00_bglt) BgL_ez00_3312);
					BgL_vz00_1655 = ((BgL_ev_varz00_bglt) BgL_vz00_3313);
					{	/* Eval/evaluate_fsize.scm 478 */
						bool_t BgL_testz00_4161;

						{	/* Eval/evaluate_fsize.scm 478 */
							BgL_ev_exprz00_bglt BgL_arg1741z00_2829;

							BgL_arg1741z00_2829 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1654))->BgL_bodyz00);
							BgL_testz00_4161 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1741z00_2829, BgL_vz00_1655));
						}
						if (BgL_testz00_4161)
							{	/* Eval/evaluate_fsize.scm 478 */
								BgL_auxz00_4160 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 478 */
								BgL_auxz00_4160 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4160);
				}
			}
		}
	}



/* &tailpos-ev_app1401 */
	obj_t BGl_z62tailposzd2ev_app1401zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3314, obj_t BgL_ez00_3315, obj_t BgL_vz00_3316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 470 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1632;
				BgL_ev_varz00_bglt BgL_vz00_1633;

				{	/* Eval/evaluate_fsize.scm 471 */
					bool_t BgL_auxz00_4168;

					BgL_ez00_1632 = ((BgL_ev_appz00_bglt) BgL_ez00_3315);
					BgL_vz00_1633 = ((BgL_ev_varz00_bglt) BgL_vz00_3316);
					{	/* Eval/evaluate_fsize.scm 472 */
						bool_t BgL_testz00_4169;

						{	/* Eval/evaluate_fsize.scm 472 */
							obj_t BgL_g1228z00_1642;

							BgL_g1228z00_1642 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1632))->BgL_argsz00);
							{
								obj_t BgL_l1226z00_1644;

								BgL_l1226z00_1644 = BgL_g1228z00_1642;
							BgL_zc3anonymousza31736ze3z83_1645:
								if (NULLP(BgL_l1226z00_1644))
									{	/* Eval/evaluate_fsize.scm 472 */
										BgL_testz00_4169 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_fsize.scm 472 */
										bool_t BgL_testz00_4173;

										if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
													((BgL_ev_exprz00_bglt)
														CAR(BgL_l1226z00_1644)), BgL_vz00_1633)))
											{	/* Eval/evaluate_fsize.scm 472 */
												BgL_testz00_4173 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 472 */
												BgL_testz00_4173 = ((bool_t) 1);
											}
										if (BgL_testz00_4173)
											{
												obj_t BgL_l1226z00_4179;

												BgL_l1226z00_4179 = CDR(BgL_l1226z00_1644);
												BgL_l1226z00_1644 = BgL_l1226z00_4179;
												goto BgL_zc3anonymousza31736ze3z83_1645;
											}
										else
											{	/* Eval/evaluate_fsize.scm 472 */
												BgL_testz00_4169 = ((bool_t) 0);
											}
									}
							}
						}
						if (BgL_testz00_4169)
							{	/* Eval/evaluate_fsize.scm 473 */
								bool_t BgL__ortest_1146z00_1638;

								BgL__ortest_1146z00_1638 =
									(
									((obj_t)
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1632))->BgL_funz00)) ==
									((obj_t) BgL_vz00_1633));
								if (BgL__ortest_1146z00_1638)
									{	/* Eval/evaluate_fsize.scm 473 */
										BgL_auxz00_4168 = BgL__ortest_1146z00_1638;
									}
								else
									{	/* Eval/evaluate_fsize.scm 474 */
										bool_t BgL_testz00_4186;

										{	/* Eval/evaluate_fsize.scm 474 */
											BgL_ev_exprz00_bglt BgL_arg1734z00_1640;

											BgL_arg1734z00_1640 =
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1632))->
												BgL_funz00);
											BgL_testz00_4186 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg1734z00_1640, BgL_vz00_1633));
										}
										if (BgL_testz00_4186)
											{	/* Eval/evaluate_fsize.scm 474 */
												BgL_auxz00_4168 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 474 */
												BgL_auxz00_4168 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 472 */
								BgL_auxz00_4168 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4168);
				}
			}
		}
	}



/* &tailpos-ev_goto1399 */
	obj_t BGl_z62tailposzd2ev_goto1399zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3317, obj_t BgL_ez00_3318, obj_t BgL_vz00_3319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 466 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1615;
				BgL_ev_varz00_bglt BgL_vz00_1616;

				{	/* Eval/evaluate_fsize.scm 467 */
					bool_t BgL_auxz00_4193;

					BgL_ez00_1615 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3318);
					BgL_vz00_1616 = ((BgL_ev_varz00_bglt) BgL_vz00_3319);
					{	/* Eval/evaluate_fsize.scm 468 */
						obj_t BgL_g1224z00_1620;

						BgL_g1224z00_1620 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1615))->BgL_argsz00);
						{
							obj_t BgL_l1222z00_1622;

							BgL_l1222z00_1622 = BgL_g1224z00_1620;
						BgL_zc3anonymousza31729ze3z83_1623:
							if (NULLP(BgL_l1222z00_1622))
								{	/* Eval/evaluate_fsize.scm 468 */
									BgL_auxz00_4193 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 468 */
									bool_t BgL_testz00_4197;

									if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt)
													CAR(BgL_l1222z00_1622)), BgL_vz00_1616)))
										{	/* Eval/evaluate_fsize.scm 468 */
											BgL_testz00_4197 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 468 */
											BgL_testz00_4197 = ((bool_t) 1);
										}
									if (BgL_testz00_4197)
										{
											obj_t BgL_l1222z00_4203;

											BgL_l1222z00_4203 = CDR(BgL_l1222z00_1622);
											BgL_l1222z00_1622 = BgL_l1222z00_4203;
											goto BgL_zc3anonymousza31729ze3z83_1623;
										}
									else
										{	/* Eval/evaluate_fsize.scm 468 */
											BgL_auxz00_4193 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_4193);
				}
			}
		}
	}



/* &tailpos-ev_labels1397 */
	obj_t BGl_z62tailposzd2ev_labels1397zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3320, obj_t BgL_ez00_3321, obj_t BgL_vz00_3322)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 461 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1596;
				BgL_ev_varz00_bglt BgL_vz00_1597;

				BgL_ez00_1596 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3321);
				BgL_vz00_1597 = ((BgL_ev_varz00_bglt) BgL_vz00_3322);
				{	/* Eval/evaluate_fsize.scm 463 */
					bool_t BgL_testz00_4208;

					{	/* Eval/evaluate_fsize.scm 463 */
						obj_t BgL_g1220z00_1603;

						BgL_g1220z00_1603 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1596))->BgL_valsz00);
						{
							obj_t BgL_l1218z00_1605;

							BgL_l1218z00_1605 = BgL_g1220z00_1603;
						BgL_zc3anonymousza31725ze3z83_1606:
							if (NULLP(BgL_l1218z00_1605))
								{	/* Eval/evaluate_fsize.scm 463 */
									BgL_testz00_4208 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 463 */
									obj_t BgL_nvz00_1608;

									{	/* Eval/evaluate_fsize.scm 463 */
										obj_t BgL_ez00_1611;

										BgL_ez00_1611 = CAR(BgL_l1218z00_1605);
										{	/* Eval/evaluate_fsize.scm 463 */
											obj_t BgL_arg1728z00_1612;

											BgL_arg1728z00_1612 = CDR(BgL_ez00_1611);
											BgL_nvz00_1608 =
												BGl_tailposz00zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1728z00_1612),
												BgL_vz00_1597);
										}
									}
									if (CBOOL(BgL_nvz00_1608))
										{
											obj_t BgL_l1218z00_4218;

											BgL_l1218z00_4218 = CDR(BgL_l1218z00_1605);
											BgL_l1218z00_1605 = BgL_l1218z00_4218;
											goto BgL_zc3anonymousza31725ze3z83_1606;
										}
									else
										{	/* Eval/evaluate_fsize.scm 463 */
											BgL_testz00_4208 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4208)
						{	/* Eval/evaluate_fsize.scm 463 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1596))->BgL_bodyz00),
								BgL_vz00_1597);
						}
					else
						{	/* Eval/evaluate_fsize.scm 463 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_letrec1395 */
	obj_t BGl_z62tailposzd2ev_letrec1395zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3323, obj_t BgL_ez00_3324, obj_t BgL_vz00_3325)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 456 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1577;
				BgL_ev_varz00_bglt BgL_vz00_1578;

				BgL_ez00_1577 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3324);
				BgL_vz00_1578 = ((BgL_ev_varz00_bglt) BgL_vz00_3325);
				{	/* Eval/evaluate_fsize.scm 458 */
					bool_t BgL_testz00_4224;

					{	/* Eval/evaluate_fsize.scm 458 */
						obj_t BgL_g1216z00_1584;

						BgL_g1216z00_1584 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1577)))->BgL_valsz00);
						{
							obj_t BgL_l1214z00_1586;

							BgL_l1214z00_1586 = BgL_g1216z00_1584;
						BgL_zc3anonymousza31720ze3z83_1587:
							if (NULLP(BgL_l1214z00_1586))
								{	/* Eval/evaluate_fsize.scm 458 */
									BgL_testz00_4224 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 458 */
									bool_t BgL_testz00_4229;

									if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt)
													CAR(BgL_l1214z00_1586)), BgL_vz00_1578)))
										{	/* Eval/evaluate_fsize.scm 458 */
											BgL_testz00_4229 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 458 */
											BgL_testz00_4229 = ((bool_t) 1);
										}
									if (BgL_testz00_4229)
										{
											obj_t BgL_l1214z00_4235;

											BgL_l1214z00_4235 = CDR(BgL_l1214z00_1586);
											BgL_l1214z00_1586 = BgL_l1214z00_4235;
											goto BgL_zc3anonymousza31720ze3z83_1587;
										}
									else
										{	/* Eval/evaluate_fsize.scm 458 */
											BgL_testz00_4224 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4224)
						{	/* Eval/evaluate_fsize.scm 459 */
							BgL_ev_exprz00_bglt BgL_arg1719z00_1583;

							BgL_arg1719z00_1583 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1577)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1719z00_1583,
								BgL_vz00_1578);
						}
					else
						{	/* Eval/evaluate_fsize.scm 458 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let*1393 */
	obj_t BGl_z62tailposzd2ev_letza21393z12zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3326, obj_t BgL_ez00_3327, obj_t BgL_vz00_3328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 451 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1558;
				BgL_ev_varz00_bglt BgL_vz00_1559;

				BgL_ez00_1558 = ((BgL_ev_letza2za2_bglt) BgL_ez00_3327);
				BgL_vz00_1559 = ((BgL_ev_varz00_bglt) BgL_vz00_3328);
				{	/* Eval/evaluate_fsize.scm 453 */
					bool_t BgL_testz00_4242;

					{	/* Eval/evaluate_fsize.scm 453 */
						obj_t BgL_g1212z00_1565;

						BgL_g1212z00_1565 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1558)))->BgL_valsz00);
						{
							obj_t BgL_l1210z00_1567;

							BgL_l1210z00_1567 = BgL_g1212z00_1565;
						BgL_zc3anonymousza31715ze3z83_1568:
							if (NULLP(BgL_l1210z00_1567))
								{	/* Eval/evaluate_fsize.scm 453 */
									BgL_testz00_4242 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 453 */
									bool_t BgL_testz00_4247;

									if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt)
													CAR(BgL_l1210z00_1567)), BgL_vz00_1559)))
										{	/* Eval/evaluate_fsize.scm 453 */
											BgL_testz00_4247 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 453 */
											BgL_testz00_4247 = ((bool_t) 1);
										}
									if (BgL_testz00_4247)
										{
											obj_t BgL_l1210z00_4253;

											BgL_l1210z00_4253 = CDR(BgL_l1210z00_1567);
											BgL_l1210z00_1567 = BgL_l1210z00_4253;
											goto BgL_zc3anonymousza31715ze3z83_1568;
										}
									else
										{	/* Eval/evaluate_fsize.scm 453 */
											BgL_testz00_4242 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4242)
						{	/* Eval/evaluate_fsize.scm 454 */
							BgL_ev_exprz00_bglt BgL_arg1714z00_1564;

							BgL_arg1714z00_1564 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1558)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1714z00_1564,
								BgL_vz00_1559);
						}
					else
						{	/* Eval/evaluate_fsize.scm 453 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let1391 */
	obj_t BGl_z62tailposzd2ev_let1391zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3329, obj_t BgL_ez00_3330, obj_t BgL_vz00_3331)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 446 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1539;
				BgL_ev_varz00_bglt BgL_vz00_1540;

				BgL_ez00_1539 = ((BgL_ev_letz00_bglt) BgL_ez00_3330);
				BgL_vz00_1540 = ((BgL_ev_varz00_bglt) BgL_vz00_3331);
				{	/* Eval/evaluate_fsize.scm 448 */
					bool_t BgL_testz00_4260;

					{	/* Eval/evaluate_fsize.scm 448 */
						obj_t BgL_g1208z00_1546;

						BgL_g1208z00_1546 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1539)))->BgL_valsz00);
						{
							obj_t BgL_l1206z00_1548;

							BgL_l1206z00_1548 = BgL_g1208z00_1546;
						BgL_zc3anonymousza31710ze3z83_1549:
							if (NULLP(BgL_l1206z00_1548))
								{	/* Eval/evaluate_fsize.scm 448 */
									BgL_testz00_4260 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 448 */
									bool_t BgL_testz00_4265;

									if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt)
													CAR(BgL_l1206z00_1548)), BgL_vz00_1540)))
										{	/* Eval/evaluate_fsize.scm 448 */
											BgL_testz00_4265 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 448 */
											BgL_testz00_4265 = ((bool_t) 1);
										}
									if (BgL_testz00_4265)
										{
											obj_t BgL_l1206z00_4271;

											BgL_l1206z00_4271 = CDR(BgL_l1206z00_1548);
											BgL_l1206z00_1548 = BgL_l1206z00_4271;
											goto BgL_zc3anonymousza31710ze3z83_1549;
										}
									else
										{	/* Eval/evaluate_fsize.scm 448 */
											BgL_testz00_4260 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4260)
						{	/* Eval/evaluate_fsize.scm 449 */
							BgL_ev_exprz00_bglt BgL_arg1709z00_1545;

							BgL_arg1709z00_1545 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1539)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1709z00_1545,
								BgL_vz00_1540);
						}
					else
						{	/* Eval/evaluate_fsize.scm 448 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_synchroni1389 */
	obj_t BGl_z62tailposzd2ev_synchroni1389zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3332, obj_t BgL_ez00_3333, obj_t BgL_vz00_3334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 442 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1525;
				BgL_ev_varz00_bglt BgL_vz00_1526;

				{	/* Eval/evaluate_fsize.scm 443 */
					bool_t BgL_auxz00_4278;

					BgL_ez00_1525 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3333);
					BgL_vz00_1526 = ((BgL_ev_varz00_bglt) BgL_vz00_3334);
					{	/* Eval/evaluate_fsize.scm 444 */
						bool_t BgL_testz00_4279;

						{	/* Eval/evaluate_fsize.scm 444 */
							bool_t BgL_testz00_4280;

							{	/* Eval/evaluate_fsize.scm 444 */
								BgL_ev_exprz00_bglt BgL_arg1708z00_1537;

								BgL_arg1708z00_1537 =
									(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1525))->
									BgL_mutexz00);
								BgL_testz00_4280 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1708z00_1537, BgL_vz00_1526));
							}
							if (BgL_testz00_4280)
								{	/* Eval/evaluate_fsize.scm 444 */
									BgL_testz00_4279 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 444 */
									BgL_testz00_4279 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4279)
							{	/* Eval/evaluate_fsize.scm 444 */
								bool_t BgL_testz00_4284;

								{	/* Eval/evaluate_fsize.scm 444 */
									bool_t BgL_testz00_4285;

									{	/* Eval/evaluate_fsize.scm 444 */
										BgL_ev_exprz00_bglt BgL_arg1706z00_1535;

										BgL_arg1706z00_1535 =
											(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1525))->
											BgL_prelockz00);
										BgL_testz00_4285 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
											(BgL_arg1706z00_1535, BgL_vz00_1526));
									}
									if (BgL_testz00_4285)
										{	/* Eval/evaluate_fsize.scm 444 */
											BgL_testz00_4284 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 444 */
											BgL_testz00_4284 = ((bool_t) 1);
										}
								}
								if (BgL_testz00_4284)
									{	/* Eval/evaluate_fsize.scm 444 */
										bool_t BgL_testz00_4289;

										{	/* Eval/evaluate_fsize.scm 444 */
											BgL_ev_exprz00_bglt BgL_arg1704z00_1533;

											BgL_arg1704z00_1533 =
												(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1525))->
												BgL_bodyz00);
											BgL_testz00_4289 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg1704z00_1533, BgL_vz00_1526));
										}
										if (BgL_testz00_4289)
											{	/* Eval/evaluate_fsize.scm 444 */
												BgL_auxz00_4278 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 444 */
												BgL_auxz00_4278 = ((bool_t) 1);
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 444 */
										BgL_auxz00_4278 = ((bool_t) 0);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 444 */
								BgL_auxz00_4278 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4278);
				}
			}
		}
	}



/* &tailpos-ev_with-hand1387 */
	obj_t BGl_z62tailposzd2ev_withzd2hand1387z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3335, obj_t BgL_ez00_3336, obj_t BgL_vz00_3337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 438 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1514;
				BgL_ev_varz00_bglt BgL_vz00_1515;

				{	/* Eval/evaluate_fsize.scm 439 */
					bool_t BgL_auxz00_4296;

					BgL_ez00_1514 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3336);
					BgL_vz00_1515 = ((BgL_ev_varz00_bglt) BgL_vz00_3337);
					{	/* Eval/evaluate_fsize.scm 440 */
						bool_t BgL_testz00_4297;

						{	/* Eval/evaluate_fsize.scm 440 */
							bool_t BgL_testz00_4298;

							{	/* Eval/evaluate_fsize.scm 440 */
								BgL_ev_exprz00_bglt BgL_arg1702z00_2799;

								BgL_arg1702z00_2799 =
									(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1514))->
									BgL_handlerz00);
								BgL_testz00_4298 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1702z00_2799, BgL_vz00_1515));
							}
							if (BgL_testz00_4298)
								{	/* Eval/evaluate_fsize.scm 440 */
									BgL_testz00_4297 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 440 */
									BgL_testz00_4297 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4297)
							{	/* Eval/evaluate_fsize.scm 440 */
								bool_t BgL_testz00_4302;

								{	/* Eval/evaluate_fsize.scm 440 */
									BgL_ev_exprz00_bglt BgL_arg1700z00_2801;

									BgL_arg1700z00_2801 =
										(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1514))->
										BgL_bodyz00);
									BgL_testz00_4302 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1700z00_2801, BgL_vz00_1515));
								}
								if (BgL_testz00_4302)
									{	/* Eval/evaluate_fsize.scm 440 */
										BgL_auxz00_4296 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 440 */
										BgL_auxz00_4296 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 440 */
								BgL_auxz00_4296 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4296);
				}
			}
		}
	}



/* &tailpos-ev_unwind-pr1385 */
	obj_t BGl_z62tailposzd2ev_unwindzd2pr1385z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3338, obj_t BgL_ez00_3339, obj_t BgL_vz00_3340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 434 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1503;
				BgL_ev_varz00_bglt BgL_vz00_1504;

				{	/* Eval/evaluate_fsize.scm 435 */
					bool_t BgL_auxz00_4309;

					BgL_ez00_1503 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3339);
					BgL_vz00_1504 = ((BgL_ev_varz00_bglt) BgL_vz00_3340);
					{	/* Eval/evaluate_fsize.scm 436 */
						bool_t BgL_testz00_4310;

						{	/* Eval/evaluate_fsize.scm 436 */
							bool_t BgL_testz00_4311;

							{	/* Eval/evaluate_fsize.scm 436 */
								BgL_ev_exprz00_bglt BgL_arg1698z00_2793;

								BgL_arg1698z00_2793 =
									(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1503))->
									BgL_ez00);
								BgL_testz00_4311 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1698z00_2793, BgL_vz00_1504));
							}
							if (BgL_testz00_4311)
								{	/* Eval/evaluate_fsize.scm 436 */
									BgL_testz00_4310 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 436 */
									BgL_testz00_4310 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4310)
							{	/* Eval/evaluate_fsize.scm 436 */
								bool_t BgL_testz00_4315;

								{	/* Eval/evaluate_fsize.scm 436 */
									BgL_ev_exprz00_bglt BgL_arg1696z00_2795;

									BgL_arg1696z00_2795 =
										(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1503))->
										BgL_bodyz00);
									BgL_testz00_4315 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1696z00_2795, BgL_vz00_1504));
								}
								if (BgL_testz00_4315)
									{	/* Eval/evaluate_fsize.scm 436 */
										BgL_auxz00_4309 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 436 */
										BgL_auxz00_4309 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 436 */
								BgL_auxz00_4309 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4309);
				}
			}
		}
	}



/* &tailpos-ev_bind-exit1383 */
	obj_t BGl_z62tailposzd2ev_bindzd2exit1383z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3341, obj_t BgL_ez00_3342, obj_t BgL_vz00_3343)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 430 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1495;
				BgL_ev_varz00_bglt BgL_vz00_1496;

				{	/* Eval/evaluate_fsize.scm 431 */
					bool_t BgL_auxz00_4322;

					BgL_ez00_1495 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3342);
					BgL_vz00_1496 = ((BgL_ev_varz00_bglt) BgL_vz00_3343);
					{	/* Eval/evaluate_fsize.scm 432 */
						bool_t BgL_testz00_4323;

						{	/* Eval/evaluate_fsize.scm 432 */
							BgL_ev_exprz00_bglt BgL_arg1693z00_2789;

							BgL_arg1693z00_2789 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1495))->
								BgL_bodyz00);
							BgL_testz00_4323 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1693z00_2789, BgL_vz00_1496));
						}
						if (BgL_testz00_4323)
							{	/* Eval/evaluate_fsize.scm 432 */
								BgL_auxz00_4322 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 432 */
								BgL_auxz00_4322 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4322);
				}
			}
		}
	}



/* &tailpos-ev_setlocal1381 */
	obj_t BGl_z62tailposzd2ev_setlocal1381zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3344, obj_t BgL_ez00_3345, obj_t BgL_varz00_3346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 426 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1484;
				BgL_ev_varz00_bglt BgL_varz00_1485;

				{	/* Eval/evaluate_fsize.scm 427 */
					bool_t BgL_auxz00_4330;

					BgL_ez00_1484 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_3345);
					BgL_varz00_1485 = ((BgL_ev_varz00_bglt) BgL_varz00_3346);
					{	/* Eval/evaluate_fsize.scm 428 */
						bool_t BgL_testz00_4331;

						if (
							(((obj_t)
									(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1484))->
										BgL_vz00)) == ((obj_t) BgL_varz00_1485)))
							{	/* Eval/evaluate_fsize.scm 428 */
								BgL_testz00_4331 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 428 */
								BgL_testz00_4331 = ((bool_t) 1);
							}
						if (BgL_testz00_4331)
							{	/* Eval/evaluate_fsize.scm 428 */
								bool_t BgL_testz00_4337;

								{	/* Eval/evaluate_fsize.scm 428 */
									BgL_ev_exprz00_bglt BgL_arg1689z00_2786;

									BgL_arg1689z00_2786 =
										(((BgL_ev_hookz00_bglt) CREF(
												((BgL_ev_hookz00_bglt) BgL_ez00_1484)))->BgL_ez00);
									BgL_testz00_4337 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1689z00_2786, BgL_varz00_1485));
								}
								if (BgL_testz00_4337)
									{	/* Eval/evaluate_fsize.scm 428 */
										BgL_auxz00_4330 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 428 */
										BgL_auxz00_4330 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 428 */
								BgL_auxz00_4330 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4330);
				}
			}
		}
	}



/* &tailpos-ev_hook1379 */
	obj_t BGl_z62tailposzd2ev_hook1379zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3347, obj_t BgL_ez00_3348, obj_t BgL_vz00_3349)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 422 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1476;
				BgL_ev_varz00_bglt BgL_vz00_1477;

				{	/* Eval/evaluate_fsize.scm 423 */
					bool_t BgL_auxz00_4345;

					BgL_ez00_1476 = ((BgL_ev_hookz00_bglt) BgL_ez00_3348);
					BgL_vz00_1477 = ((BgL_ev_varz00_bglt) BgL_vz00_3349);
					{	/* Eval/evaluate_fsize.scm 424 */
						bool_t BgL_testz00_4346;

						{	/* Eval/evaluate_fsize.scm 424 */
							BgL_ev_exprz00_bglt BgL_arg1687z00_2780;

							BgL_arg1687z00_2780 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1476))->BgL_ez00);
							BgL_testz00_4346 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1687z00_2780, BgL_vz00_1477));
						}
						if (BgL_testz00_4346)
							{	/* Eval/evaluate_fsize.scm 424 */
								BgL_auxz00_4345 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 424 */
								BgL_auxz00_4345 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4345);
				}
			}
		}
	}



/* &tailpos-ev_prog21377 */
	obj_t BGl_z62tailposzd2ev_prog21377zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3350, obj_t BgL_ez00_3351, obj_t BgL_vz00_3352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 418 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1466;
				BgL_ev_varz00_bglt BgL_vz00_1467;

				BgL_ez00_1466 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3351);
				BgL_vz00_1467 = ((BgL_ev_varz00_bglt) BgL_vz00_3352);
				{	/* Eval/evaluate_fsize.scm 420 */
					bool_t BgL_testz00_4353;

					{	/* Eval/evaluate_fsize.scm 420 */
						bool_t BgL_testz00_4354;

						{	/* Eval/evaluate_fsize.scm 420 */
							BgL_ev_exprz00_bglt BgL_arg1685z00_2776;

							BgL_arg1685z00_2776 =
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1466))->BgL_e1z00);
							BgL_testz00_4354 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1685z00_2776, BgL_vz00_1467));
						}
						if (BgL_testz00_4354)
							{	/* Eval/evaluate_fsize.scm 420 */
								BgL_testz00_4353 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 420 */
								BgL_testz00_4353 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4353)
						{	/* Eval/evaluate_fsize.scm 420 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1466))->BgL_e2z00),
								BgL_vz00_1467);
						}
					else
						{	/* Eval/evaluate_fsize.scm 420 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_list1375 */
	obj_t BGl_z62tailposzd2ev_list1375zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3353, obj_t BgL_ez00_3354, obj_t BgL_vz00_3355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 410 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1448;
				BgL_ev_varz00_bglt BgL_vz00_1449;

				BgL_ez00_1448 = ((BgL_ev_listz00_bglt) BgL_ez00_3354);
				BgL_vz00_1449 = ((BgL_ev_varz00_bglt) BgL_vz00_3355);
				{
					obj_t BgL_lz00_1455;

					BgL_lz00_1455 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1448))->BgL_argsz00);
				BgL_zc3anonymousza31676ze3z83_1456:
					if (NULLP(CDR(BgL_lz00_1455)))
						{	/* Eval/evaluate_fsize.scm 414 */
							obj_t BgL_arg1678z00_1458;

							BgL_arg1678z00_1458 = CAR(BgL_lz00_1455);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								((BgL_ev_exprz00_bglt) BgL_arg1678z00_1458), BgL_vz00_1449);
						}
					else
						{	/* Eval/evaluate_fsize.scm 415 */
							bool_t BgL_testz00_4368;

							{	/* Eval/evaluate_fsize.scm 415 */
								bool_t BgL_testz00_4369;

								{	/* Eval/evaluate_fsize.scm 415 */
									obj_t BgL_arg1681z00_1462;

									BgL_arg1681z00_1462 = CAR(BgL_lz00_1455);
									BgL_testz00_4369 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1681z00_1462),
											BgL_vz00_1449));
								}
								if (BgL_testz00_4369)
									{	/* Eval/evaluate_fsize.scm 415 */
										BgL_testz00_4368 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 415 */
										BgL_testz00_4368 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_4368)
								{
									obj_t BgL_lz00_4374;

									BgL_lz00_4374 = CDR(BgL_lz00_1455);
									BgL_lz00_1455 = BgL_lz00_4374;
									goto BgL_zc3anonymousza31676ze3z83_1456;
								}
							else
								{	/* Eval/evaluate_fsize.scm 415 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &tailpos-ev_if1373 */
	obj_t BGl_z62tailposzd2ev_if1373zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3356, obj_t BgL_ez00_3357, obj_t BgL_vz00_3358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 406 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1436;
				BgL_ev_varz00_bglt BgL_vz00_1437;

				BgL_ez00_1436 = ((BgL_ev_ifz00_bglt) BgL_ez00_3357);
				BgL_vz00_1437 = ((BgL_ev_varz00_bglt) BgL_vz00_3358);
				{	/* Eval/evaluate_fsize.scm 408 */
					bool_t BgL_testz00_4379;

					{	/* Eval/evaluate_fsize.scm 408 */
						bool_t BgL_testz00_4380;

						{	/* Eval/evaluate_fsize.scm 408 */
							BgL_ev_exprz00_bglt BgL_arg1674z00_1446;

							BgL_arg1674z00_1446 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1436))->BgL_pz00);
							BgL_testz00_4380 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1674z00_1446, BgL_vz00_1437));
						}
						if (BgL_testz00_4380)
							{	/* Eval/evaluate_fsize.scm 408 */
								BgL_testz00_4379 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 408 */
								BgL_testz00_4379 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4379)
						{	/* Eval/evaluate_fsize.scm 408 */
							obj_t BgL__andtest_1119z00_1442;

							BgL__andtest_1119z00_1442 =
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1436))->BgL_tz00),
								BgL_vz00_1437);
							if (CBOOL(BgL__andtest_1119z00_1442))
								{	/* Eval/evaluate_fsize.scm 408 */
									return
										BGl_tailposz00zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1436))->BgL_ez00),
										BgL_vz00_1437);
								}
							else
								{	/* Eval/evaluate_fsize.scm 408 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_fsize.scm 408 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_litt1371 */
	obj_t BGl_z62tailposzd2ev_litt1371zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3359, obj_t BgL_ez00_3360, obj_t BgL_vz00_3361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 403 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_global1369 */
	obj_t BGl_z62tailposzd2ev_global1369zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3362, obj_t BgL_ez00_3363, obj_t BgL_vz00_3364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 400 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_var1367 */
	obj_t BGl_z62tailposzd2ev_var1367zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3365, obj_t BgL_ez00_3366, obj_t BgL_vz00_3367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 397 */
			{
				BgL_ev_varz00_bglt BgL_ez00_1420;
				BgL_ev_varz00_bglt BgL_vz00_1421;

				{	/* Eval/evaluate_fsize.scm 398 */
					bool_t BgL_auxz00_4394;

					BgL_ez00_1420 = ((BgL_ev_varz00_bglt) BgL_ez00_3366);
					BgL_vz00_1421 = ((BgL_ev_varz00_bglt) BgL_vz00_3367);
					if ((((obj_t) BgL_ez00_1420) == ((obj_t) BgL_vz00_1421)))
						{	/* Eval/evaluate_fsize.scm 398 */
							BgL_auxz00_4394 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 398 */
							BgL_auxz00_4394 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_4394);
				}
			}
		}
	}



/* &subst_goto-ev_abs1363 */
	BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1363zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3368, obj_t BgL_ez00_3369, obj_t BgL_varsz00_3370,
		obj_t BgL_lblsz00_3371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 385 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1412;
				obj_t BgL_varsz00_1413;
				obj_t BgL_lblsz00_1414;

				BgL_ez00_1412 = ((BgL_ev_absz00_bglt) BgL_ez00_3369);
				BgL_varsz00_1413 = BgL_varsz00_3370;
				BgL_lblsz00_1414 = BgL_lblsz00_3371;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4402;

					{	/* Eval/evaluate_fsize.scm 387 */
						BgL_ev_exprz00_bglt BgL_arg1669z00_2765;

						BgL_arg1669z00_2765 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1412))->BgL_bodyz00);
						BgL_auxz00_4402 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1669z00_2765,
								BgL_varsz00_1413, BgL_lblsz00_1414));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1412))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4402), BUNSPEC);
				}
				return BgL_ez00_1412;
			}
		}
	}



/* &subst_goto-ev_app1361 */
	BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1361zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3372, obj_t BgL_ez00_3373, obj_t BgL_varsz00_3374,
		obj_t BgL_lblsz00_3375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 377 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1398;
				obj_t BgL_varsz00_1399;
				obj_t BgL_lblsz00_1400;

				BgL_ez00_1398 = ((BgL_ev_appz00_bglt) BgL_ez00_3373);
				BgL_varsz00_1399 = BgL_varsz00_3374;
				BgL_lblsz00_1400 = BgL_lblsz00_3375;
				{	/* Eval/evaluate_fsize.scm 379 */
					obj_t BgL_arg1664z00_1404;

					BgL_arg1664z00_1404 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1398))->BgL_argsz00);
					{
						obj_t BgL_lz00_2749;

						BgL_lz00_2749 = BgL_arg1664z00_1404;
					BgL_recz00_2748:
						if (NULLP(BgL_lz00_2749))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1505z00_2751;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1506z00_2752;

										BgL_arg1506z00_2752 = CAR(BgL_lz00_2749);
										BgL_arg1505z00_2751 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1506z00_2752),
											BgL_varsz00_1399, BgL_lblsz00_1400);
									}
									SET_CAR(BgL_lz00_2749, BgL_arg1505z00_2751);
								}
								{
									obj_t BgL_lz00_4415;

									BgL_lz00_4415 = CDR(BgL_lz00_2749);
									BgL_lz00_2749 = BgL_lz00_4415;
									goto BgL_recz00_2748;
								}
							}
					}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1398))->BgL_funz00)),
							BgL_varsz00_1399)))
					{	/* Eval/evaluate_fsize.scm 381 */
						BgL_ev_gotoz00_bglt BgL_new1115z00_1406;

						{	/* Eval/evaluate_fsize.scm 381 */
							BgL_ev_gotoz00_bglt BgL_new1114z00_1407;

							BgL_new1114z00_1407 =
								((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_gotoz00_bgl))));
							{	/* Eval/evaluate_fsize.scm 381 */
								long BgL_arg1666z00_1408;

								{	/* Eval/evaluate_fsize.scm 381 */
									long BgL_res2036z00_2761;

									BgL_res2036z00_2761 =
										BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
									BgL_arg1666z00_1408 = BgL_res2036z00_2761;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1114z00_1407),
									BgL_arg1666z00_1408);
							}
							{	/* Eval/evaluate_fsize.scm 381 */
								BgL_objectz00_bglt BgL_auxz00_4426;

								BgL_auxz00_4426 = ((BgL_objectz00_bglt) BgL_new1114z00_1407);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_4426, BFALSE);
							}
							BgL_new1115z00_1406 = BgL_new1114z00_1407;
						}
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1406))->BgL_locz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1398))->
									BgL_locz00)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1406))->BgL_labelz00) =
							((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) (((BgL_ev_appz00_bglt)
											CREF(BgL_ez00_1398))->BgL_funz00))), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1406))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
									BgL_lblsz00_1400)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1406))->BgL_argsz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1398))->
									BgL_argsz00)), BUNSPEC);
						return ((BgL_ev_exprz00_bglt) BgL_new1115z00_1406);
					}
				else
					{	/* Eval/evaluate_fsize.scm 380 */
						{
							BgL_ev_exprz00_bglt BgL_auxz00_4439;

							{	/* Eval/evaluate_fsize.scm 382 */
								BgL_ev_exprz00_bglt BgL_arg1667z00_1409;

								BgL_arg1667z00_1409 =
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1398))->BgL_funz00);
								BgL_auxz00_4439 =
									((BgL_ev_exprz00_bglt)
									BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1667z00_1409,
										BgL_varsz00_1399, BgL_lblsz00_1400));
							}
							((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1398))->BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_auxz00_4439), BUNSPEC);
						}
						return ((BgL_ev_exprz00_bglt) BgL_ez00_1398);
					}
			}
		}
	}



/* &subst_goto-ev_goto1359 */
	BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1359zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3376, obj_t BgL_ez00_3377, obj_t BgL_varsz00_3378,
		obj_t BgL_lblsz00_3379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 372 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1390;
				obj_t BgL_varsz00_1391;
				obj_t BgL_lblsz00_1392;

				BgL_ez00_1390 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3377);
				BgL_varsz00_1391 = BgL_varsz00_3378;
				BgL_lblsz00_1392 = BgL_lblsz00_3379;
				{	/* Eval/evaluate_fsize.scm 374 */
					obj_t BgL_arg1663z00_2729;

					BgL_arg1663z00_2729 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1390))->BgL_argsz00);
					{
						obj_t BgL_lz00_2734;

						BgL_lz00_2734 = BgL_arg1663z00_2729;
					BgL_recz00_2733:
						if (NULLP(BgL_lz00_2734))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1505z00_2736;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1506z00_2737;

										BgL_arg1506z00_2737 = CAR(BgL_lz00_2734);
										BgL_arg1505z00_2736 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1506z00_2737),
											BgL_varsz00_1391, BgL_lblsz00_1392);
									}
									SET_CAR(BgL_lz00_2734, BgL_arg1505z00_2736);
								}
								{
									obj_t BgL_lz00_4453;

									BgL_lz00_4453 = CDR(BgL_lz00_2734);
									BgL_lz00_2734 = BgL_lz00_4453;
									goto BgL_recz00_2733;
								}
							}
					}
				}
				return BgL_ez00_1390;
			}
		}
	}



/* &subst_goto-ev_labels1357 */
	BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1357zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3380, obj_t BgL_ez00_3381, obj_t BgL_varsz00_3382,
		obj_t BgL_lblsz00_3383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 363 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1372;
				obj_t BgL_varsz00_1373;
				obj_t BgL_lblsz00_1374;

				BgL_ez00_1372 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3381);
				BgL_varsz00_1373 = BgL_varsz00_3382;
				BgL_lblsz00_1374 = BgL_lblsz00_3383;
				{
					obj_t BgL_lz00_1380;

					BgL_lz00_1380 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1372))->BgL_valsz00);
				BgL_zc3anonymousza31655ze3z83_1381:
					if (NULLP(BgL_lz00_1380))
						{	/* Eval/evaluate_fsize.scm 366 */
							((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 366 */
							{	/* Eval/evaluate_fsize.scm 367 */
								obj_t BgL_arg1658z00_1383;
								obj_t BgL_arg1659z00_1384;

								BgL_arg1658z00_1383 = CAR(BgL_lz00_1380);
								{	/* Eval/evaluate_fsize.scm 367 */
									obj_t BgL_arg1660z00_1385;

									BgL_arg1660z00_1385 = CDR(CAR(BgL_lz00_1380));
									BgL_arg1659z00_1384 =
										BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1660z00_1385),
										BgL_varsz00_1373, BgL_lblsz00_1374);
								}
								SET_CDR(BgL_arg1658z00_1383, BgL_arg1659z00_1384);
							}
							{
								obj_t BgL_lz00_4464;

								BgL_lz00_4464 = CDR(BgL_lz00_1380);
								BgL_lz00_1380 = BgL_lz00_4464;
								goto BgL_zc3anonymousza31655ze3z83_1381;
							}
						}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4467;

					{	/* Eval/evaluate_fsize.scm 369 */
						BgL_ev_exprz00_bglt BgL_arg1662z00_1388;

						BgL_arg1662z00_1388 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1372))->BgL_bodyz00);
						BgL_auxz00_4467 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1662z00_1388,
								BgL_varsz00_1373, BgL_lblsz00_1374));
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1372))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4467), BUNSPEC);
				}
				return BgL_ez00_1372;
			}
		}
	}



/* &subst_goto-ev_binder1355 */
	BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1355zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3384, obj_t BgL_ez00_3385, obj_t BgL_varsz00_3386,
		obj_t BgL_lblsz00_3387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 357 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1363;
				obj_t BgL_varsz00_1364;
				obj_t BgL_lblsz00_1365;

				BgL_ez00_1363 = ((BgL_ev_binderz00_bglt) BgL_ez00_3385);
				BgL_varsz00_1364 = BgL_varsz00_3386;
				BgL_lblsz00_1365 = BgL_lblsz00_3387;
				{	/* Eval/evaluate_fsize.scm 359 */
					obj_t BgL_arg1652z00_2701;

					BgL_arg1652z00_2701 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1363))->BgL_valsz00);
					{
						obj_t BgL_lz00_2707;

						BgL_lz00_2707 = BgL_arg1652z00_2701;
					BgL_recz00_2706:
						if (NULLP(BgL_lz00_2707))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1505z00_2709;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1506z00_2710;

										BgL_arg1506z00_2710 = CAR(BgL_lz00_2707);
										BgL_arg1505z00_2709 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1506z00_2710),
											BgL_varsz00_1364, BgL_lblsz00_1365);
									}
									SET_CAR(BgL_lz00_2707, BgL_arg1505z00_2709);
								}
								{
									obj_t BgL_lz00_4480;

									BgL_lz00_4480 = CDR(BgL_lz00_2707);
									BgL_lz00_2707 = BgL_lz00_4480;
									goto BgL_recz00_2706;
								}
							}
					}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4482;

					{	/* Eval/evaluate_fsize.scm 360 */
						BgL_ev_exprz00_bglt BgL_arg1653z00_2702;

						BgL_arg1653z00_2702 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1363))->BgL_bodyz00);
						BgL_auxz00_4482 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1653z00_2702,
								BgL_varsz00_1364, BgL_lblsz00_1365));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1363))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4482), BUNSPEC);
				}
				return BgL_ez00_1363;
			}
		}
	}



/* &subst_goto-ev_synchr1353 */
	BgL_ev_synchroniza7eza7_bglt
		BGl_z62subst_gotozd2ev_synchr1353zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3388, obj_t BgL_ez00_3389, obj_t BgL_varsz00_3390,
		obj_t BgL_lblsz00_3391)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 350 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1353;
				obj_t BgL_varsz00_1354;
				obj_t BgL_lblsz00_1355;

				BgL_ez00_1353 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3389);
				BgL_varsz00_1354 = BgL_varsz00_3390;
				BgL_lblsz00_1355 = BgL_lblsz00_3391;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4488;

					{	/* Eval/evaluate_fsize.scm 352 */
						BgL_ev_exprz00_bglt BgL_arg1649z00_2697;

						BgL_arg1649z00_2697 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1353))->
							BgL_mutexz00);
						BgL_auxz00_4488 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1649z00_2697,
								BgL_varsz00_1354, BgL_lblsz00_1355));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1353))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4488), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4493;

					{	/* Eval/evaluate_fsize.scm 353 */
						BgL_ev_exprz00_bglt BgL_arg1650z00_2698;

						BgL_arg1650z00_2698 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1353))->
							BgL_prelockz00);
						BgL_auxz00_4493 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1650z00_2698,
								BgL_varsz00_1354, BgL_lblsz00_1355));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1353))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4493), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4498;

					{	/* Eval/evaluate_fsize.scm 354 */
						BgL_ev_exprz00_bglt BgL_arg1651z00_2699;

						BgL_arg1651z00_2699 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1353))->
							BgL_bodyz00);
						BgL_auxz00_4498 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1651z00_2699,
								BgL_varsz00_1354, BgL_lblsz00_1355));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1353))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4498), BUNSPEC);
				}
				return BgL_ez00_1353;
			}
		}
	}



/* &subst_goto-ev_with-h1351 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1351z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3392, obj_t BgL_ez00_3393, obj_t BgL_varsz00_3394,
		obj_t BgL_lblsz00_3395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 344 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1344;
				obj_t BgL_varsz00_1345;
				obj_t BgL_lblsz00_1346;

				BgL_ez00_1344 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3393);
				BgL_varsz00_1345 = BgL_varsz00_3394;
				BgL_lblsz00_1346 = BgL_lblsz00_3395;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4504;

					{	/* Eval/evaluate_fsize.scm 346 */
						BgL_ev_exprz00_bglt BgL_arg1647z00_2694;

						BgL_arg1647z00_2694 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1344))->
							BgL_handlerz00);
						BgL_auxz00_4504 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1647z00_2694,
								BgL_varsz00_1345, BgL_lblsz00_1346));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1344))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4504), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4509;

					{	/* Eval/evaluate_fsize.scm 347 */
						BgL_ev_exprz00_bglt BgL_arg1648z00_2695;

						BgL_arg1648z00_2695 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1344))->
							BgL_bodyz00);
						BgL_auxz00_4509 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1648z00_2695,
								BgL_varsz00_1345, BgL_lblsz00_1346));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1344))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4509), BUNSPEC);
				}
				return BgL_ez00_1344;
			}
		}
	}



/* &subst_goto-ev_unwind1349 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1349zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3396, obj_t BgL_exprz00_3397, obj_t BgL_varsz00_3398,
		obj_t BgL_lblsz00_3399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 338 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1335;
				obj_t BgL_varsz00_1336;
				obj_t BgL_lblsz00_1337;

				BgL_exprz00_1335 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_3397);
				BgL_varsz00_1336 = BgL_varsz00_3398;
				BgL_lblsz00_1337 = BgL_lblsz00_3399;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4515;

					{	/* Eval/evaluate_fsize.scm 340 */
						BgL_ev_exprz00_bglt BgL_arg1645z00_2691;

						BgL_arg1645z00_2691 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1335))->
							BgL_ez00);
						BgL_auxz00_4515 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1645z00_2691,
								BgL_varsz00_1336, BgL_lblsz00_1337));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1335))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4515), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4520;

					{	/* Eval/evaluate_fsize.scm 341 */
						BgL_ev_exprz00_bglt BgL_arg1646z00_2692;

						BgL_arg1646z00_2692 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1335))->
							BgL_bodyz00);
						BgL_auxz00_4520 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1646z00_2692,
								BgL_varsz00_1336, BgL_lblsz00_1337));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1335))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4520), BUNSPEC);
				}
				return BgL_exprz00_1335;
			}
		}
	}



/* &subst_goto-ev_bind-e1347 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1347z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3400, obj_t BgL_ez00_3401, obj_t BgL_varsz00_3402,
		obj_t BgL_lblsz00_3403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 333 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1327;
				obj_t BgL_varsz00_1328;
				obj_t BgL_lblsz00_1329;

				BgL_ez00_1327 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3401);
				BgL_varsz00_1328 = BgL_varsz00_3402;
				BgL_lblsz00_1329 = BgL_lblsz00_3403;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4526;

					{	/* Eval/evaluate_fsize.scm 335 */
						BgL_ev_exprz00_bglt BgL_arg1644z00_2689;

						BgL_arg1644z00_2689 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1327))->BgL_bodyz00);
						BgL_auxz00_4526 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1644z00_2689,
								BgL_varsz00_1328, BgL_lblsz00_1329));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1327))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4526), BUNSPEC);
				}
				return BgL_ez00_1327;
			}
		}
	}



/* &subst_goto-ev_hook1345 */
	BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1345zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3404, obj_t BgL_exprz00_3405, obj_t BgL_varsz00_3406,
		obj_t BgL_lblsz00_3407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 328 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1319;
				obj_t BgL_varsz00_1320;
				obj_t BgL_lblsz00_1321;

				BgL_exprz00_1319 = ((BgL_ev_hookz00_bglt) BgL_exprz00_3405);
				BgL_varsz00_1320 = BgL_varsz00_3406;
				BgL_lblsz00_1321 = BgL_lblsz00_3407;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4532;

					{	/* Eval/evaluate_fsize.scm 330 */
						BgL_ev_exprz00_bglt BgL_arg1642z00_2687;

						BgL_arg1642z00_2687 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1319))->BgL_ez00);
						BgL_auxz00_4532 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1642z00_2687,
								BgL_varsz00_1320, BgL_lblsz00_1321));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1319))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4532), BUNSPEC);
				}
				return BgL_exprz00_1319;
			}
		}
	}



/* &subst_goto-ev_prog21343 */
	BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21343zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3408, obj_t BgL_ez00_3409, obj_t BgL_varsz00_3410,
		obj_t BgL_lblsz00_3411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 322 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1310;
				obj_t BgL_varsz00_1311;
				obj_t BgL_lblsz00_1312;

				BgL_ez00_1310 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3409);
				BgL_varsz00_1311 = BgL_varsz00_3410;
				BgL_lblsz00_1312 = BgL_lblsz00_3411;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4538;

					{	/* Eval/evaluate_fsize.scm 324 */
						BgL_ev_exprz00_bglt BgL_arg1639z00_2684;

						BgL_arg1639z00_2684 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1310))->BgL_e1z00);
						BgL_auxz00_4538 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1639z00_2684,
								BgL_varsz00_1311, BgL_lblsz00_1312));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1310))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4538), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4543;

					{	/* Eval/evaluate_fsize.scm 325 */
						BgL_ev_exprz00_bglt BgL_arg1640z00_2685;

						BgL_arg1640z00_2685 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1310))->BgL_e2z00);
						BgL_auxz00_4543 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1640z00_2685,
								BgL_varsz00_1311, BgL_lblsz00_1312));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1310))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4543), BUNSPEC);
				}
				return BgL_ez00_1310;
			}
		}
	}



/* &subst_goto-ev_list1341 */
	BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1341zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3412, obj_t BgL_ez00_3413, obj_t BgL_varsz00_3414,
		obj_t BgL_lblsz00_3415)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 317 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1302;
				obj_t BgL_varsz00_1303;
				obj_t BgL_lblsz00_1304;

				BgL_ez00_1302 = ((BgL_ev_listz00_bglt) BgL_ez00_3413);
				BgL_varsz00_1303 = BgL_varsz00_3414;
				BgL_lblsz00_1304 = BgL_lblsz00_3415;
				{	/* Eval/evaluate_fsize.scm 319 */
					obj_t BgL_arg1638z00_2667;

					BgL_arg1638z00_2667 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1302))->BgL_argsz00);
					{
						obj_t BgL_lz00_2672;

						BgL_lz00_2672 = BgL_arg1638z00_2667;
					BgL_recz00_2671:
						if (NULLP(BgL_lz00_2672))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1505z00_2674;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1506z00_2675;

										BgL_arg1506z00_2675 = CAR(BgL_lz00_2672);
										BgL_arg1505z00_2674 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1506z00_2675),
											BgL_varsz00_1303, BgL_lblsz00_1304);
									}
									SET_CAR(BgL_lz00_2672, BgL_arg1505z00_2674);
								}
								{
									obj_t BgL_lz00_4556;

									BgL_lz00_4556 = CDR(BgL_lz00_2672);
									BgL_lz00_2672 = BgL_lz00_4556;
									goto BgL_recz00_2671;
								}
							}
					}
				}
				return BgL_ez00_1302;
			}
		}
	}



/* &subst_goto-ev_if1339 */
	BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1339zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3416, obj_t BgL_exprz00_3417, obj_t BgL_varsz00_3418,
		obj_t BgL_lblsz00_3419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 310 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1292;
				obj_t BgL_varsz00_1293;
				obj_t BgL_lblsz00_1294;

				BgL_exprz00_1292 = ((BgL_ev_ifz00_bglt) BgL_exprz00_3417);
				BgL_varsz00_1293 = BgL_varsz00_3418;
				BgL_lblsz00_1294 = BgL_lblsz00_3419;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4559;

					{	/* Eval/evaluate_fsize.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg1635z00_2663;

						BgL_arg1635z00_2663 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1292))->BgL_pz00);
						BgL_auxz00_4559 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1635z00_2663,
								BgL_varsz00_1293, BgL_lblsz00_1294));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1292))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4559), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4564;

					{	/* Eval/evaluate_fsize.scm 313 */
						BgL_ev_exprz00_bglt BgL_arg1636z00_2664;

						BgL_arg1636z00_2664 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1292))->BgL_tz00);
						BgL_auxz00_4564 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1636z00_2664,
								BgL_varsz00_1293, BgL_lblsz00_1294));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1292))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4564), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4569;

					{	/* Eval/evaluate_fsize.scm 314 */
						BgL_ev_exprz00_bglt BgL_arg1637z00_2665;

						BgL_arg1637z00_2665 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1292))->BgL_ez00);
						BgL_auxz00_4569 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1637z00_2665,
								BgL_varsz00_1293, BgL_lblsz00_1294));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1292))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4569), BUNSPEC);
				}
				return BgL_exprz00_1292;
			}
		}
	}



/* &subst_goto-ev_litt1337 */
	BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1337zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3420, obj_t BgL_ez00_3421, obj_t BgL_varsz00_3422,
		obj_t BgL_lblsz00_3423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 307 */
			return ((BgL_ev_littz00_bglt) BgL_ez00_3421);
		}
	}



/* &subst_goto-ev_global1335 */
	BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1335zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3424, obj_t BgL_ez00_3425, obj_t BgL_varsz00_3426,
		obj_t BgL_lblsz00_3427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 304 */
			return ((BgL_ev_globalz00_bglt) BgL_ez00_3425);
		}
	}



/* &subst_goto-ev_var1333 */
	BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1333zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3428, obj_t BgL_ez00_3429, obj_t BgL_varsz00_3430,
		obj_t BgL_lblsz00_3431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 301 */
			return ((BgL_ev_varz00_bglt) BgL_ez00_3429);
		}
	}



/* &search-letrec-ev_abs1329 */
	BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1329z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3432, obj_t BgL_ez00_3433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 260 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1268;

				BgL_ez00_1268 = ((BgL_ev_absz00_bglt) BgL_ez00_3433);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4578;

					{	/* Eval/evaluate_fsize.scm 262 */
						BgL_ev_exprz00_bglt BgL_arg1634z00_2661;

						BgL_arg1634z00_2661 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1268))->BgL_bodyz00);
						BgL_auxz00_4578 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1634z00_2661));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1268))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4578), BUNSPEC);
				}
				return BgL_ez00_1268;
			}
		}
	}



/* &search-letrec-ev_app1327 */
	BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1327z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3434, obj_t BgL_ez00_3435)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 254 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1261;

				BgL_ez00_1261 = ((BgL_ev_appz00_bglt) BgL_ez00_3435);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4584;

					{	/* Eval/evaluate_fsize.scm 256 */
						BgL_ev_exprz00_bglt BgL_arg1632z00_2658;

						BgL_arg1632z00_2658 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1261))->BgL_funz00);
						BgL_auxz00_4584 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1632z00_2658));
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1261))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4584), BUNSPEC);
				}
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1261))->BgL_argsz00));
				return BgL_ez00_1261;
			}
		}
	}



/* &search-letrec-ev_let1325 */
	BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1325z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3436, obj_t BgL_ez00_3437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 243 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1247;

				BgL_ez00_1247 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3437);
				{	/* Eval/evaluate_fsize.scm 245 */
					obj_t BgL_arg1624z00_1251;

					BgL_arg1624z00_1251 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1247)))->BgL_valsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1624z00_1251);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4595;

					{	/* Eval/evaluate_fsize.scm 246 */
						BgL_ev_exprz00_bglt BgL_arg1625z00_1252;

						BgL_arg1625z00_1252 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1247)))->BgL_bodyz00);
						BgL_auxz00_4595 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1625z00_1252));
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1247)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4595), BUNSPEC);
				}
				{	/* Eval/evaluate_fsize.scm 250 */
					bool_t BgL_testz00_4602;

					{	/* Eval/evaluate_fsize.scm 247 */
						obj_t BgL_arg1629z00_1257;
						obj_t BgL_arg1630z00_1258;
						BgL_ev_exprz00_bglt BgL_arg1631z00_1259;

						BgL_arg1629z00_1257 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1247)))->BgL_varsz00);
						BgL_arg1630z00_1258 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1247)))->BgL_valsz00);
						BgL_arg1631z00_1259 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1247)))->BgL_bodyz00);
						BgL_testz00_4602 =
							BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1629z00_1257,
							BgL_arg1630z00_1258, BgL_arg1631z00_1259);
					}
					if (BgL_testz00_4602)
						{	/* Eval/evaluate_fsize.scm 251 */
							obj_t BgL_arg1626z00_1254;
							obj_t BgL_arg1627z00_1255;
							BgL_ev_exprz00_bglt BgL_arg1628z00_1256;

							BgL_arg1626z00_1254 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1247)))->BgL_varsz00);
							BgL_arg1627z00_1255 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1247)))->BgL_valsz00);
							BgL_arg1628z00_1256 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1247)))->BgL_bodyz00);
							return
								((BgL_ev_exprz00_bglt)
								BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7
								(BgL_arg1626z00_1254, BgL_arg1627z00_1255,
									BgL_arg1628z00_1256));
						}
					else
						{	/* Eval/evaluate_fsize.scm 250 */
							return ((BgL_ev_exprz00_bglt) BgL_ez00_1247);
						}
				}
			}
		}
	}



/* &search-letrec-ev_bin1323 */
	BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1323z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3438, obj_t BgL_ez00_3439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 237 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1240;

				BgL_ez00_1240 = ((BgL_ev_binderz00_bglt) BgL_ez00_3439);
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1240))->BgL_valsz00));
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4622;

					{	/* Eval/evaluate_fsize.scm 240 */
						BgL_ev_exprz00_bglt BgL_arg1623z00_2656;

						BgL_arg1623z00_2656 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1240))->BgL_bodyz00);
						BgL_auxz00_4622 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1623z00_2656));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1240))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4622), BUNSPEC);
				}
				return BgL_ez00_1240;
			}
		}
	}



/* &search-letrec-ev_syn1321 */
	BgL_ev_synchroniza7eza7_bglt
		BGl_z62searchzd2letreczd2ev_syn1321z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3440, obj_t BgL_ez00_3441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 230 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1232;

				BgL_ez00_1232 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3441);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4628;

					{	/* Eval/evaluate_fsize.scm 232 */
						BgL_ev_exprz00_bglt BgL_arg1619z00_1236;

						BgL_arg1619z00_1236 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1232))->
							BgL_mutexz00);
						BgL_auxz00_4628 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1619z00_1236));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1232))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4628), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4633;

					{	/* Eval/evaluate_fsize.scm 233 */
						BgL_ev_exprz00_bglt BgL_arg1620z00_1237;

						BgL_arg1620z00_1237 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1232))->
							BgL_prelockz00);
						BgL_auxz00_4633 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1620z00_1237));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1232))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4633), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4638;

					{	/* Eval/evaluate_fsize.scm 234 */
						BgL_ev_exprz00_bglt BgL_arg1621z00_1238;

						BgL_arg1621z00_1238 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1232))->
							BgL_bodyz00);
						BgL_auxz00_4638 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1621z00_1238));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1232))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4638), BUNSPEC);
				}
				return BgL_ez00_1232;
			}
		}
	}



/* &search-letrec-ev_wit1319 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1319z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3442, obj_t BgL_ez00_3443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 224 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1225;

				BgL_ez00_1225 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3443);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4644;

					{	/* Eval/evaluate_fsize.scm 226 */
						BgL_ev_exprz00_bglt BgL_arg1617z00_2652;

						BgL_arg1617z00_2652 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1225))->
							BgL_handlerz00);
						BgL_auxz00_4644 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1617z00_2652));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1225))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4644), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4649;

					{	/* Eval/evaluate_fsize.scm 227 */
						BgL_ev_exprz00_bglt BgL_arg1618z00_2653;

						BgL_arg1618z00_2653 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1225))->
							BgL_bodyz00);
						BgL_auxz00_4649 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1618z00_2653));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1225))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4649), BUNSPEC);
				}
				return BgL_ez00_1225;
			}
		}
	}



/* &search-letrec-ev_unw1317 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1317z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3444, obj_t BgL_exprz00_3445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 218 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1218;

				BgL_exprz00_1218 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_3445);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4655;

					{	/* Eval/evaluate_fsize.scm 220 */
						BgL_ev_exprz00_bglt BgL_arg1615z00_2649;

						BgL_arg1615z00_2649 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1218))->
							BgL_ez00);
						BgL_auxz00_4655 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1615z00_2649));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1218))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4655), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4660;

					{	/* Eval/evaluate_fsize.scm 221 */
						BgL_ev_exprz00_bglt BgL_arg1616z00_2650;

						BgL_arg1616z00_2650 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1218))->
							BgL_bodyz00);
						BgL_auxz00_4660 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1616z00_2650));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1218))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4660), BUNSPEC);
				}
				return BgL_exprz00_1218;
			}
		}
	}



/* &search-letrec-ev_bin1315 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1315z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3446, obj_t BgL_ez00_3447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 213 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1212;

				BgL_ez00_1212 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3447);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4666;

					{	/* Eval/evaluate_fsize.scm 215 */
						BgL_ev_exprz00_bglt BgL_arg1614z00_2647;

						BgL_arg1614z00_2647 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1212))->BgL_bodyz00);
						BgL_auxz00_4666 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1614z00_2647));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1212))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4666), BUNSPEC);
				}
				return BgL_ez00_1212;
			}
		}
	}



/* &search-letrec-ev_hoo1313 */
	BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1313z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3448, obj_t BgL_exprz00_3449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 208 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1206;

				BgL_exprz00_1206 = ((BgL_ev_hookz00_bglt) BgL_exprz00_3449);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4672;

					{	/* Eval/evaluate_fsize.scm 210 */
						BgL_ev_exprz00_bglt BgL_arg1613z00_2645;

						BgL_arg1613z00_2645 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1206))->BgL_ez00);
						BgL_auxz00_4672 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1613z00_2645));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1206))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4672), BUNSPEC);
				}
				return BgL_exprz00_1206;
			}
		}
	}



/* &search-letrec-ev_pro1311 */
	BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1311z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3450, obj_t BgL_ez00_3451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 202 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1199;

				BgL_ez00_1199 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3451);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4678;

					{	/* Eval/evaluate_fsize.scm 204 */
						BgL_ev_exprz00_bglt BgL_arg1611z00_2642;

						BgL_arg1611z00_2642 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1199))->BgL_e1z00);
						BgL_auxz00_4678 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1611z00_2642));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1199))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4678), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4683;

					{	/* Eval/evaluate_fsize.scm 205 */
						BgL_ev_exprz00_bglt BgL_arg1612z00_2643;

						BgL_arg1612z00_2643 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1199))->BgL_e2z00);
						BgL_auxz00_4683 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1612z00_2643));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1199))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4683), BUNSPEC);
				}
				return BgL_ez00_1199;
			}
		}
	}



/* &search-letrec-ev_lis1309 */
	BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1309z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3452, obj_t BgL_ez00_3453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 197 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1193;

				BgL_ez00_1193 = ((BgL_ev_listz00_bglt) BgL_ez00_3453);
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1193))->BgL_argsz00));
				return BgL_ez00_1193;
			}
		}
	}



/* &search-letrec-ev_if1307 */
	BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1307z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3454, obj_t BgL_exprz00_3455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 190 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1185;

				BgL_exprz00_1185 = ((BgL_ev_ifz00_bglt) BgL_exprz00_3455);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4692;

					{	/* Eval/evaluate_fsize.scm 192 */
						BgL_ev_exprz00_bglt BgL_arg1607z00_1189;

						BgL_arg1607z00_1189 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1185))->BgL_pz00);
						BgL_auxz00_4692 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1607z00_1189));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1185))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4692), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4697;

					{	/* Eval/evaluate_fsize.scm 193 */
						BgL_ev_exprz00_bglt BgL_arg1608z00_1190;

						BgL_arg1608z00_1190 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1185))->BgL_tz00);
						BgL_auxz00_4697 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1608z00_1190));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1185))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4697), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4702;

					{	/* Eval/evaluate_fsize.scm 194 */
						BgL_ev_exprz00_bglt BgL_arg1609z00_1191;

						BgL_arg1609z00_1191 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1185))->BgL_ez00);
						BgL_auxz00_4702 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1609z00_1191));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1185))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4702), BUNSPEC);
				}
				return BgL_exprz00_1185;
			}
		}
	}



/* &search-letrec-ev_lit1305 */
	BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1305z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3456, obj_t BgL_ez00_3457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 187 */
			return ((BgL_ev_littz00_bglt) BgL_ez00_3457);
		}
	}



/* &search-letrec-ev_glo1303 */
	BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1303z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3458, obj_t BgL_ez00_3459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 184 */
			return ((BgL_ev_globalz00_bglt) BgL_ez00_3459);
		}
	}



/* &search-letrec-ev_var1301 */
	BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1301z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3460, obj_t BgL_ez00_3461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 181 */
			return ((BgL_ev_varz00_bglt) BgL_ez00_3461);
		}
	}



/* &fsize-ev_abs1297 */
	obj_t BGl_z62fsiza7ezd2ev_abs1297z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3462, obj_t BgL_ez00_3463, obj_t BgL_nz00_3464)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 158 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1163;
				int BgL_nz00_1164;

				{	/* Eval/evaluate_fsize.scm 159 */
					int BgL_auxz00_4711;

					BgL_ez00_1163 = ((BgL_ev_absz00_bglt) BgL_ez00_3463);
					BgL_nz00_1164 = CINT(BgL_nz00_3464);
					{	/* Eval/evaluate_fsize.scm 160 */
						int BgL_nnz00_2635;

						{	/* Eval/evaluate_fsize.scm 160 */
							BgL_ev_exprz00_bglt BgL_arg1604z00_2636;
							long BgL_arg1605z00_2637;

							BgL_arg1604z00_2636 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1163))->BgL_bodyz00);
							BgL_arg1605z00_2637 =
								bgl_list_length(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1163))->BgL_varsz00));
							BgL_nnz00_2635 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1604z00_2636,
								(int) (BgL_arg1605z00_2637));
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1163))->BgL_siza7eza7) =
							((int) BgL_nnz00_2635), BUNSPEC);
						BgL_auxz00_4711 = BgL_nz00_1164;
					}
					return BINT(BgL_auxz00_4711);
				}
			}
		}
	}



/* &fsize-ev_app1295 */
	obj_t BGl_z62fsiza7ezd2ev_app1295z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3465, obj_t BgL_ez00_3466, obj_t BgL_nz00_3467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 151 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1139;
				int BgL_nz00_1140;

				BgL_ez00_1139 = ((BgL_ev_appz00_bglt) BgL_ez00_3466);
				BgL_nz00_1140 = CINT(BgL_nz00_3467);
				{	/* Eval/evaluate_fsize.scm 153 */
					int BgL_g1078z00_1144;

					BgL_g1078z00_1144 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1139))->BgL_funz00),
						BgL_nz00_1140);
					{	/* Eval/evaluate_fsize.scm 153 */
						obj_t BgL_arg1596z00_1146;

						BgL_arg1596z00_1146 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1139))->BgL_argsz00);
						{
							obj_t BgL_lz00_2606;
							int BgL_nz00_2607;
							obj_t BgL_rz00_2608;

							BgL_lz00_2606 = BgL_arg1596z00_1146;
							BgL_nz00_2607 = BgL_nz00_1140;
							BgL_rz00_2608 = BINT(BgL_g1078z00_1144);
						BgL_recz00_2605:
							if (NULLP(BgL_lz00_2606))
								{	/* Eval/evaluate_fsize.scm 154 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_nz00_2607),
										BgL_rz00_2608);
								}
							else
								{	/* Eval/evaluate_fsize.scm 156 */
									obj_t BgL_arg1599z00_2621;
									long BgL_arg1600z00_2622;
									obj_t BgL_arg1601z00_2623;

									BgL_arg1599z00_2621 = CDR(BgL_lz00_2606);
									BgL_arg1600z00_2622 = ((long) (BgL_nz00_2607) + ((long) 1));
									{	/* Eval/evaluate_fsize.scm 156 */
										int BgL_xz00_2624;

										{	/* Eval/evaluate_fsize.scm 156 */
											obj_t BgL_arg1602z00_2626;

											BgL_arg1602z00_2626 = CAR(BgL_lz00_2606);
											BgL_xz00_2624 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1602z00_2626),
												BgL_nz00_2607);
										}
										BgL_arg1601z00_2623 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2624),
											BgL_rz00_2608);
									}
									{
										obj_t BgL_rz00_4739;
										int BgL_nz00_4737;
										obj_t BgL_lz00_4736;

										BgL_lz00_4736 = BgL_arg1599z00_2621;
										BgL_nz00_4737 = (int) (BgL_arg1600z00_2622);
										BgL_rz00_4739 = BgL_arg1601z00_2623;
										BgL_rz00_2608 = BgL_rz00_4739;
										BgL_nz00_2607 = BgL_nz00_4737;
										BgL_lz00_2606 = BgL_lz00_4736;
										goto BgL_recz00_2605;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_goto1293 */
	obj_t BGl_z62fsiza7ezd2ev_goto1293z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3468, obj_t BgL_ez00_3469, obj_t BgL_nz00_3470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 144 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1117;
				obj_t BgL_nz00_1118;

				BgL_ez00_1117 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3469);
				BgL_nz00_1118 = BgL_nz00_3470;
				{	/* Eval/evaluate_fsize.scm 146 */
					obj_t BgL_arg1589z00_1123;

					BgL_arg1589z00_1123 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1117))->BgL_argsz00);
					{
						obj_t BgL_lz00_2542;
						obj_t BgL_nz00_2543;
						obj_t BgL_rz00_2544;

						BgL_lz00_2542 = BgL_arg1589z00_1123;
						BgL_nz00_2543 = BgL_nz00_1118;
						BgL_rz00_2544 = BgL_nz00_1118;
					BgL_recz00_2541:
						if (NULLP(BgL_lz00_2542))
							{	/* Eval/evaluate_fsize.scm 147 */
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_2543,
									BgL_rz00_2544);
							}
						else
							{	/* Eval/evaluate_fsize.scm 149 */
								obj_t BgL_arg1592z00_2557;
								long BgL_arg1593z00_2558;
								obj_t BgL_arg1594z00_2559;

								BgL_arg1592z00_2557 = CDR(BgL_lz00_2542);
								BgL_arg1593z00_2558 = ((long) CINT(BgL_nz00_2543) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 149 */
									int BgL_xz00_2560;

									{	/* Eval/evaluate_fsize.scm 149 */
										obj_t BgL_arg1595z00_2562;

										BgL_arg1595z00_2562 = CAR(BgL_lz00_2542);
										BgL_xz00_2560 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1595z00_2562),
											CINT(BgL_nz00_2543));
									}
									BgL_arg1594z00_2559 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2560),
										BgL_rz00_2544);
								}
								{
									obj_t BgL_rz00_4759;
									obj_t BgL_nz00_4757;
									obj_t BgL_lz00_4756;

									BgL_lz00_4756 = BgL_arg1592z00_2557;
									BgL_nz00_4757 = BINT(BgL_arg1593z00_2558);
									BgL_rz00_4759 = BgL_arg1594z00_2559;
									BgL_rz00_2544 = BgL_rz00_4759;
									BgL_nz00_2543 = BgL_nz00_4757;
									BgL_lz00_2542 = BgL_lz00_4756;
									goto BgL_recz00_2541;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_labels1291 */
	obj_t BGl_z62fsiza7ezd2ev_labels1291z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3471, obj_t BgL_ez00_3472, obj_t BgL_nz00_3473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 137 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1093;
				obj_t BgL_nz00_1094;

				BgL_ez00_1093 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3472);
				BgL_nz00_1094 = BgL_nz00_3473;
				{
					obj_t BgL_lz00_1100;
					obj_t BgL_rz00_1101;

					BgL_lz00_1100 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1093))->BgL_valsz00);
					BgL_rz00_1101 = BgL_nz00_1094;
				BgL_zc3anonymousza31580ze3z83_1102:
					if (NULLP(BgL_lz00_1100))
						{	/* Eval/evaluate_fsize.scm 141 */
							int BgL_xz00_1104;

							BgL_xz00_1104 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1093))->BgL_bodyz00),
								CINT(BgL_nz00_1094));
							return
								BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1104),
								BgL_rz00_1101);
						}
					else
						{	/* Eval/evaluate_fsize.scm 142 */
							obj_t BgL_arg1583z00_1107;
							obj_t BgL_arg1584z00_1108;

							BgL_arg1583z00_1107 = CDR(BgL_lz00_1100);
							{	/* Eval/evaluate_fsize.scm 142 */
								int BgL_xz00_1109;

								{	/* Eval/evaluate_fsize.scm 142 */
									obj_t BgL_arg1585z00_1111;
									long BgL_arg1586z00_1112;

									BgL_arg1585z00_1111 = CDR(CAR(BgL_lz00_1100));
									BgL_arg1586z00_1112 =
										(
										(long) CINT(BgL_nz00_1094) +
										bgl_list_length(CAR(CAR(BgL_lz00_1100))));
									BgL_xz00_1109 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1585z00_1111),
										(int) (BgL_arg1586z00_1112));
								}
								BgL_arg1584z00_1108 =
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1109),
									BgL_rz00_1101);
							}
							{
								obj_t BgL_rz00_4782;
								obj_t BgL_lz00_4781;

								BgL_lz00_4781 = BgL_arg1583z00_1107;
								BgL_rz00_4782 = BgL_arg1584z00_1108;
								BgL_rz00_1101 = BgL_rz00_4782;
								BgL_lz00_1100 = BgL_lz00_4781;
								goto BgL_zc3anonymousza31580ze3z83_1102;
							}
						}
				}
			}
		}
	}



/* &fsize-ev_letrec1289 */
	obj_t BGl_z62fsiza7ezd2ev_letrec1289z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3474, obj_t BgL_ez00_3475, obj_t BgL_nz00_3476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 129 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1069;
				int BgL_nz00_1070;

				BgL_ez00_1069 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3475);
				BgL_nz00_1070 = CINT(BgL_nz00_3476);
				{	/* Eval/evaluate_fsize.scm 131 */
					long BgL_nz00_1074;

					BgL_nz00_1074 =
						(
						(long) (BgL_nz00_1070) +
						bgl_list_length(
							(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1069)))->BgL_valsz00)));
					{
						obj_t BgL_lz00_1077;
						obj_t BgL_rz00_1078;

						{	/* Eval/evaluate_fsize.scm 132 */
							obj_t BgL_arg1569z00_1076;

							BgL_arg1569z00_1076 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1069)))->BgL_valsz00);
							BgL_lz00_1077 = BgL_arg1569z00_1076;
							BgL_rz00_1078 = BINT(BgL_nz00_1074);
						BgL_zc3anonymousza31570ze3z83_1079:
							if (NULLP(BgL_lz00_1077))
								{	/* Eval/evaluate_fsize.scm 134 */
									int BgL_xz00_1081;

									{	/* Eval/evaluate_fsize.scm 134 */
										BgL_ev_exprz00_bglt BgL_arg1572z00_1083;

										BgL_arg1572z00_1083 =
											(((BgL_ev_binderz00_bglt) CREF(
													((BgL_ev_binderz00_bglt) BgL_ez00_1069)))->
											BgL_bodyz00);
										BgL_xz00_1081 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1572z00_1083,
											(int) (BgL_nz00_1074));
									}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1081),
										BgL_rz00_1078);
								}
							else
								{	/* Eval/evaluate_fsize.scm 135 */
									obj_t BgL_arg1573z00_1084;
									obj_t BgL_arg1574z00_1085;

									BgL_arg1573z00_1084 = CDR(BgL_lz00_1077);
									{	/* Eval/evaluate_fsize.scm 135 */
										int BgL_xz00_1086;

										{	/* Eval/evaluate_fsize.scm 135 */
											obj_t BgL_arg1575z00_1088;

											BgL_arg1575z00_1088 = CAR(BgL_lz00_1077);
											BgL_xz00_1086 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1575z00_1088),
												(int) (BgL_nz00_1074));
										}
										BgL_arg1574z00_1085 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1086),
											BgL_rz00_1078);
									}
									{
										obj_t BgL_rz00_4808;
										obj_t BgL_lz00_4807;

										BgL_lz00_4807 = BgL_arg1573z00_1084;
										BgL_rz00_4808 = BgL_arg1574z00_1085;
										BgL_rz00_1078 = BgL_rz00_4808;
										BgL_lz00_1077 = BgL_lz00_4807;
										goto BgL_zc3anonymousza31570ze3z83_1079;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_let*1287 */
	obj_t BGl_z62fsiza7ezd2ev_letza21287zb5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3477, obj_t BgL_ez00_3478, obj_t BgL_nz00_3479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 122 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1046;
				int BgL_nz00_1047;

				BgL_ez00_1046 = ((BgL_ev_letza2za2_bglt) BgL_ez00_3478);
				BgL_nz00_1047 = CINT(BgL_nz00_3479);
				{	/* Eval/evaluate_fsize.scm 124 */
					obj_t BgL_arg1559z00_1052;

					BgL_arg1559z00_1052 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1046)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2455;
						int BgL_nz00_2456;
						obj_t BgL_rz00_2457;

						BgL_lz00_2455 = BgL_arg1559z00_1052;
						BgL_nz00_2456 = BgL_nz00_1047;
						BgL_rz00_2457 = BINT(BgL_nz00_1047);
					BgL_recz00_2454:
						if (NULLP(BgL_lz00_2455))
							{	/* Eval/evaluate_fsize.scm 126 */
								int BgL_xz00_2469;

								{	/* Eval/evaluate_fsize.scm 126 */
									BgL_ev_exprz00_bglt BgL_arg1562z00_2471;

									BgL_arg1562z00_2471 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1046)))->BgL_bodyz00);
									BgL_xz00_2469 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1562z00_2471,
										BgL_nz00_2456);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2469),
									BgL_rz00_2457);
							}
						else
							{	/* Eval/evaluate_fsize.scm 127 */
								obj_t BgL_arg1563z00_2472;
								long BgL_arg1565z00_2473;
								obj_t BgL_arg1567z00_2474;

								BgL_arg1563z00_2472 = CDR(BgL_lz00_2455);
								BgL_arg1565z00_2473 = ((long) (BgL_nz00_2456) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 127 */
									int BgL_xz00_2475;

									{	/* Eval/evaluate_fsize.scm 127 */
										obj_t BgL_arg1568z00_2477;

										BgL_arg1568z00_2477 = CAR(BgL_lz00_2455);
										BgL_xz00_2475 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1568z00_2477),
											BgL_nz00_2456);
									}
									BgL_arg1567z00_2474 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2475),
										BgL_rz00_2457);
								}
								{
									obj_t BgL_rz00_4832;
									int BgL_nz00_4830;
									obj_t BgL_lz00_4829;

									BgL_lz00_4829 = BgL_arg1563z00_2472;
									BgL_nz00_4830 = (int) (BgL_arg1565z00_2473);
									BgL_rz00_4832 = BgL_arg1567z00_2474;
									BgL_rz00_2457 = BgL_rz00_4832;
									BgL_nz00_2456 = BgL_nz00_4830;
									BgL_lz00_2455 = BgL_lz00_4829;
									goto BgL_recz00_2454;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_let1285 */
	obj_t BGl_z62fsiza7ezd2ev_let1285z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3480, obj_t BgL_ez00_3481, obj_t BgL_nz00_3482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 115 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1023;
				int BgL_nz00_1024;

				BgL_ez00_1023 = ((BgL_ev_letz00_bglt) BgL_ez00_3481);
				BgL_nz00_1024 = CINT(BgL_nz00_3482);
				{	/* Eval/evaluate_fsize.scm 117 */
					obj_t BgL_arg1548z00_1029;

					BgL_arg1548z00_1029 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1023)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2387;
						int BgL_nz00_2388;
						obj_t BgL_rz00_2389;

						BgL_lz00_2387 = BgL_arg1548z00_1029;
						BgL_nz00_2388 = BgL_nz00_1024;
						BgL_rz00_2389 = BINT(BgL_nz00_1024);
					BgL_recz00_2386:
						if (NULLP(BgL_lz00_2387))
							{	/* Eval/evaluate_fsize.scm 119 */
								int BgL_xz00_2401;

								{	/* Eval/evaluate_fsize.scm 119 */
									BgL_ev_exprz00_bglt BgL_arg1551z00_2403;

									BgL_arg1551z00_2403 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1023)))->BgL_bodyz00);
									BgL_xz00_2401 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1551z00_2403,
										BgL_nz00_2388);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2401),
									BgL_rz00_2389);
							}
						else
							{	/* Eval/evaluate_fsize.scm 120 */
								obj_t BgL_arg1555z00_2404;
								long BgL_arg1556z00_2405;
								obj_t BgL_arg1557z00_2406;

								BgL_arg1555z00_2404 = CDR(BgL_lz00_2387);
								BgL_arg1556z00_2405 = ((long) (BgL_nz00_2388) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 120 */
									int BgL_xz00_2407;

									{	/* Eval/evaluate_fsize.scm 120 */
										obj_t BgL_arg1558z00_2409;

										BgL_arg1558z00_2409 = CAR(BgL_lz00_2387);
										BgL_xz00_2407 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1558z00_2409),
											BgL_nz00_2388);
									}
									BgL_arg1557z00_2406 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2407),
										BgL_rz00_2389);
								}
								{
									obj_t BgL_rz00_4856;
									int BgL_nz00_4854;
									obj_t BgL_lz00_4853;

									BgL_lz00_4853 = BgL_arg1555z00_2404;
									BgL_nz00_4854 = (int) (BgL_arg1556z00_2405);
									BgL_rz00_4856 = BgL_arg1557z00_2406;
									BgL_rz00_2389 = BgL_rz00_4856;
									BgL_nz00_2388 = BgL_nz00_4854;
									BgL_lz00_2387 = BgL_lz00_4853;
									goto BgL_recz00_2386;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_synchronize1283 */
	obj_t BGl_z62fsiza7ezd2ev_synchroniza7e1283zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3483, obj_t BgL_ez00_3484, obj_t BgL_nz00_3485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 111 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1010;
				int BgL_nz00_1011;

				BgL_ez00_1010 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3484);
				BgL_nz00_1011 = CINT(BgL_nz00_3485);
				{	/* Eval/evaluate_fsize.scm 113 */
					int BgL_arg1543z00_2342;
					obj_t BgL_arg1544z00_2343;

					BgL_arg1543z00_2342 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1010))->
							BgL_mutexz00), BgL_nz00_1011);
					{	/* Eval/evaluate_fsize.scm 113 */
						int BgL_xz00_2345;
						int BgL_yz00_2346;

						BgL_xz00_2345 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1010))->
								BgL_prelockz00), BgL_nz00_1011);
						BgL_yz00_2346 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
									(BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1010))->
								BgL_bodyz00), BgL_nz00_1011);
						BgL_arg1544z00_2343 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2345),
							BINT(BgL_yz00_2346));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1543z00_2342),
						BgL_arg1544z00_2343);
				}
			}
		}
	}



/* &fsize-ev_with-handle1281 */
	obj_t BGl_z62fsiza7ezd2ev_withzd2handle1281zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3486, obj_t BgL_ez00_3487, obj_t BgL_nz00_3488)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 107 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1000;
				int BgL_nz00_1001;

				BgL_ez00_1000 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3487);
				BgL_nz00_1001 = CINT(BgL_nz00_3488);
				{	/* Eval/evaluate_fsize.scm 109 */
					int BgL_xz00_2337;
					int BgL_yz00_2338;

					BgL_xz00_2337 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1000))->
							BgL_handlerz00), BgL_nz00_1001);
					BgL_yz00_2338 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1000))->
							BgL_bodyz00), BgL_nz00_1001);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2337),
						BINT(BgL_yz00_2338));
				}
			}
		}
	}



/* &fsize-ev_unwind-prot1279 */
	obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1279zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3489, obj_t BgL_ez00_3490, obj_t BgL_nz00_3491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 103 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_990;
				int BgL_nz00_991;

				BgL_ez00_990 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3490);
				BgL_nz00_991 = CINT(BgL_nz00_3491);
				{	/* Eval/evaluate_fsize.scm 105 */
					int BgL_xz00_2332;
					int BgL_yz00_2333;

					BgL_xz00_2332 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_990))->BgL_ez00),
						BgL_nz00_991);
					BgL_yz00_2333 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_990))->
							BgL_bodyz00), BgL_nz00_991);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2332),
						BINT(BgL_yz00_2333));
				}
			}
		}
	}



/* &fsize-ev_bind-exit1277 */
	obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1277zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3492, obj_t BgL_ez00_3493, obj_t BgL_nz00_3494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 99 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_982;
				int BgL_nz00_983;

				{	/* Eval/evaluate_fsize.scm 100 */
					int BgL_auxz00_4891;

					BgL_ez00_982 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3493);
					BgL_nz00_983 = CINT(BgL_nz00_3494);
					{	/* Eval/evaluate_fsize.scm 101 */
						BgL_ev_exprz00_bglt BgL_arg1534z00_2326;
						long BgL_arg1535z00_2327;

						BgL_arg1534z00_2326 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_982))->BgL_bodyz00);
						BgL_arg1535z00_2327 = ((long) (BgL_nz00_983) + ((long) 1));
						BgL_auxz00_4891 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1534z00_2326,
							(int) (BgL_arg1535z00_2327));
					}
					return BINT(BgL_auxz00_4891);
				}
			}
		}
	}



/* &fsize-ev_hook1275 */
	obj_t BGl_z62fsiza7ezd2ev_hook1275z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3495, obj_t BgL_ez00_3496, obj_t BgL_nz00_3497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 95 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_975;
				int BgL_nz00_976;

				{	/* Eval/evaluate_fsize.scm 96 */
					int BgL_auxz00_4900;

					BgL_ez00_975 = ((BgL_ev_hookz00_bglt) BgL_ez00_3496);
					BgL_nz00_976 = CINT(BgL_nz00_3497);
					BgL_auxz00_4900 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_975))->BgL_ez00),
						BgL_nz00_976);
					return BINT(BgL_auxz00_4900);
				}
			}
		}
	}



/* &fsize-ev_prog21273 */
	obj_t BGl_z62fsiza7ezd2ev_prog21273z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3498, obj_t BgL_ez00_3499, obj_t BgL_nz00_3500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_965;
				int BgL_nz00_966;

				BgL_ez00_965 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3499);
				BgL_nz00_966 = CINT(BgL_nz00_3500);
				{	/* Eval/evaluate_fsize.scm 93 */
					int BgL_xz00_2319;
					int BgL_yz00_2320;

					BgL_xz00_2319 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_965))->BgL_e1z00),
						BgL_nz00_966);
					BgL_yz00_2320 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_965))->BgL_e2z00), BgL_nz00_966);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2319),
						BINT(BgL_yz00_2320));
				}
			}
		}
	}



/* &fsize-ev_list1271 */
	obj_t BGl_z62fsiza7ezd2ev_list1271z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3501, obj_t BgL_ez00_3502, obj_t BgL_nz00_3503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 84 */
			{
				BgL_ev_listz00_bglt BgL_ez00_947;
				int BgL_nz00_948;

				BgL_ez00_947 = ((BgL_ev_listz00_bglt) BgL_ez00_3502);
				BgL_nz00_948 = CINT(BgL_nz00_3503);
				{	/* Eval/evaluate_fsize.scm 86 */
					obj_t BgL_arg1519z00_953;

					BgL_arg1519z00_953 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_947))->BgL_argsz00);
					{
						obj_t BgL_lz00_2300;
						obj_t BgL_rz00_2301;

						BgL_lz00_2300 = BgL_arg1519z00_953;
						BgL_rz00_2301 = BINT(BgL_nz00_948);
					BgL_recz00_2299:
						if (NULLP(BgL_lz00_2300))
							{	/* Eval/evaluate_fsize.scm 87 */
								return BgL_rz00_2301;
							}
						else
							{	/* Eval/evaluate_fsize.scm 89 */
								obj_t BgL_arg1522z00_2309;
								obj_t BgL_arg1525z00_2310;

								BgL_arg1522z00_2309 = CDR(BgL_lz00_2300);
								{	/* Eval/evaluate_fsize.scm 89 */
									int BgL_yz00_2312;

									{	/* Eval/evaluate_fsize.scm 89 */
										obj_t BgL_arg1527z00_2313;

										BgL_arg1527z00_2313 = CAR(BgL_lz00_2300);
										BgL_yz00_2312 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1527z00_2313),
											BgL_nz00_948);
									}
									BgL_arg1525z00_2310 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_2301,
										BINT(BgL_yz00_2312));
								}
								{
									obj_t BgL_rz00_4925;
									obj_t BgL_lz00_4924;

									BgL_lz00_4924 = BgL_arg1522z00_2309;
									BgL_rz00_4925 = BgL_arg1525z00_2310;
									BgL_rz00_2301 = BgL_rz00_4925;
									BgL_lz00_2300 = BgL_lz00_4924;
									goto BgL_recz00_2299;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_if1269 */
	obj_t BGl_z62fsiza7ezd2ev_if1269z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3504, obj_t BgL_ez00_3505, obj_t BgL_nz00_3506)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 80 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_934;
				int BgL_nz00_935;

				BgL_ez00_934 = ((BgL_ev_ifz00_bglt) BgL_ez00_3505);
				BgL_nz00_935 = CINT(BgL_nz00_3506);
				{	/* Eval/evaluate_fsize.scm 82 */
					int BgL_arg1514z00_2270;
					obj_t BgL_arg1515z00_2271;

					BgL_arg1514z00_2270 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_934))->BgL_pz00), BgL_nz00_935);
					{	/* Eval/evaluate_fsize.scm 82 */
						int BgL_xz00_2273;
						int BgL_yz00_2274;

						BgL_xz00_2273 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_934))->BgL_tz00),
							BgL_nz00_935);
						BgL_yz00_2274 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_ifz00_bglt)
									CREF(BgL_ez00_934))->BgL_ez00), BgL_nz00_935);
						BgL_arg1515z00_2271 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2273),
							BINT(BgL_yz00_2274));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1514z00_2270),
						BgL_arg1515z00_2271);
				}
			}
		}
	}



/* &fsize-ev_litt1267 */
	obj_t BGl_z62fsiza7ezd2ev_litt1267z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3507, obj_t BgL_ez00_3508, obj_t BgL_nz00_3509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 77 */
			return BINT(CINT(BgL_nz00_3509));
		}
	}



/* &fsize-ev_global1265 */
	obj_t BGl_z62fsiza7ezd2ev_global1265z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3510, obj_t BgL_varz00_3511, obj_t BgL_nz00_3512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 74 */
			return BINT(CINT(BgL_nz00_3512));
		}
	}



/* &fsize-ev_var1263 */
	obj_t BGl_z62fsiza7ezd2ev_var1263z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3513, obj_t BgL_ez00_3514, obj_t BgL_nz00_3515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 71 */
			return BINT(CINT(BgL_nz00_3515));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 189425161),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 368290641),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 231561374),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2235z00zz__evaluate_fsiza7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
