/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.1a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 20 08:08:12 CET 2014        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.1a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2562z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2567z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31887ze3ze1zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2575z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2580z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt
		BGl_z62zc3anonymousza31502ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2590z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2595z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32059ze3ze1zz__evaluate_typesz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_andz00_bglt
		BGl_z62zc3anonymousza31631ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31705ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_ifz00_bglt
		BGl_z62zc3anonymousza31580ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31564ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31743ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31908ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31763ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31836ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_listz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1610z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1617z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2410z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2414z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2418z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_andz00_bglt BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31929ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31678ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2423z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2427z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31784ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2432z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2437z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt
		BGl_z62zc3anonymousza32022ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2604z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2442z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2446z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2610z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2450z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2614z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2455z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2621z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2625z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_binderz00_bglt BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1834z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2631z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2638z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2476z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1840z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2646z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2487z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2651z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2492z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2656z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2496z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letz00_bglt BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2661z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2663z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32045ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32029ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31897ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2671z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2675z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2682z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2684z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_letrecz00_bglt BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_appz00_bglt
		BGl_z62zc3anonymousza31989ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31515ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_orz00_bglt
		BGl_z62zc3anonymousza31621ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31606ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31535ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31641ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda2004z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62zc3anonymousza31805ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31733ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2044z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31663ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2050z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2051z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2057z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2063z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2068z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2069z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2073z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1507z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2074z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2078z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda2079z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2084z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2085z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31489ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt
		BGl_z62zc3anonymousza31862ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static BgL_ev_globalz00_bglt BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31936ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1541z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1547z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2500z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1714z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2514z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2358z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1562z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31688ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2520z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2360z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2525z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2364z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2366z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2531z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2371z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2535z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2377z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1584z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1589z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2542z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2382z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2548z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2386z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31869ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2552z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2392z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2557z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2397z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2400z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1569za7622686z00,
		BGl_z62lambda1569z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2403z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72687za7,
		BGl_z62zc3anonymousza31564ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1562za7622688z00,
		BGl_z62lambda1562z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1560za7622689z00,
		BGl_z62lambda1560z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1585za7622690z00,
		BGl_z62lambda1585z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1584za7622691z00,
		BGl_z62lambda1584z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2412z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1590za7622692z00,
		BGl_z62lambda1590z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1589za7622693z00,
		BGl_z62lambda1589z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2501z00zz__evaluate_typesz00,
		BgL_bgl_string2501za700za7za7_2694za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1595za7622695z00,
		BGl_z62lambda1595z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1594za7622696z00,
		BGl_z62lambda1594z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2506z00zz__evaluate_typesz00,
		BgL_bgl_string2506za700za7za7_2697za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72698za7,
		BGl_z62zc3anonymousza31580ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2421z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1578za7622699z00,
		BGl_z62lambda1578z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1576za7622700z00,
		BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1611za7622701z00,
		BGl_z62lambda1611z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1610za7622702z00,
		BGl_z62lambda1610z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2515z00zz__evaluate_typesz00,
		BgL_bgl_string2515za700za7za7_2703za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72704za7,
		BGl_z62zc3anonymousza31606ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2359z00zz__evaluate_typesz00,
		BgL_bgl_string2359za700za7za7_2705za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1604za7622706z00,
		BGl_z62lambda1604z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1602za7622707z00,
		BGl_z62lambda1602z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2521z00zz__evaluate_typesz00,
		BgL_bgl_string2521za700za7za7_2708za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72709za7,
		BGl_z62zc3anonymousza31621ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1619za7622710z00,
		BGl_z62lambda1619z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2436z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1617za7622711z00,
		BGl_z62lambda1617z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2361z00zz__evaluate_typesz00,
		BgL_bgl_string2361za700za7za7_2712za7, "__evaluate_types", 16);
	      DEFINE_STRING(BGl_string2526z00zz__evaluate_typesz00,
		BgL_bgl_string2526za700za7za7_2713za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72714za7,
		BGl_z62zc3anonymousza31631ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2365z00zz__evaluate_typesz00,
		BgL_bgl_string2365za700za7za7_2715za7, "type", 4);
	      DEFINE_STRING(BGl_string2367z00zz__evaluate_typesz00,
		BgL_bgl_string2367za700za7za7_2716za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1945za7622717z00,
		BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72718za7,
		BGl_z62zc3anonymousza31908ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1906za7622719z00,
		BGl_z62lambda1906z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1629za7622720z00,
		BGl_z62lambda1629z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1904za7622721z00,
		BGl_z62lambda1904z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1627za7622722z00,
		BGl_z62lambda1627z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1961za7622723z00,
		BGl_z62lambda1961z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1647za7622724z00,
		BGl_z62lambda1647z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1960za7622725z00,
		BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2532z00zz__evaluate_typesz00,
		BgL_bgl_string2532za700za7za7_2726za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1646za7622727z00,
		BGl_z62lambda1646z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2608z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1968za7622728z00,
		BGl_z62lambda1968z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2609z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1967za7622729z00,
		BGl_z62lambda1967z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2372z00zz__evaluate_typesz00,
		BgL_bgl_string2372za700za7za7_2730za7, "eff", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1652za7622731z00,
		BGl_z62lambda1652z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2536z00zz__evaluate_typesz00,
		BgL_bgl_string2536za700za7za7_2732za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1651za7622733z00,
		BGl_z62lambda1651z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2376z00zz__evaluate_typesz00,
		BgL_bgl_string2376za700za7za7_2734za7, "name", 4);
	      DEFINE_STRING(BGl_string2378z00zz__evaluate_typesz00,
		BgL_bgl_string2378za700za7za7_2735za7, "symbol", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1974za7622736z00,
		BGl_z62lambda1974z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1973za7622737z00,
		BGl_z62lambda1973z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72738za7,
		BGl_z62zc3anonymousza31641ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1639za7622739z00,
		BGl_z62lambda1639z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1979za7622740z00,
		BGl_z62lambda1979z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1637za7622741z00,
		BGl_z62lambda1637z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1978za7622742z00,
		BGl_z62lambda1978z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2618z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72743za7,
		BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2543z00zz__evaluate_typesz00,
		BgL_bgl_string2543za700za7za7_2744za7, "ev_synchronize", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2619z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1954za7622745z00,
		BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1668za7622746z00,
		BGl_z62lambda1668z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1667za7622747z00,
		BGl_z62lambda1667z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2383z00zz__evaluate_typesz00,
		BgL_bgl_string2383za700za7za7_2748za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72749za7,
		BGl_z62zc3anonymousza31663ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2549z00zz__evaluate_typesz00,
		BgL_bgl_string2549za700za7za7_2750za7, "vals", 4);
	      DEFINE_STRING(BGl_string2387z00zz__evaluate_typesz00,
		BgL_bgl_string2387za700za7za7_2751za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2620z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1952za7622752z00,
		BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1661za7622753z00,
		BGl_z62lambda1661z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2623z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1994za7622754z00,
		BGl_z62lambda1994z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1659za7622755z00,
		BGl_z62lambda1659z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2624z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1993za7622756z00,
		BGl_z62lambda1993z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72757za7,
		BGl_z62zc3anonymousza31678ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1999za7622758z00,
		BGl_z62lambda1999z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1676za7622759z00,
		BGl_z62lambda1676z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1998za7622760z00,
		BGl_z62lambda1998z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2553z00zz__evaluate_typesz00,
		BgL_bgl_string2553za700za7za7_2761za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1674za7622762z00,
		BGl_z62lambda1674z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2005za7622763z00,
		BGl_z62lambda2005z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2393z00zz__evaluate_typesz00,
		BgL_bgl_string2393za700za7za7_2764za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1693za7622765z00,
		BGl_z62lambda1693z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2558z00zz__evaluate_typesz00,
		BgL_bgl_string2558za700za7za7_2766za7, "ev_binder", 9);
	      DEFINE_STRING(BGl_string2398z00zz__evaluate_typesz00,
		BgL_bgl_string2398za700za7za7_2767za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2004za7622768z00,
		BGl_z62lambda2004z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1692za7622769z00,
		BGl_z62lambda1692z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2633z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2010za7622770z00,
		BGl_z62lambda2010z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2009za7622771z00,
		BGl_z62lambda2009z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72772za7,
		BGl_z62zc3anonymousza31989ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72773za7,
		BGl_z62zc3anonymousza31688ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1987za7622774z00,
		BGl_z62lambda1987z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1686za7622775z00,
		BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2637z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1985za7622776z00,
		BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1684za7622777z00,
		BGl_z62lambda1684z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2563z00zz__evaluate_typesz00,
		BgL_bgl_string2563za700za7za7_2778za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1710za7622779z00,
		BGl_z62lambda1710z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1709za7622780z00,
		BGl_z62lambda1709z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2568z00zz__evaluate_typesz00,
		BgL_bgl_string2568za700za7za7_2781za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2640z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72782za7,
		BGl_z62zc3anonymousza32029ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2028za7622783z00,
		BGl_z62lambda2028z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2027za7622784z00,
		BGl_z62lambda2027z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1715za7622785z00,
		BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72786za7,
		BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1714za7622787z00,
		BGl_z62lambda1714z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2036za7622788z00,
		BGl_z62lambda2036z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1721za7622789z00,
		BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2035za7622790z00,
		BGl_z62lambda2035z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1720za7622791z00,
		BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72792za7,
		BGl_z62zc3anonymousza31705ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1702za7622793z00,
		BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72794za7,
		BGl_z62zc3anonymousza32045ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1700za7622795z00,
		BGl_z62lambda1700z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2649z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2044za7622796z00,
		BGl_z62lambda2044z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2576z00zz__evaluate_typesz00,
		BgL_bgl_string2576za700za7za7_2797za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72798za7,
		BGl_z62zc3anonymousza31733ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2650z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2043za7622799z00,
		BGl_z62lambda2043z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1731za7622800z00,
		BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72801za7,
		BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1728za7622802z00,
		BGl_z62lambda1728z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2051za7622803z00,
		BGl_z62lambda2051z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2655z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2050za7622804z00,
		BGl_z62lambda2050z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2581z00zz__evaluate_typesz00,
		BgL_bgl_string2581za700za7za7_2805za7, "ev_letrec", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1748za7622806z00,
		BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1747za7622807z00,
		BGl_z62lambda1747z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72808za7,
		BGl_z62zc3anonymousza32059ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2058za7622809z00,
		BGl_z62lambda2058z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1753za7622810z00,
		BGl_z62lambda1753z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1752za7622811z00,
		BGl_z62lambda1752z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2057za7622812z00,
		BGl_z62lambda2057z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2665z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2064za7622813z00,
		BGl_z62lambda2064z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2666z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2063za7622814z00,
		BGl_z62lambda2063z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2591z00zz__evaluate_typesz00,
		BgL_bgl_string2591za700za7za7_2815za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2069za7622816z00,
		BGl_z62lambda2069z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2668z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2068za7622817z00,
		BGl_z62lambda2068z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2074za7622818z00,
		BGl_z62lambda2074z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2596z00zz__evaluate_typesz00,
		BgL_bgl_string2596za700za7za7_2819za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2073za7622820z00,
		BGl_z62lambda2073z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2079za7622821z00,
		BGl_z62lambda2079z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2078za7622822z00,
		BGl_z62lambda2078z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2085za7622823z00,
		BGl_z62lambda2085z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2678z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2084za7622824z00,
		BGl_z62lambda2084z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72825za7,
		BGl_z62zc3anonymousza32022ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2680z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2020za7622826z00,
		BGl_z62lambda2020z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2017za7622827z00,
		BGl_z62lambda2017z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STRING(BGl_string2402z00zz__evaluate_typesz00,
		BgL_bgl_string2402za700za7za7_2828za7, "value", 5);
	      DEFINE_STRING(BGl_string2407z00zz__evaluate_typesz00,
		BgL_bgl_string2407za700za7za7_2829za7, "ev_litt", 7);
	      DEFINE_STRING(BGl_string2411z00zz__evaluate_typesz00,
		BgL_bgl_string2411za700za7za7_2830za7, "e", 1);
	      DEFINE_STRING(BGl_string2415z00zz__evaluate_typesz00,
		BgL_bgl_string2415za700za7za7_2831za7, "t", 1);
	      DEFINE_STRING(BGl_string2419z00zz__evaluate_typesz00,
		BgL_bgl_string2419za700za7za7_2832za7, "p", 1);
	      DEFINE_STRING(BGl_string2424z00zz__evaluate_typesz00,
		BgL_bgl_string2424za700za7za7_2833za7, "ev_if", 5);
	      DEFINE_STRING(BGl_string2428z00zz__evaluate_typesz00,
		BgL_bgl_string2428za700za7za7_2834za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72835za7,
		BGl_z62zc3anonymousza31743ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1741za7622836z00,
		BGl_z62lambda1741z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1739za7622837z00,
		BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1768za7622838z00,
		BGl_z62lambda1768z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1767za7622839z00,
		BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2433z00zz__evaluate_typesz00,
		BgL_bgl_string2433za700za7za7_2840za7, "ev_list", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1773za7622841z00,
		BGl_z62lambda1773z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2438z00zz__evaluate_typesz00,
		BgL_bgl_string2438za700za7za7_2842za7, "ev_or", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1772za7622843z00,
		BGl_z62lambda1772z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72844za7,
		BGl_z62zc3anonymousza31763ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1761za7622845z00,
		BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1759za7622846z00,
		BGl_z62lambda1759z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1789za7622847z00,
		BGl_z62lambda1789z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1788za7622848z00,
		BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72849za7,
		BGl_z62zc3anonymousza31489ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2605z00zz__evaluate_typesz00,
		BgL_bgl_string2605za700za7za7_2850za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1794za7622851z00,
		BGl_z62lambda1794z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2443z00zz__evaluate_typesz00,
		BgL_bgl_string2443za700za7za7_2852za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1487za7622853z00,
		BGl_z62lambda1487z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1793za7622854z00,
		BGl_z62lambda1793z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1485za7622855z00,
		BGl_z62lambda1485z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2447z00zz__evaluate_typesz00,
		BgL_bgl_string2447za700za7za7_2856za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72857za7,
		BGl_z62zc3anonymousza31784ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1782za7622858z00,
		BGl_z62lambda1782z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2611z00zz__evaluate_typesz00,
		BgL_bgl_string2611za700za7za7_2859za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1780za7622860z00,
		BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1507za7622861z00,
		BGl_z62lambda1507z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1506za7622862z00,
		BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2451z00zz__evaluate_typesz00,
		BgL_bgl_string2451za700za7za7_2863za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1810za7622864z00,
		BGl_z62lambda1810z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2615z00zz__evaluate_typesz00,
		BgL_bgl_string2615za700za7za7_2865za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1809za7622866z00,
		BGl_z62lambda1809z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1815za7622867z00,
		BGl_z62lambda1815z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72868za7,
		BGl_z62zc3anonymousza31515ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2456z00zz__evaluate_typesz00,
		BgL_bgl_string2456za700za7za7_2869za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1514za7622870z00,
		BGl_z62lambda1514z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1814za7622871z00,
		BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1513za7622872z00,
		BGl_z62lambda1513z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1820za7622873z00,
		BGl_z62lambda1820z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1819za7622874z00,
		BGl_z62lambda1819z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2622z00zz__evaluate_typesz00,
		BgL_bgl_string2622za700za7za7_2875za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1520za7622876z00,
		BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1519za7622877z00,
		BGl_z62lambda1519z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1825za7622878z00,
		BGl_z62lambda1825z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1824za7622879z00,
		BGl_z62lambda1824z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2463z00zz__evaluate_typesz00,
		BgL_bgl_string2463za700za7za7_2880za7, "ev_hook", 7);
	      DEFINE_STRING(BGl_string2626z00zz__evaluate_typesz00,
		BgL_bgl_string2626za700za7za7_2881za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72882za7,
		BGl_z62zc3anonymousza31805ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72883za7,
		BGl_z62zc3anonymousza31502ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2468z00zz__evaluate_typesz00,
		BgL_bgl_string2468za700za7za7_2884za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1803za7622885z00,
		BGl_z62lambda1803z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1801za7622886z00,
		BGl_z62lambda1801z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2380z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1499za7622887z00,
		BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2381z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1495za7622888z00,
		BGl_z62lambda1495z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1841za7622889z00,
		BGl_z62lambda1841z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2632z00zz__evaluate_typesz00,
		BgL_bgl_string2632za700za7za7_2890za7, "fun", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1840za7622891z00,
		BGl_z62lambda1840z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1846za7622892z00,
		BGl_z62lambda1846z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1541za7622893z00,
		BGl_z62lambda1541z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1845za7622894z00,
		BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2472z00zz__evaluate_typesz00,
		BgL_bgl_string2472za700za7za7_2895za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2385z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1540za7622896z00,
		BGl_z62lambda1540z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2388z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1547za7622897z00,
		BGl_z62lambda1547z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2389z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1546za7622898z00,
		BGl_z62lambda1546z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2639z00zz__evaluate_typesz00,
		BgL_bgl_string2639za700za7za7_2899za7, "ev_app", 6);
	      DEFINE_STRING(BGl_string2477z00zz__evaluate_typesz00,
		BgL_bgl_string2477za700za7za7_2900za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1851za7622901z00,
		BGl_z62lambda1851z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1850za7622902z00,
		BGl_z62lambda1850z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1552za7622903z00,
		BGl_z62lambda1552z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1551za7622904z00,
		BGl_z62lambda1551z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72905za7,
		BGl_z62zc3anonymousza31836ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1834za7622906z00,
		BGl_z62lambda1834z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1832za7622907z00,
		BGl_z62lambda1832z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2394z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72908za7,
		BGl_z62zc3anonymousza31535ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2395z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1533za7622909z00,
		BGl_z62lambda1533z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1530za7622910z00,
		BGl_z62lambda1530z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72911za7,
		BGl_z62zc3anonymousza31869ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2647z00zz__evaluate_typesz00,
		BgL_bgl_string2647za700za7za7_2912za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1570za7622913z00,
		BGl_z62lambda1570z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2488z00zz__evaluate_typesz00,
		BgL_bgl_string2488za700za7za7_2914za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1868za7622915z00,
		BGl_z62lambda1868z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2561z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1867za7622916z00,
		BGl_z62lambda1867z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72917za7,
		BGl_z62zc3anonymousza31862ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2652z00zz__evaluate_typesz00,
		BgL_bgl_string2652za700za7za7_2918za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1860za7622919z00,
		BGl_z62lambda1860z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1858za7622920z00,
		BGl_z62lambda1858z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2493z00zz__evaluate_typesz00,
		BgL_bgl_string2493za700za7za7_2921za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72922za7,
		BGl_z62zc3anonymousza31887ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2657z00zz__evaluate_typesz00,
		BgL_bgl_string2657za700za7za7_2923za7, "bind", 4);
	      DEFINE_STRING(BGl_string2497z00zz__evaluate_typesz00,
		BgL_bgl_string2497za700za7za7_2924za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1886za7622925z00,
		BGl_z62lambda1886z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2571z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1885za7622926z00,
		BGl_z62lambda1885z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72927za7,
		BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1878za7622928z00,
		BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1875za7622929z00,
		BGl_z62lambda1875z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2662z00zz__evaluate_typesz00,
		BgL_bgl_string2662za700za7za7_2930za7, "size", 4);
	      DEFINE_STRING(BGl_string2664z00zz__evaluate_typesz00,
		BgL_bgl_string2664za700za7za7_2931za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72932za7,
		BGl_z62zc3anonymousza31897ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1895za7622933z00,
		BGl_z62lambda1895z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2579z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1893za7622934z00,
		BGl_z62lambda1893z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72935za7,
		BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1914za7622936z00,
		BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1913za7622937z00,
		BGl_z62lambda1913z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2672z00zz__evaluate_typesz00,
		BgL_bgl_string2672za700za7za7_2938za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1921za7622939z00,
		BGl_z62lambda1921z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2586z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1920za7622940z00,
		BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72941za7,
		BGl_z62zc3anonymousza31929ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1928za7622942z00,
		BGl_z62lambda1928z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2676z00zz__evaluate_typesz00,
		BgL_bgl_string2676za700za7za7_2943za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1927za7622944z00,
		BGl_z62lambda1927z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72945za7,
		BGl_z62zc3anonymousza31936ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1935za7622946z00,
		BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1934za7622947z00,
		BGl_z62lambda1934z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2683z00zz__evaluate_typesz00,
		BgL_bgl_string2683za700za7za7_2948za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2597z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1941za7622949z00,
		BGl_z62lambda1941z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2685z00zz__evaluate_typesz00,
		BgL_bgl_string2685za700za7za7_2950za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1940za7622951z00,
		BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1946za7622952z00,
		BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_3803, char *BgL_fromz00_3804)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2358z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2359z00zz__evaluate_typesz00);
			BGl_symbol2360z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2361z00zz__evaluate_typesz00);
			BGl_symbol2364z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2365z00zz__evaluate_typesz00);
			BGl_symbol2366z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2367z00zz__evaluate_typesz00);
			BGl_symbol2371z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2372z00zz__evaluate_typesz00);
			BGl_symbol2375z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00);
			BGl_symbol2377z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2378z00zz__evaluate_typesz00);
			BGl_symbol2382z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2383z00zz__evaluate_typesz00);
			BGl_symbol2386z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2387z00zz__evaluate_typesz00);
			BGl_symbol2392z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2393z00zz__evaluate_typesz00);
			BGl_symbol2397z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2398z00zz__evaluate_typesz00);
			BGl_symbol2401z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00);
			BGl_symbol2406z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00);
			BGl_symbol2410z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2411z00zz__evaluate_typesz00);
			BGl_symbol2414z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2415z00zz__evaluate_typesz00);
			BGl_symbol2418z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2419z00zz__evaluate_typesz00);
			BGl_symbol2423z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2424z00zz__evaluate_typesz00);
			BGl_symbol2427z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2428z00zz__evaluate_typesz00);
			BGl_symbol2432z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2433z00zz__evaluate_typesz00);
			BGl_symbol2437z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2438z00zz__evaluate_typesz00);
			BGl_symbol2442z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2443z00zz__evaluate_typesz00);
			BGl_symbol2446z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2447z00zz__evaluate_typesz00);
			BGl_symbol2450z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2451z00zz__evaluate_typesz00);
			BGl_symbol2455z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2456z00zz__evaluate_typesz00);
			BGl_symbol2462z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00);
			BGl_symbol2467z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00);
			BGl_symbol2471z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00);
			BGl_symbol2476z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2477z00zz__evaluate_typesz00);
			BGl_symbol2487z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2488z00zz__evaluate_typesz00);
			BGl_symbol2492z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2493z00zz__evaluate_typesz00);
			BGl_symbol2496z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2497z00zz__evaluate_typesz00);
			BGl_symbol2500z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2501z00zz__evaluate_typesz00);
			BGl_symbol2505z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00);
			BGl_symbol2514z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2515z00zz__evaluate_typesz00);
			BGl_symbol2520z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2521z00zz__evaluate_typesz00);
			BGl_symbol2525z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2526z00zz__evaluate_typesz00);
			BGl_symbol2531z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2532z00zz__evaluate_typesz00);
			BGl_symbol2535z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2536z00zz__evaluate_typesz00);
			BGl_symbol2542z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2543z00zz__evaluate_typesz00);
			BGl_symbol2548z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2549z00zz__evaluate_typesz00);
			BGl_symbol2552z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2553z00zz__evaluate_typesz00);
			BGl_symbol2557z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2558z00zz__evaluate_typesz00);
			BGl_symbol2562z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2563z00zz__evaluate_typesz00);
			BGl_symbol2567z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2568z00zz__evaluate_typesz00);
			BGl_symbol2575z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2576z00zz__evaluate_typesz00);
			BGl_symbol2580z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2581z00zz__evaluate_typesz00);
			BGl_symbol2590z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2591z00zz__evaluate_typesz00);
			BGl_symbol2595z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2596z00zz__evaluate_typesz00);
			BGl_symbol2604z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2605z00zz__evaluate_typesz00);
			BGl_symbol2610z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2611z00zz__evaluate_typesz00);
			BGl_symbol2614z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2615z00zz__evaluate_typesz00);
			BGl_symbol2621z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2622z00zz__evaluate_typesz00);
			BGl_symbol2625z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2626z00zz__evaluate_typesz00);
			BGl_symbol2631z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2632z00zz__evaluate_typesz00);
			BGl_symbol2638z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2639z00zz__evaluate_typesz00);
			BGl_symbol2646z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2647z00zz__evaluate_typesz00);
			BGl_symbol2651z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2652z00zz__evaluate_typesz00);
			BGl_symbol2656z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2657z00zz__evaluate_typesz00);
			BGl_symbol2661z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2662z00zz__evaluate_typesz00);
			BGl_symbol2663z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2664z00zz__evaluate_typesz00);
			BGl_symbol2671z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2672z00zz__evaluate_typesz00);
			BGl_symbol2675z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2676z00zz__evaluate_typesz00);
			BGl_symbol2682z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2683z00zz__evaluate_typesz00);
			return (BGl_symbol2684z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2685z00zz__evaluate_typesz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1483z00_619;
				obj_t BgL_arg1484z00_620;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1384z00_630;

					BgL_v1384z00_630 = create_vector((int) (((long) 0)));
					BgL_arg1483z00_619 = BgL_v1384z00_630;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1385z00_631;

					BgL_v1385z00_631 = create_vector((int) (((long) 0)));
					BgL_arg1484z00_620 = BgL_v1385z00_631;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2358z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2357z00zz__evaluate_typesz00,
					BGl_proc2356z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2355z00zz__evaluate_typesz00, BFALSE, BgL_arg1483z00_619,
					BgL_arg1484z00_620);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1493z00_638;
				obj_t BgL_arg1494z00_639;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1386z00_652;

					BgL_v1386z00_652 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1386z00_652,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2364z00zz__evaluate_typesz00,
							BGl_proc2363z00zz__evaluate_typesz00,
							BGl_proc2362z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1386z00_652, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2371z00zz__evaluate_typesz00,
							BGl_proc2370z00zz__evaluate_typesz00,
							BGl_proc2369z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2368z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1386z00_652, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2375z00zz__evaluate_typesz00,
							BGl_proc2374z00zz__evaluate_typesz00,
							BGl_proc2373z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2377z00zz__evaluate_typesz00));
					BgL_arg1493z00_638 = BgL_v1386z00_652;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1387z00_692;

					BgL_v1387z00_692 = create_vector((int) (((long) 0)));
					BgL_arg1494z00_639 = BgL_v1387z00_692;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2382z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7625),
					BGl_proc2381z00zz__evaluate_typesz00,
					BGl_proc2380z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2379z00zz__evaluate_typesz00, BFALSE, BgL_arg1493z00_638,
					BgL_arg1494z00_639);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1527z00_699;
				obj_t BgL_arg1529z00_700;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1388z00_713;

					BgL_v1388z00_713 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1388z00_713,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2386z00zz__evaluate_typesz00,
							BGl_proc2385z00zz__evaluate_typesz00,
							BGl_proc2384z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1388z00_713, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2375z00zz__evaluate_typesz00,
							BGl_proc2389z00zz__evaluate_typesz00,
							BGl_proc2388z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2377z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1388z00_713, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2391z00zz__evaluate_typesz00,
							BGl_proc2390z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1527z00_699 = BgL_v1388z00_713;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1389z00_750;

					BgL_v1389z00_750 = create_vector((int) (((long) 0)));
					BgL_arg1529z00_700 = BgL_v1389z00_750;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2397z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2396z00zz__evaluate_typesz00,
					BGl_proc2395z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2394z00zz__evaluate_typesz00, BFALSE, BgL_arg1527z00_699,
					BgL_arg1529z00_700);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1558z00_757;
				obj_t BgL_arg1559z00_758;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1390z00_769;

					BgL_v1390z00_769 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1390z00_769,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2401z00zz__evaluate_typesz00,
							BGl_proc2400z00zz__evaluate_typesz00,
							BGl_proc2399z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1558z00_757 = BgL_v1390z00_769;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1391z00_782;

					BgL_v1391z00_782 = create_vector((int) (((long) 0)));
					BgL_arg1559z00_758 = BgL_v1391z00_782;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2406z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2405z00zz__evaluate_typesz00,
					BGl_proc2404z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2403z00zz__evaluate_typesz00, BFALSE, BgL_arg1558z00_757,
					BgL_arg1559z00_758);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1574z00_789;
				obj_t BgL_arg1575z00_790;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1392z00_803;

					BgL_v1392z00_803 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1392z00_803,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2410z00zz__evaluate_typesz00,
							BGl_proc2409z00zz__evaluate_typesz00,
							BGl_proc2408z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1392z00_803, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2414z00zz__evaluate_typesz00,
							BGl_proc2413z00zz__evaluate_typesz00,
							BGl_proc2412z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1392z00_803, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2418z00zz__evaluate_typesz00,
							BGl_proc2417z00zz__evaluate_typesz00,
							BGl_proc2416z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1574z00_789 = BgL_v1392z00_803;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1393z00_840;

					BgL_v1393z00_840 = create_vector((int) (((long) 0)));
					BgL_arg1575z00_790 = BgL_v1393z00_840;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2423z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2422z00zz__evaluate_typesz00,
					BGl_proc2421z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2420z00zz__evaluate_typesz00, BFALSE, BgL_arg1574z00_789,
					BgL_arg1575z00_790);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1600z00_847;
				obj_t BgL_arg1601z00_848;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1394z00_859;

					BgL_v1394z00_859 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1394z00_859,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2427z00zz__evaluate_typesz00,
							BGl_proc2426z00zz__evaluate_typesz00,
							BGl_proc2425z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1600z00_847 = BgL_v1394z00_859;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1395z00_872;

					BgL_v1395z00_872 = create_vector((int) (((long) 0)));
					BgL_arg1601z00_848 = BgL_v1395z00_872;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2432z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2431z00zz__evaluate_typesz00,
					BGl_proc2430z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2429z00zz__evaluate_typesz00, BFALSE, BgL_arg1600z00_847,
					BgL_arg1601z00_848);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1615z00_879;
				obj_t BgL_arg1616z00_880;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1396z00_891;

					BgL_v1396z00_891 = create_vector((int) (((long) 0)));
					BgL_arg1615z00_879 = BgL_v1396z00_891;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1397z00_892;

					BgL_v1397z00_892 = create_vector((int) (((long) 0)));
					BgL_arg1616z00_880 = BgL_v1397z00_892;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2437z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2436z00zz__evaluate_typesz00,
					BGl_proc2435z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2434z00zz__evaluate_typesz00, BFALSE, BgL_arg1615z00_879,
					BgL_arg1616z00_880);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1625z00_899;
				obj_t BgL_arg1626z00_900;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1398z00_911;

					BgL_v1398z00_911 = create_vector((int) (((long) 0)));
					BgL_arg1625z00_899 = BgL_v1398z00_911;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1399z00_912;

					BgL_v1399z00_912 = create_vector((int) (((long) 0)));
					BgL_arg1626z00_900 = BgL_v1399z00_912;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2442z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2441z00zz__evaluate_typesz00,
					BGl_proc2440z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2439z00zz__evaluate_typesz00, BFALSE, BgL_arg1625z00_899,
					BgL_arg1626z00_900);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1635z00_919;
				obj_t BgL_arg1636z00_920;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1400z00_932;

					BgL_v1400z00_932 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1400z00_932,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2446z00zz__evaluate_typesz00,
							BGl_proc2445z00zz__evaluate_typesz00,
							BGl_proc2444z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1400z00_932, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2450z00zz__evaluate_typesz00,
							BGl_proc2449z00zz__evaluate_typesz00,
							BGl_proc2448z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1635z00_919 = BgL_v1400z00_932;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1401z00_957;

					BgL_v1401z00_957 = create_vector((int) (((long) 0)));
					BgL_arg1636z00_920 = BgL_v1401z00_957;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2455z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2454z00zz__evaluate_typesz00,
					BGl_proc2453z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2452z00zz__evaluate_typesz00, BFALSE, BgL_arg1635z00_919,
					BgL_arg1636z00_920);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1656z00_964;
				obj_t BgL_arg1658z00_965;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1402z00_976;

					BgL_v1402z00_976 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1402z00_976,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2410z00zz__evaluate_typesz00,
							BGl_proc2458z00zz__evaluate_typesz00,
							BGl_proc2457z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1656z00_964 = BgL_v1402z00_976;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1403z00_989;

					BgL_v1403z00_989 = create_vector((int) (((long) 0)));
					BgL_arg1658z00_965 = BgL_v1403z00_989;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2462z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2461z00zz__evaluate_typesz00,
					BGl_proc2460z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2459z00zz__evaluate_typesz00, BFALSE, BgL_arg1656z00_964,
					BgL_arg1658z00_965);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1672z00_996;
				obj_t BgL_arg1673z00_997;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1404z00_1008;

					BgL_v1404z00_1008 = create_vector((int) (((long) 0)));
					BgL_arg1672z00_996 = BgL_v1404z00_1008;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1405z00_1009;

					BgL_v1405z00_1009 = create_vector((int) (((long) 0)));
					BgL_arg1673z00_997 = BgL_v1405z00_1009;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2467z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2466z00zz__evaluate_typesz00,
					BGl_proc2465z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BgL_arg1672z00_996,
					BgL_arg1673z00_997);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1682z00_1016;
				obj_t BgL_arg1683z00_1017;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1406z00_1029;

					BgL_v1406z00_1029 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1406z00_1029,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2470z00zz__evaluate_typesz00,
							BGl_proc2469z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1682z00_1016 = BgL_v1406z00_1029;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1407z00_1042;

					BgL_v1407z00_1042 = create_vector((int) (((long) 0)));
					BgL_arg1683z00_1017 = BgL_v1407z00_1042;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2476z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2475z00zz__evaluate_typesz00,
					BGl_proc2474z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2473z00zz__evaluate_typesz00, BFALSE, BgL_arg1682z00_1016,
					BgL_arg1683z00_1017);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1698z00_1049;
				obj_t BgL_arg1699z00_1050;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1408z00_1064;

					BgL_v1408z00_1064 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1408z00_1064,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2386z00zz__evaluate_typesz00,
							BGl_proc2479z00zz__evaluate_typesz00,
							BGl_proc2478z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1064, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2375z00zz__evaluate_typesz00,
							BGl_proc2481z00zz__evaluate_typesz00,
							BGl_proc2480z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2377z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1064, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2483z00zz__evaluate_typesz00,
							BGl_proc2482z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1698z00_1049 = BgL_v1408z00_1064;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1409z00_1101;

					BgL_v1409z00_1101 = create_vector((int) (((long) 0)));
					BgL_arg1699z00_1050 = BgL_v1409z00_1101;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2487z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2486z00zz__evaluate_typesz00,
					BGl_proc2485z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2484z00zz__evaluate_typesz00, BFALSE, BgL_arg1698z00_1049,
					BgL_arg1699z00_1050);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1726z00_1108;
				obj_t BgL_arg1727z00_1109;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1410z00_1123;

					BgL_v1410z00_1123 = create_vector((int) (((long) 0)));
					BgL_arg1726z00_1108 = BgL_v1410z00_1123;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1411z00_1124;

					BgL_v1411z00_1124 = create_vector((int) (((long) 0)));
					BgL_arg1727z00_1109 = BgL_v1411z00_1124;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2492z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2491z00zz__evaluate_typesz00,
					BGl_proc2490z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2489z00zz__evaluate_typesz00, BFALSE, BgL_arg1726z00_1108,
					BgL_arg1727z00_1109);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1737z00_1131;
				obj_t BgL_arg1738z00_1132;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1412z00_1144;

					BgL_v1412z00_1144 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1412z00_1144,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2496z00zz__evaluate_typesz00,
							BGl_proc2495z00zz__evaluate_typesz00,
							BGl_proc2494z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1144, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2500z00zz__evaluate_typesz00,
							BGl_proc2499z00zz__evaluate_typesz00,
							BGl_proc2498z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1737z00_1131 = BgL_v1412z00_1144;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1413z00_1169;

					BgL_v1413z00_1169 = create_vector((int) (((long) 0)));
					BgL_arg1738z00_1132 = BgL_v1413z00_1169;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2505z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2504z00zz__evaluate_typesz00,
					BGl_proc2503z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2502z00zz__evaluate_typesz00, BFALSE, BgL_arg1737z00_1131,
					BgL_arg1738z00_1132);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1757z00_1176;
				obj_t BgL_arg1758z00_1177;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1414z00_1189;

					BgL_v1414z00_1189 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1414z00_1189,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2496z00zz__evaluate_typesz00,
							BGl_proc2508z00zz__evaluate_typesz00,
							BGl_proc2507z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1414z00_1189, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2410z00zz__evaluate_typesz00,
							BGl_proc2510z00zz__evaluate_typesz00,
							BGl_proc2509z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1757z00_1176 = BgL_v1414z00_1189;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1415z00_1214;

					BgL_v1415z00_1214 = create_vector((int) (((long) 0)));
					BgL_arg1758z00_1177 = BgL_v1415z00_1214;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2514z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2513z00zz__evaluate_typesz00,
					BGl_proc2512z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2511z00zz__evaluate_typesz00, BFALSE, BgL_arg1757z00_1176,
					BgL_arg1758z00_1177);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1777z00_1221;
				obj_t BgL_arg1779z00_1222;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1416z00_1234;

					BgL_v1416z00_1234 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1416z00_1234,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2496z00zz__evaluate_typesz00,
							BGl_proc2517z00zz__evaluate_typesz00,
							BGl_proc2516z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1234, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2520z00zz__evaluate_typesz00,
							BGl_proc2519z00zz__evaluate_typesz00,
							BGl_proc2518z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1777z00_1221 = BgL_v1416z00_1234;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1417z00_1259;

					BgL_v1417z00_1259 = create_vector((int) (((long) 0)));
					BgL_arg1779z00_1222 = BgL_v1417z00_1259;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2525z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2524z00zz__evaluate_typesz00,
					BGl_proc2523z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2522z00zz__evaluate_typesz00, BFALSE, BgL_arg1777z00_1221,
					BgL_arg1779z00_1222);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1798z00_1266;
				obj_t BgL_arg1800z00_1267;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1418z00_1281;

					BgL_v1418z00_1281 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1418z00_1281,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2496z00zz__evaluate_typesz00,
							BGl_proc2528z00zz__evaluate_typesz00,
							BGl_proc2527z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1418z00_1281, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2531z00zz__evaluate_typesz00,
							BGl_proc2530z00zz__evaluate_typesz00,
							BGl_proc2529z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1418z00_1281, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2535z00zz__evaluate_typesz00,
							BGl_proc2534z00zz__evaluate_typesz00,
							BGl_proc2533z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1418z00_1281, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2538z00zz__evaluate_typesz00,
							BGl_proc2537z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1798z00_1266 = BgL_v1418z00_1281;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1419z00_1330;

					BgL_v1419z00_1330 = create_vector((int) (((long) 0)));
					BgL_arg1800z00_1267 = BgL_v1419z00_1330;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2542z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 40653),
					BGl_proc2541z00zz__evaluate_typesz00,
					BGl_proc2540z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2539z00zz__evaluate_typesz00, BFALSE, BgL_arg1798z00_1266,
					BgL_arg1800z00_1267);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1830z00_1337;
				obj_t BgL_arg1831z00_1338;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1420z00_1351;

					BgL_v1420z00_1351 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1420z00_1351,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2496z00zz__evaluate_typesz00,
							BGl_proc2545z00zz__evaluate_typesz00,
							BGl_proc2544z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1420z00_1351, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2548z00zz__evaluate_typesz00,
							BGl_proc2547z00zz__evaluate_typesz00,
							BGl_proc2546z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1420z00_1351, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2552z00zz__evaluate_typesz00,
							BGl_proc2551z00zz__evaluate_typesz00,
							BGl_proc2550z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1830z00_1337 = BgL_v1420z00_1351;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1421z00_1388;

					BgL_v1421z00_1388 = create_vector((int) (((long) 0)));
					BgL_arg1831z00_1338 = BgL_v1421z00_1388;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2557z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2556z00zz__evaluate_typesz00,
					BGl_proc2555z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2554z00zz__evaluate_typesz00, BFALSE, BgL_arg1830z00_1337,
					BgL_arg1831z00_1338);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1856z00_1395;
				obj_t BgL_arg1857z00_1396;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1422z00_1410;

					BgL_v1422z00_1410 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1422z00_1410,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2562z00zz__evaluate_typesz00,
							BGl_proc2561z00zz__evaluate_typesz00,
							BGl_proc2560z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2559z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1856z00_1395 = BgL_v1422z00_1410;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1423z00_1426;

					BgL_v1423z00_1426 = create_vector((int) (((long) 0)));
					BgL_arg1857z00_1396 = BgL_v1423z00_1426;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2567z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2566z00zz__evaluate_typesz00,
					BGl_proc2565z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2564z00zz__evaluate_typesz00, BFALSE, BgL_arg1856z00_1395,
					BgL_arg1857z00_1396);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1873z00_1433;
				obj_t BgL_arg1874z00_1434;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1424z00_1448;

					BgL_v1424z00_1448 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1424z00_1448,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2562z00zz__evaluate_typesz00,
							BGl_proc2571z00zz__evaluate_typesz00,
							BGl_proc2570z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2569z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1873z00_1433 = BgL_v1424z00_1448;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1425z00_1464;

					BgL_v1425z00_1464 = create_vector((int) (((long) 0)));
					BgL_arg1874z00_1434 = BgL_v1425z00_1464;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2575z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2574z00zz__evaluate_typesz00,
					BGl_proc2573z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2572z00zz__evaluate_typesz00, BFALSE, BgL_arg1873z00_1433,
					BgL_arg1874z00_1434);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1891z00_1471;
				obj_t BgL_arg1892z00_1472;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1426z00_1485;

					BgL_v1426z00_1485 = create_vector((int) (((long) 0)));
					BgL_arg1891z00_1471 = BgL_v1426z00_1485;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1427z00_1486;

					BgL_v1427z00_1486 = create_vector((int) (((long) 0)));
					BgL_arg1892z00_1472 = BgL_v1427z00_1486;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2580z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2579z00zz__evaluate_typesz00,
					BGl_proc2578z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2577z00zz__evaluate_typesz00, BFALSE, BgL_arg1891z00_1471,
					BgL_arg1892z00_1472);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1902z00_1493;
				obj_t BgL_arg1903z00_1494;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1428z00_1510;

					BgL_v1428z00_1510 = create_vector((int) (((long) 6)));
					VECTOR_SET(BgL_v1428z00_1510,
						(int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2562z00zz__evaluate_typesz00,
							BGl_proc2584z00zz__evaluate_typesz00,
							BGl_proc2583z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2582z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1510, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2496z00zz__evaluate_typesz00,
							BGl_proc2586z00zz__evaluate_typesz00,
							BGl_proc2585z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1510, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2589z00zz__evaluate_typesz00,
							BGl_proc2588z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2587z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1510, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2595z00zz__evaluate_typesz00,
							BGl_proc2594z00zz__evaluate_typesz00,
							BGl_proc2593z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2592z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1510, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2548z00zz__evaluate_typesz00,
							BGl_proc2598z00zz__evaluate_typesz00,
							BGl_proc2597z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1510, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2552z00zz__evaluate_typesz00,
							BGl_proc2600z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1902z00_1493 = BgL_v1428z00_1510;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1429z00_1592;

					BgL_v1429z00_1592 = create_vector((int) (((long) 0)));
					BgL_arg1903z00_1494 = BgL_v1429z00_1592;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2604z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2603z00zz__evaluate_typesz00,
					BGl_proc2602z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2601z00zz__evaluate_typesz00, BFALSE, BgL_arg1902z00_1493,
					BgL_arg1903z00_1494);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1950z00_1599;
				obj_t BgL_arg1951z00_1600;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1430z00_1614;

					BgL_v1430z00_1614 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1430z00_1614,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2427z00zz__evaluate_typesz00,
							BGl_proc2607z00zz__evaluate_typesz00,
							BGl_proc2606z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1430z00_1614, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2610z00zz__evaluate_typesz00,
							BGl_proc2609z00zz__evaluate_typesz00,
							BGl_proc2608z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1430z00_1614, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2614z00zz__evaluate_typesz00,
							BGl_proc2613z00zz__evaluate_typesz00,
							BGl_proc2612z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1430z00_1614, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2617z00zz__evaluate_typesz00,
							BGl_proc2616z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1950z00_1599 = BgL_v1430z00_1614;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1431z00_1663;

					BgL_v1431z00_1663 = create_vector((int) (((long) 0)));
					BgL_arg1951z00_1600 = BgL_v1431z00_1663;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2621z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2620z00zz__evaluate_typesz00,
					BGl_proc2619z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2618z00zz__evaluate_typesz00, BFALSE, BgL_arg1950z00_1599,
					BgL_arg1951z00_1600);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1983z00_1670;
				obj_t BgL_arg1984z00_1671;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1432z00_1685;

					BgL_v1432z00_1685 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1432z00_1685,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2625z00zz__evaluate_typesz00,
							BGl_proc2624z00zz__evaluate_typesz00,
							BGl_proc2623z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1432z00_1685, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2427z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1432z00_1685, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2631z00zz__evaluate_typesz00,
							BGl_proc2630z00zz__evaluate_typesz00,
							BGl_proc2629z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1432z00_1685, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2634z00zz__evaluate_typesz00,
							BGl_proc2633z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg1983z00_1670 = BgL_v1432z00_1685;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1433z00_1734;

					BgL_v1433z00_1734 = create_vector((int) (((long) 0)));
					BgL_arg1984z00_1671 = BgL_v1433z00_1734;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2638z00zz__evaluate_typesz00,
					BGl_symbol2360z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2637z00zz__evaluate_typesz00,
					BGl_proc2636z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2635z00zz__evaluate_typesz00, BFALSE, BgL_arg1983z00_1670,
					BgL_arg1984z00_1671);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg2015z00_1741;
				obj_t BgL_arg2016z00_1742;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1434z00_1762;

					BgL_v1434z00_1762 = create_vector((int) (((long) 10)));
					VECTOR_SET(BgL_v1434z00_1762,
						(int) (((long) 9)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2562z00zz__evaluate_typesz00,
							BGl_proc2642z00zz__evaluate_typesz00,
							BGl_proc2641z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2640z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1762, (int) (((long) 8)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2646z00zz__evaluate_typesz00,
							BGl_proc2645z00zz__evaluate_typesz00,
							BGl_proc2644z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2643z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1762, (int) (((long) 7)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2651z00zz__evaluate_typesz00,
							BGl_proc2650z00zz__evaluate_typesz00,
							BGl_proc2649z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2648z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1762, (int) (((long) 6)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2656z00zz__evaluate_typesz00,
							BGl_proc2655z00zz__evaluate_typesz00,
							BGl_proc2654z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2653z00zz__evaluate_typesz00,
							BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1762, (int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2661z00zz__evaluate_typesz00,
							BGl_proc2660z00zz__evaluate_typesz00,
							BGl_proc2659z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2658z00zz__evaluate_typesz00,
							BGl_symbol2663z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1762, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2496z00zz__evaluate_typesz00,
							BGl_proc2666z00zz__evaluate_typesz00,
							BGl_proc2665z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1762, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2552z00zz__evaluate_typesz00,
							BGl_proc2668z00zz__evaluate_typesz00,
							BGl_proc2667z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1762, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2671z00zz__evaluate_typesz00,
							BGl_proc2670z00zz__evaluate_typesz00,
							BGl_proc2669z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1762, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2675z00zz__evaluate_typesz00,
							BGl_proc2674z00zz__evaluate_typesz00,
							BGl_proc2673z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1762, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2678z00zz__evaluate_typesz00,
							BGl_proc2677z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2366z00zz__evaluate_typesz00));
					BgL_arg2015z00_1741 = BgL_v1434z00_1762;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1435z00_1898;

					BgL_v1435z00_1898 = create_vector((int) (((long) 0)));
					BgL_arg2016z00_1742 = BgL_v1435z00_1898;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2682z00zz__evaluate_typesz00,
						BGl_symbol2360z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2681z00zz__evaluate_typesz00,
						BGl_proc2680z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2679z00zz__evaluate_typesz00, BFALSE, BgL_arg2015z00_1741,
						BgL_arg2016z00_1742), BUNSPEC);
		}}
	}



/* &<anonymous:2022> */
	BgL_ev_absz00_bglt BGl_z62zc3anonymousza32022ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3158, obj_t BgL_new1192z00_3159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_new1192z00_1760;

				BgL_new1192z00_1760 = ((BgL_ev_absz00_bglt) BgL_new1192z00_3159);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4180;

					{	/* Eval/evaluate_types.scm 122 */
						obj_t BgL_classz00_2757;

						BgL_classz00_2757 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL__ortest_1383z00_2758;

							BgL__ortest_1383z00_2758 = BGL_CLASS_NIL(BgL_classz00_2757);
							if (CBOOL(BgL__ortest_1383z00_2758))
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4180 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2758);
								}
							else
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4180 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2757));
								}
						}
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4180), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1192z00_1760))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1192z00_1760;
			}
		}
	}



/* &lambda2020 */
	BgL_ev_absz00_bglt BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3160)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{

				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1191z00_1758;

					BgL_new1191z00_1758 =
						((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_absz00_bgl))));
					{	/* Eval/evaluate_types.scm 122 */
						long BgL_arg2021z00_1759;

						{	/* Eval/evaluate_types.scm 122 */
							long BgL_res2318z00_2754;

							BgL_res2318z00_2754 =
								BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
							BgL_arg2021z00_1759 = BgL_res2318z00_2754;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1191z00_1758), BgL_arg2021z00_1759);
					}
					{	/* Eval/evaluate_types.scm 122 */
						BgL_objectz00_bglt BgL_auxz00_4199;

						BgL_auxz00_4199 = ((BgL_objectz00_bglt) BgL_new1191z00_1758);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4199, BFALSE);
					}
					return BgL_new1191z00_1758;
				}
			}
		}
	}



/* &lambda2017 */
	BgL_ev_absz00_bglt BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3161, obj_t BgL_loc1181z00_3162, obj_t BgL_where1182z00_3163,
		obj_t BgL_arity1183z00_3164, obj_t BgL_vars1184z00_3165,
		obj_t BgL_body1185z00_3166, obj_t BgL_siza7e1186za7_3167,
		obj_t BgL_bind1187z00_3168, obj_t BgL_free1188z00_3169,
		obj_t BgL_inner1189z00_3170, obj_t BgL_boxes1190z00_3171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{
				obj_t BgL_loc1181z00_1743;
				obj_t BgL_where1182z00_1744;
				obj_t BgL_arity1183z00_1745;
				obj_t BgL_vars1184z00_1746;
				BgL_ev_exprz00_bglt BgL_body1185z00_1747;
				int BgL_siza7e1186za7_1748;
				obj_t BgL_bind1187z00_1749;
				obj_t BgL_free1188z00_1750;
				obj_t BgL_inner1189z00_1751;
				obj_t BgL_boxes1190z00_1752;

				BgL_loc1181z00_1743 = BgL_loc1181z00_3162;
				BgL_where1182z00_1744 = BgL_where1182z00_3163;
				BgL_arity1183z00_1745 = BgL_arity1183z00_3164;
				BgL_vars1184z00_1746 = BgL_vars1184z00_3165;
				BgL_body1185z00_1747 = ((BgL_ev_exprz00_bglt) BgL_body1185z00_3166);
				BgL_siza7e1186za7_1748 = CINT(BgL_siza7e1186za7_3167);
				BgL_bind1187z00_1749 = BgL_bind1187z00_3168;
				BgL_free1188z00_1750 = BgL_free1188z00_3169;
				BgL_inner1189z00_1751 = BgL_inner1189z00_3170;
				BgL_boxes1190z00_1752 = BgL_boxes1190z00_3171;
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1341z00_2746;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1340z00_2747;

						BgL_new1340z00_2747 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg2019z00_2748;

							{	/* Eval/evaluate_types.scm 122 */
								long BgL_res2317z00_2750;

								BgL_res2317z00_2750 =
									BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
								BgL_arg2019z00_2748 = BgL_res2317z00_2750;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1340z00_2747),
								BgL_arg2019z00_2748);
						}
						{	/* Eval/evaluate_types.scm 122 */
							BgL_objectz00_bglt BgL_auxz00_4206;

							BgL_auxz00_4206 = ((BgL_objectz00_bglt) BgL_new1340z00_2747);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4206, BFALSE);
						}
						BgL_new1341z00_2746 = BgL_new1340z00_2747;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_locz00) =
						((obj_t) BgL_loc1181z00_1743), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_wherez00) =
						((obj_t) BgL_where1182z00_1744), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_arityz00) =
						((obj_t) BgL_arity1183z00_1745), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_varsz00) =
						((obj_t) BgL_vars1184z00_1746), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1185z00_1747), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_siza7eza7) =
						((int) BgL_siza7e1186za7_1748), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_bindz00) =
						((obj_t) BgL_bind1187z00_1749), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_freez00) =
						((obj_t) BgL_free1188z00_1750), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_innerz00) =
						((obj_t) BgL_inner1189z00_1751), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2746))->BgL_boxesz00) =
						((obj_t) BgL_boxes1190z00_1752), BUNSPEC);
					return BgL_new1341z00_2746;
				}
			}
		}
	}



/* &lambda2085 */
	obj_t BGl_z62lambda2085z62zz__evaluate_typesz00(obj_t BgL_envz00_3172,
		obj_t BgL_oz00_3173, obj_t BgL_vz00_3174)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3173)))->BgL_locz00) =
				((obj_t) BgL_vz00_3174), BUNSPEC);
		}
	}



/* &lambda2084 */
	obj_t BGl_z62lambda2084z62zz__evaluate_typesz00(obj_t BgL_envz00_3175,
		obj_t BgL_oz00_3176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3176)))->BgL_locz00);
		}
	}



/* &lambda2079 */
	obj_t BGl_z62lambda2079z62zz__evaluate_typesz00(obj_t BgL_envz00_3177,
		obj_t BgL_oz00_3178, obj_t BgL_vz00_3179)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3178)))->BgL_wherez00) =
				((obj_t) BgL_vz00_3179), BUNSPEC);
		}
	}



/* &lambda2078 */
	obj_t BGl_z62lambda2078z62zz__evaluate_typesz00(obj_t BgL_envz00_3180,
		obj_t BgL_oz00_3181)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3181)))->BgL_wherez00);
		}
	}



/* &lambda2074 */
	obj_t BGl_z62lambda2074z62zz__evaluate_typesz00(obj_t BgL_envz00_3182,
		obj_t BgL_oz00_3183, obj_t BgL_vz00_3184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3183)))->BgL_arityz00) =
				((obj_t) BgL_vz00_3184), BUNSPEC);
		}
	}



/* &lambda2073 */
	obj_t BGl_z62lambda2073z62zz__evaluate_typesz00(obj_t BgL_envz00_3185,
		obj_t BgL_oz00_3186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3186)))->BgL_arityz00);
		}
	}



/* &lambda2069 */
	obj_t BGl_z62lambda2069z62zz__evaluate_typesz00(obj_t BgL_envz00_3187,
		obj_t BgL_oz00_3188, obj_t BgL_vz00_3189)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3188)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3189), BUNSPEC);
		}
	}



/* &lambda2068 */
	obj_t BGl_z62lambda2068z62zz__evaluate_typesz00(obj_t BgL_envz00_3190,
		obj_t BgL_oz00_3191)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3191)))->BgL_varsz00);
		}
	}



/* &lambda2064 */
	obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t BgL_envz00_3192,
		obj_t BgL_oz00_3193, obj_t BgL_vz00_3194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3193)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3194)), BUNSPEC);
		}
	}



/* &lambda2063 */
	BgL_ev_exprz00_bglt BGl_z62lambda2063z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3195, obj_t BgL_oz00_3196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3196)))->BgL_bodyz00);
		}
	}



/* &<anonymous:2059> */
	obj_t BGl_z62zc3anonymousza32059ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3197)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(((long) 0));
		}
	}



/* &lambda2058 */
	obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t BgL_envz00_3198,
		obj_t BgL_oz00_3199, obj_t BgL_vz00_3200)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_vz00_3649;

				BgL_vz00_3649 = CINT(BgL_vz00_3200);
				return
					((((BgL_ev_absz00_bglt) CREF(
								((BgL_ev_absz00_bglt) BgL_oz00_3199)))->BgL_siza7eza7) =
					((int) BgL_vz00_3649), BUNSPEC);
		}}
	}



/* &lambda2057 */
	obj_t BGl_z62lambda2057z62zz__evaluate_typesz00(obj_t BgL_envz00_3201,
		obj_t BgL_oz00_3202)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3202)))->BgL_siza7eza7));
		}
	}



/* &<anonymous:2052> */
	obj_t BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3203)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2051 */
	obj_t BGl_z62lambda2051z62zz__evaluate_typesz00(obj_t BgL_envz00_3204,
		obj_t BgL_oz00_3205, obj_t BgL_vz00_3206)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3205)))->BgL_bindz00) =
				((obj_t) BgL_vz00_3206), BUNSPEC);
		}
	}



/* &lambda2050 */
	obj_t BGl_z62lambda2050z62zz__evaluate_typesz00(obj_t BgL_envz00_3207,
		obj_t BgL_oz00_3208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3208)))->BgL_bindz00);
		}
	}



/* &<anonymous:2045> */
	obj_t BGl_z62zc3anonymousza32045ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2044 */
	obj_t BGl_z62lambda2044z62zz__evaluate_typesz00(obj_t BgL_envz00_3210,
		obj_t BgL_oz00_3211, obj_t BgL_vz00_3212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3211)))->BgL_freez00) =
				((obj_t) BgL_vz00_3212), BUNSPEC);
		}
	}



/* &lambda2043 */
	obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t BgL_envz00_3213,
		obj_t BgL_oz00_3214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3214)))->BgL_freez00);
		}
	}



/* &<anonymous:2037> */
	obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t BgL_envz00_3216,
		obj_t BgL_oz00_3217, obj_t BgL_vz00_3218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3217)))->BgL_innerz00) =
				((obj_t) BgL_vz00_3218), BUNSPEC);
		}
	}



/* &lambda2035 */
	obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t BgL_envz00_3219,
		obj_t BgL_oz00_3220)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3220)))->BgL_innerz00);
		}
	}



/* &<anonymous:2029> */
	obj_t BGl_z62zc3anonymousza32029ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2028 */
	obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t BgL_envz00_3222,
		obj_t BgL_oz00_3223, obj_t BgL_vz00_3224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3223)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3224), BUNSPEC);
		}
	}



/* &lambda2027 */
	obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t BgL_envz00_3225,
		obj_t BgL_oz00_3226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3226)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1989> */
	BgL_ev_appz00_bglt BGl_z62zc3anonymousza31989ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3227, obj_t BgL_new1179z00_3228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_new1179z00_1683;

				BgL_new1179z00_1683 = ((BgL_ev_appz00_bglt) BgL_new1179z00_3228);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1179z00_1683))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4266;

					{	/* Eval/evaluate_types.scm 119 */
						obj_t BgL_classz00_2694;

						BgL_classz00_2694 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL__ortest_1383z00_2695;

							BgL__ortest_1383z00_2695 = BGL_CLASS_NIL(BgL_classz00_2694);
							if (CBOOL(BgL__ortest_1383z00_2695))
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4266 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2695);
								}
							else
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4266 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2694));
								}
						}
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1179z00_1683))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4266), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) CREF(BgL_new1179z00_1683))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1179z00_1683))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1179z00_1683;
			}
		}
	}



/* &lambda1987 */
	BgL_ev_appz00_bglt BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1177z00_1681;

					BgL_new1177z00_1681 =
						((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1988z00_1682;

						{	/* Eval/evaluate_types.scm 119 */
							long BgL_res2316z00_2691;

							BgL_res2316z00_2691 =
								BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
							BgL_arg1988z00_1682 = BgL_res2316z00_2691;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1177z00_1681), BgL_arg1988z00_1682);
					}
					{	/* Eval/evaluate_types.scm 119 */
						BgL_objectz00_bglt BgL_auxz00_4281;

						BgL_auxz00_4281 = ((BgL_objectz00_bglt) BgL_new1177z00_1681);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4281, BFALSE);
					}
					return BgL_new1177z00_1681;
				}
			}
		}
	}



/* &lambda1985 */
	BgL_ev_appz00_bglt BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3230, obj_t BgL_loc1173z00_3231, obj_t BgL_fun1174z00_3232,
		obj_t BgL_args1175z00_3233, obj_t BgL_tailzf31176zf3_3234)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{
				obj_t BgL_loc1173z00_1672;
				BgL_ev_exprz00_bglt BgL_fun1174z00_1673;
				obj_t BgL_args1175z00_1674;
				obj_t BgL_tailzf31176zf3_1675;

				BgL_loc1173z00_1672 = BgL_loc1173z00_3231;
				BgL_fun1174z00_1673 = ((BgL_ev_exprz00_bglt) BgL_fun1174z00_3232);
				BgL_args1175z00_1674 = BgL_args1175z00_3233;
				BgL_tailzf31176zf3_1675 = BgL_tailzf31176zf3_3234;
				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1331z00_2683;

					{	/* Eval/evaluate_types.scm 119 */
						BgL_ev_appz00_bglt BgL_new1330z00_2684;

						BgL_new1330z00_2684 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate_types.scm 119 */
							long BgL_arg1986z00_2685;

							{	/* Eval/evaluate_types.scm 119 */
								long BgL_res2315z00_2687;

								BgL_res2315z00_2687 =
									BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
								BgL_arg1986z00_2685 = BgL_res2315z00_2687;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1330z00_2684),
								BgL_arg1986z00_2685);
						}
						{	/* Eval/evaluate_types.scm 119 */
							BgL_objectz00_bglt BgL_auxz00_4288;

							BgL_auxz00_4288 = ((BgL_objectz00_bglt) BgL_new1330z00_2684);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4288, BFALSE);
						}
						BgL_new1331z00_2683 = BgL_new1330z00_2684;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1331z00_2683))->BgL_locz00) =
						((obj_t) BgL_loc1173z00_1672), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1331z00_2683))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_fun1174z00_1673), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1331z00_2683))->BgL_argsz00) =
						((obj_t) BgL_args1175z00_1674), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1331z00_2683))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf31176zf3_1675), BUNSPEC);
					return BgL_new1331z00_2683;
				}
			}
		}
	}



/* &lambda2010 */
	obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t BgL_envz00_3235,
		obj_t BgL_oz00_3236, obj_t BgL_vz00_3237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) CREF(
							((BgL_ev_appz00_bglt) BgL_oz00_3236)))->BgL_locz00) =
				((obj_t) BgL_vz00_3237), BUNSPEC);
		}
	}



/* &lambda2009 */
	obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t BgL_envz00_3238,
		obj_t BgL_oz00_3239)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3239)))->BgL_locz00);
		}
	}



/* &lambda2005 */
	obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t BgL_envz00_3240,
		obj_t BgL_oz00_3241, obj_t BgL_vz00_3242)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) CREF(
							((BgL_ev_appz00_bglt) BgL_oz00_3241)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3242)), BUNSPEC);
		}
	}



/* &lambda2004 */
	BgL_ev_exprz00_bglt BGl_z62lambda2004z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3243, obj_t BgL_oz00_3244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3244)))->BgL_funz00);
		}
	}



/* &lambda1999 */
	obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t BgL_envz00_3245,
		obj_t BgL_oz00_3246, obj_t BgL_vz00_3247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) CREF(
							((BgL_ev_appz00_bglt) BgL_oz00_3246)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3247), BUNSPEC);
		}
	}



/* &lambda1998 */
	obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t BgL_envz00_3248,
		obj_t BgL_oz00_3249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3249)))->BgL_argsz00);
		}
	}



/* &lambda1994 */
	obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t BgL_envz00_3250,
		obj_t BgL_oz00_3251, obj_t BgL_vz00_3252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) CREF(
							((BgL_ev_appz00_bglt) BgL_oz00_3251)))->BgL_tailzf3zf3) =
				((obj_t) BgL_vz00_3252), BUNSPEC);
		}
	}



/* &lambda1993 */
	obj_t BGl_z62lambda1993z62zz__evaluate_typesz00(obj_t BgL_envz00_3253,
		obj_t BgL_oz00_3254)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3254)))->BgL_tailzf3zf3);
		}
	}



/* &<anonymous:1956> */
	BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3255,
		obj_t BgL_new1171z00_3256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_new1171z00_1612;

				BgL_new1171z00_1612 = ((BgL_ev_gotoz00_bglt) BgL_new1171z00_3256);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1171z00_1612))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4314;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_2659;

						BgL_classz00_2659 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1383z00_2660;

							BgL__ortest_1383z00_2660 = BGL_CLASS_NIL(BgL_classz00_2659);
							if (CBOOL(BgL__ortest_1383z00_2660))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4314 =
										((BgL_ev_varz00_bglt) BgL__ortest_1383z00_2660);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4314 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2659));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1171z00_1612))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4314), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4322;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_2661;

						BgL_classz00_2661 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1383z00_2662;

							BgL__ortest_1383z00_2662 = BGL_CLASS_NIL(BgL_classz00_2661);
							if (CBOOL(BgL__ortest_1383z00_2662))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4322 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1383z00_2662);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4322 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2661));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1171z00_1612))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4322), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1171z00_1612))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1171z00_1612;
			}
		}
	}



/* &lambda1954 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1170z00_1610;

					BgL_new1170z00_1610 =
						((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1955z00_1611;

						{	/* Eval/evaluate_types.scm 114 */
							long BgL_res2314z00_2656;

							BgL_res2314z00_2656 =
								BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
							BgL_arg1955z00_1611 = BgL_res2314z00_2656;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1170z00_1610), BgL_arg1955z00_1611);
					}
					{	/* Eval/evaluate_types.scm 114 */
						BgL_objectz00_bglt BgL_auxz00_4336;

						BgL_auxz00_4336 = ((BgL_objectz00_bglt) BgL_new1170z00_1610);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4336, BFALSE);
					}
					return BgL_new1170z00_1610;
				}
			}
		}
	}



/* &lambda1952 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3258, obj_t BgL_loc1166z00_3259, obj_t BgL_label1167z00_3260,
		obj_t BgL_labels1168z00_3261, obj_t BgL_args1169z00_3262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				obj_t BgL_loc1166z00_1601;
				BgL_ev_varz00_bglt BgL_label1167z00_1602;
				BgL_ev_labelsz00_bglt BgL_labels1168z00_1603;
				obj_t BgL_args1169z00_1604;

				BgL_loc1166z00_1601 = BgL_loc1166z00_3259;
				BgL_label1167z00_1602 = ((BgL_ev_varz00_bglt) BgL_label1167z00_3260);
				BgL_labels1168z00_1603 =
					((BgL_ev_labelsz00_bglt) BgL_labels1168z00_3261);
				BgL_args1169z00_1604 = BgL_args1169z00_3262;
				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1321z00_2648;

					{	/* Eval/evaluate_types.scm 114 */
						BgL_ev_gotoz00_bglt BgL_new1320z00_2649;

						BgL_new1320z00_2649 =
							((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_gotoz00_bgl))));
						{	/* Eval/evaluate_types.scm 114 */
							long BgL_arg1953z00_2650;

							{	/* Eval/evaluate_types.scm 114 */
								long BgL_res2313z00_2652;

								BgL_res2313z00_2652 =
									BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
								BgL_arg1953z00_2650 = BgL_res2313z00_2652;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1320z00_2649),
								BgL_arg1953z00_2650);
						}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_auxz00_4343;

							BgL_auxz00_4343 = ((BgL_objectz00_bglt) BgL_new1320z00_2649);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4343, BFALSE);
						}
						BgL_new1321z00_2648 = BgL_new1320z00_2649;
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1321z00_2648))->BgL_locz00) =
						((obj_t) BgL_loc1166z00_1601), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1321z00_2648))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_label1167z00_1602), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1321z00_2648))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_labels1168z00_1603), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1321z00_2648))->BgL_argsz00) =
						((obj_t) BgL_args1169z00_1604), BUNSPEC);
					return BgL_new1321z00_2648;
				}
			}
		}
	}



/* &lambda1979 */
	obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t BgL_envz00_3263,
		obj_t BgL_oz00_3264, obj_t BgL_vz00_3265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) CREF(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3264)))->BgL_locz00) =
				((obj_t) BgL_vz00_3265), BUNSPEC);
		}
	}



/* &lambda1978 */
	obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t BgL_envz00_3266,
		obj_t BgL_oz00_3267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3267)))->BgL_locz00);
		}
	}



/* &lambda1974 */
	obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t BgL_envz00_3268,
		obj_t BgL_oz00_3269, obj_t BgL_vz00_3270)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) CREF(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3269)))->BgL_labelz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3270)), BUNSPEC);
		}
	}



/* &lambda1973 */
	BgL_ev_varz00_bglt BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3271, obj_t BgL_oz00_3272)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3272)))->BgL_labelz00);
		}
	}



/* &lambda1968 */
	obj_t BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t BgL_envz00_3273,
		obj_t BgL_oz00_3274, obj_t BgL_vz00_3275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) CREF(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3274)))->BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt) BgL_vz00_3275)),
				BUNSPEC);
		}
	}



/* &lambda1967 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3276, obj_t BgL_oz00_3277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3277)))->BgL_labelsz00);
		}
	}



/* &lambda1961 */
	obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t BgL_envz00_3278,
		obj_t BgL_oz00_3279, obj_t BgL_vz00_3280)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) CREF(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3279)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3280), BUNSPEC);
		}
	}



/* &lambda1960 */
	obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3281,
		obj_t BgL_oz00_3282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3282)))->BgL_argsz00);
		}
	}



/* &<anonymous:1908> */
	BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31908ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3283,
		obj_t BgL_new1164z00_3284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_new1164z00_1508;

				BgL_new1164z00_1508 = ((BgL_ev_labelsz00_bglt) BgL_new1164z00_3284);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1164z00_1508))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1164z00_1508))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1164z00_1508))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1164z00_1508))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4374;

					{	/* Eval/evaluate_types.scm 106 */
						obj_t BgL_classz00_2626;

						BgL_classz00_2626 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL__ortest_1383z00_2627;

							BgL__ortest_1383z00_2627 = BGL_CLASS_NIL(BgL_classz00_2626);
							if (CBOOL(BgL__ortest_1383z00_2627))
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4374 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2627);
								}
							else
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4374 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2626));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1164z00_1508))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4374), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1164z00_1508))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1164z00_1508;
			}
		}
	}



/* &lambda1906 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1163z00_1506;

					BgL_new1163z00_1506 =
						((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1907z00_1507;

						{	/* Eval/evaluate_types.scm 106 */
							long BgL_res2312z00_2623;

							BgL_res2312z00_2623 =
								BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
							BgL_arg1907z00_1507 = BgL_res2312z00_2623;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1163z00_1506), BgL_arg1907z00_1507);
					}
					{	/* Eval/evaluate_types.scm 106 */
						BgL_objectz00_bglt BgL_auxz00_4388;

						BgL_auxz00_4388 = ((BgL_objectz00_bglt) BgL_new1163z00_1506);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4388, BFALSE);
					}
					return BgL_new1163z00_1506;
				}
			}
		}
	}



/* &lambda1904 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3286, obj_t BgL_vars1157z00_3287, obj_t BgL_vals1158z00_3288,
		obj_t BgL_env1159z00_3289, obj_t BgL_stk1160z00_3290,
		obj_t BgL_body1161z00_3291, obj_t BgL_boxes1162z00_3292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{
				obj_t BgL_vars1157z00_1495;
				obj_t BgL_vals1158z00_1496;
				obj_t BgL_env1159z00_1497;
				obj_t BgL_stk1160z00_1498;
				BgL_ev_exprz00_bglt BgL_body1161z00_1499;
				obj_t BgL_boxes1162z00_1500;

				BgL_vars1157z00_1495 = BgL_vars1157z00_3287;
				BgL_vals1158z00_1496 = BgL_vals1158z00_3288;
				BgL_env1159z00_1497 = BgL_env1159z00_3289;
				BgL_stk1160z00_1498 = BgL_stk1160z00_3290;
				BgL_body1161z00_1499 = ((BgL_ev_exprz00_bglt) BgL_body1161z00_3291);
				BgL_boxes1162z00_1500 = BgL_boxes1162z00_3292;
				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1307z00_2615;

					{	/* Eval/evaluate_types.scm 106 */
						BgL_ev_labelsz00_bglt BgL_new1306z00_2616;

						BgL_new1306z00_2616 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_types.scm 106 */
							long BgL_arg1905z00_2617;

							{	/* Eval/evaluate_types.scm 106 */
								long BgL_res2311z00_2619;

								BgL_res2311z00_2619 =
									BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
								BgL_arg1905z00_2617 = BgL_res2311z00_2619;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1306z00_2616),
								BgL_arg1905z00_2617);
						}
						{	/* Eval/evaluate_types.scm 106 */
							BgL_objectz00_bglt BgL_auxz00_4395;

							BgL_auxz00_4395 = ((BgL_objectz00_bglt) BgL_new1306z00_2616);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4395, BFALSE);
						}
						BgL_new1307z00_2615 = BgL_new1306z00_2616;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2615))->BgL_varsz00) =
						((obj_t) BgL_vars1157z00_1495), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2615))->BgL_valsz00) =
						((obj_t) BgL_vals1158z00_1496), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2615))->BgL_envz00) =
						((obj_t) BgL_env1159z00_1497), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2615))->BgL_stkz00) =
						((obj_t) BgL_stk1160z00_1498), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2615))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1161z00_1499), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2615))->BgL_boxesz00) =
						((obj_t) BgL_boxes1162z00_1500), BUNSPEC);
					return BgL_new1307z00_2615;
				}
			}
		}
	}



/* &lambda1946 */
	obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t BgL_envz00_3293,
		obj_t BgL_oz00_3294, obj_t BgL_vz00_3295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3294)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3295), BUNSPEC);
		}
	}



/* &lambda1945 */
	obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3296,
		obj_t BgL_oz00_3297)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3297)))->BgL_varsz00);
		}
	}



/* &lambda1941 */
	obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t BgL_envz00_3298,
		obj_t BgL_oz00_3299, obj_t BgL_vz00_3300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3299)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3300), BUNSPEC);
		}
	}



/* &lambda1940 */
	obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t BgL_envz00_3301,
		obj_t BgL_oz00_3302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3302)))->BgL_valsz00);
		}
	}



/* &<anonymous:1936> */
	obj_t BGl_z62zc3anonymousza31936ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3304,
		obj_t BgL_oz00_3305, obj_t BgL_vz00_3306)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3305)))->BgL_envz00) =
				((obj_t) BgL_vz00_3306), BUNSPEC);
		}
	}



/* &lambda1934 */
	obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t BgL_envz00_3307,
		obj_t BgL_oz00_3308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3308)))->BgL_envz00);
		}
	}



/* &<anonymous:1929> */
	obj_t BGl_z62zc3anonymousza31929ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
	}



/* &lambda1928 */
	obj_t BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t BgL_envz00_3310,
		obj_t BgL_oz00_3311, obj_t BgL_vz00_3312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3311)))->BgL_stkz00) =
				((obj_t) BgL_vz00_3312), BUNSPEC);
		}
	}



/* &lambda1927 */
	obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t BgL_envz00_3313,
		obj_t BgL_oz00_3314)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3314)))->BgL_stkz00);
		}
	}



/* &lambda1921 */
	obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t BgL_envz00_3315,
		obj_t BgL_oz00_3316, obj_t BgL_vz00_3317)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3316)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3317)), BUNSPEC);
		}
	}



/* &lambda1920 */
	BgL_ev_exprz00_bglt BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3318, obj_t BgL_oz00_3319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3319)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1915> */
	obj_t BGl_z62zc3anonymousza31915ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3320)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
	}



/* &lambda1914 */
	obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3321,
		obj_t BgL_oz00_3322, obj_t BgL_vz00_3323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) CREF(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3322)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3323), BUNSPEC);
		}
	}



/* &lambda1913 */
	obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t BgL_envz00_3324,
		obj_t BgL_oz00_3325)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3325)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1897> */
	BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31897ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3326,
		obj_t BgL_new1155z00_3327)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_new1155z00_1483;

				BgL_new1155z00_1483 = ((BgL_ev_letrecz00_bglt) BgL_new1155z00_3327);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1155z00_1483)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1155z00_1483)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4434;

					{	/* Eval/evaluate_types.scm 105 */
						obj_t BgL_classz00_2583;

						BgL_classz00_2583 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL__ortest_1383z00_2584;

							BgL__ortest_1383z00_2584 = BGL_CLASS_NIL(BgL_classz00_2583);
							if (CBOOL(BgL__ortest_1383z00_2584))
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4434 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2584);
								}
							else
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4434 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2583));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1155z00_1483)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4434), BUNSPEC);
				}
				return BgL_new1155z00_1483;
			}
		}
	}



/* &lambda1895 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1154z00_1481;

					BgL_new1154z00_1481 =
						((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1896z00_1482;

						{	/* Eval/evaluate_types.scm 105 */
							long BgL_res2310z00_2580;

							BgL_res2310z00_2580 =
								BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
							BgL_arg1896z00_1482 = BgL_res2310z00_2580;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1154z00_1481), BgL_arg1896z00_1482);
					}
					{	/* Eval/evaluate_types.scm 105 */
						BgL_objectz00_bglt BgL_auxz00_4448;

						BgL_auxz00_4448 = ((BgL_objectz00_bglt) BgL_new1154z00_1481);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4448, BFALSE);
					}
					return BgL_new1154z00_1481;
				}
			}
		}
	}



/* &lambda1893 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1893z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3329, obj_t BgL_vars1151z00_3330, obj_t BgL_vals1152z00_3331,
		obj_t BgL_body1153z00_3332)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{
				obj_t BgL_vars1151z00_1473;
				obj_t BgL_vals1152z00_1474;
				BgL_ev_exprz00_bglt BgL_body1153z00_1475;

				BgL_vars1151z00_1473 = BgL_vars1151z00_3330;
				BgL_vals1152z00_1474 = BgL_vals1152z00_3331;
				BgL_body1153z00_1475 = ((BgL_ev_exprz00_bglt) BgL_body1153z00_3332);
				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1304z00_2572;

					{	/* Eval/evaluate_types.scm 105 */
						BgL_ev_letrecz00_bglt BgL_new1303z00_2573;

						BgL_new1303z00_2573 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						{	/* Eval/evaluate_types.scm 105 */
							long BgL_arg1894z00_2574;

							{	/* Eval/evaluate_types.scm 105 */
								long BgL_res2309z00_2576;

								BgL_res2309z00_2576 =
									BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
								BgL_arg1894z00_2574 = BgL_res2309z00_2576;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1303z00_2573),
								BgL_arg1894z00_2574);
						}
						{	/* Eval/evaluate_types.scm 105 */
							BgL_objectz00_bglt BgL_auxz00_4455;

							BgL_auxz00_4455 = ((BgL_objectz00_bglt) BgL_new1303z00_2573);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4455, BFALSE);
						}
						BgL_new1304z00_2572 = BgL_new1303z00_2573;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1304z00_2572)))->
							BgL_varsz00) = ((obj_t) BgL_vars1151z00_1473), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1304z00_2572)))->BgL_valsz00) =
						((obj_t) BgL_vals1152z00_1474), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1304z00_2572)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1153z00_1475), BUNSPEC);
					return BgL_new1304z00_2572;
				}
			}
		}
	}



/* &<anonymous:1880> */
	BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3333,
		obj_t BgL_new1149z00_3334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_new1149z00_1446;

				BgL_new1149z00_1446 = ((BgL_ev_letza2za2_bglt) BgL_new1149z00_3334);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1149z00_1446)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1149z00_1446)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4469;

					{	/* Eval/evaluate_types.scm 103 */
						obj_t BgL_classz00_2570;

						BgL_classz00_2570 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL__ortest_1383z00_2571;

							BgL__ortest_1383z00_2571 = BGL_CLASS_NIL(BgL_classz00_2570);
							if (CBOOL(BgL__ortest_1383z00_2571))
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4469 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2571);
								}
							else
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4469 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2570));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1149z00_1446)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4469), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) CREF(BgL_new1149z00_1446))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1149z00_1446;
			}
		}
	}



/* &lambda1878 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1148z00_1444;

					BgL_new1148z00_1444 =
						((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1879z00_1445;

						{	/* Eval/evaluate_types.scm 103 */
							long BgL_res2308z00_2567;

							BgL_res2308z00_2567 =
								BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
							BgL_arg1879z00_1445 = BgL_res2308z00_2567;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1148z00_1444), BgL_arg1879z00_1445);
					}
					{	/* Eval/evaluate_types.scm 103 */
						BgL_objectz00_bglt BgL_auxz00_4484;

						BgL_auxz00_4484 = ((BgL_objectz00_bglt) BgL_new1148z00_1444);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4484, BFALSE);
					}
					return BgL_new1148z00_1444;
				}
			}
		}
	}



/* &lambda1875 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3336, obj_t BgL_vars1144z00_3337, obj_t BgL_vals1145z00_3338,
		obj_t BgL_body1146z00_3339, obj_t BgL_boxes1147z00_3340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{
				obj_t BgL_vars1144z00_1435;
				obj_t BgL_vals1145z00_1436;
				BgL_ev_exprz00_bglt BgL_body1146z00_1437;
				obj_t BgL_boxes1147z00_1438;

				BgL_vars1144z00_1435 = BgL_vars1144z00_3337;
				BgL_vals1145z00_1436 = BgL_vals1145z00_3338;
				BgL_body1146z00_1437 = ((BgL_ev_exprz00_bglt) BgL_body1146z00_3339);
				BgL_boxes1147z00_1438 = BgL_boxes1147z00_3340;
				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1300z00_2559;

					{	/* Eval/evaluate_types.scm 103 */
						BgL_ev_letza2za2_bglt BgL_new1299z00_2560;

						BgL_new1299z00_2560 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						{	/* Eval/evaluate_types.scm 103 */
							long BgL_arg1877z00_2561;

							{	/* Eval/evaluate_types.scm 103 */
								long BgL_res2307z00_2563;

								BgL_res2307z00_2563 =
									BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
								BgL_arg1877z00_2561 = BgL_res2307z00_2563;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1299z00_2560),
								BgL_arg1877z00_2561);
						}
						{	/* Eval/evaluate_types.scm 103 */
							BgL_objectz00_bglt BgL_auxz00_4491;

							BgL_auxz00_4491 = ((BgL_objectz00_bglt) BgL_new1299z00_2560);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4491, BFALSE);
						}
						BgL_new1300z00_2559 = BgL_new1299z00_2560;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1300z00_2559)))->
							BgL_varsz00) = ((obj_t) BgL_vars1144z00_1435), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1300z00_2559)))->BgL_valsz00) =
						((obj_t) BgL_vals1145z00_1436), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1300z00_2559)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1146z00_1437), BUNSPEC);
					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1300z00_2559))->BgL_boxesz00) =
						((obj_t) BgL_boxes1147z00_1438), BUNSPEC);
					return BgL_new1300z00_2559;
				}
			}
		}
	}



/* &<anonymous:1887> */
	obj_t BGl_z62zc3anonymousza31887ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3341)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}
	}



/* &lambda1886 */
	obj_t BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t BgL_envz00_3342,
		obj_t BgL_oz00_3343, obj_t BgL_vz00_3344)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			return
				((((BgL_ev_letza2za2_bglt) CREF(
							((BgL_ev_letza2za2_bglt) BgL_oz00_3343)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3344), BUNSPEC);
		}
	}



/* &lambda1885 */
	obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t BgL_envz00_3345,
		obj_t BgL_oz00_3346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) CREF(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3346)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1862> */
	BgL_ev_letz00_bglt BGl_z62zc3anonymousza31862ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3347, obj_t BgL_new1142z00_3348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_new1142z00_1408;

				BgL_new1142z00_1408 = ((BgL_ev_letz00_bglt) BgL_new1142z00_3348);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1142z00_1408)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1142z00_1408)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4510;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_2552;

						BgL_classz00_2552 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1383z00_2553;

							BgL__ortest_1383z00_2553 = BGL_CLASS_NIL(BgL_classz00_2552);
							if (CBOOL(BgL__ortest_1383z00_2553))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4510 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2553);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4510 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2552));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1142z00_1408)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4510), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) CREF(BgL_new1142z00_1408))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1142z00_1408;
			}
		}
	}



/* &lambda1860 */
	BgL_ev_letz00_bglt BGl_z62lambda1860z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3349)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1141z00_1406;

					BgL_new1141z00_1406 =
						((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1861z00_1407;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2306z00_2549;

							BgL_res2306z00_2549 =
								BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
							BgL_arg1861z00_1407 = BgL_res2306z00_2549;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1141z00_1406), BgL_arg1861z00_1407);
					}
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_auxz00_4525;

						BgL_auxz00_4525 = ((BgL_objectz00_bglt) BgL_new1141z00_1406);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4525, BFALSE);
					}
					return BgL_new1141z00_1406;
				}
			}
		}
	}



/* &lambda1858 */
	BgL_ev_letz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3350, obj_t BgL_vars1137z00_3351, obj_t BgL_vals1138z00_3352,
		obj_t BgL_body1139z00_3353, obj_t BgL_boxes1140z00_3354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				obj_t BgL_vars1137z00_1397;
				obj_t BgL_vals1138z00_1398;
				BgL_ev_exprz00_bglt BgL_body1139z00_1399;
				obj_t BgL_boxes1140z00_1400;

				BgL_vars1137z00_1397 = BgL_vars1137z00_3351;
				BgL_vals1138z00_1398 = BgL_vals1138z00_3352;
				BgL_body1139z00_1399 = ((BgL_ev_exprz00_bglt) BgL_body1139z00_3353);
				BgL_boxes1140z00_1400 = BgL_boxes1140z00_3354;
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1296z00_2541;

					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_letz00_bglt BgL_new1295z00_2542;

						BgL_new1295z00_2542 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						{	/* Eval/evaluate_types.scm 101 */
							long BgL_arg1859z00_2543;

							{	/* Eval/evaluate_types.scm 101 */
								long BgL_res2305z00_2545;

								BgL_res2305z00_2545 =
									BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
								BgL_arg1859z00_2543 = BgL_res2305z00_2545;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1295z00_2542),
								BgL_arg1859z00_2543);
						}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_auxz00_4532;

							BgL_auxz00_4532 = ((BgL_objectz00_bglt) BgL_new1295z00_2542);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4532, BFALSE);
						}
						BgL_new1296z00_2541 = BgL_new1295z00_2542;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1296z00_2541)))->
							BgL_varsz00) = ((obj_t) BgL_vars1137z00_1397), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1296z00_2541)))->BgL_valsz00) =
						((obj_t) BgL_vals1138z00_1398), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1296z00_2541)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1139z00_1399), BUNSPEC);
					((((BgL_ev_letz00_bglt) CREF(BgL_new1296z00_2541))->BgL_boxesz00) =
						((obj_t) BgL_boxes1140z00_1400), BUNSPEC);
					return BgL_new1296z00_2541;
				}
			}
		}
	}



/* &<anonymous:1869> */
	obj_t BGl_z62zc3anonymousza31869ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3355)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1868 */
	obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t BgL_envz00_3356,
		obj_t BgL_oz00_3357, obj_t BgL_vz00_3358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				((((BgL_ev_letz00_bglt) CREF(
							((BgL_ev_letz00_bglt) BgL_oz00_3357)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3358), BUNSPEC);
		}
	}



/* &lambda1867 */
	obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t BgL_envz00_3359,
		obj_t BgL_oz00_3360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) CREF(
						((BgL_ev_letz00_bglt) BgL_oz00_3360)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1836> */
	BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31836ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3361,
		obj_t BgL_new1135z00_3362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_new1135z00_1349;

				BgL_new1135z00_1349 = ((BgL_ev_binderz00_bglt) BgL_new1135z00_3362);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1135z00_1349))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1135z00_1349))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4549;

					{	/* Eval/evaluate_types.scm 97 */
						obj_t BgL_classz00_2534;

						BgL_classz00_2534 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL__ortest_1383z00_2535;

							BgL__ortest_1383z00_2535 = BGL_CLASS_NIL(BgL_classz00_2534);
							if (CBOOL(BgL__ortest_1383z00_2535))
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4549 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2535);
								}
							else
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4549 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2534));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1135z00_1349))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4549), BUNSPEC);
				}
				return BgL_new1135z00_1349;
			}
		}
	}



/* &lambda1834 */
	BgL_ev_binderz00_bglt BGl_z62lambda1834z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3363)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1134z00_1347;

					BgL_new1134z00_1347 =
						((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1835z00_1348;

						{	/* Eval/evaluate_types.scm 97 */
							long BgL_res2304z00_2531;

							BgL_res2304z00_2531 =
								BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
							BgL_arg1835z00_1348 = BgL_res2304z00_2531;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1134z00_1347), BgL_arg1835z00_1348);
					}
					{	/* Eval/evaluate_types.scm 97 */
						BgL_objectz00_bglt BgL_auxz00_4562;

						BgL_auxz00_4562 = ((BgL_objectz00_bglt) BgL_new1134z00_1347);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4562, BFALSE);
					}
					return BgL_new1134z00_1347;
				}
			}
		}
	}



/* &lambda1832 */
	BgL_ev_binderz00_bglt BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3364, obj_t BgL_vars1131z00_3365, obj_t BgL_vals1132z00_3366,
		obj_t BgL_body1133z00_3367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{
				obj_t BgL_vars1131z00_1339;
				obj_t BgL_vals1132z00_1340;
				BgL_ev_exprz00_bglt BgL_body1133z00_1341;

				BgL_vars1131z00_1339 = BgL_vars1131z00_3365;
				BgL_vals1132z00_1340 = BgL_vals1132z00_3366;
				BgL_body1133z00_1341 = ((BgL_ev_exprz00_bglt) BgL_body1133z00_3367);
				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1288z00_2523;

					{	/* Eval/evaluate_types.scm 97 */
						BgL_ev_binderz00_bglt BgL_new1287z00_2524;

						BgL_new1287z00_2524 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						{	/* Eval/evaluate_types.scm 97 */
							long BgL_arg1833z00_2525;

							{	/* Eval/evaluate_types.scm 97 */
								long BgL_res2303z00_2527;

								BgL_res2303z00_2527 =
									BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
								BgL_arg1833z00_2525 = BgL_res2303z00_2527;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1287z00_2524),
								BgL_arg1833z00_2525);
						}
						{	/* Eval/evaluate_types.scm 97 */
							BgL_objectz00_bglt BgL_auxz00_4569;

							BgL_auxz00_4569 = ((BgL_objectz00_bglt) BgL_new1287z00_2524);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4569, BFALSE);
						}
						BgL_new1288z00_2523 = BgL_new1287z00_2524;
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1288z00_2523))->BgL_varsz00) =
						((obj_t) BgL_vars1131z00_1339), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1288z00_2523))->BgL_valsz00) =
						((obj_t) BgL_vals1132z00_1340), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1288z00_2523))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1133z00_1341), BUNSPEC);
					return BgL_new1288z00_2523;
				}
			}
		}
	}



/* &lambda1851 */
	obj_t BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t BgL_envz00_3368,
		obj_t BgL_oz00_3369, obj_t BgL_vz00_3370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) CREF(
							((BgL_ev_binderz00_bglt) BgL_oz00_3369)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3370), BUNSPEC);
		}
	}



/* &lambda1850 */
	obj_t BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t BgL_envz00_3371,
		obj_t BgL_oz00_3372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3372)))->BgL_varsz00);
		}
	}



/* &lambda1846 */
	obj_t BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t BgL_envz00_3373,
		obj_t BgL_oz00_3374, obj_t BgL_vz00_3375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) CREF(
							((BgL_ev_binderz00_bglt) BgL_oz00_3374)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3375), BUNSPEC);
		}
	}



/* &lambda1845 */
	obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t BgL_envz00_3376,
		obj_t BgL_oz00_3377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3377)))->BgL_valsz00);
		}
	}



/* &lambda1841 */
	obj_t BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t BgL_envz00_3378,
		obj_t BgL_oz00_3379, obj_t BgL_vz00_3380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) CREF(
							((BgL_ev_binderz00_bglt) BgL_oz00_3379)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3380)), BUNSPEC);
		}
	}



/* &lambda1840 */
	BgL_ev_exprz00_bglt BGl_z62lambda1840z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3381, obj_t BgL_oz00_3382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3382)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1805> */
	BgL_ev_synchroniza7eza7_bglt
		BGl_z62zc3anonymousza31805ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3383,
		obj_t BgL_new1129z00_3384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_new1129z00_1279;

				BgL_new1129z00_1279 =
					((BgL_ev_synchroniza7eza7_bglt) BgL_new1129z00_3384);
				((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1129z00_1279))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4590;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2502;

						BgL_classz00_2502 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1383z00_2503;

							BgL__ortest_1383z00_2503 = BGL_CLASS_NIL(BgL_classz00_2502);
							if (CBOOL(BgL__ortest_1383z00_2503))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4590 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2503);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4590 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2502));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1129z00_1279))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4590), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4598;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2504;

						BgL_classz00_2504 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1383z00_2505;

							BgL__ortest_1383z00_2505 = BGL_CLASS_NIL(BgL_classz00_2504);
							if (CBOOL(BgL__ortest_1383z00_2505))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4598 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2505);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4598 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2504));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1129z00_1279))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4598), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4606;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2506;

						BgL_classz00_2506 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1383z00_2507;

							BgL__ortest_1383z00_2507 = BGL_CLASS_NIL(BgL_classz00_2506);
							if (CBOOL(BgL__ortest_1383z00_2507))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4606 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2507);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4606 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2506));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1129z00_1279))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4606), BUNSPEC);
				}
				return BgL_new1129z00_1279;
			}
		}
	}



/* &lambda1803 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1128z00_1277;

					BgL_new1128z00_1277 =
						((BgL_ev_synchroniza7eza7_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1804z00_1278;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2302z00_2499;

							BgL_res2302z00_2499 =
								BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
							BgL_arg1804z00_1278 = BgL_res2302z00_2499;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1128z00_1277), BgL_arg1804z00_1278);
					}
					{	/* Eval/evaluate_types.scm 92 */
						BgL_objectz00_bglt BgL_auxz00_4619;

						BgL_auxz00_4619 = ((BgL_objectz00_bglt) BgL_new1128z00_1277);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4619, BFALSE);
					}
					return BgL_new1128z00_1277;
				}
			}
		}
	}



/* &lambda1801 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3386, obj_t BgL_loc1123z00_3387, obj_t BgL_mutex1124z00_3388,
		obj_t BgL_prelock1125z00_3389, obj_t BgL_body1126z00_3390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				obj_t BgL_loc1123z00_1268;
				BgL_ev_exprz00_bglt BgL_mutex1124z00_1269;
				BgL_ev_exprz00_bglt BgL_prelock1125z00_1270;
				BgL_ev_exprz00_bglt BgL_body1126z00_1271;

				BgL_loc1123z00_1268 = BgL_loc1123z00_3387;
				BgL_mutex1124z00_1269 = ((BgL_ev_exprz00_bglt) BgL_mutex1124z00_3388);
				BgL_prelock1125z00_1270 =
					((BgL_ev_exprz00_bglt) BgL_prelock1125z00_3389);
				BgL_body1126z00_1271 = ((BgL_ev_exprz00_bglt) BgL_body1126z00_3390);
				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1278z00_2491;

					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_synchroniza7eza7_bglt BgL_new1277z00_2492;

						BgL_new1277z00_2492 =
							((BgL_ev_synchroniza7eza7_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_synchroniza7eza7_bgl))));
						{	/* Eval/evaluate_types.scm 92 */
							long BgL_arg1802z00_2493;

							{	/* Eval/evaluate_types.scm 92 */
								long BgL_res2301z00_2495;

								BgL_res2301z00_2495 =
									BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
								BgL_arg1802z00_2493 = BgL_res2301z00_2495;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1277z00_2492),
								BgL_arg1802z00_2493);
						}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_auxz00_4626;

							BgL_auxz00_4626 = ((BgL_objectz00_bglt) BgL_new1277z00_2492);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4626, BFALSE);
						}
						BgL_new1278z00_2491 = BgL_new1277z00_2492;
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1278z00_2491))->
							BgL_locz00) = ((obj_t) BgL_loc1123z00_1268), BUNSPEC);
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1278z00_2491))->
							BgL_mutexz00) =
						((BgL_ev_exprz00_bglt) BgL_mutex1124z00_1269), BUNSPEC);
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1278z00_2491))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_prelock1125z00_1270), BUNSPEC);
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1278z00_2491))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1126z00_1271), BUNSPEC);
					return BgL_new1278z00_2491;
				}
			}
		}
	}



/* &lambda1825 */
	obj_t BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t BgL_envz00_3391,
		obj_t BgL_oz00_3392, obj_t BgL_vz00_3393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) CREF(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3392)))->BgL_locz00) =
				((obj_t) BgL_vz00_3393), BUNSPEC);
		}
	}



/* &lambda1824 */
	obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t BgL_envz00_3394,
		obj_t BgL_oz00_3395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3395)))->BgL_locz00);
		}
	}



/* &lambda1820 */
	obj_t BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t BgL_envz00_3396,
		obj_t BgL_oz00_3397, obj_t BgL_vz00_3398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) CREF(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3397)))->BgL_mutexz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3398)), BUNSPEC);
		}
	}



/* &lambda1819 */
	BgL_ev_exprz00_bglt BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3399, obj_t BgL_oz00_3400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3400)))->BgL_mutexz00);
		}
	}



/* &lambda1815 */
	obj_t BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t BgL_envz00_3401,
		obj_t BgL_oz00_3402, obj_t BgL_vz00_3403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) CREF(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3402)))->
					BgL_prelockz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3403)), BUNSPEC);
		}
	}



/* &lambda1814 */
	BgL_ev_exprz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3404, obj_t BgL_oz00_3405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3405)))->BgL_prelockz00);
		}
	}



/* &lambda1810 */
	obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t BgL_envz00_3406,
		obj_t BgL_oz00_3407, obj_t BgL_vz00_3408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) CREF(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3407)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3408)), BUNSPEC);
		}
	}



/* &lambda1809 */
	BgL_ev_exprz00_bglt BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3409, obj_t BgL_oz00_3410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3410)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1784> */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31784ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3411,
		obj_t BgL_new1121z00_3412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1121z00_1232;

				BgL_new1121z00_1232 =
					((BgL_ev_withzd2handlerzd2_bglt) BgL_new1121z00_3412);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4655;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2467;

						BgL_classz00_2467 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1383z00_2468;

							BgL__ortest_1383z00_2468 = BGL_CLASS_NIL(BgL_classz00_2467);
							if (CBOOL(BgL__ortest_1383z00_2468))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4655 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2468);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4655 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2467));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1121z00_1232))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4655), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4663;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2469;

						BgL_classz00_2469 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1383z00_2470;

							BgL__ortest_1383z00_2470 = BGL_CLASS_NIL(BgL_classz00_2469);
							if (CBOOL(BgL__ortest_1383z00_2470))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4663 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2470);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4663 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2469));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1121z00_1232))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4663), BUNSPEC);
				}
				return BgL_new1121z00_1232;
			}
		}
	}



/* &lambda1782 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3413)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_1230;

					BgL_new1120z00_1230 =
						((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1783z00_1231;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2300z00_2464;

							BgL_res2300z00_2464 =
								BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
							BgL_arg1783z00_1231 = BgL_res2300z00_2464;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1120z00_1230), BgL_arg1783z00_1231);
					}
					{	/* Eval/evaluate_types.scm 89 */
						BgL_objectz00_bglt BgL_auxz00_4676;

						BgL_auxz00_4676 = ((BgL_objectz00_bglt) BgL_new1120z00_1230);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4676, BFALSE);
					}
					return BgL_new1120z00_1230;
				}
			}
		}
	}



/* &lambda1780 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3414, obj_t BgL_handler1118z00_3415, obj_t BgL_body1119z00_3416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_exprz00_bglt BgL_handler1118z00_1223;
				BgL_ev_exprz00_bglt BgL_body1119z00_1224;

				BgL_handler1118z00_1223 =
					((BgL_ev_exprz00_bglt) BgL_handler1118z00_3415);
				BgL_body1119z00_1224 = ((BgL_ev_exprz00_bglt) BgL_body1119z00_3416);
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1272z00_2456;

					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new1271z00_2457;

						BgL_new1271z00_2457 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						{	/* Eval/evaluate_types.scm 89 */
							long BgL_arg1781z00_2458;

							{	/* Eval/evaluate_types.scm 89 */
								long BgL_res2299z00_2460;

								BgL_res2299z00_2460 =
									BGL_CLASS_INDEX
									(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
								BgL_arg1781z00_2458 = BgL_res2299z00_2460;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1271z00_2457),
								BgL_arg1781z00_2458);
						}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_auxz00_4683;

							BgL_auxz00_4683 = ((BgL_objectz00_bglt) BgL_new1271z00_2457);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4683, BFALSE);
						}
						BgL_new1272z00_2456 = BgL_new1271z00_2457;
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1272z00_2456))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_handler1118z00_1223), BUNSPEC);
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1272z00_2456))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1119z00_1224), BUNSPEC);
					return BgL_new1272z00_2456;
				}
			}
		}
	}



/* &lambda1794 */
	obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t BgL_envz00_3417,
		obj_t BgL_oz00_3418, obj_t BgL_vz00_3419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3418)))->
					BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3419)), BUNSPEC);
		}
	}



/* &lambda1793 */
	BgL_ev_exprz00_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3420, obj_t BgL_oz00_3421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3421)))->BgL_handlerz00);
		}
	}



/* &lambda1789 */
	obj_t BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t BgL_envz00_3422,
		obj_t BgL_oz00_3423, obj_t BgL_vz00_3424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3423)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3424)), BUNSPEC);
		}
	}



/* &lambda1788 */
	BgL_ev_exprz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3425, obj_t BgL_oz00_3426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3426)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1763> */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31763ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3427,
		obj_t BgL_new1116z00_3428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_1187;

				BgL_new1116z00_1187 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1116z00_3428);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4700;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2442;

						BgL_classz00_2442 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1383z00_2443;

							BgL__ortest_1383z00_2443 = BGL_CLASS_NIL(BgL_classz00_2442);
							if (CBOOL(BgL__ortest_1383z00_2443))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4700 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2443);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4700 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2442));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1116z00_1187))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4700), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4708;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2444;

						BgL_classz00_2444 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1383z00_2445;

							BgL__ortest_1383z00_2445 = BGL_CLASS_NIL(BgL_classz00_2444);
							if (CBOOL(BgL__ortest_1383z00_2445))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4708 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2445);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4708 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2444));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1116z00_1187))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4708), BUNSPEC);
				}
				return BgL_new1116z00_1187;
			}
		}
	}



/* &lambda1761 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t BgL_envz00_3429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_1185;

					BgL_new1115z00_1185 =
						((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1762z00_1186;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2298z00_2439;

							BgL_res2298z00_2439 =
								BGL_CLASS_INDEX
								(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
							BgL_arg1762z00_1186 = BgL_res2298z00_2439;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1115z00_1185), BgL_arg1762z00_1186);
					}
					{	/* Eval/evaluate_types.scm 86 */
						BgL_objectz00_bglt BgL_auxz00_4721;

						BgL_auxz00_4721 = ((BgL_objectz00_bglt) BgL_new1115z00_1185);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4721, BFALSE);
					}
					return BgL_new1115z00_1185;
				}
			}
		}
	}



/* &lambda1759 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1759z62zz__evaluate_typesz00(obj_t BgL_envz00_3430,
		obj_t BgL_e1113z00_3431, obj_t BgL_body1114z00_3432)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_exprz00_bglt BgL_e1113z00_1178;
				BgL_ev_exprz00_bglt BgL_body1114z00_1179;

				BgL_e1113z00_1178 = ((BgL_ev_exprz00_bglt) BgL_e1113z00_3431);
				BgL_body1114z00_1179 = ((BgL_ev_exprz00_bglt) BgL_body1114z00_3432);
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1266z00_2431;

					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new1265z00_2432;

						BgL_new1265z00_2432 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						{	/* Eval/evaluate_types.scm 86 */
							long BgL_arg1760z00_2433;

							{	/* Eval/evaluate_types.scm 86 */
								long BgL_res2297z00_2435;

								BgL_res2297z00_2435 =
									BGL_CLASS_INDEX
									(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
								BgL_arg1760z00_2433 = BgL_res2297z00_2435;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1265z00_2432),
								BgL_arg1760z00_2433);
						}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_4728;

							BgL_auxz00_4728 = ((BgL_objectz00_bglt) BgL_new1265z00_2432);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4728, BFALSE);
						}
						BgL_new1266z00_2431 = BgL_new1265z00_2432;
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1266z00_2431))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1113z00_1178), BUNSPEC);
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1266z00_2431))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1114z00_1179), BUNSPEC);
					return BgL_new1266z00_2431;
				}
			}
		}
	}



/* &lambda1773 */
	obj_t BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t BgL_envz00_3433,
		obj_t BgL_oz00_3434, obj_t BgL_vz00_3435)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3434)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3435)), BUNSPEC);
		}
	}



/* &lambda1772 */
	BgL_ev_exprz00_bglt BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3436, obj_t BgL_oz00_3437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3437)))->BgL_ez00);
		}
	}



/* &lambda1768 */
	obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t BgL_envz00_3438,
		obj_t BgL_oz00_3439, obj_t BgL_vz00_3440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3439)))->
					BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3440)), BUNSPEC);
		}
	}



/* &lambda1767 */
	BgL_ev_exprz00_bglt BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3441, obj_t BgL_oz00_3442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3442)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1743> */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31743ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3443,
		obj_t BgL_new1111z00_3444)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_1142;

				BgL_new1111z00_1142 =
					((BgL_ev_bindzd2exitzd2_bglt) BgL_new1111z00_3444);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4745;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2417;

						BgL_classz00_2417 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1383z00_2418;

							BgL__ortest_1383z00_2418 = BGL_CLASS_NIL(BgL_classz00_2417);
							if (CBOOL(BgL__ortest_1383z00_2418))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4745 =
										((BgL_ev_varz00_bglt) BgL__ortest_1383z00_2418);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4745 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2417));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1111z00_1142))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_4745), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4753;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2419;

						BgL_classz00_2419 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1383z00_2420;

							BgL__ortest_1383z00_2420 = BGL_CLASS_NIL(BgL_classz00_2419);
							if (CBOOL(BgL__ortest_1383z00_2420))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4753 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2420);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4753 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2419));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1111z00_1142))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4753), BUNSPEC);
				}
				return BgL_new1111z00_1142;
			}
		}
	}



/* &lambda1741 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_1140;

					BgL_new1110z00_1140 =
						((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1742z00_1141;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2296z00_2414;

							BgL_res2296z00_2414 =
								BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
							BgL_arg1742z00_1141 = BgL_res2296z00_2414;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1110z00_1140), BgL_arg1742z00_1141);
					}
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_4766;

						BgL_auxz00_4766 = ((BgL_objectz00_bglt) BgL_new1110z00_1140);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4766, BFALSE);
					}
					return BgL_new1110z00_1140;
				}
			}
		}
	}



/* &lambda1739 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3446, obj_t BgL_var1108z00_3447, obj_t BgL_body1109z00_3448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_varz00_bglt BgL_var1108z00_1133;
				BgL_ev_exprz00_bglt BgL_body1109z00_1134;

				BgL_var1108z00_1133 = ((BgL_ev_varz00_bglt) BgL_var1108z00_3447);
				BgL_body1109z00_1134 = ((BgL_ev_exprz00_bglt) BgL_body1109z00_3448);
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1260z00_2406;

					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new1259z00_2407;

						BgL_new1259z00_2407 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						{	/* Eval/evaluate_types.scm 83 */
							long BgL_arg1740z00_2408;

							{	/* Eval/evaluate_types.scm 83 */
								long BgL_res2295z00_2410;

								BgL_res2295z00_2410 =
									BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
								BgL_arg1740z00_2408 = BgL_res2295z00_2410;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1259z00_2407),
								BgL_arg1740z00_2408);
						}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_4773;

							BgL_auxz00_4773 = ((BgL_objectz00_bglt) BgL_new1259z00_2407);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4773, BFALSE);
						}
						BgL_new1260z00_2406 = BgL_new1259z00_2407;
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1260z00_2406))->
							BgL_varz00) =
						((BgL_ev_varz00_bglt) BgL_var1108z00_1133), BUNSPEC);
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1260z00_2406))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1109z00_1134), BUNSPEC);
					return BgL_new1260z00_2406;
				}
			}
		}
	}



/* &lambda1753 */
	obj_t BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t BgL_envz00_3449,
		obj_t BgL_oz00_3450, obj_t BgL_vz00_3451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3450)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3451)), BUNSPEC);
		}
	}



/* &lambda1752 */
	BgL_ev_varz00_bglt BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3452, obj_t BgL_oz00_3453)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3453)))->BgL_varz00);
		}
	}



/* &lambda1748 */
	obj_t BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3454,
		obj_t BgL_oz00_3455, obj_t BgL_vz00_3456)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3455)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3456)), BUNSPEC);
		}
	}



/* &lambda1747 */
	BgL_ev_exprz00_bglt BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3457, obj_t BgL_oz00_3458)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3458)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1733> */
	BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31733ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3459,
		obj_t BgL_new1106z00_3460)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1106z00_1121;

				BgL_new1106z00_1121 = ((BgL_ev_defglobalz00_bglt) BgL_new1106z00_3460);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4790;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_2394;

						BgL_classz00_2394 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1383z00_2395;

							BgL__ortest_1383z00_2395 = BGL_CLASS_NIL(BgL_classz00_2394);
							if (CBOOL(BgL__ortest_1383z00_2395))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4790 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2395);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4790 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2394));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1106z00_1121)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4790), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(
								((BgL_ev_setglobalz00_bglt) BgL_new1106z00_1121)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1106z00_1121)))->BgL_namez00) =
					((obj_t) BGl_symbol2684z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1106z00_1121)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1106z00_1121;
			}
		}
	}



/* &lambda1731 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1105z00_1119;

					BgL_new1105z00_1119 =
						((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1732z00_1120;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2294z00_2391;

							BgL_res2294z00_2391 =
								BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
							BgL_arg1732z00_1120 = BgL_res2294z00_2391;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1105z00_1119), BgL_arg1732z00_1120);
					}
					{	/* Eval/evaluate_types.scm 82 */
						BgL_objectz00_bglt BgL_auxz00_4810;

						BgL_auxz00_4810 = ((BgL_objectz00_bglt) BgL_new1105z00_1119);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4810, BFALSE);
					}
					return BgL_new1105z00_1119;
				}
			}
		}
	}



/* &lambda1728 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1728z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3462, obj_t BgL_e1101z00_3463, obj_t BgL_loc1102z00_3464,
		obj_t BgL_name1103z00_3465, obj_t BgL_mod1104z00_3466)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_exprz00_bglt BgL_e1101z00_1110;
				obj_t BgL_loc1102z00_1111;
				obj_t BgL_name1103z00_1112;
				obj_t BgL_mod1104z00_1113;

				BgL_e1101z00_1110 = ((BgL_ev_exprz00_bglt) BgL_e1101z00_3463);
				BgL_loc1102z00_1111 = BgL_loc1102z00_3464;
				BgL_name1103z00_1112 = BgL_name1103z00_3465;
				BgL_mod1104z00_1113 = BgL_mod1104z00_3466;
				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1258z00_2383;

					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_defglobalz00_bglt BgL_new1257z00_2384;

						BgL_new1257z00_2384 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 82 */
							long BgL_arg1730z00_2385;

							{	/* Eval/evaluate_types.scm 82 */
								long BgL_res2293z00_2387;

								BgL_res2293z00_2387 =
									BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
								BgL_arg1730z00_2385 = BgL_res2293z00_2387;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1257z00_2384),
								BgL_arg1730z00_2385);
						}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_4817;

							BgL_auxz00_4817 = ((BgL_objectz00_bglt) BgL_new1257z00_2384);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4817, BFALSE);
						}
						BgL_new1258z00_2383 = BgL_new1257z00_2384;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1258z00_2383)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1101z00_1110), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1258z00_2383)))->BgL_locz00) =
						((obj_t) BgL_loc1102z00_1111), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1258z00_2383)))->BgL_namez00) =
						((obj_t) BgL_name1103z00_1112), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1258z00_2383)))->BgL_modz00) =
						((obj_t) BgL_mod1104z00_1113), BUNSPEC);
					return BgL_new1258z00_2383;
				}
			}
		}
	}



/* &<anonymous:1705> */
	BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31705ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3467,
		obj_t BgL_new1099z00_3468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1099z00_1062;

				BgL_new1099z00_1062 = ((BgL_ev_setglobalz00_bglt) BgL_new1099z00_3468);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4829;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_2381;

						BgL_classz00_2381 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1383z00_2382;

							BgL__ortest_1383z00_2382 = BGL_CLASS_NIL(BgL_classz00_2381);
							if (CBOOL(BgL__ortest_1383z00_2382))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4829 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2382);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4829 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2381));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1099z00_1062)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4829), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1062))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1062))->BgL_namez00) =
					((obj_t) BGl_symbol2684z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1062))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1099z00_1062;
			}
		}
	}



/* &lambda1702 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1098z00_1060;

					BgL_new1098z00_1060 =
						((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1704z00_1061;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2292z00_2378;

							BgL_res2292z00_2378 =
								BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
							BgL_arg1704z00_1061 = BgL_res2292z00_2378;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1098z00_1060), BgL_arg1704z00_1061);
					}
					{	/* Eval/evaluate_types.scm 78 */
						BgL_objectz00_bglt BgL_auxz00_4846;

						BgL_auxz00_4846 = ((BgL_objectz00_bglt) BgL_new1098z00_1060);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4846, BFALSE);
					}
					return BgL_new1098z00_1060;
				}
			}
		}
	}



/* &lambda1700 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3470, obj_t BgL_e1094z00_3471, obj_t BgL_loc1095z00_3472,
		obj_t BgL_name1096z00_3473, obj_t BgL_mod1097z00_3474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_exprz00_bglt BgL_e1094z00_1051;
				obj_t BgL_loc1095z00_1052;
				obj_t BgL_name1096z00_1053;
				obj_t BgL_mod1097z00_1054;

				BgL_e1094z00_1051 = ((BgL_ev_exprz00_bglt) BgL_e1094z00_3471);
				BgL_loc1095z00_1052 = BgL_loc1095z00_3472;
				BgL_name1096z00_1053 = BgL_name1096z00_3473;
				BgL_mod1097z00_1054 = BgL_mod1097z00_3474;
				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1250z00_2370;

					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_setglobalz00_bglt BgL_new1249z00_2371;

						BgL_new1249z00_2371 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 78 */
							long BgL_arg1701z00_2372;

							{	/* Eval/evaluate_types.scm 78 */
								long BgL_res2291z00_2374;

								BgL_res2291z00_2374 =
									BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
								BgL_arg1701z00_2372 = BgL_res2291z00_2374;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1249z00_2371),
								BgL_arg1701z00_2372);
						}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_4853;

							BgL_auxz00_4853 = ((BgL_objectz00_bglt) BgL_new1249z00_2371);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4853, BFALSE);
						}
						BgL_new1250z00_2370 = BgL_new1249z00_2371;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1250z00_2370)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1094z00_1051), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1250z00_2370))->
							BgL_locz00) = ((obj_t) BgL_loc1095z00_1052), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1250z00_2370))->
							BgL_namez00) = ((obj_t) BgL_name1096z00_1053), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1250z00_2370))->
							BgL_modz00) = ((obj_t) BgL_mod1097z00_1054), BUNSPEC);
					return BgL_new1250z00_2370;
				}
			}
		}
	}



/* &lambda1721 */
	obj_t BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t BgL_envz00_3475,
		obj_t BgL_oz00_3476, obj_t BgL_vz00_3477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) CREF(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3476)))->BgL_locz00) =
				((obj_t) BgL_vz00_3477), BUNSPEC);
		}
	}



/* &lambda1720 */
	obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t BgL_envz00_3478,
		obj_t BgL_oz00_3479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3479)))->BgL_locz00);
		}
	}



/* &lambda1715 */
	obj_t BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t BgL_envz00_3480,
		obj_t BgL_oz00_3481, obj_t BgL_vz00_3482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) CREF(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3481)))->BgL_namez00) =
				((obj_t) BgL_vz00_3482), BUNSPEC);
		}
	}



/* &lambda1714 */
	obj_t BGl_z62lambda1714z62zz__evaluate_typesz00(obj_t BgL_envz00_3483,
		obj_t BgL_oz00_3484)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3484)))->BgL_namez00);
		}
	}



/* &lambda1710 */
	obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t BgL_envz00_3485,
		obj_t BgL_oz00_3486, obj_t BgL_vz00_3487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) CREF(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3486)))->BgL_modz00) =
				((obj_t) BgL_vz00_3487), BUNSPEC);
		}
	}



/* &lambda1709 */
	obj_t BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t BgL_envz00_3488,
		obj_t BgL_oz00_3489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3489)))->BgL_modz00);
		}
	}



/* &<anonymous:1688> */
	BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31688ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3490,
		obj_t BgL_new1092z00_3491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1092z00_1027;

				BgL_new1092z00_1027 = ((BgL_ev_setlocalz00_bglt) BgL_new1092z00_3491);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4874;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2351;

						BgL_classz00_2351 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1383z00_2352;

							BgL__ortest_1383z00_2352 = BGL_CLASS_NIL(BgL_classz00_2351);
							if (CBOOL(BgL__ortest_1383z00_2352))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4874 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2352);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4874 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2351));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1092z00_1027)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4874), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_4883;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2353;

						BgL_classz00_2353 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1383z00_2354;

							BgL__ortest_1383z00_2354 = BGL_CLASS_NIL(BgL_classz00_2353);
							if (CBOOL(BgL__ortest_1383z00_2354))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4883 =
										((BgL_ev_varz00_bglt) BgL__ortest_1383z00_2354);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4883 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2353));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1092z00_1027))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4883), BUNSPEC);
				}
				return BgL_new1092z00_1027;
			}
		}
	}



/* &lambda1686 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1091z00_1025;

					BgL_new1091z00_1025 =
						((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1687z00_1026;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2290z00_2348;

							BgL_res2290z00_2348 =
								BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
							BgL_arg1687z00_1026 = BgL_res2290z00_2348;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1091z00_1025), BgL_arg1687z00_1026);
					}
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_4896;

						BgL_auxz00_4896 = ((BgL_objectz00_bglt) BgL_new1091z00_1025);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4896, BFALSE);
					}
					return BgL_new1091z00_1025;
				}
			}
		}
	}



/* &lambda1684 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3493, obj_t BgL_e1089z00_3494, obj_t BgL_v1090z00_3495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_exprz00_bglt BgL_e1089z00_1018;
				BgL_ev_varz00_bglt BgL_v1090z00_1019;

				BgL_e1089z00_1018 = ((BgL_ev_exprz00_bglt) BgL_e1089z00_3494);
				BgL_v1090z00_1019 = ((BgL_ev_varz00_bglt) BgL_v1090z00_3495);
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1246z00_2340;

					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_setlocalz00_bglt BgL_new1245z00_2341;

						BgL_new1245z00_2341 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						{	/* Eval/evaluate_types.scm 76 */
							long BgL_arg1685z00_2342;

							{	/* Eval/evaluate_types.scm 76 */
								long BgL_res2289z00_2344;

								BgL_res2289z00_2344 =
									BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
								BgL_arg1685z00_2342 = BgL_res2289z00_2344;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1245z00_2341),
								BgL_arg1685z00_2342);
						}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_4903;

							BgL_auxz00_4903 = ((BgL_objectz00_bglt) BgL_new1245z00_2341);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4903, BFALSE);
						}
						BgL_new1246z00_2340 = BgL_new1245z00_2341;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1246z00_2340)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1089z00_1018), BUNSPEC);
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1246z00_2340))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_v1090z00_1019), BUNSPEC);
					return BgL_new1246z00_2340;
				}
			}
		}
	}



/* &lambda1693 */
	obj_t BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t BgL_envz00_3496,
		obj_t BgL_oz00_3497, obj_t BgL_vz00_3498)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_oz00_1036;
				BgL_ev_varz00_bglt BgL_vz00_1037;

				BgL_oz00_1036 = ((BgL_ev_setlocalz00_bglt) BgL_oz00_3497);
				BgL_vz00_1037 = ((BgL_ev_varz00_bglt) BgL_vz00_3498);
				return
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_oz00_1036))->BgL_vz00) =
					((BgL_ev_varz00_bglt) (((BgL_ev_setlocalz00_bglt)
								CREF(BgL_oz00_1036))->BgL_vz00)), BUNSPEC);
			}
		}
	}



/* &lambda1692 */
	BgL_ev_varz00_bglt BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3499, obj_t BgL_oz00_3500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) CREF(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3500)))->BgL_vz00);
		}
	}



/* &<anonymous:1678> */
	BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31678ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3501,
		obj_t BgL_new1087z00_3502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_new1087z00_1006;

				BgL_new1087z00_1006 = ((BgL_ev_trapz00_bglt) BgL_new1087z00_3502);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4917;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_2333;

						BgL_classz00_2333 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1383z00_2334;

							BgL__ortest_1383z00_2334 = BGL_CLASS_NIL(BgL_classz00_2333);
							if (CBOOL(BgL__ortest_1383z00_2334))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4917 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2334);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4917 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2333));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1087z00_1006)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4917), BUNSPEC);
				}
				return BgL_new1087z00_1006;
			}
		}
	}



/* &lambda1676 */
	BgL_ev_trapz00_bglt BGl_z62lambda1676z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1086z00_1004;

					BgL_new1086z00_1004 =
						((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1677z00_1005;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2288z00_2330;

							BgL_res2288z00_2330 =
								BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
							BgL_arg1677z00_1005 = BgL_res2288z00_2330;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1086z00_1004), BgL_arg1677z00_1005);
					}
					{	/* Eval/evaluate_types.scm 75 */
						BgL_objectz00_bglt BgL_auxz00_4931;

						BgL_auxz00_4931 = ((BgL_objectz00_bglt) BgL_new1086z00_1004);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4931, BFALSE);
					}
					return BgL_new1086z00_1004;
				}
			}
		}
	}



/* &lambda1674 */
	BgL_ev_trapz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3504, obj_t BgL_e1085z00_3505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_exprz00_bglt BgL_e1085z00_998;

				BgL_e1085z00_998 = ((BgL_ev_exprz00_bglt) BgL_e1085z00_3505);
				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1244z00_2322;

					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_trapz00_bglt BgL_new1242z00_2323;

						BgL_new1242z00_2323 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						{	/* Eval/evaluate_types.scm 75 */
							long BgL_arg1675z00_2324;

							{	/* Eval/evaluate_types.scm 75 */
								long BgL_res2287z00_2326;

								BgL_res2287z00_2326 =
									BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
								BgL_arg1675z00_2324 = BgL_res2287z00_2326;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1242z00_2323),
								BgL_arg1675z00_2324);
						}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_4938;

							BgL_auxz00_4938 = ((BgL_objectz00_bglt) BgL_new1242z00_2323);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4938, BFALSE);
						}
						BgL_new1244z00_2322 = BgL_new1242z00_2323;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1244z00_2322)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1085z00_998), BUNSPEC);
					return BgL_new1244z00_2322;
				}
			}
		}
	}



/* &<anonymous:1663> */
	BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31663ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3506,
		obj_t BgL_new1083z00_3507)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_new1083z00_974;

				BgL_new1083z00_974 = ((BgL_ev_hookz00_bglt) BgL_new1083z00_3507);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4944;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_2320;

						BgL_classz00_2320 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1383z00_2321;

							BgL__ortest_1383z00_2321 = BGL_CLASS_NIL(BgL_classz00_2320);
							if (CBOOL(BgL__ortest_1383z00_2321))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4944 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2321);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4944 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2320));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1083z00_974))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4944), BUNSPEC);
				}
				return BgL_new1083z00_974;
			}
		}
	}



/* &lambda1661 */
	BgL_ev_hookz00_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3508)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1082z00_972;

					BgL_new1082z00_972 =
						((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1662z00_973;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2286z00_2317;

							BgL_res2286z00_2317 =
								BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
							BgL_arg1662z00_973 = BgL_res2286z00_2317;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1082z00_972), BgL_arg1662z00_973);
					}
					{	/* Eval/evaluate_types.scm 73 */
						BgL_objectz00_bglt BgL_auxz00_4957;

						BgL_auxz00_4957 = ((BgL_objectz00_bglt) BgL_new1082z00_972);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4957, BFALSE);
					}
					return BgL_new1082z00_972;
				}
			}
		}
	}



/* &lambda1659 */
	BgL_ev_hookz00_bglt BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3509, obj_t BgL_e1081z00_3510)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_exprz00_bglt BgL_e1081z00_966;

				BgL_e1081z00_966 = ((BgL_ev_exprz00_bglt) BgL_e1081z00_3510);
				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1239z00_2309;

					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_hookz00_bglt BgL_new1238z00_2310;

						BgL_new1238z00_2310 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						{	/* Eval/evaluate_types.scm 73 */
							long BgL_arg1660z00_2311;

							{	/* Eval/evaluate_types.scm 73 */
								long BgL_res2285z00_2313;

								BgL_res2285z00_2313 =
									BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
								BgL_arg1660z00_2311 = BgL_res2285z00_2313;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1238z00_2310),
								BgL_arg1660z00_2311);
						}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_4964;

							BgL_auxz00_4964 = ((BgL_objectz00_bglt) BgL_new1238z00_2310);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4964, BFALSE);
						}
						BgL_new1239z00_2309 = BgL_new1238z00_2310;
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1239z00_2309))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1081z00_966), BUNSPEC);
					return BgL_new1239z00_2309;
				}
			}
		}
	}



/* &lambda1668 */
	obj_t BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t BgL_envz00_3511,
		obj_t BgL_oz00_3512, obj_t BgL_vz00_3513)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				((((BgL_ev_hookz00_bglt) CREF(
							((BgL_ev_hookz00_bglt) BgL_oz00_3512)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3513)), BUNSPEC);
		}
	}



/* &lambda1667 */
	BgL_ev_exprz00_bglt BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3514, obj_t BgL_oz00_3515)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) CREF(
						((BgL_ev_hookz00_bglt) BgL_oz00_3515)))->BgL_ez00);
		}
	}



/* &<anonymous:1641> */
	BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31641ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3516,
		obj_t BgL_new1079z00_3517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_new1079z00_930;

				BgL_new1079z00_930 = ((BgL_ev_prog2z00_bglt) BgL_new1079z00_3517);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4974;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2300;

						BgL_classz00_2300 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1383z00_2301;

							BgL__ortest_1383z00_2301 = BGL_CLASS_NIL(BgL_classz00_2300);
							if (CBOOL(BgL__ortest_1383z00_2301))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4974 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2301);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4974 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2300));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_930))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4974), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4982;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2302;

						BgL_classz00_2302 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1383z00_2303;

							BgL__ortest_1383z00_2303 = BGL_CLASS_NIL(BgL_classz00_2302);
							if (CBOOL(BgL__ortest_1383z00_2303))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4982 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2303);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_4982 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2302));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_930))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4982), BUNSPEC);
				}
				return BgL_new1079z00_930;
			}
		}
	}



/* &lambda1639 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3518)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1078z00_928;

					BgL_new1078z00_928 =
						((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1640z00_929;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2284z00_2297;

							BgL_res2284z00_2297 =
								BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
							BgL_arg1640z00_929 = BgL_res2284z00_2297;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1078z00_928), BgL_arg1640z00_929);
					}
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_auxz00_4995;

						BgL_auxz00_4995 = ((BgL_objectz00_bglt) BgL_new1078z00_928);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4995, BFALSE);
					}
					return BgL_new1078z00_928;
				}
			}
		}
	}



/* &lambda1637 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3519, obj_t BgL_e11076z00_3520, obj_t BgL_e21077z00_3521)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_exprz00_bglt BgL_e11076z00_921;
				BgL_ev_exprz00_bglt BgL_e21077z00_922;

				BgL_e11076z00_921 = ((BgL_ev_exprz00_bglt) BgL_e11076z00_3520);
				BgL_e21077z00_922 = ((BgL_ev_exprz00_bglt) BgL_e21077z00_3521);
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1233z00_2289;

					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_prog2z00_bglt BgL_new1232z00_2290;

						BgL_new1232z00_2290 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						{	/* Eval/evaluate_types.scm 70 */
							long BgL_arg1638z00_2291;

							{	/* Eval/evaluate_types.scm 70 */
								long BgL_res2283z00_2293;

								BgL_res2283z00_2293 =
									BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
								BgL_arg1638z00_2291 = BgL_res2283z00_2293;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1232z00_2290),
								BgL_arg1638z00_2291);
						}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_5002;

							BgL_auxz00_5002 = ((BgL_objectz00_bglt) BgL_new1232z00_2290);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5002, BFALSE);
						}
						BgL_new1233z00_2289 = BgL_new1232z00_2290;
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1233z00_2289))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_e11076z00_921), BUNSPEC);
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1233z00_2289))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_e21077z00_922), BUNSPEC);
					return BgL_new1233z00_2289;
				}
			}
		}
	}



/* &lambda1652 */
	obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t BgL_envz00_3522,
		obj_t BgL_oz00_3523, obj_t BgL_vz00_3524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) CREF(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3523)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3524)), BUNSPEC);
		}
	}



/* &lambda1651 */
	BgL_ev_exprz00_bglt BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3525, obj_t BgL_oz00_3526)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3526)))->BgL_e1z00);
		}
	}



/* &lambda1647 */
	obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t BgL_envz00_3527,
		obj_t BgL_oz00_3528, obj_t BgL_vz00_3529)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) CREF(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3528)))->BgL_e2z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3529)), BUNSPEC);
		}
	}



/* &lambda1646 */
	BgL_ev_exprz00_bglt BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3530, obj_t BgL_oz00_3531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3531)))->BgL_e2z00);
		}
	}



/* &<anonymous:1631> */
	BgL_ev_andz00_bglt BGl_z62zc3anonymousza31631ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3532, obj_t BgL_new1074z00_3533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_new1074z00_909;

				BgL_new1074z00_909 = ((BgL_ev_andz00_bglt) BgL_new1074z00_3533);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1074z00_909)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1074z00_909;
			}
		}
	}



/* &lambda1629 */
	BgL_ev_andz00_bglt BGl_z62lambda1629z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1073z00_907;

					BgL_new1073z00_907 =
						((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1630z00_908;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2282z00_2276;

							BgL_res2282z00_2276 =
								BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
							BgL_arg1630z00_908 = BgL_res2282z00_2276;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1073z00_907), BgL_arg1630z00_908);
					}
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_5026;

						BgL_auxz00_5026 = ((BgL_objectz00_bglt) BgL_new1073z00_907);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5026, BFALSE);
					}
					return BgL_new1073z00_907;
				}
			}
		}
	}



/* &lambda1627 */
	BgL_ev_andz00_bglt BGl_z62lambda1627z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3535, obj_t BgL_args1072z00_3536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				obj_t BgL_args1072z00_901;

				BgL_args1072z00_901 = BgL_args1072z00_3536;
				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1231z00_2268;

					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_andz00_bglt BgL_new1230z00_2269;

						BgL_new1230z00_2269 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						{	/* Eval/evaluate_types.scm 69 */
							long BgL_arg1628z00_2270;

							{	/* Eval/evaluate_types.scm 69 */
								long BgL_res2281z00_2272;

								BgL_res2281z00_2272 =
									BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
								BgL_arg1628z00_2270 = BgL_res2281z00_2272;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1230z00_2269),
								BgL_arg1628z00_2270);
						}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_5033;

							BgL_auxz00_5033 = ((BgL_objectz00_bglt) BgL_new1230z00_2269);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5033, BFALSE);
						}
						BgL_new1231z00_2268 = BgL_new1230z00_2269;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1231z00_2268)))->BgL_argsz00) =
						((obj_t) BgL_args1072z00_901), BUNSPEC);
					return BgL_new1231z00_2268;
				}
			}
		}
	}



/* &<anonymous:1621> */
	BgL_ev_orz00_bglt BGl_z62zc3anonymousza31621ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3537, obj_t BgL_new1070z00_3538)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_new1070z00_889;

				BgL_new1070z00_889 = ((BgL_ev_orz00_bglt) BgL_new1070z00_3538);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1070z00_889)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1070z00_889;
			}
		}
	}



/* &lambda1619 */
	BgL_ev_orz00_bglt BGl_z62lambda1619z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1069z00_887;

					BgL_new1069z00_887 =
						((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1620z00_888;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2280z00_2265;

							BgL_res2280z00_2265 =
								BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
							BgL_arg1620z00_888 = BgL_res2280z00_2265;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1069z00_887), BgL_arg1620z00_888);
					}
					{	/* Eval/evaluate_types.scm 68 */
						BgL_objectz00_bglt BgL_auxz00_5045;

						BgL_auxz00_5045 = ((BgL_objectz00_bglt) BgL_new1069z00_887);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5045, BFALSE);
					}
					return BgL_new1069z00_887;
				}
			}
		}
	}



/* &lambda1617 */
	BgL_ev_orz00_bglt BGl_z62lambda1617z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3540, obj_t BgL_args1068z00_3541)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				obj_t BgL_args1068z00_881;

				BgL_args1068z00_881 = BgL_args1068z00_3541;
				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1229z00_2257;

					{	/* Eval/evaluate_types.scm 68 */
						BgL_ev_orz00_bglt BgL_new1228z00_2258;

						BgL_new1228z00_2258 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						{	/* Eval/evaluate_types.scm 68 */
							long BgL_arg1618z00_2259;

							{	/* Eval/evaluate_types.scm 68 */
								long BgL_res2279z00_2261;

								BgL_res2279z00_2261 =
									BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
								BgL_arg1618z00_2259 = BgL_res2279z00_2261;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1228z00_2258),
								BgL_arg1618z00_2259);
						}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_5052;

							BgL_auxz00_5052 = ((BgL_objectz00_bglt) BgL_new1228z00_2258);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5052, BFALSE);
						}
						BgL_new1229z00_2257 = BgL_new1228z00_2258;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1229z00_2257)))->BgL_argsz00) =
						((obj_t) BgL_args1068z00_881), BUNSPEC);
					return BgL_new1229z00_2257;
				}
			}
		}
	}



/* &<anonymous:1606> */
	BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31606ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3542,
		obj_t BgL_new1066z00_3543)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_new1066z00_857;

				BgL_new1066z00_857 = ((BgL_ev_listz00_bglt) BgL_new1066z00_3543);
				((((BgL_ev_listz00_bglt) CREF(BgL_new1066z00_857))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1066z00_857;
			}
		}
	}



/* &lambda1604 */
	BgL_ev_listz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1065z00_855;

					BgL_new1065z00_855 =
						((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1605z00_856;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2278z00_2254;

							BgL_res2278z00_2254 =
								BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
							BgL_arg1605z00_856 = BgL_res2278z00_2254;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1065z00_855), BgL_arg1605z00_856);
					}
					{	/* Eval/evaluate_types.scm 66 */
						BgL_objectz00_bglt BgL_auxz00_5063;

						BgL_auxz00_5063 = ((BgL_objectz00_bglt) BgL_new1065z00_855);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5063, BFALSE);
					}
					return BgL_new1065z00_855;
				}
			}
		}
	}



/* &lambda1602 */
	BgL_ev_listz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3545, obj_t BgL_args1064z00_3546)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				obj_t BgL_args1064z00_849;

				BgL_args1064z00_849 = BgL_args1064z00_3546;
				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1225z00_2246;

					{	/* Eval/evaluate_types.scm 66 */
						BgL_ev_listz00_bglt BgL_new1224z00_2247;

						BgL_new1224z00_2247 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						{	/* Eval/evaluate_types.scm 66 */
							long BgL_arg1603z00_2248;

							{	/* Eval/evaluate_types.scm 66 */
								long BgL_res2277z00_2250;

								BgL_res2277z00_2250 =
									BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
								BgL_arg1603z00_2248 = BgL_res2277z00_2250;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1224z00_2247),
								BgL_arg1603z00_2248);
						}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_auxz00_5070;

							BgL_auxz00_5070 = ((BgL_objectz00_bglt) BgL_new1224z00_2247);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5070, BFALSE);
						}
						BgL_new1225z00_2246 = BgL_new1224z00_2247;
					}
					((((BgL_ev_listz00_bglt) CREF(BgL_new1225z00_2246))->BgL_argsz00) =
						((obj_t) BgL_args1064z00_849), BUNSPEC);
					return BgL_new1225z00_2246;
				}
			}
		}
	}



/* &lambda1611 */
	obj_t BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t BgL_envz00_3547,
		obj_t BgL_oz00_3548, obj_t BgL_vz00_3549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				((((BgL_ev_listz00_bglt) CREF(
							((BgL_ev_listz00_bglt) BgL_oz00_3548)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3549), BUNSPEC);
		}
	}



/* &lambda1610 */
	obj_t BGl_z62lambda1610z62zz__evaluate_typesz00(obj_t BgL_envz00_3550,
		obj_t BgL_oz00_3551)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) CREF(
						((BgL_ev_listz00_bglt) BgL_oz00_3551)))->BgL_argsz00);
		}
	}



/* &<anonymous:1580> */
	BgL_ev_ifz00_bglt BGl_z62zc3anonymousza31580ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3552, obj_t BgL_new1062z00_3553)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_new1062z00_801;

				BgL_new1062z00_801 = ((BgL_ev_ifz00_bglt) BgL_new1062z00_3553);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5078;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2235;

						BgL_classz00_2235 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1383z00_2236;

							BgL__ortest_1383z00_2236 = BGL_CLASS_NIL(BgL_classz00_2235);
							if (CBOOL(BgL__ortest_1383z00_2236))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5078 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2236);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5078 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2235));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_801))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5078), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5086;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2237;

						BgL_classz00_2237 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1383z00_2238;

							BgL__ortest_1383z00_2238 = BGL_CLASS_NIL(BgL_classz00_2237);
							if (CBOOL(BgL__ortest_1383z00_2238))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5086 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2238);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5086 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2237));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_801))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5086), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5094;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2239;

						BgL_classz00_2239 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1383z00_2240;

							BgL__ortest_1383z00_2240 = BGL_CLASS_NIL(BgL_classz00_2239);
							if (CBOOL(BgL__ortest_1383z00_2240))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5094 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2240);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5094 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2239));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_801))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5094), BUNSPEC);
				}
				return BgL_new1062z00_801;
			}
		}
	}



/* &lambda1578 */
	BgL_ev_ifz00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1061z00_799;

					BgL_new1061z00_799 =
						((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1579z00_800;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2276z00_2232;

							BgL_res2276z00_2232 =
								BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
							BgL_arg1579z00_800 = BgL_res2276z00_2232;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1061z00_799), BgL_arg1579z00_800);
					}
					{	/* Eval/evaluate_types.scm 62 */
						BgL_objectz00_bglt BgL_auxz00_5107;

						BgL_auxz00_5107 = ((BgL_objectz00_bglt) BgL_new1061z00_799);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5107, BFALSE);
					}
					return BgL_new1061z00_799;
				}
			}
		}
	}



/* &lambda1576 */
	BgL_ev_ifz00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3555, obj_t BgL_p1058z00_3556, obj_t BgL_t1059z00_3557,
		obj_t BgL_e1060z00_3558)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_p1058z00_791;
				BgL_ev_exprz00_bglt BgL_t1059z00_792;
				BgL_ev_exprz00_bglt BgL_e1060z00_793;

				BgL_p1058z00_791 = ((BgL_ev_exprz00_bglt) BgL_p1058z00_3556);
				BgL_t1059z00_792 = ((BgL_ev_exprz00_bglt) BgL_t1059z00_3557);
				BgL_e1060z00_793 = ((BgL_ev_exprz00_bglt) BgL_e1060z00_3558);
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1217z00_2224;

					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_ifz00_bglt BgL_new1216z00_2225;

						BgL_new1216z00_2225 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						{	/* Eval/evaluate_types.scm 62 */
							long BgL_arg1577z00_2226;

							{	/* Eval/evaluate_types.scm 62 */
								long BgL_res2275z00_2228;

								BgL_res2275z00_2228 =
									BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
								BgL_arg1577z00_2226 = BgL_res2275z00_2228;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1216z00_2225),
								BgL_arg1577z00_2226);
						}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_auxz00_5114;

							BgL_auxz00_5114 = ((BgL_objectz00_bglt) BgL_new1216z00_2225);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5114, BFALSE);
						}
						BgL_new1217z00_2224 = BgL_new1216z00_2225;
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1217z00_2224))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_p1058z00_791), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1217z00_2224))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_t1059z00_792), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1217z00_2224))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1060z00_793), BUNSPEC);
					return BgL_new1217z00_2224;
				}
			}
		}
	}



/* &lambda1595 */
	obj_t BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t BgL_envz00_3559,
		obj_t BgL_oz00_3560, obj_t BgL_vz00_3561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) CREF(
							((BgL_ev_ifz00_bglt) BgL_oz00_3560)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3561)), BUNSPEC);
		}
	}



/* &lambda1594 */
	BgL_ev_exprz00_bglt BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3562, obj_t BgL_oz00_3563)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3563)))->BgL_pz00);
		}
	}



/* &lambda1590 */
	obj_t BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t BgL_envz00_3564,
		obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) CREF(
							((BgL_ev_ifz00_bglt) BgL_oz00_3565)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3566)), BUNSPEC);
		}
	}



/* &lambda1589 */
	BgL_ev_exprz00_bglt BGl_z62lambda1589z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3567, obj_t BgL_oz00_3568)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3568)))->BgL_tz00);
		}
	}



/* &lambda1585 */
	obj_t BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t BgL_envz00_3569,
		obj_t BgL_oz00_3570, obj_t BgL_vz00_3571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) CREF(
							((BgL_ev_ifz00_bglt) BgL_oz00_3570)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3571)), BUNSPEC);
		}
	}



/* &lambda1584 */
	BgL_ev_exprz00_bglt BGl_z62lambda1584z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3572, obj_t BgL_oz00_3573)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3573)))->BgL_ez00);
		}
	}



/* &<anonymous:1564> */
	BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31564ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3574,
		obj_t BgL_new1056z00_3575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_new1056z00_767;

				BgL_new1056z00_767 = ((BgL_ev_littz00_bglt) BgL_new1056z00_3575);
				((((BgL_ev_littz00_bglt) CREF(BgL_new1056z00_767))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1056z00_767;
			}
		}
	}



/* &lambda1562 */
	BgL_ev_littz00_bglt BGl_z62lambda1562z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3576)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1055z00_765;

					BgL_new1055z00_765 =
						((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1563z00_766;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2274z00_2206;

							BgL_res2274z00_2206 =
								BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
							BgL_arg1563z00_766 = BgL_res2274z00_2206;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1055z00_765), BgL_arg1563z00_766);
					}
					{	/* Eval/evaluate_types.scm 60 */
						BgL_objectz00_bglt BgL_auxz00_5144;

						BgL_auxz00_5144 = ((BgL_objectz00_bglt) BgL_new1055z00_765);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5144, BFALSE);
					}
					return BgL_new1055z00_765;
				}
			}
		}
	}



/* &lambda1560 */
	BgL_ev_littz00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3577, obj_t BgL_value1054z00_3578)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				obj_t BgL_value1054z00_759;

				BgL_value1054z00_759 = BgL_value1054z00_3578;
				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1213z00_2198;

					{	/* Eval/evaluate_types.scm 60 */
						BgL_ev_littz00_bglt BgL_new1212z00_2199;

						BgL_new1212z00_2199 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						{	/* Eval/evaluate_types.scm 60 */
							long BgL_arg1561z00_2200;

							{	/* Eval/evaluate_types.scm 60 */
								long BgL_res2273z00_2202;

								BgL_res2273z00_2202 =
									BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
								BgL_arg1561z00_2200 = BgL_res2273z00_2202;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1212z00_2199),
								BgL_arg1561z00_2200);
						}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_auxz00_5151;

							BgL_auxz00_5151 = ((BgL_objectz00_bglt) BgL_new1212z00_2199);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5151, BFALSE);
						}
						BgL_new1213z00_2198 = BgL_new1212z00_2199;
					}
					((((BgL_ev_littz00_bglt) CREF(BgL_new1213z00_2198))->BgL_valuez00) =
						((obj_t) BgL_value1054z00_759), BUNSPEC);
					return BgL_new1213z00_2198;
				}
			}
		}
	}



/* &lambda1570 */
	obj_t BGl_z62lambda1570z62zz__evaluate_typesz00(obj_t BgL_envz00_3579,
		obj_t BgL_oz00_3580, obj_t BgL_vz00_3581)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				((((BgL_ev_littz00_bglt) CREF(
							((BgL_ev_littz00_bglt) BgL_oz00_3580)))->BgL_valuez00) =
				((obj_t) BgL_vz00_3581), BUNSPEC);
		}
	}



/* &lambda1569 */
	obj_t BGl_z62lambda1569z62zz__evaluate_typesz00(obj_t BgL_envz00_3582,
		obj_t BgL_oz00_3583)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) CREF(
						((BgL_ev_littz00_bglt) BgL_oz00_3583)))->BgL_valuez00);
		}
	}



/* &<anonymous:1535> */
	BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31535ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3584,
		obj_t BgL_new1052z00_3585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_new1052z00_711;

				BgL_new1052z00_711 = ((BgL_ev_globalz00_bglt) BgL_new1052z00_3585);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_711))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_711))->BgL_namez00) =
					((obj_t) BGl_symbol2684z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_711))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1052z00_711;
			}
		}
	}



/* &lambda1533 */
	BgL_ev_globalz00_bglt BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3586)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1051z00_709;

					BgL_new1051z00_709 =
						((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1534z00_710;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2272z00_2190;

							BgL_res2272z00_2190 =
								BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
							BgL_arg1534z00_710 = BgL_res2272z00_2190;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1051z00_709), BgL_arg1534z00_710);
					}
					{	/* Eval/evaluate_types.scm 55 */
						BgL_objectz00_bglt BgL_auxz00_5167;

						BgL_auxz00_5167 = ((BgL_objectz00_bglt) BgL_new1051z00_709);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5167, BFALSE);
					}
					return BgL_new1051z00_709;
				}
			}
		}
	}



/* &lambda1530 */
	BgL_ev_globalz00_bglt BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3587, obj_t BgL_loc1048z00_3588, obj_t BgL_name1049z00_3589,
		obj_t BgL_mod1050z00_3590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				obj_t BgL_loc1048z00_701;
				obj_t BgL_name1049z00_702;
				obj_t BgL_mod1050z00_703;

				BgL_loc1048z00_701 = BgL_loc1048z00_3588;
				BgL_name1049z00_702 = BgL_name1049z00_3589;
				BgL_mod1050z00_703 = BgL_mod1050z00_3590;
				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1205z00_2182;

					{	/* Eval/evaluate_types.scm 55 */
						BgL_ev_globalz00_bglt BgL_new1204z00_2183;

						BgL_new1204z00_2183 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						{	/* Eval/evaluate_types.scm 55 */
							long BgL_arg1532z00_2184;

							{	/* Eval/evaluate_types.scm 55 */
								long BgL_res2271z00_2186;

								BgL_res2271z00_2186 =
									BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
								BgL_arg1532z00_2184 = BgL_res2271z00_2186;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1204z00_2183),
								BgL_arg1532z00_2184);
						}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_auxz00_5174;

							BgL_auxz00_5174 = ((BgL_objectz00_bglt) BgL_new1204z00_2183);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5174, BFALSE);
						}
						BgL_new1205z00_2182 = BgL_new1204z00_2183;
					}
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1205z00_2182))->BgL_locz00) =
						((obj_t) BgL_loc1048z00_701), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1205z00_2182))->BgL_namez00) =
						((obj_t) BgL_name1049z00_702), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1205z00_2182))->BgL_modz00) =
						((obj_t) BgL_mod1050z00_703), BUNSPEC);
					return BgL_new1205z00_2182;
				}
			}
		}
	}



/* &lambda1552 */
	obj_t BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t BgL_envz00_3591,
		obj_t BgL_oz00_3592, obj_t BgL_vz00_3593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) CREF(
							((BgL_ev_globalz00_bglt) BgL_oz00_3592)))->BgL_locz00) =
				((obj_t) BgL_vz00_3593), BUNSPEC);
		}
	}



/* &lambda1551 */
	obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t BgL_envz00_3594,
		obj_t BgL_oz00_3595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3595)))->BgL_locz00);
		}
	}



/* &lambda1547 */
	obj_t BGl_z62lambda1547z62zz__evaluate_typesz00(obj_t BgL_envz00_3596,
		obj_t BgL_oz00_3597, obj_t BgL_vz00_3598)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) CREF(
							((BgL_ev_globalz00_bglt) BgL_oz00_3597)))->BgL_namez00) =
				((obj_t) BgL_vz00_3598), BUNSPEC);
		}
	}



/* &lambda1546 */
	obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t BgL_envz00_3599,
		obj_t BgL_oz00_3600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3600)))->BgL_namez00);
		}
	}



/* &lambda1541 */
	obj_t BGl_z62lambda1541z62zz__evaluate_typesz00(obj_t BgL_envz00_3601,
		obj_t BgL_oz00_3602, obj_t BgL_vz00_3603)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) CREF(
							((BgL_ev_globalz00_bglt) BgL_oz00_3602)))->BgL_modz00) =
				((obj_t) BgL_vz00_3603), BUNSPEC);
		}
	}



/* &lambda1540 */
	obj_t BGl_z62lambda1540z62zz__evaluate_typesz00(obj_t BgL_envz00_3604,
		obj_t BgL_oz00_3605)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3605)))->BgL_modz00);
		}
	}



/* &<anonymous:1502> */
	BgL_ev_varz00_bglt BGl_z62zc3anonymousza31502ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3606, obj_t BgL_new1046z00_3607)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_new1046z00_650;

				BgL_new1046z00_650 = ((BgL_ev_varz00_bglt) BgL_new1046z00_3607);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_650))->BgL_namez00) =
					((obj_t) BGl_symbol2684z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_650))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_650))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1046z00_650;
			}
		}
	}



/* &lambda1499 */
	BgL_ev_varz00_bglt BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3608)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1045z00_648;

					BgL_new1045z00_648 =
						((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1501z00_649;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2270z00_2164;

							BgL_res2270z00_2164 =
								BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
							BgL_arg1501z00_649 = BgL_res2270z00_2164;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1045z00_648), BgL_arg1501z00_649);
					}
					{	/* Eval/evaluate_types.scm 51 */
						BgL_objectz00_bglt BgL_auxz00_5200;

						BgL_auxz00_5200 = ((BgL_objectz00_bglt) BgL_new1045z00_648);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5200, BFALSE);
					}
					return BgL_new1045z00_648;
				}
			}
		}
	}



/* &lambda1495 */
	BgL_ev_varz00_bglt BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3609, obj_t BgL_name1042z00_3610, obj_t BgL_eff1043z00_3611,
		obj_t BgL_type1044z00_3612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				obj_t BgL_name1042z00_640;
				obj_t BgL_eff1043z00_641;
				obj_t BgL_type1044z00_642;

				BgL_name1042z00_640 = BgL_name1042z00_3610;
				BgL_eff1043z00_641 = BgL_eff1043z00_3611;
				BgL_type1044z00_642 = BgL_type1044z00_3612;
				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1197z00_2156;

					{	/* Eval/evaluate_types.scm 51 */
						BgL_ev_varz00_bglt BgL_new1195z00_2157;

						BgL_new1195z00_2157 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						{	/* Eval/evaluate_types.scm 51 */
							long BgL_arg1498z00_2158;

							{	/* Eval/evaluate_types.scm 51 */
								long BgL_res2269z00_2160;

								BgL_res2269z00_2160 =
									BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
								BgL_arg1498z00_2158 = BgL_res2269z00_2160;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1195z00_2157),
								BgL_arg1498z00_2158);
						}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_5207;

							BgL_auxz00_5207 = ((BgL_objectz00_bglt) BgL_new1195z00_2157);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5207, BFALSE);
						}
						BgL_new1197z00_2156 = BgL_new1195z00_2157;
					}
					((((BgL_ev_varz00_bglt) CREF(BgL_new1197z00_2156))->BgL_namez00) =
						((obj_t) BgL_name1042z00_640), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1197z00_2156))->BgL_effz00) =
						((obj_t) BgL_eff1043z00_641), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1197z00_2156))->BgL_typez00) =
						((obj_t) BgL_type1044z00_642), BUNSPEC);
					return BgL_new1197z00_2156;
				}
			}
		}
	}



/* &lambda1520 */
	obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t BgL_envz00_3613,
		obj_t BgL_oz00_3614, obj_t BgL_vz00_3615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) CREF(
							((BgL_ev_varz00_bglt) BgL_oz00_3614)))->BgL_namez00) =
				((obj_t) BgL_vz00_3615), BUNSPEC);
		}
	}



/* &lambda1519 */
	obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t BgL_envz00_3616,
		obj_t BgL_oz00_3617)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3617)))->BgL_namez00);
		}
	}



/* &<anonymous:1515> */
	obj_t BGl_z62zc3anonymousza31515ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1514 */
	obj_t BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t BgL_envz00_3619,
		obj_t BgL_oz00_3620, obj_t BgL_vz00_3621)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) CREF(
							((BgL_ev_varz00_bglt) BgL_oz00_3620)))->BgL_effz00) =
				((obj_t) BgL_vz00_3621), BUNSPEC);
		}
	}



/* &lambda1513 */
	obj_t BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t BgL_envz00_3622,
		obj_t BgL_oz00_3623)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3623)))->BgL_effz00);
		}
	}



/* &lambda1507 */
	obj_t BGl_z62lambda1507z62zz__evaluate_typesz00(obj_t BgL_envz00_3624,
		obj_t BgL_oz00_3625, obj_t BgL_vz00_3626)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) CREF(
							((BgL_ev_varz00_bglt) BgL_oz00_3625)))->BgL_typez00) =
				((obj_t) BgL_vz00_3626), BUNSPEC);
		}
	}



/* &lambda1506 */
	obj_t BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3627,
		obj_t BgL_oz00_3628)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3628)))->BgL_typez00);
		}
	}



/* &<anonymous:1489> */
	BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31489ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3629,
		obj_t BgL_new1040z00_3630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			return ((BgL_ev_exprz00_bglt) BgL_new1040z00_3630);
		}
	}



/* &lambda1487 */
	BgL_ev_exprz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3631)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1039z00_626;

					BgL_new1039z00_626 =
						((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1488z00_627;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2268z00_2138;

							BgL_res2268z00_2138 =
								BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
							BgL_arg1488z00_627 = BgL_res2268z00_2138;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1039z00_626), BgL_arg1488z00_627);
					}
					{	/* Eval/evaluate_types.scm 49 */
						BgL_objectz00_bglt BgL_auxz00_5231;

						BgL_auxz00_5231 = ((BgL_objectz00_bglt) BgL_new1039z00_626);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5231, BFALSE);
					}
					return BgL_new1039z00_626;
				}
			}
		}
	}



/* &lambda1485 */
	BgL_ev_exprz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3632)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1194z00_622;

					{	/* Eval/evaluate_types.scm 49 */
						BgL_ev_exprz00_bglt BgL_new1193z00_623;

						BgL_new1193z00_623 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						{	/* Eval/evaluate_types.scm 49 */
							long BgL_arg1486z00_624;

							{	/* Eval/evaluate_types.scm 49 */
								long BgL_res2267z00_2134;

								BgL_res2267z00_2134 =
									BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
								BgL_arg1486z00_624 = BgL_res2267z00_2134;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1193z00_623), BgL_arg1486z00_624);
						}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_auxz00_5238;

							BgL_auxz00_5238 = ((BgL_objectz00_bglt) BgL_new1193z00_623);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5238, BFALSE);
						}
						BgL_new1194z00_622 = BgL_new1193z00_623;
					}
					return BgL_new1194z00_622;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 189425161),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 368290641),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					231310901),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 231561374),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667),
				BSTRING_TO_STRING(BGl_string2361z00zz__evaluate_typesz00));
		}
	}

#ifdef __cplusplus
}
#endif
